%   ORIGINAL: FORALL_BOOL_THM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: TRUTH: T
% Goal: (!b. P b) <=> P T /\ P F
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: ~F <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: T
% Goal: !P. (!b. P b) <=> P T /\ P F
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:($o > $o)]:(![B:$o]:(P @ B) <=> ((P @ $true) & (P @ $false)))).
