%   ORIGINAL: one_INDUCT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: one: !v. v = one
% Goal: !P. P one ==> (!x. P x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !v. v = one
% Goal: !P. P one ==> (!x. P x)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cone, type, one : n1).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aone, axiom, ![V:n1]:(V = one)).
thf(conjecture, conjecture, ![P:(n1 > $o)]:((P @ one) => ![X:n1]:(P @ X))).
