%   ORIGINAL: SUB_EQ_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LE_0: !n. 0 <= n
% Assm: LE_SUC: !m n. SUC m <= SUC n <=> m <= n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: SUB_0: !m. 0 - m = 0 /\ m - 0 = m
% Assm: SUB_SUC: !m n. SUC m - SUC n = m - n
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !m n. m - n = 0 <=> m <= n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. 0 <= n
% Assm: !m n. SUC m <= SUC n <=> m <= n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !m. 0 - m = 0 /\ m - 0 = m
% Assm: !m n. SUC m - SUC n = m - n
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !m n. m - n = 0 <=> m <= n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cmu_, type, m_ : (num > num > num)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_SUC, axiom, ![M:num,N:num]:((l_a_ @ (suc @ M) @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aSUBu_0, axiom, ![M:num]:(((m_ @ (numeral @ u_0) @ M) = (numeral @ u_0)) & ((m_ @ M @ (numeral @ u_0)) = M))).
thf(aSUBu_SUC, axiom, ![M:num,N:num]:((m_ @ (suc @ M) @ (suc @ N)) = (m_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![M:num,N:num]:(((m_ @ M @ N) = (numeral @ u_0)) <=> (l_a_ @ M @ N))).
