%   ORIGINAL: RIGHT_SUB_DISTRIB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LEFT_SUB_DISTRIB: !m n p. m * (n - p) = m * n - m * p
% Assm: MULT_AC_conjunct0: m * n = n * m
% Assm: TRUTH: T
% Goal: !m n p. (m - n) * p = m * p - n * p
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n p. m * (n - p) = m * n - m * p
% Assm: !n m. m * n = n * m
% Assm: T
% Goal: !m n p. (m - n) * p = m * p - n * p
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cmu_, type, m_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLEFTu_SUBu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (m_ @ N @ P)) = (m_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aMULTu_ACu_conjunct0, axiom, ![N:num,M:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:num,N:num,P:num]:((t_ @ (m_ @ M @ N) @ P) = (m_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
