%   ORIGINAL: ODD_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EVEN_SUB: !m n. EVEN (m - n) <=> m <= n \/ (EVEN m <=> EVEN n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_EVEN: !n. ~EVEN n <=> ODD n
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: TRUTH: T
% Goal: !m n. ODD (m - n) <=> n < m /\ ~(ODD m <=> ODD n)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. EVEN (m - n) <=> m <= n \/ (EVEN m <=> EVEN n)
% Assm: ~F <=> T
% Assm: !n. ~EVEN n <=> ODD n
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: T
% Goal: !m n. ODD (m - n) <=> n < m /\ ~(ODD m <=> ODD n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cmu_, type, m_ : (num > num > num)).
thf(ceven, type, even : (num > $o)).
thf(codd, type, odd : (num > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEVENu_SUB, axiom, ![M:num,N:num]:((even @ (m_ @ M @ N)) <=> ((l_a_ @ M @ N) | ((even @ M) <=> (even @ N))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_EVEN, axiom, ![N:num]:(~ ((even @ N)) <=> (odd @ N))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:num,N:num]:((odd @ (m_ @ M @ N)) <=> ((l_ @ N @ M) & ~ (((odd @ M) <=> (odd @ N)))))).
