%   ORIGINAL: DIV_MULT2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIVISION: !m n. ~(n = 0) ==> m = m DIV n * n + m MOD n /\ m MOD n < n
% Assm: DIV_UNIQ: !m n q r. m = q * n + r /\ r < n ==> m DIV n = q
% Assm: EQ_MULT_LCANCEL: !m n p. m * n = m * p <=> m = 0 \/ n = p
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LT_MULT_LCANCEL: !m n p. m * n < m * p <=> ~(m = 0) /\ n < p
% Assm: MULT_AC_conjunct2: m * n * p = n * m * p
% Assm: MULT_EQ_0: !m n. m * n = 0 <=> m = 0 \/ n = 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !m n p. ~(m * p = 0) ==> (m * n) DIV (m * p) = n DIV p
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m n. ~(n = 0) ==> m = m DIV n * n + m MOD n /\ m MOD n < n
% Assm: !m n q r. m = q * n + r /\ r < n ==> m DIV n = q
% Assm: !m n p. m * n = m * p <=> m = 0 \/ n = p
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !m n p. m * n < m * p <=> ~(m = 0) /\ n < p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !m n. m * n = 0 <=> m = 0 \/ n = 0
% Assm: ~F <=> T
% Assm: T
% Goal: !m n p. ~(m * p = 0) ==> (m * n) DIV (m * p) = n DIV p
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cmod, type, mod : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdiv, type, div : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIVISION, axiom, ![M:num,N:num]:(~ ((N = (numeral @ u_0))) => ((M = (p_ @ (t_ @ (div @ M @ N) @ N) @ (mod @ M @ N))) & (l_ @ (mod @ M @ N) @ N)))).
thf(aDIVu_UNIQ, axiom, ![M:num,N:num,Q:num,R:num]:(((M = (p_ @ (t_ @ Q @ N) @ R)) & (l_ @ R @ N)) => ((div @ M @ N) = Q))).
thf(aEQu_MULTu_LCANCEL, axiom, ![M:num,N:num,P:num]:(((t_ @ M @ N) = (t_ @ M @ P)) <=> ((M = (numeral @ u_0)) | (N = P)))).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLTu_MULTu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_ @ (t_ @ M @ N) @ (t_ @ M @ P)) <=> (~ ((M = (numeral @ u_0))) & (l_ @ N @ P)))).
thf(aMULTu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((t_ @ M @ (t_ @ N @ P)) = (t_ @ N @ (t_ @ M @ P)))).
thf(aMULTu_EQu_0, axiom, ![M:num,N:num]:(((t_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) | (N = (numeral @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:num,N:num,P:num]:(~ (((t_ @ M @ P) = (numeral @ u_0))) => ((div @ (t_ @ M @ N) @ (t_ @ M @ P)) = (div @ N @ P)))).
