%   ORIGINAL: MAP_FST_ZIP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FST: !x y. FST (x,y) = x
% Assm: LENGTH_conjunct0: LENGTH [] = 0
% Assm: LENGTH_conjunct1: !h t. LENGTH (CONS h t) = SUC (LENGTH t)
% Assm: MAP_conjunct0: !f. MAP f [] = []
% Assm: MAP_conjunct1: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: NOT_SUC: !n. ~(SUC n = 0)
% Assm: SUC_INJ: !m n. SUC m = SUC n <=> m = n
% Assm: TRUTH: T
% Assm: ZIP_conjunct0: ZIP [] [] = []
% Assm: ZIP_conjunct1: ZIP (CONS h1 t1) (CONS h2 t2) = CONS (h1,h2) (ZIP t1 t2)
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !l1 l2. LENGTH l1 = LENGTH l2 ==> MAP FST (ZIP l1 l2) = l1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. FST (x,y) = x
% Assm: LENGTH [] = 0
% Assm: LENGTH [] = 0
% Assm: !h t. LENGTH (CONS h t) = SUC (LENGTH t)
% Assm: !h t. LENGTH (CONS h t) = SUC (LENGTH t)
% Assm: !f. MAP f [] = []
% Assm: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: !n. ~(SUC n = 0)
% Assm: !m n. SUC m = SUC n <=> m = n
% Assm: T
% Assm: ZIP [] [] = []
% Assm: !h1 h2 t1 t2. ZIP (CONS h1 t1) (CONS h2 t2) = CONS (h1,h2) (ZIP t1 t2)
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !l1 l2. LENGTH l1 = LENGTH l2 ==> MAP FST (ZIP l1 l2) = l1
%  TYPES
thf(tnum, type, num : $tType).
thf(tlista, type, lista : $tType).
thf(tprodq19975q19977, type, prodq19975q19977 : $tType).
thf(tq19975, type, q19975 : $tType).
thf(ta, type, a : $tType).
thf(tlistprodq19975q19977, type, listprodq19975q19977 : $tType).
thf(tq19977, type, q19977 : $tType).
thf(tlistq19975, type, listq19975 : $tType).
thf(tlistq19977, type, listq19977 : $tType).
%  CONSTS
thf(cnil, type, nil : listq19977).
thf(cfst, type, fst : (prodq19975q19977 > q19975)).
thf(ccons2, type, cons2 : (a > lista > lista)).
thf(ccons1, type, cons1 : (prodq19975q19977 > listprodq19975q19977 > listprodq19975q19977)).
thf(ccons0, type, cons0 : (q19975 > listq19975 > listq19975)).
thf(ccons, type, cons : (q19977 > listq19977 > listq19977)).
thf(ccu_, type, c_ : (q19975 > q19977 > prodq19975q19977)).
thf(czip, type, zip : (listq19975 > listq19977 > listprodq19975q19977)).
thf(cmap, type, map : ((prodq19975q19977 > q19975) > listprodq19975q19977 > listq19975)).
thf(clength0, type, length0 : (listq19977 > num)).
thf(clength, type, length : (listq19975 > num)).
thf(cnil1, type, nil1 : listprodq19975q19977).
thf(cuu_0, type, u_0 : num).
thf(cnil2, type, nil2 : lista).
thf(cnil0, type, nil0 : listq19975).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > listq19975),G:(a > listq19975)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFST, axiom, ![X:q19975,Y:q19977]:((fst @ (c_ @ X @ Y)) = X)).
thf(aLENGTHu_conjunct0u_monomorphized1, axiom, ((length0 @ nil) = (numeral @ u_0))).
thf(aLENGTHu_conjunct0u_monomorphized0, axiom, ((length @ nil0) = (numeral @ u_0))).
thf(aLENGTHu_conjunct1u_monomorphized1, axiom, ![H:q19977,T:listq19977]:((length0 @ (cons @ H @ T)) = (suc @ (length0 @ T)))).
thf(aLENGTHu_conjunct1u_monomorphized0, axiom, ![H:q19975,T:listq19975]:((length @ (cons0 @ H @ T)) = (suc @ (length @ T)))).
thf(aMAPu_conjunct0, axiom, ![F:(prodq19975q19977 > q19975)]:((map @ F @ nil1) = nil0)).
thf(aMAPu_conjunct1, axiom, ![F:(prodq19975q19977 > q19975),H:prodq19975q19977,T:listprodq19975q19977]:((map @ F @ (cons1 @ H @ T)) = (cons0 @ (F @ H) @ (map @ F @ T)))).
thf(aNOTu_SUC, axiom, ![N:num]:~ (((suc @ N) = (numeral @ u_0)))).
thf(aSUCu_INJ, axiom, ![M:num,N:num]:(((suc @ M) = (suc @ N)) <=> (M = N))).
thf(aTRUTH, axiom, $true).
thf(aZIPu_conjunct0, axiom, ((zip @ nil0 @ nil) = nil1)).
thf(aZIPu_conjunct1, axiom, ![H1:q19975,H2:q19977,T1:listq19975,T2:listq19977]:((zip @ (cons0 @ H1 @ T1) @ (cons @ H2 @ T2)) = (cons1 @ (c_ @ H1 @ H2) @ (zip @ T1 @ T2)))).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil2) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons2 @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(conjecture, conjecture, ![L1:listq19975,L2:listq19977]:(((length @ L1) = (length0 @ L2)) => ((map @ fst @ (zip @ L1 @ L2)) = L1))).
