%   ORIGINAL: AND_ALL2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ALL2_conjunct0: ALL2 P [] [] <=> T
% Assm: ALL2_conjunct1: ALL2 P (CONS h1 t1) [] <=> F
% Assm: ALL2_conjunct2: ALL2 P [] (CONS h2 t2) <=> F
% Assm: ALL2_conjunct3: ALL2 P (CONS h1 t1) (CONS h2 t2) <=> P h1 h2 /\ ALL2 P t1 t2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !P Q l m. ALL2 P l m /\ ALL2 Q l m <=> ALL2 (\x y. P x y /\ Q x y) l m
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P. ALL2 P [] [] <=> T
% Assm: !P h1 t1. ALL2 P (CONS h1 t1) [] <=> F
% Assm: !P h2 t2. ALL2 P [] (CONS h2 t2) <=> F
% Assm: !h1 h2 P t1 t2. ALL2 P (CONS h1 t1) (CONS h2 t2) <=> P h1 h2 /\ ALL2 P t1 t2
% Assm: ~F <=> T
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !P Q l m. ALL2 P l m /\ ALL2 Q l m <=> ALL2 (\x y. P x y /\ Q x y) l m
%  TYPES
thf(tq20260, type, q20260 : $tType).
thf(tlista, type, lista : $tType).
thf(tq20261, type, q20261 : $tType).
thf(ta, type, a : $tType).
thf(tlistq20260, type, listq20260 : $tType).
thf(tlistq20261, type, listq20261 : $tType).
%  CONSTS
thf(cnil, type, nil : listq20261).
thf(ccons1, type, cons1 : (a > lista > lista)).
thf(ccons0, type, cons0 : (q20260 > listq20260 > listq20260)).
thf(ccons, type, cons : (q20261 > listq20261 > listq20261)).
thf(call2, type, all2 : ((q20261 > q20260 > $o) > listq20261 > listq20260 > $o)).
thf(cnil1, type, nil1 : lista).
thf(cnil0, type, nil0 : listq20260).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aALL2u_conjunct0, axiom, ![P:(q20261 > q20260 > $o)]:((all2 @ P @ nil @ nil0) <=> $true)).
thf(aALL2u_conjunct1, axiom, ![P:(q20261 > q20260 > $o),H1:q20261,T1:listq20261]:((all2 @ P @ (cons @ H1 @ T1) @ nil0) <=> $false)).
thf(aALL2u_conjunct2, axiom, ![P:(q20261 > q20260 > $o),H2:q20260,T2:listq20260]:((all2 @ P @ nil @ (cons0 @ H2 @ T2)) <=> $false)).
thf(aALL2u_conjunct3, axiom, ![H1:q20261,H2:q20260,P:(q20261 > q20260 > $o),T1:listq20261,T2:listq20260]:((all2 @ P @ (cons @ H1 @ T1) @ (cons0 @ H2 @ T2)) <=> ((P @ H1 @ H2) & (all2 @ P @ T1 @ T2)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil1) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons1 @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(conjecture, conjecture, ![P:(q20261 > q20260 > $o),Q:(q20261 > q20260 > $o),L:listq20261,M:listq20260]:(((all2 @ P @ L @ M) & (all2 @ Q @ L @ M)) <=> (all2 @ ^[X:q20261,Y:q20260]:((P @ X @ Y) & (Q @ X @ Y)) @ L @ M))).
