%   ORIGINAL: real_of_num_th
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: TRUTH: T
% Assm: real_of_num: &m = mk_real (\u. treal_of_num m treal_eq u)
% Goal: mk_real ((treal_eq) (treal_of_num m)) = &m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. (\x. t x) = t
% Assm: T
% Assm: !m. &m = mk_real (\u. treal_of_num m treal_eq u)
% Goal: !m. mk_real ((treal_eq) (treal_of_num m)) = &m
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tprodhrealhreal, type, prodhrealhreal : $tType).
thf(threal, type, hreal : $tType).
%  CONSTS
thf(ctrealuu_ofuu_num, type, trealu_ofu_num : (num > prodhrealhreal)).
thf(ctrealuu_eq, type, trealu_eq : (prodhrealhreal > prodhrealhreal > $o)).
thf(cmkuu_real, type, mku_real : ((prodhrealhreal > $o) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aTRUTH, axiom, $true).
thf(arealu_ofu_num, axiom, ![M:num]:((realu_ofu_num @ M) = (mku_real @ ^[U:prodhrealhreal]:(trealu_eq @ (trealu_ofu_num @ M) @ U)))).
thf(conjecture, conjecture, ![M:num]:((mku_real @ (trealu_eq @ (trealu_ofu_num @ M))) = (realu_ofu_num @ M))).
