%   ORIGINAL: IN_ELIM_THM_conjunct4
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN: !P x. x IN P <=> P x
% Assm: TRUTH: T
% Goal: !p x. x IN (\y. p y) <=> p x
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P x. x IN P <=> P x
% Assm: T
% Goal: !p x. x IN (\y. p y) <=> p x
%  TYPES
thf(ta, type, a : $tType).
thf(tq43925, type, q43925 : $tType).
%  CONSTS
thf(cin, type, in : (q43925 > (q43925 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aIN, axiom, ![P:(q43925 > $o),X:q43925]:((in @ X @ P) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(q43925 > $o),X:q43925]:((in @ X @ ^[Y:q43925]:(P @ Y)) <=> (P @ X))).
