%   ORIGINAL: SURJECTIVE_IMAGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t. (!y. y IN t ==> (?x. f x = y)) /\ (!x. f x IN t <=> x IN s) ==> IMAGE f s = t
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: ~F <=> T
% Assm: T
% Goal: !f s t. (!y. y IN t ==> (?x. f x = y)) /\ (!x. f x IN t <=> x IN s) ==> IMAGE f s = t
%  TYPES
thf(tq47945, type, q47945 : $tType).
thf(tq47949, type, q47949 : $tType).
%  CONSTS
thf(cin0, type, in0 : (q47949 > (q47949 > $o) > $o)).
thf(cin, type, in : (q47945 > (q47945 > $o) > $o)).
thf(cimage, type, image : ((q47949 > q47945) > (q47949 > $o) > q47945 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(q47945 > $o),G:(q47945 > $o)]:(![X:q47945]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(q47945 > $o)]:(^[X:q47945]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(q47945 > $o),T:(q47945 > $o)]:((S = T) <=> ![X:q47945]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_monomorphized1, axiom, ![P:(q47949 > $o),X:q47949]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(q47945 > $o),X:q47945]:((in @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:q47945,S:(q47949 > $o),F:(q47949 > q47945)]:((in @ Y @ (image @ F @ S)) <=> ?[X:q47949]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q47949 > q47945),S:(q47949 > $o),T:(q47945 > $o)]:((![Y:q47945]:((in @ Y @ T) => ?[X:q47949]:((F @ X) = Y)) & ![X:q47949]:((in @ (F @ X) @ T) <=> (in0 @ X @ S))) => ((image @ F @ S) = T))).
