%   ORIGINAL: SET_PROVE_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SET_CASES: !s. s = {} \/ (?x t. s = x INSERT t /\ ~(x IN t))
% Assm: TRUTH: T
% Goal: !P. P {} /\ (!a s. ~(a IN s) ==> P (a INSERT s)) ==> (!s. P s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s. s = {} \/ (?x t. s = x INSERT t /\ ~(x IN t))
% Assm: T
% Goal: !P. P {} /\ (!a s. ~(a IN s) ==> P (a INSERT s)) ==> (!s. P s)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSETu_CASES, axiom, ![S:(a > $o)]:((S = empty) | ?[X:a,T:(a > $o)]:((S = (insert @ X @ T)) & ~ ((in @ X @ T))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:((a > $o) > $o)]:(((P @ empty) & ![A:a,S:(a > $o)]:(~ ((in @ A @ S)) => (P @ (insert @ A @ S)))) => ![S:(a > $o)]:(P @ S))).
