%   ORIGINAL: CARD_EQ_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_CLAUSES_conjunct0: CARD {} = 0
% Assm: CARD_CLAUSES_conjunct1: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_INSERT_EMPTY: !x s. ~(x INSERT s = {})
% Assm: NOT_SUC: !n. ~(SUC n = 0)
% Assm: TRUTH: T
% Goal: !s. FINITE s ==> (CARD s = 0 <=> s = {})
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD {} = 0
% Assm: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: ~F <=> T
% Assm: !x s. ~(x INSERT s = {})
% Assm: !n. ~(SUC n = 0)
% Assm: T
% Goal: !s. FINITE s ==> (CARD s = 0 <=> s = {})
%  TYPES
thf(tnum, type, num : $tType).
thf(tq51993, type, q51993 : $tType).
%  CONSTS
thf(cin, type, in : (q51993 > (q51993 > $o) > $o)).
thf(ccond1, type, cond1 : ($o > $o > $o > $o)).
thf(ccond0, type, cond0 : ($o > (q51993 > $o) > (q51993 > $o) > q51993 > $o)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cinsert, type, insert : (q51993 > (q51993 > $o) > q51993 > $o)).
thf(cfinite, type, finite : ((q51993 > $o) > $o)).
thf(ccard, type, card : ((q51993 > $o) > num)).
thf(cempty, type, empty : (q51993 > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(q51993 > $o),G:(q51993 > $o)]:(![X:q51993]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_CLAUSESu_conjunct0, axiom, ((card @ empty) = (numeral @ u_0))).
thf(aCARDu_CLAUSESu_conjunct1, axiom, ![X:q51993,S:(q51993 > $o)]:((finite @ S) => ((card @ (insert @ X @ S)) = (cond @ (in @ X @ S) @ (card @ S) @ (suc @ (card @ S)))))).
thf(aCONDu_CLAUSESu_monomorphized2, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:(q51993 > $o),T2:(q51993 > $o)]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:$o,T2:$o]:(((cond1 @ $true @ T1 @ T2) <=> T1) & ((cond1 @ $false @ T1 @ T2) <=> T2))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q51993 > $o) > $o)]:(((P @ empty) & ![X:q51993,S:(q51993 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q51993 > $o)]:((finite @ S) => (P @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INSERTu_EMPTY, axiom, ![X:q51993,S:(q51993 > $o)]:~ (((insert @ X @ S) = empty))).
thf(aNOTu_SUC, axiom, ![N:num]:~ (((suc @ N) = (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(q51993 > $o)]:((finite @ S) => (((card @ S) = (numeral @ u_0)) <=> (S = empty)))).
