%   ORIGINAL: HAS_SIZE_CROSS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CROSS: !s t. s CROSS t = {x,y | x IN s /\ y IN t}
% Assm: HAS_SIZE_PRODUCT: !s m t n. s HAS_SIZE m /\ t HAS_SIZE n ==> {x,y | x IN s /\ y IN t} HAS_SIZE m * n
% Assm: TRUTH: T
% Goal: !s t m n. s HAS_SIZE m /\ t HAS_SIZE n ==> s CROSS t HAS_SIZE m * n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s CROSS t = {x,y | x IN s /\ y IN t}
% Assm: !s m t n. s HAS_SIZE m /\ t HAS_SIZE n ==> {x,y | x IN s /\ y IN t} HAS_SIZE m * n
% Assm: T
% Goal: !s t m n. s HAS_SIZE m /\ t HAS_SIZE n ==> s CROSS t HAS_SIZE m * n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq54632, type, q54632 : $tType).
thf(tprodq54629q54632, type, prodq54629q54632 : $tType).
thf(tq54629, type, q54629 : $tType).
%  CONSTS
thf(cin0, type, in0 : (q54632 > (q54632 > $o) > $o)).
thf(cin, type, in : (q54629 > (q54629 > $o) > $o)).
thf(cgspec, type, gspec : ((prodq54629q54632 > $o) > prodq54629q54632 > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(chasuu_size1, type, hasu_size1 : ((prodq54629q54632 > $o) > num > $o)).
thf(chasuu_size0, type, hasu_size0 : ((q54632 > $o) > num > $o)).
thf(chasuu_size, type, hasu_size : ((q54629 > $o) > num > $o)).
thf(ccu_, type, c_ : (q54629 > q54632 > prodq54629q54632)).
thf(csetspec, type, setspec : (prodq54629q54632 > $o > prodq54629q54632 > $o)).
thf(ccross, type, cross : ((q54629 > $o) > (q54632 > $o) > prodq54629q54632 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCROSS, axiom, ![S:(q54629 > $o),T:(q54632 > $o)]:((cross @ S @ T) = (gspec @ ^[GENR_PVARR_87:prodq54629q54632]:?[X:q54629,Y:q54632]:(setspec @ GENR_PVARR_87 @ ((in @ X @ S) & (in0 @ Y @ T)) @ (c_ @ X @ Y))))).
thf(aHASu_SIZEu_PRODUCT, axiom, ![S:(q54629 > $o),M:num,T:(q54632 > $o),N:num]:(((hasu_size @ S @ M) & (hasu_size0 @ T @ N)) => (hasu_size1 @ (gspec @ ^[GENR_PVARR_86:prodq54629q54632]:?[X:q54629,Y:q54632]:(setspec @ GENR_PVARR_86 @ ((in @ X @ S) & (in0 @ Y @ T)) @ (c_ @ X @ Y))) @ (t_ @ M @ N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(q54629 > $o),T:(q54632 > $o),M:num,N:num]:(((hasu_size @ S @ M) & (hasu_size0 @ T @ N)) => (hasu_size1 @ (cross @ S @ T) @ (t_ @ M @ N)))).
