%   ORIGINAL: SUP_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: sup: !s. sup s = (@a. (!x. x IN s ==> x <= a) /\ (!b. (!x. x IN s ==> x <= b) ==> a <= b))
% Goal: !s t. (!b. (!x. x IN s ==> x <= b) <=> (!x. x IN t ==> x <= b)) ==> sup s = sup t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !s. sup s = (@a. (!x. x IN s ==> x <= a) /\ (!b. (!x. x IN s ==> x <= b) ==> a <= b))
% Goal: !s t. (!b. (!x. x IN s ==> x <= b) <=> (!x. x IN t ==> x <= b)) ==> sup s = sup t
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(chu_, type, h_ : ((real > $o) > real)).
thf(csup, type, sup : ((real > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(asup, axiom, ![S:(real > $o)]:((sup @ S) = (h_ @ ^[A:real]:(![X:real]:((in @ X @ S) => (realu_le @ X @ A)) & ![B:real]:(![X:real]:((in @ X @ S) => (realu_le @ X @ B)) => (realu_le @ A @ B)))))).
thf(conjecture, conjecture, ![S:(real > $o),T:(real > $o)]:(![B:real]:(![X:real]:((in @ X @ S) => (realu_le @ X @ B)) <=> ![X:real]:((in @ X @ T) => (realu_le @ X @ B))) => ((sup @ S) = (sup @ T)))).
