%   ORIGINAL: NSUM_LT_ALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: LT_IMP_LE: !m n. m < n ==> m <= n
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NSUM_LT: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) /\ (?x. x IN s /\ f x < g x) ==> nsum s f < nsum s g
% Assm: TRUTH: T
% Goal: !f g s. FINITE s /\ ~(s = {}) /\ (!x. x IN s ==> f x < g x) ==> nsum s f < nsum s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !m n. m < n ==> m <= n
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) /\ (?x. x IN s /\ f x < g x) ==> nsum s f < nsum s g
% Assm: T
% Goal: !f g s. FINITE s /\ ~(s = {}) /\ (!x. x IN s ==> f x < g x) ==> nsum s f < nsum s g
%  TYPES
thf(tq66709, type, q66709 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ci, type, i : ((q66709 > $o) > q66709 > $o)).
thf(cnsum, type, nsum : ((q66709 > $o) > (q66709 > num) > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cin, type, in : (q66709 > (q66709 > $o) > $o)).
thf(cempty, type, empty : (q66709 > $o)).
thf(cfinite, type, finite : ((q66709 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q66709 > $o),G:(a > q66709 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(q66709 > $o)]:(^[X:q66709]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:(q66709 > $o)]:((i @ X) = X)).
thf(aLTu_IMPu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) => (l_a_ @ M @ N))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(q66709 > $o)]:(?[X:q66709]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNSUMu_LT, axiom, ![F:(q66709 > num),G:(q66709 > num),S:(q66709 > $o)]:(((finite @ S) & ![X:q66709]:((in @ X @ S) => (l_a_ @ (F @ X) @ (G @ X))) & ?[X:q66709]:((in @ X @ S) & (l_ @ (F @ X) @ (G @ X)))) => (l_ @ (nsum @ S @ F) @ (nsum @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q66709 > num),G:(q66709 > num),S:(q66709 > $o)]:(((finite @ S) & ~ ((S = empty)) & ![X:q66709]:((in @ X @ S) => (l_ @ (F @ X) @ (G @ X)))) => (l_ @ (nsum @ S @ F) @ (nsum @ S @ G)))).
