%   ORIGINAL: NSUM_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_IMAGE: !op. monoidal op ==> (!f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> iterate op (IMAGE f s) g = iterate op s (g o f))
% Assm: MONOIDAL_ADD: monoidal (+)
% Assm: TRUTH: T
% Assm: nsum: nsum = iterate (+)
% Goal: !f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> nsum (IMAGE f s) g = nsum s (g o f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !op. monoidal op ==> (!f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> iterate op (IMAGE f s) g = iterate op s (g o f))
% Assm: monoidal (+)
% Assm: T
% Assm: nsum = iterate (+)
% Assm: nsum = iterate (+)
% Goal: !f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> nsum (IMAGE f s) g = nsum s (g o f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq67056, type, q67056 : $tType).
thf(tq67080, type, q67080 : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cnsum0, type, nsum0 : ((q67080 > $o) > (q67080 > num) > num)).
thf(cnsum, type, nsum : ((q67056 > $o) > (q67056 > num) > num)).
thf(cin, type, in : (q67080 > (q67080 > $o) > $o)).
thf(citerate0, type, iterate0 : ((num > num > num) > (q67080 > $o) > (q67080 > num) > num)).
thf(citerate, type, iterate : ((num > num > num) > (q67056 > $o) > (q67056 > num) > num)).
thf(co, type, o : ((q67056 > num) > (q67080 > q67056) > q67080 > num)).
thf(cimage, type, image : ((q67080 > q67056) > (q67080 > $o) > q67056 > $o)).
thf(cmonoidal, type, monoidal : ((num > num > num) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > q67080),G:(a > q67080)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > q67056),G:(a > q67056)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_IMAGE, axiom, ![OP:(num > num > num)]:((monoidal @ OP) => ![F:(q67080 > q67056),G:(q67056 > num),S:(q67080 > $o)]:(![X:q67080,Y:q67080]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) => ((iterate @ OP @ (image @ F @ S) @ G) = (iterate0 @ OP @ S @ (o @ G @ F)))))).
thf(aMONOIDALu_ADD, axiom, (monoidal @ p_)).
thf(aTRUTH, axiom, $true).
thf(ansumu_monomorphized1, axiom, (nsum0 = (iterate0 @ p_))).
thf(ansumu_monomorphized0, axiom, (nsum = (iterate @ p_))).
thf(conjecture, conjecture, ![F:(q67080 > q67056),G:(q67056 > num),S:(q67080 > $o)]:(![X:q67080,Y:q67080]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) => ((nsum @ (image @ F @ S) @ G) = (nsum0 @ S @ (o @ G @ F))))).
