%   ORIGINAL: NSUM_UNION_LZERO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NSUM_UNION_RZERO: !f u v. FINITE u /\ (!x. x IN v /\ ~(x IN u) ==> f x = 0) ==> nsum (u UNION v) f = nsum u f
% Assm: TRUTH: T
% Assm: UNION_COMM: !s t. s UNION t = t UNION s
% Goal: !f u v. FINITE v /\ (!x. x IN u /\ ~(x IN v) ==> f x = 0) ==> nsum (u UNION v) f = nsum v f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !f u v. FINITE u /\ (!x. x IN v /\ ~(x IN u) ==> f x = 0) ==> nsum (u UNION v) f = nsum u f
% Assm: T
% Assm: !s t. s UNION t = t UNION s
% Goal: !f u v. FINITE v /\ (!x. x IN u /\ ~(x IN v) ==> f x = 0) ==> nsum (u UNION v) f = nsum v f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cnsum, type, nsum : ((a > $o) > (a > num) > num)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:num]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNSUMu_UNIONu_RZERO, axiom, ![F:(a > num),U:(a > $o),V:(a > $o)]:(((finite @ U) & ![X:a]:(((in @ X @ V) & ~ ((in @ X @ U))) => ((F @ X) = (numeral @ u_0)))) => ((nsum @ (union @ U @ V) @ F) = (nsum @ U @ F)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONu_COMM, axiom, ![S:(a > $o),T:(a > $o)]:((union @ S @ T) = (union @ T @ S))).
thf(conjecture, conjecture, ![F:(a > num),U:(a > $o),V:(a > $o)]:(((finite @ V) & ![X:a]:(((in @ X @ U) & ~ ((in @ X @ V))) => ((F @ X) = (numeral @ u_0)))) => ((nsum @ (union @ U @ V) @ F) = (nsum @ V @ F)))).
