%   ORIGINAL: SUM_CLAUSES_NUMSEG_conjunct1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITERATE_CLAUSES_NUMSEG: !op. monoidal op ==> (!m. iterate op (m..0) f = (if m = 0 then f 0 else neutral op)) /\ (!m n. iterate op (m..SUC n) f = (if m <= SUC n then op (iterate op (m..n) f) (f (SUC n)) else iterate op (m..n) f))
% Assm: MONOIDAL_REAL_ADD: monoidal (+)
% Assm: NEUTRAL_REAL_ADD: neutral (+) = &0
% Assm: TRUTH: T
% Assm: sum: sum = iterate (+)
% Goal: !m n. sum (m..SUC n) f = (if m <= SUC n then sum (m..n) f + f (SUC n) else sum (m..n) f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f op. monoidal op ==> (!m. iterate op (m..0) f = (if m = 0 then f 0 else neutral op)) /\ (!m n. iterate op (m..SUC n) f = (if m <= SUC n then op (iterate op (m..n) f) (f (SUC n)) else iterate op (m..n) f))
% Assm: monoidal (+)
% Assm: neutral (+) = &0
% Assm: T
% Assm: sum = iterate (+)
% Goal: !f m n. sum (m..SUC n) f = (if m <= SUC n then sum (m..n) f + f (SUC n) else sum (m..n) f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cneutral, type, neutral : ((real > real > real) > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(citerate, type, iterate : ((real > real > real) > (num > $o) > (num > real) > real)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERATEu_CLAUSESu_NUMSEG, axiom, ![F:(num > real),OP:(real > real > real)]:((monoidal @ OP) => (![M:num]:((iterate @ OP @ (o_o_ @ M @ (numeral @ u_0)) @ F) = (cond @ (M = (numeral @ u_0)) @ (F @ (numeral @ u_0)) @ (neutral @ OP))) & ![M:num,N:num]:((iterate @ OP @ (o_o_ @ M @ (suc @ N)) @ F) = (cond @ (l_a_ @ M @ (suc @ N)) @ (OP @ (iterate @ OP @ (o_o_ @ M @ N) @ F) @ (F @ (suc @ N))) @ (iterate @ OP @ (o_o_ @ M @ N) @ F)))))).
thf(aMONOIDALu_REALu_ADD, axiom, (monoidal @ realu_add)).
thf(aNEUTRALu_REALu_ADD, axiom, ((neutral @ realu_add) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(asum, axiom, (sum = (iterate @ realu_add))).
thf(conjecture, conjecture, ![F:(num > real),M:num,N:num]:((sum @ (o_o_ @ M @ (suc @ N)) @ F) = (cond @ (l_a_ @ M @ (suc @ N)) @ (realu_add @ (sum @ (o_o_ @ M @ N) @ F) @ (F @ (suc @ N))) @ (sum @ (o_o_ @ M @ N) @ F)))).
