%   ORIGINAL: FINITE_SUM_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: finite_sum_tybij_conjunct0: !a. mk_finite_sum (dest_finite_sum a) = a
% Assm: finite_sum_tybij_conjunct1: !r. r IN 1..dimindex (:A) + dimindex (:B) <=> dest_finite_sum (mk_finite_sum r) = r
% Goal: (:(A,B)finite_sum) = IMAGE mk_finite_sum (1..dimindex (:A) + dimindex (:B))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. x IN (:(A,B)finite_sum)
% Assm: !x. x IN (:B)
% Assm: !x. x IN (:A)
% Assm: ~F <=> T
% Assm: T
% Assm: !a. mk_finite_sum (dest_finite_sum a) = a
% Assm: !r. r IN 1..dimindex (:A) + dimindex (:B) <=> dest_finite_sum (mk_finite_sum r) = r
% Goal: (:(A,B)finite_sum) = IMAGE mk_finite_sum (1..dimindex (:A) + dimindex (:B))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tfiniteu_sumab, type, finite_sumab : $tType).
%  CONSTS
thf(cuniv1, type, univ1 : (b > $o)).
thf(cin2, type, in2 : (a > (a > $o) > $o)).
thf(cin1, type, in1 : (b > (b > $o) > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cin, type, in : (finite_sumab > (finite_sumab > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cmkuu_finiteuu_sum, type, mku_finiteu_sum : (num > finite_sumab)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cimage, type, image : ((num > finite_sumab) > (num > $o) > finite_sumab > $o)).
thf(cuniv, type, univ : (finite_sumab > $o)).
thf(cdestuu_finiteuu_sum, type, destu_finiteu_sum : (finite_sumab > num)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cuniv0, type, univ0 : (a > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > finite_sumab > $o),G:(a > finite_sumab > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(finite_sumab > $o)]:(^[X:finite_sumab]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(finite_sumab > $o),T:(finite_sumab > $o)]:((S = T) <=> ![X:finite_sumab]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_IMAGE, axiom, ![Y:finite_sumab,S:(num > $o),F:(num > finite_sumab)]:((in @ Y @ (image @ F @ S)) <=> ?[X:num]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_UNIVu_monomorphized2, axiom, ![X:finite_sumab]:(in @ X @ univ)).
thf(aINu_UNIVu_monomorphized1, axiom, ![X:b]:(in1 @ X @ univ1)).
thf(aINu_UNIVu_monomorphized0, axiom, ![X:a]:(in2 @ X @ univ0)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(afiniteu_sumu_tybiju_conjunct0, axiom, ![A:finite_sumab]:((mku_finiteu_sum @ (destu_finiteu_sum @ A)) = A)).
thf(afiniteu_sumu_tybiju_conjunct1, axiom, ![R:num]:((in0 @ R @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (p_ @ (dimindex @ univ0) @ (dimindex0 @ univ1)))) <=> ((destu_finiteu_sum @ (mku_finiteu_sum @ R)) = R))).
thf(conjecture, conjecture, (univ = (image @ mku_finiteu_sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (p_ @ (dimindex @ univ0) @ (dimindex0 @ univ1)))))).
