%   ORIGINAL: WOSET_WELL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: woset: !l. woset l <=> (!x. fl l x ==> l (x,x)) /\ (!x y z. l (x,y) /\ l (y,z) ==> l (x,z)) /\ (!x y. l (x,y) /\ l (y,x) ==> x = y) /\ (!x y. fl l x /\ fl l y ==> l (x,y) \/ l (y,x)) /\ (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. P z ==> l (y,z))))
% Goal: !l. woset l ==> (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. P z ==> l (y,z))))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !l. woset l <=> (!x. fl l x ==> l (x,x)) /\ (!x y z. l (x,y) /\ l (y,z) ==> l (x,z)) /\ (!x y. l (x,y) /\ l (y,x) ==> x = y) /\ (!x y. fl l x /\ fl l y ==> l (x,y) \/ l (y,x)) /\ (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. P z ==> l (y,z))))
% Goal: !l. woset l ==> (!P. (!x. P x ==> fl l x) /\ (?x. P x) ==> (?y. P y /\ (!z. P z ==> l (y,z))))
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cfl, type, fl : ((prodaa > $o) > a > $o)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(cwoset, type, woset : ((prodaa > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(awoset, axiom, ![L:(prodaa > $o)]:((woset @ L) <=> (![X:a]:((fl @ L @ X) => (L @ (c_ @ X @ X))) & ![X:a,Y:a,Z:a]:(((L @ (c_ @ X @ Y)) & (L @ (c_ @ Y @ Z))) => (L @ (c_ @ X @ Z))) & ![X:a,Y:a]:(((L @ (c_ @ X @ Y)) & (L @ (c_ @ Y @ X))) => (X = Y)) & ![X:a,Y:a]:(((fl @ L @ X) & (fl @ L @ Y)) => ((L @ (c_ @ X @ Y)) | (L @ (c_ @ Y @ X)))) & ![P:(a > $o)]:((![X:a]:((P @ X) => (fl @ L @ X)) & ?[X:a]:(P @ X)) => ?[Y:a]:((P @ Y) & ![Z:a]:((P @ Z) => (L @ (c_ @ Y @ Z)))))))).
thf(conjecture, conjecture, ![L:(prodaa > $o)]:((woset @ L) => ![P:(a > $o)]:((![X:a]:((P @ X) => (fl @ L @ X)) & ?[X:a]:(P @ X)) => ?[Y:a]:((P @ Y) & ![Z:a]:((P @ Z) => (L @ (c_ @ Y @ Z))))))).
