%   ORIGINAL: BIJECTIVE_INVERSES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BIJECTIVE_INJECTIVE_SURJECTIVE: (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?!x. x IN s /\ f x = y)) <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ (!y. y IN t ==> (?x. x IN s /\ f x = y))
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INJECTIVE_ON_LEFT_INVERSE: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SURJECTIVE_ON_RIGHT_INVERSE: !f t. (!y. y IN t ==> (?x. x IN s /\ f x = y)) <=> (?g. !y. y IN t ==> g y IN s /\ f (g y) = y)
% Assm: TRUTH: T
% Goal: (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?!x. x IN s /\ f x = y)) <=> (!x. x IN s ==> f x IN t) /\ (?g. (!y. y IN t ==> g y IN s) /\ (!y. y IN t ==> f (g y) = y) /\ (!x. x IN s ==> g (f x) = x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t s f. (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?x. x IN s /\ f x = y) /\ (!x x'. (x IN s /\ f x = y) /\ x' IN s /\ f x' = y ==> x = x')) <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ (!y. y IN t ==> (?x. x IN s /\ f x = y))
% Assm: !t s f. (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?x. x IN s /\ f x = y) /\ (!x x'. (x IN s /\ f x = y) /\ x' IN s /\ f x' = y ==> x = x')) <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ (!y. y IN t ==> (?x. x IN s /\ f x = y))
% Assm: !t s f. (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?x. x IN s /\ f x = y) /\ (!x x'. (x IN s /\ f x = y) /\ x' IN s /\ f x' = y ==> x = x')) <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ (!y. y IN t ==> (?x. x IN s /\ f x = y))
% Assm: !t s f. (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?x. x IN s /\ f x = y) /\ (!x x'. (x IN s /\ f x = y) /\ x' IN s /\ f x' = y ==> x = x')) <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ (!y. y IN t ==> (?x. x IN s /\ f x = y))
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s. (!x y. x IN s /\ y IN s /\ (f x <=> f y) ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ (f x <=> f y) ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: !x. I x <=> x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s f t. (!y. y IN t ==> (?x. x IN s /\ f x = y)) <=> (?g. !y. y IN t ==> g y IN s /\ f (g y) = y)
% Assm: !s f t. (!y. y IN t ==> (?x. x IN s /\ f x = y)) <=> (?g. !y. y IN t ==> g y IN s /\ f (g y) = y)
% Assm: !s f t. (!y. y IN t ==> (?x. x IN s /\ f x = y)) <=> (?g. !y. y IN t ==> g y IN s /\ f (g y) = y)
% Assm: !s f t. (!y. y IN t ==> (?x. x IN s /\ f x = y)) <=> (?g. !y. y IN t ==> g y IN s /\ f (g y) = y)
% Assm: T
% Goal: !f s t. (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?x. x IN s /\ f x = y) /\ (!x x'. (x IN s /\ f x = y) /\ x' IN s /\ f x' = y ==> x = x')) <=> (!x. x IN s ==> f x IN t) /\ (?g. (!y. y IN t ==> g y IN s) /\ (!y. y IN t ==> f (g y) = y) /\ (!x. x IN s ==> g (f x) = x))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq86773, type, q86773 : $tType).
thf(tq86774, type, q86774 : $tType).
%  CONSTS
thf(cin0, type, in0 : (q86773 > (q86773 > $o) > $o)).
thf(cin, type, in : (q86774 > (q86774 > $o) > $o)).
thf(ci, type, i : ($o > $o)).
thf(ci0, type, i0 : (q86774 > q86774)).
thf(ci1, type, i1 : (q86773 > q86773)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > q86774),G:(a > q86774)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > q86773),G:(a > q86773)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBIJECTIVEu_INJECTIVEu_SURJECTIVEu_monomorphized3, axiom, ![T:(q86774 > $o),S:(q86774 > $o),F:(q86774 > q86774)]:((![X:q86774]:((in @ X @ S) => (in @ (F @ X) @ T)) & ![Y:q86774]:((in @ Y @ T) => (?[X:q86774]:((in @ X @ S) & ((F @ X) = Y)) & ![X:q86774,XI_:q86774]:(((in @ X @ S) & ((F @ X) = Y) & (in @ XI_ @ S) & ((F @ XI_) = Y)) => (X = XI_))))) <=> (![X:q86774]:((in @ X @ S) => (in @ (F @ X) @ T)) & ![X:q86774,Y:q86774]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & ![Y:q86774]:((in @ Y @ T) => ?[X:q86774]:((in @ X @ S) & ((F @ X) = Y)))))).
thf(aBIJECTIVEu_INJECTIVEu_SURJECTIVEu_monomorphized2, axiom, ![T:(q86774 > $o),S:(q86773 > $o),F:(q86773 > q86774)]:((![X:q86773]:((in0 @ X @ S) => (in @ (F @ X) @ T)) & ![Y:q86774]:((in @ Y @ T) => (?[X:q86773]:((in0 @ X @ S) & ((F @ X) = Y)) & ![X:q86773,XI_:q86773]:(((in0 @ X @ S) & ((F @ X) = Y) & (in0 @ XI_ @ S) & ((F @ XI_) = Y)) => (X = XI_))))) <=> (![X:q86773]:((in0 @ X @ S) => (in @ (F @ X) @ T)) & ![X:q86773,Y:q86773]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & ![Y:q86774]:((in @ Y @ T) => ?[X:q86773]:((in0 @ X @ S) & ((F @ X) = Y)))))).
thf(aBIJECTIVEu_INJECTIVEu_SURJECTIVEu_monomorphized1, axiom, ![T:(q86773 > $o),S:(q86774 > $o),F:(q86774 > q86773)]:((![X:q86774]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![Y:q86773]:((in0 @ Y @ T) => (?[X:q86774]:((in @ X @ S) & ((F @ X) = Y)) & ![X:q86774,XI_:q86774]:(((in @ X @ S) & ((F @ X) = Y) & (in @ XI_ @ S) & ((F @ XI_) = Y)) => (X = XI_))))) <=> (![X:q86774]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:q86774,Y:q86774]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & ![Y:q86773]:((in0 @ Y @ T) => ?[X:q86774]:((in @ X @ S) & ((F @ X) = Y)))))).
thf(aBIJECTIVEu_INJECTIVEu_SURJECTIVEu_monomorphized0, axiom, ![T:(q86773 > $o),S:(q86773 > $o),F:(q86773 > q86773)]:((![X:q86773]:((in0 @ X @ S) => (in0 @ (F @ X) @ T)) & ![Y:q86773]:((in0 @ Y @ T) => (?[X:q86773]:((in0 @ X @ S) & ((F @ X) = Y)) & ![X:q86773,XI_:q86773]:(((in0 @ X @ S) & ((F @ X) = Y) & (in0 @ XI_ @ S) & ((F @ XI_) = Y)) => (X = XI_))))) <=> (![X:q86773]:((in0 @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:q86773,Y:q86773]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & ![Y:q86773]:((in0 @ Y @ T) => ?[X:q86773]:((in0 @ X @ S) & ((F @ X) = Y)))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINJECTIVEu_ONu_LEFTu_INVERSEu_monomorphized5, axiom, ![F:(q86774 > $o),S:(q86774 > $o)]:(![X:q86774,Y:q86774]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) <=> (F @ Y))) => (X = Y)) <=> ?[G:($o > q86774)]:![X:q86774]:((in @ X @ S) => ((G @ (F @ X)) = X)))).
thf(aINJECTIVEu_ONu_LEFTu_INVERSEu_monomorphized4, axiom, ![F:(q86774 > q86774),S:(q86774 > $o)]:(![X:q86774,Y:q86774]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) <=> ?[G:(q86774 > q86774)]:![X:q86774]:((in @ X @ S) => ((G @ (F @ X)) = X)))).
thf(aINJECTIVEu_ONu_LEFTu_INVERSEu_monomorphized3, axiom, ![F:(q86774 > q86773),S:(q86774 > $o)]:(![X:q86774,Y:q86774]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) <=> ?[G:(q86773 > q86774)]:![X:q86774]:((in @ X @ S) => ((G @ (F @ X)) = X)))).
thf(aINJECTIVEu_ONu_LEFTu_INVERSEu_monomorphized2, axiom, ![F:(q86773 > $o),S:(q86773 > $o)]:(![X:q86773,Y:q86773]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) <=> (F @ Y))) => (X = Y)) <=> ?[G:($o > q86773)]:![X:q86773]:((in0 @ X @ S) => ((G @ (F @ X)) = X)))).
thf(aINJECTIVEu_ONu_LEFTu_INVERSEu_monomorphized1, axiom, ![F:(q86773 > q86774),S:(q86773 > $o)]:(![X:q86773,Y:q86773]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) <=> ?[G:(q86774 > q86773)]:![X:q86773]:((in0 @ X @ S) => ((G @ (F @ X)) = X)))).
thf(aINJECTIVEu_ONu_LEFTu_INVERSEu_monomorphized0, axiom, ![F:(q86773 > q86773),S:(q86773 > $o)]:(![X:q86773,Y:q86773]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) <=> ?[G:(q86773 > q86773)]:![X:q86773]:((in0 @ X @ S) => ((G @ (F @ X)) = X)))).
thf(aIu_THMu_monomorphized2, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:q86774]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:q86773]:((i1 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSURJECTIVEu_ONu_RIGHTu_INVERSEu_monomorphized3, axiom, ![S:(q86774 > $o),F:(q86774 > q86774),T:(q86774 > $o)]:(![Y:q86774]:((in @ Y @ T) => ?[X:q86774]:((in @ X @ S) & ((F @ X) = Y))) <=> ?[G:(q86774 > q86774)]:![Y:q86774]:((in @ Y @ T) => ((in @ (G @ Y) @ S) & ((F @ (G @ Y)) = Y))))).
thf(aSURJECTIVEu_ONu_RIGHTu_INVERSEu_monomorphized2, axiom, ![S:(q86774 > $o),F:(q86774 > q86773),T:(q86773 > $o)]:(![Y:q86773]:((in0 @ Y @ T) => ?[X:q86774]:((in @ X @ S) & ((F @ X) = Y))) <=> ?[G:(q86773 > q86774)]:![Y:q86773]:((in0 @ Y @ T) => ((in @ (G @ Y) @ S) & ((F @ (G @ Y)) = Y))))).
thf(aSURJECTIVEu_ONu_RIGHTu_INVERSEu_monomorphized1, axiom, ![S:(q86773 > $o),F:(q86773 > q86774),T:(q86774 > $o)]:(![Y:q86774]:((in @ Y @ T) => ?[X:q86773]:((in0 @ X @ S) & ((F @ X) = Y))) <=> ?[G:(q86774 > q86773)]:![Y:q86774]:((in @ Y @ T) => ((in0 @ (G @ Y) @ S) & ((F @ (G @ Y)) = Y))))).
thf(aSURJECTIVEu_ONu_RIGHTu_INVERSEu_monomorphized0, axiom, ![S:(q86773 > $o),F:(q86773 > q86773),T:(q86773 > $o)]:(![Y:q86773]:((in0 @ Y @ T) => ?[X:q86773]:((in0 @ X @ S) & ((F @ X) = Y))) <=> ?[G:(q86773 > q86773)]:![Y:q86773]:((in0 @ Y @ T) => ((in0 @ (G @ Y) @ S) & ((F @ (G @ Y)) = Y))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q86774 > q86773),S:(q86774 > $o),T:(q86773 > $o)]:((![X:q86774]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![Y:q86773]:((in0 @ Y @ T) => (?[X:q86774]:((in @ X @ S) & ((F @ X) = Y)) & ![X:q86774,XI_:q86774]:(((in @ X @ S) & ((F @ X) = Y) & (in @ XI_ @ S) & ((F @ XI_) = Y)) => (X = XI_))))) <=> (![X:q86774]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ?[G:(q86773 > q86774)]:(![Y:q86773]:((in0 @ Y @ T) => (in @ (G @ Y) @ S)) & ![Y:q86773]:((in0 @ Y @ T) => ((F @ (G @ Y)) = Y)) & ![X:q86774]:((in @ X @ S) => ((G @ (F @ X)) = X)))))).
