%   ORIGINAL: CARD_LE_TRANS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: le_c: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !s t u. s <=_c t /\ t <=_c u ==> s <=_c u
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !s t u. s <=_c t /\ t <=_c u ==> s <=_c u
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
%  CONSTS
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cin0, type, in0 : (c > (c > $o) > $o)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(clu_au_uu_c1, type, l_a_u_c1 : ((a > $o) > (c > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((b > $o) > (c > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((a > $o) > (b > $o) > $o)).
thf(co, type, o : ((b > c) > (a > b) > a > c)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aleu_cu_monomorphized2, axiom, ![T:(c > $o),S:(b > $o)]:((l_a_u_c0 @ S @ T) <=> ?[F:(b > c)]:(![X:b]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:b,Y:b]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aleu_cu_monomorphized1, axiom, ![T:(c > $o),S:(a > $o)]:((l_a_u_c1 @ S @ T) <=> ?[F:(a > c)]:(![X:a]:((in1 @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:a,Y:a]:(((in1 @ X @ S) & (in1 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aleu_cu_monomorphized0, axiom, ![T:(b > $o),S:(a > $o)]:((l_a_u_c @ S @ T) <=> ?[F:(a > b)]:(![X:a]:((in1 @ X @ S) => (in @ (F @ X) @ T)) & ![X:a,Y:a]:(((in1 @ X @ S) & (in1 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(a > $o),T:(b > $o),U:(c > $o)]:(((l_a_u_c @ S @ T) & (l_a_u_c0 @ T @ U)) => (l_a_u_c1 @ S @ U))).
