%   ORIGINAL: CARD_LE_SQUARE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: IN_CARD_MUL: !s t x y. x,y IN s *_c t <=> x IN s /\ y IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PAIR_EQ: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: TRUTH: T
% Assm: le_c: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Goal: !s. s <=_c s *_c s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: (?) = (\P. P ((@) P))
% Assm: !s t x y. x,y IN s *_c t <=> x IN s /\ y IN t
% Assm: ~F <=> T
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: T
% Assm: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Goal: !s. s <=_c s *_c s
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (prodaa > (prodaa > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((a > $o) > (prodaa > $o) > $o)).
thf(ccu_0, type, c_0 : (a > b > prodab)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(ctu_uu_c, type, t_u_c : ((a > $o) > (a > $o) > prodaa > $o)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aINu_CARDu_MUL, axiom, ![S:(a > $o),T:(a > $o),X:a,Y:a]:((in @ (c_ @ X @ Y) @ (t_u_c @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ Y @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPAIRu_EQ, axiom, ![X:a,Y:b,A:a,B:b]:(((c_0 @ X @ Y) = (c_0 @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aTRUTH, axiom, $true).
thf(aleu_c, axiom, ![T:(prodaa > $o),S:(a > $o)]:((l_a_u_c @ S @ T) <=> ?[F:(a > prodaa)]:(![X:a]:((in0 @ X @ S) => (in @ (F @ X) @ T)) & ![X:a,Y:a]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(conjecture, conjecture, ![S:(a > $o)]:(l_a_u_c @ S @ (t_u_c @ S @ S))).
