%   ORIGINAL: CARD_LE_COUNTABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_LE_TRANS: !s t u. s <=_c t /\ t <=_c u ==> s <=_c u
% Assm: COUNTABLE: !t. COUNTABLE t <=> (:num) >=_c t
% Assm: TRUTH: T
% Assm: ge_c: !t s. s >=_c t <=> t <=_c s
% Goal: !s t. COUNTABLE t /\ s <=_c t ==> COUNTABLE s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t u. s <=_c t /\ t <=_c u ==> s <=_c u
% Assm: !t. COUNTABLE t <=> (:num) >=_c t
% Assm: !t. COUNTABLE t <=> (:num) >=_c t
% Assm: T
% Assm: !t s. s >=_c t <=> t <=_c s
% Goal: !s t. COUNTABLE t /\ s <=_c t ==> COUNTABLE s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq91221, type, q91221 : $tType).
%  CONSTS
thf(cgu_au_uu_c1, type, g_a_u_c1 : ((a > $o) > (q91221 > $o) > $o)).
thf(cgu_au_uu_c0, type, g_a_u_c0 : ((num > $o) > (q91221 > $o) > $o)).
thf(cgu_au_uu_c, type, g_a_u_c : ((num > $o) > (a > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((a > $o) > (a > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((q91221 > $o) > (a > $o) > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(ccountable0, type, countable0 : ((q91221 > $o) > $o)).
thf(ccountable, type, countable : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_LEu_TRANS, axiom, ![S:(q91221 > $o),T:(a > $o),U:(a > $o)]:(((l_a_u_c @ S @ T) & (l_a_u_c0 @ T @ U)) => (l_a_u_c @ S @ U))).
thf(aCOUNTABLEu_monomorphized1, axiom, ![T:(a > $o)]:((countable @ T) <=> (g_a_u_c @ univ @ T))).
thf(aCOUNTABLEu_monomorphized0, axiom, ![T:(q91221 > $o)]:((countable0 @ T) <=> (g_a_u_c0 @ univ @ T))).
thf(aTRUTH, axiom, $true).
thf(ageu_c, axiom, ![T:(q91221 > $o),S:(a > $o)]:((g_a_u_c1 @ S @ T) <=> (l_a_u_c @ T @ S))).
thf(conjecture, conjecture, ![S:(q91221 > $o),T:(a > $o)]:(((countable @ T) & (l_a_u_c @ S @ T)) => (countable0 @ S))).
