%   ORIGINAL: NORM_EQ_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DOT_POS_LE: !x. &0 <= x dot x
% Assm: REAL_POS: !n. &0 <= &n
% Assm: SQRT_1: sqrt (&1) = &1
% Assm: SQRT_INJ: !x y. &0 <= x /\ &0 <= y ==> (sqrt x = sqrt y <=> x = y)
% Assm: TRUTH: T
% Assm: Trigonometry.XHVXJVB: !x. norm x = sqrt (x dot x)
% Goal: !x. norm x = &1 <=> x dot x = &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. &0 <= x dot x
% Assm: !n. &0 <= &n
% Assm: sqrt (&1) = &1
% Assm: !x y. &0 <= x /\ &0 <= y ==> (sqrt x = sqrt y <=> x = y)
% Assm: T
% Assm: !x. norm x = sqrt (x dot x)
% Goal: !x. norm x = &1 <=> x dot x = &1
%  TYPES
thf(tcartrealq100898, type, cartrealq100898 : $tType).
thf(tq100898, type, q100898 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdot, type, dot : (cartrealq100898 > cartrealq100898 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq100898 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDOTu_POSu_LE, axiom, ![X:cartrealq100898]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (dot @ X @ X))).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aSQRTu_1, axiom, ((sqrt @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aSQRTu_INJ, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (((sqrt @ X) = (sqrt @ Y)) <=> (X = Y)))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_XHVXJVB, axiom, ![X:cartrealq100898]:((vectoru_norm @ X) = (sqrt @ (dot @ X @ X)))).
thf(conjecture, conjecture, ![X:cartrealq100898]:(((vectoru_norm @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) <=> ((dot @ X @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
