%   ORIGINAL: VECTOR_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct1: _0 <= _0 <=> T
% Assm: ARITH_LE_conjunct9: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: ARITH_SUB_conjunct0: !m n. NUMERAL m - NUMERAL n = NUMERAL (m - n)
% Assm: ARITH_SUB_conjunct1: _0 - _0 = _0
% Assm: ARITH_SUB_conjunct9: !m n. BIT1 m - BIT1 n = BIT0 (m - n)
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: EL_conjunct0: EL 0 l = HD l
% Assm: HD: HD (CONS h t) = h
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: TRUTH: T
% Assm: vector: !l. vector l = (lambda i. EL (i - 1) l)
% Goal: vector [x]$1 = x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: _0 <= _0 <=> T
% Assm: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: !m n. NUMERAL m - NUMERAL n = NUMERAL (m - n)
% Assm: _0 - _0 = _0
% Assm: !m n. BIT1 m - BIT1 n = BIT0 (m - n)
% Assm: BIT0 _0 = _0
% Assm: dimindex (:1) = 1
% Assm: !l. EL 0 l = HD l
% Assm: !t h. HD (CONS h t) = h
% Assm: !g i. 1 <= i /\ i <= dimindex (:1) ==> (lambda) g$i = g i
% Assm: T
% Assm: !l. vector l = (lambda i. EL (i - 1) l)
% Goal: !x. vector [x]$1 = x
%  TYPES
thf(tnum, type, num : $tType).
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
thf(tcartan1, type, cartan1 : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(clambda0, type, lambda0 : ((num > a) > cartan1)).
thf(cmu_, type, m_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cvector, type, vector : (lista > cartan1)).
thf(cel, type, el : (num > lista > a)).
thf(cdu_, type, d_ : (cartan1 > num > a)).
thf(chd, type, hd : (lista > a)).
thf(ccons, type, cons : (a > lista > lista)).
thf(cuniv, type, univ : (n1 > $o)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnil, type, nil : lista).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct1, axiom, ((l_a_ @ u_0 @ u_0) <=> $true)).
thf(aARITHu_LEu_conjunct9, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_SUBu_conjunct0, axiom, ![M:num,N:num]:((m_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (m_ @ M @ N)))).
thf(aARITHu_SUBu_conjunct1, axiom, ((m_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_SUBu_conjunct9, axiom, ![M:num,N:num]:((m_ @ (bit1 @ M) @ (bit1 @ N)) = (bit0 @ (m_ @ M @ N)))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aELu_conjunct0, axiom, ![L:lista]:((el @ (numeral @ u_0) @ L) = (hd @ L))).
thf(aHD, axiom, ![T:lista,H:a]:((hd @ (cons @ H @ T)) = H)).
thf(aLAMBDAu_BETA, axiom, ![G:(num > a),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aTRUTH, axiom, $true).
thf(avector, axiom, ![L:lista]:((vector @ L) = (lambda0 @ ^[I:num]:(el @ (m_ @ I @ (numeral @ (bit1 @ u_0))) @ L)))).
thf(conjecture, conjecture, ![X:a]:((d_ @ (vector @ (cons @ X @ nil)) @ (numeral @ (bit1 @ u_0))) = X)).
