%   ORIGINAL: LINEAR_NEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LINEAR_CMUL: !f c x. linear f ==> f (c % x) = c % f x
% Assm: TRUTH: T
% Assm: VECTOR_NEG_MINUS1: --x = -- &1 % x
% Goal: !f x. linear f ==> f (--x) = --f x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f c x. linear f ==> f (c % x) = c % f x
% Assm: T
% Assm: !x. --x = -- &1 % x
% Goal: !f x. linear f ==> f (--x) = --f x
%  TYPES
thf(tcartrealq109344, type, cartrealq109344 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq109344, type, q109344 : $tType).
thf(tq109345, type, q109345 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq109345, type, cartrealq109345 : $tType).
%  CONSTS
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_0, type, r_0 : (real > cartrealq109345 > cartrealq109345)).
thf(cru_, type, r_ : (real > cartrealq109344 > cartrealq109344)).
thf(clinear, type, linear : ((cartrealq109344 > cartrealq109345) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq109344 > cartrealq109344)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cvectoruu_neg0, type, vectoru_neg0 : (cartrealq109345 > cartrealq109345)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq109345),G:(a > cartrealq109345)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLINEARu_CMUL, axiom, ![F:(cartrealq109344 > cartrealq109345),C:real,X:cartrealq109344]:((linear @ F) => ((F @ (r_ @ C @ X)) = (r_0 @ C @ (F @ X))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_NEGu_MINUS1, axiom, ![X:cartrealq109345]:((vectoru_neg0 @ X) = (r_0 @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(conjecture, conjecture, ![F:(cartrealq109344 > cartrealq109345),X:cartrealq109344]:((linear @ F) => ((F @ (vectoru_neg @ X)) = (vectoru_neg0 @ (F @ X))))).
