%   ORIGINAL: MATRIX_NEG_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_ID: !b t. (if b then t else t) = t
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: TRUTH: T
% Assm: mat: !k. mat k = (lambda i j. if i = j then &k else &0)
% Assm: matrix_neg: !A. --A = (lambda i j. --(A$i$j))
% Goal: --mat 0 = mat 0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:?113308) ==> x$i = y$i)
% Assm: !b t. (if b then t else t) = t
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: -- &0 = &0
% Assm: T
% Assm: !k. mat k = (lambda i j. if i = j then &k else &0)
% Assm: !A. --A = (lambda i j. --(A$i$j))
% Goal: --mat 0 = mat 0
%  TYPES
thf(tq113307, type, q113307 : $tType).
thf(tnum, type, num : $tType).
thf(tq113308, type, q113308 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealq113307q113308, type, cartcartrealq113307q113308 : $tType).
thf(tcartcartcartrealq113307q113308b, type, cartcartcartrealq113307q113308b : $tType).
thf(tcartrealq113307, type, cartrealq113307 : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv, type, univ : (q113308 > $o)).
thf(cdu_1, type, d_1 : (cartrealq113307 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda0, type, lambda0 : ((num > cartcartrealq113307q113308) > cartcartcartrealq113307q113308b)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdu_0, type, d_0 : (cartcartcartrealq113307q113308b > num > cartcartrealq113307q113308)).
thf(ccond, type, cond : ($o > cartcartrealq113307q113308 > cartcartrealq113307q113308 > cartcartrealq113307q113308)).
thf(cdu_, type, d_ : (cartcartrealq113307q113308 > num > cartrealq113307)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((q113308 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(clambda2, type, lambda2 : ((num > real) > cartrealq113307)).
thf(clambda1, type, lambda1 : ((num > cartrealq113307) > cartcartrealq113307q113308)).
thf(cmat, type, mat : (num > cartcartrealq113307q113308)).
thf(cmatrixuu_neg, type, matrixu_neg : (cartcartrealq113307q113308 > cartcartrealq113307q113308)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartcartrealq113307q113308),G:(a > cartcartrealq113307q113308)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartcartrealq113307q113308,Y:cartcartrealq113307q113308]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_ID, axiom, ![B:$o,T:cartcartrealq113307q113308]:((cond @ B @ T @ T) = T)).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartcartrealq113307q113308),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(amat, axiom, ![K:num]:((mat @ K) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(cond0 @ (I = J) @ (realu_ofu_num @ K) @ (realu_ofu_num @ (numeral @ u_0))))))).
thf(amatrixu_neg, axiom, ![A:cartcartrealq113307q113308]:((matrixu_neg @ A) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(realu_neg @ (d_1 @ (d_ @ A @ I) @ J)))))).
thf(conjecture, conjecture, ((matrixu_neg @ (mat @ (numeral @ u_0))) = (mat @ (numeral @ u_0)))).
