%   ORIGINAL: INDEPENDENT_MONO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_MONO: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: dependent: !s. dependent s <=> (?a. a IN s /\ a IN span (s DELETE a))
% Assm: independent: !s. independent s <=> ~dependent s
% Goal: !s t. independent t /\ s SUBSET t ==> independent s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. dependent s <=> (?a. a IN s /\ a IN span (s DELETE a))
% Assm: !s. independent s <=> ~dependent s
% Goal: !s t. independent t /\ s SUBSET t ==> independent s
%  TYPES
thf(ta, type, a : $tType).
thf(tq118582, type, q118582 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq118582, type, cartrealq118582 : $tType).
thf(tq119367, type, q119367 : $tType).
thf(tcartrealq119367, type, cartrealq119367 : $tType).
%  CONSTS
thf(cspan0, type, span0 : ((cartrealq118582 > $o) > cartrealq118582 > $o)).
thf(cin1, type, in1 : (cartrealq118582 > (cartrealq118582 > $o) > $o)).
thf(cin0, type, in0 : (cartrealq119367 > (cartrealq119367 > $o) > $o)).
thf(cspan, type, span : ((cartrealq119367 > $o) > cartrealq119367 > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealq119367 > $o) > (cartrealq119367 > $o) > $o)).
thf(cdelete0, type, delete0 : ((cartrealq118582 > $o) > cartrealq118582 > cartrealq118582 > $o)).
thf(cdelete, type, delete : ((a > $o) > a > a > $o)).
thf(cdependent0, type, dependent0 : ((cartrealq119367 > $o) > $o)).
thf(cdependent, type, dependent : ((cartrealq118582 > $o) > $o)).
thf(cindependent, type, independent : ((cartrealq119367 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_DELETE, axiom, ![S:(a > $o),X:a,Y:a]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_MONO, axiom, ![S:(cartrealq119367 > $o),T:(cartrealq119367 > $o)]:((subset @ S @ T) => (subset @ (span @ S) @ (span @ T)))).
thf(aSUBSET, axiom, ![S:(cartrealq119367 > $o),T:(cartrealq119367 > $o)]:((subset @ S @ T) <=> ![X:cartrealq119367]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(adependent, axiom, ![S:(cartrealq118582 > $o)]:((dependent @ S) <=> ?[A:cartrealq118582]:((in1 @ A @ S) & (in1 @ A @ (span0 @ (delete0 @ S @ A)))))).
thf(aindependent, axiom, ![S:(cartrealq119367 > $o)]:((independent @ S) <=> ~ ((dependent0 @ S)))).
thf(conjecture, conjecture, ![S:(cartrealq119367 > $o),T:(cartrealq119367 > $o)]:(((independent @ T) & (subset @ S @ T)) => (independent @ S))).
