%   ORIGINAL: SPAN_INSERT_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: SPAN_BREAKDOWN_EQ: !a s. x IN span (a INSERT s) <=> (?k. x - k % a IN span s)
% Assm: TRUTH: T
% Assm: VECTOR_MUL_RZERO: c % vec 0 = vec 0
% Assm: VECTOR_SUB_RZERO: x - vec 0 = x
% Goal: !s. span (vec 0 INSERT s) = span s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x a s. x IN span (a INSERT s) <=> (?k. x - k % a IN span s)
% Assm: T
% Assm: !c. c % vec 0 = vec 0
% Assm: !x. x - vec 0 = x
% Goal: !s. span (vec 0 INSERT s) = span s
%  TYPES
thf(tq120785, type, q120785 : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq120785, type, cartrealq120785 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (cartrealq120785 > (cartrealq120785 > $o) > $o)).
thf(cspan, type, span : ((cartrealq120785 > $o) > cartrealq120785 > $o)).
thf(cru_, type, r_ : (real > cartrealq120785 > cartrealq120785)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq120785 > cartrealq120785 > cartrealq120785)).
thf(cinsert, type, insert : (cartrealq120785 > (cartrealq120785 > $o) > cartrealq120785 > $o)).
thf(cvec, type, vec : (num > cartrealq120785)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq120785 > $o),G:(a > cartrealq120785 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(cartrealq120785 > $o),T:(cartrealq120785 > $o)]:((S = T) <=> ![X:cartrealq120785]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aSPANu_BREAKDOWNu_EQ, axiom, ![X:cartrealq120785,A:cartrealq120785,S:(cartrealq120785 > $o)]:((in @ X @ (span @ (insert @ A @ S))) <=> ?[K:real]:(in @ (vectoru_sub @ X @ (r_ @ K @ A)) @ (span @ S)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_RZERO, axiom, ![C:real]:((r_ @ C @ (vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0)))).
thf(aVECTORu_SUBu_RZERO, axiom, ![X:cartrealq120785]:((vectoru_sub @ X @ (vec @ (numeral @ u_0))) = X)).
thf(conjecture, conjecture, ![S:(cartrealq120785 > $o)]:((span @ (insert @ (vec @ (numeral @ u_0)) @ S)) = (span @ S))).
