%   ORIGINAL: INDEPENDENT_INJECTIVE_IMAGE_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DEPENDENT_EXPLICIT: !p. dependent p <=> (?s u. FINITE s /\ s SUBSET p /\ (?v. v IN s /\ ~(u v = &0)) /\ vsum s (\v. u v % v) = vec 0)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_IN_IMAGE: !f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: FINITE_SUBSET_IMAGE: !f s t. FINITE t /\ t SUBSET IMAGE f s <=> (?s'. FINITE s' /\ s' SUBSET s /\ t = IMAGE f s')
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_0: !f. linear f ==> f (vec 0) = vec 0
% Assm: LINEAR_CMUL: !f c x. linear f ==> f (c % x) = c % f x
% Assm: LINEAR_VSUM: !f g s. linear f /\ FINITE s ==> f (vsum s g) = vsum s (f o g)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_0: vec 0 IN span s
% Assm: SPAN_MUL: !x c s. x IN span s ==> c % x IN span s
% Assm: SPAN_SUPERSET: !x. x IN s ==> x IN span s
% Assm: SPAN_VSUM: !s f t. FINITE t /\ (!x. x IN t ==> f x IN span s) ==> vsum t f IN span s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: VSUM_IMAGE: !f g s. FINITE s /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> vsum (IMAGE f s) g = vsum s (g o f)
% Assm: independent: !s. independent s <=> ~dependent s
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f s. independent s /\ linear f /\ (!x y. x IN span s /\ y IN span s /\ f x = f y ==> x = y) ==> independent (IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !p. dependent p <=> (?s u. FINITE s /\ s SUBSET p /\ (?v. v IN s /\ ~(u v = &0)) /\ vsum s (\v. u v % v) = vec 0)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: !f s t. FINITE t /\ t SUBSET IMAGE f s <=> (?s'. FINITE s' /\ s' SUBSET s /\ t = IMAGE f s')
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !f. linear f ==> f (vec 0) = vec 0
% Assm: !f c x. linear f ==> f (c % x) = c % f x
% Assm: !f g s. linear f /\ FINITE s ==> f (vsum s g) = vsum s (f o g)
% Assm: ~F <=> T
% Assm: !s. vec 0 IN span s
% Assm: !x c s. x IN span s ==> c % x IN span s
% Assm: !s x. x IN s ==> x IN span s
% Assm: !s f t. FINITE t /\ (!x. x IN t ==> f x IN span s) ==> vsum t f IN span s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !f g s. FINITE s /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> vsum (IMAGE f s) g = vsum s (g o f)
% Assm: !f g s. FINITE s /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> vsum (IMAGE f s) g = vsum s (g o f)
% Assm: !s. independent s <=> ~dependent s
% Assm: !s. independent s <=> ~dependent s
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f s. independent s /\ linear f /\ (!x y. x IN span s /\ y IN span s /\ f x = f y ==> x = y) ==> independent (IMAGE f s)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(tq109453, type, q109453 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cspan, type, span : ((cartrealm > $o) > cartrealm > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(co4, type, o4 : ((b > cartrealm) > (a > b) > a > cartrealm)).
thf(co3, type, o3 : ((b > cartrealn) > (a > b) > a > cartrealn)).
thf(co2, type, o2 : ((b > c) > (a > b) > a > c)).
thf(co1, type, o1 : ((cartrealn > cartrealm) > (cartrealm > cartrealn) > cartrealm > cartrealm)).
thf(cvsum4, type, vsum4 : ((cartrealn > $o) > (cartrealn > cartrealm) > cartrealm)).
thf(co0, type, o0 : ((cartrealn > cartrealn) > (cartrealm > cartrealn) > cartrealm > cartrealn)).
thf(cvsum3, type, vsum3 : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(cvsum2, type, vsum2 : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(co, type, o : ((cartrealm > cartrealn) > (q109453 > cartrealm) > q109453 > cartrealn)).
thf(cvsum1, type, vsum1 : ((q109453 > $o) > (q109453 > cartrealn) > cartrealn)).
thf(cvsum0, type, vsum0 : ((q109453 > $o) > (q109453 > cartrealm) > cartrealm)).
thf(cru_0, type, r_0 : (real > cartrealn > cartrealn)).
thf(cimage0, type, image0 : ((cartrealm > cartrealm) > (cartrealm > $o) > cartrealm > $o)).
thf(cru_, type, r_ : (real > cartrealm > cartrealm)).
thf(cvsum, type, vsum : ((cartrealm > $o) > (cartrealm > cartrealm) > cartrealm)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cdependent0, type, dependent0 : ((cartrealn > $o) > $o)).
thf(cfinite1, type, finite1 : ((q109453 > $o) > $o)).
thf(cfinite0, type, finite0 : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealm > $o) > $o)).
thf(cdependent, type, dependent : ((cartrealm > $o) > $o)).
thf(cindependent0, type, independent0 : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cindependent, type, independent : ((cartrealm > $o) > $o)).
thf(ci0, type, i0 : (cartrealm > cartrealm)).
thf(cvec, type, vec : (num > cartrealm)).
thf(cvec0, type, vec0 : (num > cartrealn)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDEPENDENTu_EXPLICIT, axiom, ![P:(cartrealm > $o)]:((dependent @ P) <=> ?[S:(cartrealm > $o),U:(cartrealm > real)]:((finite @ S) & (subset @ S @ P) & ?[V:cartrealm]:((in @ V @ S) & ~ (((U @ V) = (realu_ofu_num @ (numeral @ u_0))))) & ((vsum @ S @ ^[V:cartrealm]:(r_ @ (U @ V) @ V)) = (vec @ (numeral @ u_0)))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_INu_IMAGE, axiom, ![P:(cartrealm > $o),F:(cartrealm > cartrealm),S:(cartrealm > $o)]:(?[Y:cartrealm]:((in @ Y @ (image0 @ F @ S)) & (P @ Y)) <=> ?[X:cartrealm]:((in @ X @ S) & (P @ (F @ X))))).
thf(aFINITEu_SUBSETu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealn > $o)]:(((finite0 @ T) & (subset0 @ T @ (image @ F @ S))) <=> ?[SI_:(cartrealm > $o)]:((finite @ SI_) & (subset @ SI_ @ S) & (T = (image @ F @ SI_))))).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIN, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ P) <=> (P @ X))).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealm]:((i0 @ X) = X)).
thf(aLINEARu_0, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => ((F @ (vec @ (numeral @ u_0))) = (vec0 @ (numeral @ u_0))))).
thf(aLINEARu_CMUL, axiom, ![F:(cartrealm > cartrealn),C:real,X:cartrealm]:((linear @ F) => ((F @ (r_ @ C @ X)) = (r_0 @ C @ (F @ X))))).
thf(aLINEARu_VSUM, axiom, ![F:(cartrealm > cartrealn),G:(q109453 > cartrealm),S:(q109453 > $o)]:(((linear @ F) & (finite1 @ S)) => ((F @ (vsum0 @ S @ G)) = (vsum1 @ S @ (o @ F @ G))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_0, axiom, ![S:(cartrealm > $o)]:(in @ (vec @ (numeral @ u_0)) @ (span @ S))).
thf(aSPANu_MUL, axiom, ![X:cartrealm,C:real,S:(cartrealm > $o)]:((in @ X @ (span @ S)) => (in @ (r_ @ C @ X) @ (span @ S)))).
thf(aSPANu_SUPERSET, axiom, ![S:(cartrealm > $o),X:cartrealm]:((in @ X @ S) => (in @ X @ (span @ S)))).
thf(aSPANu_VSUM, axiom, ![S:(cartrealm > $o),F:(cartrealm > cartrealm),T:(cartrealm > $o)]:(((finite @ T) & ![X:cartrealm]:((in @ X @ T) => (in @ (F @ X) @ (span @ S)))) => (in @ (vsum @ T @ F) @ (span @ S)))).
thf(aSUBSET, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset @ S @ T) <=> ![X:cartrealm]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_IMAGEu_monomorphized1, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealn),S:(cartrealm > $o)]:(((finite @ S) & ![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))) => ((vsum2 @ (image @ F @ S) @ G) = (vsum3 @ S @ (o0 @ G @ F))))).
thf(aVSUMu_IMAGEu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealm),S:(cartrealm > $o)]:(((finite @ S) & ![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))) => ((vsum4 @ (image @ F @ S) @ G) = (vsum @ S @ (o1 @ G @ F))))).
thf(aindependentu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((independent0 @ S) <=> ~ ((dependent0 @ S)))).
thf(aindependentu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((independent @ S) <=> ~ ((dependent @ S)))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o2 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(aou_THMu_monomorphized1, axiom, ![F:(b > cartrealn),G:(a > b),X:a]:((o3 @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(b > cartrealm),G:(a > b),X:a]:((o4 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((independent @ S) & (linear @ F) & ![X:cartrealm,Y:cartrealm]:(((in @ X @ (span @ S)) & (in @ Y @ (span @ S)) & ((F @ X) = (F @ Y))) => (X = Y))) => (independent0 @ (image @ F @ S)))).
