%   ORIGINAL: DIM_IMAGE_KERNEL_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BASIS_EXISTS: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b /\ b HAS_SIZE dim v
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_DIFF: !s t. FINITE s /\ t SUBSET s ==> CARD (s DIFF t) = CARD s - CARD t
% Assm: CARD_IMAGE_INJ: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: CARD_SUBSET: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_RAND: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: COND_RATOR: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: DIM_EQ_CARD: !s. independent s ==> dim s = CARD s
% Assm: DIM_SPAN: !s. dim (span s) = dim s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_DIFF: !s t. FINITE s ==> FINITE (s DIFF t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IMAGE_SUBSET: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: IN: !P x. x IN P <=> P x
% Assm: INDEPENDENT_EXPLICIT: !b. independent b <=> FINITE b /\ (!c. vsum b (\v. c v % v) = vec 0 ==> (!v. v IN b ==> c v = &0))
% Assm: INDEPENDENT_IMP_FINITE: !s. independent s ==> FINITE s
% Assm: INDEPENDENT_INJECTIVE_IMAGE_GEN: !f s. independent s /\ linear f /\ (!x y. x IN span s /\ y IN span s /\ f x = f y ==> x = y) ==> independent (IMAGE f s)
% Assm: INDEPENDENT_MONO: !s t. independent t /\ s SUBSET t ==> independent s
% Assm: INJECTIVE_ON_LEFT_INVERSE: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_CMUL: !f c x. linear f ==> f (c % x) = c % f x
% Assm: LINEAR_INJECTIVE_0_SUBSPACE: !f s. linear f /\ subspace s ==> ((!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (!x. x IN s /\ f x = vec 0 ==> x = vec 0))
% Assm: LINEAR_VSUM: !f g s. linear f /\ FINITE s ==> f (vsum s g) = vsum s (f o g)
% Assm: MAXIMAL_INDEPENDENT_SUBSET_EXTEND: !s v. s SUBSET v /\ independent s ==> (?b. s SUBSET b /\ b SUBSET v /\ independent b /\ v SUBSET span b)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_NEG_EQ_0: !x. --x = &0 <=> x = &0
% Assm: SPAN_EQ_SELF: !s. span s = s <=> subspace s
% Assm: SPAN_FINITE: !s. FINITE s ==> span s = {y | ?u. vsum s (\v. u v % v) = y}
% Assm: SPAN_INC: !s. s SUBSET span s
% Assm: SPAN_MONO: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: SPAN_SUBSET_SUBSPACE: !s t. s SUBSET t /\ subspace t ==> span s SUBSET t
% Assm: SPAN_SUBSPACE: !b s. b SUBSET s /\ s SUBSET span b /\ subspace s ==> span b = s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: SUBSET_DIFF: !s t. s DIFF t SUBSET s
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: SUBSPACE_INTER: !s t. subspace s /\ subspace t ==> subspace (s INTER t)
% Assm: SUBSPACE_KERNEL: !f. linear f ==> subspace {x | f x = vec 0}
% Assm: SUBSPACE_LINEAR_IMAGE: !f s. linear f /\ subspace s ==> subspace (IMAGE f s)
% Assm: SUBSPACE_SPAN: !s. subspace (span s)
% Assm: SUB_ADD: !m n. n <= m ==> m - n + n = m
% Assm: TRUTH: T
% Assm: VECTOR_ADD_LINV: !x. --x + x = vec 0
% Assm: VECTOR_MUL_EQ_0: !a x. a % x = vec 0 <=> a = &0 \/ x = vec 0
% Assm: VECTOR_MUL_LNEG: --c % x = --(c % x)
% Assm: VSUM_CASES: !s P f g. FINITE s ==> vsum s (\x. if P x then f x else g x) = vsum {x | x IN s /\ P x} f + vsum {x | x IN s /\ ~P x} g
% Assm: VSUM_EQ_0: !f s. (!x. x IN s ==> f x = vec 0) ==> vsum s f = vec 0
% Assm: VSUM_EQ_SUPERSET: !f s t. FINITE t /\ t SUBSET s /\ (!x. x IN t ==> f x = g x) /\ (!x. x IN s /\ ~(x IN t) ==> f x = vec 0) ==> vsum s f = vsum t g
% Assm: VSUM_IMAGE: !f g s. FINITE s /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> vsum (IMAGE f s) g = vsum s (g o f)
% Assm: VSUM_NEG: !f s. vsum s (\x. --f x) = --vsum s f
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f s. linear f /\ subspace s ==> dim (IMAGE f s) + dim {x | x IN s /\ f x = vec 0} = dim s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b /\ b HAS_SIZE dim v
% Assm: !v. ?b. b SUBSET v /\ independent b /\ v SUBSET span b /\ b HAS_SIZE dim v
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. FINITE s /\ t SUBSET s ==> CARD (s DIFF t) = CARD s - CARD t
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: !s. independent s ==> dim s = CARD s
% Assm: !s. independent s ==> dim s = CARD s
% Assm: !s. dim (span s) = dim s
% Assm: !s. dim (span s) = dim s
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. FINITE s ==> FINITE (s DIFF t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: !P x. x IN P <=> P x
% Assm: !b. independent b <=> FINITE b /\ (!c. vsum b (\v. c v % v) = vec 0 ==> (!v. v IN b ==> c v = &0))
% Assm: !s. independent s ==> FINITE s
% Assm: !f s. independent s /\ linear f /\ (!x y. x IN span s /\ y IN span s /\ f x = f y ==> x = y) ==> independent (IMAGE f s)
% Assm: !s t. independent t /\ s SUBSET t ==> independent s
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (?g. !x. x IN s ==> g (f x) = x)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !f c x. linear f ==> f (c % x) = c % f x
% Assm: !f s. linear f /\ subspace s ==> ((!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (!x. x IN s /\ f x = vec 0 ==> x = vec 0))
% Assm: !f g s. linear f /\ FINITE s ==> f (vsum s g) = vsum s (f o g)
% Assm: !s v. s SUBSET v /\ independent s ==> (?b. s SUBSET b /\ b SUBSET v /\ independent b /\ v SUBSET span b)
% Assm: ~F <=> T
% Assm: !x. --x = &0 <=> x = &0
% Assm: !s. span s = s <=> subspace s
% Assm: !s. FINITE s ==> span s = {y | ?u. vsum s (\v. u v % v) = y}
% Assm: !s. s SUBSET span s
% Assm: !s t. s SUBSET t ==> span s SUBSET span t
% Assm: !s t. s SUBSET t /\ subspace t ==> span s SUBSET t
% Assm: !b s. b SUBSET s /\ s SUBSET span b /\ subspace s ==> span b = s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: !s t. s DIFF t SUBSET s
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: !s t. subspace s /\ subspace t ==> subspace (s INTER t)
% Assm: !f. linear f ==> subspace {x | f x = vec 0}
% Assm: !f s. linear f /\ subspace s ==> subspace (IMAGE f s)
% Assm: !s. subspace (span s)
% Assm: !m n. n <= m ==> m - n + n = m
% Assm: T
% Assm: !x. --x + x = vec 0
% Assm: !a x. a % x = vec 0 <=> a = &0 \/ x = vec 0
% Assm: !c x. --c % x = --(c % x)
% Assm: !s P f g. FINITE s ==> vsum s (\x. if P x then f x else g x) = vsum {x | x IN s /\ P x} f + vsum {x | x IN s /\ ~P x} g
% Assm: !f s. (!x. x IN s ==> f x = vec 0) ==> vsum s f = vec 0
% Assm: !g f s t. FINITE t /\ t SUBSET s /\ (!x. x IN t ==> f x = g x) /\ (!x. x IN s /\ ~(x IN t) ==> f x = vec 0) ==> vsum s f = vsum t g
% Assm: !f g s. FINITE s /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> vsum (IMAGE f s) g = vsum s (g o f)
% Assm: !f s. vsum s (\x. --f x) = --vsum s f
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f s. linear f /\ subspace s ==> dim (IMAGE f s) + dim {x | x IN s /\ f x = vec 0} = dim s
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(tq109453, type, q109453 : $tType).
thf(tq119530, type, q119530 : $tType).
thf(tq119168, type, q119168 : $tType).
thf(treal, type, real : $tType).
thf(tq103692, type, q103692 : $tType).
thf(tq119367, type, q119367 : $tType).
thf(tq45833, type, q45833 : $tType).
thf(tcartrealq119530, type, cartrealq119530 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tq50479, type, q50479 : $tType).
thf(tcartrealq119168, type, cartrealq119168 : $tType).
thf(tm, type, m : $tType).
thf(tcartrealq119367, type, cartrealq119367 : $tType).
thf(tq51955, type, q51955 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset6, type, subset6 : ((q45833 > $o) > (q45833 > $o) > $o)).
thf(cspan2, type, span2 : ((cartrealq119168 > $o) > cartrealq119168 > $o)).
thf(csubset5, type, subset5 : ((cartrealq119168 > $o) > (cartrealq119168 > $o) > $o)).
thf(cspan1, type, span1 : ((cartrealq119530 > $o) > cartrealq119530 > $o)).
thf(csubset4, type, subset4 : ((cartrealq119530 > $o) > (cartrealq119530 > $o) > $o)).
thf(csubset3, type, subset3 : ((cartrealq119367 > $o) > (cartrealq119367 > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csubset2, type, subset2 : ((a > $o) > (a > $o) > $o)).
thf(cmu_, type, m_ : (num > num > num)).
thf(csubset1, type, subset1 : ((q51955 > $o) > (q51955 > $o) > $o)).
thf(chasuu_size0, type, hasu_size0 : ((cartrealm > $o) > num > $o)).
thf(cspan0, type, span0 : ((cartrealm > $o) > cartrealm > $o)).
thf(csubset0, type, subset0 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(chasuu_size, type, hasu_size : ((cartrealn > $o) > num > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(cvsum4, type, vsum4 : ((q103692 > $o) > (q103692 > cartrealn) > cartrealn)).
thf(co0, type, o0 : ((cartrealn > cartrealn) > (cartrealm > cartrealn) > cartrealm > cartrealn)).
thf(cvsum3, type, vsum3 : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cdiff2, type, diff2 : ((q45833 > $o) > (q45833 > $o) > q45833 > $o)).
thf(cvsum2, type, vsum2 : ((cartrealm > $o) > (cartrealm > cartrealm) > cartrealm)).
thf(co, type, o : ((cartrealm > cartrealn) > (q109453 > cartrealm) > q109453 > cartrealn)).
thf(cvsum1, type, vsum1 : ((q109453 > $o) > (q109453 > cartrealn) > cartrealn)).
thf(cvsum0, type, vsum0 : ((q109453 > $o) > (q109453 > cartrealm) > cartrealm)).
thf(cru_0, type, r_0 : (real > cartrealm > cartrealm)).
thf(cinter, type, inter : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cdiff1, type, diff1 : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(cimage0, type, image0 : ((cartrealm > cartrealm) > (cartrealm > $o) > cartrealm > $o)).
thf(cdiff0, type, diff0 : ((q50479 > $o) > (q50479 > $o) > q50479 > $o)).
thf(ccond3, type, cond3 : ($o > (a > cartrealn) > (a > cartrealn) > a > cartrealn)).
thf(ccond2, type, cond2 : ($o > (a > num) > (a > num) > a > num)).
thf(ccond1, type, cond1 : ($o > a > a > a)).
thf(ccond0, type, cond0 : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cdiff, type, diff : ((q51955 > $o) > (q51955 > $o) > q51955 > $o)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(csubspace0, type, subspace0 : ((cartrealn > $o) > $o)).
thf(cfinite4, type, finite4 : ((q109453 > $o) > $o)).
thf(cindependent1, type, independent1 : ((cartrealq119367 > $o) > $o)).
thf(cfinite3, type, finite3 : ((cartrealn > $o) > $o)).
thf(cfinite2, type, finite2 : ((q50479 > $o) > $o)).
thf(cfinite1, type, finite1 : ((a > $o) > $o)).
thf(cfinite0, type, finite0 : ((cartrealm > $o) > $o)).
thf(cfinite, type, finite : ((q51955 > $o) > $o)).
thf(cindependent0, type, independent0 : ((cartrealm > $o) > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(csubspace, type, subspace : ((cartrealm > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cvec0, type, vec0 : (num > cartrealm)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
thf(ci0, type, i0 : (cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(ccard2, type, card2 : ((a > $o) > num)).
thf(ccard1, type, card1 : ((cartrealm > $o) > num)).
thf(ccard0, type, card0 : ((cartrealn > $o) > num)).
thf(ccard, type, card : ((q51955 > $o) > num)).
thf(cdim0, type, dim0 : ((cartrealm > $o) > num)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(ci, type, i : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBASISu_EXISTSu_monomorphized1, axiom, ![V:(cartrealn > $o)]:?[B:(cartrealn > $o)]:((subset @ B @ V) & (independent @ B) & (subset @ V @ (span @ B)) & (hasu_size @ B @ (dim @ V)))).
thf(aBASISu_EXISTSu_monomorphized0, axiom, ![V:(cartrealm > $o)]:?[B:(cartrealm > $o)]:((subset0 @ B @ V) & (independent0 @ B) & (subset0 @ V @ (span0 @ B)) & (hasu_size0 @ B @ (dim0 @ V)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_DIFF, axiom, ![S:(q51955 > $o),T:(q51955 > $o)]:(((finite @ S) & (subset1 @ T @ S)) => ((card @ (diff @ S @ T)) = (m_ @ (card @ S) @ (card @ T))))).
thf(aCARDu_IMAGEu_INJ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (finite0 @ S)) => ((card0 @ (image @ F @ S)) = (card1 @ S)))).
thf(aCARDu_SUBSET, axiom, ![A:(a > $o),B:(a > $o)]:(((subset2 @ A @ B) & (finite1 @ B)) => (l_a_ @ (card2 @ A) @ (card2 @ B)))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:cartrealn,T2:cartrealn]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aCONDu_RANDu_monomorphized1, axiom, ![B:$o,F:(a > num),X:a,Y:a]:((F @ (cond1 @ B @ X @ Y)) = (cond @ B @ (F @ X) @ (F @ Y)))).
thf(aCONDu_RANDu_monomorphized0, axiom, ![B:$o,F:(a > cartrealn),X:a,Y:a]:((F @ (cond1 @ B @ X @ Y)) = (cond0 @ B @ (F @ X) @ (F @ Y)))).
thf(aCONDu_RATORu_monomorphized1, axiom, ![B:$o,F:(a > num),G:(a > num),X:a]:((cond2 @ B @ F @ G @ X) = (cond @ B @ (F @ X) @ (G @ X)))).
thf(aCONDu_RATORu_monomorphized0, axiom, ![B:$o,F:(a > cartrealn),G:(a > cartrealn),X:a]:((cond3 @ B @ F @ G @ X) = (cond0 @ B @ (F @ X) @ (G @ X)))).
thf(aDIMu_EQu_CARDu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((independent @ S) => ((dim @ S) = (card0 @ S)))).
thf(aDIMu_EQu_CARDu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((independent0 @ S) => ((dim0 @ S) = (card1 @ S)))).
thf(aDIMu_SPANu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((dim @ (span @ S)) = (dim @ S))).
thf(aDIMu_SPANu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((dim0 @ (span0 @ S)) = (dim0 @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((S = T) <=> ![X:cartrealm]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_DIFF, axiom, ![S:(q50479 > $o),T:(q50479 > $o)]:((finite2 @ S) => (finite2 @ (diff0 @ S @ T)))).
thf(aFINITEu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((finite0 @ S) => (finite3 @ (image @ F @ S)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealm > $o),F:(cartrealm > cartrealm),S:(cartrealm > $o)]:(![Y:cartrealm]:((in @ Y @ (image0 @ F @ S)) => (P @ Y)) <=> ![X:cartrealm]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIMAGEu_SUBSET, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:((subset0 @ S @ T) => (subset @ (image @ F @ S) @ (image @ F @ T)))).
thf(aIN, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ P) <=> (P @ X))).
thf(aINDEPENDENTu_EXPLICIT, axiom, ![B:(cartrealn > $o)]:((independent @ B) <=> ((finite3 @ B) & ![C:(cartrealn > real)]:(((vsum @ B @ ^[V:cartrealn]:(r_ @ (C @ V) @ V)) = (vec @ (numeral @ u_0))) => ![V:cartrealn]:((in0 @ V @ B) => ((C @ V) = (realu_ofu_num @ (numeral @ u_0)))))))).
thf(aINDEPENDENTu_IMPu_FINITE, axiom, ![S:(cartrealn > $o)]:((independent @ S) => (finite3 @ S))).
thf(aINDEPENDENTu_INJECTIVEu_IMAGEu_GEN, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((independent0 @ S) & (linear @ F) & ![X:cartrealm,Y:cartrealm]:(((in @ X @ (span0 @ S)) & (in @ Y @ (span0 @ S)) & ((F @ X) = (F @ Y))) => (X = Y))) => (independent @ (image @ F @ S)))).
thf(aINDEPENDENTu_MONO, axiom, ![S:(cartrealq119367 > $o),T:(cartrealq119367 > $o)]:(((independent1 @ T) & (subset3 @ S @ T)) => (independent1 @ S))).
thf(aINJECTIVEu_ONu_LEFTu_INVERSEu_monomorphized1, axiom, ![F:(cartrealm > num),S:(cartrealm > $o)]:(![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) <=> ?[G:(num > cartrealm)]:![X:cartrealm]:((in @ X @ S) => ((G @ (F @ X)) = X)))).
thf(aINJECTIVEu_ONu_LEFTu_INVERSEu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) <=> ?[G:(cartrealn > cartrealm)]:![X:cartrealm]:((in @ X @ S) => ((G @ (F @ X)) = X)))).
thf(aINu_DIFF, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in @ X @ (diff1 @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ (gspec @ ^[V:cartrealm]:?[Y:cartrealm]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:num]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealn]:((i0 @ X) = X)).
thf(aLINEARu_CMUL, axiom, ![F:(cartrealm > cartrealn),C:real,X:cartrealm]:((linear @ F) => ((F @ (r_0 @ C @ X)) = (r_ @ C @ (F @ X))))).
thf(aLINEARu_INJECTIVEu_0u_SUBSPACE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & (subspace @ S)) => (![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) <=> ![X:cartrealm]:(((in @ X @ S) & ((F @ X) = (vec @ (numeral @ u_0)))) => (X = (vec0 @ (numeral @ u_0))))))).
thf(aLINEARu_VSUM, axiom, ![F:(cartrealm > cartrealn),G:(q109453 > cartrealm),S:(q109453 > $o)]:(((linear @ F) & (finite4 @ S)) => ((F @ (vsum0 @ S @ G)) = (vsum1 @ S @ (o @ F @ G))))).
thf(aMAXIMALu_INDEPENDENTu_SUBSETu_EXTEND, axiom, ![S:(cartrealn > $o),V:(cartrealn > $o)]:(((subset @ S @ V) & (independent @ S)) => ?[B:(cartrealn > $o)]:((subset @ S @ B) & (subset @ B @ V) & (independent @ B) & (subset @ V @ (span @ B))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_NEGu_EQu_0, axiom, ![X:real]:(((realu_neg @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (realu_ofu_num @ (numeral @ u_0))))).
thf(aSPANu_EQu_SELF, axiom, ![S:(cartrealm > $o)]:(((span0 @ S) = S) <=> (subspace @ S))).
thf(aSPANu_FINITE, axiom, ![S:(cartrealm > $o)]:((finite0 @ S) => ((span0 @ S) = (gspec @ ^[GENR_PVARR_280:cartrealm]:?[Y:cartrealm]:(setspec @ GENR_PVARR_280 @ ?[U:(cartrealm > real)]:((vsum2 @ S @ ^[V:cartrealm]:(r_0 @ (U @ V) @ V)) = Y) @ Y))))).
thf(aSPANu_INC, axiom, ![S:(cartrealq119530 > $o)]:(subset4 @ S @ (span1 @ S))).
thf(aSPANu_MONO, axiom, ![S:(cartrealq119168 > $o),T:(cartrealq119168 > $o)]:((subset5 @ S @ T) => (subset5 @ (span2 @ S) @ (span2 @ T)))).
thf(aSPANu_SUBSETu_SUBSPACE, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:(((subset0 @ S @ T) & (subspace @ T)) => (subset0 @ (span0 @ S) @ T))).
thf(aSPANu_SUBSPACE, axiom, ![B:(cartrealm > $o),S:(cartrealm > $o)]:(((subset0 @ B @ S) & (subset0 @ S @ (span0 @ B)) & (subspace @ S)) => ((span0 @ B) = S))).
thf(aSUBSET, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset0 @ S @ T) <=> ![X:cartrealm]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(a > $o),T:(a > $o)]:(((subset2 @ S @ T) & (subset2 @ T @ S)) => (S = T))).
thf(aSUBSETu_DIFF, axiom, ![S:(q45833 > $o),T:(q45833 > $o)]:(subset6 @ (diff2 @ S @ T) @ S)).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset2 @ S @ T) & (subset2 @ T @ U)) => (subset2 @ S @ U))).
thf(aSUBSPACEu_INTER, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:(((subspace @ S) & (subspace @ T)) => (subspace @ (inter @ S @ T)))).
thf(aSUBSPACEu_KERNEL, axiom, ![F:(cartrealm > cartrealn)]:((linear @ F) => (subspace @ (gspec @ ^[GENR_PVARR_293:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_293 @ ((F @ X) = (vec @ (numeral @ u_0))) @ X))))).
thf(aSUBSPACEu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & (subspace @ S)) => (subspace0 @ (image @ F @ S)))).
thf(aSUBSPACEu_SPAN, axiom, ![S:(cartrealm > $o)]:(subspace @ (span0 @ S))).
thf(aSUBu_ADD, axiom, ![M:num,N:num]:((l_a_ @ N @ M) => ((p_ @ (m_ @ M @ N) @ N) = M))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_LINV, axiom, ![X:cartrealn]:((vectoru_add @ (vectoru_neg @ X) @ X) = (vec @ (numeral @ u_0)))).
thf(aVECTORu_MULu_EQu_0, axiom, ![A:real,X:cartrealn]:(((r_ @ A @ X) = (vec @ (numeral @ u_0))) <=> ((A = (realu_ofu_num @ (numeral @ u_0))) | (X = (vec @ (numeral @ u_0)))))).
thf(aVECTORu_MULu_LNEG, axiom, ![C:real,X:cartrealn]:((r_ @ (realu_neg @ C) @ X) = (vectoru_neg @ (r_ @ C @ X)))).
thf(aVSUMu_CASES, axiom, ![S:(cartrealm > $o),P:(cartrealm > $o),F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:((finite0 @ S) => ((vsum3 @ S @ ^[X:cartrealm]:(cond0 @ (P @ X) @ (F @ X) @ (G @ X))) = (vectoru_add @ (vsum3 @ (gspec @ ^[GENR_PVARR_253:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_253 @ ((in @ X @ S) & (P @ X)) @ X)) @ F) @ (vsum3 @ (gspec @ ^[GENR_PVARR_254:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_254 @ ((in @ X @ S) & ~ ((P @ X))) @ X)) @ G))))).
thf(aVSUMu_EQu_0, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(![X:cartrealm]:((in @ X @ S) => ((F @ X) = (vec @ (numeral @ u_0)))) => ((vsum3 @ S @ F) = (vec @ (numeral @ u_0))))).
thf(aVSUMu_EQu_SUPERSET, axiom, ![G:(cartrealm > cartrealn),F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((finite0 @ T) & (subset0 @ T @ S) & ![X:cartrealm]:((in @ X @ T) => ((F @ X) = (G @ X))) & ![X:cartrealm]:(((in @ X @ S) & ~ ((in @ X @ T))) => ((F @ X) = (vec @ (numeral @ u_0))))) => ((vsum3 @ S @ F) = (vsum3 @ T @ G)))).
thf(aVSUMu_IMAGE, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealn),S:(cartrealm > $o)]:(((finite0 @ S) & ![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))) => ((vsum @ (image @ F @ S) @ G) = (vsum3 @ S @ (o0 @ G @ F))))).
thf(aVSUMu_NEG, axiom, ![F:(q103692 > cartrealn),S:(q103692 > $o)]:((vsum4 @ S @ ^[X:q103692]:(vectoru_neg @ (F @ X))) = (vectoru_neg @ (vsum4 @ S @ F)))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & (subspace @ S)) => ((p_ @ (dim @ (image @ F @ S)) @ (dim0 @ (gspec @ ^[GENR_PVARR_325:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_325 @ ((in @ X @ S) & ((F @ X) = (vec @ (numeral @ u_0)))) @ X)))) = (dim0 @ S)))).
