%   ORIGINAL: SUBSPACE_LINEAR_IMAGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSPACE_LINEAR_IMAGE: !f s. linear f /\ subspace s ==> subspace (IMAGE f s)
% Assm: TRUTH: T
% Assm: WLOG_LINEAR_INJECTIVE_IMAGE_2: !P Q. (!f s. P s /\ linear f ==> Q (IMAGE f s)) /\ (!g t. Q t /\ linear g ==> P (IMAGE g t)) ==> (!f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!s. Q (IMAGE f s) <=> P s))
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (subspace (IMAGE f s) <=> subspace s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. linear f /\ subspace s ==> subspace (IMAGE f s)
% Assm: T
% Assm: !P Q. (!f s. P s /\ linear f ==> Q (IMAGE f s)) /\ (!g t. Q t /\ linear g ==> P (IMAGE g t)) ==> (!f. linear f /\ (!x y. f x = f y ==> x = y) ==> (!s. Q (IMAGE f s) <=> P s))
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (subspace (IMAGE f s) <=> subspace s)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealq139973, type, cartrealq139973 : $tType).
thf(tcartrealq140001, type, cartrealq140001 : $tType).
thf(treal, type, real : $tType).
thf(tq139973, type, q139973 : $tType).
thf(tq140001, type, q140001 : $tType).
%  CONSTS
thf(cimage0, type, image0 : ((cartrealq139973 > cartrealq140001) > (cartrealq139973 > $o) > cartrealq140001 > $o)).
thf(cimage, type, image : ((cartrealq140001 > cartrealq139973) > (cartrealq140001 > $o) > cartrealq139973 > $o)).
thf(clinear0, type, linear0 : ((cartrealq139973 > cartrealq140001) > $o)).
thf(csubspace0, type, subspace0 : ((cartrealq140001 > $o) > $o)).
thf(csubspace, type, subspace : ((cartrealq139973 > $o) > $o)).
thf(clinear, type, linear : ((cartrealq140001 > cartrealq139973) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealq140001),G:(a > cartrealq140001)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealq139973),G:(a > cartrealq139973)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSPACEu_LINEARu_IMAGE, axiom, ![F:(cartrealq140001 > cartrealq139973),S:(cartrealq140001 > $o)]:(((linear @ F) & (subspace0 @ S)) => (subspace @ (image @ F @ S)))).
thf(aTRUTH, axiom, $true).
thf(aWLOGu_LINEARu_INJECTIVEu_IMAGEu_2, axiom, ![P:((cartrealq140001 > $o) > $o),Q:((cartrealq139973 > $o) > $o)]:((![F:(cartrealq140001 > cartrealq139973),S:(cartrealq140001 > $o)]:(((P @ S) & (linear @ F)) => (Q @ (image @ F @ S))) & ![G:(cartrealq139973 > cartrealq140001),T:(cartrealq139973 > $o)]:(((Q @ T) & (linear0 @ G)) => (P @ (image0 @ G @ T)))) => ![F:(cartrealq140001 > cartrealq139973)]:(((linear @ F) & ![X:cartrealq140001,Y:cartrealq140001]:(((F @ X) = (F @ Y)) => (X = Y))) => ![S:(cartrealq140001 > $o)]:((Q @ (image @ F @ S)) <=> (P @ S))))).
thf(conjecture, conjecture, ![F:(cartrealq140001 > cartrealq139973),S:(cartrealq140001 > $o)]:(((linear @ F) & ![X:cartrealq140001,Y:cartrealq140001]:(((F @ X) = (F @ Y)) => (X = Y))) => ((subspace @ (image @ F @ S)) <=> (subspace0 @ S)))).
