%   ORIGINAL: PERMUTATION_INVERSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SWAPSEQ_INVERSE: !n p. swapseq n p ==> swapseq n (inverse p)
% Assm: TRUTH: T
% Assm: permutation: !p. permutation p <=> (?n. swapseq n p)
% Goal: !p. permutation p ==> permutation (inverse p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !n p. swapseq n p ==> swapseq n (inverse p)
% Assm: T
% Assm: !p. permutation p <=> (?n. swapseq n p)
% Goal: !p. permutation p ==> permutation (inverse p)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq145378, type, q145378 : $tType).
%  CONSTS
thf(cinverse, type, inverse : ((q145378 > q145378) > q145378 > q145378)).
thf(cswapseq, type, swapseq : (num > (q145378 > q145378) > $o)).
thf(cpermutation, type, permutation : ((q145378 > q145378) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSWAPSEQu_INVERSE, axiom, ![N:num,P:(q145378 > q145378)]:((swapseq @ N @ P) => (swapseq @ N @ (inverse @ P)))).
thf(aTRUTH, axiom, $true).
thf(apermutation, axiom, ![P:(q145378 > q145378)]:((permutation @ P) <=> ?[N:num]:(swapseq @ N @ P))).
thf(conjecture, conjecture, ![P:(q145378 > q145378)]:((permutation @ P) => (permutation @ (inverse @ P)))).
