%   ORIGINAL: TRACE_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: SUM_0: !s. sum s (\n. &0) = &0
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: TRUTH: T
% Assm: mat: !k. mat k = (lambda i j. if i = j then &k else &0)
% Assm: trace: !A. trace A = sum (1..dimindex (:N)) (\i. A$i$i)
% Goal: trace (mat 0) = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !s. sum s (\n. &0) = &0
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: T
% Assm: !k. mat k = (lambda i j. if i = j then &k else &0)
% Assm: !A. trace A = sum (1..dimindex (:?152175)) (\i. A$i$i)
% Goal: trace (mat 0) = &0
%  TYPES
thf(tcartcartrealq152175q152175, type, cartcartrealq152175q152175 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartrealq152175, type, cartrealq152175 : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tq152175, type, q152175 : $tType).
thf(tcartrealb, type, cartrealb : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(cdu_0, type, d_0 : (cartrealq152175 > num > real)).
thf(csum1, type, sum1 : ((num > $o) > (num > real) > real)).
thf(csum0, type, sum0 : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin1, type, in1 : (q70972 > (q70972 > $o) > $o)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cdu_, type, d_ : (cartrealb > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(ctrace, type, trace : (cartcartrealq152175q152175 > real)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealb)).
thf(cdu_1, type, d_1 : (cartcartrealq152175q152175 > num > cartrealq152175)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealq152175)).
thf(clambda1, type, lambda1 : ((num > cartrealq152175) > cartcartrealq152175q152175)).
thf(cmat, type, mat : (num > cartcartrealq152175q152175)).
thf(cdimindex0, type, dimindex0 : ((q152175 > $o) > num)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cuniv0, type, univ0 : (q152175 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aSUMu_0, axiom, ![S:(a > $o)]:((sum @ S @ ^[N:a]:(realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((sum0 @ S @ F) = (sum0 @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(amat, axiom, ![K:num]:((mat @ K) = (lambda1 @ ^[I:num]:(lambda2 @ ^[J:num]:(cond @ (I = J) @ (realu_ofu_num @ K) @ (realu_ofu_num @ (numeral @ u_0))))))).
thf(atrace, axiom, ![A:cartcartrealq152175q152175]:((trace @ A) = (sum1 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0)) @ ^[I:num]:(d_0 @ (d_1 @ A @ I) @ I)))).
thf(conjecture, conjecture, ((trace @ (mat @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
