%   ORIGINAL: DET_TRANSP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: I_THM: !x. I x = x
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LAMBDA_BETA_PERM: !p i. p permutes 1..dimindex (:N) /\ 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$p i = g (p i)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTATION_PERMUTES: !p. permutation p <=> (?s. FINITE s /\ p permutes s)
% Assm: PERMUTES_IMAGE: !p s. p permutes s ==> IMAGE p s = s
% Assm: PERMUTES_INJECTIVE: !p s. p permutes s ==> (!x y. p x = p y <=> x = y)
% Assm: PERMUTES_INVERSE: !p s. p permutes s ==> inverse p permutes s
% Assm: PERMUTES_INVERSES_o: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: PRODUCT_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> product s f = product s g
% Assm: PRODUCT_IMAGE: !f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> product (IMAGE f s) g = product s (g o f)
% Assm: SIGN_INVERSE: !p. permutation p ==> sign (inverse p) = sign p
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_PERMUTATIONS_INVERSE: !f m n. sum {p | p permutes m..n} f = sum {p | p permutes m..n} (\p. f (inverse p))
% Assm: TRUTH: T
% Assm: det: !A. det A = sum {p | p permutes 1..dimindex (:N)} (\p. sign p * product (1..dimindex (:N)) (\i. A$i$p i))
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: transp: !A. transp A = (lambda i j. A$j$i)
% Goal: !A. det (transp A) = det A
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !m n. FINITE (m..n)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !x. I x = x
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !g p i. p permutes 1..dimindex (:N) /\ 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$p i = g (p i)
% Assm: ~F <=> T
% Assm: !p. permutation p <=> (?s. FINITE s /\ p permutes s)
% Assm: !p s. p permutes s ==> IMAGE p s = s
% Assm: !p s. p permutes s ==> (!x y. p x = p y <=> x = y)
% Assm: !p s. p permutes s ==> inverse p permutes s
% Assm: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> product s f = product s g
% Assm: !f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> product (IMAGE f s) g = product s (g o f)
% Assm: !p. permutation p ==> sign (inverse p) = sign p
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f m n. sum {p | p permutes m..n} f = sum {p | p permutes m..n} (\p. f (inverse p))
% Assm: T
% Assm: !A. det A = sum {p | p permutes 1..dimindex (:N)} (\p. sign p * product (1..dimindex (:N)) (\i. A$i$p i))
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !A. transp A = (lambda i j. A$j$i)
% Goal: !A. det (transp A) = det A
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tq143755, type, q143755 : $tType).
thf(tnum, type, num : $tType).
thf(tq151227, type, q151227 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq146695, type, q146695 : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tq143860, type, q143860 : $tType).
thf(tq144146, type, q144146 : $tType).
thf(tcartrealb, type, cartrealb : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(cproduct1, type, product1 : ((num > $o) > (num > real) > real)).
thf(csign0, type, sign0 : ((num > num) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cinverse2, type, inverse2 : ((num > num) > num > num)).
thf(cgspec0, type, gspec0 : (((num > num) > $o) > (num > num) > $o)).
thf(csum0, type, sum0 : (((num > num) > $o) > ((num > num) > real) > real)).
thf(csum, type, sum : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin3, type, in3 : (q70972 > (q70972 > $o) > $o)).
thf(csign, type, sign : ((q146695 > q146695) > real)).
thf(cproduct0, type, product0 : ((real > $o) > (real > real) > real)).
thf(cin2, type, in2 : (real > (real > $o) > $o)).
thf(cproduct, type, product : ((q151227 > $o) > (q151227 > real) > real)).
thf(cin1, type, in1 : (q151227 > (q151227 > $o) > $o)).
thf(cpermutes4, type, permutes4 : ((q143860 > q143860) > (q143860 > $o) > $o)).
thf(cpermutes3, type, permutes3 : ((q144146 > q144146) > (q144146 > $o) > $o)).
thf(cpermutes2, type, permutes2 : ((real > real) > (real > $o) > $o)).
thf(cpermutes1, type, permutes1 : ((q143755 > q143755) > (q143755 > $o) > $o)).
thf(cpermutes0, type, permutes0 : ((a > a) > (a > $o) > $o)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(cpermutes, type, permutes : ((num > num) > (num > $o) > $o)).
thf(cdu_, type, d_ : (cartrealb > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(cdet, type, det : (cartcartrealnn > real)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealb)).
thf(cinverse0, type, inverse0 : ((q143860 > q143860) > q143860 > q143860)).
thf(cinverse, type, inverse : ((q144146 > q144146) > q144146 > q144146)).
thf(co1, type, o1 : ((b > real) > (a > b) > a > real)).
thf(cdu_1, type, d_1 : (cartcartrealnn > num > cartrealn)).
thf(csetspec0, type, setspec0 : ((num > num) > $o > (num > num) > $o)).
thf(co0, type, o0 : ((real > real) > (real > real) > real > real)).
thf(cimage0, type, image0 : ((real > real) > (real > $o) > real > $o)).
thf(co, type, o : ((q143860 > q143860) > (q143860 > q143860) > q143860 > q143860)).
thf(cimage, type, image : ((q143755 > q143755) > (q143755 > $o) > q143755 > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(ci0, type, i0 : (q143860 > q143860)).
thf(cpermutation0, type, permutation0 : ((q146695 > q146695) > $o)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cpermutation, type, permutation : ((a > a) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(clambda2, type, lambda2 : ((num > cartrealn) > cartcartrealnn)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cinverse1, type, inverse1 : ((q146695 > q146695) > q146695 > q146695)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_PERM, axiom, ![G:(num > real),P:(num > num),I:num]:(((permutes @ P @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0))) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda1 @ G) @ (P @ I)) = (G @ (P @ I))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTATIONu_PERMUTES, axiom, ![P:(a > a)]:((permutation @ P) <=> ?[S:(a > $o)]:((finite0 @ S) & (permutes0 @ P @ S)))).
thf(aPERMUTESu_IMAGE, axiom, ![P:(q143755 > q143755),S:(q143755 > $o)]:((permutes1 @ P @ S) => ((image @ P @ S) = S))).
thf(aPERMUTESu_INJECTIVE, axiom, ![P:(real > real),S:(real > $o)]:((permutes2 @ P @ S) => ![X:real,Y:real]:(((P @ X) = (P @ Y)) <=> (X = Y)))).
thf(aPERMUTESu_INVERSE, axiom, ![P:(q144146 > q144146),S:(q144146 > $o)]:((permutes3 @ P @ S) => (permutes3 @ (inverse @ P) @ S))).
thf(aPERMUTESu_INVERSESu_o, axiom, ![P:(q143860 > q143860),S:(q143860 > $o)]:((permutes4 @ P @ S) => (((o @ P @ (inverse0 @ P)) = i0) & ((o @ (inverse0 @ P) @ P) = i0)))).
thf(aPRODUCTu_EQ, axiom, ![F:(q151227 > real),G:(q151227 > real),S:(q151227 > $o)]:(![X:q151227]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((product @ S @ F) = (product @ S @ G)))).
thf(aPRODUCTu_IMAGE, axiom, ![F:(real > real),G:(real > real),S:(real > $o)]:(![X:real,Y:real]:(((in2 @ X @ S) & (in2 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) => ((product0 @ (image0 @ F @ S) @ G) = (product0 @ S @ (o0 @ G @ F))))).
thf(aSIGNu_INVERSE, axiom, ![P:(q146695 > q146695)]:((permutation0 @ P) => ((sign @ (inverse1 @ P)) = (sign @ P)))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in3 @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aSUMu_PERMUTATIONSu_INVERSE, axiom, ![F:((num > num) > real),M:num,N:num]:((sum0 @ (gspec0 @ ^[GENR_PVARR_380:(num > num)]:?[P:(num > num)]:(setspec0 @ GENR_PVARR_380 @ (permutes @ P @ (o_o_ @ M @ N)) @ P)) @ F) = (sum0 @ (gspec0 @ ^[GENR_PVARR_381:(num > num)]:?[P:(num > num)]:(setspec0 @ GENR_PVARR_381 @ (permutes @ P @ (o_o_ @ M @ N)) @ P)) @ ^[P:(num > num)]:(F @ (inverse2 @ P))))).
thf(aTRUTH, axiom, $true).
thf(adet, axiom, ![A:cartcartrealnn]:((det @ A) = (sum0 @ (gspec0 @ ^[GENR_PVARR_409:(num > num)]:?[P:(num > num)]:(setspec0 @ GENR_PVARR_409 @ (permutes @ P @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0))) @ P)) @ ^[P:(num > num)]:(realu_mul @ (sign0 @ P) @ (product1 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0)) @ ^[I:num]:(d_0 @ (d_1 @ A @ I) @ (P @ I))))))).
thf(aou_THM, axiom, ![F:(b > real),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(atransp, axiom, ![A:cartcartrealnn]:((transp @ A) = (lambda2 @ ^[I:num]:(lambda1 @ ^[J:num]:(d_0 @ (d_1 @ A @ J) @ I))))).
thf(conjecture, conjecture, ![A:cartcartrealnn]:((det @ (transp @ A)) = (det @ A))).
