%   ORIGINAL: DET_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: DET_IDENTICAL_ROWS: !A i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) /\ ~(i = j) /\ row i A = row j A ==> det A = &0
% Assm: DET_LINEAR_ROWS_VSUM: !s a. FINITE s ==> det (lambda i. vsum s (a i)) = sum {f | (!i. 1 <= i /\ i <= dimindex (:N) ==> f i IN s) /\ (!i. ~(1 <= i /\ i <= dimindex (:N)) ==> f i = i)} (\f. det (lambda i. a i (f i)))
% Assm: DET_ROWS_MUL: !a c. det (lambda i. c i % a i) = product (1..dimindex (:N)) (\i. c i) * det (lambda i. a i)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: FINITE_PERMUTATIONS: !s. FINITE s ==> FINITE {p | p permutes s}
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: I_THM: !x. I x = x
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: MATRIX_MUL_VSUM_ALT: !A B. A ** B = (lambda i. vsum (1..dimindex (:N)) (\k. A$i$k % B$k))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTATION_PERMUTES: !p. permutation p <=> (?s. FINITE s /\ p permutes s)
% Assm: PERMUTES_INVERSE: !p s. p permutes s ==> inverse p permutes s
% Assm: PERMUTES_INVERSES: !p s. p permutes s ==> (!x. p (inverse p x) = x) /\ (!x. inverse p (p x) = x)
% Assm: PERMUTES_IN_IMAGE: !p s x. p permutes s ==> (p x IN s <=> x IN s)
% Assm: PRODUCT_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> product s f = product s g
% Assm: PRODUCT_EQ_NUMSEG: !f g m n. (!i. m <= i /\ i <= n ==> f i = g i) ==> product (m..n) f = product (m..n) g
% Assm: PRODUCT_MUL: !f g s. FINITE s ==> product s (\x. f x * g x) = product s f * product s g
% Assm: PRODUCT_PERMUTE_NUMSEG: !f p m n. p permutes m..n ==> product (m..n) f = product (m..n) (f o p)
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_SUM: !s t f g. FINITE s /\ FINITE t ==> sum s f * sum t g = sum s (\i. sum t (\j. f i * g j))
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: SIGN_COMPOSE: !p q. permutation p /\ permutation q ==> sign (p o q) = sign p * sign q
% Assm: SIGN_IDEMPOTENT: !p. sign p * sign p = &1
% Assm: SIGN_INVERSE: !p. permutation p ==> sign (inverse p) = sign p
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_PERMUTATIONS_COMPOSE_R: !f m n q. q permutes m..n ==> sum {p | p permutes m..n} f = sum {p | p permutes m..n} (\p. f (p o q))
% Assm: SUM_SUPERSET: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = &0) ==> sum v f = sum u f
% Assm: SURJECTIVE_IFF_INJECTIVE: !s f. FINITE s /\ IMAGE f s SUBSET s ==> ((!y. y IN s ==> (?x. x IN s /\ f x = y)) <=> (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: TRUTH: T
% Assm: VECTOR_MUL_COMPONENT: !c x i. (c % x)$i = c * x$i
% Assm: det: !A. det A = sum {p | p permutes 1..dimindex (:N)} (\p. sign p * product (1..dimindex (:N)) (\i. A$i$p i))
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: permutes: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. ?!x. p x = y)
% Assm: row: !A i. row i A = (lambda j. A$i$j)
% Goal: !A B. det (A ** B) = det A * det B
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: !A i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) /\ ~(i = j) /\ row i A = row j A ==> det A = &0
% Assm: !s a. FINITE s ==> det (lambda i. vsum s (a i)) = sum {f | (!i. 1 <= i /\ i <= dimindex (:N) ==> f i IN s) /\ (!i. ~(1 <= i /\ i <= dimindex (:N)) ==> f i = i)} (\f. det (lambda i. a i (f i)))
% Assm: !a c. det (lambda i. c i % a i) = product (1..dimindex (:N)) (\i. c i) * det (lambda i. a i)
% Assm: !t. (\x. t x) = t
% Assm: !m n. FINITE (m..n)
% Assm: !s. FINITE s ==> FINITE {p | p permutes s}
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !x. I x = x
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !A B. A ** B = (lambda i. vsum (1..dimindex (:N)) (\k. A$i$k % B$k))
% Assm: ~F <=> T
% Assm: !p. permutation p <=> (?s. FINITE s /\ p permutes s)
% Assm: !p s. p permutes s ==> inverse p permutes s
% Assm: !p s. p permutes s ==> (!x. p (inverse p x) = x) /\ (!x. inverse p (p x) = x)
% Assm: !p s x. p permutes s ==> (p x IN s <=> x IN s)
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> product s f = product s g
% Assm: !f g m n. (!i. m <= i /\ i <= n ==> f i = g i) ==> product (m..n) f = product (m..n) g
% Assm: !f g s. FINITE s ==> product s (\x. f x * g x) = product s f * product s g
% Assm: !f p m n. p permutes m..n ==> product (m..n) f = product (m..n) (f o p)
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !s t f g. FINITE s /\ FINITE t ==> sum s f * sum t g = sum s (\i. sum t (\j. f i * g j))
% Assm: !x y. x * y = y * x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !p q. permutation p /\ permutation q ==> sign (p o q) = sign p * sign q
% Assm: !p. sign p * sign p = &1
% Assm: !p. permutation p ==> sign (inverse p) = sign p
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f m n q. q permutes m..n ==> sum {p | p permutes m..n} f = sum {p | p permutes m..n} (\p. f (p o q))
% Assm: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = &0) ==> sum v f = sum u f
% Assm: !s f. FINITE s /\ IMAGE f s SUBSET s ==> ((!y. y IN s ==> (?x. x IN s /\ f x = y)) <=> (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: T
% Assm: !c x i. (c % x)$i = c * x$i
% Assm: !A. det A = sum {p | p permutes 1..dimindex (:N)} (\p. sign p * product (1..dimindex (:N)) (\i. A$i$p i))
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
% Assm: !A i. row i A = (lambda j. A$i$j)
% Goal: !A B. det (A ** B) = det A * det B
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(tq152602, type, q152602 : $tType).
thf(tq151227, type, q151227 : $tType).
thf(ta, type, a : $tType).
thf(tq152603, type, q152603 : $tType).
thf(tq47565, type, q47565 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq47566, type, q47566 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tq146695, type, q146695 : $tType).
thf(tq151580, type, q151580 : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tq146785, type, q146785 : $tType).
thf(tq144420, type, q144420 : $tType).
thf(tm, type, m : $tType).
thf(tq144146, type, q144146 : $tType).
thf(tq143740, type, q143740 : $tType).
thf(tcartrealb, type, cartrealb : $tType).
thf(tn, type, n : $tType).
thf(tq146722, type, q146722 : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(csign2, type, sign2 : ((num > num) > real)).
thf(cin7, type, in7 : (real > (real > $o) > $o)).
thf(csubset0, type, subset0 : ((real > $o) > (real > $o) > $o)).
thf(csum3, type, sum3 : ((a > $o) > (a > real) > real)).
thf(csum2, type, sum2 : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin6, type, in6 : (q70972 > (q70972 > $o) > $o)).
thf(cin5, type, in5 : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(csign1, type, sign1 : ((q146695 > q146695) > real)).
thf(csign0, type, sign0 : ((q146785 > q146785) > real)).
thf(csign, type, sign : ((q146722 > q146722) > real)).
thf(csum1, type, sum1 : ((q152603 > $o) > (q152603 > real) > real)).
thf(csum0, type, sum0 : ((q152602 > $o) > (q152602 > real) > real)).
thf(cpermutes4, type, permutes4 : ((num > num) > (num > $o) > $o)).
thf(cproduct1, type, product1 : ((q151580 > $o) > (q151580 > real) > real)).
thf(cproduct0, type, product0 : ((q151227 > $o) > (q151227 > real) > real)).
thf(cin4, type, in4 : (q151227 > (q151227 > $o) > $o)).
thf(cin3, type, in3 : (q143740 > (q143740 > $o) > $o)).
thf(cpermutes3, type, permutes3 : ((q143740 > q143740) > (q143740 > $o) > $o)).
thf(cinverse0, type, inverse0 : ((real > real) > real > real)).
thf(cpermutes2, type, permutes2 : ((real > real) > (real > $o) > $o)).
thf(cpermutes1, type, permutes1 : ((q144146 > q144146) > (q144146 > $o) > $o)).
thf(cpermutes0, type, permutes0 : ((a > a) > (a > $o) > $o)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(cgspec1, type, gspec1 : ((q43851 > $o) > q43851 > $o)).
thf(cin2, type, in2 : (q43851 > (q43851 > $o) > $o)).
thf(cin1, type, in1 : (q47566 > (q47566 > $o) > $o)).
thf(cin0, type, in0 : (q47565 > (q47565 > $o) > $o)).
thf(cpermutes, type, permutes : ((q144420 > q144420) > (q144420 > $o) > $o)).
thf(cgspec0, type, gspec0 : (((q144420 > q144420) > $o) > (q144420 > q144420) > $o)).
thf(cproduct, type, product : ((num > $o) > (num > real) > real)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : (((num > num) > $o) > (num > num) > $o)).
thf(csum, type, sum : (((num > num) > $o) > ((num > num) > real) > real)).
thf(cdu_, type, d_ : (cartrealb > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdet, type, det : (cartcartrealnn > real)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealb)).
thf(cinverse, type, inverse : ((q144146 > q144146) > q144146 > q144146)).
thf(cdu_2, type, d_2 : (cartcartrealnm > num > cartrealn)).
thf(crow0, type, row0 : (num > cartcartrealnm > cartrealn)).
thf(co2, type, o2 : ((b > real) > (a > b) > a > real)).
thf(cimage0, type, image0 : ((real > real) > (real > $o) > real > $o)).
thf(co1, type, o1 : ((num > num) > (num > num) > num > num)).
thf(co0, type, o0 : ((q146722 > q146722) > (q146722 > q146722) > q146722 > q146722)).
thf(co, type, o : ((num > real) > (num > num) > num > real)).
thf(cdu_1, type, d_1 : (cartcartrealnn > num > cartrealn)).
thf(csetspec1, type, setspec1 : (q43851 > $o > q43851 > $o)).
thf(cimage, type, image : ((q47566 > q47565) > (q47566 > $o) > q47565 > $o)).
thf(csetspec0, type, setspec0 : ((q144420 > q144420) > $o > (q144420 > q144420) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(csetspec, type, setspec : ((num > num) > $o > (num > num) > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(crow, type, row : (num > cartcartrealnn > cartrealn)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(cfinite6, type, finite6 : ((real > $o) > $o)).
thf(cpermutation1, type, permutation1 : ((q146695 > q146695) > $o)).
thf(cpermutation0, type, permutation0 : ((q146722 > q146722) > $o)).
thf(cfinite5, type, finite5 : ((q152603 > $o) > $o)).
thf(cfinite4, type, finite4 : ((q152602 > $o) > $o)).
thf(cfinite3, type, finite3 : ((q151580 > $o) > $o)).
thf(cfinite2, type, finite2 : ((a > $o) > $o)).
thf(cpermutation, type, permutation : ((a > a) > $o)).
thf(cfinite1, type, finite1 : (((q144420 > q144420) > $o) > $o)).
thf(cfinite0, type, finite0 : ((q144420 > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn)).
thf(clambda0, type, lambda0 : ((num > cartrealn) > cartcartrealnn)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cinverse1, type, inverse1 : ((q146695 > q146695) > q146695 > q146695)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealb,Y:cartrealb]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aDETu_IDENTICALu_ROWS, axiom, ![A:cartcartrealnn,I:num,J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ (dimindex0 @ univ0)) & ~ ((I = J)) & ((row @ I @ A) = (row @ J @ A))) => ((det @ A) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aDETu_LINEARu_ROWSu_VSUM, axiom, ![S:(num > $o),A:(num > num > cartrealn)]:((finite @ S) => ((det @ (lambda0 @ ^[I:num]:(vsum @ S @ (A @ I)))) = (sum @ (gspec @ ^[GENR_PVARR_421:(num > num)]:?[F:(num > num)]:(setspec @ GENR_PVARR_421 @ (![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => (in @ (F @ I) @ S)) & ![I:num]:(~ (((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0)))) => ((F @ I) = I))) @ F)) @ ^[F:(num > num)]:(det @ (lambda0 @ ^[I:num]:(A @ I @ (F @ I)))))))).
thf(aDETu_ROWSu_MUL, axiom, ![A:(num > cartrealn),C:(num > real)]:((det @ (lambda0 @ ^[I:num]:(r_ @ (C @ I) @ (A @ I)))) = (realu_mul @ (product @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0)) @ ^[I:num]:(C @ I)) @ (det @ (lambda0 @ ^[I:num]:(A @ I)))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aFINITEu_PERMUTATIONS, axiom, ![S:(q144420 > $o)]:((finite0 @ S) => (finite1 @ (gspec0 @ ^[GENR_PVARR_364:(q144420 > q144420)]:?[P:(q144420 > q144420)]:(setspec0 @ GENR_PVARR_364 @ (permutes @ P @ S) @ P))))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(q47565 > $o),F:(q47566 > q47565),S:(q47566 > $o)]:(![Y:q47565]:((in0 @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:q47566]:((in1 @ X @ S) => (P @ (F @ X))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in2 @ X @ (gspec1 @ ^[V:q43851]:?[Y:q43851]:(setspec1 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aMATRIXu_MULu_VSUMu_ALT, axiom, ![A:cartcartrealnn,B:cartcartrealnn]:((matrixu_mul @ A @ B) = (lambda0 @ ^[I:num]:(vsum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0)) @ ^[K:num]:(r_ @ (d_0 @ (d_1 @ A @ I) @ K) @ (d_1 @ B @ K)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTATIONu_PERMUTES, axiom, ![P:(a > a)]:((permutation @ P) <=> ?[S:(a > $o)]:((finite2 @ S) & (permutes0 @ P @ S)))).
thf(aPERMUTESu_INVERSE, axiom, ![P:(q144146 > q144146),S:(q144146 > $o)]:((permutes1 @ P @ S) => (permutes1 @ (inverse @ P) @ S))).
thf(aPERMUTESu_INVERSES, axiom, ![P:(real > real),S:(real > $o)]:((permutes2 @ P @ S) => (![X:real]:((P @ (inverse0 @ P @ X)) = X) & ![X:real]:((inverse0 @ P @ (P @ X)) = X)))).
thf(aPERMUTESu_INu_IMAGE, axiom, ![P:(q143740 > q143740),S:(q143740 > $o),X:q143740]:((permutes3 @ P @ S) => ((in3 @ (P @ X) @ S) <=> (in3 @ X @ S)))).
thf(aPRODUCTu_EQ, axiom, ![F:(q151227 > real),G:(q151227 > real),S:(q151227 > $o)]:(![X:q151227]:((in4 @ X @ S) => ((F @ X) = (G @ X))) => ((product0 @ S @ F) = (product0 @ S @ G)))).
thf(aPRODUCTu_EQu_NUMSEG, axiom, ![F:(num > real),G:(num > real),M:num,N:num]:(![I:num]:(((l_a_ @ M @ I) & (l_a_ @ I @ N)) => ((F @ I) = (G @ I))) => ((product @ (o_o_ @ M @ N) @ F) = (product @ (o_o_ @ M @ N) @ G)))).
thf(aPRODUCTu_MUL, axiom, ![F:(q151580 > real),G:(q151580 > real),S:(q151580 > $o)]:((finite3 @ S) => ((product1 @ S @ ^[X:q151580]:(realu_mul @ (F @ X) @ (G @ X))) = (realu_mul @ (product1 @ S @ F) @ (product1 @ S @ G))))).
thf(aPRODUCTu_PERMUTEu_NUMSEG, axiom, ![F:(num > real),P:(num > num),M:num,N:num]:((permutes4 @ P @ (o_o_ @ M @ N)) => ((product @ (o_o_ @ M @ N) @ F) = (product @ (o_o_ @ M @ N) @ (o @ F @ P))))).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_SUM, axiom, ![S:(q152602 > $o),T:(q152603 > $o),F:(q152602 > real),G:(q152603 > real)]:(((finite4 @ S) & (finite5 @ T)) => ((realu_mul @ (sum0 @ S @ F) @ (sum1 @ T @ G)) = (sum0 @ S @ ^[I:q152602]:(sum1 @ T @ ^[J:q152603]:(realu_mul @ (F @ I) @ (G @ J))))))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aSIGNu_COMPOSE, axiom, ![P:(q146722 > q146722),Q:(q146722 > q146722)]:(((permutation0 @ P) & (permutation0 @ Q)) => ((sign @ (o0 @ P @ Q)) = (realu_mul @ (sign @ P) @ (sign @ Q))))).
thf(aSIGNu_IDEMPOTENT, axiom, ![P:(q146785 > q146785)]:((realu_mul @ (sign0 @ P) @ (sign0 @ P)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aSIGNu_INVERSE, axiom, ![P:(q146695 > q146695)]:((permutation1 @ P) => ((sign1 @ (inverse1 @ P)) = (sign1 @ P)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in5 @ X @ S) => (in5 @ X @ T)))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in6 @ X @ S) => ((F @ X) = (G @ X))) => ((sum2 @ S @ F) = (sum2 @ S @ G)))).
thf(aSUMu_PERMUTATIONSu_COMPOSEu_R, axiom, ![F:((num > num) > real),M:num,N:num,Q:(num > num)]:((permutes4 @ Q @ (o_o_ @ M @ N)) => ((sum @ (gspec @ ^[GENR_PVARR_388:(num > num)]:?[P:(num > num)]:(setspec @ GENR_PVARR_388 @ (permutes4 @ P @ (o_o_ @ M @ N)) @ P)) @ F) = (sum @ (gspec @ ^[GENR_PVARR_389:(num > num)]:?[P:(num > num)]:(setspec @ GENR_PVARR_389 @ (permutes4 @ P @ (o_o_ @ M @ N)) @ P)) @ ^[P:(num > num)]:(F @ (o1 @ P @ Q)))))).
thf(aSUMu_SUPERSET, axiom, ![F:(a > real),U:(a > $o),V:(a > $o)]:(((subset @ U @ V) & ![X:a]:(((in5 @ X @ V) & ~ ((in5 @ X @ U))) => ((F @ X) = (realu_ofu_num @ (numeral @ u_0))))) => ((sum3 @ V @ F) = (sum3 @ U @ F)))).
thf(aSURJECTIVEu_IFFu_INJECTIVE, axiom, ![S:(real > $o),F:(real > real)]:(((finite6 @ S) & (subset0 @ (image0 @ F @ S) @ S)) => (![Y:real]:((in7 @ Y @ S) => ?[X:real]:((in7 @ X @ S) & ((F @ X) = Y))) <=> ![X:real,Y:real]:(((in7 @ X @ S) & (in7 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_COMPONENT, axiom, ![C:real,X:cartrealn,I:num]:((d_0 @ (r_ @ C @ X) @ I) = (realu_mul @ C @ (d_0 @ X @ I)))).
thf(adet, axiom, ![A:cartcartrealnn]:((det @ A) = (sum @ (gspec @ ^[GENR_PVARR_409:(num > num)]:?[P:(num > num)]:(setspec @ GENR_PVARR_409 @ (permutes4 @ P @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0))) @ P)) @ ^[P:(num > num)]:(realu_mul @ (sign2 @ P) @ (product @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0)) @ ^[I:num]:(d_0 @ (d_1 @ A @ I) @ (P @ I))))))).
thf(aou_THM, axiom, ![F:(b > real),G:(a > b),X:a]:((o2 @ F @ G @ X) = (F @ (G @ X)))).
thf(apermutes, axiom, ![S:(real > $o),P:(real > real)]:((permutes2 @ P @ S) <=> (![X:real]:(~ ((in7 @ X @ S)) => ((P @ X) = X)) & ![Y:real]:(?[X:real]:((P @ X) = Y) & ![X:real,XI_:real]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_)))))).
thf(arow, axiom, ![A:cartcartrealnm,I:num]:((row0 @ I @ A) = (lambda2 @ ^[J:num]:(d_0 @ (d_2 @ A @ I) @ J)))).
thf(conjecture, conjecture, ![A:cartcartrealnn,B:cartcartrealnn]:((det @ (matrixu_mul @ A @ B)) = (realu_mul @ (det @ A) @ (det @ B)))).
