%   ORIGINAL: ISTOPOLOGY_OPEN_IN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: topology_tybij_conjunct0: !a. topology (open_in a) = a
% Assm: topology_tybij_conjunct1: !r. istopology r <=> open_in (topology r) = r
% Goal: istopology (open_in top)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !a. topology (open_in a) = a
% Assm: !r. istopology r <=> open_in (topology r) = r
% Goal: !top. istopology (open_in top)
%  TYPES
thf(tq166834, type, q166834 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(ttopologyq166834, type, topologyq166834 : $tType).
%  CONSTS
thf(copenuu_in, type, openu_in : (topologyq166834 > (q166834 > $o) > $o)).
thf(ctopology, type, topology : (((q166834 > $o) > $o) > topologyq166834)).
thf(cistopology, type, istopology : (((q166834 > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(atopologyu_tybiju_conjunct0, axiom, ![A:topologyq166834]:((topology @ (openu_in @ A)) = A)).
thf(atopologyu_tybiju_conjunct1, axiom, ![R:((q166834 > $o) > $o)]:((istopology @ R) <=> ((openu_in @ (topology @ R)) = R))).
thf(conjecture, conjecture, ![TOP:topologyq166834]:(istopology @ (openu_in @ TOP))).
