%   ORIGINAL: OPEN_IN_EMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN_CLAUSES: !top. open_in top {} /\ (!s t. open_in top s /\ open_in top t ==> open_in top (s INTER t)) /\ (!k. (!s. s IN k ==> open_in top s) ==> open_in top (UNIONS k))
% Assm: TRUTH: T
% Goal: !top. open_in top {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !top. open_in top {} /\ (!s t. open_in top s /\ open_in top t ==> open_in top (s INTER t)) /\ (!k. (!s. s IN k ==> open_in top s) ==> open_in top (UNIONS k))
% Assm: T
% Goal: !top. open_in top {}
%  TYPES
thf(ttopologyq166970, type, topologyq166970 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq166970, type, q166970 : $tType).
%  CONSTS
thf(cunions, type, unions : (((q166970 > $o) > $o) > q166970 > $o)).
thf(cin, type, in : ((q166970 > $o) > ((q166970 > $o) > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologyq166970 > (q166970 > $o) > $o)).
thf(cinter, type, inter : ((q166970 > $o) > (q166970 > $o) > q166970 > $o)).
thf(cempty, type, empty : (q166970 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INu_CLAUSES, axiom, ![TOP:topologyq166970]:((openu_in @ TOP @ empty) & ![S:(q166970 > $o),T:(q166970 > $o)]:(((openu_in @ TOP @ S) & (openu_in @ TOP @ T)) => (openu_in @ TOP @ (inter @ S @ T))) & ![K:((q166970 > $o) > $o)]:(![S:(q166970 > $o)]:((in @ S @ K) => (openu_in @ TOP @ S)) => (openu_in @ TOP @ (unions @ K))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![TOP:topologyq166970]:(openu_in @ TOP @ empty)).
