%   ORIGINAL: CLOSED_IN_TOPSPACE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIFF_EQ_EMPTY: !s. s DIFF s = {}
% Assm: OPEN_IN_EMPTY: !top. open_in top {}
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: TRUTH: T
% Assm: closed_in: !top s. closed_in top s <=> s SUBSET topspace top /\ open_in top (topspace top DIFF s)
% Goal: !top. closed_in top (topspace top)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. s DIFF s = {}
% Assm: !top. open_in top {}
% Assm: !s. s SUBSET s
% Assm: T
% Assm: !top s. closed_in top s <=> s SUBSET topspace top /\ open_in top (topspace top DIFF s)
% Goal: !top. closed_in top (topspace top)
%  TYPES
thf(ttopologyq166970, type, topologyq166970 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(ttopologyq167223, type, topologyq167223 : $tType).
thf(tq166970, type, q166970 : $tType).
thf(tq167223, type, q167223 : $tType).
%  CONSTS
thf(copenuu_in0, type, openu_in0 : (topologyq167223 > (q167223 > $o) > $o)).
thf(csubset0, type, subset0 : ((q167223 > $o) > (q167223 > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologyq166970 > (q166970 > $o) > $o)).
thf(ctopspace, type, topspace : (topologyq167223 > q167223 > $o)).
thf(ccloseduu_in, type, closedu_in : (topologyq167223 > (q167223 > $o) > $o)).
thf(cdiff0, type, diff0 : ((q167223 > $o) > (q167223 > $o) > q167223 > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cempty0, type, empty0 : (q166970 > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIFFu_EQu_EMPTY, axiom, ![S:(a > $o)]:((diff @ S @ S) = empty)).
thf(aOPENu_INu_EMPTY, axiom, ![TOP:topologyq166970]:(openu_in @ TOP @ empty0)).
thf(aSUBSETu_REFL, axiom, ![S:(a > $o)]:(subset @ S @ S)).
thf(aTRUTH, axiom, $true).
thf(aclosedu_in, axiom, ![TOP:topologyq167223,S:(q167223 > $o)]:((closedu_in @ TOP @ S) <=> ((subset0 @ S @ (topspace @ TOP)) & (openu_in0 @ TOP @ (diff0 @ (topspace @ TOP) @ S))))).
thf(conjecture, conjecture, ![TOP:topologyq167223]:(closedu_in @ TOP @ (topspace @ TOP))).
