%   ORIGINAL: OPEN_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: INTERS_0: INTERS {} = (:A)
% Assm: INTERS_INSERT: INTERS (s INSERT u) = s INTER INTERS u
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_INTER: !s t. open s /\ open t ==> open (s INTER t)
% Assm: OPEN_UNIV: open (:real^N)
% Assm: TRUTH: T
% Goal: !s. FINITE s /\ (!t. t IN s ==> open t) ==> open (INTERS s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: INTERS {} = (:real^?168302)
% Assm: !s u. INTERS (s INSERT u) = s INTER INTERS u
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !s t. open s /\ open t ==> open (s INTER t)
% Assm: open (:real^?168302)
% Assm: T
% Goal: !s. FINITE s /\ (!t. t IN s ==> open t) ==> open (INTERS s)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealq168302, type, cartrealq168302 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq168302, type, q168302 : $tType).
%  CONSTS
thf(cinters, type, inters : (((cartrealq168302 > $o) > $o) > cartrealq168302 > $o)).
thf(cin, type, in : ((cartrealq168302 > $o) > ((cartrealq168302 > $o) > $o) > $o)).
thf(cinter, type, inter : ((cartrealq168302 > $o) > (cartrealq168302 > $o) > cartrealq168302 > $o)).
thf(cinsert, type, insert : ((cartrealq168302 > $o) > ((cartrealq168302 > $o) > $o) > (cartrealq168302 > $o) > $o)).
thf(cuniv, type, univ : (cartrealq168302 > $o)).
thf(cempty, type, empty : ((cartrealq168302 > $o) > $o)).
thf(copen, type, open : ((cartrealq168302 > $o) > $o)).
thf(cfinite, type, finite : (((cartrealq168302 > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:(((cartrealq168302 > $o) > $o) > $o)]:(((P @ empty) & ![X:(cartrealq168302 > $o),S:((cartrealq168302 > $o) > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:((cartrealq168302 > $o) > $o)]:((finite @ S) => (P @ S)))).
thf(aINTERSu_0, axiom, ((inters @ empty) = univ)).
thf(aINTERSu_INSERT, axiom, ![S:(cartrealq168302 > $o),U:((cartrealq168302 > $o) > $o)]:((inters @ (insert @ S @ U)) = (inter @ S @ (inters @ U)))).
thf(aINu_INSERT, axiom, ![X:(cartrealq168302 > $o),Y:(cartrealq168302 > $o),S:((cartrealq168302 > $o) > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INTER, axiom, ![S:(cartrealq168302 > $o),T:(cartrealq168302 > $o)]:(((open @ S) & (open @ T)) => (open @ (inter @ S @ T)))).
thf(aOPENu_UNIV, axiom, (open @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:((cartrealq168302 > $o) > $o)]:(((finite @ S) & ![T:(cartrealq168302 > $o)]:((in @ T @ S) => (open @ T))) => (open @ (inters @ S)))).
