%   ORIGINAL: OPEN_IN_OPEN_TRANS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN: !s. open s <=> open_in euclidean s
% Assm: OPEN_IN_TRANS: !s t u. open_in (subtopology euclidean t) s /\ open_in (subtopology euclidean u) t ==> open_in (subtopology euclidean u) s
% Assm: SUBTOPOLOGY_UNIV: !top. subtopology top (:?167925) = top
% Assm: TRUTH: T
% Goal: !s t. open_in (subtopology euclidean t) s /\ open t ==> open s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. open s <=> open_in euclidean s
% Assm: !s t u. open_in (subtopology euclidean t) s /\ open_in (subtopology euclidean u) t ==> open_in (subtopology euclidean u) s
% Assm: !top. subtopology top (:real^?169927) = top
% Assm: T
% Goal: !s t. open_in (subtopology euclidean t) s /\ open t ==> open s
%  TYPES
thf(ttopologycartrealq169927, type, topologycartrealq169927 : $tType).
thf(ta, type, a : $tType).
thf(tq169927, type, q169927 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq169927, type, cartrealq169927 : $tType).
%  CONSTS
thf(copenuu_in, type, openu_in : (topologycartrealq169927 > (cartrealq169927 > $o) > $o)).
thf(ceuclidean, type, euclidean : topologycartrealq169927).
thf(csubtopology, type, subtopology : (topologycartrealq169927 > (cartrealq169927 > $o) > topologycartrealq169927)).
thf(cuniv, type, univ : (cartrealq169927 > $o)).
thf(copen, type, open : ((cartrealq169927 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_IN, axiom, ![S:(cartrealq169927 > $o)]:((open @ S) <=> (openu_in @ euclidean @ S))).
thf(aOPENu_INu_TRANS, axiom, ![S:(cartrealq169927 > $o),T:(cartrealq169927 > $o),U:(cartrealq169927 > $o)]:(((openu_in @ (subtopology @ euclidean @ T) @ S) & (openu_in @ (subtopology @ euclidean @ U) @ T)) => (openu_in @ (subtopology @ euclidean @ U) @ S))).
thf(aSUBTOPOLOGYu_UNIV, axiom, ![TOP:topologycartrealq169927]:((subtopology @ TOP @ univ) = TOP)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq169927 > $o),T:(cartrealq169927 > $o)]:(((openu_in @ (subtopology @ euclidean @ T) @ S) & (open @ T)) => (open @ S))).
