%   ORIGINAL: INTERIOR_UNIQUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INTERIOR_MAXIMAL: !s t. t SUBSET s /\ open t ==> t SUBSET interior s
% Assm: INTERIOR_SUBSET: !s. interior s SUBSET s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_INTERIOR: !s. open (interior s)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: TRUTH: T
% Goal: !s t. t SUBSET s /\ open t /\ (!t'. t' SUBSET s /\ open t' ==> t' SUBSET t) ==> interior s = t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. t SUBSET s /\ open t ==> t SUBSET interior s
% Assm: !s. interior s SUBSET s
% Assm: ~F <=> T
% Assm: !s. open (interior s)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: T
% Goal: !s t. t SUBSET s /\ open t /\ (!t'. t' SUBSET s /\ open t' ==> t' SUBSET t) ==> interior s = t
%  TYPES
thf(tq172166, type, q172166 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq172166, type, cartrealq172166 : $tType).
%  CONSTS
thf(cinterior, type, interior : ((cartrealq172166 > $o) > cartrealq172166 > $o)).
thf(csubset, type, subset : ((cartrealq172166 > $o) > (cartrealq172166 > $o) > $o)).
thf(copen, type, open : ((cartrealq172166 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq172166 > $o),G:(a > cartrealq172166 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq172166 > $o)]:(^[X:cartrealq172166]:(T @ X) = T)).
thf(aINTERIORu_MAXIMAL, axiom, ![S:(cartrealq172166 > $o),T:(cartrealq172166 > $o)]:(((subset @ T @ S) & (open @ T)) => (subset @ T @ (interior @ S)))).
thf(aINTERIORu_SUBSET, axiom, ![S:(cartrealq172166 > $o)]:(subset @ (interior @ S) @ S)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INTERIOR, axiom, ![S:(cartrealq172166 > $o)]:(open @ (interior @ S))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealq172166 > $o),T:(cartrealq172166 > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq172166 > $o),T:(cartrealq172166 > $o)]:(((subset @ T @ S) & (open @ T) & ![TI_:(cartrealq172166 > $o)]:(((subset @ TI_ @ S) & (open @ TI_)) => (subset @ TI_ @ T))) => ((interior @ S) = T))).
