%   ORIGINAL: BOUNDED_SCALING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_LINEAR_IMAGE: !f s. bounded s /\ linear f ==> bounded (IMAGE f s)
% Assm: LINEAR_COMPOSE_CMUL: !f c. linear f ==> linear (\x. c % f x)
% Assm: LINEAR_ID: linear (\x. x)
% Assm: TRUTH: T
% Goal: !c s. bounded s ==> bounded (IMAGE (\x. c % x) s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. bounded s /\ linear f ==> bounded (IMAGE f s)
% Assm: !f c. linear f ==> linear (\x. c % f x)
% Assm: linear (\x. x)
% Assm: T
% Goal: !c s. bounded s ==> bounded (IMAGE (\x. c % x) s)
%  TYPES
thf(tcartrealq109165, type, cartrealq109165 : $tType).
thf(tq109165, type, q109165 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq109046, type, q109046 : $tType).
thf(treal, type, real : $tType).
thf(tq182219, type, q182219 : $tType).
thf(tcartrealq109046, type, cartrealq109046 : $tType).
thf(tcartrealq182219, type, cartrealq182219 : $tType).
%  CONSTS
thf(cru_, type, r_ : (real > cartrealq182219 > cartrealq182219)).
thf(cimage, type, image : ((cartrealq182219 > cartrealq182219) > (cartrealq182219 > $o) > cartrealq182219 > $o)).
thf(clinear1, type, linear1 : ((cartrealq109165 > cartrealq109165) > $o)).
thf(clinear0, type, linear0 : ((cartrealq109046 > cartrealq182219) > $o)).
thf(clinear, type, linear : ((cartrealq182219 > cartrealq182219) > $o)).
thf(cbounded, type, bounded : ((cartrealq182219 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_LINEARu_IMAGE, axiom, ![F:(cartrealq182219 > cartrealq182219),S:(cartrealq182219 > $o)]:(((bounded @ S) & (linear @ F)) => (bounded @ (image @ F @ S)))).
thf(aLINEARu_COMPOSEu_CMUL, axiom, ![F:(cartrealq109046 > cartrealq182219),C:real]:((linear0 @ F) => (linear0 @ ^[X:cartrealq109046]:(r_ @ C @ (F @ X))))).
thf(aLINEARu_ID, axiom, (linear1 @ ^[X:cartrealq109165]:X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![C:real,S:(cartrealq182219 > $o)]:((bounded @ S) => (bounded @ (image @ ^[X:cartrealq182219]:(r_ @ C @ X) @ S)))).
