%   ORIGINAL: CONTINUOUS_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_WITHIN: !f x. f continuous at x within s <=> (f --> f x) (at x within s)
% Assm: TRUTH: T
% Assm: WITHIN_UNIV: !x. at x within (:real^N) = at x
% Goal: !f x. f continuous at x <=> (f --> f x) (at x)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s f x. f continuous at x within s <=> (f --> f x) (at x within s)
% Assm: T
% Assm: !x. at x within (:real^N) = at x
% Goal: !f x. f continuous at x <=> (f --> f x) (at x)
%  TYPES
thf(tq187986, type, q187986 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq187986, type, cartrealq187986 : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(ccontinuous, type, continuous : ((cartrealn > cartrealq187986) > netcartrealn > $o)).
thf(cwithin, type, within : (netcartrealn > (cartrealn > $o) > netcartrealn)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealn > cartrealq187986) > cartrealq187986 > netcartrealn > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_WITHIN, axiom, ![S:(cartrealn > $o),F:(cartrealn > cartrealq187986),X:cartrealn]:((continuous @ F @ (within @ (at @ X) @ S)) <=> (m_m_g_ @ F @ (F @ X) @ (within @ (at @ X) @ S)))).
thf(aTRUTH, axiom, $true).
thf(aWITHINu_UNIV, axiom, ![X:cartrealn]:((within @ (at @ X) @ univ) = (at @ X))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealq187986),X:cartrealn]:((continuous @ F @ (at @ X)) <=> (m_m_g_ @ F @ (F @ X) @ (at @ X)))).
