%   ORIGINAL: CONTINUOUS_AT_SEQUENTIALLY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_WITHIN_SEQUENTIALLY: !f a. f continuous at a within s <=> (!x. (!n. x n IN s) /\ (x --> a) sequentially ==> (f o x --> f a) sequentially)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: TRUTH: T
% Assm: WITHIN_UNIV: !x. at x within (:real^N) = at x
% Goal: !f a. f continuous at a <=> (!x. (x --> a) sequentially ==> (f o x --> f a) sequentially)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s f a. f continuous at a within s <=> (!x. (!n. x n IN s) /\ (x --> a) sequentially ==> (f o x --> f a) sequentially)
% Assm: !x. x IN (:A)
% Assm: T
% Assm: !x. at x within (:real^N) = at x
% Goal: !f a. f continuous at a <=> (!x. (x --> a) sequentially ==> (f o x --> f a) sequentially)
%  TYPES
thf(tcartrealq189117, type, cartrealq189117 : $tType).
thf(tq189117, type, q189117 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccontinuous, type, continuous : ((cartrealn > cartrealq189117) > netcartrealn > $o)).
thf(cwithin, type, within : (netcartrealn > (cartrealn > $o) > netcartrealn)).
thf(co, type, o : ((cartrealn > cartrealq189117) > (num > cartrealn) > num > cartrealq189117)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((num > cartrealq189117) > cartrealq189117 > netnum > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuniv, type, univ : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_WITHINu_SEQUENTIALLY, axiom, ![S:(cartrealn > $o),F:(cartrealn > cartrealq189117),A:cartrealn]:((continuous @ F @ (within @ (at @ A) @ S)) <=> ![X:(num > cartrealn)]:((![N:num]:(in @ (X @ N) @ S) & (m_m_g_ @ X @ A @ sequentially)) => (m_m_g_0 @ (o @ F @ X) @ (F @ A) @ sequentially)))).
thf(aINu_UNIV, axiom, ![X:a]:(in0 @ X @ univ)).
thf(aTRUTH, axiom, $true).
thf(aWITHINu_UNIV, axiom, ![X:cartrealn]:((within @ (at @ X) @ univ0) = (at @ X))).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealq189117),A:cartrealn]:((continuous @ F @ (at @ A)) <=> ![X:(num > cartrealn)]:((m_m_g_ @ X @ A @ sequentially) => (m_m_g_0 @ (o @ F @ X) @ (F @ A) @ sequentially)))).
