%   ORIGINAL: CONTINUOUS_CMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIM_CMUL: !f l c. (f --> l) net ==> ((\x. c % f x) --> c % l) net
% Assm: TRUTH: T
% Assm: continuous: !f net. f continuous net <=> (f --> f (netlimit net)) net
% Goal: !f c net. f continuous net ==> (\x. c % f x) continuous net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net f l c. (f --> l) net ==> ((\x. c % f x) --> c % l) net
% Assm: T
% Assm: !f net. f continuous net <=> (f --> f (netlimit net)) net
% Goal: !f c net. f continuous net ==> (\x. c % f x) continuous net
%  TYPES
thf(tq176203, type, q176203 : $tType).
thf(tcartrealq189431, type, cartrealq189431 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetq176203, type, netq176203 : $tType).
thf(tnetq189442, type, netq189442 : $tType).
thf(tq189431, type, q189431 : $tType).
thf(tq189442, type, q189442 : $tType).
%  CONSTS
thf(cnetlimit, type, netlimit : (netq189442 > q189442)).
thf(ccontinuous, type, continuous : ((q189442 > cartrealq189431) > netq189442 > $o)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((q189442 > cartrealq189431) > cartrealq189431 > netq189442 > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((q176203 > cartrealq189431) > cartrealq189431 > netq176203 > $o)).
thf(cru_, type, r_ : (real > cartrealq189431 > cartrealq189431)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIMu_CMUL, axiom, ![NET:netq176203,F:(q176203 > cartrealq189431),L:cartrealq189431,C:real]:((m_m_g_ @ F @ L @ NET) => (m_m_g_ @ ^[X:q176203]:(r_ @ C @ (F @ X)) @ (r_ @ C @ L) @ NET))).
thf(aTRUTH, axiom, $true).
thf(acontinuous, axiom, ![F:(q189442 > cartrealq189431),NET:netq189442]:((continuous @ F @ NET) <=> (m_m_g_0 @ F @ (F @ (netlimit @ NET)) @ NET))).
thf(conjecture, conjecture, ![F:(q189442 > cartrealq189431),C:real,NET:netq189442]:((continuous @ F @ NET) => (continuous @ ^[X:q189442]:(r_ @ C @ (F @ X)) @ NET))).
