%   ORIGINAL: CONTINUOUS_ADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIM_ADD: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x + g x) --> l + m) net
% Assm: TRUTH: T
% Assm: continuous: !f net. f continuous net <=> (f --> f (netlimit net)) net
% Goal: !f g net. f continuous net /\ g continuous net ==> (\x. f x + g x) continuous net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x + g x) --> l + m) net
% Assm: T
% Assm: !f net. f continuous net <=> (f --> f (netlimit net)) net
% Goal: !f g net. f continuous net /\ g continuous net ==> (\x. f x + g x) continuous net
%  TYPES
thf(tnetq189508, type, netq189508 : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq189511, type, cartrealq189511 : $tType).
thf(tq189508, type, q189508 : $tType).
thf(treal, type, real : $tType).
thf(tq189511, type, q189511 : $tType).
%  CONSTS
thf(cnetlimit, type, netlimit : (netq189508 > q189508)).
thf(ccontinuous, type, continuous : ((q189508 > cartrealq189511) > netq189508 > $o)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((q189508 > cartrealq189511) > cartrealq189511 > netq189508 > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealq189511) > cartrealq189511 > neta > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq189511 > cartrealq189511 > cartrealq189511)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIMu_ADD, axiom, ![NET:neta,F:(a > cartrealq189511),G:(a > cartrealq189511),L:cartrealq189511,M:cartrealq189511]:(((m_m_g_ @ F @ L @ NET) & (m_m_g_ @ G @ M @ NET)) => (m_m_g_ @ ^[X:a]:(vectoru_add @ (F @ X) @ (G @ X)) @ (vectoru_add @ L @ M) @ NET))).
thf(aTRUTH, axiom, $true).
thf(acontinuous, axiom, ![F:(q189508 > cartrealq189511),NET:netq189508]:((continuous @ F @ NET) <=> (m_m_g_0 @ F @ (F @ (netlimit @ NET)) @ NET))).
thf(conjecture, conjecture, ![F:(q189508 > cartrealq189511),G:(q189508 > cartrealq189511),NET:netq189508]:(((continuous @ F @ NET) & (continuous @ G @ NET)) => (continuous @ ^[X:q189508]:(vectoru_add @ (F @ X) @ (G @ X)) @ NET))).
