%   ORIGINAL: CONTINUOUS_ON_NEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_NEG: !f net. f continuous net ==> (\x. --f x) continuous net
% Assm: CONTINUOUS_ON_EQ_CONTINUOUS_WITHIN: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: TRUTH: T
% Goal: !f s. f continuous_on s ==> (\x. --f x) continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f net. f continuous net ==> (\x. --f x) continuous net
% Assm: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: T
% Goal: !f s. f continuous_on s ==> (\x. --f x) continuous_on s
%  TYPES
thf(tcartrealq189805, type, cartrealq189805 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq189805, type, q189805 : $tType).
thf(tnetcartrealq189797, type, netcartrealq189797 : $tType).
thf(treal, type, real : $tType).
thf(tnetq189466, type, netq189466 : $tType).
thf(tq189466, type, q189466 : $tType).
thf(tcartrealq189797, type, cartrealq189797 : $tType).
thf(tq189797, type, q189797 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealq189797 > netcartrealq189797)).
thf(ccontinuous0, type, continuous0 : ((cartrealq189797 > cartrealq189805) > netcartrealq189797 > $o)).
thf(cin, type, in : (cartrealq189797 > (cartrealq189797 > $o) > $o)).
thf(ccontinuous, type, continuous : ((q189466 > cartrealq189805) > netq189466 > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealq189797 > cartrealq189805) > (cartrealq189797 > $o) > $o)).
thf(cwithin, type, within : (netcartrealq189797 > (cartrealq189797 > $o) > netcartrealq189797)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq189805 > cartrealq189805)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_NEG, axiom, ![F:(q189466 > cartrealq189805),NET:netq189466]:((continuous @ F @ NET) => (continuous @ ^[X:q189466]:(vectoru_neg @ (F @ X)) @ NET))).
thf(aCONTINUOUSu_ONu_EQu_CONTINUOUSu_WITHIN, axiom, ![F:(cartrealq189797 > cartrealq189805),S:(cartrealq189797 > $o)]:((continuousu_on @ F @ S) <=> ![X:cartrealq189797]:((in @ X @ S) => (continuous0 @ F @ (within @ (at @ X) @ S))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealq189797 > cartrealq189805),S:(cartrealq189797 > $o)]:((continuousu_on @ F @ S) => (continuousu_on @ ^[X:cartrealq189797]:(vectoru_neg @ (F @ X)) @ S))).
