%   ORIGINAL: CONTINUOUS_OPEN_IN_PREIMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_ON_OPEN: !f s. f continuous_on s <=> (!t. open_in (subtopology euclidean (IMAGE f s)) t ==> open_in (subtopology euclidean s) {x | x IN s /\ f x IN t})
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTER_COMM: !s t. s INTER t = t INTER s
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN_OPEN_INTER: !u s. open s ==> open_in (subtopology euclidean u) (u INTER s)
% Assm: TRUTH: T
% Goal: !f s t. f continuous_on s /\ open t ==> open_in (subtopology euclidean s) {x | x IN s /\ f x IN t}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. f continuous_on s <=> (!t. open_in (subtopology euclidean (IMAGE f s)) t ==> open_in (subtopology euclidean s) {x | x IN s /\ f x IN t})
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !s t. s INTER t = t INTER s
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !u s. open s ==> open_in (subtopology euclidean u) (u INTER s)
% Assm: T
% Goal: !f s t. f continuous_on s /\ open t ==> open_in (subtopology euclidean s) {x | x IN s /\ f x IN t}
%  TYPES
thf(tcartrealq190830, type, cartrealq190830 : $tType).
thf(ttopologycartrealq190832, type, topologycartrealq190832 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq190832, type, cartrealq190832 : $tType).
thf(tq190830, type, q190830 : $tType).
thf(treal, type, real : $tType).
thf(tq190832, type, q190832 : $tType).
thf(ttopologycartrealq190830, type, topologycartrealq190830 : $tType).
%  CONSTS
thf(copenuu_in0, type, openu_in0 : (topologycartrealq190832 > (cartrealq190832 > $o) > $o)).
thf(cin0, type, in0 : (cartrealq190832 > (cartrealq190832 > $o) > $o)).
thf(cin, type, in : (cartrealq190830 > (cartrealq190830 > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealq190830 > $o) > cartrealq190830 > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealq190830 > (cartrealq190830 > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealq190830 > cartrealq190832) > (cartrealq190830 > $o) > $o)).
thf(cinter1, type, inter1 : ((cartrealq190830 > $o) > (cartrealq190830 > $o) > cartrealq190830 > $o)).
thf(cinter0, type, inter0 : ((cartrealq190832 > $o) > (cartrealq190832 > $o) > cartrealq190832 > $o)).
thf(cimage2, type, image2 : ((cartrealq190830 > cartrealq190830) > (cartrealq190830 > $o) > cartrealq190830 > $o)).
thf(cimage1, type, image1 : ((cartrealq190832 > cartrealq190830) > (cartrealq190832 > $o) > cartrealq190830 > $o)).
thf(cimage0, type, image0 : ((cartrealq190832 > cartrealq190832) > (cartrealq190832 > $o) > cartrealq190832 > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cimage, type, image : ((cartrealq190830 > cartrealq190832) > (cartrealq190830 > $o) > cartrealq190832 > $o)).
thf(csubtopology0, type, subtopology0 : (topologycartrealq190832 > (cartrealq190832 > $o) > topologycartrealq190832)).
thf(csetspec, type, setspec : (cartrealq190830 > $o > cartrealq190830 > $o)).
thf(csubtopology, type, subtopology : (topologycartrealq190830 > (cartrealq190830 > $o) > topologycartrealq190830)).
thf(copen, type, open : ((cartrealq190832 > $o) > $o)).
thf(ceuclidean0, type, euclidean0 : topologycartrealq190832).
thf(ceuclidean, type, euclidean : topologycartrealq190830).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ONu_OPEN, axiom, ![F:(cartrealq190830 > cartrealq190832),S:(cartrealq190830 > $o)]:((continuousu_on @ F @ S) <=> ![T:(cartrealq190832 > $o)]:((openu_in0 @ (subtopology0 @ euclidean0 @ (image @ F @ S)) @ T) => (openu_in @ (subtopology @ euclidean @ S) @ (gspec @ ^[GENR_PVARR_499:cartrealq190830]:?[X:cartrealq190830]:(setspec @ GENR_PVARR_499 @ ((in @ X @ S) & (in0 @ (F @ X) @ T)) @ X)))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_monomorphized1, axiom, ![P:(cartrealq190832 > $o),X:cartrealq190832]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(cartrealq190830 > $o),X:cartrealq190830]:((in @ X @ P) <=> (P @ X))).
thf(aINTERu_COMM, axiom, ![S:(a > $o),T:(a > $o)]:((inter @ S @ T) = (inter @ T @ S))).
thf(aINu_IMAGEu_monomorphized3, axiom, ![Y:cartrealq190832,S:(cartrealq190832 > $o),F:(cartrealq190832 > cartrealq190832)]:((in0 @ Y @ (image0 @ F @ S)) <=> ?[X:cartrealq190832]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_IMAGEu_monomorphized2, axiom, ![Y:cartrealq190832,S:(cartrealq190830 > $o),F:(cartrealq190830 > cartrealq190832)]:((in0 @ Y @ (image @ F @ S)) <=> ?[X:cartrealq190830]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_IMAGEu_monomorphized1, axiom, ![Y:cartrealq190830,S:(cartrealq190832 > $o),F:(cartrealq190832 > cartrealq190830)]:((in @ Y @ (image1 @ F @ S)) <=> ?[X:cartrealq190832]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_IMAGEu_monomorphized0, axiom, ![Y:cartrealq190830,S:(cartrealq190830 > $o),F:(cartrealq190830 > cartrealq190830)]:((in @ Y @ (image2 @ F @ S)) <=> ?[X:cartrealq190830]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INTERu_monomorphized1, axiom, ![S:(cartrealq190832 > $o),T:(cartrealq190832 > $o),X:cartrealq190832]:((in0 @ X @ (inter0 @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_INTERu_monomorphized0, axiom, ![S:(cartrealq190830 > $o),T:(cartrealq190830 > $o),X:cartrealq190830]:((in @ X @ (inter1 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INu_OPENu_INTER, axiom, ![U:(cartrealq190832 > $o),S:(cartrealq190832 > $o)]:((open @ S) => (openu_in0 @ (subtopology0 @ euclidean0 @ U) @ (inter0 @ U @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealq190830 > cartrealq190832),S:(cartrealq190830 > $o),T:(cartrealq190832 > $o)]:(((continuousu_on @ F @ S) & (open @ T)) => (openu_in @ (subtopology @ euclidean @ S) @ (gspec @ ^[GENR_PVARR_501:cartrealq190830]:?[X:cartrealq190830]:(setspec @ GENR_PVARR_501 @ ((in @ X @ S) & (in0 @ (F @ X) @ T)) @ X))))).
