%   ORIGINAL: CONTINUOUS_CLOSED_PREIMAGE_UNIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_UNIV: closed (:real^N)
% Assm: CONTINUOUS_AT_IMP_CONTINUOUS_ON: !f s. (!x. x IN s ==> f continuous at x) ==> f continuous_on s
% Assm: CONTINUOUS_CLOSED_PREIMAGE: !f s t. f continuous_on s /\ closed s /\ closed t ==> closed {x | x IN s /\ f x IN t}
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: TRUTH: T
% Goal: !f s. (!x. f continuous at x) /\ closed s ==> closed {x | f x IN s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: closed (:real^N)
% Assm: closed (:real^M)
% Assm: !f s. (!x. x IN s ==> f continuous at x) ==> f continuous_on s
% Assm: !f s t. f continuous_on s /\ closed s /\ closed t ==> closed {x | x IN s /\ f x IN t}
% Assm: !x. x IN (:real^N)
% Assm: T
% Goal: !f s. (!x. f continuous at x) /\ closed s ==> closed {x | f x IN s}
%  TYPES
thf(tcartrealq188641, type, cartrealq188641 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tq188641, type, q188641 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat0, type, at0 : (cartrealn > netcartrealn)).
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealq188641) > (cartrealn > $o) > $o)).
thf(ccontinuous0, type, continuous0 : ((cartrealn > cartrealq188641) > netcartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(ccontinuous, type, continuous : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(cuniv0, type, univ0 : (cartrealm > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cclosed0, type, closed0 : ((cartrealm > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_UNIVu_monomorphized1, axiom, (closed @ univ)).
thf(aCLOSEDu_UNIVu_monomorphized0, axiom, (closed0 @ univ0)).
thf(aCONTINUOUSu_ATu_IMPu_CONTINUOUSu_ON, axiom, ![F:(cartrealn > cartrealq188641),S:(cartrealn > $o)]:(![X:cartrealn]:((in @ X @ S) => (continuous0 @ F @ (at0 @ X))) => (continuousu_on @ F @ S))).
thf(aCONTINUOUSu_CLOSEDu_PREIMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealn > $o)]:(((continuousu_on0 @ F @ S) & (closed0 @ S) & (closed @ T)) => (closed0 @ (gspec @ ^[GENR_PVARR_506:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_506 @ ((in0 @ X @ S) & (in @ (F @ X) @ T)) @ X))))).
thf(aINu_UNIV, axiom, ![X:cartrealn]:(in @ X @ univ)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealn > $o)]:((![X:cartrealm]:(continuous @ F @ (at @ X)) & (closed @ S)) => (closed0 @ (gspec @ ^[GENR_PVARR_508:cartrealm]:?[X:cartrealm]:(setspec @ GENR_PVARR_508 @ (in @ (F @ X) @ S) @ X))))).
