%   ORIGINAL: CAUCHY_CONTINUOUS_IMP_CONTINUOUS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CAUCHY_CONTINUOUS_EXTENDS_TO_CLOSURE: !f s. (!x. cauchy x /\ (!n. x n IN s) ==> cauchy (f o x)) ==> (?g. g continuous_on closure s /\ (!x. x IN s ==> g x = f x))
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: CONTINUOUS_ON_EQ: !f g s. (!x. x IN s ==> f x = g x) /\ f continuous_on s ==> g continuous_on s
% Assm: CONTINUOUS_ON_SUBSET: !f s t. f continuous_on s /\ t SUBSET s ==> f continuous_on t
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s. (!x. cauchy x /\ (!n. x n IN s) ==> cauchy (f o x)) ==> f continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. (!x. cauchy x /\ (!n. x n IN s) ==> cauchy (f o x)) ==> (?g. g continuous_on closure s /\ (!x. x IN s ==> g x = f x))
% Assm: !s. s SUBSET closure s
% Assm: !f g s. (!x. x IN s ==> f x = g x) /\ f continuous_on s ==> g continuous_on s
% Assm: !f s t. f continuous_on s /\ t SUBSET s ==> f continuous_on t
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !f s. (!x. cauchy x /\ (!n. x n IN s) ==> cauchy (f o x)) ==> f continuous_on s
%  TYPES
thf(tcartrealq172643, type, cartrealq172643 : $tType).
thf(tnum, type, num : $tType).
thf(tq172643, type, q172643 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cclosure0, type, closure0 : ((cartrealq172643 > $o) > cartrealq172643 > $o)).
thf(csubset, type, subset : ((cartrealq172643 > $o) > (cartrealq172643 > $o) > $o)).
thf(cclosure, type, closure : ((cartrealm > $o) > cartrealm > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(co, type, o : ((cartrealm > cartrealn) > (num > cartrealm) > num > cartrealn)).
thf(ccauchy0, type, cauchy0 : ((num > cartrealn) > $o)).
thf(ccauchy, type, cauchy : ((num > cartrealm) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCAUCHYu_CONTINUOUSu_EXTENDSu_TOu_CLOSURE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(![X:(num > cartrealm)]:(((cauchy @ X) & ![N:num]:(in @ (X @ N) @ S)) => (cauchy0 @ (o @ F @ X))) => ?[G:(cartrealm > cartrealn)]:((continuousu_on @ G @ (closure @ S)) & ![X:cartrealm]:((in @ X @ S) => ((G @ X) = (F @ X)))))).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealq172643 > $o)]:(subset @ S @ (closure0 @ S))).
thf(aCONTINUOUSu_ONu_EQ, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:((![X:cartrealm]:((in @ X @ S) => ((F @ X) = (G @ X))) & (continuousu_on @ F @ S)) => (continuousu_on @ G @ S))).
thf(aCONTINUOUSu_ONu_SUBSET, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (subset0 @ T @ S)) => (continuousu_on @ F @ T))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(![X:(num > cartrealm)]:(((cauchy @ X) & ![N:num]:(in @ (X @ N) @ S)) => (cauchy0 @ (o @ F @ X))) => (continuousu_on @ F @ S))).
