%   ORIGINAL: CONNECTED_COMPONENT_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_COMPONENT_SET: !s x. connected_component s x = {y | ?t. connected t /\ t SUBSET s /\ x IN t /\ y IN t}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s x. connected_component s x = UNIONS {t | connected t /\ x IN t /\ t SUBSET s}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x. connected_component s x = {y | ?t. connected t /\ t SUBSET s /\ x IN t /\ y IN t}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s x. connected_component s x = UNIONS {t | connected t /\ x IN t /\ t SUBSET s}
%  TYPES
thf(tcartrealq198434, type, cartrealq198434 : $tType).
thf(tq198434, type, q198434 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealq198434 > $o) > cartrealq198434 > $o)).
thf(cin0, type, in0 : ((cartrealq198434 > $o) > ((cartrealq198434 > $o) > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealq198434 > $o) > cartrealq198434 > $o)).
thf(csubset, type, subset : ((cartrealq198434 > $o) > (cartrealq198434 > $o) > $o)).
thf(cin, type, in : (cartrealq198434 > (cartrealq198434 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealq198434 > $o) > $o) > (cartrealq198434 > $o) > $o)).
thf(cunions, type, unions : (((cartrealq198434 > $o) > $o) > cartrealq198434 > $o)).
thf(csetspec0, type, setspec0 : (cartrealq198434 > $o > cartrealq198434 > $o)).
thf(csetspec, type, setspec : ((cartrealq198434 > $o) > $o > (cartrealq198434 > $o) > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealq198434 > $o) > cartrealq198434 > cartrealq198434 > $o)).
thf(cconnected, type, connected : ((cartrealq198434 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq198434 > $o),G:(a > cartrealq198434 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_COMPONENTu_SET, axiom, ![S:(cartrealq198434 > $o),X:cartrealq198434]:((connectedu_component @ S @ X) = (gspec0 @ ^[GENR_PVARR_589:cartrealq198434]:?[Y:cartrealq198434]:(setspec0 @ GENR_PVARR_589 @ ?[T:(cartrealq198434 > $o)]:((connected @ T) & (subset @ T @ S) & (in @ X @ T) & (in @ Y @ T)) @ Y)))).
thf(aETAu_AX, axiom, ![T:(cartrealq198434 > $o)]:(^[X:cartrealq198434]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq198434 > $o),T:(cartrealq198434 > $o)]:((S = T) <=> ![X:cartrealq198434]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealq198434 > $o),X:cartrealq198434]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealq198434 > $o),X:cartrealq198434]:((in @ X @ (gspec0 @ ^[V:cartrealq198434]:?[Y:cartrealq198434]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIONS, axiom, ![S:((cartrealq198434 > $o) > $o),X:cartrealq198434]:((in @ X @ (unions @ S)) <=> ?[T:(cartrealq198434 > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:(cartrealq198434 > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealq198434 > $o),T:(cartrealq198434 > $o)]:((subset @ S @ T) <=> ![X:cartrealq198434]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq198434 > $o),X:cartrealq198434]:((connectedu_component @ S @ X) = (unions @ (gspec @ ^[GENR_PVARR_590:(cartrealq198434 > $o)]:?[T:(cartrealq198434 > $o)]:(setspec @ GENR_PVARR_590 @ ((connected @ T) & (in @ X @ T) & (subset @ T @ S)) @ T))))).
