%   ORIGINAL: IN_COMPONENTS_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONNECTED_COMPONENT_SUBSET: !s x. connected_component s x SUBSET s
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: TRUTH: T
% Assm: components: !s. components s = {connected_component s x | x | x IN s}
% Goal: !s c. c IN components s ==> c SUBSET s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s x. connected_component s x SUBSET s
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: T
% Assm: !s. components s = {connected_component s x | x | x IN s}
% Goal: !s c. c IN components s ==> c SUBSET s
%  TYPES
thf(tq199646, type, q199646 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq199646, type, cartrealq199646 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealq199646 > (cartrealq199646 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealq199646 > $o) > $o) > (cartrealq199646 > $o) > $o)).
thf(csubset, type, subset : ((cartrealq199646 > $o) > (cartrealq199646 > $o) > $o)).
thf(ccomponents, type, components : ((cartrealq199646 > $o) > (cartrealq199646 > $o) > $o)).
thf(cin, type, in : ((cartrealq199646 > $o) > ((cartrealq199646 > $o) > $o) > $o)).
thf(csetspec, type, setspec : ((cartrealq199646 > $o) > $o > (cartrealq199646 > $o) > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealq199646 > $o) > cartrealq199646 > cartrealq199646 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONNECTEDu_COMPONENTu_SUBSET, axiom, ![S:(cartrealq199646 > $o),X:cartrealq199646]:(subset @ (connectedu_component @ S @ X) @ S)).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (cartrealq199646 > $o) > $o) > $o),X:(cartrealq199646 > $o)]:((in @ X @ (gspec @ ^[V:(cartrealq199646 > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(cartrealq199646 > $o)]:(P0 & (X = T))))).
thf(aTRUTH, axiom, $true).
thf(acomponents, axiom, ![S:(cartrealq199646 > $o)]:((components @ S) = (gspec @ ^[GENR_PVARR_594:(cartrealq199646 > $o)]:?[X:cartrealq199646]:(setspec @ GENR_PVARR_594 @ (in0 @ X @ S) @ (connectedu_component @ S @ X))))).
thf(conjecture, conjecture, ![S:(cartrealq199646 > $o),C:(cartrealq199646 > $o)]:((in @ C @ (components @ S)) => (subset @ C @ S))).
