%   ORIGINAL: BOUNDED_INTERVAL_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_CLOSED_INTERVAL: !a b. bounded (interval [a,b])
% Goal: !a b. bounded (interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. bounded (interval [a,b])
% Goal: !a b. bounded (interval [a,b])
%  TYPES
thf(tcartrealq209230, type, cartrealq209230 : $tType).
thf(tq209230, type, q209230 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealq209230cartrealq209230, type, prodcartrealq209230cartrealq209230 : $tType).
thf(treal, type, real : $tType).
thf(tlistprodcartrealq209230cartrealq209230, type, listprodcartrealq209230cartrealq209230 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq209230cartrealq209230).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealq209230cartrealq209230 > cartrealq209230 > $o)).
thf(ccu_, type, c_ : (cartrealq209230 > cartrealq209230 > prodcartrealq209230cartrealq209230)).
thf(ccons, type, cons : (prodcartrealq209230cartrealq209230 > listprodcartrealq209230cartrealq209230 > listprodcartrealq209230cartrealq209230)).
thf(cbounded, type, bounded : ((cartrealq209230 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_CLOSEDu_INTERVAL, axiom, ![A:cartrealq209230,B:cartrealq209230]:(bounded @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(conjecture, conjecture, ![A:cartrealq209230,B:cartrealq209230]:(bounded @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
