%   ORIGINAL: COMPACT_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_INTERVAL_conjunct0: !a b. bounded (interval [a,b])
% Assm: CLOSED_INTERVAL: !a b. closed (interval [a,b])
% Assm: COMPACT_EQ_BOUNDED_CLOSED: !s. compact s <=> bounded s /\ closed s
% Assm: TRUTH: T
% Goal: !a b. compact (interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. bounded (interval [a,b])
% Assm: !a b. closed (interval [a,b])
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: T
% Goal: !a b. compact (interval [a,b])
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq209308, type, cartrealq209308 : $tType).
thf(tq209308, type, q209308 : $tType).
thf(tprodcartrealq209308cartrealq209308, type, prodcartrealq209308cartrealq209308 : $tType).
thf(tlistprodcartrealq209308cartrealq209308, type, listprodcartrealq209308cartrealq209308 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq209308cartrealq209308).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealq209308cartrealq209308 > cartrealq209308 > $o)).
thf(ccu_, type, c_ : (cartrealq209308 > cartrealq209308 > prodcartrealq209308cartrealq209308)).
thf(ccons, type, cons : (prodcartrealq209308cartrealq209308 > listprodcartrealq209308cartrealq209308 > listprodcartrealq209308cartrealq209308)).
thf(cclosed, type, closed : ((cartrealq209308 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq209308 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealq209308 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_INTERVALu_conjunct0, axiom, ![A:cartrealq209308,B:cartrealq209308]:(bounded @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aCLOSEDu_INTERVAL, axiom, ![A:cartrealq209308,B:cartrealq209308]:(closed @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSED, axiom, ![S:(cartrealq209308 > $o)]:((compact @ S) <=> ((bounded @ S) & (closed @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealq209308,B:cartrealq209308]:(compact @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
