%   ORIGINAL: HOMEOMORPHIC_TRANSLATION_RIGHT_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HOMEOMORPHIC_SYM: !s t. s homeomorphic t <=> t homeomorphic s
% Assm: HOMEOMORPHIC_TRANSLATION_LEFT_EQ: !a s t. IMAGE (\x. a + x) s homeomorphic t <=> s homeomorphic t
% Assm: TRUTH: T
% Goal: !a s t. s homeomorphic IMAGE (\x. a + x) t <=> s homeomorphic t
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s homeomorphic t <=> t homeomorphic s
% Assm: !a s t. IMAGE (\x. a + x) s homeomorphic t <=> s homeomorphic t
% Assm: T
% Goal: !a s t. s homeomorphic IMAGE (\x. a + x) t <=> s homeomorphic t
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq220639, type, q220639 : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tcartrealq220639, type, cartrealq220639 : $tType).
%  CONSTS
thf(chomeomorphic0, type, homeomorphic0 : ((cartrealn > $o) > (cartrealq220639 > $o) > $o)).
thf(chomeomorphic, type, homeomorphic : ((cartrealq220639 > $o) > (cartrealn > $o) > $o)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq220639 > cartrealq220639 > cartrealq220639)).
thf(cimage0, type, image0 : ((cartrealq220639 > cartrealq220639) > (cartrealq220639 > $o) > cartrealq220639 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHOMEOMORPHICu_SYM, axiom, ![S:(cartrealq220639 > $o),T:(cartrealn > $o)]:((homeomorphic @ S @ T) <=> (homeomorphic0 @ T @ S))).
thf(aHOMEOMORPHICu_TRANSLATIONu_LEFTu_EQ, axiom, ![A:cartrealq220639,S:(cartrealq220639 > $o),T:(cartrealn > $o)]:((homeomorphic @ (image0 @ ^[X:cartrealq220639]:(vectoru_add0 @ A @ X) @ S) @ T) <=> (homeomorphic @ S @ T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,S:(cartrealq220639 > $o),T:(cartrealn > $o)]:((homeomorphic @ S @ (image @ ^[X:cartrealn]:(vectoru_add @ A @ X) @ T)) <=> (homeomorphic @ S @ T))).
