%   ORIGINAL: IN_FROM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Assm: from: !n. from n = {m | n <= m}
% Goal: !m n. m IN from n <=> n <= m
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Assm: !n. from n = {m | n <= m}
% Goal: !m n. m IN from n <=> n <= m
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cgspec, type, gspec : ((num > $o) > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cfrom, type, from : (num > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(csetspec, type, setspec : (num > $o > num > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(num > $o),X:num]:((in @ X @ (gspec @ ^[V:num]:?[Y:num]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(afrom, axiom, ![N:num]:((from @ N) = (gspec @ ^[GENR_PVARR_723:num]:?[M:num]:(setspec @ GENR_PVARR_723 @ (l_a_ @ N @ M) @ M)))).
thf(conjecture, conjecture, ![M:num,N:num]:((in @ M @ (from @ N)) <=> (l_a_ @ N @ M))).
