%   ORIGINAL: SERIES_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_INTER: !s t. FINITE s \/ FINITE t ==> FINITE (s INTER t)
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: LIFT_SUM: !k x. FINITE k ==> lift (sum k x) = vsum k (lift o x)
% Assm: LIM_COMPONENT: !net f i l. (f --> l) net /\ 1 <= i /\ i <= dimindex (:N) ==> ((\a. lift (f a$i)) --> lift (l$i)) net
% Assm: TRUTH: T
% Assm: VSUM_COMPONENT: !s f i. 1 <= i /\ i <= dimindex (:N) ==> vsum s f$i = sum s (\x. f x$i)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: sums: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f s l k. (f sums l) s /\ 1 <= k /\ k <= dimindex (:N) ==> ((\i. lift (f i$k)) sums lift (l$k)) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. FINITE s \/ FINITE t ==> FINITE (s INTER t)
% Assm: !m n. FINITE (m..n)
% Assm: !k x. FINITE k ==> lift (sum k x) = vsum k (lift o x)
% Assm: !net f i l. (f --> l) net /\ 1 <= i /\ i <= dimindex (:N) ==> ((\a. lift (f a$i)) --> lift (l$i)) net
% Assm: T
% Assm: !s f i. 1 <= i /\ i <= dimindex (:N) ==> vsum s f$i = sum s (\x. f x$i)
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Assm: !s f l. (f sums l) s <=> ((\n. vsum (s INTER (0..n)) f) --> l) sequentially
% Goal: !f s l k. (f sums l) s /\ 1 <= k /\ k <= dimindex (:N) ==> ((\i. lift (f i$k)) sums lift (l$k)) s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq177007, type, q177007 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetq177007, type, netq177007 : $tType).
thf(tq116579, type, q116579 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csum0, type, sum0 : ((a > $o) > (a > real) > real)).
thf(csum, type, sum : ((q116579 > $o) > (q116579 > real) > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cvsum2, type, vsum2 : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(cmu_mu_gu_2, type, m_m_g_2 : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(cinter0, type, inter0 : ((num > $o) > (num > $o) > num > $o)).
thf(cvsum1, type, vsum1 : ((num > $o) > (num > cartrealn1) > cartrealn1)).
thf(cmu_mu_gu_1, type, m_m_g_1 : ((num > cartrealn1) > cartrealn1 > netnum > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(cvsum0, type, vsum0 : ((a > $o) > (a > cartrealn) > cartrealn)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((q177007 > cartrealn1) > cartrealn1 > netq177007 > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((q177007 > cartrealn) > cartrealn > netq177007 > $o)).
thf(co, type, o : ((real > cartrealn1) > (q116579 > real) > q116579 > cartrealn1)).
thf(cvsum, type, vsum : ((q116579 > $o) > (q116579 > cartrealn1) > cartrealn1)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(csums0, type, sums0 : ((num > cartrealn1) > cartrealn1 > (num > $o) > $o)).
thf(csums, type, sums : ((num > cartrealn) > cartrealn > (num > $o) > $o)).
thf(cfinite1, type, finite1 : ((q116579 > $o) > $o)).
thf(cfinite0, type, finite0 : ((num > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_INTER, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ S) | (finite @ T)) => (finite @ (inter @ S @ T)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite0 @ (o_o_ @ M @ N))).
thf(aLIFTu_SUM, axiom, ![K:(q116579 > $o),X:(q116579 > real)]:((finite1 @ K) => ((lift @ (sum @ K @ X)) = (vsum @ K @ (o @ lift @ X))))).
thf(aLIMu_COMPONENT, axiom, ![NET:netq177007,F:(q177007 > cartrealn),I:num,L:cartrealn]:(((m_m_g_ @ F @ L @ NET) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (m_m_g_0 @ ^[A:q177007]:(lift @ (d_ @ (F @ A) @ I)) @ (lift @ (d_ @ L @ I)) @ NET))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_COMPONENT, axiom, ![S:(a > $o),F:(a > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (vsum0 @ S @ F) @ I) = (sum0 @ S @ ^[X:a]:(d_ @ (F @ X) @ I))))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(asumsu_monomorphized1, axiom, ![S:(num > $o),F:(num > cartrealn1),L:cartrealn1]:((sums0 @ F @ L @ S) <=> (m_m_g_1 @ ^[N:num]:(vsum1 @ (inter0 @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(asumsu_monomorphized0, axiom, ![S:(num > $o),F:(num > cartrealn),L:cartrealn]:((sums @ F @ L @ S) <=> (m_m_g_2 @ ^[N:num]:(vsum2 @ (inter0 @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![F:(num > cartrealn),S:(num > $o),L:cartrealn,K:num]:(((sums @ F @ L @ S) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ))) => (sums0 @ ^[I:num]:(lift @ (d_ @ (F @ I) @ K)) @ (lift @ (d_ @ L @ K)) @ S))).
