%   ORIGINAL: SUMMABLE_CMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SERIES_CMUL: !x x0 c s. (x sums x0) s ==> ((\n. c % x n) sums c % x0) s
% Assm: TRUTH: T
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !s x c. summable s x ==> summable s (\n. c % x n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x x0 c s. (x sums x0) s ==> ((\n. c % x n) sums c % x0) s
% Assm: T
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !s x c. summable s x ==> summable s (\n. c % x n)
%  TYPES
thf(tcartrealq229986, type, cartrealq229986 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq229986, type, q229986 : $tType).
%  CONSTS
thf(csummable, type, summable : ((num > $o) > (num > cartrealq229986) > $o)).
thf(csums, type, sums : ((num > cartrealq229986) > cartrealq229986 > (num > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealq229986 > cartrealq229986)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSERIESu_CMUL, axiom, ![X:(num > cartrealq229986),X0:cartrealq229986,C:real,S:(num > $o)]:((sums @ X @ X0 @ S) => (sums @ ^[N:num]:(r_ @ C @ (X @ N)) @ (r_ @ C @ X0) @ S))).
thf(aTRUTH, axiom, $true).
thf(asummable, axiom, ![F:(num > cartrealq229986),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealq229986]:(sums @ F @ L @ S))).
thf(conjecture, conjecture, ![S:(num > $o),X:(num > cartrealq229986),C:real]:((summable @ S @ X) => (summable @ S @ ^[N:num]:(r_ @ C @ (X @ N))))).
