%   ORIGINAL: SETDIST_COMPACT_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_CLOSED_DIFFERENCES: !s t. compact s /\ closed t ==> closed {x - y | x IN s /\ y IN t}
% Assm: DISTANCE_ATTAINS_INF: !s a. closed s /\ ~(s = {}) ==> (?x. x IN s /\ (!y. y IN s ==> dist (a,x) <= dist (a,y)))
% Assm: DIST_0: !x. dist (x,vec 0) = norm x /\ dist (vec 0,x) = norm x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_IN_GSPEC_conjunct1: !P f. (?z. z IN {f x y | P x y} /\ Q z) <=> (?x y. P x y /\ Q (f x y))
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FORALL_IN_GSPEC_conjunct1: !P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_SETDIST_EQ: !d s t. d <= setdist (s,t) <=> (!x y. x IN s /\ y IN t ==> d <= dist (x,y)) /\ (s = {} \/ t = {} ==> d <= &0)
% Assm: SETDIST_LE_DIST: !s t x y. x IN s /\ y IN t ==> setdist (s,t) <= dist (x,y)
% Assm: TRUTH: T
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !s t. compact s /\ closed t /\ ~(s = {}) /\ ~(t = {}) ==> (?x y. x IN s /\ y IN t /\ dist (x,y) = setdist (s,t))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. compact s /\ closed t ==> closed {x - y | x IN s /\ y IN t}
% Assm: !s a. closed s /\ ~(s = {}) ==> (?x. x IN s /\ (!y. y IN s ==> dist (a,x) <= dist (a,y)))
% Assm: !x. dist (x,vec 0) = norm x /\ dist (vec 0,x) = norm x
% Assm: !t. (\x. t x) = t
% Assm: !Q P f. (?z. z IN {f x y | P x y} /\ Q z) <=> (?x y. P x y /\ Q (f x y))
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !Q P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !d s t. d <= setdist (s,t) <=> (!x y. x IN s /\ y IN t ==> d <= dist (x,y)) /\ (s = {} \/ t = {} ==> d <= &0)
% Assm: !s t x y. x IN s /\ y IN t ==> setdist (s,t) <= dist (x,y)
% Assm: T
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !s t. compact s /\ closed t /\ ~(s = {}) /\ ~(t = {}) ==> (?x y. x IN s /\ y IN t /\ dist (x,y) = setdist (s,t))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(tq48223, type, q48223 : $tType).
thf(tq48224, type, q48224 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tprodfuncartrealnboolfuncartrealnbool, type, prodfuncartrealnboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tq48393, type, q48393 : $tType).
thf(tn, type, n : $tType).
thf(tq48394, type, q48394 : $tType).
%  CONSTS
thf(ci0, type, i0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(csetdist, type, setdist : (prodfuncartrealnboolfuncartrealnbool > real)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(ccu_0, type, c_0 : ((cartrealn > $o) > (cartrealn > $o) > prodfuncartrealnboolfuncartrealnbool)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_CLOSEDu_DIFFERENCES, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((compact @ S) & (closed @ T)) => (closed @ (gspec @ ^[GENR_PVARR_625:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec @ GENR_PVARR_625 @ ((in @ X @ S) & (in @ Y @ T)) @ (vectoru_sub @ X @ Y)))))).
thf(aDISTANCEu_ATTAINSu_INF, axiom, ![S:(cartrealn > $o),A:cartrealn]:(((closed @ S) & ~ ((S = empty))) => ?[X:cartrealn]:((in @ X @ S) & ![Y:cartrealn]:((in @ Y @ S) => (realu_le @ (distance @ (c_ @ A @ X)) @ (distance @ (c_ @ A @ Y))))))).
thf(aDISTu_0, axiom, ![X:cartrealn]:(((distance @ (c_ @ X @ (vec @ (numeral @ u_0)))) = (vectoru_norm @ X)) & ((distance @ (c_ @ (vec @ (numeral @ u_0)) @ X)) = (vectoru_norm @ X)))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXISTSu_INu_GSPECu_conjunct1, axiom, ![Q:(cartrealn > $o),P:(q48394 > q48393 > $o),F:(q48394 > q48393 > cartrealn)]:(?[Z:cartrealn]:((in @ Z @ (gspec @ ^[GENR_PVARR_24:cartrealn]:?[X:q48394,Y:q48393]:(setspec @ GENR_PVARR_24 @ (P @ X @ Y) @ (F @ X @ Y)))) & (Q @ Z)) <=> ?[X:q48394,Y:q48393]:((P @ X @ Y) & (Q @ (F @ X @ Y))))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFORALLu_INu_GSPECu_conjunct1, axiom, ![Q:(cartrealn > $o),P:(q48224 > q48223 > $o),F:(q48224 > q48223 > cartrealn)]:(![Z:cartrealn]:((in @ Z @ (gspec @ ^[GENR_PVARR_21:cartrealn]:?[X:q48224,Y:q48223]:(setspec @ GENR_PVARR_21 @ (P @ X @ Y) @ (F @ X @ Y)))) => (Q @ Z)) <=> ![X:q48224,Y:q48223]:((P @ X @ Y) => (Q @ (F @ X @ Y))))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aIu_THMu_monomorphized1, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:(cartrealn > $o)]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_SETDISTu_EQ, axiom, ![D:real,S:(cartrealn > $o),T:(cartrealn > $o)]:((realu_le @ D @ (setdist @ (c_0 @ S @ T))) <=> (![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ T)) => (realu_le @ D @ (distance @ (c_ @ X @ Y)))) & (((S = empty) | (T = empty)) => (realu_le @ D @ (realu_ofu_num @ (numeral @ u_0))))))).
thf(aSETDISTu_LEu_DIST, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ T)) => (realu_le @ (setdist @ (c_0 @ S @ T)) @ (distance @ (c_ @ X @ Y))))).
thf(aTRUTH, axiom, $true).
thf(adist, axiom, ![X:cartrealn,Y:cartrealn]:((distance @ (c_ @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ X @ Y)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((compact @ S) & (closed @ T) & ~ ((S = empty)) & ~ ((T = empty))) => ?[X:cartrealn,Y:cartrealn]:((in @ X @ S) & (in @ Y @ T) & ((distance @ (c_ @ X @ Y)) = (setdist @ (c_0 @ S @ T)))))).
