%   ORIGINAL: ARZELA_ASCOLI
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: ARITH_ADD_conjunct1: _0 + _0 = _0
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct3: !n. _0 + BIT1 n = BIT1 n
% Assm: ARITH_ADD_conjunct4: !n. BIT0 n + _0 = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_ADD_conjunct7: !m n. BIT0 m + BIT1 n = BIT1 (m + n)
% Assm: ARITH_ADD_conjunct8: !m n. BIT1 m + BIT0 n = BIT1 (m + n)
% Assm: ARITH_ADD_conjunct9: !m n. BIT1 m + BIT1 n = BIT0 (SUC (m + n))
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct2: !n. _0 * BIT0 n = _0
% Assm: ARITH_MULT_conjunct3: !n. _0 * BIT1 n = _0
% Assm: ARITH_MULT_conjunct5: !n. BIT1 n * _0 = _0
% Assm: ARITH_MULT_conjunct6: !m n. BIT0 m * BIT0 n = BIT0 (BIT0 (m * n))
% Assm: ARITH_MULT_conjunct7: !m n. BIT0 m * BIT1 n = BIT0 m + BIT0 (BIT0 (m * n))
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_SUC_conjunct2: !n. SUC (BIT0 n) = BIT1 n
% Assm: ARITH_SUC_conjunct3: !n. SUC (BIT1 n) = BIT0 (SUC n)
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: CLOSURE_APPROACHABLE: !x s. x IN closure s <=> (!e. &0 < e ==> (?y. y IN s /\ dist (y,x) < e))
% Assm: COMPACT_EQ_HEINE_BOREL: !s. compact s <=> (!f. (!t. t IN f ==> open t) /\ s SUBSET UNIONS f ==> (?f'. f' SUBSET f /\ FINITE f' /\ s SUBSET UNIONS f'))
% Assm: COMPACT_UNIFORMLY_EQUICONTINUOUS: !fs s. (!x e. x IN s /\ &0 < e ==> (?d. &0 < d /\ (!f x'. f IN fs /\ x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e))) /\ compact s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!f x x'. f IN fs /\ x IN s /\ x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e)))
% Assm: CONTINUOUS_UNIFORM_LIMIT: !net f g s. ~trivial_limit net /\ eventually (\n. f n continuous_on s) net /\ (!e. &0 < e ==> eventually (\n. !x. x IN s ==> norm (f n x - g x) < e) net) ==> g continuous_on s
% Assm: CONVERGENT_EQ_CAUCHY: !s. (?l. (s --> l) sequentially) <=> cauchy s
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EVENTUALLY_SEQUENTIALLY: !p. eventually p sequentially <=> (?N. !n. N <= n ==> p n)
% Assm: EXISTS_FINITE_SUBSET_IMAGE: !P f s. (?t. FINITE t /\ t SUBSET IMAGE f s /\ P t) <=> (?t. FINITE t /\ t SUBSET s /\ P (IMAGE f t))
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FUNCTION_CONVERGENT_SUBSEQUENCE: !f s M. COUNTABLE s /\ (!n x. x IN s ==> norm (f n x) <= M) ==> (?k. (!m n. m < n ==> k m < k n) /\ (!x. x IN s ==> (?l. ((\n. f (k n) x) --> l) sequentially)))
% Assm: GE: !n m. m >= n <=> n <= m
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_BALL: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_0: !n. 0 <= n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NORM_MUL: !a x. norm (a % x) = abs a * norm x
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: NORM_SUB: !x y. norm (x - y) = norm (y - x)
% Assm: NORM_TRIANGLE_LE: !x y. norm x + norm y <= e ==> norm (x + y) <= e
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ABS_DIV: !x y. abs (x / y) = abs x / abs y
% Assm: REAL_ABS_NEG: !x. abs (--x) = abs x
% Assm: REAL_ABS_NUM: !n. abs (&n) = &n
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INV_DIV: !x y. inv (x / y) = y / x
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_INV_NEG: !x. inv (--x) = --inv x
% Assm: REAL_LE_ADD2: !w x y z. w <= x /\ y <= z ==> w + y <= x + z
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LMUL: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: Real_ext.ABS_POS: !x. &0 <= abs x
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SEPARABLE: !s. ?t. COUNTABLE t /\ t SUBSET s /\ s SUBSET closure t
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRIVIAL_LIMIT_SEQUENTIALLY: ~trivial_limit sequentially
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: Trigonometry2.ABS_1: abs (&1) = &1
% Assm: UNIFORMLY_CONVERGENT_EQ_CAUCHY: !P s. (?l. !e. &0 < e ==> (?N. !n x. N <= n /\ P x ==> dist (s n x,l x) < e)) <=> (!e. &0 < e ==> (?N. !m n x. N <= m /\ N <= n /\ P x ==> dist (s m x,s n x) < e))
% Assm: UNIONS_IMAGE: !f s. UNIONS (IMAGE f s) = {y | ?x. x IN s /\ y IN f x}
% Assm: UPPER_BOUND_FINITE_SET: !f s. FINITE s ==> (?a. !x. x IN s ==> f x <= a)
% Assm: VECTOR_SUB: x - y = x + --y
% Assm: cauchy: !s. cauchy s <=> (!e. &0 < e ==> (?N. !m n. m >= N /\ n >= N ==> dist (s m,s n) < e))
% Assm: continuous_on: !s f. f continuous_on s <=> (!x. x IN s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e))))
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: vec: !n. vec n = (lambda i. &n)
% Assm: vector_add: !x y. x + y = (lambda i. x$i + y$i)
% Assm: vector_mul: !c x. c % x = (lambda i. c * x$i)
% Assm: vector_neg: !x. --x = (lambda i. --(x$i))
% Goal: !f s M. compact s /\ (!n x. x IN s ==> norm (f n x) <= M) /\ (!x e. x IN s /\ &0 < e ==> (?d. &0 < d /\ (!n y. y IN s /\ norm (x - y) < d ==> norm (f n x - f n y) < e))) ==> (?g. g continuous_on s /\ (?r. (!m n. m < n ==> r m < r n) /\ (!e. &0 < e ==> (?N. !n x. n >= N /\ x IN s ==> norm (f (r n) x - g x) < e))))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !n m. m + n = n + m
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: _0 + _0 = _0
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. _0 + BIT1 n = BIT1 n
% Assm: !n. BIT0 n + _0 = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. BIT0 m + BIT1 n = BIT1 (m + n)
% Assm: !m n. BIT1 m + BIT0 n = BIT1 (m + n)
% Assm: !m n. BIT1 m + BIT1 n = BIT0 (SUC (m + n))
% Assm: _0 = _0 <=> T
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !n. _0 * BIT0 n = _0
% Assm: !n. _0 * BIT1 n = _0
% Assm: !n. BIT1 n * _0 = _0
% Assm: !m n. BIT0 m * BIT0 n = BIT0 (BIT0 (m * n))
% Assm: !m n. BIT0 m * BIT1 n = BIT0 m + BIT0 (BIT0 (m * n))
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: !n. SUC (BIT0 n) = BIT1 n
% Assm: !n. SUC (BIT1 n) = BIT0 (SUC n)
% Assm: BIT0 _0 = _0
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: !x s. x IN closure s <=> (!e. &0 < e ==> (?y. y IN s /\ dist (y,x) < e))
% Assm: !s. compact s <=> (!f. (!t. t IN f ==> open t) /\ s SUBSET UNIONS f ==> (?f'. f' SUBSET f /\ FINITE f' /\ s SUBSET UNIONS f'))
% Assm: !fs s. (!x e. x IN s /\ &0 < e ==> (?d. &0 < d /\ (!f x'. f IN fs /\ x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e))) /\ compact s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!f x x'. f IN fs /\ x IN s /\ x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e)))
% Assm: !net f g s. ~trivial_limit net /\ eventually (\n. f n continuous_on s) net /\ (!e. &0 < e ==> eventually (\n. !x. x IN s ==> norm (f n x - g x) < e) net) ==> g continuous_on s
% Assm: !s. (?l. (s --> l) sequentially) <=> cauchy s
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !t. (\x. t x) = t
% Assm: !p. eventually p sequentially <=> (?N. !n. N <= n ==> p n)
% Assm: !P f s. (?t. FINITE t /\ t SUBSET IMAGE f s /\ P t) <=> (?t. FINITE t /\ t SUBSET s /\ P (IMAGE f t))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f s M. COUNTABLE s /\ (!n x. x IN s ==> norm (f n x) <= M) ==> (?k. (!m n. m < n ==> k m < k n) /\ (!x. x IN s ==> (?l. ((\n. f (k n) x) --> l) sequentially)))
% Assm: !f s M. COUNTABLE s /\ (!n x. x IN s ==> norm (f n x) <= M) ==> (?k. (!m n. m < n ==> k m < k n) /\ (!x. x IN s ==> (?l. ((\n. f (k n) x) --> l) sequentially)))
% Assm: !n m. m >= n <=> n <= m
% Assm: !P x. x IN P <=> P x
% Assm: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. x IN (:real^M)
% Assm: !x. I x = x
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !n. 0 <= n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !m. m <= 0 <=> m = 0
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: !x. &0 <= norm x
% Assm: !x. &0 <= norm x
% Assm: !x y. norm (x - y) = norm (y - x)
% Assm: !x y. norm (x - y) = norm (y - x)
% Assm: !e x y. norm x + norm y <= e ==> norm (x + y) <= e
% Assm: !e x y. norm x + norm y <= e ==> norm (x + y) <= e
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !x e. open (ball (x,e))
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y. abs (x / y) = abs x / abs y
% Assm: !x. abs (--x) = abs x
% Assm: !n. abs (&n) = &n
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. inv (x / y) = y / x
% Assm: !x. inv (inv x) = x
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x. inv (--x) = --inv x
% Assm: !w x y z. w <= x /\ y <= z ==> w + y <= x + z
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: !x. &0 <= abs x
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !s. ?t. COUNTABLE t /\ t SUBSET s /\ s SUBSET closure t
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: ~trivial_limit sequentially
% Assm: T
% Assm: 2 = SUC 1
% Assm: abs (&1) = &1
% Assm: !P s. (?l. !e. &0 < e ==> (?N. !n x. N <= n /\ P x ==> dist (s n x,l x) < e)) <=> (!e. &0 < e ==> (?N. !m n x. N <= m /\ N <= n /\ P x ==> dist (s m x,s n x) < e))
% Assm: !f s. UNIONS (IMAGE f s) = {y | ?x. x IN s /\ y IN f x}
% Assm: !f s. FINITE s ==> (?a. !x. x IN s ==> f x <= a)
% Assm: !x y. x - y = x + --y
% Assm: !x y. x - y = x + --y
% Assm: !s. cauchy s <=> (!e. &0 < e ==> (?N. !m n. m >= N /\ n >= N ==> dist (s m,s n) < e))
% Assm: !s f. f continuous_on s <=> (!x. x IN s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e))))
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !n. vec n = (lambda i. &n)
% Assm: !x y. x + y = (lambda i. x$i + y$i)
% Assm: !c x. c % x = (lambda i. c * x$i)
% Assm: !x. --x = (lambda i. --(x$i))
% Goal: !f s M. compact s /\ (!n x. x IN s ==> norm (f n x) <= M) /\ (!x e. x IN s /\ &0 < e ==> (?d. &0 < d /\ (!n y. y IN s /\ norm (x - y) < d ==> norm (f n x - f n y) < e))) ==> (?g. g continuous_on s /\ (?r. (!m n. m < n ==> r m < r n) /\ (!e. &0 < e ==> (?N. !n x. n >= N /\ x IN s ==> norm (f (r n) x - g x) < e))))
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tneta, type, neta : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(tprodcartrealq169289real, type, prodcartrealq169289real : $tType).
thf(tprodcartrealmreal, type, prodcartrealmreal : $tType).
thf(tnetnum, type, netnum : $tType).
thf(tcartrealq184834, type, cartrealq184834 : $tType).
thf(tq184834, type, q184834 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq169289, type, cartrealq169289 : $tType).
thf(tq50420, type, q50420 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tq169289, type, q169289 : $tType).
thf(tq50400, type, q50400 : $tType).
thf(tcartab, type, cartab : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(csubset4, type, subset4 : ((a > $o) > (a > $o) > $o)).
thf(cclosure0, type, closure0 : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset3, type, subset3 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cball0, type, ball0 : (prodcartrealq169289real > cartrealq169289 > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(cball, type, ball : (prodcartrealmreal > cartrealm > $o)).
thf(csubset2, type, subset2 : ((q50400 > $o) > (q50400 > $o) > $o)).
thf(csubset1, type, subset1 : ((q50420 > $o) > (q50420 > $o) > $o)).
thf(ceventually0, type, eventually0 : ((num > $o) > netnum > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(ceventually, type, eventually : ((a > $o) > neta > $o)).
thf(cdistance0, type, distance0 : (prodcartrealncartrealn > real)).
thf(cin1, type, in1 : ((cartrealm > cartrealn) > ((cartrealm > cartrealn) > $o) > $o)).
thf(csubset0, type, subset0 : (((cartrealm > $o) > $o) > ((cartrealm > $o) > $o) > $o)).
thf(cunions, type, unions : (((cartrealm > $o) > $o) > cartrealm > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cin0, type, in0 : ((cartrealm > $o) > ((cartrealm > $o) > $o) > $o)).
thf(cdistance, type, distance : (prodcartrealmcartrealm > real)).
thf(cclosure, type, closure : ((cartrealm > $o) > cartrealm > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cdu_, type, d_ : (cartab > num > a)).
thf(clambda0, type, lambda0 : ((num > a) > cartab)).
thf(co, type, o : ((b > c) > (a > b) > a > c)).
thf(cimage1, type, image1 : ((cartrealm > cartrealm > $o) > (cartrealm > $o) > (cartrealm > $o) > $o)).
thf(ccu_2, type, c_2 : (cartrealq169289 > real > prodcartrealq169289real)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealm > cartrealm > cartrealm)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cru_0, type, r_0 : (real > cartrealm > cartrealm)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(ccu_1, type, c_1 : (cartrealm > real > prodcartrealmreal)).
thf(cmu_mu_gu_1, type, m_m_g_1 : ((num > cartrealm) > cartrealm > netnum > $o)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(cimage0, type, image0 : ((cartrealm > cartrealm) > (cartrealm > $o) > cartrealm > $o)).
thf(cimage, type, image : ((q50400 > q50420) > (q50400 > $o) > q50420 > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealq184834) > cartrealq184834 > netnum > $o)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealm > cartrealm > cartrealm)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ctrivialuu_limit0, type, trivialu_limit0 : (netnum > $o)).
thf(ctrivialuu_limit, type, trivialu_limit : (neta > $o)).
thf(ccauchy0, type, cauchy0 : ((num > cartrealn) > $o)).
thf(cfinite2, type, finite2 : ((cartrealm > $o) > $o)).
thf(ccountable0, type, countable0 : ((cartrealn > $o) > $o)).
thf(copen0, type, open0 : ((cartrealq169289 > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealm > $o)).
thf(ccountable, type, countable : ((cartrealm > $o) > $o)).
thf(cfinite1, type, finite1 : ((q50400 > $o) > $o)).
thf(cfinite0, type, finite0 : ((q50420 > $o) > $o)).
thf(ccauchy, type, cauchy : ((num > cartrealq184834) > $o)).
thf(cfinite, type, finite : (((cartrealm > $o) > $o) > $o)).
thf(copen, type, open : ((cartrealm > $o) > $o)).
thf(ccompact, type, compact : ((cartrealm > $o) > $o)).
thf(cvectoruu_neg0, type, vectoru_neg0 : (cartrealm > cartrealm)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct1, axiom, ((p_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct3, axiom, ![N:num]:((p_ @ u_0 @ (bit1 @ N)) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct4, axiom, ![N:num]:((p_ @ (bit0 @ N) @ u_0) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct7, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit1 @ N)) = (bit1 @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct8, axiom, ![M:num,N:num]:((p_ @ (bit1 @ M) @ (bit0 @ N)) = (bit1 @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct9, axiom, ![M:num,N:num]:((p_ @ (bit1 @ M) @ (bit1 @ N)) = (bit0 @ (suc @ (p_ @ M @ N))))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct2, axiom, ![N:num]:((t_ @ u_0 @ (bit0 @ N)) = u_0)).
thf(aARITHu_MULTu_conjunct3, axiom, ![N:num]:((t_ @ u_0 @ (bit1 @ N)) = u_0)).
thf(aARITHu_MULTu_conjunct5, axiom, ![N:num]:((t_ @ (bit1 @ N) @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct6, axiom, ![M:num,N:num]:((t_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (bit0 @ (t_ @ M @ N))))).
thf(aARITHu_MULTu_conjunct7, axiom, ![M:num,N:num]:((t_ @ (bit0 @ M) @ (bit1 @ N)) = (p_ @ (bit0 @ M) @ (bit0 @ (bit0 @ (t_ @ M @ N)))))).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_SUCu_conjunct2, axiom, ![N:num]:((suc @ (bit0 @ N)) = (bit1 @ N))).
thf(aARITHu_SUCu_conjunct3, axiom, ![N:num]:((suc @ (bit1 @ N)) = (bit0 @ (suc @ N)))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartab,Y:cartab]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCLOSUREu_APPROACHABLE, axiom, ![X:cartrealm,S:(cartrealm > $o)]:((in @ X @ (closure @ S)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[Y:cartrealm]:((in @ Y @ S) & (realu_lt @ (distance @ (c_ @ Y @ X)) @ E))))).
thf(aCOMPACTu_EQu_HEINEu_BOREL, axiom, ![S:(cartrealm > $o)]:((compact @ S) <=> ![F:((cartrealm > $o) > $o)]:((![T:(cartrealm > $o)]:((in0 @ T @ F) => (open @ T)) & (subset @ S @ (unions @ F))) => ?[FI_:((cartrealm > $o) > $o)]:((subset0 @ FI_ @ F) & (finite @ FI_) & (subset @ S @ (unions @ FI_)))))).
thf(aCOMPACTu_UNIFORMLYu_EQUICONTINUOUS, axiom, ![FS:((cartrealm > cartrealn) > $o),S:(cartrealm > $o)]:((![X:cartrealm,E:real]:(((in @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![F:(cartrealm > cartrealn),XI_:cartrealm]:(((in1 @ F @ FS) & (in @ XI_ @ S) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D)) => (realu_lt @ (distance0 @ (c_0 @ (F @ XI_) @ (F @ X))) @ E)))) & (compact @ S)) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![F:(cartrealm > cartrealn),X:cartrealm,XI_:cartrealm]:(((in1 @ F @ FS) & (in @ X @ S) & (in @ XI_ @ S) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D)) => (realu_lt @ (distance0 @ (c_0 @ (F @ XI_) @ (F @ X))) @ E)))))).
thf(aCONTINUOUSu_UNIFORMu_LIMIT, axiom, ![NET:neta,F:(a > cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:((~ ((trivialu_limit @ NET)) & (eventually @ ^[N:a]:(continuousu_on @ (F @ N) @ S) @ NET) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually @ ^[N:a]:![X:cartrealm]:((in @ X @ S) => (realu_lt @ (vectoru_norm @ (vectoru_sub0 @ (F @ N @ X) @ (G @ X))) @ E)) @ NET))) => (continuousu_on @ G @ S))).
thf(aCONVERGENTu_EQu_CAUCHY, axiom, ![S:(num > cartrealq184834)]:(?[L:cartrealq184834]:(m_m_g_ @ S @ L @ sequentially) <=> (cauchy @ S))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEVENTUALLYu_SEQUENTIALLY, axiom, ![P:(num > $o)]:((eventually0 @ P @ sequentially) <=> ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (P @ N0)))).
thf(aEXISTSu_FINITEu_SUBSETu_IMAGE, axiom, ![P:((q50420 > $o) > $o),F:(q50400 > q50420),S:(q50400 > $o)]:(?[T:(q50420 > $o)]:((finite0 @ T) & (subset1 @ T @ (image @ F @ S)) & (P @ T)) <=> ?[T:(q50400 > $o)]:((finite1 @ T) & (subset2 @ T @ S) & (P @ (image @ F @ T))))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealm > $o),F:(cartrealm > cartrealm),S:(cartrealm > $o)]:(![Y:cartrealm]:((in @ Y @ (image0 @ F @ S)) => (P @ Y)) <=> ![X:cartrealm]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFUNCTIONu_CONVERGENTu_SUBSEQUENCEu_monomorphized1, axiom, ![F:(num > cartrealm > cartrealn),S:(cartrealm > $o),M:real]:(((countable @ S) & ![N:num,X:cartrealm]:((in @ X @ S) => (realu_le @ (vectoru_norm @ (F @ N @ X)) @ M))) => ?[K:(num > num)]:(![M0:num,N:num]:((l_ @ M0 @ N) => (l_ @ (K @ M0) @ (K @ N))) & ![X:cartrealm]:((in @ X @ S) => ?[L:cartrealn]:(m_m_g_0 @ ^[N:num]:(F @ (K @ N) @ X) @ L @ sequentially))))).
thf(aFUNCTIONu_CONVERGENTu_SUBSEQUENCEu_monomorphized0, axiom, ![F:(num > cartrealm > cartrealm),S:(cartrealm > $o),M:real]:(((countable @ S) & ![N:num,X:cartrealm]:((in @ X @ S) => (realu_le @ (vectoru_norm0 @ (F @ N @ X)) @ M))) => ?[K:(num > num)]:(![M0:num,N:num]:((l_ @ M0 @ N) => (l_ @ (K @ M0) @ (K @ N))) & ![X:cartrealm]:((in @ X @ S) => ?[L:cartrealm]:(m_m_g_1 @ ^[N:num]:(F @ (K @ N) @ X) @ L @ sequentially))))).
thf(aGE, axiom, ![N:num,M:num]:((g_a_ @ M @ N) <=> (l_a_ @ N @ M))).
thf(aIN, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ P) <=> (P @ X))).
thf(aINu_BALL, axiom, ![X:cartrealm,Y:cartrealm,E:real]:((in @ Y @ (ball @ (c_1 @ X @ E))) <=> (realu_lt @ (distance @ (c_ @ X @ Y)) @ E))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ (gspec @ ^[V:cartrealm]:?[Y:cartrealm]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIV, axiom, ![X:cartrealm]:(in @ X @ univ0)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLAMBDAu_BETA, axiom, ![G:(num > a),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNORMu_MULu_monomorphized1, axiom, ![A:real,X:cartrealn]:((vectoru_norm @ (r_ @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm @ X)))).
thf(aNORMu_MULu_monomorphized0, axiom, ![A:real,X:cartrealm]:((vectoru_norm0 @ (r_0 @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm0 @ X)))).
thf(aNORMu_POSu_LEu_monomorphized1, axiom, ![X:cartrealn]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aNORMu_POSu_LEu_monomorphized0, axiom, ![X:cartrealm]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm0 @ X))).
thf(aNORMu_SUBu_monomorphized1, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_norm @ (vectoru_sub0 @ X @ Y)) = (vectoru_norm @ (vectoru_sub0 @ Y @ X)))).
thf(aNORMu_SUBu_monomorphized0, axiom, ![X:cartrealm,Y:cartrealm]:((vectoru_norm0 @ (vectoru_sub @ X @ Y)) = (vectoru_norm0 @ (vectoru_sub @ Y @ X)))).
thf(aNORMu_TRIANGLEu_LEu_monomorphized1, axiom, ![E:real,X:cartrealn,Y:cartrealn]:((realu_le @ (realu_add @ (vectoru_norm @ X) @ (vectoru_norm @ Y)) @ E) => (realu_le @ (vectoru_norm @ (vectoru_add @ X @ Y)) @ E))).
thf(aNORMu_TRIANGLEu_LEu_monomorphized0, axiom, ![E:real,X:cartrealm,Y:cartrealm]:((realu_le @ (realu_add @ (vectoru_norm0 @ X) @ (vectoru_norm0 @ Y)) @ E) => (realu_le @ (vectoru_norm0 @ (vectoru_add0 @ X @ Y)) @ E))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aOPENu_BALL, axiom, ![X:cartrealq169289,E:real]:(open0 @ (ball0 @ (c_2 @ X @ E)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ABSu_DIV, axiom, ![X:real,Y:real]:((realu_abs @ (realu_div @ X @ Y)) = (realu_div @ (realu_abs @ X) @ (realu_abs @ Y)))).
thf(aREALu_ABSu_NEG, axiom, ![X:real]:((realu_abs @ (realu_neg @ X)) = (realu_abs @ X))).
thf(aREALu_ABSu_NUM, axiom, ![N:num]:((realu_abs @ (realu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INVu_DIV, axiom, ![X:real,Y:real]:((realu_inv @ (realu_div @ X @ Y)) = (realu_div @ Y @ X))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_INVu_NEG, axiom, ![X:real]:((realu_inv @ (realu_neg @ X)) = (realu_neg @ (realu_inv @ X)))).
thf(aREALu_LEu_ADD2, axiom, ![W:real,X:real,Y:real,Z:real]:(((realu_le @ W @ X) & (realu_le @ Y @ Z)) => (realu_le @ (realu_add @ W @ Y) @ (realu_add @ X @ Z)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LMUL, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ Y @ Z)) => (realu_le @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aRealu_exto_ABSu_POS, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ X))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSEPARABLE, axiom, ![S:(cartrealn > $o)]:?[T:(cartrealn > $o)]:((countable0 @ T) & (subset3 @ T @ S) & (subset3 @ S @ (closure0 @ T)))).
thf(aSUBSET, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset @ S @ T) <=> ![X:cartrealm]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset4 @ S @ T) & (subset4 @ T @ U)) => (subset4 @ S @ U))).
thf(aTRIVIALu_LIMITu_SEQUENTIALLY, axiom, ~ ((trivialu_limit0 @ sequentially))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometry2o_ABSu_1, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aUNIFORMLYu_CONVERGENTu_EQu_CAUCHY, axiom, ![P:(a > $o),S:(num > a > cartrealn)]:(?[L:(a > cartrealn)]:![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num,X:a]:(((l_a_ @ N @ N0) & (P @ X)) => (realu_lt @ (distance0 @ (c_0 @ (S @ N0 @ X) @ (L @ X))) @ E))) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![M:num,N0:num,X:a]:(((l_a_ @ N @ M) & (l_a_ @ N @ N0) & (P @ X)) => (realu_lt @ (distance0 @ (c_0 @ (S @ M @ X) @ (S @ N0 @ X))) @ E))))).
thf(aUNIONSu_IMAGE, axiom, ![F:(cartrealm > cartrealm > $o),S:(cartrealm > $o)]:((unions @ (image1 @ F @ S)) = (gspec @ ^[GENR_PVARR_26:cartrealm]:?[Y:cartrealm]:(setspec @ GENR_PVARR_26 @ ?[X:cartrealm]:((in @ X @ S) & (in @ Y @ (F @ X))) @ Y)))).
thf(aUPPERu_BOUNDu_FINITEu_SET, axiom, ![F:(cartrealm > num),S:(cartrealm > $o)]:((finite2 @ S) => ?[A:num]:![X:cartrealm]:((in @ X @ S) => (l_a_ @ (F @ X) @ A)))).
thf(aVECTORu_SUBu_monomorphized1, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_sub0 @ X @ Y) = (vectoru_add @ X @ (vectoru_neg @ Y)))).
thf(aVECTORu_SUBu_monomorphized0, axiom, ![X:cartrealm,Y:cartrealm]:((vectoru_sub @ X @ Y) = (vectoru_add0 @ X @ (vectoru_neg0 @ Y)))).
thf(acauchy, axiom, ![S:(num > cartrealn)]:((cauchy0 @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![M:num,N0:num]:(((g_a_ @ M @ N) & (g_a_ @ N0 @ N)) => (realu_lt @ (distance0 @ (c_0 @ (S @ M) @ (S @ N0))) @ E))))).
thf(acontinuousu_on, axiom, ![S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((continuousu_on @ F @ S) <=> ![X:cartrealm]:((in @ X @ S) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealm]:(((in @ XI_ @ S) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D)) => (realu_lt @ (distance0 @ (c_0 @ (F @ XI_) @ (F @ X))) @ E))))))).
thf(adistu_monomorphized1, axiom, ![X:cartrealn,Y:cartrealn]:((distance0 @ (c_0 @ X @ Y)) = (vectoru_norm @ (vectoru_sub0 @ X @ Y)))).
thf(adistu_monomorphized0, axiom, ![X:cartrealm,Y:cartrealm]:((distance @ (c_ @ X @ Y)) = (vectoru_norm0 @ (vectoru_sub @ X @ Y)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(avec, axiom, ![N:num]:((vec @ N) = (lambda1 @ ^[I:num]:(realu_ofu_num @ N)))).
thf(avectoru_add, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_add @ X @ Y) = (lambda1 @ ^[I:num]:(realu_add @ (d_0 @ X @ I) @ (d_0 @ Y @ I))))).
thf(avectoru_mul, axiom, ![C:real,X:cartrealn]:((r_ @ C @ X) = (lambda1 @ ^[I:num]:(realu_mul @ C @ (d_0 @ X @ I))))).
thf(avectoru_neg, axiom, ![X:cartrealn]:((vectoru_neg @ X) = (lambda1 @ ^[I:num]:(realu_neg @ (d_0 @ X @ I))))).
thf(conjecture, conjecture, ![F:(num > cartrealm > cartrealn),S:(cartrealm > $o),M:real]:(((compact @ S) & ![N:num,X:cartrealm]:((in @ X @ S) => (realu_le @ (vectoru_norm @ (F @ N @ X)) @ M)) & ![X:cartrealm,E:real]:(((in @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![N:num,Y:cartrealm]:(((in @ Y @ S) & (realu_lt @ (vectoru_norm0 @ (vectoru_sub @ X @ Y)) @ D)) => (realu_lt @ (vectoru_norm @ (vectoru_sub0 @ (F @ N @ X) @ (F @ N @ Y))) @ E))))) => ?[G:(cartrealm > cartrealn)]:((continuousu_on @ G @ S) & ?[R:(num > num)]:(![M0:num,N:num]:((l_ @ M0 @ N) => (l_ @ (R @ M0) @ (R @ N))) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num,X:cartrealm]:(((g_a_ @ N0 @ N) & (in @ X @ S)) => (realu_lt @ (vectoru_norm @ (vectoru_sub0 @ (F @ (R @ N0) @ X) @ (G @ X))) @ E))))))).
