%   ORIGINAL: AFFINE_INDEPENDENT_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFFINE_DEPENDENT_MONO: !s t. affine_dependent s /\ s SUBSET t ==> affine_dependent t
% Assm: TRUTH: T
% Goal: !s t. ~affine_dependent t /\ s SUBSET t ==> ~affine_dependent s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. affine_dependent s /\ s SUBSET t ==> affine_dependent t
% Assm: T
% Goal: !s t. ~affine_dependent t /\ s SUBSET t ==> ~affine_dependent s
%  TYPES
thf(tcartrealq256145, type, cartrealq256145 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq256145, type, q256145 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealq256145 > $o) > (cartrealq256145 > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealq256145 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFINEu_DEPENDENTu_MONO, axiom, ![S:(cartrealq256145 > $o),T:(cartrealq256145 > $o)]:(((affineu_dependent @ S) & (subset @ S @ T)) => (affineu_dependent @ T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq256145 > $o),T:(cartrealq256145 > $o)]:((~ ((affineu_dependent @ T)) & (subset @ S @ T)) => ~ ((affineu_dependent @ S)))).
