%   ORIGINAL: CONVEX_HULL_EMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_EMPTY: convex {}
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: HULL_UNIQUE: !P s t. s SUBSET t /\ P t /\ (!t'. s SUBSET t' /\ P t' ==> t SUBSET t') ==> P hull s = t
% Assm: TRUTH: T
% Goal: convex hull {} = {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: convex {}
% Assm: !s. {} SUBSET s
% Assm: !P s t. s SUBSET t /\ P t /\ (!t'. s SUBSET t' /\ P t' ==> t SUBSET t') ==> P hull s = t
% Assm: T
% Goal: convex hull {} = {}
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq261030, type, cartrealq261030 : $tType).
thf(tq261030, type, q261030 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealq261030 > $o) > (cartrealq261030 > $o) > $o)).
thf(chull, type, hull : (((cartrealq261030 > $o) > $o) > (cartrealq261030 > $o) > cartrealq261030 > $o)).
thf(cempty, type, empty : (cartrealq261030 > $o)).
thf(cconvex, type, convex : ((cartrealq261030 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq261030 > $o),G:(a > cartrealq261030 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_EMPTY, axiom, (convex @ empty)).
thf(aEMPTYu_SUBSET, axiom, ![S:(cartrealq261030 > $o)]:(subset @ empty @ S)).
thf(aHULLu_UNIQUE, axiom, ![P:((cartrealq261030 > $o) > $o),S:(cartrealq261030 > $o),T:(cartrealq261030 > $o)]:(((subset @ S @ T) & (P @ T) & ![TI_:(cartrealq261030 > $o)]:(((subset @ S @ TI_) & (P @ TI_)) => (subset @ T @ TI_))) => ((hull @ P @ S) = T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ((hull @ convex @ empty) = empty)).
