%   ORIGINAL: CONVEX_CONNECTED_1_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_DEPENDENT_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (affine_dependent (IMAGE f s) <=> affine_dependent s)
% Assm: AFFINE_HULL_LINEAR_IMAGE: !f s. linear f ==> affine hull IMAGE f s = IMAGE f (affine hull s)
% Assm: AFFINE_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (affine (IMAGE f s) <=> affine s)
% Assm: AFF_DIM_INJECTIVE_LINEAR_IMAGE: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> aff_dim (IMAGE f s) = aff_dim s
% Assm: BALL_LINEAR_IMAGE: !f x r. linear f /\ (!y. ?x. f x = y) /\ (!x. norm (f x) = norm x) ==> ball (f x,r) = IMAGE f (ball (x,r))
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (bounded (IMAGE f s) <=> bounded s)
% Assm: CARD_EQ_CONG: !s s' t t'. s =_c s' /\ t =_c t' ==> (s =_c t <=> s' =_c t')
% Assm: CARD_EQ_IMAGE: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> IMAGE f s =_c s
% Assm: CARD_EQ_REFL: !s. s =_c s
% Assm: CARD_IMAGE_INJ: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: CARD_LE_CONG: !s s' t t'. s =_c s' /\ t =_c t' ==> (s <=_c t <=> s' <=_c t')
% Assm: CARD_LT_CONG: !s s' t t'. s =_c s' /\ t =_c t' ==> (s <_c t <=> s' <_c t')
% Assm: CBALL_LINEAR_IMAGE: !f x r. linear f /\ (!y. ?x. f x = y) /\ (!x. norm (f x) = norm x) ==> cball (f x,r) = IMAGE f (cball (x,r))
% Assm: CLOSED_INJECTIVE_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (closed (IMAGE f s) <=> closed s)
% Assm: CLOSED_IN_INJECTIVE_LINEAR_IMAGE: !f s t. linear f /\ (!x y. f x = f y ==> x = y) ==> (closed_in (subtopology euclidean (IMAGE f t)) (IMAGE f s) <=> closed_in (subtopology euclidean t) s)
% Assm: CLOSED_SEGMENT_LINEAR_IMAGE: !f a b. linear f ==> segment [f a,f b] = IMAGE f (segment [a,b])
% Assm: CLOSURE_INJECTIVE_LINEAR_IMAGE: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> closure (IMAGE f s) = IMAGE f (closure s)
% Assm: COLLINEAR_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (collinear (IMAGE f s) <=> collinear s)
% Assm: COMPACT_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (compact (IMAGE f s) <=> compact s)
% Assm: COMPLETE_INJECTIVE_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (complete (IMAGE f s) <=> complete s)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: CONIC_HULL_LINEAR_IMAGE: !f s. linear f ==> conic hull IMAGE f s = IMAGE f (conic hull s)
% Assm: CONIC_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (conic (IMAGE f s) <=> conic s)
% Assm: CONNECTED_COMPONENT_LINEAR_IMAGE: !f s x. linear f /\ (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) ==> connected_component (IMAGE f s) (f x) = IMAGE f (connected_component s x)
% Assm: CONNECTED_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (connected (IMAGE f s) <=> connected s)
% Assm: CONVEX_CONNECTED_1: !s. convex s <=> connected s
% Assm: CONVEX_HULL_LINEAR_IMAGE: !f s. linear f ==> convex hull IMAGE f s = IMAGE f (convex hull s)
% Assm: CONVEX_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (convex (IMAGE f s) <=> convex s)
% Assm: COPLANAR_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (coplanar (IMAGE f s) <=> coplanar s)
% Assm: DEPENDENT_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (dependent (IMAGE f s) <=> dependent s)
% Assm: DIAMETER_LINEAR_IMAGE: !f s. linear f /\ (!x. norm (f x) = norm x) ==> diameter (IMAGE f s) = diameter s
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: DIM_INJECTIVE_LINEAR_IMAGE: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> dim (IMAGE f s) = dim s
% Assm: DIM_UNIV: dim (:real^N) = dimindex (:N)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE_INJ_EQ: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> (FINITE (IMAGE f s) <=> FINITE s)
% Assm: FRONTIER_BIJECTIVE_LINEAR_IMAGE: !f s. linear f /\ (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) ==> frontier (IMAGE f s) = IMAGE f (frontier s)
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: HOMEOMORPHIC_INJECTIVE_LINEAR_IMAGE_LEFT_EQ: !f s t. linear f /\ (!x y. f x = f y ==> x = y) ==> (IMAGE f s homeomorphic t <=> s homeomorphic t)
% Assm: HOMEOMORPHIC_INJECTIVE_LINEAR_IMAGE_RIGHT_EQ: !f s t. linear f /\ (!x y. f x = f y ==> x = y) ==> (s homeomorphic IMAGE f t <=> s homeomorphic t)
% Assm: IMAGE_CLAUSES_conjunct0: IMAGE f {} = {}
% Assm: IMAGE_UNIONS: !f s. IMAGE f (UNIONS s) = UNIONS (IMAGE (IMAGE f) s)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INDEPENDENT_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (independent (IMAGE f s) <=> independent s)
% Assm: INFINITE: !s. INFINITE s <=> ~FINITE s
% Assm: INJECTIVE_IMAGE: !f. (!s t. IMAGE f s = IMAGE f t ==> s = t) <=> (!x y. f x = f y ==> x = y)
% Assm: INTERIOR_BIJECTIVE_LINEAR_IMAGE: !f s. linear f /\ (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) ==> interior (IMAGE f s) = IMAGE f (interior s)
% Assm: INTERS_IMAGE: !f s. INTERS (IMAGE f s) = {y | !x. x IN s ==> y IN f x}
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: ISOMETRY_UNIV_SUBSPACE: !s. subspace s /\ dimindex (:M) = dim s ==> (?f. linear f /\ IMAGE f (:real^M) = s /\ (!x. norm (f x) = norm x))
% Assm: I_THM: !x. I x = x
% Assm: LENGTH_MAP: !l f. LENGTH (MAP f l) = LENGTH l
% Assm: LIMPT_INJECTIVE_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (f x limit_point_of IMAGE f s <=> x limit_point_of s)
% Assm: LINEAR_0: !f. linear f ==> f (vec 0) = vec 0
% Assm: LINEAR_ADD: !f x y. linear f ==> f (x + y) = f x + f y
% Assm: LINEAR_CMUL: !f c x. linear f ==> f (c % x) = c % f x
% Assm: LINEAR_NEG: !f x. linear f ==> f (--x) = --f x
% Assm: LINEAR_SUB: !f x y. linear f ==> f (x - y) = f x - f y
% Assm: MAP_APPEND: !f l1 l2. MAP f (APPEND l1 l2) = APPEND (MAP f l1) (MAP f l2)
% Assm: MAP_REVERSE: !f l. REVERSE (MAP f l) = MAP f (REVERSE l)
% Assm: MAP_conjunct0: !f. MAP f [] = []
% Assm: MAP_conjunct1: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: MEM_LINEAR_IMAGE: !f x l. linear f /\ (!x y. f x = f y ==> x = y) ==> (MEM (f x) (MAP f l) <=> MEM x l)
% Assm: MIDPOINT_LINEAR_IMAGE: !f a b. linear f ==> midpoint (f a,f b) = f (midpoint (a,b))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: OPEN_BIJECTIVE_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) ==> (open (IMAGE f s) <=> open s)
% Assm: OPEN_IN_INJECTIVE_LINEAR_IMAGE: !f s t. linear f /\ (!x y. f x = f y ==> x = y) ==> (open_in (subtopology euclidean (IMAGE f t)) (IMAGE f s) <=> open_in (subtopology euclidean t) s)
% Assm: OPEN_SEGMENT_LINEAR_IMAGE: !f a b. linear f /\ (!x y. f x = f y ==> x = y) ==> segment (f a,f b) = IMAGE f (segment (a,b))
% Assm: ORTHOGONAL_LINEAR_IMAGE_EQ: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> (orthogonal (f x) (f y) <=> orthogonal x y)
% Assm: PRESERVES_NORM_INJECTIVE: !f. linear f /\ (!x. norm (f x) = norm x) ==> (!x y. f x = f y ==> x = y)
% Assm: PRESERVES_NORM_PRESERVES_DOT: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> f x dot f y = x dot y
% Assm: PSUBSET: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: QUANTIFY_SURJECTION_HIGHER_THM: !f. (!y. ?x. f x = y) ==> ((!P. (!x. P x) <=> (!x. P (f x))) /\ (!P. (?x. P x) <=> (?x. P (f x))) /\ (!Q. (!s. Q s) <=> (!s. Q (IMAGE f s))) /\ (!Q. (?s. Q s) <=> (?s. Q (IMAGE f s))) /\ (!Q. (!s. Q s) <=> (!s. Q (IMAGE (IMAGE f) s))) /\ (!Q. (?s. Q s) <=> (?s. Q (IMAGE (IMAGE f) s))) /\ (!P. (!g. P g) <=> (!g. P (f o g))) /\ (!P. (?g. P g) <=> (?g. P (f o g))) /\ (!P. (!g. P g) <=> (!g. P (f o g))) /\ (!P. (?g. P g) <=> (?g. P (f o g))) /\ (!Q. (!l. Q l) <=> (!l. Q (MAP f l))) /\ (!Q. (?l. Q l) <=> (?l. Q (MAP f l)))) /\ (!P. {x | P x} = IMAGE f {x | P (f x)}) /\ (!Q. {s | Q s} = IMAGE (IMAGE f) {s | Q (IMAGE f s)}) /\ (!R. {l | R l} = IMAGE (MAP f) {l | R (MAP f l)})
% Assm: SETDIST_LINEAR_IMAGE: !f s t. linear f /\ (!x. norm (f x) = norm x) ==> setdist (IMAGE f s,IMAGE f t) = setdist (s,t)
% Assm: SPAN_LINEAR_IMAGE: !f s. linear f ==> span (IMAGE f s) = IMAGE f (span s)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSPACE_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (subspace (IMAGE f s) <=> subspace s)
% Assm: SUBSPACE_UNIV: subspace (:real^N)
% Assm: SURJECTIVE_IMAGE: !f. (!t. ?s. IMAGE f s = t) <=> (!y. ?x. f x = y)
% Assm: TRUTH: T
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: ge_c: !t s. s >=_c t <=> t <=_c s
% Assm: gt_c: !t s. s >_c t <=> t <_c s
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !s. dimindex (:N) = 1 ==> (convex s <=> connected s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (affine_dependent (IMAGE f s) <=> affine_dependent s)
% Assm: !f s. linear f ==> affine hull IMAGE f s = IMAGE f (affine hull s)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (affine (IMAGE f s) <=> affine s)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> aff_dim (IMAGE f s) = aff_dim s
% Assm: !f x r. linear f /\ (!y. ?x. f x = y) /\ (!x. norm (f x) = norm x) ==> ball (f x,r) = IMAGE f (ball (x,r))
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (bounded (IMAGE f s) <=> bounded s)
% Assm: !s s' t t'. s =_c s' /\ t =_c t' ==> (s =_c t <=> s' =_c t')
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> IMAGE f s =_c s
% Assm: !f s. (!x y. x IN s /\ y IN s /\ (f x <=> f y) ==> x = y) ==> IMAGE f s =_c s
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> (x <=> y)) ==> IMAGE f s =_c s
% Assm: !f s. (!x y. x IN s /\ y IN s /\ (f x <=> f y) ==> (x <=> y)) ==> IMAGE f s =_c s
% Assm: !s. s =_c s
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: !f s. (!x y. x IN s /\ y IN s /\ (f x <=> f y) ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> (x <=> y)) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: !f s. (!x y. x IN s /\ y IN s /\ (f x <=> f y) ==> (x <=> y)) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: !s s' t t'. s =_c s' /\ t =_c t' ==> (s <=_c t <=> s' <=_c t')
% Assm: !s s' t t'. s =_c s' /\ t =_c t' ==> (s <_c t <=> s' <_c t')
% Assm: !f x r. linear f /\ (!y. ?x. f x = y) /\ (!x. norm (f x) = norm x) ==> cball (f x,r) = IMAGE f (cball (x,r))
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (closed (IMAGE f s) <=> closed s)
% Assm: !f s t. linear f /\ (!x y. f x = f y ==> x = y) ==> (closed_in (subtopology euclidean (IMAGE f t)) (IMAGE f s) <=> closed_in (subtopology euclidean t) s)
% Assm: !f a b. linear f ==> segment [f a,f b] = IMAGE f (segment [a,b])
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> closure (IMAGE f s) = IMAGE f (closure s)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (collinear (IMAGE f s) <=> collinear s)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (compact (IMAGE f s) <=> compact s)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (complete (IMAGE f s) <=> complete s)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !f s. linear f ==> conic hull IMAGE f s = IMAGE f (conic hull s)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (conic (IMAGE f s) <=> conic s)
% Assm: !f s x. linear f /\ (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) ==> connected_component (IMAGE f s) (f x) = IMAGE f (connected_component s x)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (connected (IMAGE f s) <=> connected s)
% Assm: !s. convex s <=> connected s
% Assm: !f s. linear f ==> convex hull IMAGE f s = IMAGE f (convex hull s)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (convex (IMAGE f s) <=> convex s)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (coplanar (IMAGE f s) <=> coplanar s)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (dependent (IMAGE f s) <=> dependent s)
% Assm: !f s. linear f /\ (!x. norm (f x) = norm x) ==> diameter (IMAGE f s) = diameter s
% Assm: dimindex (:1) = 1
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> dim (IMAGE f s) = dim s
% Assm: dim (:real^N) = dimindex (:N)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> (FINITE (IMAGE f s) <=> FINITE s)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ (f x <=> f y) ==> x = y) ==> (FINITE (IMAGE f s) <=> FINITE s)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> (x <=> y)) ==> (FINITE (IMAGE f s) <=> FINITE s)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ (f x <=> f y) ==> (x <=> y)) ==> (FINITE (IMAGE f s) <=> FINITE s)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) ==> frontier (IMAGE f s) = IMAGE f (frontier s)
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !f s t. linear f /\ (!x y. f x = f y ==> x = y) ==> (IMAGE f s homeomorphic t <=> s homeomorphic t)
% Assm: !f s t. linear f /\ (!x y. f x = f y ==> x = y) ==> (s homeomorphic IMAGE f t <=> s homeomorphic t)
% Assm: !f. IMAGE f {} = {}
% Assm: !f s. IMAGE f (UNIONS s) = UNIONS (IMAGE (IMAGE f) s)
% Assm: !P x. x IN P <=> P x
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (independent (IMAGE f s) <=> independent s)
% Assm: !s. INFINITE s <=> ~FINITE s
% Assm: !f. (!s t. IMAGE f s = IMAGE f t ==> s = t) <=> (!x y. f x = f y ==> x = y)
% Assm: !f. (!s t. IMAGE f s = IMAGE f t ==> s = t) <=> (!x y. (f x <=> f y) ==> x = y)
% Assm: !f. (!s t. IMAGE f s = IMAGE f t ==> s = t) <=> (!x y. f x = f y ==> (x <=> y))
% Assm: !f. (!s t. IMAGE f s = IMAGE f t ==> s = t) <=> (!x y. (f x <=> f y) ==> (x <=> y))
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) ==> interior (IMAGE f s) = IMAGE f (interior s)
% Assm: !f s. INTERS (IMAGE f s) = {y | !x. x IN s ==> y IN f x}
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x <=> y)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. (y <=> f x) /\ x IN s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y s. x IN y INSERT s <=> (x <=> y) \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. x IN (:N)
% Assm: !s. subspace s /\ dimindex (:N) = dim s ==> (?f. linear f /\ IMAGE f (:real^N) = s /\ (!x. norm (f x) = norm x))
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: !l f. LENGTH (MAP f l) = LENGTH l
% Assm: !x f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (f x limit_point_of IMAGE f s <=> x limit_point_of s)
% Assm: !f. linear f ==> f (vec 0) = vec 0
% Assm: !f x y. linear f ==> f (x + y) = f x + f y
% Assm: !f c x. linear f ==> f (c % x) = c % f x
% Assm: !f x. linear f ==> f (--x) = --f x
% Assm: !f x y. linear f ==> f (x - y) = f x - f y
% Assm: !f l1 l2. MAP f (APPEND l1 l2) = APPEND (MAP f l1) (MAP f l2)
% Assm: !f l. REVERSE (MAP f l) = MAP f (REVERSE l)
% Assm: !f. MAP f [] = []
% Assm: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: !f x l. linear f /\ (!x y. f x = f y ==> x = y) ==> (MEM (f x) (MAP f l) <=> MEM x l)
% Assm: !f a b. linear f ==> midpoint (f a,f b) = f (midpoint (a,b))
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) /\ (!y. ?x. f x = y) ==> (open (IMAGE f s) <=> open s)
% Assm: !f s t. linear f /\ (!x y. f x = f y ==> x = y) ==> (open_in (subtopology euclidean (IMAGE f t)) (IMAGE f s) <=> open_in (subtopology euclidean t) s)
% Assm: !f a b. linear f /\ (!x y. f x = f y ==> x = y) ==> segment (f a,f b) = IMAGE f (segment (a,b))
% Assm: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> (orthogonal (f x) (f y) <=> orthogonal x y)
% Assm: !f. linear f /\ (!x. norm (f x) = norm x) ==> (!x y. f x = f y ==> x = y)
% Assm: !f x y. linear f /\ (!x. norm (f x) = norm x) ==> f x dot f y = x dot y
% Assm: !s t. s PSUBSET t <=> s SUBSET t /\ ~(s = t)
% Assm: !f. (!y. ?x. f x = y) ==> ((!P. (!x. P x) <=> (!x. P (f x))) /\ (!P. (?x. P x) <=> (?x. P (f x))) /\ (!Q. (!s. Q s) <=> (!s. Q (IMAGE f s))) /\ (!Q. (?s. Q s) <=> (?s. Q (IMAGE f s))) /\ (!Q. (!s. Q s) <=> (!s. Q (IMAGE (IMAGE f) s))) /\ (!Q. (?s. Q s) <=> (?s. Q (IMAGE (IMAGE f) s))) /\ (!P. (!g. P g) <=> (!g. P (f o g))) /\ (!P. (?g. P g) <=> (?g. P (f o g))) /\ (!P. (!g. P g) <=> (!g. P (f o g))) /\ (!P. (?g. P g) <=> (?g. P (f o g))) /\ (!Q. (!l. Q l) <=> (!l. Q (MAP f l))) /\ (!Q. (?l. Q l) <=> (?l. Q (MAP f l)))) /\ (!P. {x | P x} = IMAGE f {x | P (f x)}) /\ (!Q. {s | Q s} = IMAGE (IMAGE f) {s | Q (IMAGE f s)}) /\ (!R. {l | R l} = IMAGE (MAP f) {l | R (MAP f l)})
% Assm: !f. (!y. ?x. f x <=> y) ==> ((!P. (!x. P x) <=> (!x. P (f x))) /\ (!P. (?x. P x) <=> (?x. P (f x))) /\ (!Q. (!s. Q s) <=> (!s. Q (IMAGE f s))) /\ (!Q. (?s. Q s) <=> (?s. Q (IMAGE f s))) /\ (!Q. (!s. Q s) <=> (!s. Q (IMAGE (IMAGE f) s))) /\ (!Q. (?s. Q s) <=> (?s. Q (IMAGE (IMAGE f) s))) /\ (!P. (!g. P g) <=> (!g. P (f o g))) /\ (!P. (?g. P g) <=> (?g. P (f o g))) /\ (!P. (!g. P g) <=> (!g. P (f o g))) /\ (!P. (?g. P g) <=> (?g. P (f o g))) /\ (!Q. (!l. Q l) <=> (!l. Q (MAP f l))) /\ (!Q. (?l. Q l) <=> (?l. Q (MAP f l)))) /\ (!P. {x | P x} = IMAGE f {x | P (f x)}) /\ (!Q. {s | Q s} = IMAGE (IMAGE f) {s | Q (IMAGE f s)}) /\ (!R. {l | R l} = IMAGE (MAP f) {l | R (MAP f l)})
% Assm: !f s t. linear f /\ (!x. norm (f x) = norm x) ==> setdist (IMAGE f s,IMAGE f t) = setdist (s,t)
% Assm: !f s. linear f ==> span (IMAGE f s) = IMAGE f (span s)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (subspace (IMAGE f s) <=> subspace s)
% Assm: subspace (:real^N)
% Assm: !f. (!t. ?s. IMAGE f s = t) <=> (!y. ?x. f x = y)
% Assm: !f. (!t. ?s. IMAGE f s = t) <=> (!y. ?x. f x <=> y)
% Assm: T
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !t s. s >=_c t <=> t <=_c s
% Assm: !t s. s >_c t <=> t <_c s
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x <=> f (g x)
% Goal: !s. dimindex (:N) = 1 ==> (convex s <=> connected s)
%  TYPES
thf(tq109316, type, q109316 : $tType).
thf(tcartrealq109412, type, cartrealq109412 : $tType).
thf(tq254957, type, q254957 : $tType).
thf(tq182206, type, q182206 : $tType).
thf(tprodcartrealq215480cartrealq215480, type, prodcartrealq215480cartrealq215480 : $tType).
thf(tq59288, type, q59288 : $tType).
thf(tq139341, type, q139341 : $tType).
thf(tq59289, type, q59289 : $tType).
thf(tq109319, type, q109319 : $tType).
thf(tnum, type, num : $tType).
thf(treal, type, real : $tType).
thf(tq98293, type, q98293 : $tType).
thf(tcartrealq254976, type, cartrealq254976 : $tType).
thf(tcartrealq139327, type, cartrealq139327 : $tType).
thf(tcartrealq109345, type, cartrealq109345 : $tType).
thf(tcartrealq197883, type, cartrealq197883 : $tType).
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tcartrealq109344, type, cartrealq109344 : $tType).
thf(tcartrealq249092, type, cartrealq249092 : $tType).
thf(tcartrealq248826, type, cartrealq248826 : $tType).
thf(tcartrealq98293, type, cartrealq98293 : $tType).
thf(tcartrealq215479, type, cartrealq215479 : $tType).
thf(tprodfuncartrealmboolfuncartrealmbool, type, prodfuncartrealmboolfuncartrealmbool : $tType).
thf(tprodfuncartrealnboolfuncartrealnbool, type, prodfuncartrealnboolfuncartrealnbool : $tType).
thf(tlistbool, type, listbool : $tType).
thf(tq47225, type, q47225 : $tType).
thf(tq48581, type, q48581 : $tType).
thf(tq197883, type, q197883 : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq197855, type, cartrealq197855 : $tType).
thf(tq166031, type, q166031 : $tType).
thf(tcartrealq109316, type, cartrealq109316 : $tType).
thf(tcartrealq254721, type, cartrealq254721 : $tType).
thf(tq47229, type, q47229 : $tType).
thf(tq182178, type, q182178 : $tType).
thf(tq109289, type, q109289 : $tType).
thf(tq109412, type, q109412 : $tType).
thf(tq109413, type, q109413 : $tType).
thf(tcartrealq256597, type, cartrealq256597 : $tType).
thf(tq249073, type, q249073 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tcartrealq109379, type, cartrealq109379 : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq248826, type, q248826 : $tType).
thf(tcartrealq109378, type, cartrealq109378 : $tType).
thf(tq109378, type, q109378 : $tType).
thf(tlistnum, type, listnum : $tType).
thf(tq47872, type, q47872 : $tType).
thf(tq109379, type, q109379 : $tType).
thf(tq199157, type, q199157 : $tType).
thf(tq109291, type, q109291 : $tType).
thf(tcartrealq139973, type, cartrealq139973 : $tType).
thf(tq140001, type, q140001 : $tType).
thf(tq254976, type, q254976 : $tType).
thf(tlistprodcartrealq215480cartrealq215480, type, listprodcartrealq215480cartrealq215480 : $tType).
thf(tlistprodcartrealq215479cartrealq215479, type, listprodcartrealq215479cartrealq215479 : $tType).
thf(tlistcartrealn, type, listcartrealn : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tq256625, type, q256625 : $tType).
thf(tq52112, type, q52112 : $tType).
thf(tq254721, type, q254721 : $tType).
thf(tcartrealq182178, type, cartrealq182178 : $tType).
thf(tq197855, type, q197855 : $tType).
thf(tcartrealq109291, type, cartrealq109291 : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tprodcartrealq139327cartrealq139327, type, prodcartrealq139327cartrealq139327 : $tType).
thf(tlistq20794, type, listq20794 : $tType).
thf(tlista, type, lista : $tType).
thf(tcartrealq166031, type, cartrealq166031 : $tType).
thf(tq47881, type, q47881 : $tType).
thf(tprodcartrealmreal, type, prodcartrealmreal : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(tq199207, type, q199207 : $tType).
thf(tq139327, type, q139327 : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq199157, type, cartrealq199157 : $tType).
thf(tq109344, type, q109344 : $tType).
thf(tq248798, type, q248798 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tq109345, type, q109345 : $tType).
thf(tprodcartrealq98293cartrealq98293, type, prodcartrealq98293cartrealq98293 : $tType).
thf(tcartrealq109319, type, cartrealq109319 : $tType).
thf(tcartrealq166059, type, cartrealq166059 : $tType).
thf(tq220471, type, q220471 : $tType).
thf(tprodcartrealq215479cartrealq215479, type, prodcartrealq215479cartrealq215479 : $tType).
thf(tcartrealq248798, type, cartrealq248798 : $tType).
thf(tlistb, type, listb : $tType).
thf(tcartrealq256625, type, cartrealq256625 : $tType).
thf(tcartrealq199207, type, cartrealq199207 : $tType).
thf(ta, type, a : $tType).
thf(tq249092, type, q249092 : $tType).
thf(tq166059, type, q166059 : $tType).
thf(tint, type, int : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq109289, type, cartrealq109289 : $tType).
thf(tq59279, type, q59279 : $tType).
thf(tq20794, type, q20794 : $tType).
thf(tc, type, c : $tType).
thf(tq256597, type, q256597 : $tType).
thf(tq48565, type, q48565 : $tType).
thf(td, type, d : $tType).
thf(tcartrealq254693, type, cartrealq254693 : $tType).
thf(tq139973, type, q139973 : $tType).
thf(tq20796, type, q20796 : $tType).
thf(tq254693, type, q254693 : $tType).
thf(tcartrealq254957, type, cartrealq254957 : $tType).
thf(tq215479, type, q215479 : $tType).
thf(tlistcartrealm, type, listcartrealm : $tType).
thf(tlistq20796, type, listq20796 : $tType).
thf(tcartrealq220471, type, cartrealq220471 : $tType).
thf(ttopologycartrealm, type, topologycartrealm : $tType).
thf(tcartrealq140001, type, cartrealq140001 : $tType).
thf(tcartrealq249073, type, cartrealq249073 : $tType).
thf(tq220522, type, q220522 : $tType).
thf(tq59280, type, q59280 : $tType).
thf(tprodcartrealq139341cartrealq139341, type, prodcartrealq139341cartrealq139341 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartrealq139341, type, cartrealq139341 : $tType).
thf(tcartrealq220522, type, cartrealq220522 : $tType).
thf(tcartrealq215480, type, cartrealq215480 : $tType).
thf(tq215480, type, q215480 : $tType).
thf(tcartrealq109413, type, cartrealq109413 : $tType).
thf(tcartrealq182206, type, cartrealq182206 : $tType).
%  CONSTS
thf(cmidpoint, type, midpoint : (prodcartrealq139327cartrealq139327 > cartrealq139327)).
thf(cuniv, type, univ : (n > $o)).
thf(co4, type, o4 : ((b > $o) > (a > b) > a > $o)).
thf(co3, type, o3 : ((b > num) > (a > b) > a > num)).
thf(cvectoruu_sub1, type, vectoru_sub1 : (cartrealq98293 > cartrealq98293 > cartrealq98293)).
thf(ccu_9, type, c_9 : (cartrealq98293 > cartrealq98293 > prodcartrealq98293cartrealq98293)).
thf(cimage25, type, image25 : ((cartrealq140001 > cartrealq139973) > (cartrealq140001 > $o) > cartrealq139973 > $o)).
thf(ccu_8, type, c_8 : ((cartrealm > $o) > (cartrealm > $o) > prodfuncartrealmboolfuncartrealmbool)).
thf(ccu_7, type, c_7 : ((cartrealn > $o) > (cartrealn > $o) > prodfuncartrealnboolfuncartrealnbool)).
thf(cimage24, type, image24 : ((lista > listbool) > (lista > $o) > listbool > $o)).
thf(csetspec9, type, setspec9 : (listbool > $o > listbool > $o)).
thf(csetspec8, type, setspec8 : (($o > $o) > $o > ($o > $o) > $o)).
thf(csetspec7, type, setspec7 : ($o > $o > $o > $o)).
thf(cmap3, type, map3 : ((a > $o) > lista > listbool)).
thf(co2, type, o2 : ((a > $o) > (num > a) > num > $o)).
thf(co1, type, o1 : ((a > $o) > (cartrealn1 > a) > cartrealn1 > $o)).
thf(cimage23, type, image23 : (((a > $o) > $o > $o) > ((a > $o) > $o) > ($o > $o) > $o)).
thf(csetspec6, type, setspec6 : (lista > $o > lista > $o)).
thf(cimage22, type, image22 : ((lista > listnum) > (lista > $o) > listnum > $o)).
thf(csetspec5, type, setspec5 : (listnum > $o > listnum > $o)).
thf(csetspec4, type, setspec4 : ((a > $o) > $o > (a > $o) > $o)).
thf(csetspec3, type, setspec3 : ((num > $o) > $o > (num > $o) > $o)).
thf(csetspec2, type, setspec2 : (a > $o > a > $o)).
thf(csetspec1, type, setspec1 : (num > $o > num > $o)).
thf(cmap2, type, map2 : ((a > num) > lista > listnum)).
thf(co0, type, o0 : ((a > num) > (num > a) > num > num)).
thf(co, type, o : ((a > num) > (cartrealn1 > a) > cartrealn1 > num)).
thf(cimage21, type, image21 : (((a > $o) > num > $o) > ((a > $o) > $o) > (num > $o) > $o)).
thf(ccu_6, type, c_6 : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccu_5, type, c_5 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccu_4, type, c_4 : (cartrealq139341 > cartrealq139341 > prodcartrealq139341cartrealq139341)).
thf(ccu_3, type, c_3 : (cartrealq139327 > cartrealq139327 > prodcartrealq139327cartrealq139327)).
thf(cmap1, type, map1 : ((cartrealm > cartrealn) > listcartrealm > listcartrealn)).
thf(ccons2, type, cons2 : (b > listb > listb)).
thf(ccons1, type, cons1 : (a > lista > lista)).
thf(cmap0, type, map0 : ((q20796 > q20794) > listq20796 > listq20794)).
thf(cappend0, type, append0 : (listb > listb > listb)).
thf(cappend, type, append : (lista > lista > lista)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq109413 > cartrealq109413 > cartrealq109413)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq109412 > cartrealq109412 > cartrealq109412)).
thf(cru_0, type, r_0 : (real > cartrealq109319 > cartrealq109319)).
thf(cru_, type, r_ : (real > cartrealq109316 > cartrealq109316)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq109379 > cartrealq109379 > cartrealq109379)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq109378 > cartrealq109378 > cartrealq109378)).
thf(cmap, type, map : ((a > b) > lista > listb)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cinsert0, type, insert0 : ($o > ($o > $o) > $o > $o)).
thf(cinsert, type, insert : (num > (num > $o) > num > $o)).
thf(cimage20, type, image20 : ((a > $o) > (a > $o) > $o > $o)).
thf(cimage19, type, image19 : ((a > num) > (a > $o) > num > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cdelete0, type, delete0 : (($o > $o) > $o > $o > $o)).
thf(cdelete, type, delete : ((num > $o) > num > num > $o)).
thf(csetspec, type, setspec : (q48565 > $o > q48565 > $o)).
thf(cimage18, type, image18 : ((q48581 > q48565 > $o) > (q48581 > $o) > (q48565 > $o) > $o)).
thf(cimage17, type, image17 : (((q47872 > $o) > q47881 > $o) > ((q47872 > $o) > $o) > (q47881 > $o) > $o)).
thf(cimage16, type, image16 : ((q47872 > q47881) > (q47872 > $o) > q47881 > $o)).
thf(cimage15, type, image15 : ((q47225 > q47229) > (q47225 > $o) > q47229 > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cimage14, type, image14 : ((cartrealq256625 > cartrealq256597) > (cartrealq256625 > $o) > cartrealq256597 > $o)).
thf(chull3, type, hull3 : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage13, type, image13 : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cconnecteduu_component0, type, connectedu_component0 : ((cartrealq199207 > $o) > cartrealq199207 > cartrealq199207 > $o)).
thf(cimage12, type, image12 : ((cartrealq199207 > cartrealq199157) > (cartrealq199207 > $o) > cartrealq199157 > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealq199157 > $o) > cartrealq199157 > cartrealq199157 > $o)).
thf(cimage11, type, image11 : ((cartrealq254721 > cartrealq254693) > (cartrealq254721 > $o) > cartrealq254693 > $o)).
thf(chull2, type, hull2 : (((cartrealq254976 > $o) > $o) > (cartrealq254976 > $o) > cartrealq254976 > $o)).
thf(cimage10, type, image10 : ((cartrealq254976 > cartrealq254957) > (cartrealq254976 > $o) > cartrealq254957 > $o)).
thf(chull1, type, hull1 : (((cartrealq254957 > $o) > $o) > (cartrealq254957 > $o) > cartrealq254957 > $o)).
thf(ccond0, type, cond0 : ($o > $o > $o > $o)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cimage9, type, image9 : ((cartrealq197883 > cartrealq197855) > (cartrealq197883 > $o) > cartrealq197855 > $o)).
thf(cimage8, type, image8 : ((cartrealq166059 > cartrealq166031) > (cartrealq166059 > $o) > cartrealq166031 > $o)).
thf(ccu_2, type, c_2 : (cartrealq215480 > cartrealq215480 > prodcartrealq215480cartrealq215480)).
thf(ccons0, type, cons0 : (prodcartrealq215480cartrealq215480 > listprodcartrealq215480cartrealq215480 > listprodcartrealq215480cartrealq215480)).
thf(cimage7, type, image7 : ((cartrealq215480 > cartrealq215479) > (cartrealq215480 > $o) > cartrealq215479 > $o)).
thf(ccu_1, type, c_1 : (cartrealq215479 > cartrealq215479 > prodcartrealq215479cartrealq215479)).
thf(ccons, type, cons : (prodcartrealq215479cartrealq215479 > listprodcartrealq215479cartrealq215479 > listprodcartrealq215479cartrealq215479)).
thf(csubtopology0, type, subtopology0 : (topologycartrealm > (cartrealm > $o) > topologycartrealm)).
thf(csubtopology, type, subtopology : (topologycartrealn > (cartrealn > $o) > topologycartrealn)).
thf(cimage6, type, image6 : (($o > $o) > ($o > $o) > $o > $o)).
thf(cimage5, type, image5 : (($o > num) > ($o > $o) > num > $o)).
thf(cimage4, type, image4 : ((num > $o) > (num > $o) > $o > $o)).
thf(cimage3, type, image3 : ((num > num) > (num > $o) > num > $o)).
thf(cimage2, type, image2 : ((cartrealq182206 > cartrealq182178) > (cartrealq182206 > $o) > cartrealq182178 > $o)).
thf(ccu_0, type, c_0 : (cartrealm > real > prodcartrealmreal)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(cimage1, type, image1 : ((cartrealq248826 > cartrealq248798) > (cartrealq248826 > $o) > cartrealq248798 > $o)).
thf(chull0, type, hull0 : (((cartrealq249092 > $o) > $o) > (cartrealq249092 > $o) > cartrealq249092 > $o)).
thf(cimage0, type, image0 : ((cartrealq249092 > cartrealq249073) > (cartrealq249092 > $o) > cartrealq249073 > $o)).
thf(chull, type, hull : (((cartrealq249073 > $o) > $o) > (cartrealq249073 > $o) > cartrealq249073 > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(ci0, type, i0 : ($o > $o)).
thf(cmidpoint0, type, midpoint0 : (prodcartrealq139341cartrealq139341 > cartrealq139341)).
thf(ccard1, type, card1 : ((q52112 > $o) > num)).
thf(cdim0, type, dim0 : ((cartrealm > $o) > num)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((n1 > $o) > num)).
thf(ccard0, type, card0 : (($o > $o) > num)).
thf(ccard, type, card : ((num > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cempty0, type, empty0 : (q47225 > $o)).
thf(caffuu_dim0, type, affu_dim0 : ((cartrealm > $o) > int)).
thf(caffuu_dim, type, affu_dim : ((cartrealn > $o) > int)).
thf(clength0, type, length0 : (lista > num)).
thf(clength, type, length : (listb > num)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq109344 > cartrealq109344)).
thf(cvectoruu_neg0, type, vectoru_neg0 : (cartrealq109345 > cartrealq109345)).
thf(clu_uu_c1, type, l_u_c1 : ((q59288 > $o) > (q59289 > $o) > $o)).
thf(cgu_uu_c, type, g_u_c : ((q59289 > $o) > (q59288 > $o) > $o)).
thf(clu_au_uu_c1, type, l_a_u_c1 : ((q59279 > $o) > (q59280 > $o) > $o)).
thf(cgu_au_uu_c, type, g_a_u_c : ((q59280 > $o) > (q59279 > $o) > $o)).
thf(cspan0, type, span0 : ((cartrealm > $o) > cartrealm > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cgspec9, type, gspec9 : ((listbool > $o) > listbool > $o)).
thf(cgspec8, type, gspec8 : ((($o > $o) > $o) > ($o > $o) > $o)).
thf(cgspec7, type, gspec7 : (($o > $o) > $o > $o)).
thf(cgspec6, type, gspec6 : ((lista > $o) > lista > $o)).
thf(cgspec5, type, gspec5 : ((listnum > $o) > listnum > $o)).
thf(cgspec4, type, gspec4 : (((a > $o) > $o) > (a > $o) > $o)).
thf(cgspec3, type, gspec3 : (((num > $o) > $o) > (num > $o) > $o)).
thf(cgspec2, type, gspec2 : ((a > $o) > a > $o)).
thf(cgspec1, type, gspec1 : ((num > $o) > num > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cpsubset, type, psubset : ((a > $o) > (a > $o) > $o)).
thf(cdot0, type, dot0 : (cartrealm > cartrealm > real)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(corthogonal0, type, orthogonal0 : (cartrealm > cartrealm > $o)).
thf(corthogonal, type, orthogonal : (cartrealn > cartrealn > $o)).
thf(copenuu_segment0, type, openu_segment0 : (prodcartrealmcartrealm > cartrealm > $o)).
thf(copenuu_segment, type, openu_segment : (prodcartrealncartrealn > cartrealn > $o)).
thf(copenuu_in0, type, openu_in0 : (topologycartrealm > (cartrealm > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(cmem0, type, mem0 : (cartrealm > listcartrealm > $o)).
thf(cmem, type, mem : (cartrealn > listcartrealn > $o)).
thf(climituu_pointuu_of0, type, limitu_pointu_of0 : (cartrealm > (cartrealm > $o) > $o)).
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cin6, type, in6 : (n > (n > $o) > $o)).
thf(cin5, type, in5 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cinters0, type, inters0 : (((a > $o) > $o) > a > $o)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin4, type, in4 : (q43851 > (q43851 > $o) > $o)).
thf(cin3, type, in3 : (q48565 > (q48565 > $o) > $o)).
thf(cin2, type, in2 : (q48581 > (q48581 > $o) > $o)).
thf(cgspec, type, gspec : ((q48565 > $o) > q48565 > $o)).
thf(cinters, type, inters : (((q48565 > $o) > $o) > q48565 > $o)).
thf(cinterior0, type, interior0 : ((cartrealm > $o) > cartrealm > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cunions0, type, unions0 : (((q47881 > $o) > $o) > q47881 > $o)).
thf(cunions, type, unions : (((q47872 > $o) > $o) > q47872 > $o)).
thf(chomeomorphic2, type, homeomorphic2 : ((cartrealq220522 > $o) > (cartrealm > $o) > $o)).
thf(chomeomorphic1, type, homeomorphic1 : ((cartrealq220522 > $o) > (cartrealn > $o) > $o)).
thf(chomeomorphic0, type, homeomorphic0 : ((cartrealm > $o) > (cartrealq220471 > $o) > $o)).
thf(chomeomorphic, type, homeomorphic : ((cartrealn > $o) > (cartrealq220471 > $o) > $o)).
thf(chasuu_size, type, hasu_size : ((q52112 > $o) > num > $o)).
thf(cfrontier0, type, frontier0 : ((cartrealm > $o) > cartrealm > $o)).
thf(cfrontier, type, frontier : ((cartrealn > $o) > cartrealn > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cdisjoint, type, disjoint : ((a > $o) > (a > $o) > $o)).
thf(cclosure0, type, closure0 : ((cartrealm > $o) > cartrealm > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(ccloseduu_segment0, type, closedu_segment0 : (listprodcartrealq215480cartrealq215480 > cartrealq215480 > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealq215479cartrealq215479 > cartrealq215479 > $o)).
thf(ccloseduu_in0, type, closedu_in0 : (topologycartrealm > (cartrealm > $o) > $o)).
thf(ccloseduu_in, type, closedu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(ccball0, type, cball0 : (prodcartrealmreal > cartrealm > $o)).
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(clu_uu_c0, type, l_u_c0 : ((b > $o) > (d > $o) > $o)).
thf(clu_uu_c, type, l_u_c : ((a > $o) > (c > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((b > $o) > (d > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((a > $o) > (c > $o) > $o)).
thf(cau_uu_c7, type, a_u_c7 : ((a > $o) > (a > $o) > $o)).
thf(cau_uu_c6, type, a_u_c6 : (($o > $o) > ($o > $o) > $o)).
thf(cau_uu_c5, type, a_u_c5 : ((num > $o) > ($o > $o) > $o)).
thf(cin0, type, in0 : ($o > ($o > $o) > $o)).
thf(cau_uu_c4, type, a_u_c4 : (($o > $o) > (num > $o) > $o)).
thf(cau_uu_c3, type, a_u_c3 : ((num > $o) > (num > $o) > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cau_uu_c2, type, a_u_c2 : ((b > $o) > (d > $o) > $o)).
thf(cau_uu_c1, type, a_u_c1 : ((a > $o) > (c > $o) > $o)).
thf(cau_uu_c0, type, a_u_c0 : ((c > $o) > (d > $o) > $o)).
thf(cau_uu_c, type, a_u_c : ((a > $o) > (b > $o) > $o)).
thf(cball0, type, ball0 : (prodcartrealmreal > cartrealm > $o)).
thf(cball, type, ball : (prodcartrealnreal > cartrealn > $o)).
thf(cempty1, type, empty1 : (q47229 > $o)).
thf(ceuclidean0, type, euclidean0 : topologycartrealm).
thf(cnil1, type, nil1 : lista).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(cnil2, type, nil2 : listb).
thf(cuu_0, type, u_0 : num).
thf(creverse0, type, reverse0 : (listq20796 > listq20796)).
thf(creverse, type, reverse : (listq20794 > listq20794)).
thf(csubspace1, type, subspace1 : ((cartrealq140001 > $o) > $o)).
thf(csubspace0, type, subspace0 : ((cartrealq139973 > $o) > $o)).
thf(clinear17, type, linear17 : ((cartrealq140001 > cartrealq139973) > $o)).
thf(copen0, type, open0 : ((cartrealm > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(clinear16, type, linear16 : ((cartrealq139341 > cartrealq139327) > $o)).
thf(clinear15, type, linear15 : ((cartrealq109412 > cartrealq109413) > $o)).
thf(clinear14, type, linear14 : ((cartrealq109344 > cartrealq109345) > $o)).
thf(clinear13, type, linear13 : ((cartrealq109316 > cartrealq109319) > $o)).
thf(clinear12, type, linear12 : ((cartrealq109378 > cartrealq109379) > $o)).
thf(clinear11, type, linear11 : ((cartrealq109289 > cartrealq109291) > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(cfinite2, type, finite2 : ((a > $o) > $o)).
thf(cinfinite, type, infinite : ((a > $o) > $o)).
thf(cindependent0, type, independent0 : ((cartrealm > $o) > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(cfinite1, type, finite1 : ((q52112 > $o) > $o)).
thf(cuniv1, type, univ1 : (cartrealn > $o)).
thf(cdependent0, type, dependent0 : ((cartrealm > $o) > $o)).
thf(cdependent, type, dependent : ((cartrealn > $o) > $o)).
thf(ccoplanar0, type, coplanar0 : ((cartrealq256625 > $o) > $o)).
thf(ccoplanar, type, coplanar : ((cartrealq256597 > $o) > $o)).
thf(clinear10, type, linear10 : ((cartrealq256625 > cartrealq256597) > $o)).
thf(cconnected0, type, connected0 : ((cartrealn1 > $o) > $o)).
thf(cconvex0, type, convex0 : ((cartrealn1 > $o) > $o)).
thf(clinear9, type, linear9 : ((cartrealn > cartrealn) > $o)).
thf(clinear8, type, linear8 : ((cartrealq199207 > cartrealq199157) > $o)).
thf(cconic2, type, conic2 : ((cartrealq254721 > $o) > $o)).
thf(cconic1, type, conic1 : ((cartrealq254693 > $o) > $o)).
thf(clinear7, type, linear7 : ((cartrealq254721 > cartrealq254693) > $o)).
thf(cconic0, type, conic0 : ((cartrealq254976 > $o) > $o)).
thf(cconic, type, conic : ((cartrealq254957 > $o) > $o)).
thf(clinear6, type, linear6 : ((cartrealq254976 > cartrealq254957) > $o)).
thf(ccomplete0, type, complete0 : ((cartrealm > $o) > $o)).
thf(ccomplete, type, complete : ((cartrealn > $o) > $o)).
thf(ccompact0, type, compact0 : ((cartrealq197883 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealq197855 > $o) > $o)).
thf(clinear5, type, linear5 : ((cartrealq197883 > cartrealq197855) > $o)).
thf(ccollinear0, type, collinear0 : ((cartrealq166059 > $o) > $o)).
thf(ccollinear, type, collinear : ((cartrealq166031 > $o) > $o)).
thf(clinear4, type, linear4 : ((cartrealq166059 > cartrealq166031) > $o)).
thf(clinear3, type, linear3 : ((cartrealq215480 > cartrealq215479) > $o)).
thf(cclosed0, type, closed0 : ((cartrealm > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cfinite0, type, finite0 : (($o > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(cbounded0, type, bounded0 : ((cartrealq182206 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq182178 > $o) > $o)).
thf(clinear2, type, linear2 : ((cartrealq182206 > cartrealq182178) > $o)).
thf(caffine2, type, affine2 : ((cartrealq248826 > $o) > $o)).
thf(caffine1, type, affine1 : ((cartrealq248798 > $o) > $o)).
thf(clinear1, type, linear1 : ((cartrealq248826 > cartrealq248798) > $o)).
thf(caffine0, type, affine0 : ((cartrealq249092 > $o) > $o)).
thf(caffine, type, affine : ((cartrealq249073 > $o) > $o)).
thf(clinear0, type, linear0 : ((cartrealq249092 > cartrealq249073) > $o)).
thf(caffineuu_dependent0, type, affineu_dependent0 : ((cartrealm > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(ci, type, i : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cvectoruu_norm1, type, vectoru_norm1 : (cartrealq98293 > real)).
thf(cdistance, type, distance : (prodcartrealq98293cartrealq98293 > real)).
thf(csetdist0, type, setdist0 : (prodfuncartrealmboolfuncartrealmbool > real)).
thf(csetdist, type, setdist : (prodfuncartrealnboolfuncartrealnbool > real)).
thf(cdiameter0, type, diameter0 : ((cartrealm > $o) > real)).
thf(cdiameter, type, diameter : ((cartrealn > $o) > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cuniv0, type, univ0 : (n1 > $o)).
thf(cempty, type, empty : (a > $o)).
thf(cvec, type, vec : (num > cartrealq109289)).
thf(cnil0, type, nil0 : listprodcartrealq215480cartrealq215480).
thf(cnil, type, nil : listprodcartrealq215479cartrealq215479).
thf(cvec0, type, vec0 : (num > cartrealq109291)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aAFFINEu_DEPENDENTu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((affineu_dependent @ (image @ F @ S)) <=> (affineu_dependent0 @ S)))).
thf(aAFFINEu_HULLu_LINEARu_IMAGE, axiom, ![F:(cartrealq249092 > cartrealq249073),S:(cartrealq249092 > $o)]:((linear0 @ F) => ((hull @ affine @ (image0 @ F @ S)) = (image0 @ F @ (hull0 @ affine0 @ S))))).
thf(aAFFINEu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealq248826 > cartrealq248798),S:(cartrealq248826 > $o)]:(((linear1 @ F) & ![X:cartrealq248826,Y:cartrealq248826]:(((F @ X) = (F @ Y)) => (X = Y))) => ((affine1 @ (image1 @ F @ S)) <=> (affine2 @ S)))).
thf(aAFFu_DIMu_INJECTIVEu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((affu_dim @ (image @ F @ S)) = (affu_dim0 @ S)))).
thf(aBALLu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),X:cartrealm,R:real]:(((linear @ F) & ![Y:cartrealn]:?[X:cartrealm]:((F @ X) = Y) & ![X:cartrealm]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))) => ((ball @ (c_ @ (F @ X) @ R)) = (image @ F @ (ball0 @ (c_0 @ X @ R)))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealq182206 > cartrealq182178),S:(cartrealq182206 > $o)]:(((linear2 @ F) & ![X:cartrealq182206,Y:cartrealq182206]:(((F @ X) = (F @ Y)) => (X = Y))) => ((bounded @ (image2 @ F @ S)) <=> (bounded0 @ S)))).
thf(aCARDu_EQu_CONG, axiom, ![S:(a > $o),SI_:(b > $o),T:(c > $o),TI_:(d > $o)]:(((a_u_c @ S @ SI_) & (a_u_c0 @ T @ TI_)) => ((a_u_c1 @ S @ T) <=> (a_u_c2 @ SI_ @ TI_)))).
thf(aCARDu_EQu_IMAGEu_monomorphized3, axiom, ![F:(num > num),S:(num > $o)]:(![X:num,Y:num]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) => (a_u_c3 @ (image3 @ F @ S) @ S))).
thf(aCARDu_EQu_IMAGEu_monomorphized2, axiom, ![F:(num > $o),S:(num > $o)]:(![X:num,Y:num]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) <=> (F @ Y))) => (X = Y)) => (a_u_c4 @ (image4 @ F @ S) @ S))).
thf(aCARDu_EQu_IMAGEu_monomorphized1, axiom, ![F:($o > num),S:($o > $o)]:(![X:$o,Y:$o]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X <=> Y)) => (a_u_c5 @ (image5 @ F @ S) @ S))).
thf(aCARDu_EQu_IMAGEu_monomorphized0, axiom, ![F:($o > $o),S:($o > $o)]:(![X:$o,Y:$o]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) <=> (F @ Y))) => (X <=> Y)) => (a_u_c6 @ (image6 @ F @ S) @ S))).
thf(aCARDu_EQu_REFL, axiom, ![S:(a > $o)]:(a_u_c7 @ S @ S)).
thf(aCARDu_IMAGEu_INJu_monomorphized3, axiom, ![F:(num > num),S:(num > $o)]:((![X:num,Y:num]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (finite @ S)) => ((card @ (image3 @ F @ S)) = (card @ S)))).
thf(aCARDu_IMAGEu_INJu_monomorphized2, axiom, ![F:(num > $o),S:(num > $o)]:((![X:num,Y:num]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) <=> (F @ Y))) => (X = Y)) & (finite @ S)) => ((card0 @ (image4 @ F @ S)) = (card @ S)))).
thf(aCARDu_IMAGEu_INJu_monomorphized1, axiom, ![F:($o > num),S:($o > $o)]:((![X:$o,Y:$o]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X <=> Y)) & (finite0 @ S)) => ((card @ (image5 @ F @ S)) = (card0 @ S)))).
thf(aCARDu_IMAGEu_INJu_monomorphized0, axiom, ![F:($o > $o),S:($o > $o)]:((![X:$o,Y:$o]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) <=> (F @ Y))) => (X <=> Y)) & (finite0 @ S)) => ((card0 @ (image6 @ F @ S)) = (card0 @ S)))).
thf(aCARDu_LEu_CONG, axiom, ![S:(a > $o),SI_:(b > $o),T:(c > $o),TI_:(d > $o)]:(((a_u_c @ S @ SI_) & (a_u_c0 @ T @ TI_)) => ((l_a_u_c @ S @ T) <=> (l_a_u_c0 @ SI_ @ TI_)))).
thf(aCARDu_LTu_CONG, axiom, ![S:(a > $o),SI_:(b > $o),T:(c > $o),TI_:(d > $o)]:(((a_u_c @ S @ SI_) & (a_u_c0 @ T @ TI_)) => ((l_u_c @ S @ T) <=> (l_u_c0 @ SI_ @ TI_)))).
thf(aCBALLu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),X:cartrealm,R:real]:(((linear @ F) & ![Y:cartrealn]:?[X:cartrealm]:((F @ X) = Y) & ![X:cartrealm]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))) => ((cball @ (c_ @ (F @ X) @ R)) = (image @ F @ (cball0 @ (c_0 @ X @ R)))))).
thf(aCLOSEDu_INJECTIVEu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((closed @ (image @ F @ S)) <=> (closed0 @ S)))).
thf(aCLOSEDu_INu_INJECTIVEu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((closedu_in @ (subtopology @ euclidean @ (image @ F @ T)) @ (image @ F @ S)) <=> (closedu_in0 @ (subtopology0 @ euclidean0 @ T) @ S)))).
thf(aCLOSEDu_SEGMENTu_LINEARu_IMAGE, axiom, ![F:(cartrealq215480 > cartrealq215479),A:cartrealq215480,B:cartrealq215480]:((linear3 @ F) => ((closedu_segment @ (cons @ (c_1 @ (F @ A) @ (F @ B)) @ nil)) = (image7 @ F @ (closedu_segment0 @ (cons0 @ (c_2 @ A @ B) @ nil0)))))).
thf(aCLOSUREu_INJECTIVEu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((closure @ (image @ F @ S)) = (image @ F @ (closure0 @ S))))).
thf(aCOLLINEARu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealq166059 > cartrealq166031),S:(cartrealq166059 > $o)]:(((linear4 @ F) & ![X:cartrealq166059,Y:cartrealq166059]:(((F @ X) = (F @ Y)) => (X = Y))) => ((collinear @ (image8 @ F @ S)) <=> (collinear0 @ S)))).
thf(aCOMPACTu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealq197883 > cartrealq197855),S:(cartrealq197883 > $o)]:(((linear5 @ F) & ![X:cartrealq197883,Y:cartrealq197883]:(((F @ X) = (F @ Y)) => (X = Y))) => ((compact @ (image9 @ F @ S)) <=> (compact0 @ S)))).
thf(aCOMPLETEu_INJECTIVEu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((complete @ (image @ F @ S)) <=> (complete0 @ S)))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:$o,T2:$o]:(((cond0 @ $true @ T1 @ T2) <=> T1) & ((cond0 @ $false @ T1 @ T2) <=> T2))).
thf(aCONICu_HULLu_LINEARu_IMAGE, axiom, ![F:(cartrealq254976 > cartrealq254957),S:(cartrealq254976 > $o)]:((linear6 @ F) => ((hull1 @ conic @ (image10 @ F @ S)) = (image10 @ F @ (hull2 @ conic0 @ S))))).
thf(aCONICu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealq254721 > cartrealq254693),S:(cartrealq254721 > $o)]:(((linear7 @ F) & ![X:cartrealq254721,Y:cartrealq254721]:(((F @ X) = (F @ Y)) => (X = Y))) => ((conic1 @ (image11 @ F @ S)) <=> (conic2 @ S)))).
thf(aCONNECTEDu_COMPONENTu_LINEARu_IMAGE, axiom, ![F:(cartrealq199207 > cartrealq199157),S:(cartrealq199207 > $o),X:cartrealq199207]:(((linear8 @ F) & ![X:cartrealq199207,Y:cartrealq199207]:(((F @ X) = (F @ Y)) => (X = Y)) & ![Y:cartrealq199157]:?[X:cartrealq199207]:((F @ X) = Y)) => ((connectedu_component @ (image12 @ F @ S) @ (F @ X)) = (image12 @ F @ (connectedu_component0 @ S @ X))))).
thf(aCONNECTEDu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((linear9 @ F) & ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))) => ((connected @ (image13 @ F @ S)) <=> (connected @ S)))).
thf(aCONVEXu_CONNECTEDu_1, axiom, ![S:(cartrealn1 > $o)]:((convex0 @ S) <=> (connected0 @ S))).
thf(aCONVEXu_HULLu_LINEARu_IMAGE, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:((linear9 @ F) => ((hull3 @ convex @ (image13 @ F @ S)) = (image13 @ F @ (hull3 @ convex @ S))))).
thf(aCONVEXu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((linear9 @ F) & ![X:cartrealn,Y:cartrealn]:(((F @ X) = (F @ Y)) => (X = Y))) => ((convex @ (image13 @ F @ S)) <=> (convex @ S)))).
thf(aCOPLANARu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealq256625 > cartrealq256597),S:(cartrealq256625 > $o)]:(((linear10 @ F) & ![X:cartrealq256625,Y:cartrealq256625]:(((F @ X) = (F @ Y)) => (X = Y))) => ((coplanar @ (image14 @ F @ S)) <=> (coplanar0 @ S)))).
thf(aDEPENDENTu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((dependent @ (image @ F @ S)) <=> (dependent0 @ S)))).
thf(aDIAMETERu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))) => ((diameter @ (image @ F @ S)) = (diameter0 @ S)))).
thf(aDIMINDEXu_1, axiom, ((dimindex0 @ univ0) = (numeral @ (bit1 @ u_0)))).
thf(aDIMu_INJECTIVEu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((dim @ (image @ F @ S)) = (dim0 @ S)))).
thf(aDIMu_UNIV, axiom, ((dim @ univ1) = (dimindex @ univ))).
thf(aDISJOINT, axiom, ![S:(a > $o),T:(a > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in1 @ X @ S) <=> (in1 @ X @ T)))).
thf(aFINITEu_IMAGEu_INJu_EQu_monomorphized3, axiom, ![F:(num > num),S:(num > $o)]:(![X:num,Y:num]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) => ((finite @ (image3 @ F @ S)) <=> (finite @ S)))).
thf(aFINITEu_IMAGEu_INJu_EQu_monomorphized2, axiom, ![F:(num > $o),S:(num > $o)]:(![X:num,Y:num]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) <=> (F @ Y))) => (X = Y)) => ((finite0 @ (image4 @ F @ S)) <=> (finite @ S)))).
thf(aFINITEu_IMAGEu_INJu_EQu_monomorphized1, axiom, ![F:($o > num),S:($o > $o)]:(![X:$o,Y:$o]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X <=> Y)) => ((finite @ (image5 @ F @ S)) <=> (finite0 @ S)))).
thf(aFINITEu_IMAGEu_INJu_EQu_monomorphized0, axiom, ![F:($o > $o),S:($o > $o)]:(![X:$o,Y:$o]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) <=> (F @ Y))) => (X <=> Y)) => ((finite0 @ (image6 @ F @ S)) <=> (finite0 @ S)))).
thf(aFRONTIERu_BIJECTIVEu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y)) & ![Y:cartrealn]:?[X:cartrealm]:((F @ X) = Y)) => ((frontier @ (image @ F @ S)) = (image @ F @ (frontier0 @ S))))).
thf(aHASu_SIZE, axiom, ![S:(q52112 > $o),N:num]:((hasu_size @ S @ N) <=> ((finite1 @ S) & ((card1 @ S) = N)))).
thf(aHOMEOMORPHICu_INJECTIVEu_LINEARu_IMAGEu_LEFTu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealq220471 > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((homeomorphic @ (image @ F @ S) @ T) <=> (homeomorphic0 @ S @ T)))).
thf(aHOMEOMORPHICu_INJECTIVEu_LINEARu_IMAGEu_RIGHTu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealq220522 > $o),T:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((homeomorphic1 @ S @ (image @ F @ T)) <=> (homeomorphic2 @ S @ T)))).
thf(aIMAGEu_CLAUSESu_conjunct0, axiom, ![F:(q47225 > q47229)]:((image15 @ F @ empty0) = empty1)).
thf(aIMAGEu_UNIONS, axiom, ![F:(q47872 > q47881),S:((q47872 > $o) > $o)]:((image16 @ F @ (unions @ S)) = (unions0 @ (image17 @ (image16 @ F) @ S)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in1 @ X @ P) <=> (P @ X))).
thf(aINDEPENDENTu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((independent @ (image @ F @ S)) <=> (independent0 @ S)))).
thf(aINFINITE, axiom, ![S:(a > $o)]:((infinite @ S) <=> ~ ((finite2 @ S)))).
thf(aINJECTIVEu_IMAGEu_monomorphized3, axiom, ![F:(num > num)]:(![S:(num > $o),T:(num > $o)]:(((image3 @ F @ S) = (image3 @ F @ T)) => (S = T)) <=> ![X:num,Y:num]:(((F @ X) = (F @ Y)) => (X = Y)))).
thf(aINJECTIVEu_IMAGEu_monomorphized2, axiom, ![F:(num > $o)]:(![S:(num > $o),T:(num > $o)]:(((image4 @ F @ S) = (image4 @ F @ T)) => (S = T)) <=> ![X:num,Y:num]:(((F @ X) <=> (F @ Y)) => (X = Y)))).
thf(aINJECTIVEu_IMAGEu_monomorphized1, axiom, ![F:($o > num)]:(![S:($o > $o),T:($o > $o)]:(((image5 @ F @ S) = (image5 @ F @ T)) => (S = T)) <=> ![X:$o,Y:$o]:(((F @ X) = (F @ Y)) => (X <=> Y)))).
thf(aINJECTIVEu_IMAGEu_monomorphized0, axiom, ![F:($o > $o)]:(![S:($o > $o),T:($o > $o)]:(((image6 @ F @ S) = (image6 @ F @ T)) => (S = T)) <=> ![X:$o,Y:$o]:(((F @ X) <=> (F @ Y)) => (X <=> Y)))).
thf(aINTERIORu_BIJECTIVEu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y)) & ![Y:cartrealn]:?[X:cartrealm]:((F @ X) = Y)) => ((interior @ (image @ F @ S)) = (image @ F @ (interior0 @ S))))).
thf(aINTERSu_IMAGE, axiom, ![F:(q48581 > q48565 > $o),S:(q48581 > $o)]:((inters @ (image18 @ F @ S)) = (gspec @ ^[GENR_PVARR_27:q48565]:?[Y:q48565]:(setspec @ GENR_PVARR_27 @ ![X:q48581]:((in2 @ X @ S) => (in3 @ Y @ (F @ X))) @ Y)))).
thf(aINu_DELETEu_monomorphized1, axiom, ![S:(num > $o),X:num,Y:num]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_DELETEu_monomorphized0, axiom, ![S:($o > $o),X:$o,Y:$o]:((in0 @ X @ (delete0 @ S @ Y)) <=> ((in0 @ X @ S) & ~ ((X <=> Y))))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in1 @ X @ (diff @ S @ T)) <=> ((in1 @ X @ S) & ~ ((in1 @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in4 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGEu_monomorphized1, axiom, ![Y:num,S:(a > $o),F:(a > num)]:((in @ Y @ (image19 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in1 @ X @ S)))).
thf(aINu_IMAGEu_monomorphized0, axiom, ![Y:$o,S:(a > $o),F:(a > $o)]:((in0 @ Y @ (image20 @ F @ S)) <=> ?[X:a]:((Y <=> (F @ X)) & (in1 @ X @ S)))).
thf(aINu_INSERTu_monomorphized1, axiom, ![X:num,Y:num,S:(num > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INSERTu_monomorphized0, axiom, ![X:$o,Y:$o,S:($o > $o)]:((in0 @ X @ (insert0 @ Y @ S)) <=> ((X <=> Y) | (in0 @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in1 @ X @ (inter @ S @ T)) <=> ((in1 @ X @ S) & (in1 @ X @ T)))).
thf(aINu_INTERS, axiom, ![S:((a > $o) > $o),X:a]:((in1 @ X @ (inters0 @ S)) <=> ![T:(a > $o)]:((in5 @ T @ S) => (in1 @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in1 @ X @ (union @ S @ T)) <=> ((in1 @ X @ S) | (in1 @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:n]:(in6 @ X @ univ)).
thf(aISOMETRYu_UNIVu_SUBSPACE, axiom, ![S:(cartrealn > $o)]:(((subspace @ S) & ((dimindex @ univ) = (dim @ S))) => ?[F:(cartrealn > cartrealn)]:((linear9 @ F) & ((image13 @ F @ univ1) = S) & ![X:cartrealn]:((vectoru_norm @ (F @ X)) = (vectoru_norm @ X))))).
thf(aIu_THMu_monomorphized1, axiom, ![X:num]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aLENGTHu_MAP, axiom, ![L:lista,F:(a > b)]:((length @ (map @ F @ L)) = (length0 @ L))).
thf(aLIMPTu_INJECTIVEu_LINEARu_IMAGEu_EQ, axiom, ![X:cartrealm,F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((limitu_pointu_of @ (F @ X) @ (image @ F @ S)) <=> (limitu_pointu_of0 @ X @ S)))).
thf(aLINEARu_0, axiom, ![F:(cartrealq109289 > cartrealq109291)]:((linear11 @ F) => ((F @ (vec @ (numeral @ u_0))) = (vec0 @ (numeral @ u_0))))).
thf(aLINEARu_ADD, axiom, ![F:(cartrealq109378 > cartrealq109379),X:cartrealq109378,Y:cartrealq109378]:((linear12 @ F) => ((F @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y))))).
thf(aLINEARu_CMUL, axiom, ![F:(cartrealq109316 > cartrealq109319),C:real,X:cartrealq109316]:((linear13 @ F) => ((F @ (r_ @ C @ X)) = (r_0 @ C @ (F @ X))))).
thf(aLINEARu_NEG, axiom, ![F:(cartrealq109344 > cartrealq109345),X:cartrealq109344]:((linear14 @ F) => ((F @ (vectoru_neg @ X)) = (vectoru_neg0 @ (F @ X))))).
thf(aLINEARu_SUB, axiom, ![F:(cartrealq109412 > cartrealq109413),X:cartrealq109412,Y:cartrealq109412]:((linear15 @ F) => ((F @ (vectoru_sub @ X @ Y)) = (vectoru_sub0 @ (F @ X) @ (F @ Y))))).
thf(aMAPu_APPEND, axiom, ![F:(a > b),L1:lista,L2:lista]:((map @ F @ (append @ L1 @ L2)) = (append0 @ (map @ F @ L1) @ (map @ F @ L2)))).
thf(aMAPu_REVERSE, axiom, ![F:(q20796 > q20794),L:listq20796]:((reverse @ (map0 @ F @ L)) = (map0 @ F @ (reverse0 @ L)))).
thf(aMAPu_conjunct0, axiom, ![F:(a > b)]:((map @ F @ nil1) = nil2)).
thf(aMAPu_conjunct1, axiom, ![F:(a > b),H:a,T:lista]:((map @ F @ (cons1 @ H @ T)) = (cons2 @ (F @ H) @ (map @ F @ T)))).
thf(aMEMu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),X:cartrealm,L:listcartrealm]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((mem @ (F @ X) @ (map1 @ F @ L)) <=> (mem0 @ X @ L)))).
thf(aMIDPOINTu_LINEARu_IMAGE, axiom, ![F:(cartrealq139341 > cartrealq139327),A:cartrealq139341,B:cartrealq139341]:((linear16 @ F) => ((midpoint @ (c_3 @ (F @ A) @ (F @ B))) = (F @ (midpoint0 @ (c_4 @ A @ B)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in1 @ X @ empty))).
thf(aOPENu_BIJECTIVEu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y)) & ![Y:cartrealn]:?[X:cartrealm]:((F @ X) = Y)) => ((open @ (image @ F @ S)) <=> (open0 @ S)))).
thf(aOPENu_INu_INJECTIVEu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((openu_in @ (subtopology @ euclidean @ (image @ F @ T)) @ (image @ F @ S)) <=> (openu_in0 @ (subtopology0 @ euclidean0 @ T) @ S)))).
thf(aOPENu_SEGMENTu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),A:cartrealm,B:cartrealm]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((openu_segment @ (c_5 @ (F @ A) @ (F @ B))) = (image @ F @ (openu_segment0 @ (c_6 @ A @ B)))))).
thf(aORTHOGONALu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealm > cartrealn),X:cartrealm,Y:cartrealm]:(((linear @ F) & ![X:cartrealm]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))) => ((orthogonal @ (F @ X) @ (F @ Y)) <=> (orthogonal0 @ X @ Y)))).
thf(aPRESERVESu_NORMu_INJECTIVE, axiom, ![F:(cartrealm > cartrealn)]:(((linear @ F) & ![X:cartrealm]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))) => ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y)))).
thf(aPRESERVESu_NORMu_PRESERVESu_DOT, axiom, ![F:(cartrealm > cartrealn),X:cartrealm,Y:cartrealm]:(((linear @ F) & ![X:cartrealm]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))) => ((dot @ (F @ X) @ (F @ Y)) = (dot0 @ X @ Y)))).
thf(aPSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((psubset @ S @ T) <=> ((subset @ S @ T) & ~ ((S = T))))).
thf(aQUANTIFYu_SURJECTIONu_HIGHERu_THMu_monomorphized1, axiom, ![F:(a > num)]:(![Y:num]:?[X:a]:((F @ X) = Y) => (![P:(num > $o)]:(![X:num]:(P @ X) <=> ![X:a]:(P @ (F @ X))) & ![P:(num > $o)]:(?[X:num]:(P @ X) <=> ?[X:a]:(P @ (F @ X))) & ![Q:((num > $o) > $o)]:(![S:(num > $o)]:(Q @ S) <=> ![S:(a > $o)]:(Q @ (image19 @ F @ S))) & ![Q:((num > $o) > $o)]:(?[S:(num > $o)]:(Q @ S) <=> ?[S:(a > $o)]:(Q @ (image19 @ F @ S))) & ![Q:(((num > $o) > $o) > $o)]:(![S:((num > $o) > $o)]:(Q @ S) <=> ![S:((a > $o) > $o)]:(Q @ (image21 @ (image19 @ F) @ S))) & ![Q:(((num > $o) > $o) > $o)]:(?[S:((num > $o) > $o)]:(Q @ S) <=> ?[S:((a > $o) > $o)]:(Q @ (image21 @ (image19 @ F) @ S))) & ![P:((cartrealn1 > num) > $o)]:(![G:(cartrealn1 > num)]:(P @ G) <=> ![G:(cartrealn1 > a)]:(P @ (o @ F @ G))) & ![P:((cartrealn1 > num) > $o)]:(?[G:(cartrealn1 > num)]:(P @ G) <=> ?[G:(cartrealn1 > a)]:(P @ (o @ F @ G))) & ![P:((num > num) > $o)]:(![G:(num > num)]:(P @ G) <=> ![G:(num > a)]:(P @ (o0 @ F @ G))) & ![P:((num > num) > $o)]:(?[G:(num > num)]:(P @ G) <=> ?[G:(num > a)]:(P @ (o0 @ F @ G))) & ![Q:(listnum > $o)]:(![L:listnum]:(Q @ L) <=> ![L:lista]:(Q @ (map2 @ F @ L))) & ![Q:(listnum > $o)]:(?[L:listnum]:(Q @ L) <=> ?[L:lista]:(Q @ (map2 @ F @ L))) & ![P:(num > $o)]:((gspec1 @ ^[GENR_PVARR_353:num]:?[X:num]:(setspec1 @ GENR_PVARR_353 @ (P @ X) @ X)) = (image19 @ F @ (gspec2 @ ^[GENR_PVARR_354:a]:?[X:a]:(setspec2 @ GENR_PVARR_354 @ (P @ (F @ X)) @ X)))) & ![Q:((num > $o) > $o)]:((gspec3 @ ^[GENR_PVARR_355:(num > $o)]:?[S:(num > $o)]:(setspec3 @ GENR_PVARR_355 @ (Q @ S) @ S)) = (image21 @ (image19 @ F) @ (gspec4 @ ^[GENR_PVARR_356:(a > $o)]:?[S:(a > $o)]:(setspec4 @ GENR_PVARR_356 @ (Q @ (image19 @ F @ S)) @ S)))) & ![R:(listnum > $o)]:((gspec5 @ ^[GENR_PVARR_357:listnum]:?[L:listnum]:(setspec5 @ GENR_PVARR_357 @ (R @ L) @ L)) = (image22 @ (map2 @ F) @ (gspec6 @ ^[GENR_PVARR_358:lista]:?[L:lista]:(setspec6 @ GENR_PVARR_358 @ (R @ (map2 @ F @ L)) @ L))))))).
thf(aQUANTIFYu_SURJECTIONu_HIGHERu_THMu_monomorphized0, axiom, ![F:(a > $o)]:(![Y:$o]:?[X:a]:((F @ X) <=> Y) => (![P:($o > $o)]:(![X:$o]:(P @ X) <=> ![X:a]:(P @ (F @ X))) & ![P:($o > $o)]:(?[X:$o]:(P @ X) <=> ?[X:a]:(P @ (F @ X))) & ![Q:(($o > $o) > $o)]:(![S:($o > $o)]:(Q @ S) <=> ![S:(a > $o)]:(Q @ (image20 @ F @ S))) & ![Q:(($o > $o) > $o)]:(?[S:($o > $o)]:(Q @ S) <=> ?[S:(a > $o)]:(Q @ (image20 @ F @ S))) & ![Q:((($o > $o) > $o) > $o)]:(![S:(($o > $o) > $o)]:(Q @ S) <=> ![S:((a > $o) > $o)]:(Q @ (image23 @ (image20 @ F) @ S))) & ![Q:((($o > $o) > $o) > $o)]:(?[S:(($o > $o) > $o)]:(Q @ S) <=> ?[S:((a > $o) > $o)]:(Q @ (image23 @ (image20 @ F) @ S))) & ![P:((cartrealn1 > $o) > $o)]:(![G:(cartrealn1 > $o)]:(P @ G) <=> ![G:(cartrealn1 > a)]:(P @ (o1 @ F @ G))) & ![P:((cartrealn1 > $o) > $o)]:(?[G:(cartrealn1 > $o)]:(P @ G) <=> ?[G:(cartrealn1 > a)]:(P @ (o1 @ F @ G))) & ![P:((num > $o) > $o)]:(![G:(num > $o)]:(P @ G) <=> ![G:(num > a)]:(P @ (o2 @ F @ G))) & ![P:((num > $o) > $o)]:(?[G:(num > $o)]:(P @ G) <=> ?[G:(num > a)]:(P @ (o2 @ F @ G))) & ![Q:(listbool > $o)]:(![L:listbool]:(Q @ L) <=> ![L:lista]:(Q @ (map3 @ F @ L))) & ![Q:(listbool > $o)]:(?[L:listbool]:(Q @ L) <=> ?[L:lista]:(Q @ (map3 @ F @ L))) & ![P:($o > $o)]:((gspec7 @ ^[GENR_PVARR_353:$o]:?[X:$o]:(setspec7 @ GENR_PVARR_353 @ (P @ X) @ X)) = (image20 @ F @ (gspec2 @ ^[GENR_PVARR_354:a]:?[X:a]:(setspec2 @ GENR_PVARR_354 @ (P @ (F @ X)) @ X)))) & ![Q:(($o > $o) > $o)]:((gspec8 @ ^[GENR_PVARR_355:($o > $o)]:?[S:($o > $o)]:(setspec8 @ GENR_PVARR_355 @ (Q @ S) @ S)) = (image23 @ (image20 @ F) @ (gspec4 @ ^[GENR_PVARR_356:(a > $o)]:?[S:(a > $o)]:(setspec4 @ GENR_PVARR_356 @ (Q @ (image20 @ F @ S)) @ S)))) & ![R:(listbool > $o)]:((gspec9 @ ^[GENR_PVARR_357:listbool]:?[L:listbool]:(setspec9 @ GENR_PVARR_357 @ (R @ L) @ L)) = (image24 @ (map3 @ F) @ (gspec6 @ ^[GENR_PVARR_358:lista]:?[L:lista]:(setspec6 @ GENR_PVARR_358 @ (R @ (map3 @ F @ L)) @ L))))))).
thf(aSETDISTu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))) => ((setdist @ (c_7 @ (image @ F @ S) @ (image @ F @ T))) = (setdist0 @ (c_8 @ S @ T))))).
thf(aSPANu_LINEARu_IMAGE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => ((span @ (image @ F @ S)) = (image @ F @ (span0 @ S))))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aSUBSPACEu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealq140001 > cartrealq139973),S:(cartrealq140001 > $o)]:(((linear17 @ F) & ![X:cartrealq140001,Y:cartrealq140001]:(((F @ X) = (F @ Y)) => (X = Y))) => ((subspace0 @ (image25 @ F @ S)) <=> (subspace1 @ S)))).
thf(aSUBSPACEu_UNIV, axiom, (subspace @ univ1)).
thf(aSURJECTIVEu_IMAGEu_monomorphized1, axiom, ![F:(a > num)]:(![T:(num > $o)]:?[S:(a > $o)]:((image19 @ F @ S) = T) <=> ![Y:num]:?[X:a]:((F @ X) = Y))).
thf(aSURJECTIVEu_IMAGEu_monomorphized0, axiom, ![F:(a > $o)]:(![T:($o > $o)]:?[S:(a > $o)]:((image20 @ F @ S) = T) <=> ![Y:$o]:?[X:a]:((F @ X) <=> Y))).
thf(aTRUTH, axiom, $true).
thf(adist, axiom, ![X:cartrealq98293,Y:cartrealq98293]:((distance @ (c_9 @ X @ Y)) = (vectoru_norm1 @ (vectoru_sub1 @ X @ Y)))).
thf(ageu_c, axiom, ![T:(q59279 > $o),S:(q59280 > $o)]:((g_a_u_c @ S @ T) <=> (l_a_u_c1 @ T @ S))).
thf(agtu_c, axiom, ![T:(q59288 > $o),S:(q59289 > $o)]:((g_u_c @ S @ T) <=> (l_u_c1 @ T @ S))).
thf(aou_THMu_monomorphized1, axiom, ![F:(b > num),G:(a > b),X:a]:((o3 @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(b > $o),G:(a > b),X:a]:((o4 @ F @ G @ X) <=> (F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((dimindex @ univ) = (numeral @ (bit1 @ u_0))) => ((convex @ S) <=> (connected @ S)))).
