%   ORIGINAL: IN_EPIGRAPH
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FSTCART_PASTECART: !x y. fstcart (pastecart x y) = x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: SNDCART_PASTECART: !x y. sndcart (pastecart x y) = y
% Assm: TRUTH: T
% Assm: epigraph: !s f. epigraph s f = {xy | fstcart xy IN s /\ f (fstcart xy) <= drop (sndcart xy)}
% Goal: !x y. pastecart x (lift y) IN epigraph s f <=> x IN s /\ f x <= y
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. fstcart (pastecart x y) = x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. drop (lift x) = x
% Assm: !x y. sndcart (pastecart x y) = y
% Assm: T
% Assm: !s f. epigraph s f = {xy | fstcart xy IN s /\ f (fstcart xy) <= drop (sndcart xy)}
% Goal: !f s x y. pastecart x (lift y) IN epigraph s f <=> x IN s /\ f x <= y
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq285335, type, q285335 : $tType).
thf(ta, type, a : $tType).
thf(tfiniteu_sumq285335n1, type, finite_sumq285335n1 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealfiniteu_sumq285335n1, type, cartrealfinite_sumq285335n1 : $tType).
thf(tcartrealq285335, type, cartrealq285335 : $tType).
%  CONSTS
thf(cfstcart, type, fstcart : (cartrealfinite_sumq285335n1 > cartrealq285335)).
thf(csndcart, type, sndcart : (cartrealfinite_sumq285335n1 > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cgspec0, type, gspec0 : ((cartrealq285335 > $o) > cartrealq285335 > $o)).
thf(cgspec, type, gspec : ((cartrealfinite_sumq285335n1 > $o) > cartrealfinite_sumq285335n1 > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin0, type, in0 : (cartrealq285335 > (cartrealq285335 > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cin, type, in : (cartrealfinite_sumq285335n1 > (cartrealfinite_sumq285335n1 > $o) > $o)).
thf(csetspec0, type, setspec0 : (cartrealq285335 > $o > cartrealq285335 > $o)).
thf(csetspec, type, setspec : (cartrealfinite_sumq285335n1 > $o > cartrealfinite_sumq285335n1 > $o)).
thf(cepigraph, type, epigraph : ((cartrealq285335 > $o) > (cartrealq285335 > real) > cartrealfinite_sumq285335n1 > $o)).
thf(cpastecart, type, pastecart : (cartrealq285335 > cartrealn1 > cartrealfinite_sumq285335n1)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFSTCARTu_PASTECART, axiom, ![X:cartrealq285335,Y:cartrealn1]:((fstcart @ (pastecart @ X @ Y)) = X)).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized1, axiom, ![P:(cartrealfinite_sumq285335n1 > $o),X:cartrealfinite_sumq285335n1]:((in @ X @ (gspec @ ^[V:cartrealfinite_sumq285335n1]:?[Y:cartrealfinite_sumq285335n1]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized0, axiom, ![P:(cartrealq285335 > $o),X:cartrealq285335]:((in0 @ X @ (gspec0 @ ^[V:cartrealq285335]:?[Y:cartrealq285335]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aSNDCARTu_PASTECART, axiom, ![X:cartrealq285335,Y:cartrealn1]:((sndcart @ (pastecart @ X @ Y)) = Y)).
thf(aTRUTH, axiom, $true).
thf(aepigraph, axiom, ![S:(cartrealq285335 > $o),F:(cartrealq285335 > real)]:((epigraph @ S @ F) = (gspec @ ^[GENR_PVARR_1023:cartrealfinite_sumq285335n1]:?[XY:cartrealfinite_sumq285335n1]:(setspec @ GENR_PVARR_1023 @ ((in0 @ (fstcart @ XY) @ S) & (realu_le @ (F @ (fstcart @ XY)) @ (drop @ (sndcart @ XY)))) @ XY)))).
thf(conjecture, conjecture, ![F:(cartrealq285335 > real),S:(cartrealq285335 > $o),X:cartrealq285335,Y:real]:((in @ (pastecart @ X @ (lift @ Y)) @ (epigraph @ S @ F)) <=> ((in0 @ X @ S) & (realu_le @ (F @ X) @ Y)))).
