%   ORIGINAL: PATH_LINEAR_IMAGE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_ON_COMPOSE: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: LINEAR_CONTINUOUS_ON: !f s. linear f ==> f continuous_on s
% Assm: LINEAR_INJECTIVE_LEFT_INVERSE: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (?g. linear g /\ g o f = I)
% Assm: TRUTH: T
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Assm: path: !g. path g <=> g continuous_on interval [vec 0,vec 1]
% Goal: !f g. linear f /\ (!x y. f x = f y ==> x = y) ==> (path (f o g) <=> path g)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: !f. I o f = f /\ f o I = f
% Assm: !f s. linear f ==> f continuous_on s
% Assm: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (?g. linear g /\ g o f = I)
% Assm: T
% Assm: !f g h. f o g o h = (f o g) o h
% Assm: !g. path g <=> g continuous_on interval [vec 0,vec 1]
% Assm: !g. path g <=> g continuous_on interval [vec 0,vec 1]
% Goal: !f g. linear f /\ (!x y. f x = f y ==> x = y) ==> (path (f o g) <=> path g)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cvec, type, vec : (num > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(ccontinuousuu_on1, type, continuousu_on1 : ((cartrealn1 > cartrealn) > (cartrealn1 > $o) > $o)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn1 > cartrealm) > (cartrealn1 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(co4, type, o4 : ((cartrealm > cartrealn) > (cartrealm > cartrealm) > cartrealm > cartrealn)).
thf(co3, type, o3 : ((cartrealm > cartrealm) > (cartrealn1 > cartrealm) > cartrealn1 > cartrealm)).
thf(co2, type, o2 : ((cartrealn > cartrealm) > (cartrealm > cartrealn) > cartrealm > cartrealm)).
thf(co1, type, o1 : ((a > b) > (a > a) > a > b)).
thf(co0, type, o0 : ((b > b) > (a > b) > a > b)).
thf(cimage, type, image : ((cartrealn1 > cartrealm) > (cartrealn1 > $o) > cartrealm > $o)).
thf(co, type, o : ((cartrealm > cartrealn) > (cartrealn1 > cartrealm) > cartrealn1 > cartrealn)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealm) > $o)).
thf(cpath0, type, path0 : ((cartrealn1 > cartrealm) > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci1, type, i1 : (cartrealm > cartrealm)).
thf(cuu_0, type, u_0 : num).
thf(ci0, type, i0 : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(ci, type, i : (b > b)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ONu_COMPOSE, axiom, ![F:(cartrealn1 > cartrealm),G:(cartrealm > cartrealn),S:(cartrealn1 > $o)]:(((continuousu_on @ F @ S) & (continuousu_on0 @ G @ (image @ F @ S))) => (continuousu_on1 @ (o @ G @ F) @ S))).
thf(aIu_Ou_ID, axiom, ![F:(a > b)]:(((o0 @ i @ F) = F) & ((o1 @ F @ i0) = F))).
thf(aLINEARu_CONTINUOUSu_ON, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => (continuousu_on0 @ F @ S))).
thf(aLINEARu_INJECTIVEu_LEFTu_INVERSE, axiom, ![F:(cartrealm > cartrealn)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ?[G:(cartrealn > cartrealm)]:((linear0 @ G) & ((o2 @ G @ F) = i1)))).
thf(aTRUTH, axiom, $true).
thf(aou_ASSOC, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealm),H:(cartrealn1 > cartrealm)]:((o @ F @ (o3 @ G @ H)) = (o @ (o4 @ F @ G) @ H))).
thf(apathu_monomorphized1, axiom, ![G:(cartrealn1 > cartrealn)]:((path @ G) <=> (continuousu_on1 @ G @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))))).
thf(apathu_monomorphized0, axiom, ![G:(cartrealn1 > cartrealm)]:((path0 @ G) <=> (continuousu_on @ G @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealn1 > cartrealm)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((path @ (o @ F @ G)) <=> (path0 @ G)))).
