%   ORIGINAL: PATHSTART_TRANSLATION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: pathstart: !g. pathstart g = g (vec 0)
% Goal: !a g. pathstart ((\x. a + x) o g) = a + pathstart g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !g. pathstart g = g (vec 0)
% Goal: !a g. pathstart ((\x. a + x) o g) = a + pathstart g
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq300359, type, cartrealq300359 : $tType).
thf(tq300359, type, q300359 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealn1)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq300359 > cartrealq300359 > cartrealq300359)).
thf(co, type, o : ((cartrealq300359 > cartrealq300359) > (cartrealn1 > cartrealq300359) > cartrealn1 > cartrealq300359)).
thf(cuu_0, type, u_0 : num).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealq300359) > cartrealq300359)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq300359),G:(a > cartrealq300359)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(cartrealq300359 > cartrealq300359),G:(cartrealn1 > cartrealq300359),X:cartrealn1]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(apathstart, axiom, ![G:(cartrealn1 > cartrealq300359)]:((pathstart @ G) = (G @ (vec @ (numeral @ u_0))))).
thf(conjecture, conjecture, ![A:cartrealq300359,G:(cartrealn1 > cartrealq300359)]:((pathstart @ (o @ ^[X:cartrealq300359]:(vectoru_add @ A @ X) @ G)) = (vectoru_add @ A @ (pathstart @ G)))).
