%   ORIGINAL: SUBPATH_TRANSLATION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: subpath: !g v u. subpath u v g = (\x. g (u + drop (v - u) % x))
% Goal: !a g u v. subpath u v ((\x. a + x) o g) = (\x. a + x) o subpath u v g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !g v u. subpath u v g = (\x. g (u + drop (v - u) % x))
% Goal: !a g u v. subpath u v ((\x. a + x) o g) = (\x. a + x) o subpath u v g
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(co, type, o : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(csubpath, type, subpath : (cartrealn1 > cartrealn1 > (cartrealn1 > real) > cartrealn1 > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn1 > real),G:(a > cartrealn1 > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn1 > real),G:(cartrealn1 > real)]:((F = G) <=> ![X:cartrealn1]:((F @ X) = (G @ X)))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(real > real),G:(cartrealn1 > real),X:cartrealn1]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(asubpath, axiom, ![G:(cartrealn1 > real),V:cartrealn1,U:cartrealn1]:((subpath @ U @ V @ G) = ^[X:cartrealn1]:(G @ (vectoru_add @ U @ (r_ @ (drop @ (vectoru_sub @ V @ U)) @ X))))).
thf(conjecture, conjecture, ![A:real,G:(cartrealn1 > real),U:cartrealn1,V:cartrealn1]:((subpath @ U @ V @ (o @ ^[X:real]:(realu_add @ A @ X) @ G)) = (o @ ^[X:real]:(realu_add @ A @ X) @ (subpath @ U @ V @ G)))).
