%   ORIGINAL: EXISTS_SUBPATH_OF_ARC_NOENDS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ARC_IMP_PATH: !g. arc g ==> path g
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: CONVEX_INTERVAL: !a b. convex (interval [a,b]) /\ convex (interval (a,b))
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: DROP_EQ: !x y. drop x = drop y <=> x = y
% Assm: DROP_VEC: !n. drop (vec n) = &n
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT_SUBSET: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_INTERVAL_1: !a b x. (x IN interval [a,b] <=> drop a <= drop x /\ drop x <= drop b) /\ (x IN interval (a,b) <=> drop a < drop x /\ drop x < drop b)
% Assm: I_THM: !x. I x = x
% Assm: LE_0: !n. 0 <= n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: ONE: 1 = SUC 0
% Assm: PATHFINISH_SUBPATH: !u v g. pathfinish (subpath u v g) = g v
% Assm: PATHSTART_SUBPATH: !u v g. pathstart (subpath u v g) = g u
% Assm: PATH_IMAGE_SUBPATH_GEN: !u v g. path_image (subpath u v g) = IMAGE g (segment [u,v])
% Assm: PATH_SUBPATH: !u v g. path g /\ u IN interval [vec 0,vec 1] /\ v IN interval [vec 0,vec 1] ==> path (subpath u v g)
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_POS: !n. &0 <= &n
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SEGMENT_1_conjunct0: !a b. segment [a,b] = (if drop a <= drop b then interval [a,b] else interval [b,a])
% Assm: SEGMENT_CONVEX_HULL: !a b. segment [a,b] = convex hull {a, b}
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_HULL: !P s t. P t ==> (P hull s SUBSET t <=> s SUBSET t)
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: arc: !g. arc g <=> path g /\ (!x y. x IN interval [vec 0,vec 1] /\ y IN interval [vec 0,vec 1] /\ g x = g y ==> x = y)
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: path_image: !g. path_image g = IMAGE g (interval [vec 0,vec 1])
% Assm: pathfinish: !g. pathfinish g = g (vec 1)
% Assm: pathstart: !g. pathstart g = g (vec 0)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Goal: !g a b. arc g /\ a IN path_image g /\ b IN path_image g /\ {a, b} INTER {pathstart g, pathfinish g} = {} ==> (?h. path h /\ pathstart h = a /\ pathfinish h = b /\ path_image h SUBSET path_image g DIFF {pathstart g, pathfinish g})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !g. arc g ==> path g
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: BIT0 _0 = _0
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !a b. convex (interval [a,b]) /\ convex (interval (a,b))
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !x y. drop x = drop y <=> x = y
% Assm: !n. drop (vec n) = &n
% Assm: !s. {} SUBSET s
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P x. x IN P <=> P x
% Assm: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !a b x. (x IN interval [a,b] <=> drop a <= drop x /\ drop x <= drop b) /\ (x IN interval (a,b) <=> drop a < drop x /\ drop x < drop b)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !n. 0 <= n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !m. m * 0 = 0
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: 1 = SUC 0
% Assm: !u v g. pathfinish (subpath u v g) = g v
% Assm: !u v g. pathstart (subpath u v g) = g u
% Assm: !u v g. path_image (subpath u v g) = IMAGE g (segment [u,v])
% Assm: !u v g. path g /\ u IN interval [vec 0,vec 1] /\ v IN interval [vec 0,vec 1] ==> path (subpath u v g)
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x. x <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !n. &0 <= &n
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: !x. x * &0 = &0
% Assm: !a b. segment [a,b] = (if drop a <= drop b then interval [a,b] else interval [b,a])
% Assm: !a b. segment [a,b] = convex hull {a, b}
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !P s t. P t ==> (P hull s SUBSET t <=> s SUBSET t)
% Assm: T
% Assm: 2 = SUC 1
% Assm: !g. arc g <=> path g /\ (!x y. x IN interval [vec 0,vec 1] /\ y IN interval [vec 0,vec 1] /\ g x = g y ==> x = y)
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !g. path_image g = IMAGE g (interval [vec 0,vec 1])
% Assm: !g. pathfinish g = g (vec 1)
% Assm: !g. pathstart g = g (vec 0)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Goal: !g a b. arc g /\ a IN path_image g /\ b IN path_image g /\ {a, b} INTER {pathstart g, pathfinish g} = {} ==> (?h. path h /\ pathstart h = a /\ pathfinish h = b /\ path_image h SUBSET path_image g DIFF {pathstart g, pathfinish g})
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listprodcartrealn1cartrealn1).
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(ccloseduu_segment0, type, closedu_segment0 : (listprodcartrealncartrealn > cartrealn > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(copenuu_interval0, type, openu_interval0 : (prodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_interval0, type, closedu_interval0 : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin0, type, in0 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(copenuu_interval, type, openu_interval : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccond0, type, cond0 : ($o > (cartrealn1 > $o) > (cartrealn1 > $o) > cartrealn1 > $o)).
thf(cimage0, type, image0 : ((cartrealn1 > cartrealn) > (cartrealn1 > $o) > cartrealn > $o)).
thf(csubpath, type, subpath : (cartrealn1 > cartrealn1 > (cartrealn1 > cartrealn) > cartrealn1 > cartrealn)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons0, type, cons0 : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(carc, type, arc : ((cartrealn1 > cartrealn) > $o)).
thf(ci0, type, i0 : (cartrealn > cartrealn)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aARCu_IMPu_PATH, axiom, ![G:(cartrealn1 > cartrealn)]:((arc @ G) => (path @ G))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCONVEXu_INTERVAL, axiom, ![A:cartrealn,B:cartrealn]:((convex @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (convex @ (openu_interval @ (c_ @ A @ B))))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDROPu_EQ, axiom, ![X:cartrealn1,Y:cartrealn1]:(((drop @ X) = (drop @ Y)) <=> (X = Y))).
thf(aDROPu_VEC, axiom, ![N:num]:((drop @ (vec @ N)) = (realu_ofu_num @ N))).
thf(aEMPTYu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ empty @ S)).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(![Y:cartrealn]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealn]:((in @ X @ S) => (P @ (F @ X))))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINSERTu_SUBSET, axiom, ![X:cartrealn,S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ (insert @ X @ S) @ T) <=> ((in @ X @ T) & (subset @ S @ T)))).
thf(aINu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealn > $o),F:(cartrealn > cartrealn)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealn]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_INTERVALu_1, axiom, ![A:cartrealn1,B:cartrealn1,X:cartrealn1]:(((in0 @ X @ (closedu_interval0 @ (cons0 @ (c_0 @ A @ B) @ nil0))) <=> ((realu_le @ (drop @ A) @ (drop @ X)) & (realu_le @ (drop @ X) @ (drop @ B)))) & ((in0 @ X @ (openu_interval0 @ (c_0 @ A @ B))) <=> ((realu_lt @ (drop @ A) @ (drop @ X)) & (realu_lt @ (drop @ X) @ (drop @ B)))))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealn]:((i0 @ X) = X)).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aPATHFINISHu_SUBPATH, axiom, ![U:cartrealn1,V:cartrealn1,G:(cartrealn1 > cartrealn)]:((pathfinish @ (subpath @ U @ V @ G)) = (G @ V))).
thf(aPATHSTARTu_SUBPATH, axiom, ![U:cartrealn1,V:cartrealn1,G:(cartrealn1 > cartrealn)]:((pathstart @ (subpath @ U @ V @ G)) = (G @ U))).
thf(aPATHu_IMAGEu_SUBPATHu_GEN, axiom, ![U:cartrealn1,V:cartrealn1,G:(cartrealn1 > cartrealn)]:((pathu_image @ (subpath @ U @ V @ G)) = (image0 @ G @ (closedu_segment @ (cons0 @ (c_0 @ U @ V) @ nil0))))).
thf(aPATHu_SUBPATH, axiom, ![U:cartrealn1,V:cartrealn1,G:(cartrealn1 > cartrealn)]:(((path @ G) & (in0 @ U @ (closedu_interval0 @ (cons0 @ (c_0 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil0))) & (in0 @ V @ (closedu_interval0 @ (cons0 @ (c_0 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil0)))) => (path @ (subpath @ U @ V @ G)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSEGMENTu_1u_conjunct0, axiom, ![A:cartrealn1,B:cartrealn1]:((closedu_segment @ (cons0 @ (c_0 @ A @ B) @ nil0)) = (cond0 @ (realu_le @ (drop @ A) @ (drop @ B)) @ (closedu_interval0 @ (cons0 @ (c_0 @ A @ B) @ nil0)) @ (closedu_interval0 @ (cons0 @ (c_0 @ B @ A) @ nil0))))).
thf(aSEGMENTu_CONVEXu_HULL, axiom, ![A:cartrealn,B:cartrealn]:((closedu_segment0 @ (cons @ (c_ @ A @ B) @ nil)) = (hull @ convex @ (insert @ A @ (insert @ B @ empty))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_HULL, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:((P @ T) => ((subset @ (hull @ P @ S) @ T) <=> (subset @ S @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aarc, axiom, ![G:(cartrealn1 > cartrealn)]:((arc @ G) <=> ((path @ G) & ![X:cartrealn1,Y:cartrealn1]:(((in0 @ X @ (closedu_interval0 @ (cons0 @ (c_0 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil0))) & (in0 @ Y @ (closedu_interval0 @ (cons0 @ (c_0 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil0))) & ((G @ X) = (G @ Y))) => (X = Y))))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(apathu_image, axiom, ![G:(cartrealn1 > cartrealn)]:((pathu_image @ G) = (image0 @ G @ (closedu_interval0 @ (cons0 @ (c_0 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil0))))).
thf(apathfinish, axiom, ![G:(cartrealn1 > cartrealn)]:((pathfinish @ G) = (G @ (vec @ (numeral @ (bit1 @ u_0)))))).
thf(apathstart, axiom, ![G:(cartrealn1 > cartrealn)]:((pathstart @ G) = (G @ (vec @ (numeral @ u_0))))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(conjecture, conjecture, ![G:(cartrealn1 > cartrealn),A:cartrealn,B:cartrealn]:(((arc @ G) & (in @ A @ (pathu_image @ G)) & (in @ B @ (pathu_image @ G)) & ((inter @ (insert @ A @ (insert @ B @ empty)) @ (insert @ (pathstart @ G) @ (insert @ (pathfinish @ G) @ empty))) = empty)) => ?[H:(cartrealn1 > cartrealn)]:((path @ H) & ((pathstart @ H) = A) & ((pathfinish @ H) = B) & (subset @ (pathu_image @ H) @ (diff @ (pathu_image @ G) @ (insert @ (pathstart @ G) @ (insert @ (pathfinish @ G) @ empty))))))).
