%   ORIGINAL: OPEN_NON_PATH_COMPONENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BALL_EQ_EMPTY: !x e. ball (x,e) = {} <=> e <= &0
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CENTRE_IN_BALL: !x e. x IN ball (x,e) <=> &0 < e
% Assm: CONVEX_BALL: !x e. convex (ball (x,e))
% Assm: CONVEX_IMP_PATH_CONNECTED: !s. convex s ==> path_connected s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: OPEN_NON_GENERAL_COMPONENT: !c. (!s x y. c s x y ==> x IN s /\ y IN s) /\ (!s x y. c s x y ==> c s y x) /\ (!s x y z. c s x y /\ c s y z ==> c s x z) /\ (!s t x y. s SUBSET t /\ c s x y ==> c t x y) /\ (!s x y e. y IN ball (x,e) /\ ball (x,e) SUBSET s ==> c (ball (x,e)) x y) ==> (!s x. open s ==> open (s DIFF c s x))
% Assm: PATH_COMPONENT_IN: !s x y. path_component s x y ==> x IN s /\ y IN s
% Assm: PATH_COMPONENT_OF_SUBSET: !s t x y. s SUBSET t /\ path_component s x y ==> path_component t x y
% Assm: PATH_COMPONENT_SYM: !s x y. path_component s x y ==> path_component s y x
% Assm: PATH_COMPONENT_TRANS: !s x y. path_component s x y /\ path_component s y z ==> path_component s x z
% Assm: PATH_CONNECTED_IFF_PATH_COMPONENT: !s. path_connected s <=> (!x y. x IN s /\ y IN s ==> path_component s x y)
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: TRUTH: T
% Goal: !s x. open s ==> open (s DIFF path_component s x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !x e. ball (x,e) = {} <=> e <= &0
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. x IN ball (x,e) <=> &0 < e
% Assm: !x e. convex (ball (x,e))
% Assm: !s. convex s ==> path_connected s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !c. (!s x y. c s x y ==> x IN s /\ y IN s) /\ (!s x y. c s x y ==> c s y x) /\ (!s x y z. c s x y /\ c s y z ==> c s x z) /\ (!s t x y. s SUBSET t /\ c s x y ==> c t x y) /\ (!s x y e. y IN ball (x,e) /\ ball (x,e) SUBSET s ==> c (ball (x,e)) x y) ==> (!s x. open s ==> open (s DIFF c s x))
% Assm: !s x y. path_component s x y ==> x IN s /\ y IN s
% Assm: !s t x y. s SUBSET t /\ path_component s x y ==> path_component t x y
% Assm: !s x y. path_component s x y ==> path_component s y x
% Assm: !z s x y. path_component s x y /\ path_component s y z ==> path_component s x z
% Assm: !s. path_connected s <=> (!x y. x IN s /\ y IN s ==> path_component s x y)
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: T
% Goal: !s x. open s ==> open (s DIFF path_component s x)
%  TYPES
thf(tq169309, type, q169309 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(tprodcartrealq169309real, type, prodcartrealq169309real : $tType).
thf(tcartrealq169309, type, cartrealq169309 : $tType).
thf(tprodcartrealq169410real, type, prodcartrealq169410real : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq169410, type, cartrealq169410 : $tType).
thf(tq169410, type, q169410 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin1, type, in1 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cball1, type, ball1 : (prodcartrealnreal > cartrealn > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cball0, type, ball0 : (prodcartrealq169309real > cartrealq169309 > $o)).
thf(cin, type, in : (cartrealq169309 > (cartrealq169309 > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cball, type, ball : (prodcartrealq169410real > cartrealq169410 > $o)).
thf(ccu_1, type, c_1 : (cartrealn > real > prodcartrealnreal)).
thf(ccu_0, type, c_0 : (cartrealq169309 > real > prodcartrealq169309real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealq169410 > real > prodcartrealq169410real)).
thf(cpathuu_component, type, pathu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cpathuu_connected, type, pathu_connected : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealq169410 > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBALLu_EQu_EMPTY, axiom, ![X:cartrealq169410,E:real]:(((ball @ (c_ @ X @ E)) = empty) <=> (realu_le @ E @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCENTREu_INu_BALL, axiom, ![X:cartrealq169309,E:real]:((in @ X @ (ball0 @ (c_0 @ X @ E))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aCONVEXu_BALL, axiom, ![X:cartrealn,E:real]:(convex @ (ball1 @ (c_1 @ X @ E)))).
thf(aCONVEXu_IMPu_PATHu_CONNECTED, axiom, ![S:(cartrealn > $o)]:((convex @ S) => (pathu_connected @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in0 @ X @ empty0))).
thf(aOPENu_NONu_GENERALu_COMPONENT, axiom, ![C:((cartrealn > $o) > cartrealn > cartrealn > $o)]:((![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((C @ S @ X @ Y) => ((in1 @ X @ S) & (in1 @ Y @ S))) & ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((C @ S @ X @ Y) => (C @ S @ Y @ X)) & ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn,Z:cartrealn]:(((C @ S @ X @ Y) & (C @ S @ Y @ Z)) => (C @ S @ X @ Z)) & ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((subset @ S @ T) & (C @ S @ X @ Y)) => (C @ T @ X @ Y)) & ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn,E:real]:(((in1 @ Y @ (ball1 @ (c_1 @ X @ E))) & (subset @ (ball1 @ (c_1 @ X @ E)) @ S)) => (C @ (ball1 @ (c_1 @ X @ E)) @ X @ Y))) => ![S:(cartrealn > $o),X:cartrealn]:((open @ S) => (open @ (diff @ S @ (C @ S @ X)))))).
thf(aPATHu_COMPONENTu_IN, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((pathu_component @ S @ X @ Y) => ((in1 @ X @ S) & (in1 @ Y @ S)))).
thf(aPATHu_COMPONENTu_OFu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((subset @ S @ T) & (pathu_component @ S @ X @ Y)) => (pathu_component @ T @ X @ Y))).
thf(aPATHu_COMPONENTu_SYM, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((pathu_component @ S @ X @ Y) => (pathu_component @ S @ Y @ X))).
thf(aPATHu_COMPONENTu_TRANS, axiom, ![Z:cartrealn,S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((pathu_component @ S @ X @ Y) & (pathu_component @ S @ Y @ Z)) => (pathu_component @ S @ X @ Z))).
thf(aPATHu_CONNECTEDu_IFFu_PATHu_COMPONENT, axiom, ![S:(cartrealn > $o)]:((pathu_connected @ S) <=> ![X:cartrealn,Y:cartrealn]:(((in1 @ X @ S) & (in1 @ Y @ S)) => (pathu_component @ S @ X @ Y)))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn > $o),X:cartrealn]:((open @ S) => (open @ (diff @ S @ (pathu_component @ S @ X))))).
