%   ORIGINAL: PATH_CONNECTED_OPEN_DIFF_CARD_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: AFF_DIM_OPEN: !s. open s /\ ~(s = {}) ==> aff_dim s = &(dimindex (:N))
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BALL_EQ_EMPTY: !x e. ball (x,e) = {} <=> e <= &0
% Assm: BALL_MIN_INTER: !a r s. ball (a,min r s) = ball (a,r) INTER ball (a,s)
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_EQ_BALL: !a r. &0 < r ==> ball (a,r) =_c (:real)
% Assm: CARD_EQ_IMP_LE: !s t. s =_c t ==> s <=_c t
% Assm: CARD_EQ_SYM: !s t. s =_c t <=> t =_c s
% Assm: CARD_LET_TRANS: !s t u. s <=_c t /\ t <_c u ==> s <_c u
% Assm: CARD_LE_SUBSET: !s t. s SUBSET t ==> s <=_c t
% Assm: CARD_LE_TRANS: !s t u. s <=_c t /\ t <=_c u ==> s <=_c u
% Assm: CARD_NOT_LT: !s t. ~(s <_c t) <=> t <=_c s
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: CENTRE_IN_BALL: !x e. x IN ball (x,e) <=> &0 < e
% Assm: COLLINEAR_AFF_DIM: !s. collinear s <=> aff_dim s <= &1
% Assm: CONNECTED_OPEN_IN: !s. connected s <=> ~(?e1 e2. open_in (subtopology euclidean s) e1 /\ open_in (subtopology euclidean s) e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 = {} /\ ~(e1 = {}) /\ ~(e2 = {}))
% Assm: CONVEX_BALL: !x e. convex (ball (x,e))
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTER_SUBSET_conjunct1: !s t. t INTER s SUBSET s
% Assm: INT_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: INT_POS: !n. &0 <= &n
% Assm: IN_BALL: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_0: !n. 0 <= n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NORM_MUL: !a x. norm (a % x) = abs a * norm x
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: NORM_TRIANGLE_LE: !x y. norm x + norm y <= e ==> norm (x + y) <= e
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: OPEN_CONTAINS_BALL: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ ball (x,e) SUBSET s))
% Assm: PATH_COMPONENT_OF_SUBSET: !s t x y. s SUBSET t /\ path_component s x y ==> path_component t x y
% Assm: PATH_COMPONENT_TRANS: !s x y. path_component s x y /\ path_component s y z ==> path_component s x z
% Assm: PATH_CONNECTED_CONVEX_DIFF_CARD_LT: !u s. convex u /\ ~collinear u /\ s <_c (:real) ==> path_connected (u DIFF s)
% Assm: PATH_CONNECTED_IFF_PATH_COMPONENT: !s. path_connected s <=> (!x y. x IN s /\ y IN s ==> path_component s x y)
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ABS_DIV: !x y. abs (x / y) = abs x / abs y
% Assm: REAL_ABS_NEG: !x. abs (--x) = abs x
% Assm: REAL_ABS_NUM: !n. abs (&n) = &n
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_HALF_conjunct0: !e. &0 < e / &2 <=> &0 < e
% Assm: REAL_INV_DIV: !x y. inv (x / y) = y / x
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_INV_NEG: !x. inv (--x) = --inv x
% Assm: REAL_LE_ADD2: !w x y z. w <= x /\ y <= z ==> w + y <= x + z
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LMUL: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_LT_MIN: !x y z. z < min x y <=> z < x /\ z < y
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: Real_ext.ABS_POS: !x. &0 <= abs x
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: Trigonometry2.ABS_1: abs (&1) = &1
% Assm: VECTOR_SUB: x - y = x + --y
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: open_in: !u s. open_in (subtopology euclidean u) s <=> s SUBSET u /\ (!x. x IN s ==> (?e. &0 < e /\ (!x'. x' IN u /\ dist (x',x) < e ==> x' IN s)))
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: vector_add: !x y. x + y = (lambda i. x$i + y$i)
% Assm: vector_mul: !c x. c % x = (lambda i. c * x$i)
% Assm: vector_neg: !x. --x = (lambda i. --(x$i))
% Goal: !s t. 2 <= dimindex (:N) /\ open s /\ connected s /\ t <_c (:real) ==> path_connected (s DIFF t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !s. open s /\ ~(s = {}) ==> aff_dim s = &(dimindex (:N))
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: !x e. ball (x,e) = {} <=> e <= &0
% Assm: !a r s. ball (a,min r s) = ball (a,r) INTER ball (a,s)
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a r. &0 < r ==> ball (a,r) =_c (:real)
% Assm: !s t. s =_c t ==> s <=_c t
% Assm: !s t. s =_c t <=> t =_c s
% Assm: !s t u. s <=_c t /\ t <_c u ==> s <_c u
% Assm: !s t. s SUBSET t ==> s <=_c t
% Assm: !s t u. s <=_c t /\ t <=_c u ==> s <=_c u
% Assm: !s t. ~(s <_c t) <=> t <=_c s
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !x e. x IN ball (x,e) <=> &0 < e
% Assm: !s. collinear s <=> aff_dim s <= &1
% Assm: !s. connected s <=> ~(?e1 e2. open_in (subtopology euclidean s) e1 /\ open_in (subtopology euclidean s) e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 = {} /\ ~(e1 = {}) /\ ~(e2 = {}))
% Assm: !x e. convex (ball (x,e))
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t. t INTER s SUBSET s
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !n. &0 <= &n
% Assm: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !n. 0 <= n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: !x. &0 <= norm x
% Assm: !e x y. norm x + norm y <= e ==> norm (x + y) <= e
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !x e. open (ball (x,e))
% Assm: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ ball (x,e) SUBSET s))
% Assm: !s t x y. s SUBSET t /\ path_component s x y ==> path_component t x y
% Assm: !z s x y. path_component s x y /\ path_component s y z ==> path_component s x z
% Assm: !u s. convex u /\ ~collinear u /\ s <_c (:real) ==> path_connected (u DIFF s)
% Assm: !s. path_connected s <=> (!x y. x IN s /\ y IN s ==> path_component s x y)
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y. abs (x / y) = abs x / abs y
% Assm: !x. abs (--x) = abs x
% Assm: !n. abs (&n) = &n
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !e. &0 < e / &2 <=> &0 < e
% Assm: !x y. inv (x / y) = y / x
% Assm: !x. inv (inv x) = x
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x. inv (--x) = --inv x
% Assm: !w x y z. w <= x /\ y <= z ==> w + y <= x + z
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !x y z. z < min x y <=> z < x /\ z < y
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: !x. &0 <= abs x
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: 2 = SUC 1
% Assm: abs (&1) = &1
% Assm: !x y. x - y = x + --y
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !u s. open_in (subtopology euclidean u) s <=> s SUBSET u /\ (!x. x IN s ==> (?e. &0 < e /\ (!x'. x' IN u /\ dist (x',x) < e ==> x' IN s)))
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !x y. x + y = (lambda i. x$i + y$i)
% Assm: !c x. c % x = (lambda i. c * x$i)
% Assm: !x. --x = (lambda i. --(x$i))
% Goal: !s t. 2 <= dimindex (:N) /\ open s /\ connected s /\ t <_c (:real) ==> path_connected (s DIFF t)
%  TYPES
thf(tint, type, int : $tType).
thf(tq99791, type, q99791 : $tType).
thf(tprodcartrealq98293cartrealq98293, type, prodcartrealq98293cartrealq98293 : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq169410, type, cartrealq169410 : $tType).
thf(tq168416, type, q168416 : $tType).
thf(tq310518, type, q310518 : $tType).
thf(tcartrealq168752, type, cartrealq168752 : $tType).
thf(tq100453, type, q100453 : $tType).
thf(tq169309, type, q169309 : $tType).
thf(tq169410, type, q169410 : $tType).
thf(tcartrealq98293, type, cartrealq98293 : $tType).
thf(tq168752, type, q168752 : $tType).
thf(tcartrealq310518, type, cartrealq310518 : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq87098, type, q87098 : $tType).
thf(tq87099, type, q87099 : $tType).
thf(tcartrealq100453, type, cartrealq100453 : $tType).
thf(tq87117, type, q87117 : $tType).
thf(tq87118, type, q87118 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tcartrealq168416, type, cartrealq168416 : $tType).
thf(tcartrealq99791, type, cartrealq99791 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tprodcartrealq168416real, type, prodcartrealq168416real : $tType).
thf(tprodcartrealq169309real, type, prodcartrealq169309real : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(tprodcartrealq168752real, type, prodcartrealq168752real : $tType).
thf(tprodcartrealq169410real, type, prodcartrealq169410real : $tType).
thf(tprodcartrealq168416cartrealq168416, type, prodcartrealq168416cartrealq168416 : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq98293, type, q98293 : $tType).
thf(ttopologycartrealn, type, topologycartrealn : $tType).
thf(tq99722, type, q99722 : $tType).
thf(tcartan, type, cartan : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tcartrealq169309, type, cartrealq169309 : $tType).
thf(tcartrealq99722, type, cartrealq99722 : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (real > $o)).
thf(cempty1, type, empty1 : (a > $o)).
thf(cdistance1, type, distance1 : (prodcartrealncartrealn > real)).
thf(cvectoruu_norm2, type, vectoru_norm2 : (cartrealq98293 > real)).
thf(cdistance0, type, distance0 : (prodcartrealq98293cartrealq98293 > real)).
thf(cvectoruu_norm1, type, vectoru_norm1 : (cartrealq100453 > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq99722 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq99791 > real)).
thf(cdistance, type, distance : (prodcartrealq168416cartrealq168416 > real)).
thf(caffuu_dim, type, affu_dim : ((cartrealn > $o) > int)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(cdu_, type, d_ : (cartan > num > a)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
thf(clambda0, type, lambda0 : ((num > a) > cartan)).
thf(ceuclidean, type, euclidean : topologycartrealn).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(csubset1, type, subset1 : ((cartrealq310518 > $o) > (cartrealq310518 > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin3, type, in3 : (q43851 > (q43851 > $o) > $o)).
thf(cin2, type, in2 : (cartrealn > (cartrealn > $o) > $o)).
thf(cball3, type, ball3 : (prodcartrealq168416real > cartrealq168416 > $o)).
thf(cin1, type, in1 : (cartrealq168416 > (cartrealq168416 > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealn > (cartrealn > $o) > $o)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cball2, type, ball2 : (prodcartrealq169309real > cartrealq169309 > $o)).
thf(cin, type, in : (cartrealq169309 > (cartrealq169309 > $o) > $o)).
thf(clu_au_uu_c5, type, l_a_u_c5 : ((real > $o) > (cartrealn > $o) > $o)).
thf(clu_au_uu_c4, type, l_a_u_c4 : ((a > $o) > (c > $o) > $o)).
thf(clu_au_uu_c3, type, l_a_u_c3 : ((b > $o) > (c > $o) > $o)).
thf(clu_au_uu_c2, type, l_a_u_c2 : ((a > $o) > (b > $o) > $o)).
thf(clu_au_uu_c1, type, l_a_u_c1 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cau_uu_c2, type, a_u_c2 : ((q87099 > $o) > (q87098 > $o) > $o)).
thf(cau_uu_c1, type, a_u_c1 : ((q87098 > $o) > (q87099 > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((q87117 > $o) > (q87118 > $o) > $o)).
thf(cau_uu_c0, type, a_u_c0 : ((q87117 > $o) > (q87118 > $o) > $o)).
thf(cball1, type, ball1 : (prodcartrealnreal > cartrealn > $o)).
thf(cau_uu_c, type, a_u_c : ((cartrealn > $o) > (real > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(cball0, type, ball0 : (prodcartrealq168752real > cartrealq168752 > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cball, type, ball : (prodcartrealq169410real > cartrealq169410 > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_uu_c, type, l_u_c : ((cartrealn > $o) > (real > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cru_0, type, r_0 : (real > cartrealn > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(ccu_6, type, c_6 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq98293 > cartrealq98293 > cartrealq98293)).
thf(ccu_5, type, c_5 : (cartrealq98293 > cartrealq98293 > prodcartrealq98293cartrealq98293)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cpathuu_component0, type, pathu_component0 : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cpathuu_component, type, pathu_component : ((cartrealq310518 > $o) > cartrealq310518 > cartrealq310518 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq100453 > cartrealq100453 > cartrealq100453)).
thf(cru_, type, r_ : (real > cartrealq99791 > cartrealq99791)).
thf(cunion0, type, union0 : ((a > $o) > (a > $o) > a > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(ccu_4, type, c_4 : (cartrealq168416 > cartrealq168416 > prodcartrealq168416cartrealq168416)).
thf(ccu_3, type, c_3 : (cartrealq168416 > real > prodcartrealq168416real)).
thf(cinter1, type, inter1 : ((a > $o) > (a > $o) > a > $o)).
thf(cinter0, type, inter0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csubtopology, type, subtopology : (topologycartrealn > (cartrealn > $o) > topologycartrealn)).
thf(ccu_2, type, c_2 : (cartrealq169309 > real > prodcartrealq169309real)).
thf(ccu_1, type, c_1 : (cartrealn > real > prodcartrealnreal)).
thf(cinter, type, inter : ((cartrealq168752 > $o) > (cartrealq168752 > $o) > cartrealq168752 > $o)).
thf(ccu_0, type, c_0 : (cartrealq168752 > real > prodcartrealq168752real)).
thf(ccu_, type, c_ : (cartrealq169410 > real > prodcartrealq169410real)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv, type, univ : (n > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(ccollinear, type, collinear : ((cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealq169410 > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cpathuu_connected, type, pathu_connected : ((cartrealn > $o) > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aAFFu_DIMu_OPEN, axiom, ![S:(cartrealn > $o)]:(((open @ S) & ~ ((S = empty))) => ((affu_dim @ S) = (intu_ofu_num @ (dimindex @ univ))))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBALLu_EQu_EMPTY, axiom, ![X:cartrealq169410,E:real]:(((ball @ (c_ @ X @ E)) = empty0) <=> (realu_le @ E @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aBALLu_MINu_INTER, axiom, ![A:cartrealq168752,R:real,S:real]:((ball0 @ (c_0 @ A @ (realu_min @ R @ S))) = (inter @ (ball0 @ (c_0 @ A @ R)) @ (ball0 @ (c_0 @ A @ S))))).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_EQu_BALL, axiom, ![A:cartrealn,R:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) => (a_u_c @ (ball1 @ (c_1 @ A @ R)) @ univ0))).
thf(aCARDu_EQu_IMPu_LE, axiom, ![S:(q87117 > $o),T:(q87118 > $o)]:((a_u_c0 @ S @ T) => (l_a_u_c @ S @ T))).
thf(aCARDu_EQu_SYM, axiom, ![S:(q87098 > $o),T:(q87099 > $o)]:((a_u_c1 @ S @ T) <=> (a_u_c2 @ T @ S))).
thf(aCARDu_LETu_TRANS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(real > $o)]:(((l_a_u_c0 @ S @ T) & (l_u_c @ T @ U)) => (l_u_c @ S @ U))).
thf(aCARDu_LEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) => (l_a_u_c1 @ S @ T))).
thf(aCARDu_LEu_TRANS, axiom, ![S:(a > $o),T:(b > $o),U:(c > $o)]:(((l_a_u_c2 @ S @ T) & (l_a_u_c3 @ T @ U)) => (l_a_u_c4 @ S @ U))).
thf(aCARDu_NOTu_LT, axiom, ![S:(cartrealn > $o),T:(real > $o)]:(~ ((l_u_c @ S @ T)) <=> (l_a_u_c5 @ T @ S))).
thf(aCARTu_EQ, axiom, ![X:cartan,Y:cartan]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCENTREu_INu_BALL, axiom, ![X:cartrealq169309,E:real]:((in @ X @ (ball2 @ (c_2 @ X @ E))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aCOLLINEARu_AFFu_DIM, axiom, ![S:(cartrealn > $o)]:((collinear @ S) <=> (intu_le @ (affu_dim @ S) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aCONNECTEDu_OPENu_IN, axiom, ![S:(cartrealn > $o)]:((connected @ S) <=> ~ (?[E1:(cartrealn > $o),E2:(cartrealn > $o)]:((openu_in @ (subtopology @ euclidean @ S) @ E1) & (openu_in @ (subtopology @ euclidean @ S) @ E2) & (subset0 @ S @ (union @ E1 @ E2)) & ((inter0 @ E1 @ E2) = empty) & ~ ((E1 = empty)) & ~ ((E2 = empty)))))).
thf(aCONVEXu_BALL, axiom, ![X:cartrealn,E:real]:(convex @ (ball1 @ (c_1 @ X @ E)))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINTERu_SUBSETu_conjunct1, axiom, ![S:(a > $o),T:(a > $o)]:(subset @ (inter1 @ T @ S) @ S)).
thf(aINTu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((intu_le @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aINTu_POS, axiom, ![N:num]:(intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_ofu_num @ N))).
thf(aINu_BALL, axiom, ![X:cartrealq168416,Y:cartrealq168416,E:real]:((in1 @ Y @ (ball3 @ (c_3 @ X @ E))) <=> (realu_lt @ (distance @ (c_4 @ X @ Y)) @ E))).
thf(aINu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in2 @ X @ (diff @ S @ T)) <=> ((in2 @ X @ S) & ~ ((in2 @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in3 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (inter1 @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (union0 @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLAMBDAu_BETA, axiom, ![G:(num > a),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(a > $o)]:(?[X:a]:(in0 @ X @ S) <=> ~ ((S = empty1)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNORMu_MUL, axiom, ![A:real,X:cartrealq99791]:((vectoru_norm @ (r_ @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm @ X)))).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealq99722]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm0 @ X))).
thf(aNORMu_TRIANGLEu_LE, axiom, ![E:real,X:cartrealq100453,Y:cartrealq100453]:((realu_le @ (realu_add @ (vectoru_norm1 @ X) @ (vectoru_norm1 @ Y)) @ E) => (realu_le @ (vectoru_norm1 @ (vectoru_add @ X @ Y)) @ E))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in0 @ X @ empty1))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aOPENu_BALL, axiom, ![X:cartrealn,E:real]:(open @ (ball1 @ (c_1 @ X @ E)))).
thf(aOPENu_CONTAINSu_BALL, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> ![X:cartrealn]:((in2 @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subset0 @ (ball1 @ (c_1 @ X @ E)) @ S))))).
thf(aPATHu_COMPONENTu_OFu_SUBSET, axiom, ![S:(cartrealq310518 > $o),T:(cartrealq310518 > $o),X:cartrealq310518,Y:cartrealq310518]:(((subset1 @ S @ T) & (pathu_component @ S @ X @ Y)) => (pathu_component @ T @ X @ Y))).
thf(aPATHu_COMPONENTu_TRANS, axiom, ![Z:cartrealn,S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((pathu_component0 @ S @ X @ Y) & (pathu_component0 @ S @ Y @ Z)) => (pathu_component0 @ S @ X @ Z))).
thf(aPATHu_CONNECTEDu_CONVEXu_DIFFu_CARDu_LT, axiom, ![U:(cartrealn > $o),S:(cartrealn > $o)]:(((convex @ U) & ~ ((collinear @ U)) & (l_u_c @ S @ univ0)) => (pathu_connected @ (diff @ U @ S)))).
thf(aPATHu_CONNECTEDu_IFFu_PATHu_COMPONENT, axiom, ![S:(cartrealn > $o)]:((pathu_connected @ S) <=> ![X:cartrealn,Y:cartrealn]:(((in2 @ X @ S) & (in2 @ Y @ S)) => (pathu_component0 @ S @ X @ Y)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ABSu_DIV, axiom, ![X:real,Y:real]:((realu_abs @ (realu_div @ X @ Y)) = (realu_div @ (realu_abs @ X) @ (realu_abs @ Y)))).
thf(aREALu_ABSu_NEG, axiom, ![X:real]:((realu_abs @ (realu_neg @ X)) = (realu_abs @ X))).
thf(aREALu_ABSu_NUM, axiom, ![N:num]:((realu_abs @ (realu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_HALFu_conjunct0, axiom, ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ E @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aREALu_INVu_DIV, axiom, ![X:real,Y:real]:((realu_inv @ (realu_div @ X @ Y)) = (realu_div @ Y @ X))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_INVu_NEG, axiom, ![X:real]:((realu_inv @ (realu_neg @ X)) = (realu_neg @ (realu_inv @ X)))).
thf(aREALu_LEu_ADD2, axiom, ![W:real,X:real,Y:real,Z:real]:(((realu_le @ W @ X) & (realu_le @ Y @ Z)) => (realu_le @ (realu_add @ W @ Y) @ (realu_add @ X @ Z)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LMUL, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ Y @ Z)) => (realu_le @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_LTu_MIN, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ Z @ (realu_min @ X @ Y)) <=> ((realu_lt @ Z @ X) & (realu_lt @ Z @ Y)))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aRealu_exto_ABSu_POS, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ X))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometry2o_ABSu_1, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aVECTORu_SUB, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_sub @ X @ Y) = (vectoru_add0 @ X @ (vectoru_neg @ Y)))).
thf(adist, axiom, ![X:cartrealq98293,Y:cartrealq98293]:((distance0 @ (c_5 @ X @ Y)) = (vectoru_norm2 @ (vectoru_sub0 @ X @ Y)))).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aopenu_in, axiom, ![U:(cartrealn > $o),S:(cartrealn > $o)]:((openu_in @ (subtopology @ euclidean @ U) @ S) <=> ((subset0 @ S @ U) & ![X:cartrealn]:((in2 @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![XI_:cartrealn]:(((in2 @ XI_ @ U) & (realu_lt @ (distance1 @ (c_6 @ XI_ @ X)) @ E)) => (in2 @ XI_ @ S))))))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(avectoru_add, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_add0 @ X @ Y) = (lambda1 @ ^[I:num]:(realu_add @ (d_0 @ X @ I) @ (d_0 @ Y @ I))))).
thf(avectoru_mul, axiom, ![C:real,X:cartrealn]:((r_0 @ C @ X) = (lambda1 @ ^[I:num]:(realu_mul @ C @ (d_0 @ X @ I))))).
thf(avectoru_neg, axiom, ![X:cartrealn]:((vectoru_neg @ X) = (lambda1 @ ^[I:num]:(realu_neg @ (d_0 @ X @ I))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) & (open @ S) & (connected @ S) & (l_u_c @ T @ univ0)) => (pathu_connected @ (diff @ S @ T)))).
