%   ORIGINAL: INSIDE_OUTSIDE_INTERSECT_CONNECTED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_COMPONENT_EQ_EQ: !s x y. connected_component s x = connected_component s y <=> ~(x IN s) /\ ~(y IN s) \/ x IN s /\ y IN s /\ connected_component s x y
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: connected_component: !s x y. connected_component s x y <=> (?t. connected t /\ t SUBSET s /\ x IN t /\ y IN t)
% Assm: inside: !s. inside s = {x | ~(x IN s) /\ bounded (connected_component ((:real^N) DIFF s) x)}
% Assm: outside: !s. outside s = {x | ~(x IN s) /\ ~bounded (connected_component ((:real^N) DIFF s) x)}
% Goal: !s t. connected t /\ ~(inside s INTER t = {}) /\ ~(outside s INTER t = {}) ==> ~(s INTER t = {})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x y. connected_component s x = connected_component s y <=> ~(x IN s) /\ ~(y IN s) \/ x IN s /\ y IN s /\ connected_component s x y
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. x IN (:A)
% Assm: !x. I x = x
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s x y. connected_component s x y <=> (?t. connected t /\ t SUBSET s /\ x IN t /\ y IN t)
% Assm: !s. inside s = {x | ~(x IN s) /\ bounded (connected_component ((:real^N) DIFF s) x)}
% Assm: !s. outside s = {x | ~(x IN s) /\ ~bounded (connected_component ((:real^N) DIFF s) x)}
% Goal: !s t. connected t /\ ~(inside s INTER t = {}) /\ ~(outside s INTER t = {}) ==> ~(s INTER t = {})
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(coutside, type, outside : ((cartrealn > $o) > cartrealn > $o)).
thf(cinside, type, inside : ((cartrealn > $o) > cartrealn > $o)).
thf(cdiff0, type, diff0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconnected, type, connected : ((cartrealn > $o) > $o)).
thf(cuniv, type, univ : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_COMPONENTu_EQu_EQ, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((connectedu_component @ S @ X) = (connectedu_component @ S @ Y)) <=> ((~ ((in @ X @ S)) & ~ ((in @ Y @ S))) | ((in @ X @ S) & (in @ Y @ S) & (connectedu_component @ S @ X @ Y))))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:a]:(in0 @ X @ univ)).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn > $o)]:(?[X:cartrealn]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aconnectedu_component, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((connectedu_component @ S @ X @ Y) <=> ?[T:(cartrealn > $o)]:((connected @ T) & (subset0 @ T @ S) & (in @ X @ T) & (in @ Y @ T)))).
thf(ainside, axiom, ![S:(cartrealn > $o)]:((inside @ S) = (gspec0 @ ^[GENR_PVARR_1119:cartrealn]:?[X:cartrealn]:(setspec0 @ GENR_PVARR_1119 @ (~ ((in @ X @ S)) & (bounded @ (connectedu_component @ (diff0 @ univ0 @ S) @ X))) @ X)))).
thf(aoutside, axiom, ![S:(cartrealn > $o)]:((outside @ S) = (gspec0 @ ^[GENR_PVARR_1120:cartrealn]:?[X:cartrealn]:(setspec0 @ GENR_PVARR_1120 @ (~ ((in @ X @ S)) & ~ ((bounded @ (connectedu_component @ (diff0 @ univ0 @ S) @ X)))) @ X)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((connected @ T) & ~ (((inter @ (inside @ S) @ T) = empty)) & ~ (((inter @ (outside @ S) @ T) = empty))) => ~ (((inter @ S @ T) = empty)))).
