%   ORIGINAL: OUTSIDE_COMPACT_IN_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CENTRE_IN_CBALL: !x e. x IN cball (x,e) <=> &0 <= e
% Assm: CLOSURE_APPROACHABLE: !x s. x IN closure s <=> (!e. &0 < e ==> (?y. y IN s /\ dist (y,x) < e))
% Assm: CLOSURE_CLOSED: !s. closed s ==> closure s = s
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: COMPACT_IMP_BOUNDED: !s. compact s ==> bounded s
% Assm: COMPACT_IMP_CLOSED: !s. compact s ==> closed s
% Assm: CONNECTED_PATH_IMAGE: !g. path g ==> connected (path_image g)
% Assm: CONNECTED_SEGMENT_conjunct0: !a b. connected (segment [a,b])
% Assm: CONNECTED_UNION: !s t. connected s /\ connected t /\ ~(s INTER t = {}) ==> connected (s UNION t)
% Assm: CONVEX_CBALL: !x e. convex (cball (x,e))
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: ENDS_IN_SEGMENT: !a b. a IN segment [a,b] /\ b IN segment [a,b]
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_PATH_SUBPATH_TO_FRONTIER: !g s. path g /\ pathstart g IN s /\ ~(pathfinish g IN s) ==> (?h. path h /\ pathstart h = pathstart g /\ path_image h SUBSET path_image g /\ path_image h DELETE pathfinish h SUBSET interior s /\ pathfinish h IN frontier s)
% Assm: FRONTIER_COMPLEMENT: !s. frontier ((:real^?173545) DIFF s) = frontier s
% Assm: HULL_MINIMAL: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT_SUBSET: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: INTERIOR_DIFF: !s t. interior (s DIFF t) = interior s DIFF closure t
% Assm: INTERIOR_UNIV: interior (:real^N) = (:real^N)
% Assm: IN_CBALL: !x y e. y IN cball (x,e) <=> dist (x,y) <= e
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_CLOSED: !s. open s <=> closed ((:real^N) DIFF s)
% Assm: OPEN_CONTAINS_CBALL: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ cball (x,e) SUBSET s))
% Assm: OUTSIDE_BOUNDED_NONEMPTY: !s. bounded s ==> ~(outside s = {})
% Assm: OUTSIDE_SAME_COMPONENT: !s x y. connected_component ((:real^N) DIFF s) x y /\ x IN outside s ==> y IN outside s
% Assm: PATHFINISH_IN_PATH_IMAGE: !g. pathfinish g IN path_image g
% Assm: PATHFINISH_LINEPATH: !a b. pathfinish (linepath (a,b)) = b
% Assm: PATHSTART_IN_PATH_IMAGE: !g. pathstart g IN path_image g
% Assm: PATHSTART_LINEPATH: !a b. pathstart (linepath (a,b)) = a
% Assm: PATH_IMAGE_LINEPATH: !a b. path_image (linepath (a,b)) = segment [a,b]
% Assm: PATH_LINEPATH: !a b. path (linepath (a,b))
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: SEGMENT_CONVEX_HULL: !a b. segment [a,b] = convex hull {a, b}
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Assm: UNION_SUBSET: !s t u. s UNION t SUBSET u <=> s SUBSET u /\ t SUBSET u
% Assm: closed: !s. closed s <=> open ((:real^N) DIFF s)
% Assm: connected_component: !s x y. connected_component s x y <=> (?t. connected t /\ t SUBSET s /\ x IN t /\ y IN t)
% Assm: frontier: !s. frontier s = closure s DIFF interior s
% Goal: !s t. compact s /\ open t /\ s SUBSET t /\ ~(t = {}) ==> ~(outside s INTER t = {})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. x IN cball (x,e) <=> &0 <= e
% Assm: !x s. x IN closure s <=> (!e. &0 < e ==> (?y. y IN s /\ dist (y,x) < e))
% Assm: !s. closed s ==> closure s = s
% Assm: !s. s SUBSET closure s
% Assm: !s. compact s ==> bounded s
% Assm: !s. compact s ==> closed s
% Assm: !g. path g ==> connected (path_image g)
% Assm: !a b. connected (segment [a,b])
% Assm: !s t. connected s /\ connected t /\ ~(s INTER t = {}) ==> connected (s UNION t)
% Assm: !x e. convex (cball (x,e))
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !s. {} SUBSET s
% Assm: !a b. a IN segment [a,b] /\ b IN segment [a,b]
% Assm: !t. (\x. t x) = t
% Assm: !g s. path g /\ pathstart g IN s /\ ~(pathfinish g IN s) ==> (?h. path h /\ pathstart h = pathstart g /\ path_image h SUBSET path_image g /\ path_image h DELETE pathfinish h SUBSET interior s /\ pathfinish h IN frontier s)
% Assm: !s. frontier ((:real^N) DIFF s) = frontier s
% Assm: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: !P x. x IN P <=> P x
% Assm: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: !s t. interior (s DIFF t) = interior s DIFF closure t
% Assm: interior (:real^N) = (:real^N)
% Assm: !x y e. y IN cball (x,e) <=> dist (x,y) <= e
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. x IN (:A)
% Assm: !x. I x = x
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !s. open s <=> closed ((:real^N) DIFF s)
% Assm: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ cball (x,e) SUBSET s))
% Assm: !s. bounded s ==> ~(outside s = {})
% Assm: !s x y. connected_component ((:real^N) DIFF s) x y /\ x IN outside s ==> y IN outside s
% Assm: !g. pathfinish g IN path_image g
% Assm: !a b. pathfinish (linepath (a,b)) = b
% Assm: !g. pathstart g IN path_image g
% Assm: !a b. pathstart (linepath (a,b)) = a
% Assm: !a b. path_image (linepath (a,b)) = segment [a,b]
% Assm: !a b. path (linepath (a,b))
% Assm: !x y. x < y ==> x <= y
% Assm: !a b. segment [a,b] = convex hull {a, b}
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Assm: !s t u. s UNION t SUBSET u <=> s SUBSET u /\ t SUBSET u
% Assm: !s. closed s <=> open ((:real^N) DIFF s)
% Assm: !s x y. connected_component s x y <=> (?t. connected t /\ t SUBSET s /\ x IN t /\ y IN t)
% Assm: !s. frontier s = closure s DIFF interior s
% Goal: !s t. compact s /\ open t /\ s SUBSET t /\ ~(t = {}) ==> ~(outside s INTER t = {})
%  TYPES
thf(tq301122, type, q301122 : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq308959, type, q308959 : $tType).
thf(tq180230, type, q180230 : $tType).
thf(tnum, type, num : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
thf(tlistprodcartrealq214686cartrealq214686, type, listprodcartrealq214686cartrealq214686 : $tType).
thf(tlistprodcartrealq312990cartrealq312990, type, listprodcartrealq312990cartrealq312990 : $tType).
thf(tprodcartrealq312990cartrealq312990, type, prodcartrealq312990cartrealq312990 : $tType).
thf(tcartrealq301143, type, cartrealq301143 : $tType).
thf(tcartrealq214686, type, cartrealq214686 : $tType).
thf(tcartrealq301134, type, cartrealq301134 : $tType).
thf(tcartrealq301122, type, cartrealq301122 : $tType).
thf(tprodcartrealq102240cartrealq102240, type, prodcartrealq102240cartrealq102240 : $tType).
thf(tprodcartrealq308979cartrealq308979, type, prodcartrealq308979cartrealq308979 : $tType).
thf(tcartrealq312990, type, cartrealq312990 : $tType).
thf(tcartrealq180230, type, cartrealq180230 : $tType).
thf(tq312990, type, q312990 : $tType).
thf(tq301134, type, q301134 : $tType).
thf(tcartrealq168577, type, cartrealq168577 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tprodcartrealq168451cartrealq168451, type, prodcartrealq168451cartrealq168451 : $tType).
thf(ta, type, a : $tType).
thf(tprodcartrealq309094cartrealq309094, type, prodcartrealq309094cartrealq309094 : $tType).
thf(tq102240, type, q102240 : $tType).
thf(tprodcartrealq168451real, type, prodcartrealq168451real : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(tprodcartrealq168577real, type, prodcartrealq168577real : $tType).
thf(tq214686, type, q214686 : $tType).
thf(tcartrealq308959, type, cartrealq308959 : $tType).
thf(tcartrealq168451, type, cartrealq168451 : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq168577, type, q168577 : $tType).
thf(tprodcartrealq180230cartrealq180230, type, prodcartrealq180230cartrealq180230 : $tType).
thf(tcartrealq102240, type, cartrealq102240 : $tType).
thf(tq309094, type, q309094 : $tType).
thf(tprodcartrealq308959cartrealq308959, type, prodcartrealq308959cartrealq308959 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq309094, type, cartrealq309094 : $tType).
thf(tprodcartrealq214686cartrealq214686, type, prodcartrealq214686cartrealq214686 : $tType).
thf(tq168451, type, q168451 : $tType).
thf(tn, type, n : $tType).
thf(tcartrealq308979, type, cartrealq308979 : $tType).
thf(tq301143, type, q301143 : $tType).
thf(tq308979, type, q308979 : $tType).
%  CONSTS
thf(cnil1, type, nil1 : listprodcartrealncartrealn).
thf(cnil0, type, nil0 : listprodcartrealq214686cartrealq214686).
thf(cnil, type, nil : listprodcartrealq312990cartrealq312990).
thf(cpathstart0, type, pathstart0 : ((cartrealn1 > cartrealq301122) > cartrealq301122)).
thf(ccloseduu_segment1, type, closedu_segment1 : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cpathuu_image2, type, pathu_image2 : ((cartrealn1 > cartrealq301122) > cartrealq301122 > $o)).
thf(cin7, type, in7 : (cartrealq301122 > (cartrealq301122 > $o) > $o)).
thf(cpathuu_image1, type, pathu_image1 : ((cartrealn1 > cartrealq301134) > cartrealq301134 > $o)).
thf(cin6, type, in6 : (cartrealq301134 > (cartrealq301134 > $o) > $o)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin5, type, in5 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cdistance1, type, distance1 : (prodcartrealq168451cartrealq168451 > real)).
thf(ccball1, type, cball1 : (prodcartrealq168451real > cartrealq168451 > $o)).
thf(cin4, type, in4 : (cartrealq168451 > (cartrealq168451 > $o) > $o)).
thf(cin3, type, in3 : (a > (a > $o) > $o)).
thf(cfrontier, type, frontier : ((cartrealn > $o) > cartrealn > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cpathuu_image0, type, pathu_image0 : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(cin2, type, in2 : (cartrealn > (cartrealn > $o) > $o)).
thf(ccloseduu_segment0, type, closedu_segment0 : (listprodcartrealq214686cartrealq214686 > cartrealq214686 > $o)).
thf(cin1, type, in1 : (cartrealq214686 > (cartrealq214686 > $o) > $o)).
thf(cdistance0, type, distance0 : (prodcartrealq102240cartrealq102240 > real)).
thf(ccball0, type, cball0 : (prodcartrealnreal > cartrealn > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealq312990cartrealq312990 > cartrealq312990 > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealq301143) > cartrealq301143 > $o)).
thf(cclosure0, type, closure0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cdistance, type, distance : (prodcartrealq180230cartrealq180230 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cclosure, type, closure : ((cartrealq180230 > $o) > cartrealq180230 > $o)).
thf(cin0, type, in0 : (cartrealq180230 > (cartrealq180230 > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccball, type, cball : (prodcartrealq168577real > cartrealq168577 > $o)).
thf(cin, type, in : (cartrealq168577 > (cartrealq168577 > $o) > $o)).
thf(coutside, type, outside : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cpathfinish1, type, pathfinish1 : ((cartrealn1 > cartrealq308979) > cartrealq308979)).
thf(ccu_10, type, c_10 : (cartrealq309094 > cartrealq309094 > prodcartrealq309094cartrealq309094)).
thf(clinepath2, type, linepath2 : (prodcartrealq309094cartrealq309094 > cartrealn1 > cartrealq309094)).
thf(ccons1, type, cons1 : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(ccu_9, type, c_9 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(clinepath1, type, linepath1 : (prodcartrealncartrealn > cartrealn1 > cartrealn)).
thf(ccu_8, type, c_8 : (cartrealq308959 > cartrealq308959 > prodcartrealq308959cartrealq308959)).
thf(clinepath0, type, linepath0 : (prodcartrealq308959cartrealq308959 > cartrealn1 > cartrealq308959)).
thf(ccu_7, type, c_7 : (cartrealq308979 > cartrealq308979 > prodcartrealq308979cartrealq308979)).
thf(clinepath, type, linepath : (prodcartrealq308979cartrealq308979 > cartrealn1 > cartrealq308979)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(cunion0, type, union0 : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff0, type, diff0 : ((a > $o) > (a > $o) > a > $o)).
thf(cdelete0, type, delete0 : (((cartrealn > $o) > $o) > (cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccu_6, type, c_6 : (cartrealq168451 > cartrealq168451 > prodcartrealq168451cartrealq168451)).
thf(ccu_5, type, c_5 : (cartrealq168451 > real > prodcartrealq168451real)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(ccu_4, type, c_4 : (cartrealq214686 > cartrealq214686 > prodcartrealq214686cartrealq214686)).
thf(ccons0, type, cons0 : (prodcartrealq214686cartrealq214686 > listprodcartrealq214686cartrealq214686 > listprodcartrealq214686cartrealq214686)).
thf(ccu_3, type, c_3 : (cartrealq102240 > cartrealq102240 > prodcartrealq102240cartrealq102240)).
thf(ccu_2, type, c_2 : (cartrealn > real > prodcartrealnreal)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_1, type, c_1 : (cartrealq312990 > cartrealq312990 > prodcartrealq312990cartrealq312990)).
thf(ccons, type, cons : (prodcartrealq312990cartrealq312990 > listprodcartrealq312990cartrealq312990 > listprodcartrealq312990cartrealq312990)).
thf(ccu_0, type, c_0 : (cartrealq180230 > cartrealq180230 > prodcartrealq180230cartrealq180230)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealq168577 > real > prodcartrealq168577real)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cpath1, type, path1 : ((cartrealn1 > cartrealq309094) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cpath0, type, path0 : ((cartrealn1 > cartrealn) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cconnected1, type, connected1 : ((cartrealn > $o) > $o)).
thf(cconnected0, type, connected0 : ((cartrealq312990 > $o) > $o)).
thf(cconnected, type, connected : ((cartrealq301143 > $o) > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealq301143) > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cpathstart1, type, pathstart1 : ((cartrealn1 > cartrealq308959) > cartrealq308959)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathfinish0, type, pathfinish0 : ((cartrealn1 > cartrealq301134) > cartrealq301134)).
thf(cuu_0, type, u_0 : num).
thf(cuniv0, type, univ0 : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCENTREu_INu_CBALL, axiom, ![X:cartrealq168577,E:real]:((in @ X @ (cball @ (c_ @ X @ E))) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aCLOSUREu_APPROACHABLE, axiom, ![X:cartrealq180230,S:(cartrealq180230 > $o)]:((in0 @ X @ (closure @ S)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[Y:cartrealq180230]:((in0 @ Y @ S) & (realu_lt @ (distance @ (c_0 @ Y @ X)) @ E))))).
thf(aCLOSUREu_CLOSED, axiom, ![S:(cartrealn > $o)]:((closed @ S) => ((closure0 @ S) = S))).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ S @ (closure0 @ S))).
thf(aCOMPACTu_IMPu_BOUNDED, axiom, ![S:(cartrealn > $o)]:((compact @ S) => (bounded @ S))).
thf(aCOMPACTu_IMPu_CLOSED, axiom, ![S:(cartrealn > $o)]:((compact @ S) => (closed @ S))).
thf(aCONNECTEDu_PATHu_IMAGE, axiom, ![G:(cartrealn1 > cartrealq301143)]:((path @ G) => (connected @ (pathu_image @ G)))).
thf(aCONNECTEDu_SEGMENTu_conjunct0, axiom, ![A:cartrealq312990,B:cartrealq312990]:(connected0 @ (closedu_segment @ (cons @ (c_1 @ A @ B) @ nil)))).
thf(aCONNECTEDu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((connected1 @ S) & (connected1 @ T) & ~ (((inter @ S @ T) = empty))) => (connected1 @ (union @ S @ T)))).
thf(aCONVEXu_CBALL, axiom, ![X:cartrealn,E:real]:(convex @ (cball0 @ (c_2 @ X @ E)))).
thf(aDISTu_SYM, axiom, ![X:cartrealq102240,Y:cartrealq102240]:((distance0 @ (c_3 @ X @ Y)) = (distance0 @ (c_3 @ Y @ X)))).
thf(aEMPTYu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ empty @ S)).
thf(aENDSu_INu_SEGMENT, axiom, ![A:cartrealq214686,B:cartrealq214686]:((in1 @ A @ (closedu_segment0 @ (cons0 @ (c_4 @ A @ B) @ nil0))) & (in1 @ B @ (closedu_segment0 @ (cons0 @ (c_4 @ A @ B) @ nil0))))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXISTSu_PATHu_SUBPATHu_TOu_FRONTIER, axiom, ![G:(cartrealn1 > cartrealn),S:(cartrealn > $o)]:(((path0 @ G) & (in2 @ (pathstart @ G) @ S) & ~ ((in2 @ (pathfinish @ G) @ S))) => ?[H:(cartrealn1 > cartrealn)]:((path0 @ H) & ((pathstart @ H) = (pathstart @ G)) & (subset @ (pathu_image0 @ H) @ (pathu_image0 @ G)) & (subset @ (delete @ (pathu_image0 @ H) @ (pathfinish @ H)) @ (interior @ S)) & (in2 @ (pathfinish @ H) @ (frontier @ S))))).
thf(aFRONTIERu_COMPLEMENT, axiom, ![S:(cartrealn > $o)]:((frontier @ (diff @ univ @ S)) = (frontier @ S))).
thf(aHULLu_MINIMAL, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (P @ T)) => (subset @ (hull @ P @ S) @ T))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in3 @ X @ P) <=> (P @ X))).
thf(aINSERTu_SUBSET, axiom, ![X:cartrealn,S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ (insert @ X @ S) @ T) <=> ((in2 @ X @ T) & (subset @ S @ T)))).
thf(aINTERIORu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((interior @ (diff @ S @ T)) = (diff @ (interior @ S) @ (closure0 @ T)))).
thf(aINTERIORu_UNIV, axiom, ((interior @ univ) = univ)).
thf(aINu_CBALL, axiom, ![X:cartrealq168451,Y:cartrealq168451,E:real]:((in4 @ Y @ (cball1 @ (c_5 @ X @ E))) <=> (realu_le @ (distance1 @ (c_6 @ X @ Y)) @ E))).
thf(aINu_DELETE, axiom, ![S:((cartrealn > $o) > $o),X:(cartrealn > $o),Y:(cartrealn > $o)]:((in5 @ X @ (delete0 @ S @ Y)) <=> ((in5 @ X @ S) & ~ ((X = Y))))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in3 @ X @ (diff0 @ S @ T)) <=> ((in3 @ X @ S) & ~ ((in3 @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in2 @ X @ (inter @ S @ T)) <=> ((in2 @ X @ S) & (in2 @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in3 @ X @ (union0 @ S @ T)) <=> ((in3 @ X @ S) | (in3 @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:a]:(in3 @ X @ univ0)).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn > $o)]:(?[X:cartrealn]:(in2 @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_CLOSED, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> (closed @ (diff @ univ @ S)))).
thf(aOPENu_CONTAINSu_CBALL, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> ![X:cartrealn]:((in2 @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subset @ (cball0 @ (c_2 @ X @ E)) @ S))))).
thf(aOUTSIDEu_BOUNDEDu_NONEMPTY, axiom, ![S:(cartrealn > $o)]:((bounded @ S) => ~ (((outside @ S) = empty)))).
thf(aOUTSIDEu_SAMEu_COMPONENT, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:(((connectedu_component @ (diff @ univ @ S) @ X @ Y) & (in2 @ X @ (outside @ S))) => (in2 @ Y @ (outside @ S)))).
thf(aPATHFINISHu_INu_PATHu_IMAGE, axiom, ![G:(cartrealn1 > cartrealq301134)]:(in6 @ (pathfinish0 @ G) @ (pathu_image1 @ G))).
thf(aPATHFINISHu_LINEPATH, axiom, ![A:cartrealq308979,B:cartrealq308979]:((pathfinish1 @ (linepath @ (c_7 @ A @ B))) = B)).
thf(aPATHSTARTu_INu_PATHu_IMAGE, axiom, ![G:(cartrealn1 > cartrealq301122)]:(in7 @ (pathstart0 @ G) @ (pathu_image2 @ G))).
thf(aPATHSTARTu_LINEPATH, axiom, ![A:cartrealq308959,B:cartrealq308959]:((pathstart1 @ (linepath0 @ (c_8 @ A @ B))) = A)).
thf(aPATHu_IMAGEu_LINEPATH, axiom, ![A:cartrealn,B:cartrealn]:((pathu_image0 @ (linepath1 @ (c_9 @ A @ B))) = (closedu_segment1 @ (cons1 @ (c_9 @ A @ B) @ nil1)))).
thf(aPATHu_LINEPATH, axiom, ![A:cartrealq309094,B:cartrealq309094]:(path1 @ (linepath2 @ (c_10 @ A @ B)))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aSEGMENTu_CONVEXu_HULL, axiom, ![A:cartrealn,B:cartrealn]:((closedu_segment1 @ (cons1 @ (c_9 @ A @ B) @ nil1)) = (hull @ convex @ (insert @ A @ (insert @ B @ empty))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in2 @ X @ S) => (in2 @ X @ T)))).
thf(aSUBSETu_TRANS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(aUNIONu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:((subset @ (union @ S @ T) @ U) <=> ((subset @ S @ U) & (subset @ T @ U)))).
thf(aclosed, axiom, ![S:(cartrealn > $o)]:((closed @ S) <=> (open @ (diff @ univ @ S)))).
thf(aconnectedu_component, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((connectedu_component @ S @ X @ Y) <=> ?[T:(cartrealn > $o)]:((connected1 @ T) & (subset @ T @ S) & (in2 @ X @ T) & (in2 @ Y @ T)))).
thf(afrontier, axiom, ![S:(cartrealn > $o)]:((frontier @ S) = (diff @ (closure0 @ S) @ (interior @ S)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((compact @ S) & (open @ T) & (subset @ S @ T) & ~ ((T = empty))) => ~ (((inter @ (outside @ S) @ T) = empty)))).
