%   ORIGINAL: HOMOTOPIC_WITH_REFL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_ON_COMPOSE: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: CONTINUOUS_ON_SUBSET: !f s t. f continuous_on s /\ t SUBSET s ==> f continuous_on t
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_GSPEC_conjunct1: !P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: HOMOTOPIC_WITH_IMP_CONTINUOUS: !P X Y f g. homotopic_with P (X,Y) f g ==> f continuous_on X /\ g continuous_on X
% Assm: HOMOTOPIC_WITH_IMP_PROPERTY: !P X Y f g. homotopic_with P (X,Y) f g ==> P f /\ P g
% Assm: HOMOTOPIC_WITH_IMP_SUBSET: !P X Y f g. homotopic_with P (X,Y) f g ==> IMAGE f X SUBSET Y /\ IMAGE g X SUBSET Y
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_CONTINUOUS_ON: !f s. linear f ==> f continuous_on s
% Assm: LINEAR_SNDCART: linear sndcart
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SNDCART_PASTECART: !x y. sndcart (pastecart x y) = y
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: homotopic_with: !X Y p q P. homotopic_with P (X,Y) p q <=> (?h. h continuous_on {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} /\ IMAGE h {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} SUBSET Y /\ (!x. h (pastecart (vec 0) x) = p x) /\ (!x. h (pastecart (vec 1) x) = q x) /\ (!t. t IN interval [vec 0,vec 1] ==> P (\x. h (pastecart t x))))
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !P X Y f. homotopic_with P (X,Y) f f <=> f continuous_on X /\ IMAGE f X SUBSET Y /\ P f
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: !f s t. f continuous_on s /\ t SUBSET s ==> f continuous_on t
% Assm: !t. (\x. t x) = t
% Assm: !Q P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P X Y f g. homotopic_with P (X,Y) f g ==> f continuous_on X /\ g continuous_on X
% Assm: !P X Y f g. homotopic_with P (X,Y) f g ==> P f /\ P g
% Assm: !P X Y f g. homotopic_with P (X,Y) f g ==> IMAGE f X SUBSET Y /\ IMAGE g X SUBSET Y
% Assm: !x. I x <=> x
% Assm: !f s. linear f ==> f continuous_on s
% Assm: linear sndcart
% Assm: ~F <=> T
% Assm: !x y. sndcart (pastecart x y) = y
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !X Y p q P. homotopic_with P (X,Y) p q <=> (?h. h continuous_on {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} /\ IMAGE h {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} SUBSET Y /\ (!x. h (pastecart (vec 0) x) = p x) /\ (!x. h (pastecart (vec 1) x) = q x) /\ (!t. t IN interval [vec 0,vec 1] ==> P (\x. h (pastecart t x))))
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !P X Y f. homotopic_with P (X,Y) f f <=> f continuous_on X /\ IMAGE f X SUBSET Y /\ P f
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartafiniteu_summn, type, cartafinite_summn : $tType).
thf(tcartam, type, cartam : $tType).
thf(tcartrealfiniteu_sumn1m, type, cartrealfinite_sumn1m : $tType).
thf(tcartan, type, cartan : $tType).
thf(tnum, type, num : $tType).
thf(tq48288, type, q48288 : $tType).
thf(tq48223, type, q48223 : $tType).
thf(tq48224, type, q48224 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(tfiniteu_sumq117147q117149, type, finite_sumq117147q117149 : $tType).
thf(tfiniteu_summn, type, finite_summn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq117149, type, cartrealq117149 : $tType).
thf(tq117147, type, q117147 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tq117149, type, q117149 : $tType).
thf(tprodfuncartrealmboolfuncartrealnbool, type, prodfuncartrealmboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tcartrealfiniteu_sumq117147q117149, type, cartrealfinite_sumq117147q117149 : $tType).
thf(tfiniteu_sumn1m, type, finite_sumn1m : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cvec, type, vec : (num > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin2, type, in2 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealfinite_sumn1m > $o) > cartrealfinite_sumn1m > $o)).
thf(ccontinuousuu_on1, type, continuousu_on1 : ((cartrealfinite_sumn1m > cartrealn) > (cartrealfinite_sumn1m > $o) > $o)).
thf(cin1, type, in1 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((q48288 > $o) > q48288 > $o)).
thf(cin, type, in : (q48288 > (q48288 > $o) > $o)).
thf(csubset0, type, subset0 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealn > cartrealn) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(cimage0, type, image0 : ((cartrealfinite_sumn1m > cartrealn) > (cartrealfinite_sumn1m > $o) > cartrealn > $o)).
thf(cpastecart0, type, pastecart0 : (cartrealn1 > cartrealm > cartrealfinite_sumn1m)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(csetspec0, type, setspec0 : (cartrealfinite_sumn1m > $o > cartrealfinite_sumn1m > $o)).
thf(cpastecart, type, pastecart : (cartam > cartan > cartafinite_summn)).
thf(csetspec, type, setspec : (q48288 > $o > q48288 > $o)).
thf(co, type, o : ((cartrealn > cartrealn) > (cartrealm > cartrealn) > cartrealm > cartrealn)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : ((cartrealm > $o) > (cartrealn > $o) > prodfuncartrealmboolfuncartrealnbool)).
thf(chomotopicuu_with, type, homotopicu_with : (((cartrealm > cartrealn) > $o) > prodfuncartrealmboolfuncartrealnbool > (cartrealm > cartrealn) > (cartrealm > cartrealn) > $o)).
thf(ci, type, i : ($o > $o)).
thf(clinear0, type, linear0 : ((cartrealfinite_sumq117147q117149 > cartrealq117149) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(csndcart0, type, sndcart0 : (cartafinite_summn > cartan)).
thf(csndcart, type, sndcart : (cartrealfinite_sumq117147q117149 > cartrealq117149)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ONu_COMPOSE, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealn),S:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (continuousu_on0 @ G @ (image @ F @ S))) => (continuousu_on @ (o @ G @ F) @ S))).
thf(aCONTINUOUSu_ONu_SUBSET, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (subset0 @ T @ S)) => (continuousu_on @ F @ T))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_INu_GSPECu_conjunct1, axiom, ![Q:(q48288 > $o),P:(q48224 > q48223 > $o),F:(q48224 > q48223 > q48288)]:(![Z:q48288]:((in @ Z @ (gspec @ ^[GENR_PVARR_21:q48288]:?[X:q48224,Y:q48223]:(setspec @ GENR_PVARR_21 @ (P @ X @ Y) @ (F @ X @ Y)))) => (Q @ Z)) <=> ![X:q48224,Y:q48223]:((P @ X @ Y) => (Q @ (F @ X @ Y))))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(![Y:cartrealn]:((in0 @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealm]:((in1 @ X @ S) => (P @ (F @ X))))).
thf(aHOMOTOPICu_WITHu_IMPu_CONTINUOUS, axiom, ![P:((cartrealm > cartrealn) > $o),X:(cartrealm > $o),Y:(cartrealn > $o),F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:((homotopicu_with @ P @ (c_ @ X @ Y) @ F @ G) => ((continuousu_on @ F @ X) & (continuousu_on @ G @ X)))).
thf(aHOMOTOPICu_WITHu_IMPu_PROPERTY, axiom, ![P:((cartrealm > cartrealn) > $o),X:(cartrealm > $o),Y:(cartrealn > $o),F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:((homotopicu_with @ P @ (c_ @ X @ Y) @ F @ G) => ((P @ F) & (P @ G)))).
thf(aHOMOTOPICu_WITHu_IMPu_SUBSET, axiom, ![P:((cartrealm > cartrealn) > $o),X:(cartrealm > $o),Y:(cartrealn > $o),F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:((homotopicu_with @ P @ (c_ @ X @ Y) @ F @ G) => ((subset @ (image @ F @ X) @ Y) & (subset @ (image @ G @ X) @ Y)))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aLINEARu_CONTINUOUSu_ON, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => (continuousu_on @ F @ S))).
thf(aLINEARu_SNDCART, axiom, (linear0 @ sndcart)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSNDCARTu_PASTECART, axiom, ![X:cartam,Y:cartan]:((sndcart0 @ (pastecart @ X @ Y)) = Y)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(ahomotopicu_with, axiom, ![X:(cartrealm > $o),Y:(cartrealn > $o),P:(cartrealm > cartrealn),Q:(cartrealm > cartrealn),P0:((cartrealm > cartrealn) > $o)]:((homotopicu_with @ P0 @ (c_ @ X @ Y) @ P @ Q) <=> ?[H:(cartrealfinite_sumn1m > cartrealn)]:((continuousu_on1 @ H @ (gspec0 @ ^[GENR_PVARR_1130:cartrealfinite_sumn1m]:?[T:cartrealn1,X0:cartrealm]:(setspec0 @ GENR_PVARR_1130 @ ((in2 @ T @ (closedu_interval @ (cons @ (c_0 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & (in1 @ X0 @ X)) @ (pastecart0 @ T @ X0)))) & (subset @ (image0 @ H @ (gspec0 @ ^[GENR_PVARR_1131:cartrealfinite_sumn1m]:?[T:cartrealn1,X0:cartrealm]:(setspec0 @ GENR_PVARR_1131 @ ((in2 @ T @ (closedu_interval @ (cons @ (c_0 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & (in1 @ X0 @ X)) @ (pastecart0 @ T @ X0)))) @ Y) & ![X0:cartrealm]:((H @ (pastecart0 @ (vec @ (numeral @ u_0)) @ X0)) = (P @ X0)) & ![X0:cartrealm]:((H @ (pastecart0 @ (vec @ (numeral @ (bit1 @ u_0))) @ X0)) = (Q @ X0)) & ![T:cartrealn1]:((in2 @ T @ (closedu_interval @ (cons @ (c_0 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) => (P0 @ ^[X0:cartrealm]:(H @ (pastecart0 @ T @ X0))))))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![P:((cartrealm > cartrealn) > $o),X:(cartrealm > $o),Y:(cartrealn > $o),F:(cartrealm > cartrealn)]:((homotopicu_with @ P @ (c_ @ X @ Y) @ F @ F) <=> ((continuousu_on @ F @ X) & (subset @ (image @ F @ X) @ Y) & (P @ F)))).
