%   ORIGINAL: HOMOTOPIC_PATHS_JOIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct3: !n. BIT1 n <= _0 <=> F
% Assm: ARITH_LE_conjunct5: !n. _0 <= BIT1 n <=> T
% Assm: ARITH_LE_conjunct7: !m n. BIT0 m <= BIT1 n <=> m <= n
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: DROP_VEC: !n. drop (vec n) = &n
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_GSPEC_conjunct1: !P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FSTCART_PASTECART: !x y. fstcart (pastecart x y) = x
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HOMOTOPIC_JOIN_LEMMA: !p q. (\y. p (fstcart y) (sndcart y)) continuous_on {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN interval [vec 0,vec 1]} /\ (\y. q (fstcart y) (sndcart y)) continuous_on {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN interval [vec 0,vec 1]} /\ (!t. t IN interval [vec 0,vec 1] ==> pathfinish (p t) = pathstart (q t)) ==> (\y. (p (fstcart y) ++ q (fstcart y)) (sndcart y)) continuous_on {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN interval [vec 0,vec 1]}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LE_0: !n. 0 <= n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: PASTECART_FST_SND: !z. pastecart (fstcart z) (sndcart z) = z
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SNDCART_PASTECART: !x y. sndcart (pastecart x y) = y
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_PATH_IMAGE_JOIN: !g1 g2 s. path_image g1 SUBSET s /\ path_image g2 SUBSET s ==> path_image (g1 ++ g2) SUBSET s
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: VECTOR_MUL_RZERO: c % vec 0 = vec 0
% Assm: homotopic_paths: !s p q. homotopic_paths s p q <=> homotopic_with (\r. pathstart r = pathstart p /\ pathfinish r = pathfinish p) (interval [vec 0,vec 1],s) p q
% Assm: homotopic_with: !X Y p q P. homotopic_with P (X,Y) p q <=> (?h. h continuous_on {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} /\ IMAGE h {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} SUBSET Y /\ (!x. h (pastecart (vec 0) x) = p x) /\ (!x. h (pastecart (vec 1) x) = q x) /\ (!t. t IN interval [vec 0,vec 1] ==> P (\x. h (pastecart t x))))
% Assm: joinpaths: !g1 g2. g1 ++ g2 = (\x. if drop x <= &1 / &2 then g1 (&2 % x) else g2 (&2 % x - vec 1))
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: path_image: !g. path_image g = IMAGE g (interval [vec 0,vec 1])
% Assm: pathfinish: !g. pathfinish g = g (vec 1)
% Assm: pathstart: !g. pathstart g = g (vec 0)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: vector_mul: !c x. c % x = (lambda i. c * x$i)
% Assm: vector_sub: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !s p q p' q'. homotopic_paths s p p' /\ homotopic_paths s q q' /\ pathfinish p = pathstart q ==> homotopic_paths s (p ++ q) (p' ++ q')
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: _0 = _0 <=> T
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: !n. BIT1 n <= _0 <=> F
% Assm: !n. _0 <= BIT1 n <=> T
% Assm: !m n. BIT0 m <= BIT1 n <=> m <= n
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !n. drop (vec n) = &n
% Assm: !t. (\x. t x) = t
% Assm: !Q P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !x y. fstcart (pastecart x y) = x
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !p q. (\y. p (fstcart y) (sndcart y)) continuous_on {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN interval [vec 0,vec 1]} /\ (\y. q (fstcart y) (sndcart y)) continuous_on {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN interval [vec 0,vec 1]} /\ (!t. t IN interval [vec 0,vec 1] ==> pathfinish (p t) = pathstart (q t)) ==> (\y. (p (fstcart y) ++ q (fstcart y)) (sndcart y)) continuous_on {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN interval [vec 0,vec 1]}
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !n. 0 <= n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !z. pastecart (fstcart z) (sndcart z) = z
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !x y. sndcart (pastecart x y) = y
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !g1 g2 s. path_image g1 SUBSET s /\ path_image g2 SUBSET s ==> path_image (g1 ++ g2) SUBSET s
% Assm: T
% Assm: 2 = SUC 1
% Assm: !c. c % vec 0 = vec 0
% Assm: !s p q. homotopic_paths s p q <=> homotopic_with (\r. pathstart r = pathstart p /\ pathfinish r = pathfinish p) (interval [vec 0,vec 1],s) p q
% Assm: !X Y p q P. homotopic_with P (X,Y) p q <=> (?h. h continuous_on {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} /\ IMAGE h {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} SUBSET Y /\ (!x. h (pastecart (vec 0) x) = p x) /\ (!x. h (pastecart (vec 1) x) = q x) /\ (!t. t IN interval [vec 0,vec 1] ==> P (\x. h (pastecart t x))))
% Assm: !g1 g2. g1 ++ g2 = (\x. if drop x <= &1 / &2 then g1 (&2 % x) else g2 (&2 % x - vec 1))
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !g. path_image g = IMAGE g (interval [vec 0,vec 1])
% Assm: !g. pathfinish g = g (vec 1)
% Assm: !g. pathstart g = g (vec 0)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !c x. c % x = (lambda i. c * x$i)
% Assm: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !s p q p' q'. homotopic_paths s p p' /\ homotopic_paths s q q' /\ pathfinish p = pathstart q ==> homotopic_paths s (p ++ q) (p' ++ q')
%  TYPES
thf(tcartrealfiniteu_summn, type, cartrealfinite_summn : $tType).
thf(tfiniteu_sumq77675q77673, type, finite_sumq77675q77673 : $tType).
thf(tcartrealfiniteu_sumnn, type, cartrealfinite_sumnn : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartrealfiniteu_sumn1m, type, cartrealfinite_sumn1m : $tType).
thf(tq48288, type, q48288 : $tType).
thf(tnum, type, num : $tType).
thf(tq48223, type, q48223 : $tType).
thf(tq48224, type, q48224 : $tType).
thf(ta, type, a : $tType).
thf(tcartq77678q77675, type, cartq77678q77675 : $tType).
thf(tq47565, type, q47565 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(tq77673, type, q77673 : $tType).
thf(tq47566, type, q47566 : $tType).
thf(tcartq77678q77673, type, cartq77678q77673 : $tType).
thf(tfiniteu_summn, type, finite_summn : $tType).
thf(tq77675, type, q77675 : $tType).
thf(treal, type, real : $tType).
thf(tfiniteu_sumn1n1, type, finite_sumn1n1 : $tType).
thf(tfiniteu_sumnn, type, finite_sumnn : $tType).
thf(tn1, type, n1 : $tType).
thf(tq77678, type, q77678 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodfuncartrealmboolfuncartrealnbool, type, prodfuncartrealmboolfuncartrealnbool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tprodfuncartrealn1boolfuncartrealnbool, type, prodfuncartrealn1boolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tfuncartrealn1bool, type, funcartrealn1bool : $tType).
thf(tcartq77678finiteu_sumq77675q77673, type, cartq77678finite_sumq77675q77673 : $tType).
thf(tcartcartrealnb, type, cartcartrealnb : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tcartrealfiniteu_sumn1n1, type, cartrealfinite_sumn1n1 : $tType).
thf(tfiniteu_sumn1m, type, finite_sumn1m : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cin5, type, in5 : (cartrealm > (cartrealm > $o) > $o)).
thf(cgspec2, type, gspec2 : ((cartrealfinite_sumn1m > $o) > cartrealfinite_sumn1m > $o)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealfinite_sumn1m > cartrealn) > (cartrealfinite_sumn1m > $o) > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cgspec1, type, gspec1 : ((cartrealn > $o) > cartrealn > $o)).
thf(cin4, type, in4 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin3, type, in3 : (a > (a > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin2, type, in2 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealfinite_sumn1n1 > $o) > cartrealfinite_sumn1n1 > $o)).
thf(csndcart, type, sndcart : (cartrealfinite_sumn1n1 > cartrealn1)).
thf(cfstcart0, type, fstcart0 : (cartrealfinite_sumn1n1 > cartrealn1)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealfinite_sumn1n1 > cartrealn) > (cartrealfinite_sumn1n1 > $o) > $o)).
thf(cin1, type, in1 : (q47566 > (q47566 > $o) > $o)).
thf(cin0, type, in0 : (q47565 > (q47565 > $o) > $o)).
thf(cgspec, type, gspec : ((q48288 > $o) > q48288 > $o)).
thf(cin, type, in : (q48288 > (q48288 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clambda0, type, lambda0 : ((num > cartrealn) > cartcartrealnb)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn > cartrealn > cartrealn)).
thf(cimage2, type, image2 : ((cartrealn1 > cartrealn) > (cartrealn1 > $o) > cartrealn > $o)).
thf(co, type, o : ((b > c) > (a > b) > a > c)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cru_0, type, r_0 : (real > cartrealn1 > cartrealn1)).
thf(cimage1, type, image1 : ((cartrealfinite_sumn1m > cartrealn) > (cartrealfinite_sumn1m > $o) > cartrealn > $o)).
thf(cpastecart3, type, pastecart3 : (cartrealn1 > cartrealm > cartrealfinite_sumn1m)).
thf(csetspec2, type, setspec2 : (cartrealfinite_sumn1m > $o > cartrealfinite_sumn1m > $o)).
thf(ccu_1, type, c_1 : ((cartrealm > $o) > (cartrealn > $o) > prodfuncartrealmboolfuncartrealnbool)).
thf(chomotopicuu_with0, type, homotopicu_with0 : (((cartrealm > cartrealn) > $o) > prodfuncartrealmboolfuncartrealnbool > (cartrealm > cartrealn) > (cartrealm > cartrealn) > $o)).
thf(ccu_0, type, c_0 : ((cartrealn1 > $o) > (cartrealn > $o) > prodfuncartrealn1boolfuncartrealnbool)).
thf(chomotopicuu_with, type, homotopicu_with : (((cartrealn1 > cartrealn) > $o) > prodfuncartrealn1boolfuncartrealnbool > (cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cpastecart2, type, pastecart2 : (cartrealm > cartrealn > cartrealfinite_summn)).
thf(cpastecart1, type, pastecart1 : (cartq77678q77675 > cartq77678q77673 > cartq77678finite_sumq77675q77673)).
thf(cdu_0, type, d_0 : (cartcartrealnb > num > cartrealn)).
thf(cimage0, type, image0 : ((a > cartrealn) > (a > $o) > cartrealn > $o)).
thf(csetspec1, type, setspec1 : (cartrealn > $o > cartrealn > $o)).
thf(cpastecart0, type, pastecart0 : (cartrealn1 > cartrealn1 > cartrealfinite_sumn1n1)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(csetspec0, type, setspec0 : (cartrealfinite_sumn1n1 > $o > cartrealfinite_sumn1n1 > $o)).
thf(cpastecart, type, pastecart : (cartrealn > cartrealn > cartrealfinite_sumnn)).
thf(cimage, type, image : ((q47566 > q47565) > (q47566 > $o) > q47565 > $o)).
thf(csetspec, type, setspec : (q48288 > $o > q48288 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > cartrealn > cartrealn > cartrealn)).
thf(cpu_pu_, type, p_p_ : ((cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > cartrealn1 > cartrealn)).
thf(chomotopicuu_paths, type, homotopicu_paths : ((cartrealn > $o) > (cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > $o)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(cvec0, type, vec0 : (num > cartrealn)).
thf(csndcart1, type, sndcart1 : (cartrealfinite_summn > cartrealn)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cfstcart, type, fstcart : (cartrealfinite_sumnn > cartrealn)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealn) > cartrealn)).
thf(csndcart0, type, sndcart0 : (cartq77678finite_sumq77675q77673 > cartq77678q77673)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cfstcart1, type, fstcart1 : (cartq77678finite_sumq77675q77673 > cartq77678q77675)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct3, axiom, ![N:num]:((l_a_ @ (bit1 @ N) @ u_0) <=> $false)).
thf(aARITHu_LEu_conjunct5, axiom, ![N:num]:((l_a_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_LEu_conjunct7, axiom, ![M:num,N:num]:((l_a_ @ (bit0 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn,T2:cartrealn]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDROPu_VEC, axiom, ![N:num]:((drop @ (vec @ N)) = (realu_ofu_num @ N))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_INu_GSPECu_conjunct1, axiom, ![Q:(q48288 > $o),P:(q48224 > q48223 > $o),F:(q48224 > q48223 > q48288)]:(![Z:q48288]:((in @ Z @ (gspec @ ^[GENR_PVARR_21:q48288]:?[X:q48224,Y:q48223]:(setspec @ GENR_PVARR_21 @ (P @ X @ Y) @ (F @ X @ Y)))) => (Q @ Z)) <=> ![X:q48224,Y:q48223]:((P @ X @ Y) => (Q @ (F @ X @ Y))))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(q47565 > $o),F:(q47566 > q47565),S:(q47566 > $o)]:(![Y:q47565]:((in0 @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:q47566]:((in1 @ X @ S) => (P @ (F @ X))))).
thf(aFSTCARTu_PASTECART, axiom, ![X:cartrealn,Y:cartrealn]:((fstcart @ (pastecart @ X @ Y)) = X)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHOMOTOPICu_JOINu_LEMMA, axiom, ![P:(cartrealn1 > cartrealn1 > cartrealn),Q:(cartrealn1 > cartrealn1 > cartrealn)]:(((continuousu_on @ ^[Y:cartrealfinite_sumn1n1]:(P @ (fstcart0 @ Y) @ (sndcart @ Y)) @ (gspec0 @ ^[GENR_PVARR_1139:cartrealfinite_sumn1n1]:?[T:cartrealn1,X:cartrealn1]:(setspec0 @ GENR_PVARR_1139 @ ((in2 @ T @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & (in2 @ X @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil)))) @ (pastecart0 @ T @ X)))) & (continuousu_on @ ^[Y:cartrealfinite_sumn1n1]:(Q @ (fstcart0 @ Y) @ (sndcart @ Y)) @ (gspec0 @ ^[GENR_PVARR_1140:cartrealfinite_sumn1n1]:?[T:cartrealn1,X:cartrealn1]:(setspec0 @ GENR_PVARR_1140 @ ((in2 @ T @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & (in2 @ X @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil)))) @ (pastecart0 @ T @ X)))) & ![T:cartrealn1]:((in2 @ T @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) => ((pathfinish @ (P @ T)) = (pathstart @ (Q @ T))))) => (continuousu_on @ ^[Y:cartrealfinite_sumn1n1]:(p_p_ @ (P @ (fstcart0 @ Y)) @ (Q @ (fstcart0 @ Y)) @ (sndcart @ Y)) @ (gspec0 @ ^[GENR_PVARR_1141:cartrealfinite_sumn1n1]:?[T:cartrealn1,X:cartrealn1]:(setspec0 @ GENR_PVARR_1141 @ ((in2 @ T @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & (in2 @ X @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil)))) @ (pastecart0 @ T @ X)))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in3 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in4 @ X @ (gspec1 @ ^[V:cartrealn]:(P @ (setspec1 @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(a > $o),F:(a > cartrealn)]:((in4 @ Y @ (image0 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in3 @ X @ S)))).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aPASTECARTu_FSTu_SND, axiom, ![Z:cartq77678finite_sumq77675q77673]:((pastecart1 @ (fstcart1 @ Z) @ (sndcart0 @ Z)) = Z)).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSNDCARTu_PASTECART, axiom, ![X:cartrealm,Y:cartrealn]:((sndcart1 @ (pastecart2 @ X @ Y)) = Y)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in3 @ X @ S) => (in3 @ X @ T)))).
thf(aSUBSETu_PATHu_IMAGEu_JOIN, axiom, ![G1:(cartrealn1 > cartrealn),G2:(cartrealn1 > cartrealn),S:(cartrealn > $o)]:(((subset0 @ (pathu_image @ G1) @ S) & (subset0 @ (pathu_image @ G2) @ S)) => (subset0 @ (pathu_image @ (p_p_ @ G1 @ G2)) @ S))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aVECTORu_MULu_RZERO, axiom, ![C:real]:((r_ @ C @ (vec0 @ (numeral @ u_0))) = (vec0 @ (numeral @ u_0)))).
thf(ahomotopicu_paths, axiom, ![S:(cartrealn > $o),P:(cartrealn1 > cartrealn),Q:(cartrealn1 > cartrealn)]:((homotopicu_paths @ S @ P @ Q) <=> (homotopicu_with @ ^[R:(cartrealn1 > cartrealn)]:(((pathstart @ R) = (pathstart @ P)) & ((pathfinish @ R) = (pathfinish @ P))) @ (c_0 @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil)) @ S) @ P @ Q))).
thf(ahomotopicu_with, axiom, ![X:(cartrealm > $o),Y:(cartrealn > $o),P:(cartrealm > cartrealn),Q:(cartrealm > cartrealn),P0:((cartrealm > cartrealn) > $o)]:((homotopicu_with0 @ P0 @ (c_1 @ X @ Y) @ P @ Q) <=> ?[H:(cartrealfinite_sumn1m > cartrealn)]:((continuousu_on0 @ H @ (gspec2 @ ^[GENR_PVARR_1130:cartrealfinite_sumn1m]:?[T:cartrealn1,X0:cartrealm]:(setspec2 @ GENR_PVARR_1130 @ ((in2 @ T @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & (in5 @ X0 @ X)) @ (pastecart3 @ T @ X0)))) & (subset0 @ (image1 @ H @ (gspec2 @ ^[GENR_PVARR_1131:cartrealfinite_sumn1m]:?[T:cartrealn1,X0:cartrealm]:(setspec2 @ GENR_PVARR_1131 @ ((in2 @ T @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & (in5 @ X0 @ X)) @ (pastecart3 @ T @ X0)))) @ Y) & ![X0:cartrealm]:((H @ (pastecart3 @ (vec @ (numeral @ u_0)) @ X0)) = (P @ X0)) & ![X0:cartrealm]:((H @ (pastecart3 @ (vec @ (numeral @ (bit1 @ u_0))) @ X0)) = (Q @ X0)) & ![T:cartrealn1]:((in2 @ T @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) => (P0 @ ^[X0:cartrealm]:(H @ (pastecart3 @ T @ X0))))))).
thf(ajoinpaths, axiom, ![G1:(cartrealn1 > cartrealn),G2:(cartrealn1 > cartrealn)]:((p_p_ @ G1 @ G2) = ^[X:cartrealn1]:(cond @ (realu_le @ (drop @ X) @ (realu_div @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (G1 @ (r_0 @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ X)) @ (G2 @ (vectoru_sub @ (r_0 @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ X) @ (vec @ (numeral @ (bit1 @ u_0)))))))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(apathu_image, axiom, ![G:(cartrealn1 > cartrealn)]:((pathu_image @ G) = (image2 @ G @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))))).
thf(apathfinish, axiom, ![G:(cartrealn1 > cartrealn)]:((pathfinish @ G) = (G @ (vec @ (numeral @ (bit1 @ u_0)))))).
thf(apathstart, axiom, ![G:(cartrealn1 > cartrealn)]:((pathstart @ G) = (G @ (vec @ (numeral @ u_0))))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(avectoru_mul, axiom, ![C:real,X:cartrealn]:((r_ @ C @ X) = (lambda1 @ ^[I:num]:(realu_mul @ C @ (d_ @ X @ I))))).
thf(avectoru_sub, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_sub0 @ X @ Y) = (lambda1 @ ^[I:num]:(realu_sub @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),P:(cartrealn1 > cartrealn),Q:(cartrealn1 > cartrealn),PI_:(cartrealn1 > cartrealn),QI_:(cartrealn1 > cartrealn)]:(((homotopicu_paths @ S @ P @ PI_) & (homotopicu_paths @ S @ Q @ QI_) & ((pathfinish @ P) = (pathstart @ Q))) => (homotopicu_paths @ S @ (p_p_ @ P @ Q) @ (p_p_ @ PI_ @ QI_)))).
