%   ORIGINAL: HOMOTOPIC_LOOPS_IMP_PATH_COMPONENT_VALUE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_ON_COMPOSE: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: CONTINUOUS_ON_CONST: !s c. (\x. c) continuous_on s
% Assm: CONTINUOUS_ON_ID: !s. (\x. x) continuous_on s
% Assm: CONTINUOUS_ON_PASTECART: !f g s. f continuous_on s /\ g continuous_on s ==> (\x. pastecart (f x) (g x)) continuous_on s
% Assm: CONTINUOUS_ON_SUBSET: !f s t. f continuous_on s /\ t SUBSET s ==> f continuous_on t
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: homotopic_loops: !s p q. homotopic_loops s p q <=> homotopic_with (\r. pathfinish r = pathstart r) (interval [vec 0,vec 1],s) p q
% Assm: homotopic_with: !X Y p q P. homotopic_with P (X,Y) p q <=> (?h. h continuous_on {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} /\ IMAGE h {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} SUBSET Y /\ (!x. h (pastecart (vec 0) x) = p x) /\ (!x. h (pastecart (vec 1) x) = q x) /\ (!t. t IN interval [vec 0,vec 1] ==> P (\x. h (pastecart t x))))
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: path: !g. path g <=> g continuous_on interval [vec 0,vec 1]
% Assm: path_component: !s x y. path_component s x y <=> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y)
% Assm: path_image: !g. path_image g = IMAGE g (interval [vec 0,vec 1])
% Assm: pathfinish: !g. pathfinish g = g (vec 1)
% Assm: pathstart: !g. pathstart g = g (vec 0)
% Goal: !s p q t. homotopic_loops s p q /\ t IN interval [vec 0,vec 1] ==> path_component s (p t) (q t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: !s c. (\x. c) continuous_on s
% Assm: !s. (\x. x) continuous_on s
% Assm: !f g s. f continuous_on s /\ g continuous_on s ==> (\x. pastecart (f x) (g x)) continuous_on s
% Assm: !f s t. f continuous_on s /\ t SUBSET s ==> f continuous_on t
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s p q. homotopic_loops s p q <=> homotopic_with (\r. pathfinish r = pathstart r) (interval [vec 0,vec 1],s) p q
% Assm: !X Y p q P. homotopic_with P (X,Y) p q <=> (?h. h continuous_on {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} /\ IMAGE h {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} SUBSET Y /\ (!x. h (pastecart (vec 0) x) = p x) /\ (!x. h (pastecart (vec 1) x) = q x) /\ (!t. t IN interval [vec 0,vec 1] ==> P (\x. h (pastecart t x))))
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !g. path g <=> g continuous_on interval [vec 0,vec 1]
% Assm: !s x y. path_component s x y <=> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y)
% Assm: !g. path_image g = IMAGE g (interval [vec 0,vec 1])
% Assm: !g. pathfinish g = g (vec 1)
% Assm: !g. pathstart g = g (vec 0)
% Goal: !s p q t. homotopic_loops s p q /\ t IN interval [vec 0,vec 1] ==> path_component s (p t) (q t)
%  TYPES
thf(tp, type, p : $tType).
thf(tcartrealq190317, type, cartrealq190317 : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq189746, type, q189746 : $tType).
thf(tcartrealq190450, type, cartrealq190450 : $tType).
thf(tq190450, type, q190450 : $tType).
thf(tq188812, type, q188812 : $tType).
thf(tcartrealq189747, type, cartrealq189747 : $tType).
thf(tq189747, type, q189747 : $tType).
thf(tq190451, type, q190451 : $tType).
thf(tnum, type, num : $tType).
thf(tq188813, type, q188813 : $tType).
thf(ta, type, a : $tType).
thf(tq190454, type, q190454 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(tcartrealq188813, type, cartrealq188813 : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tfiniteu_sumn1n1, type, finite_sumn1n1 : $tType).
thf(tcartrealq189746, type, cartrealq189746 : $tType).
thf(tcartrealq190454, type, cartrealq190454 : $tType).
thf(tn1, type, n1 : $tType).
thf(tfiniteu_sumnp, type, finite_sumnp : $tType).
thf(tq190317, type, q190317 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodfuncartrealn1boolfuncartrealnbool, type, prodfuncartrealn1boolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tfuncartrealn1bool, type, funcartrealn1bool : $tType).
thf(tcartrealq188812, type, cartrealq188812 : $tType).
thf(tcartrealq190451, type, cartrealq190451 : $tType).
thf(tcartrealfiniteu_sumn1n1, type, cartrealfinite_sumn1n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tm, type, m : $tType).
thf(tcartrealfiniteu_sumnp, type, cartrealfinite_sumnp : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(ccontinuousuu_on9, type, continuousu_on9 : ((cartrealn1 > cartrealn) > (cartrealn1 > $o) > $o)).
thf(csubset1, type, subset1 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealfinite_sumn1n1 > $o) > cartrealfinite_sumn1n1 > $o)).
thf(ccontinuousuu_on8, type, continuousu_on8 : ((cartrealfinite_sumn1n1 > cartrealn) > (cartrealfinite_sumn1n1 > $o) > $o)).
thf(csubset0, type, subset0 : ((cartrealn1 > $o) > (cartrealn1 > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn1 > $o) > cartrealn1 > $o)).
thf(csubset, type, subset : ((cartrealq188813 > $o) > (cartrealq188813 > $o) > $o)).
thf(ccontinuousuu_on7, type, continuousu_on7 : ((cartrealq188813 > cartrealq188812) > (cartrealq188813 > $o) > $o)).
thf(ccontinuousuu_on6, type, continuousu_on6 : ((cartrealm > cartrealfinite_sumnp) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on5, type, continuousu_on5 : ((cartrealm > cartrealp) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on4, type, continuousu_on4 : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on3, type, continuousu_on3 : ((cartrealq190317 > cartrealq190317) > (cartrealq190317 > $o) > $o)).
thf(ccontinuousuu_on2, type, continuousu_on2 : ((cartrealq189747 > cartrealq189746) > (cartrealq189747 > $o) > $o)).
thf(ccontinuousuu_on1, type, continuousu_on1 : ((cartrealq190451 > cartrealq190454) > (cartrealq190451 > $o) > $o)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealq190450 > cartrealq190454) > (cartrealq190450 > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealq190451 > cartrealq190450) > (cartrealq190451 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cimage2, type, image2 : ((cartrealn1 > cartrealn) > (cartrealn1 > $o) > cartrealn > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(cimage1, type, image1 : ((cartrealfinite_sumn1n1 > cartrealn) > (cartrealfinite_sumn1n1 > $o) > cartrealn > $o)).
thf(cpastecart0, type, pastecart0 : (cartrealn1 > cartrealn1 > cartrealfinite_sumn1n1)).
thf(csetspec0, type, setspec0 : (cartrealfinite_sumn1n1 > $o > cartrealfinite_sumn1n1 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn1 > $o) > (cartrealn > $o) > prodfuncartrealn1boolfuncartrealnbool)).
thf(chomotopicuu_with, type, homotopicu_with : (((cartrealn1 > cartrealn) > $o) > prodfuncartrealn1boolfuncartrealnbool > (cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > $o)).
thf(csetspec, type, setspec : (cartrealn1 > $o > cartrealn1 > $o)).
thf(cimage0, type, image0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > cartrealn1 > $o)).
thf(cpastecart, type, pastecart : (cartrealn > cartrealp > cartrealfinite_sumnp)).
thf(co, type, o : ((cartrealq190450 > cartrealq190454) > (cartrealq190451 > cartrealq190450) > cartrealq190451 > cartrealq190454)).
thf(cimage, type, image : ((cartrealq190451 > cartrealq190450) > (cartrealq190451 > $o) > cartrealq190450 > $o)).
thf(cpathuu_component, type, pathu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(chomotopicuu_loops, type, homotopicu_loops : ((cartrealn > $o) > (cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ONu_COMPOSE, axiom, ![F:(cartrealq190451 > cartrealq190450),G:(cartrealq190450 > cartrealq190454),S:(cartrealq190451 > $o)]:(((continuousu_on @ F @ S) & (continuousu_on0 @ G @ (image @ F @ S))) => (continuousu_on1 @ (o @ G @ F) @ S))).
thf(aCONTINUOUSu_ONu_CONST, axiom, ![S:(cartrealq189747 > $o),C:cartrealq189746]:(continuousu_on2 @ ^[X:cartrealq189747]:C @ S)).
thf(aCONTINUOUSu_ONu_ID, axiom, ![S:(cartrealq190317 > $o)]:(continuousu_on3 @ ^[X:cartrealq190317]:X @ S)).
thf(aCONTINUOUSu_ONu_PASTECART, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealp),S:(cartrealm > $o)]:(((continuousu_on4 @ F @ S) & (continuousu_on5 @ G @ S)) => (continuousu_on6 @ ^[X:cartrealm]:(pastecart @ (F @ X) @ (G @ X)) @ S))).
thf(aCONTINUOUSu_ONu_SUBSET, axiom, ![F:(cartrealq188813 > cartrealq188812),S:(cartrealq188813 > $o),T:(cartrealq188813 > $o)]:(((continuousu_on7 @ F @ S) & (subset @ T @ S)) => (continuousu_on7 @ F @ T))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn1 > $o),F:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o)]:(![Y:cartrealn1]:((in @ Y @ (image0 @ F @ S)) => (P @ Y)) <=> ![X:cartrealn1]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIN, axiom, ![P:(cartrealn1 > $o),X:cartrealn1]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn1 > $o) > $o),X:cartrealn1]:((in @ X @ (gspec @ ^[V:cartrealn1]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn1]:(P0 & (X = T))))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn1,S:(cartrealn1 > $o),F:(cartrealn1 > cartrealn1)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:cartrealn1]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn1 > $o),T:(cartrealn1 > $o)]:((subset0 @ S @ T) <=> ![X:cartrealn1]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(ahomotopicu_loops, axiom, ![S:(cartrealn > $o),P:(cartrealn1 > cartrealn),Q:(cartrealn1 > cartrealn)]:((homotopicu_loops @ S @ P @ Q) <=> (homotopicu_with @ ^[R:(cartrealn1 > cartrealn)]:((pathfinish @ R) = (pathstart @ R)) @ (c_0 @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil)) @ S) @ P @ Q))).
thf(ahomotopicu_with, axiom, ![X:(cartrealn1 > $o),Y:(cartrealn > $o),P:(cartrealn1 > cartrealn),Q:(cartrealn1 > cartrealn),P0:((cartrealn1 > cartrealn) > $o)]:((homotopicu_with @ P0 @ (c_0 @ X @ Y) @ P @ Q) <=> ?[H:(cartrealfinite_sumn1n1 > cartrealn)]:((continuousu_on8 @ H @ (gspec0 @ ^[GENR_PVARR_1130:cartrealfinite_sumn1n1]:?[T:cartrealn1,X0:cartrealn1]:(setspec0 @ GENR_PVARR_1130 @ ((in @ T @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & (in @ X0 @ X)) @ (pastecart0 @ T @ X0)))) & (subset1 @ (image1 @ H @ (gspec0 @ ^[GENR_PVARR_1131:cartrealfinite_sumn1n1]:?[T:cartrealn1,X0:cartrealn1]:(setspec0 @ GENR_PVARR_1131 @ ((in @ T @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & (in @ X0 @ X)) @ (pastecart0 @ T @ X0)))) @ Y) & ![X0:cartrealn1]:((H @ (pastecart0 @ (vec @ (numeral @ u_0)) @ X0)) = (P @ X0)) & ![X0:cartrealn1]:((H @ (pastecart0 @ (vec @ (numeral @ (bit1 @ u_0))) @ X0)) = (Q @ X0)) & ![T:cartrealn1]:((in @ T @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) => (P0 @ ^[X0:cartrealn1]:(H @ (pastecart0 @ T @ X0))))))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(apath, axiom, ![G:(cartrealn1 > cartrealn)]:((path @ G) <=> (continuousu_on9 @ G @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))))).
thf(apathu_component, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((pathu_component @ S @ X @ Y) <=> ?[G:(cartrealn1 > cartrealn)]:((path @ G) & (subset1 @ (pathu_image @ G) @ S) & ((pathstart @ G) = X) & ((pathfinish @ G) = Y)))).
thf(apathu_image, axiom, ![G:(cartrealn1 > cartrealn)]:((pathu_image @ G) = (image2 @ G @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))))).
thf(apathfinish, axiom, ![G:(cartrealn1 > cartrealn)]:((pathfinish @ G) = (G @ (vec @ (numeral @ (bit1 @ u_0)))))).
thf(apathstart, axiom, ![G:(cartrealn1 > cartrealn)]:((pathstart @ G) = (G @ (vec @ (numeral @ u_0))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),P:(cartrealn1 > cartrealn),Q:(cartrealn1 > cartrealn),T:cartrealn1]:(((homotopicu_loops @ S @ P @ Q) & (in @ T @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil)))) => (pathu_component @ S @ (P @ T) @ (Q @ T)))).
