%   ORIGINAL: NULLHOMOTOPIC_THROUGH_CONTRACTIBLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HOMOTOPIC_COMPOSE_CONTINUOUS_LEFT: !f g h X Y Z. homotopic_with (\f. T) (X,Y) f g /\ h continuous_on Y /\ IMAGE h Y SUBSET Z ==> homotopic_with (\f. T) (X,Z) (h o f) (h o g)
% Assm: HOMOTOPIC_COMPOSE_CONTINUOUS_RIGHT: !f g h W X Y. homotopic_with (\f. T) (X,Y) f g /\ h continuous_on W /\ IMAGE h W SUBSET X ==> homotopic_with (\f. T) (W,Y) (f o h) (g o h)
% Assm: TRUTH: T
% Assm: contractible: !s. contractible s <=> (?a. homotopic_with (\x. T) (s,s) (\x. x) (\x. a))
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f g s t. f continuous_on s /\ IMAGE f s SUBSET t /\ g continuous_on t /\ IMAGE g t SUBSET u /\ contractible t ==> (?c. homotopic_with (\h. T) (s,u) (g o f) (\x. c))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g h X Y Z. homotopic_with (\f. T) (X,Y) f g /\ h continuous_on Y /\ IMAGE h Y SUBSET Z ==> homotopic_with (\f. T) (X,Z) (h o f) (h o g)
% Assm: !f g h W X Y. homotopic_with (\f. T) (X,Y) f g /\ h continuous_on W /\ IMAGE h W SUBSET X ==> homotopic_with (\f. T) (W,Y) (f o h) (g o h)
% Assm: T
% Assm: !s. contractible s <=> (?a. homotopic_with (\x. T) (s,s) (\x. x) (\x. a))
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !u f g s t. f continuous_on s /\ IMAGE f s SUBSET t /\ g continuous_on t /\ IMAGE g t SUBSET u /\ contractible t ==> (?c. homotopic_with (\h. T) (s,u) (g o f) (\x. c))
%  TYPES
thf(tp, type, p : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodfuncartrealnboolfuncartrealnbool, type, prodfuncartrealnboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tprodfuncartrealmboolfuncartrealpbool, type, prodfuncartrealmboolfuncartrealpbool : $tType).
thf(tfuncartrealpbool, type, funcartrealpbool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset1, type, subset1 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on2, type, continuousu_on2 : ((cartrealm > cartrealm) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on1, type, continuousu_on1 : ((cartrealp > cartrealp) > (cartrealp > $o) > $o)).
thf(csubset0, type, subset0 : ((cartrealp > $o) > (cartrealp > $o) > $o)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealn > cartrealp) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccu_0, type, c_0 : ((cartrealn > $o) > (cartrealn > $o) > prodfuncartrealnboolfuncartrealnbool)).
thf(chomotopicuu_with0, type, homotopicu_with0 : (((cartrealn > cartrealn) > $o) > prodfuncartrealnboolfuncartrealnbool > (cartrealn > cartrealn) > (cartrealn > cartrealn) > $o)).
thf(co1, type, o1 : ((cartrealm > cartrealp) > (cartrealm > cartrealm) > cartrealm > cartrealp)).
thf(cimage2, type, image2 : ((cartrealm > cartrealm) > (cartrealm > $o) > cartrealm > $o)).
thf(co0, type, o0 : ((cartrealp > cartrealp) > (cartrealm > cartrealp) > cartrealm > cartrealp)).
thf(cimage1, type, image1 : ((cartrealp > cartrealp) > (cartrealp > $o) > cartrealp > $o)).
thf(co, type, o : ((cartrealn > cartrealp) > (cartrealm > cartrealn) > cartrealm > cartrealp)).
thf(ccu_, type, c_ : ((cartrealm > $o) > (cartrealp > $o) > prodfuncartrealmboolfuncartrealpbool)).
thf(chomotopicuu_with, type, homotopicu_with : (((cartrealm > cartrealp) > $o) > prodfuncartrealmboolfuncartrealpbool > (cartrealm > cartrealp) > (cartrealm > cartrealp) > $o)).
thf(cimage0, type, image0 : ((cartrealn > cartrealp) > (cartrealn > $o) > cartrealp > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(ccontractible, type, contractible : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHOMOTOPICu_COMPOSEu_CONTINUOUSu_LEFT, axiom, ![F:(cartrealm > cartrealp),G:(cartrealm > cartrealp),H:(cartrealp > cartrealp),X:(cartrealm > $o),Y:(cartrealp > $o),Z:(cartrealp > $o)]:(((homotopicu_with @ ^[F:(cartrealm > cartrealp)]:$true @ (c_ @ X @ Y) @ F @ G) & (continuousu_on1 @ H @ Y) & (subset0 @ (image1 @ H @ Y) @ Z)) => (homotopicu_with @ ^[F:(cartrealm > cartrealp)]:$true @ (c_ @ X @ Z) @ (o0 @ H @ F) @ (o0 @ H @ G)))).
thf(aHOMOTOPICu_COMPOSEu_CONTINUOUSu_RIGHT, axiom, ![F:(cartrealm > cartrealp),G:(cartrealm > cartrealp),H:(cartrealm > cartrealm),W:(cartrealm > $o),X:(cartrealm > $o),Y:(cartrealp > $o)]:(((homotopicu_with @ ^[F:(cartrealm > cartrealp)]:$true @ (c_ @ X @ Y) @ F @ G) & (continuousu_on2 @ H @ W) & (subset1 @ (image2 @ H @ W) @ X)) => (homotopicu_with @ ^[F:(cartrealm > cartrealp)]:$true @ (c_ @ W @ Y) @ (o1 @ F @ H) @ (o1 @ G @ H)))).
thf(aTRUTH, axiom, $true).
thf(acontractible, axiom, ![S:(cartrealn > $o)]:((contractible @ S) <=> ?[A:cartrealn]:(homotopicu_with0 @ ^[X:(cartrealn > cartrealn)]:$true @ (c_0 @ S @ S) @ ^[X:cartrealn]:X @ ^[X:cartrealn]:A))).
thf(aou_DEF, axiom, ![F:(cartrealn > cartrealp),G:(cartrealm > cartrealn)]:((o @ F @ G) = ^[X:cartrealm]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![U:(cartrealp > $o),F:(cartrealm > cartrealn),G:(cartrealn > cartrealp),S:(cartrealm > $o),T:(cartrealn > $o)]:(((continuousu_on @ F @ S) & (subset @ (image @ F @ S) @ T) & (continuousu_on0 @ G @ T) & (subset0 @ (image0 @ G @ T) @ U) & (contractible @ T)) => ?[C:cartrealp]:(homotopicu_with @ ^[H:(cartrealm > cartrealp)]:$true @ (c_ @ S @ U) @ (o @ G @ F) @ ^[X:cartrealm]:C))).
