%   ORIGINAL: EMPTY_FACE_OF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONVEX_EMPTY: convex {}
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: face_of: !s t. t face_of s <=> t SUBSET s /\ convex t /\ (!a b x. a IN s /\ b IN s /\ x IN t /\ x IN segment (a,b) ==> a IN t /\ b IN t)
% Goal: !s. {} face_of s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: convex {}
% Assm: !P x. x IN P <=> P x
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s t. t face_of s <=> t SUBSET s /\ convex t /\ (!a b x. a IN s /\ b IN s /\ x IN t /\ x IN segment (a,b) ==> a IN t /\ b IN t)
% Goal: !s. {} face_of s
%  TYPES
thf(ta, type, a : $tType).
thf(tq351625, type, q351625 : $tType).
thf(tprodcartrealq351625cartrealq351625, type, prodcartrealq351625cartrealq351625 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq351625, type, cartrealq351625 : $tType).
%  CONSTS
thf(copenuu_segment, type, openu_segment : (prodcartrealq351625cartrealq351625 > cartrealq351625 > $o)).
thf(csubset0, type, subset0 : ((cartrealq351625 > $o) > (cartrealq351625 > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (cartrealq351625 > (cartrealq351625 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealq351625 > $o) > (cartrealq351625 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealq351625 > cartrealq351625 > prodcartrealq351625cartrealq351625)).
thf(cconvex, type, convex : ((cartrealq351625 > $o) > $o)).
thf(cempty, type, empty : (cartrealq351625 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONVEXu_EMPTY, axiom, (convex @ empty)).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq351625]:~ ((in0 @ X @ empty))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(afaceu_of, axiom, ![S:(cartrealq351625 > $o),T:(cartrealq351625 > $o)]:((faceu_of @ T @ S) <=> ((subset0 @ T @ S) & (convex @ T) & ![A:cartrealq351625,B:cartrealq351625,X:cartrealq351625]:(((in0 @ A @ S) & (in0 @ B @ S) & (in0 @ X @ T) & (in0 @ X @ (openu_segment @ (c_ @ A @ B)))) => ((in0 @ A @ T) & (in0 @ B @ T)))))).
thf(conjecture, conjecture, ![S:(cartrealq351625 > $o)]:(faceu_of @ empty @ S)).
