%   ORIGINAL: FACET_OF_CONVEX_HULL_AFFINE_INDEPENDENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: AFFINE_INDEPENDENT_IMP_FINITE: !s. ~affine_dependent s ==> FINITE s
% Assm: AFFINE_INDEPENDENT_SUBSET: !s t. ~affine_dependent t /\ s SUBSET t ==> ~affine_dependent s
% Assm: AFF_DIM_AFFINE_INDEPENDENT: !b. ~affine_dependent b ==> aff_dim b = &(CARD b) - &1
% Assm: AFF_DIM_CONVEX_HULL: !s. aff_dim (convex hull s) = aff_dim s
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct5: !n. BIT1 n * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_CLAUSES_conjunct1: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: CARD_DELETE: !x s. FINITE s ==> CARD (s DELETE x) = (if x IN s then CARD s - 1 else CARD s)
% Assm: CARD_DIFF: !s t. FINITE s /\ t SUBSET s ==> CARD (s DIFF t) = CARD s - CARD t
% Assm: CARD_EQ_0: !s. FINITE s ==> (CARD s = 0 <=> s = {})
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: DELETE_SUBSET: !x s. s DELETE x SUBSET s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXP_conjunct0: !m. m EXP 0 = 1
% Assm: EXP_conjunct1: !m n. m EXP SUC n = m * m EXP n
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FACE_OF_CONVEX_HULL_AFFINE_INDEPENDENT: !s t. ~affine_dependent s ==> (t face_of convex hull s <=> (?c. c SUBSET s /\ t = convex hull c))
% Assm: FINITE_DIFF: !s t. FINITE s ==> FINITE (s DIFF t)
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: HAS_SIZE_CLAUSES_conjunct0: s HAS_SIZE 0 <=> s = {}
% Assm: HAS_SIZE_CLAUSES_conjunct1: s HAS_SIZE SUC n <=> (?a t. t HAS_SIZE n /\ ~(a IN t) /\ s = a INSERT t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INT_LT_DISCRETE: !x y. x < y <=> x + &1 <= y
% Assm: INT_NOT_EQ: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: INT_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: INT_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: INT_OF_NUM_ADD: !m n. &m + &n = &(m + n)
% Assm: INT_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: INT_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: INT_POS: !n. &0 <= &n
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_THM: !x. I x = x
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_0: !n. 0 <= n
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_AC_conjunct0: m * n = n * m
% Assm: MULT_AC_conjunct1: (m * n) * p = m * n * p
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUB_ELIM_THM: P (a - b) <=> (!d. a = b + d \/ a < b /\ d = 0 ==> P d)
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: facet_of: !f s. f facet_of s <=> f face_of s /\ ~(f = {}) /\ aff_dim f = aff_dim s - &1
% Assm: int_add_th: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: int_sub_th: !x y. real_of_int (x - y) = real_of_int x - real_of_int y
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Goal: !s t. ~affine_dependent s ==> (t facet_of convex hull s <=> ~(t = {}) /\ (?u. u IN s /\ t = convex hull (s DELETE u)))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !n m. m + n = n + m
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !s. ~affine_dependent s ==> FINITE s
% Assm: !s t. ~affine_dependent t /\ s SUBSET t ==> ~affine_dependent s
% Assm: !b. ~affine_dependent b ==> aff_dim b = &(CARD b) - &1
% Assm: !s. aff_dim (convex hull s) = aff_dim s
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !n. BIT1 n * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: !x s. FINITE s ==> CARD (s DELETE x) = (if x IN s then CARD s - 1 else CARD s)
% Assm: !s t. FINITE s /\ t SUBSET s ==> CARD (s DIFF t) = CARD s - CARD t
% Assm: !s. FINITE s ==> (CARD s = 0 <=> s = {})
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !x s. s DELETE x SUBSET s
% Assm: !t. (\x. t x) = t
% Assm: !m. m EXP 0 = 1
% Assm: !m n. m EXP SUC n = m * m EXP n
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. ~affine_dependent s ==> (t face_of convex hull s <=> (?c. c SUBSET s /\ t = convex hull c))
% Assm: !s t. FINITE s ==> FINITE (s DIFF t)
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !s. s HAS_SIZE 0 <=> s = {}
% Assm: !n s. s HAS_SIZE SUC n <=> (?a t. t HAS_SIZE n /\ ~(a IN t) /\ s = a INSERT t)
% Assm: !P x. x IN P <=> P x
% Assm: !x y. x < y <=> x + &1 <= y
% Assm: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !m n. &m + &n = &(m + n)
% Assm: !m n. &m = &n <=> m = n
% Assm: !m n. &m < &n <=> m < n
% Assm: !n. &0 <= &n
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !n. 0 <= n
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: !x. x * &0 = &0
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !a b P. P (a - b) <=> (!d. a = b + d \/ a < b /\ d = 0 ==> P d)
% Assm: T
% Assm: 2 = SUC 1
% Assm: !f s. f facet_of s <=> f face_of s /\ ~(f = {}) /\ aff_dim f = aff_dim s - &1
% Assm: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Assm: !x y. real_of_int (x - y) = real_of_int x - real_of_int y
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Goal: !s t. ~affine_dependent s ==> (t facet_of convex hull s <=> ~(t = {}) /\ (?u. u IN s /\ t = convex hull (s DELETE u)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq52112, type, q52112 : $tType).
thf(tint, type, int : $tType).
thf(tq50479, type, q50479 : $tType).
thf(tq51955, type, q51955 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(chasuu_size0, type, hasu_size0 : ((cartrealn > $o) > num > $o)).
thf(chasuu_size, type, hasu_size : ((q52112 > $o) > num > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cexp, type, exp : (num > num > num)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(csubset0, type, subset0 : ((q51955 > $o) > (q51955 > $o) > $o)).
thf(cmu_, type, m_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cfacetuu_of, type, facetu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdiff1, type, diff1 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff0, type, diff0 : ((q50479 > $o) > (q50479 > $o) > q50479 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond2, type, cond2 : ($o > a > a > a)).
thf(ccond1, type, cond1 : ($o > $o > $o > $o)).
thf(ccond0, type, cond0 : ($o > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff, type, diff : ((q51955 > $o) > (q51955 > $o) > q51955 > $o)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cdelete, type, delete : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ci0, type, i0 : ($o > $o)).
thf(cfinite2, type, finite2 : ((q52112 > $o) > $o)).
thf(cfinite1, type, finite1 : ((q50479 > $o) > $o)).
thf(cfinite0, type, finite0 : ((q51955 > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn > $o) > $o)).
thf(ccard1, type, card1 : ((q52112 > $o) > num)).
thf(ccard0, type, card0 : ((q51955 > $o) > num)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(caffuu_dim, type, affu_dim : ((cartrealn > $o) > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aAFFINEu_INDEPENDENTu_IMPu_FINITE, axiom, ![S:(cartrealn > $o)]:(~ ((affineu_dependent @ S)) => (finite @ S))).
thf(aAFFINEu_INDEPENDENTu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((~ ((affineu_dependent @ T)) & (subset @ S @ T)) => ~ ((affineu_dependent @ S)))).
thf(aAFFu_DIMu_AFFINEu_INDEPENDENT, axiom, ![B:(cartrealn > $o)]:(~ ((affineu_dependent @ B)) => ((affu_dim @ B) = (intu_sub @ (intu_ofu_num @ (card @ B)) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aAFFu_DIMu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:((affu_dim @ (hull @ convex @ S)) = (affu_dim @ S))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct5, axiom, ![N:num]:((t_ @ (bit1 @ N) @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_CLAUSESu_conjunct1, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((finite @ S) => ((card @ (insert @ X @ S)) = (cond @ (in @ X @ S) @ (card @ S) @ (suc @ (card @ S)))))).
thf(aCARDu_DELETE, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((finite @ S) => ((card @ (delete @ S @ X)) = (cond @ (in @ X @ S) @ (m_ @ (card @ S) @ (numeral @ (bit1 @ u_0))) @ (card @ S))))).
thf(aCARDu_DIFF, axiom, ![S:(q51955 > $o),T:(q51955 > $o)]:(((finite0 @ S) & (subset0 @ T @ S)) => ((card0 @ (diff @ S @ T)) = (m_ @ (card0 @ S) @ (card0 @ T))))).
thf(aCARDu_EQu_0, axiom, ![S:(cartrealn > $o)]:((finite @ S) => (((card @ S) = (numeral @ u_0)) <=> (S = empty)))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:(cartrealn > $o),T2:(cartrealn > $o)]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:$o,T2:$o]:(((cond1 @ $true @ T1 @ T2) <=> T1) & ((cond1 @ $false @ T1 @ T2) <=> T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond2 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDELETEu_SUBSET, axiom, ![X:cartrealn,S:(cartrealn > $o)]:(subset @ (delete @ S @ X) @ S)).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXPu_conjunct0, axiom, ![M:num]:((exp @ M @ (numeral @ u_0)) = (numeral @ (bit1 @ u_0)))).
thf(aEXPu_conjunct1, axiom, ![M:num,N:num]:((exp @ M @ (suc @ N)) = (t_ @ M @ (exp @ M @ N)))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFACEu_OFu_CONVEXu_HULLu_AFFINEu_INDEPENDENT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(~ ((affineu_dependent @ S)) => ((faceu_of @ T @ (hull @ convex @ S)) <=> ?[C:(cartrealn > $o)]:((subset @ C @ S) & (T = (hull @ convex @ C)))))).
thf(aFINITEu_DIFF, axiom, ![S:(q50479 > $o),T:(q50479 > $o)]:((finite1 @ S) => (finite1 @ (diff0 @ S @ T)))).
thf(aHASu_SIZE, axiom, ![S:(q52112 > $o),N:num]:((hasu_size @ S @ N) <=> ((finite2 @ S) & ((card1 @ S) = N)))).
thf(aHASu_SIZEu_CLAUSESu_conjunct0, axiom, ![S:(cartrealn > $o)]:((hasu_size0 @ S @ (numeral @ u_0)) <=> (S = empty))).
thf(aHASu_SIZEu_CLAUSESu_conjunct1, axiom, ![N:num,S:(cartrealn > $o)]:((hasu_size0 @ S @ (suc @ N)) <=> ?[A:cartrealn,T:(cartrealn > $o)]:((hasu_size0 @ T @ N) & ~ ((in @ A @ T)) & (S = (insert @ A @ T))))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINTu_LTu_DISCRETE, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (intu_le @ (intu_add @ X @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y))).
thf(aINTu_NOTu_EQ, axiom, ![X:int,Y:int]:(~ ((X = Y)) <=> ((intu_lt @ X @ Y) | (intu_lt @ Y @ X)))).
thf(aINTu_NOTu_LE, axiom, ![X:int,Y:int]:(~ ((intu_le @ X @ Y)) <=> (intu_lt @ Y @ X))).
thf(aINTu_NOTu_LT, axiom, ![X:int,Y:int]:(~ ((intu_lt @ X @ Y)) <=> (intu_le @ Y @ X))).
thf(aINTu_OFu_NUMu_ADD, axiom, ![M:num,N:num]:((intu_add @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) = (intu_ofu_num @ (p_ @ M @ N)))).
thf(aINTu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((intu_ofu_num @ M) = (intu_ofu_num @ N)) <=> (M = N))).
thf(aINTu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((intu_lt @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aINTu_POS, axiom, ![N:num]:(intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_ofu_num @ N))).
thf(aINu_DELETE, axiom, ![S:(cartrealn > $o),X:cartrealn,Y:cartrealn]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (diff1 @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_ACu_conjunct0, axiom, ![N:num,M:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aMULTu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((t_ @ (t_ @ M @ N) @ P) = (t_ @ M @ (t_ @ N @ P)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBu_ELIMu_THM, axiom, ![A:num,B:num,P:(num > $o)]:((P @ (m_ @ A @ B)) <=> ![D:num]:(((A = (p_ @ B @ D)) | ((l_ @ A @ B) & (D = (numeral @ u_0)))) => (P @ D)))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(afacetu_of, axiom, ![F:(cartrealn > $o),S:(cartrealn > $o)]:((facetu_of @ F @ S) <=> ((faceu_of @ F @ S) & ~ ((F = empty)) & ((affu_dim @ F) = (intu_sub @ (affu_dim @ S) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))))))).
thf(aintu_addu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_add @ X @ Y)) = (realu_add @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aintu_subu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_sub @ X @ Y)) = (realu_sub @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(~ ((affineu_dependent @ S)) => ((facetu_of @ T @ (hull @ convex @ S)) <=> (~ ((T = empty)) & ?[U:cartrealn]:((in @ U @ S) & (T = (hull @ convex @ (delete @ S @ U)))))))).
