%   ORIGINAL: RETRACT_OF_INJECTIVE_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_ON_COMPOSE: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IMAGE_ID: !s. IMAGE (\x. x) s = s
% Assm: IMAGE_SUBSET: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: IMAGE_o: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_CONTINUOUS_ON: !f s. linear f ==> f continuous_on s
% Assm: LINEAR_INJECTIVE_LEFT_INVERSE: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (?g. linear g /\ g o f = I)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: retract_of: !s t. t retract_of s <=> (?r. retraction (s,t) r)
% Assm: retraction: !s t r. retraction (s,t) r <=> t SUBSET s /\ r continuous_on s /\ IMAGE r s SUBSET t /\ (!x. x IN t ==> r x = x)
% Goal: !f s t. linear f /\ (!x y. f x = f y ==> x = y) /\ t retract_of s ==> IMAGE f t retract_of IMAGE f s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !s. IMAGE (\x. x) s = s
% Assm: !f s t. s SUBSET t ==> IMAGE f s SUBSET IMAGE f t
% Assm: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !f s. linear f ==> f continuous_on s
% Assm: !f. linear f /\ (!x y. f x = f y ==> x = y) ==> (?g. linear g /\ g o f = I)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !s t. t retract_of s <=> (?r. retraction (s,t) r)
% Assm: !s t. t retract_of s <=> (?r. retraction (s,t) r)
% Assm: !s t r. retraction (s,t) r <=> t SUBSET s /\ r continuous_on s /\ IMAGE r s SUBSET t /\ (!x. x IN t ==> r x = x)
% Assm: !s t r. retraction (s,t) r <=> t SUBSET s /\ r continuous_on s /\ IMAGE r s SUBSET t /\ (!x. x IN t ==> r x = x)
% Goal: !f s t. linear f /\ (!x y. f x = f y ==> x = y) /\ t retract_of s ==> IMAGE f t retract_of IMAGE f s
%  TYPES
thf(tq47276, type, q47276 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq190454, type, q190454 : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq190454, type, cartrealq190454 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodfuncartrealmboolfuncartrealmbool, type, prodfuncartrealmboolfuncartrealmbool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tprodfuncartrealnboolfuncartrealnbool, type, prodfuncartrealnboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(ccontinuousuu_on3, type, continuousu_on3 : ((cartrealm > cartrealm) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on2, type, continuousu_on2 : ((cartrealn > cartrealn) > (cartrealn > $o) > $o)).
thf(cretraction0, type, retraction0 : (prodfuncartrealmboolfuncartrealmbool > (cartrealm > cartrealm) > $o)).
thf(cretraction, type, retraction : (prodfuncartrealnboolfuncartrealnbool > (cartrealn > cartrealn) > $o)).
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccontinuousuu_on1, type, continuousu_on1 : ((cartrealm > cartrealq190454) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealn > cartrealq190454) > (cartrealn > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cretractuu_of0, type, retractu_of0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cretractuu_of, type, retractu_of : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cimage2, type, image2 : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_0, type, c_0 : ((cartrealm > $o) > (cartrealm > $o) > prodfuncartrealmboolfuncartrealmbool)).
thf(ccu_, type, c_ : ((cartrealn > $o) > (cartrealn > $o) > prodfuncartrealnboolfuncartrealnbool)).
thf(co4, type, o4 : ((b > cartrealm) > (a > b) > a > cartrealm)).
thf(co3, type, o3 : ((b > cartrealn) > (a > b) > a > cartrealn)).
thf(co2, type, o2 : ((b > c) > (a > b) > a > c)).
thf(co1, type, o1 : ((cartrealn > cartrealm) > (cartrealm > cartrealn) > cartrealm > cartrealm)).
thf(cimage1, type, image1 : ((cartrealm > cartrealm) > (cartrealm > $o) > cartrealm > $o)).
thf(co0, type, o0 : ((cartrealm > cartrealn) > (cartrealm > cartrealm) > cartrealm > cartrealn)).
thf(cimage0, type, image0 : ((q47276 > q47276) > (q47276 > $o) > q47276 > $o)).
thf(co, type, o : ((cartrealn > cartrealq190454) > (cartrealm > cartrealn) > cartrealm > cartrealq190454)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealm) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci0, type, i0 : (cartrealm > cartrealm)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ONu_COMPOSE, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealq190454),S:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (continuousu_on0 @ G @ (image @ F @ S))) => (continuousu_on1 @ (o @ G @ F) @ S))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(![Y:cartrealn]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealm]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIMAGEu_ID, axiom, ![S:(q47276 > $o)]:((image0 @ ^[X:q47276]:X @ S) = S)).
thf(aIMAGEu_SUBSET, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:((subset @ S @ T) => (subset0 @ (image @ F @ S) @ (image @ F @ T)))).
thf(aIMAGEu_o, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealm),S:(cartrealm > $o)]:((image @ (o0 @ F @ G) @ S) = (image @ F @ (image1 @ G @ S)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealm]:((i0 @ X) = X)).
thf(aLINEARu_CONTINUOUSu_ON, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((linear @ F) => (continuousu_on @ F @ S))).
thf(aLINEARu_INJECTIVEu_LEFTu_INVERSE, axiom, ![F:(cartrealm > cartrealn)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ?[G:(cartrealn > cartrealm)]:((linear0 @ G) & ((o1 @ G @ F) = i0)))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o2 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(aou_THMu_monomorphized1, axiom, ![F:(b > cartrealn),G:(a > b),X:a]:((o3 @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(b > cartrealm),G:(a > b),X:a]:((o4 @ F @ G @ X) = (F @ (G @ X)))).
thf(aretractu_ofu_monomorphized1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((retractu_of0 @ T @ S) <=> ?[R:(cartrealn > cartrealn)]:(retraction @ (c_ @ S @ T) @ R))).
thf(aretractu_ofu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((retractu_of @ T @ S) <=> ?[R:(cartrealm > cartrealm)]:(retraction0 @ (c_0 @ S @ T) @ R))).
thf(aretractionu_monomorphized1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),R:(cartrealn > cartrealn)]:((retraction @ (c_ @ S @ T) @ R) <=> ((subset0 @ T @ S) & (continuousu_on2 @ R @ S) & (subset0 @ (image2 @ R @ S) @ T) & ![X:cartrealn]:((in @ X @ T) => ((R @ X) = X))))).
thf(aretractionu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),R:(cartrealm > cartrealm)]:((retraction0 @ (c_0 @ S @ T) @ R) <=> ((subset @ T @ S) & (continuousu_on3 @ R @ S) & (subset @ (image1 @ R @ S) @ T) & ![X:cartrealm]:((in0 @ X @ T) => ((R @ X) = X))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y)) & (retractu_of @ T @ S)) => (retractu_of0 @ (image @ F @ T) @ (image @ F @ S)))).
