%   ORIGINAL: INFNORM_2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD1: !m. SUC m = m + 1
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct8: !m n. BIT1 m <= BIT0 n <=> m < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIMINDEX_2: dimindex (:2) = 2
% Assm: IMAGE_CLAUSES_conjunct0: IMAGE f {} = {}
% Assm: IMAGE_CLAUSES_conjunct1: IMAGE f (x INSERT s) = f x INSERT IMAGE f s
% Assm: INFNORM_SET_IMAGE: {abs (x$i) | 1 <= i /\ i <= dimindex (:N)} = IMAGE (\i. abs (x$i)) (1..dimindex (:N))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: NUMSEG_LREC: !m n. m <= n ==> m INSERT (m + 1..n) = m..n
% Assm: NUMSEG_SING: !n. n..n = {n}
% Assm: REAL_MAX_SUP: !x y. max x y = sup {x, y}
% Assm: TRUTH: T
% Assm: infnorm: infnorm x = sup {abs (x$i) | 1 <= i /\ i <= dimindex (:N)}
% Goal: infnorm x = max (abs (x$1)) (abs (x$2))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m. SUC m = m + 1
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: !m n. BIT1 m <= BIT0 n <=> m < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: SUC _0 = BIT1 _0
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: dimindex (:2) = 2
% Assm: !f. IMAGE f {} = {}
% Assm: !x f s. IMAGE f (x INSERT s) = f x INSERT IMAGE f s
% Assm: !x. {abs (x$i) | 1 <= i /\ i <= dimindex (:N)} = IMAGE (\i. abs (x$i)) (1..dimindex (:N))
% Assm: ~F <=> T
% Assm: !n. NUMERAL n = n
% Assm: !m n. m <= n ==> m INSERT (m + 1..n) = m..n
% Assm: !n. n..n = {n}
% Assm: !x y. max x y = sup {x, y}
% Assm: T
% Assm: !x. infnorm x = sup {abs (x$i) | 1 <= i /\ i <= dimindex (:2)}
% Goal: !x. infnorm x = max (abs (x$1)) (abs (x$2))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq47225, type, q47225 : $tType).
thf(treal, type, real : $tType).
thf(tq47229, type, q47229 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (n > $o)).
thf(csup, type, sup : ((real > $o) > real)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdu_, type, d_ : (cartrealn2 > num > real)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(cinfnorm, type, infnorm : (cartrealn2 > real)).
thf(cempty0, type, empty0 : (q47229 > $o)).
thf(cinsert2, type, insert2 : (real > (real > $o) > real > $o)).
thf(cinsert1, type, insert1 : (num > (num > $o) > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cimage0, type, image0 : ((num > real) > (num > $o) > real > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(cinsert0, type, insert0 : (q47229 > (q47229 > $o) > q47229 > $o)).
thf(cinsert, type, insert : (q47225 > (q47225 > $o) > q47225 > $o)).
thf(cimage, type, image : ((q47225 > q47229) > (q47225 > $o) > q47229 > $o)).
thf(cempty1, type, empty1 : (num > $o)).
thf(cuniv, type, univ : (n2 > $o)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((n2 > $o) > num)).
thf(cempty, type, empty : (q47225 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty2, type, empty2 : (real > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(csuc, type, suc : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADD1, axiom, ![M:num]:((suc @ M) = (p_ @ M @ (numeral @ (bit1 @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct8, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit0 @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIMINDEXu_2, axiom, ((dimindex @ univ) = (numeral @ (bit0 @ (bit1 @ u_0))))).
thf(aIMAGEu_CLAUSESu_conjunct0, axiom, ![F:(q47225 > q47229)]:((image @ F @ empty) = empty0)).
thf(aIMAGEu_CLAUSESu_conjunct1, axiom, ![X:q47225,F:(q47225 > q47229),S:(q47225 > $o)]:((image @ F @ (insert @ X @ S)) = (insert0 @ (F @ X) @ (image @ F @ S)))).
thf(aINFNORMu_SETu_IMAGE, axiom, ![X:cartrealn2]:((gspec @ ^[GENR_PVARR_347:real]:?[I:num]:(setspec @ GENR_PVARR_347 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) @ (realu_abs @ (d_ @ X @ I)))) = (image0 @ ^[I:num]:(realu_abs @ (d_ @ X @ I)) @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ univ0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aNUMSEGu_LREC, axiom, ![M:num,N:num]:((l_a_ @ M @ N) => ((insert1 @ M @ (o_o_ @ (p_ @ M @ (numeral @ (bit1 @ u_0))) @ N)) = (o_o_ @ M @ N)))).
thf(aNUMSEGu_SING, axiom, ![N:num]:((o_o_ @ N @ N) = (insert1 @ N @ empty1))).
thf(aREALu_MAXu_SUP, axiom, ![X:real,Y:real]:((realu_max @ X @ Y) = (sup @ (insert2 @ X @ (insert2 @ Y @ empty2))))).
thf(aTRUTH, axiom, $true).
thf(ainfnorm, axiom, ![X:cartrealn2]:((infnorm @ X) = (sup @ (gspec @ ^[GENR_PVARR_346:real]:?[I:num]:(setspec @ GENR_PVARR_346 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (realu_abs @ (d_ @ X @ I))))))).
thf(conjecture, conjecture, ![X:cartrealn2]:((infnorm @ X) = (realu_max @ (realu_abs @ (d_ @ X @ (numeral @ (bit1 @ u_0)))) @ (realu_abs @ (d_ @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
