%   ORIGINAL: DIFFERENTIABLE_CONST
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_DERIVATIVE_CONST: !c net. ((\x. c) has_derivative (\h. vec 0)) net
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: differentiable: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Goal: !c net. (\z. c) differentiable net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !c net. ((\x. c) has_derivative (\h. vec 0)) net
% Assm: ~F <=> T
% Assm: T
% Assm: !f net. f differentiable net <=> (?f'. (f has_derivative f') net)
% Goal: !c net. (\z. c) differentiable net
%  TYPES
thf(tq412813, type, q412813 : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq412813, type, cartrealq412813 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq409940, type, q409940 : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealq409934, type, netcartrealq409934 : $tType).
thf(tcartrealq412812, type, cartrealq412812 : $tType).
thf(tq409934, type, q409934 : $tType).
thf(tcartrealq409934, type, cartrealq409934 : $tType).
thf(tcartrealq409940, type, cartrealq409940 : $tType).
thf(tnetcartrealq412813, type, netcartrealq412813 : $tType).
thf(tq412812, type, q412812 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealq409940)).
thf(cdifferentiable, type, differentiable : ((cartrealq412813 > cartrealq412812) > netcartrealq412813 > $o)).
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealq412813 > cartrealq412812) > (cartrealq412813 > cartrealq412812) > netcartrealq412813 > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq409934 > cartrealq409940) > (cartrealq409934 > cartrealq409940) > netcartrealq409934 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_DERIVATIVEu_CONST, axiom, ![C:cartrealq409940,NET:netcartrealq409934]:(hasu_derivative @ ^[X:cartrealq409934]:C @ ^[H:cartrealq409934]:(vec @ (numeral @ u_0)) @ NET)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adifferentiable, axiom, ![F:(cartrealq412813 > cartrealq412812),NET:netcartrealq412813]:((differentiable @ F @ NET) <=> ?[FI_:(cartrealq412813 > cartrealq412812)]:(hasu_derivative0 @ F @ FI_ @ NET))).
thf(conjecture, conjecture, ![C:cartrealq412812,NET:netcartrealq412813]:(differentiable @ ^[Z:cartrealq412813]:C @ NET)).
