%   ORIGINAL: DIFFERENTIABLE_ON_COMPOSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIFFERENTIABLE_CHAIN_WITHIN: !f g x s. f differentiable at x within s /\ g differentiable at (f x) within IMAGE f s ==> g o f differentiable at x within s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: differentiable_on: !f s. f differentiable_on s <=> (!x. x IN s ==> f differentiable at x within s)
% Goal: !f g s. f differentiable_on s /\ g differentiable_on IMAGE f s ==> g o f differentiable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g x s. f differentiable at x within s /\ g differentiable at (f x) within IMAGE f s ==> g o f differentiable at x within s
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f s. f differentiable_on s <=> (!x. x IN s ==> f differentiable at x within s)
% Assm: !f s. f differentiable_on s <=> (!x. x IN s ==> f differentiable at x within s)
% Assm: !f s. f differentiable_on s <=> (!x. x IN s ==> f differentiable at x within s)
% Goal: !f g s. f differentiable_on s /\ g differentiable_on IMAGE f s ==> g o f differentiable_on s
%  TYPES
thf(tcartrealq413219, type, cartrealq413219 : $tType).
thf(tcartrealq413223, type, cartrealq413223 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq413220, type, cartrealq413220 : $tType).
thf(tb, type, b : $tType).
thf(tnetcartrealq413220, type, netcartrealq413220 : $tType).
thf(tq413220, type, q413220 : $tType).
thf(treal, type, real : $tType).
thf(tq413223, type, q413223 : $tType).
thf(tnetcartrealq413219, type, netcartrealq413219 : $tType).
thf(tq413219, type, q413219 : $tType).
%  CONSTS
thf(cat0, type, at0 : (cartrealq413219 > netcartrealq413219)).
thf(cat, type, at : (cartrealq413220 > netcartrealq413220)).
thf(cin0, type, in0 : (cartrealq413220 > (cartrealq413220 > $o) > $o)).
thf(cin, type, in : (cartrealq413219 > (cartrealq413219 > $o) > $o)).
thf(cdifferentiable1, type, differentiable1 : ((cartrealq413220 > cartrealq413223) > netcartrealq413220 > $o)).
thf(cdifferentiable0, type, differentiable0 : ((cartrealq413219 > cartrealq413223) > netcartrealq413219 > $o)).
thf(cdifferentiable, type, differentiable : ((cartrealq413220 > cartrealq413219) > netcartrealq413220 > $o)).
thf(cdifferentiableuu_on1, type, differentiableu_on1 : ((cartrealq413220 > cartrealq413223) > (cartrealq413220 > $o) > $o)).
thf(cdifferentiableuu_on0, type, differentiableu_on0 : ((cartrealq413219 > cartrealq413223) > (cartrealq413219 > $o) > $o)).
thf(cdifferentiableuu_on, type, differentiableu_on : ((cartrealq413220 > cartrealq413219) > (cartrealq413220 > $o) > $o)).
thf(cwithin0, type, within0 : (netcartrealq413219 > (cartrealq413219 > $o) > netcartrealq413219)).
thf(cwithin, type, within : (netcartrealq413220 > (cartrealq413220 > $o) > netcartrealq413220)).
thf(co, type, o : ((cartrealq413219 > cartrealq413223) > (cartrealq413220 > cartrealq413219) > cartrealq413220 > cartrealq413223)).
thf(cimage, type, image : ((cartrealq413220 > cartrealq413219) > (cartrealq413220 > $o) > cartrealq413219 > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIFFERENTIABLEu_CHAINu_WITHIN, axiom, ![F:(cartrealq413220 > cartrealq413219),G:(cartrealq413219 > cartrealq413223),X:cartrealq413220,S:(cartrealq413220 > $o)]:(((differentiable @ F @ (within @ (at @ X) @ S)) & (differentiable0 @ G @ (within0 @ (at0 @ (F @ X)) @ (image @ F @ S)))) => (differentiable1 @ (o @ G @ F) @ (within @ (at @ X) @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealq413219 > $o),F:(cartrealq413220 > cartrealq413219),S:(cartrealq413220 > $o)]:(![Y:cartrealq413219]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealq413220]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adifferentiableu_onu_monomorphized2, axiom, ![F:(cartrealq413220 > cartrealq413223),S:(cartrealq413220 > $o)]:((differentiableu_on1 @ F @ S) <=> ![X:cartrealq413220]:((in0 @ X @ S) => (differentiable1 @ F @ (within @ (at @ X) @ S))))).
thf(adifferentiableu_onu_monomorphized1, axiom, ![F:(cartrealq413220 > cartrealq413219),S:(cartrealq413220 > $o)]:((differentiableu_on @ F @ S) <=> ![X:cartrealq413220]:((in0 @ X @ S) => (differentiable @ F @ (within @ (at @ X) @ S))))).
thf(adifferentiableu_onu_monomorphized0, axiom, ![F:(cartrealq413219 > cartrealq413223),S:(cartrealq413219 > $o)]:((differentiableu_on0 @ F @ S) <=> ![X:cartrealq413219]:((in @ X @ S) => (differentiable0 @ F @ (within0 @ (at0 @ X) @ S))))).
thf(conjecture, conjecture, ![F:(cartrealq413220 > cartrealq413219),G:(cartrealq413219 > cartrealq413223),S:(cartrealq413220 > $o)]:(((differentiableu_on @ F @ S) & (differentiableu_on0 @ G @ (image @ F @ S))) => (differentiableu_on1 @ (o @ G @ F) @ S))).
