%   ORIGINAL: ROLLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_INTERVAL: !a b. compact (interval [a,b])
% Assm: CONTINUOUS_ATTAINS_INF: !f s. compact s /\ ~(s = {}) /\ lift o f continuous_on s ==> (?x. x IN s /\ (!y. y IN s ==> f x <= f y))
% Assm: CONTINUOUS_ATTAINS_SUP: !f s. compact s /\ ~(s = {}) /\ lift o f continuous_on s ==> (?x. x IN s /\ (!y. y IN s ==> f y <= f x))
% Assm: DIFFERENTIAL_ZERO_MAXMIN: !f f' x s. x IN s /\ open s /\ (f has_derivative f') (at x) /\ ((!y. y IN s ==> drop (f y) <= drop (f x)) \/ (!y. y IN s ==> drop (f x) <= drop (f y))) ==> f' = (\v. vec 0)
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: INTERVAL_CASES_1: !x. x IN interval [a,b] ==> x IN interval (a,b) \/ x = a \/ x = b
% Assm: INTERVAL_EQ_EMPTY_conjunct0: interval [a,b] = {} <=> (?i. 1 <= i /\ i <= dimindex (:N) /\ b$i < a$i)
% Assm: INTERVAL_EQ_EMPTY_conjunct1: interval (a,b) = {} <=> (?i. 1 <= i /\ i <= dimindex (:N) /\ b$i <= a$i)
% Assm: INTERVAL_OPEN_SUBSET_CLOSED: !a b. interval (a,b) SUBSET interval [a,b]
% Assm: I_THM: !x. I x = x
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_INTERVAL: !a b. open (interval (a,b))
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f f' a b. drop a < drop b /\ f a = f b /\ f continuous_on interval [a,b] /\ (!x. x IN interval (a,b) ==> (f has_derivative f' x) (at x)) ==> (?x. x IN interval (a,b) /\ f' x = (\v. vec 0))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. compact (interval [a,b])
% Assm: !f s. compact s /\ ~(s = {}) /\ lift o f continuous_on s ==> (?x. x IN s /\ (!y. y IN s ==> f x <= f y))
% Assm: !f s. compact s /\ ~(s = {}) /\ lift o f continuous_on s ==> (?x. x IN s /\ (!y. y IN s ==> f y <= f x))
% Assm: !f f' x s. x IN s /\ open s /\ (f has_derivative f') (at x) /\ ((!y. y IN s ==> drop (f y) <= drop (f x)) \/ (!y. y IN s ==> drop (f x) <= drop (f y))) ==> f' = (\v. vec 0)
% Assm: dimindex (:1) = 1
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !a b x. x IN interval [a,b] ==> x IN interval (a,b) \/ x = a \/ x = b
% Assm: !b a. interval [a,b] = {} <=> (?i. 1 <= i /\ i <= dimindex (:1) /\ b$i < a$i)
% Assm: !b a. interval (a,b) = {} <=> (?i. 1 <= i /\ i <= dimindex (:1) /\ b$i <= a$i)
% Assm: !a b. interval (a,b) SUBSET interval [a,b]
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !x. lift (drop x) = x
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !a b. open (interval (a,b))
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !x y. x < y ==> x <= y
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !x. drop x = x$1
% Assm: !f g h. f o g o h = (f o g) o h
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f f' a b. drop a < drop b /\ f a = f b /\ f continuous_on interval [a,b] /\ (!x. x IN interval (a,b) ==> (f has_derivative f' x) (at x)) ==> (?x. x IN interval (a,b) /\ f' x = (\v. vec 0))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cat, type, at : (cartrealn1 > netcartrealn1)).
thf(ci0, type, i0 : (cartrealn1 > cartrealn1)).
thf(csubset, type, subset : ((cartrealn1 > $o) > (cartrealn1 > $o) > $o)).
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(copenuu_interval, type, openu_interval : (prodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(co3, type, o3 : ((c > cartrealn1) > (b > c) > b > cartrealn1)).
thf(co2, type, o2 : ((b > cartrealn1) > (cartrealn1 > b) > cartrealn1 > cartrealn1)).
thf(co1, type, o1 : ((b > c) > (cartrealn1 > b) > cartrealn1 > c)).
thf(co0, type, o0 : ((c > cartrealn1) > (cartrealn1 > c) > cartrealn1 > cartrealn1)).
thf(ci, type, i : ((cartrealn1 > cartrealn1) > cartrealn1 > cartrealn1)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn1 > cartrealn1) > (cartrealn1 > cartrealn1) > netcartrealn1 > $o)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cuniv, type, univ : (n1 > $o)).
thf(copen, type, open : ((cartrealn1 > $o) > $o)).
thf(cempty, type, empty : (cartrealn1 > $o)).
thf(ccompact, type, compact : ((cartrealn1 > $o) > $o)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn1 > cartrealn1),G:(cartrealn1 > cartrealn1)]:(![X:cartrealn1]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_INTERVAL, axiom, ![A:cartrealn1,B:cartrealn1]:(compact @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aCONTINUOUSu_ATTAINSu_INF, axiom, ![F:(cartrealn1 > real),S:(cartrealn1 > $o)]:(((compact @ S) & ~ ((S = empty)) & (continuousu_on @ (o @ lift @ F) @ S)) => ?[X:cartrealn1]:((in @ X @ S) & ![Y:cartrealn1]:((in @ Y @ S) => (realu_le @ (F @ X) @ (F @ Y)))))).
thf(aCONTINUOUSu_ATTAINSu_SUP, axiom, ![F:(cartrealn1 > real),S:(cartrealn1 > $o)]:(((compact @ S) & ~ ((S = empty)) & (continuousu_on @ (o @ lift @ F) @ S)) => ?[X:cartrealn1]:((in @ X @ S) & ![Y:cartrealn1]:((in @ Y @ S) => (realu_le @ (F @ Y) @ (F @ X)))))).
thf(aDIFFERENTIALu_ZEROu_MAXMIN, axiom, ![F:(cartrealn1 > cartrealn1),FI_:(cartrealn1 > cartrealn1),X:cartrealn1,S:(cartrealn1 > $o)]:(((in @ X @ S) & (open @ S) & (hasu_derivative @ F @ FI_ @ (at @ X)) & (![Y:cartrealn1]:((in @ Y @ S) => (realu_le @ (drop @ (F @ Y)) @ (drop @ (F @ X)))) | ![Y:cartrealn1]:((in @ Y @ S) => (realu_le @ (drop @ (F @ X)) @ (drop @ (F @ Y)))))) => (FI_ = ^[V:cartrealn1]:(vec @ (numeral @ u_0))))).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aETAu_AX, axiom, ![T:(cartrealn1 > cartrealn1)]:(^[X:cartrealn1]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn1 > cartrealn1),G:(cartrealn1 > cartrealn1)]:((F = G) <=> ![X:cartrealn1]:((F @ X) = (G @ X)))).
thf(aINTERVALu_CASESu_1, axiom, ![A:cartrealn1,B:cartrealn1,X:cartrealn1]:((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) => ((in @ X @ (openu_interval @ (c_ @ A @ B))) | (X = A) | (X = B)))).
thf(aINTERVALu_EQu_EMPTYu_conjunct0, axiom, ![B:cartrealn1,A:cartrealn1]:(((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty) <=> ?[I:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (realu_lt @ (d_ @ B @ I) @ (d_ @ A @ I))))).
thf(aINTERVALu_EQu_EMPTYu_conjunct1, axiom, ![B:cartrealn1,A:cartrealn1]:(((openu_interval @ (c_ @ A @ B)) = empty) <=> ?[I:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (realu_le @ (d_ @ B @ I) @ (d_ @ A @ I))))).
thf(aINTERVALu_OPENu_SUBSETu_CLOSED, axiom, ![A:cartrealn1,B:cartrealn1]:(subset @ (openu_interval @ (c_ @ A @ B)) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(cartrealn1 > cartrealn1)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealn1]:((i0 @ X) = X)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn1 > $o)]:(?[X:cartrealn1]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INTERVAL, axiom, ![A:cartrealn1,B:cartrealn1]:(open @ (openu_interval @ (c_ @ A @ B)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aSUBSET, axiom, ![S:(cartrealn1 > $o),T:(cartrealn1 > $o)]:((subset @ S @ T) <=> ![X:cartrealn1]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_ @ X @ (numeral @ (bit1 @ u_0))))).
thf(aou_ASSOC, axiom, ![F:(c > cartrealn1),G:(b > c),H:(cartrealn1 > b)]:((o0 @ F @ (o1 @ G @ H)) = (o2 @ (o3 @ F @ G) @ H))).
thf(aou_DEF, axiom, ![F:(b > cartrealn1),G:(cartrealn1 > b)]:((o2 @ F @ G) = ^[X:cartrealn1]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn1),FI_:(cartrealn1 > cartrealn1 > cartrealn1),A:cartrealn1,B:cartrealn1]:(((realu_lt @ (drop @ A) @ (drop @ B)) & ((F @ A) = (F @ B)) & (continuousu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ![X:cartrealn1]:((in @ X @ (openu_interval @ (c_ @ A @ B))) => (hasu_derivative @ F @ (FI_ @ X) @ (at @ X)))) => ?[X:cartrealn1]:((in @ X @ (openu_interval @ (c_ @ A @ B))) & ((FI_ @ X) = ^[V:cartrealn1]:(vec @ (numeral @ u_0)))))).
