%   ORIGINAL: HAS_VECTOR_DERIVATIVE_ADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_DERIVATIVE_ADD: !f f' g g' net. (f has_derivative f') net /\ (g has_derivative g') net ==> ((\x. f x + g x) has_derivative (\h. f' h + g' h)) net
% Assm: TRUTH: T
% Assm: VECTOR_ADD_LDISTRIB: c % (x + y) = c % x + c % y
% Assm: has_vector_derivative: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Goal: !f f' g g' net. (f has_vector_derivative f') net /\ (g has_vector_derivative g') net ==> ((\x. f x + g x) has_vector_derivative f' + g') net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f' g g' net. (f has_derivative f') net /\ (g has_derivative g') net ==> ((\x. f x + g x) has_derivative (\h. f' h + g' h)) net
% Assm: T
% Assm: !x c y. c % (x + y) = c % x + c % y
% Assm: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Goal: !f f' g g' net. (f has_vector_derivative f') net /\ (g has_vector_derivative g') net ==> ((\x. f x + g x) has_vector_derivative f' + g') net
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq410179, type, cartrealq410179 : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealq410179, type, netcartrealq410179 : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tcartrealq423368, type, cartrealq423368 : $tType).
thf(tq410179, type, q410179 : $tType).
thf(tq423368, type, q423368 : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealn1 > cartrealq423368) > (cartrealn1 > cartrealq423368) > netcartrealn1 > $o)).
thf(cru_, type, r_ : (real > cartrealq423368 > cartrealq423368)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq410179 > cartrealq423368) > (cartrealq410179 > cartrealq423368) > netcartrealq410179 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq423368 > cartrealq423368 > cartrealq423368)).
thf(chasuu_vectoruu_derivative, type, hasu_vectoru_derivative : ((cartrealn1 > cartrealq423368) > cartrealq423368 > netcartrealn1 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_DERIVATIVEu_ADD, axiom, ![F:(cartrealq410179 > cartrealq423368),FI_:(cartrealq410179 > cartrealq423368),G:(cartrealq410179 > cartrealq423368),GI_:(cartrealq410179 > cartrealq423368),NET:netcartrealq410179]:(((hasu_derivative @ F @ FI_ @ NET) & (hasu_derivative @ G @ GI_ @ NET)) => (hasu_derivative @ ^[X:cartrealq410179]:(vectoru_add @ (F @ X) @ (G @ X)) @ ^[H:cartrealq410179]:(vectoru_add @ (FI_ @ H) @ (GI_ @ H)) @ NET))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_LDISTRIB, axiom, ![X:cartrealq423368,C:real,Y:cartrealq423368]:((r_ @ C @ (vectoru_add @ X @ Y)) = (vectoru_add @ (r_ @ C @ X) @ (r_ @ C @ Y)))).
thf(ahasu_vectoru_derivative, axiom, ![F:(cartrealn1 > cartrealq423368),FI_:cartrealq423368,NET:netcartrealn1]:((hasu_vectoru_derivative @ F @ FI_ @ NET) <=> (hasu_derivative0 @ F @ ^[X:cartrealn1]:(r_ @ (drop @ X) @ FI_) @ NET))).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealq423368),FI_:cartrealq423368,G:(cartrealn1 > cartrealq423368),GI_:cartrealq423368,NET:netcartrealn1]:(((hasu_vectoru_derivative @ F @ FI_ @ NET) & (hasu_vectoru_derivative @ G @ GI_ @ NET)) => (hasu_vectoru_derivative @ ^[X:cartrealn1]:(vectoru_add @ (F @ X) @ (G @ X)) @ (vectoru_add @ FI_ @ GI_) @ NET))).
