%   ORIGINAL: CONTENT_EQ_0_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTENT_EQ_0: !a b. content (interval [a,b]) = &0 <=> (?i. 1 <= i /\ i <= dimindex (:N) /\ b$i <= a$i)
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Goal: !a b. content (interval [a,b]) = &0 <=> drop b <= drop a
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. content (interval [a,b]) = &0 <=> (?i. 1 <= i /\ i <= dimindex (:1) /\ b$i <= a$i)
% Assm: dimindex (:1) = 1
% Assm: !t. (\x. t x) = t
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: ~F <=> T
% Assm: T
% Assm: !x. drop x = x$1
% Goal: !a b. content (interval [a,b]) = &0 <=> drop b <= drop a
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(ccontent, type, content : ((cartrealn1 > $o) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cuniv, type, univ : (n1 > $o)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTENTu_EQu_0, axiom, ![A:cartrealn1,B:cartrealn1]:(((content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (realu_ofu_num @ (numeral @ u_0))) <=> ?[I:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (realu_le @ (d_ @ B @ I) @ (d_ @ A @ I))))).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_ @ X @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![A:cartrealn1,B:cartrealn1]:(((content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (realu_ofu_num @ (numeral @ u_0))) <=> (realu_le @ (drop @ B) @ (drop @ A)))).
