%   ORIGINAL: TAGGED_DIVISION_OF_FINITE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: tagged_division_of: !s i. s tagged_division_of i <=> s tagged_partial_division_of i /\ UNIONS {k | ?x. x,k IN s} = i
% Assm: tagged_partial_division_of: !i s. s tagged_partial_division_of i <=> FINITE s /\ (!x k. x,k IN s ==> x IN k /\ k SUBSET i /\ (?a b. k = interval [a,b])) /\ (!x1 k1 x2 k2. x1,k1 IN s /\ x2,k2 IN s /\ ~(x1,k1 = x2,k2) ==> interior k1 INTER interior k2 = {})
% Goal: !s i. s tagged_division_of i ==> FINITE s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !s i. s tagged_division_of i <=> s tagged_partial_division_of i /\ UNIONS {k | ?x. x,k IN s} = i
% Assm: !i s. s tagged_partial_division_of i <=> FINITE s /\ (!x k. x,k IN s ==> x IN k /\ k SUBSET i /\ (?a b. k = interval [a,b])) /\ (!x1 k1 x2 k2. x1,k1 IN s /\ x2,k2 IN s /\ ~(x1,k1 = x2,k2) ==> interior k1 INTER interior k2 = {})
% Goal: !s i. s tagged_division_of i ==> FINITE s
%  TYPES
thf(tcartrealq432983, type, cartrealq432983 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq432983cartrealq432983, type, prodcartrealq432983cartrealq432983 : $tType).
thf(tprodcartrealq432983funcartrealq432983bool, type, prodcartrealq432983funcartrealq432983bool : $tType).
thf(tfuncartrealq432983bool, type, funcartrealq432983bool : $tType).
thf(tq432983, type, q432983 : $tType).
thf(tlistprodcartrealq432983cartrealq432983, type, listprodcartrealq432983cartrealq432983 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq432983cartrealq432983).
thf(cinterior, type, interior : ((cartrealq432983 > $o) > cartrealq432983 > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealq432983cartrealq432983 > cartrealq432983 > $o)).
thf(csubset, type, subset : ((cartrealq432983 > $o) > (cartrealq432983 > $o) > $o)).
thf(cin0, type, in0 : (cartrealq432983 > (cartrealq432983 > $o) > $o)).
thf(cin, type, in : (prodcartrealq432983funcartrealq432983bool > (prodcartrealq432983funcartrealq432983bool > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealq432983 > $o) > $o) > (cartrealq432983 > $o) > $o)).
thf(cunions, type, unions : (((cartrealq432983 > $o) > $o) > cartrealq432983 > $o)).
thf(ctaggeduu_partialuu_divisionuu_of, type, taggedu_partialu_divisionu_of : ((prodcartrealq432983funcartrealq432983bool > $o) > (cartrealq432983 > $o) > $o)).
thf(ctaggeduu_divisionuu_of, type, taggedu_divisionu_of : ((prodcartrealq432983funcartrealq432983bool > $o) > (cartrealq432983 > $o) > $o)).
thf(cinter, type, inter : ((cartrealq432983 > $o) > (cartrealq432983 > $o) > cartrealq432983 > $o)).
thf(ccu_0, type, c_0 : (cartrealq432983 > cartrealq432983 > prodcartrealq432983cartrealq432983)).
thf(ccons, type, cons : (prodcartrealq432983cartrealq432983 > listprodcartrealq432983cartrealq432983 > listprodcartrealq432983cartrealq432983)).
thf(ccu_, type, c_ : (cartrealq432983 > (cartrealq432983 > $o) > prodcartrealq432983funcartrealq432983bool)).
thf(csetspec, type, setspec : ((cartrealq432983 > $o) > $o > (cartrealq432983 > $o) > $o)).
thf(cempty, type, empty : (cartrealq432983 > $o)).
thf(cfinite, type, finite : ((prodcartrealq432983funcartrealq432983bool > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(ataggedu_divisionu_of, axiom, ![S:(prodcartrealq432983funcartrealq432983bool > $o),I:(cartrealq432983 > $o)]:((taggedu_divisionu_of @ S @ I) <=> ((taggedu_partialu_divisionu_of @ S @ I) & ((unions @ (gspec @ ^[GENR_PVARR_1605:(cartrealq432983 > $o)]:?[K:(cartrealq432983 > $o)]:(setspec @ GENR_PVARR_1605 @ ?[X:cartrealq432983]:(in @ (c_ @ X @ K) @ S) @ K))) = I)))).
thf(ataggedu_partialu_divisionu_of, axiom, ![I:(cartrealq432983 > $o),S:(prodcartrealq432983funcartrealq432983bool > $o)]:((taggedu_partialu_divisionu_of @ S @ I) <=> ((finite @ S) & ![X:cartrealq432983,K:(cartrealq432983 > $o)]:((in @ (c_ @ X @ K) @ S) => ((in0 @ X @ K) & (subset @ K @ I) & ?[A:cartrealq432983,B:cartrealq432983]:(K = (closedu_interval @ (cons @ (c_0 @ A @ B) @ nil))))) & ![X1:cartrealq432983,K1:(cartrealq432983 > $o),X2:cartrealq432983,K2:(cartrealq432983 > $o)]:(((in @ (c_ @ X1 @ K1) @ S) & (in @ (c_ @ X2 @ K2) @ S) & ~ (((c_ @ X1 @ K1) = (c_ @ X2 @ K2)))) => ((inter @ (interior @ K1) @ (interior @ K2)) = empty))))).
thf(conjecture, conjecture, ![S:(prodcartrealq432983funcartrealq432983bool > $o),I:(cartrealq432983 > $o)]:((taggedu_divisionu_of @ S @ I) => (finite @ S))).
