%   ORIGINAL: TAG_IN_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TAGGED_DIVISION_OF: s tagged_division_of i <=> FINITE s /\ (!x k. x,k IN s ==> x IN k /\ k SUBSET i /\ (?a b. k = interval [a,b])) /\ (!x1 k1 x2 k2. x1,k1 IN s /\ x2,k2 IN s /\ ~(x1,k1 = x2,k2) ==> interior k1 INTER interior k2 = {}) /\ UNIONS {k | ?x. x,k IN s} = i
% Assm: TRUTH: T
% Goal: !p i k. p tagged_division_of i /\ x,k IN p ==> x IN i
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s i. s tagged_division_of i <=> FINITE s /\ (!x k. x,k IN s ==> x IN k /\ k SUBSET i /\ (?a b. k = interval [a,b])) /\ (!x1 k1 x2 k2. x1,k1 IN s /\ x2,k2 IN s /\ ~(x1,k1 = x2,k2) ==> interior k1 INTER interior k2 = {}) /\ UNIONS {k | ?x. x,k IN s} = i
% Assm: T
% Goal: !x p i k. p tagged_division_of i /\ x,k IN p ==> x IN i
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq433700, type, cartrealq433700 : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq433700cartrealq433700, type, prodcartrealq433700cartrealq433700 : $tType).
thf(tprodcartrealq433700funcartrealq433700bool, type, prodcartrealq433700funcartrealq433700bool : $tType).
thf(tfuncartrealq433700bool, type, funcartrealq433700bool : $tType).
thf(tq433700, type, q433700 : $tType).
thf(tlistprodcartrealq433700cartrealq433700, type, listprodcartrealq433700cartrealq433700 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq433700cartrealq433700).
thf(cgspec1, type, gspec1 : (((cartrealq433700 > $o) > $o) > (cartrealq433700 > $o) > $o)).
thf(cinterior, type, interior : ((cartrealq433700 > $o) > cartrealq433700 > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealq433700cartrealq433700 > cartrealq433700 > $o)).
thf(csubset0, type, subset0 : ((cartrealq433700 > $o) > (cartrealq433700 > $o) > $o)).
thf(csubset, type, subset : ((prodcartrealq433700funcartrealq433700bool > $o) > (prodcartrealq433700funcartrealq433700bool > $o) > $o)).
thf(cin2, type, in2 : ((cartrealq433700 > $o) > ((cartrealq433700 > $o) > $o) > $o)).
thf(cunions0, type, unions0 : (((cartrealq433700 > $o) > $o) > cartrealq433700 > $o)).
thf(cin1, type, in1 : ((prodcartrealq433700funcartrealq433700bool > $o) > ((prodcartrealq433700funcartrealq433700bool > $o) > $o) > $o)).
thf(cunions, type, unions : (((prodcartrealq433700funcartrealq433700bool > $o) > $o) > prodcartrealq433700funcartrealq433700bool > $o)).
thf(cgspec0, type, gspec0 : ((cartrealq433700 > $o) > cartrealq433700 > $o)).
thf(cgspec, type, gspec : ((prodcartrealq433700funcartrealq433700bool > $o) > prodcartrealq433700funcartrealq433700bool > $o)).
thf(cin0, type, in0 : (cartrealq433700 > (cartrealq433700 > $o) > $o)).
thf(cin, type, in : (prodcartrealq433700funcartrealq433700bool > (prodcartrealq433700funcartrealq433700bool > $o) > $o)).
thf(ctaggeduu_divisionuu_of, type, taggedu_divisionu_of : ((prodcartrealq433700funcartrealq433700bool > $o) > (cartrealq433700 > $o) > $o)).
thf(csetspec1, type, setspec1 : ((cartrealq433700 > $o) > $o > (cartrealq433700 > $o) > $o)).
thf(ccu_0, type, c_0 : (cartrealq433700 > cartrealq433700 > prodcartrealq433700cartrealq433700)).
thf(ccons, type, cons : (prodcartrealq433700cartrealq433700 > listprodcartrealq433700cartrealq433700 > listprodcartrealq433700cartrealq433700)).
thf(cinter0, type, inter0 : ((cartrealq433700 > $o) > (cartrealq433700 > $o) > cartrealq433700 > $o)).
thf(cinter, type, inter : ((prodcartrealq433700funcartrealq433700bool > $o) > (prodcartrealq433700funcartrealq433700bool > $o) > prodcartrealq433700funcartrealq433700bool > $o)).
thf(csetspec0, type, setspec0 : (cartrealq433700 > $o > cartrealq433700 > $o)).
thf(csetspec, type, setspec : (prodcartrealq433700funcartrealq433700bool > $o > prodcartrealq433700funcartrealq433700bool > $o)).
thf(ccu_, type, c_ : (cartrealq433700 > (cartrealq433700 > $o) > prodcartrealq433700funcartrealq433700bool)).
thf(cfinite, type, finite : ((prodcartrealq433700funcartrealq433700bool > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealq433700 > $o)).
thf(cempty, type, empty : (prodcartrealq433700funcartrealq433700bool > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSIONu_monomorphized1, axiom, ![S:(prodcartrealq433700funcartrealq433700bool > $o),T:(prodcartrealq433700funcartrealq433700bool > $o)]:((S = T) <=> ![X:prodcartrealq433700funcartrealq433700bool]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aEXTENSIONu_monomorphized0, axiom, ![S:(cartrealq433700 > $o),T:(cartrealq433700 > $o)]:((S = T) <=> ![X:cartrealq433700]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aINu_monomorphized1, axiom, ![P:(prodcartrealq433700funcartrealq433700bool > $o),X:prodcartrealq433700funcartrealq433700bool]:((in @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(cartrealq433700 > $o),X:cartrealq433700]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized1, axiom, ![P:(prodcartrealq433700funcartrealq433700bool > $o),X:prodcartrealq433700funcartrealq433700bool]:((in @ X @ (gspec @ ^[V:prodcartrealq433700funcartrealq433700bool]:?[Y:prodcartrealq433700funcartrealq433700bool]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized0, axiom, ![P:(cartrealq433700 > $o),X:cartrealq433700]:((in0 @ X @ (gspec0 @ ^[V:cartrealq433700]:?[Y:cartrealq433700]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTERu_monomorphized1, axiom, ![S:(prodcartrealq433700funcartrealq433700bool > $o),T:(prodcartrealq433700funcartrealq433700bool > $o),X:prodcartrealq433700funcartrealq433700bool]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_INTERu_monomorphized0, axiom, ![S:(cartrealq433700 > $o),T:(cartrealq433700 > $o),X:cartrealq433700]:((in0 @ X @ (inter0 @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_UNIONSu_monomorphized1, axiom, ![S:((prodcartrealq433700funcartrealq433700bool > $o) > $o),X:prodcartrealq433700funcartrealq433700bool]:((in @ X @ (unions @ S)) <=> ?[T:(prodcartrealq433700funcartrealq433700bool > $o)]:((in1 @ T @ S) & (in @ X @ T)))).
thf(aINu_UNIONSu_monomorphized0, axiom, ![S:((cartrealq433700 > $o) > $o),X:cartrealq433700]:((in0 @ X @ (unions0 @ S)) <=> ?[T:(cartrealq433700 > $o)]:((in2 @ T @ S) & (in0 @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTYu_monomorphized1, axiom, ![X:prodcartrealq433700funcartrealq433700bool]:~ ((in @ X @ empty))).
thf(aNOTu_INu_EMPTYu_monomorphized0, axiom, ![X:cartrealq433700]:~ ((in0 @ X @ empty0))).
thf(aSUBSETu_monomorphized1, axiom, ![S:(prodcartrealq433700funcartrealq433700bool > $o),T:(prodcartrealq433700funcartrealq433700bool > $o)]:((subset @ S @ T) <=> ![X:prodcartrealq433700funcartrealq433700bool]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_monomorphized0, axiom, ![S:(cartrealq433700 > $o),T:(cartrealq433700 > $o)]:((subset0 @ S @ T) <=> ![X:cartrealq433700]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTAGGEDu_DIVISIONu_OF, axiom, ![S:(prodcartrealq433700funcartrealq433700bool > $o),I:(cartrealq433700 > $o)]:((taggedu_divisionu_of @ S @ I) <=> ((finite @ S) & ![X:cartrealq433700,K:(cartrealq433700 > $o)]:((in @ (c_ @ X @ K) @ S) => ((in0 @ X @ K) & (subset0 @ K @ I) & ?[A:cartrealq433700,B:cartrealq433700]:(K = (closedu_interval @ (cons @ (c_0 @ A @ B) @ nil))))) & ![X1:cartrealq433700,K1:(cartrealq433700 > $o),X2:cartrealq433700,K2:(cartrealq433700 > $o)]:(((in @ (c_ @ X1 @ K1) @ S) & (in @ (c_ @ X2 @ K2) @ S) & ~ (((c_ @ X1 @ K1) = (c_ @ X2 @ K2)))) => ((inter0 @ (interior @ K1) @ (interior @ K2)) = empty0)) & ((unions0 @ (gspec1 @ ^[GENR_PVARR_1606:(cartrealq433700 > $o)]:?[K:(cartrealq433700 > $o)]:(setspec1 @ GENR_PVARR_1606 @ ?[X:cartrealq433700]:(in @ (c_ @ X @ K) @ S) @ K))) = I)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealq433700,P:(prodcartrealq433700funcartrealq433700bool > $o),I:(cartrealq433700 > $o),K:(cartrealq433700 > $o)]:(((taggedu_divisionu_of @ P @ I) & (in @ (c_ @ X @ K) @ P)) => (in0 @ X @ I))).
