%   ORIGINAL: TAGGED_PARTIAL_DIVISION_OF_TRIVIAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: FORALL_PAIR_THM: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: IN: !P x. x IN P <=> P x
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET_EMPTY: !s. s SUBSET {} <=> s = {}
% Assm: TRUTH: T
% Assm: tagged_partial_division_of: !i s. s tagged_partial_division_of i <=> FINITE s /\ (!x k. x,k IN s ==> x IN k /\ k SUBSET i /\ (?a b. k = interval [a,b])) /\ (!x1 k1 x2 k2. x1,k1 IN s /\ x2,k2 IN s /\ ~(x1,k1 = x2,k2) ==> interior k1 INTER interior k2 = {})
% Goal: !p. p tagged_partial_division_of {} <=> p = {}
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE {}
% Assm: FINITE {}
% Assm: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: !P x. x IN P <=> P x
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x. ~(x IN {})
% Assm: !s. s SUBSET {} <=> s = {}
% Assm: T
% Assm: !i s. s tagged_partial_division_of i <=> FINITE s /\ (!x k. x,k IN s ==> x IN k /\ k SUBSET i /\ (?a b. k = interval [a,b])) /\ (!x1 k1 x2 k2. x1,k1 IN s /\ x2,k2 IN s /\ ~(x1,k1 = x2,k2) ==> interior k1 INTER interior k2 = {})
% Goal: !p. p tagged_partial_division_of {} <=> p = {}
%  TYPES
thf(tq4497, type, q4497 : $tType).
thf(tq433758, type, q433758 : $tType).
thf(tq4498, type, q4498 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq433758cartrealq433758, type, prodcartrealq433758cartrealq433758 : $tType).
thf(tprodcartrealq433758funcartrealq433758bool, type, prodcartrealq433758funcartrealq433758bool : $tType).
thf(tfuncartrealq433758bool, type, funcartrealq433758bool : $tType).
thf(tprodq4498q4497, type, prodq4498q4497 : $tType).
thf(tcartrealq433758, type, cartrealq433758 : $tType).
thf(tlistprodcartrealq433758cartrealq433758, type, listprodcartrealq433758cartrealq433758 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq433758cartrealq433758).
thf(cinterior, type, interior : ((cartrealq433758 > $o) > cartrealq433758 > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealq433758cartrealq433758 > cartrealq433758 > $o)).
thf(csubset0, type, subset0 : ((cartrealq433758 > $o) > (cartrealq433758 > $o) > $o)).
thf(csubset, type, subset : ((prodcartrealq433758funcartrealq433758bool > $o) > (prodcartrealq433758funcartrealq433758bool > $o) > $o)).
thf(cin1, type, in1 : (cartrealq433758 > (cartrealq433758 > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (prodcartrealq433758funcartrealq433758bool > (prodcartrealq433758funcartrealq433758bool > $o) > $o)).
thf(ctaggeduu_partialuu_divisionuu_of, type, taggedu_partialu_divisionu_of : ((prodcartrealq433758funcartrealq433758bool > $o) > (cartrealq433758 > $o) > $o)).
thf(cinter, type, inter : ((cartrealq433758 > $o) > (cartrealq433758 > $o) > cartrealq433758 > $o)).
thf(ccu_1, type, c_1 : (cartrealq433758 > cartrealq433758 > prodcartrealq433758cartrealq433758)).
thf(ccons, type, cons : (prodcartrealq433758cartrealq433758 > listprodcartrealq433758cartrealq433758 > listprodcartrealq433758cartrealq433758)).
thf(ccu_0, type, c_0 : (cartrealq433758 > (cartrealq433758 > $o) > prodcartrealq433758funcartrealq433758bool)).
thf(ccu_, type, c_ : (q4498 > q4497 > prodq4498q4497)).
thf(cfinite0, type, finite0 : ((cartrealq433758 > $o) > $o)).
thf(cfinite, type, finite : ((prodcartrealq433758funcartrealq433758bool > $o) > $o)).
thf(cempty0, type, empty0 : (prodcartrealq433758funcartrealq433758bool > $o)).
thf(cempty, type, empty : (cartrealq433758 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(prodcartrealq433758funcartrealq433758bool > $o),G:(prodcartrealq433758funcartrealq433758bool > $o)]:(![X:prodcartrealq433758funcartrealq433758bool]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(prodcartrealq433758funcartrealq433758bool > $o),T:(prodcartrealq433758funcartrealq433758bool > $o)]:((S = T) <=> ![X:prodcartrealq433758funcartrealq433758bool]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_RULESu_conjunct0u_monomorphized1, axiom, (finite @ empty0)).
thf(aFINITEu_RULESu_conjunct0u_monomorphized0, axiom, (finite0 @ empty)).
thf(aFORALLu_PAIRu_THM, axiom, ![P:(prodq4498q4497 > $o)]:(![P0:prodq4498q4497]:(P @ P0) <=> ![P1:q4498,P2:q4497]:(P @ (c_ @ P1 @ P2)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(prodcartrealq433758funcartrealq433758bool > $o)]:(?[X:prodcartrealq433758funcartrealq433758bool]:(in @ X @ S) <=> ~ ((S = empty0)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTYu_monomorphized1, axiom, ![X:prodcartrealq433758funcartrealq433758bool]:~ ((in @ X @ empty0))).
thf(aNOTu_INu_EMPTYu_monomorphized0, axiom, ![X:cartrealq433758]:~ ((in1 @ X @ empty))).
thf(aSUBSETu_EMPTY, axiom, ![S:(prodcartrealq433758funcartrealq433758bool > $o)]:((subset @ S @ empty0) <=> (S = empty0))).
thf(aTRUTH, axiom, $true).
thf(ataggedu_partialu_divisionu_of, axiom, ![I:(cartrealq433758 > $o),S:(prodcartrealq433758funcartrealq433758bool > $o)]:((taggedu_partialu_divisionu_of @ S @ I) <=> ((finite @ S) & ![X:cartrealq433758,K:(cartrealq433758 > $o)]:((in @ (c_0 @ X @ K) @ S) => ((in1 @ X @ K) & (subset0 @ K @ I) & ?[A:cartrealq433758,B:cartrealq433758]:(K = (closedu_interval @ (cons @ (c_1 @ A @ B) @ nil))))) & ![X1:cartrealq433758,K1:(cartrealq433758 > $o),X2:cartrealq433758,K2:(cartrealq433758 > $o)]:(((in @ (c_0 @ X1 @ K1) @ S) & (in @ (c_0 @ X2 @ K2) @ S) & ~ (((c_0 @ X1 @ K1) = (c_0 @ X2 @ K2)))) => ((inter @ (interior @ K1) @ (interior @ K2)) = empty))))).
thf(conjecture, conjecture, ![P:(prodcartrealq433758funcartrealq433758bool > $o)]:((taggedu_partialu_divisionu_of @ P @ empty) <=> (P = empty0))).
