%   ORIGINAL: has_integral
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: has_integral_compact_interval: !i f y. (f has_integral_compact_interval y) i <=> (!e. &0 < e ==> (?d. gauge d /\ (!p. p tagged_division_of i /\ d fine p ==> norm (vsum p (\(x,k). content k % f x) - y) < e)))
% Assm: has_integral_def: !i f y. (f has_integral y) i <=> (if ?a b. i = interval [a,b] then (f has_integral_compact_interval y) i else !e. &0 < e ==> (?B. &0 < B /\ (!a b. ball (vec 0,B) SUBSET interval [a,b] ==> (?z. ((\x. if x IN i then f x else vec 0) has_integral_compact_interval z) (interval [a,b]) /\ norm (z - y) < e))))
% Goal: (f has_integral y) (interval [a,b]) <=> (!e. &0 < e ==> (?d. gauge d /\ (!p. p tagged_division_of interval [a,b] /\ d fine p ==> norm (vsum p (\(x,k). content k % f x) - y) < e)))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: T
% Assm: !i f y. (f has_integral_compact_interval y) i <=> (!e. &0 < e ==> (?d. gauge d /\ (!p. p tagged_division_of i /\ d fine p ==> norm (vsum p (\(x,k). content k % f x) - y) < e)))
% Assm: !i f y. (f has_integral y) i <=> (if ?a b. i = interval [a,b] then (f has_integral_compact_interval y) i else !e. &0 < e ==> (?B. &0 < B /\ (!a b. ball (vec 0,B) SUBSET interval [a,b] ==> (?z. ((\x. if x IN i then f x else vec 0) has_integral_compact_interval z) (interval [a,b]) /\ norm (z - y) < e))))
% Goal: !y f b a. (f has_integral y) (interval [a,b]) <=> (!e. &0 < e ==> (?d. gauge d /\ (!p. p tagged_division_of interval [a,b] /\ d fine p ==> norm (vsum p (\(x,k). content k % f x) - y) < e)))
%  TYPES
thf(tcartrealq435044, type, cartrealq435044 : $tType).
thf(tprodcartrealq435044cartrealq435044, type, prodcartrealq435044cartrealq435044 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealq435044real, type, prodcartrealq435044real : $tType).
thf(tq435044, type, q435044 : $tType).
thf(tcartrealq435048, type, cartrealq435048 : $tType).
thf(treal, type, real : $tType).
thf(tq435048, type, q435048 : $tType).
thf(tprodcartrealq435044funcartrealq435044bool, type, prodcartrealq435044funcartrealq435044bool : $tType).
thf(tfuncartrealq435044bool, type, funcartrealq435044bool : $tType).
thf(tlistprodcartrealq435044cartrealq435044, type, listprodcartrealq435044cartrealq435044 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq435044cartrealq435044).
thf(cin, type, in : (cartrealq435044 > (cartrealq435044 > $o) > $o)).
thf(cball, type, ball : (prodcartrealq435044real > cartrealq435044 > $o)).
thf(csubset, type, subset : ((cartrealq435044 > $o) > (cartrealq435044 > $o) > $o)).
thf(ccontent, type, content : ((cartrealq435044 > $o) > real)).
thf(cgeq, type, geq : (cartrealq435048 > cartrealq435048 > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq435048 > real)).
thf(cfine, type, fine : ((cartrealq435044 > cartrealq435044 > $o) > (prodcartrealq435044funcartrealq435044bool > $o) > $o)).
thf(ctaggeduu_divisionuu_of, type, taggedu_divisionu_of : ((prodcartrealq435044funcartrealq435044bool > $o) > (cartrealq435044 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealq435044cartrealq435044 > cartrealq435044 > $o)).
thf(ccond0, type, cond0 : ($o > cartrealq435048 > cartrealq435048 > cartrealq435048)).
thf(ccu_1, type, c_1 : (cartrealq435044 > real > prodcartrealq435044real)).
thf(chasuu_integraluu_compactuu_interval, type, hasu_integralu_compactu_interval : ((cartrealq435044 > cartrealq435048) > cartrealq435048 > (cartrealq435044 > $o) > $o)).
thf(ccond, type, cond : ($o > $o > $o > $o)).
thf(cru_, type, r_ : (real > cartrealq435048 > cartrealq435048)).
thf(ccu_0, type, c_0 : (cartrealq435044 > (cartrealq435044 > $o) > prodcartrealq435044funcartrealq435044bool)).
thf(cgabs, type, gabs : (((prodcartrealq435044funcartrealq435044bool > cartrealq435048) > $o) > prodcartrealq435044funcartrealq435044bool > cartrealq435048)).
thf(cvsum, type, vsum : ((prodcartrealq435044funcartrealq435044bool > $o) > (prodcartrealq435044funcartrealq435044bool > cartrealq435048) > cartrealq435048)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq435048 > cartrealq435048 > cartrealq435048)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealq435044 > cartrealq435044 > prodcartrealq435044cartrealq435044)).
thf(ccons, type, cons : (prodcartrealq435044cartrealq435044 > listprodcartrealq435044cartrealq435044 > listprodcartrealq435044cartrealq435044)).
thf(chasuu_integral, type, hasu_integral : ((cartrealq435044 > cartrealq435048) > cartrealq435048 > (cartrealq435044 > $o) > $o)).
thf(ci, type, i : ($o > $o)).
thf(cgauge, type, gauge : ((cartrealq435044 > cartrealq435044 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cvec, type, vec : (num > cartrealq435044)).
thf(cvec0, type, vec0 : (num > cartrealq435048)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:$o,T2:$o]:(((cond @ $true @ T1 @ T2) <=> T1) & ((cond @ $false @ T1 @ T2) <=> T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(ahasu_integralu_compactu_interval, axiom, ![I:(cartrealq435044 > $o),F:(cartrealq435044 > cartrealq435048),Y:cartrealq435048]:((hasu_integralu_compactu_interval @ F @ Y @ I) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:(cartrealq435044 > cartrealq435044 > $o)]:((gauge @ D) & ![P:(prodcartrealq435044funcartrealq435044bool > $o)]:(((taggedu_divisionu_of @ P @ I) & (fine @ D @ P)) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (vsum @ P @ (gabs @ ^[F0:(prodcartrealq435044funcartrealq435044bool > cartrealq435048)]:![X:cartrealq435044,K:(cartrealq435044 > $o)]:(geq @ (F0 @ (c_0 @ X @ K)) @ (r_ @ (content @ K) @ (F @ X))))) @ Y)) @ E)))))).
thf(ahasu_integralu_def, axiom, ![I:(cartrealq435044 > $o),F:(cartrealq435044 > cartrealq435048),Y:cartrealq435048]:((hasu_integral @ F @ Y @ I) <=> (cond @ ?[A:cartrealq435044,B:cartrealq435044]:(I = (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) @ (hasu_integralu_compactu_interval @ F @ Y @ I) @ ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[B:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & ![A:cartrealq435044,B0:cartrealq435044]:((subset @ (ball @ (c_1 @ (vec @ (numeral @ u_0)) @ B)) @ (closedu_interval @ (cons @ (c_ @ A @ B0) @ nil))) => ?[Z:cartrealq435048]:((hasu_integralu_compactu_interval @ ^[X:cartrealq435044]:(cond0 @ (in @ X @ I) @ (F @ X) @ (vec0 @ (numeral @ u_0))) @ Z @ (closedu_interval @ (cons @ (c_ @ A @ B0) @ nil))) & (realu_lt @ (vectoru_norm @ (vectoru_sub @ Z @ Y)) @ E)))))))).
thf(conjecture, conjecture, ![Y:cartrealq435048,F:(cartrealq435044 > cartrealq435048),B:cartrealq435044,A:cartrealq435044]:((hasu_integral @ F @ Y @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:(cartrealq435044 > cartrealq435044 > $o)]:((gauge @ D) & ![P:(prodcartrealq435044funcartrealq435044bool > $o)]:(((taggedu_divisionu_of @ P @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (fine @ D @ P)) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (vsum @ P @ (gabs @ ^[F0:(prodcartrealq435044funcartrealq435044bool > cartrealq435048)]:![X:cartrealq435044,K:(cartrealq435044 > $o)]:(geq @ (F0 @ (c_0 @ X @ K)) @ (r_ @ (content @ K) @ (F @ X))))) @ Y)) @ E)))))).
