%   ORIGINAL: INTEGRAL_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_INTEGRAL_0: !s. ((\x. vec 0) has_integral vec 0) s
% Assm: INTEGRAL_UNIQUE: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. integral s (\x. vec 0) = vec 0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !s. ((\x. vec 0) has_integral vec 0) s
% Assm: !f y k. (f has_integral y) k ==> integral k f = y
% Assm: ~F <=> T
% Assm: T
% Goal: !s. integral s (\x. vec 0) = vec 0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq437774, type, cartrealq437774 : $tType).
thf(tcartrealq438497, type, cartrealq438497 : $tType).
thf(tq438497, type, q438497 : $tType).
thf(treal, type, real : $tType).
thf(tq437774, type, q437774 : $tType).
thf(tq438504, type, q438504 : $tType).
thf(tcartrealq438504, type, cartrealq438504 : $tType).
%  CONSTS
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealq438497 > cartrealq438504) > cartrealq438504 > (cartrealq438497 > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealq437774 > cartrealq438504) > cartrealq438504 > (cartrealq437774 > $o) > $o)).
thf(cintegral, type, integral : ((cartrealq438497 > $o) > (cartrealq438497 > cartrealq438504) > cartrealq438504)).
thf(cuu_0, type, u_0 : num).
thf(cvec, type, vec : (num > cartrealq438504)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq438504),G:(a > cartrealq438504)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealq438504),G:(a > cartrealq438504)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_INTEGRALu_0, axiom, ![S:(cartrealq437774 > $o)]:(hasu_integral @ ^[X:cartrealq437774]:(vec @ (numeral @ u_0)) @ (vec @ (numeral @ u_0)) @ S)).
thf(aINTEGRALu_UNIQUE, axiom, ![F:(cartrealq438497 > cartrealq438504),Y:cartrealq438504,K:(cartrealq438497 > $o)]:((hasu_integral0 @ F @ Y @ K) => ((integral @ K @ F) = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq438497 > $o)]:((integral @ S @ ^[X:cartrealq438497]:(vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0)))).
