%   ORIGINAL: INTEGRABLE_ON_EMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_INTEGRAL_EMPTY: !f. (f has_integral vec 0) {}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: integrable_on: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f. f integrable_on {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f. (f has_integral vec 0) {}
% Assm: ~F <=> T
% Assm: T
% Assm: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f. f integrable_on {}
%  TYPES
thf(tnum, type, num : $tType).
thf(tq439571, type, q439571 : $tType).
thf(ta, type, a : $tType).
thf(tq439572, type, q439572 : $tType).
thf(tq439540, type, q439540 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq439572, type, cartrealq439572 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq439540, type, cartrealq439540 : $tType).
thf(tcartrealq439571, type, cartrealq439571 : $tType).
%  CONSTS
thf(cintegrableuu_on, type, integrableu_on : ((cartrealq439572 > cartrealq439571) > (cartrealq439572 > $o) > $o)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealq439572 > cartrealq439571) > cartrealq439571 > (cartrealq439572 > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealq439572 > cartrealq439540) > cartrealq439540 > (cartrealq439572 > $o) > $o)).
thf(cempty, type, empty : (cartrealq439572 > $o)).
thf(cvec, type, vec : (num > cartrealq439540)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_INTEGRALu_EMPTY, axiom, ![F:(cartrealq439572 > cartrealq439540)]:(hasu_integral @ F @ (vec @ (numeral @ u_0)) @ empty)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aintegrableu_on, axiom, ![F:(cartrealq439572 > cartrealq439571),I:(cartrealq439572 > $o)]:((integrableu_on @ F @ I) <=> ?[Y:cartrealq439571]:(hasu_integral0 @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(cartrealq439572 > cartrealq439571)]:(integrableu_on @ F @ empty)).
