%   ORIGINAL: HAS_INTEGRAL_REFL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTENT_EQ_0_INTERIOR: !a b. content (interval [a,b]) = &0 <=> interior (interval [a,b]) = {}
% Assm: HAS_INTEGRAL_NULL: !f a b. content (interval [a,b]) = &0 ==> (f has_integral vec 0) (interval [a,b])
% Assm: INTERIOR_CLOSED_INTERVAL: !a b. interior (interval [a,b]) = interval (a,b)
% Assm: INTERVAL_SING_conjunct1: interval (a,a) = {}
% Assm: TRUTH: T
% Goal: !f a. (f has_integral vec 0) (interval [a,a])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. content (interval [a,b]) = &0 <=> interior (interval [a,b]) = {}
% Assm: !f a b. content (interval [a,b]) = &0 ==> (f has_integral vec 0) (interval [a,b])
% Assm: !a b. interior (interval [a,b]) = interval (a,b)
% Assm: !a. interval (a,a) = {}
% Assm: T
% Goal: !f a. (f has_integral vec 0) (interval [a,a])
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq439604, type, cartrealq439604 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq439615, type, cartrealq439615 : $tType).
thf(treal, type, real : $tType).
thf(tq439604, type, q439604 : $tType).
thf(tq439615, type, q439615 : $tType).
thf(tprodcartrealq439615cartrealq439615, type, prodcartrealq439615cartrealq439615 : $tType).
thf(tlistprodcartrealq439615cartrealq439615, type, listprodcartrealq439615cartrealq439615 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq439615cartrealq439615).
thf(copenuu_interval, type, openu_interval : (prodcartrealq439615cartrealq439615 > cartrealq439615 > $o)).
thf(cinterior, type, interior : ((cartrealq439615 > $o) > cartrealq439615 > $o)).
thf(ccontent, type, content : ((cartrealq439615 > $o) > real)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealq439615cartrealq439615 > cartrealq439615 > $o)).
thf(cvec, type, vec : (num > cartrealq439604)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealq439615 > cartrealq439615 > prodcartrealq439615cartrealq439615)).
thf(ccons, type, cons : (prodcartrealq439615cartrealq439615 > listprodcartrealq439615cartrealq439615 > listprodcartrealq439615cartrealq439615)).
thf(chasuu_integral, type, hasu_integral : ((cartrealq439615 > cartrealq439604) > cartrealq439604 > (cartrealq439615 > $o) > $o)).
thf(cempty, type, empty : (cartrealq439615 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTENTu_EQu_0u_INTERIOR, axiom, ![A:cartrealq439615,B:cartrealq439615]:(((content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (realu_ofu_num @ (numeral @ u_0))) <=> ((interior @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = empty))).
thf(aHASu_INTEGRALu_NULL, axiom, ![F:(cartrealq439615 > cartrealq439604),A:cartrealq439615,B:cartrealq439615]:(((content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (realu_ofu_num @ (numeral @ u_0))) => (hasu_integral @ F @ (vec @ (numeral @ u_0)) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aINTERIORu_CLOSEDu_INTERVAL, axiom, ![A:cartrealq439615,B:cartrealq439615]:((interior @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (openu_interval @ (c_ @ A @ B)))).
thf(aINTERVALu_SINGu_conjunct1, axiom, ![A:cartrealq439615]:((openu_interval @ (c_ @ A @ A)) = empty)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealq439615 > cartrealq439604),A:cartrealq439615]:(hasu_integral @ F @ (vec @ (numeral @ u_0)) @ (closedu_interval @ (cons @ (c_ @ A @ A) @ nil)))).
