%   ORIGINAL: INTEGRAL_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INTEGRAL_SPIKE: !f g s t y. negligible s /\ (!x. x IN t DIFF s ==> g x = f x) ==> integral t f = integral t g
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: NEGLIGIBLE_EMPTY: negligible {}
% Assm: TRUTH: T
% Goal: !f g s. (!x. x IN s ==> f x = g x) ==> integral s f = integral s g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s t y. negligible s /\ (!x. x IN t DIFF s ==> g x = f x) ==> integral t f = integral t g
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: negligible {}
% Assm: T
% Goal: !f g s. (!x. x IN s ==> f x = g x) ==> integral s f = integral s g
%  TYPES
thf(tcartrealq453251, type, cartrealq453251 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq453251, type, q453251 : $tType).
thf(tq453031, type, q453031 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cdiff, type, diff : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(cempty, type, empty : (cartrealq453251 > $o)).
thf(cnegligible0, type, negligible0 : ((cartrealq453251 > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealm > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTEGRALu_SPIKE, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o),Y:q453031]:(((negligible @ S) & ![X:cartrealm]:((in @ X @ (diff @ T @ S)) => ((G @ X) = (F @ X)))) => ((integral @ T @ F) = (integral @ T @ G)))).
thf(aINu_DIFF, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aNEGLIGIBLEu_EMPTY, axiom, (negligible0 @ empty)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(![X:cartrealm]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((integral @ S @ F) = (integral @ S @ G)))).
