%   ORIGINAL: INTEGRAL_INTERVALS_INCLUSION_EXCLUSION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD1: !m. SUC m = m + 1
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_CLAUSES_conjunct0: CARD {} = 0
% Assm: CARD_CLAUSES_conjunct1: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: CONS_11: !h1 h2 t1 t2. CONS h1 t1 = CONS h2 t2 <=> h1 = h2 /\ t1 = t2
% Assm: CONTENT_EQ_0: !a b. content (interval [a,b]) = &0 <=> (?i. 1 <= i /\ i <= dimindex (:N) /\ b$i <= a$i)
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: EMPTY_GSPEC: {x | F} = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: FINITE_POWERSET: !s. FINITE s ==> FINITE {t | t SUBSET s}
% Assm: FINITE_RESTRICT: !s P. FINITE s ==> FINITE {x | x IN s /\ P x}
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Float.pow_conjunct0: x pow 0 = &1
% Assm: Float.pow_conjunct1: !n. x pow SUC n = x * x pow n
% Assm: Hypermap.GE_1: !n. 1 <= SUC n
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTEGRABLE_ON_SUBINTERVAL: !f s a b. f integrable_on s /\ interval [a,b] SUBSET s ==> f integrable_on interval [a,b]
% Assm: INTEGRABLE_RESTRICT_UNIV: !f s. (\x. if x IN s then f x else vec 0) integrable_on (:real^M) <=> f integrable_on s
% Assm: INTEGRAL_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> integral s f = integral s g
% Assm: INTEGRAL_NULL: !f a b. content (interval [a,b]) = &0 ==> integral (interval [a,b]) f = vec 0
% Assm: INTEGRAL_SPLIT_SIGNED: !f a b t k. 1 <= k /\ k <= dimindex (:M) /\ a$k <= t /\ a$k <= b$k /\ f integrable_on interval [a,(lambda i. if i = k then max (b$k) t else b$i)] ==> integral (interval [a,b]) f = integral (interval [a,(lambda i. if i = k then t else b$i)]) f + (if b$k < t then -- &1 else &1) % integral (interval [(lambda i. if i = k then min (b$k) t else a$i),(lambda i. if i = k then max (b$k) t else b$i)]) f
% Assm: INT_LT_DISCRETE: !x y. x < y <=> x + &1 <= y
% Assm: INT_NOT_EQ: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: INT_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: INT_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: INT_OF_NUM_ADD: !m n. &m + &n = &(m + n)
% Assm: INT_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: INT_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: INT_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: INT_POS: !n. &0 <= &n
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_INTERVAL_conjunct1: !x. x IN interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i)
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: I_THM: !x. I x = x
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LAMBDA_ETA: !g. (lambda i. g$i) = g
% Assm: LE_0: !n. 0 <= n
% Assm: LE_REFL: !n. n <= n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: LTE_ANTISYM: !m n. ~(m < n /\ n <= m)
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: NUMSEG_CLAUSES_conjunct0: !m. m..0 = (if m = 0 then {0} else {})
% Assm: NUMSEG_CLAUSES_conjunct1: !m n. m..SUC n = (if m <= SUC n then SUC n INSERT (m..n) else m..n)
% Assm: ONE: 1 = SUC 0
% Assm: PAIR_EQ: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: POWERSET_CLAUSES_conjunct1: !a t. {s | s SUBSET a INSERT t} = {s | s SUBSET t} UNION IMAGE (\s. a INSERT s) {s | s SUBSET t}
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SING_GSPEC_conjunct0: !a. {x | x = a} = {a}
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_EMPTY: !s. s SUBSET {} <=> s = {}
% Assm: SUBSET_INTERVAL_conjunct0: interval [c,d] SUBSET interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> c$i <= d$i) ==> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= c$i /\ d$i <= b$i)
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: VSUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: VSUM_IMAGE: !f g s. FINITE s /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> vsum (IMAGE f s) g = vsum s (g o f)
% Assm: VSUM_LMUL: !f c s. vsum s (\x. c % f x) = c % vsum s f
% Assm: VSUM_SING: !f x. vsum {x} f = f x
% Assm: VSUM_UNION: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> vsum (s UNION t) f = vsum s f + vsum t f
% Assm: int_add_th: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: real_max: !n m. max m n = (if m <= n then n else m)
% Assm: real_min: !m n. min m n = (if m <= n then m else n)
% Goal: !f a b c d. f integrable_on interval [a,b] /\ c IN interval [a,b] /\ d IN interval [a,b] ==> integral (interval [a,d]) f = vsum {s | s SUBSET 1..dimindex (:M)} (\s. -- &1 pow CARD {i | i IN s /\ d$i < c$i} % integral (interval [(lambda i. if i IN s then min (c$i) (d$i) else a$i),(lambda i. if i IN s then max (c$i) (d$i) else c$i)]) f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m. SUC m = m + 1
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD {} = 0
% Assm: !x s. FINITE s ==> CARD (x INSERT s) = (if x IN s then CARD s else SUC (CARD s))
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !h1 h2 t1 t2. CONS h1 t1 = CONS h2 t2 <=> h1 = h2 /\ t1 = t2
% Assm: !a b. content (interval [a,b]) = &0 <=> (?i. 1 <= i /\ i <= dimindex (:M) /\ b$i <= a$i)
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: {x | F} = {}
% Assm: {x | F} = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !m n. FINITE (m..n)
% Assm: !s. FINITE s ==> FINITE {t | t SUBSET s}
% Assm: !s P. FINITE s ==> FINITE {x | x IN s /\ P x}
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !n. 1 <= SUC n
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !f s a b. f integrable_on s /\ interval [a,b] SUBSET s ==> f integrable_on interval [a,b]
% Assm: !f s. (\x. if x IN s then f x else vec 0) integrable_on (:real^M) <=> f integrable_on s
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> integral s f = integral s g
% Assm: !f a b. content (interval [a,b]) = &0 ==> integral (interval [a,b]) f = vec 0
% Assm: !f a b t k. 1 <= k /\ k <= dimindex (:M) /\ a$k <= t /\ a$k <= b$k /\ f integrable_on interval [a,(lambda i. if i = k then max (b$k) t else b$i)] ==> integral (interval [a,b]) f = integral (interval [a,(lambda i. if i = k then t else b$i)]) f + (if b$k < t then -- &1 else &1) % integral (interval [(lambda i. if i = k then min (b$k) t else a$i),(lambda i. if i = k then max (b$k) t else b$i)]) f
% Assm: !x y. x < y <=> x + &1 <= y
% Assm: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !m n. &m + &n = &(m + n)
% Assm: !m n. &m = &n <=> m = n
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m < &n <=> m < n
% Assm: !n. &0 <= &n
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !a b x. x IN interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> a$i <= x$i /\ x$i <= b$i)
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !x. I x = x
% Assm: !g i. 1 <= i /\ i <= dimindex (:M) ==> (lambda) g$i = g i
% Assm: !g. (lambda i. g$i) = g
% Assm: !n. 0 <= n
% Assm: !n. n <= n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !m n. ~(m < n /\ n <= m)
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: !m. m..0 = (if m = 0 then {0} else {})
% Assm: !m n. m..SUC n = (if m <= SUC n then SUC n INSERT (m..n) else m..n)
% Assm: 1 = SUC 0
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: !a t. {s | s SUBSET a INSERT t} = {s | s SUBSET t} UNION IMAGE (\s. a INSERT s) {s | s SUBSET t}
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x. x <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: !x. x * &0 = &0
% Assm: !a. {x | x = a} = {a}
% Assm: !a. {x | x = a} = {a}
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s. s SUBSET {} <=> s = {}
% Assm: !a c d b. interval [c,d] SUBSET interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> c$i <= d$i) ==> (!i. 1 <= i /\ i <= dimindex (:M) ==> a$i <= c$i /\ d$i <= b$i)
% Assm: !s. s SUBSET (:num)
% Assm: T
% Assm: 2 = SUC 1
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !x. &1 % x = x
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: !f g s. FINITE s /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> vsum (IMAGE f s) g = vsum s (g o f)
% Assm: !f g s. FINITE s /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> vsum (IMAGE f s) g = vsum s (g o f)
% Assm: !f c s. vsum s (\x. c % f x) = c % vsum s f
% Assm: !f x. vsum {x} f = f x
% Assm: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> vsum (s UNION t) f = vsum s f + vsum t f
% Assm: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !n m. max m n = (if m <= n then n else m)
% Assm: !m n. min m n = (if m <= n then m else n)
% Goal: !f a b c d. f integrable_on interval [a,b] /\ c IN interval [a,b] /\ d IN interval [a,b] ==> integral (interval [a,d]) f = vsum {s | s SUBSET 1..dimindex (:M)} (\s. -- &1 pow CARD {i | i IN s /\ d$i < c$i} % integral (interval [(lambda i. if i IN s then min (c$i) (d$i) else a$i),(lambda i. if i IN s then max (c$i) (d$i) else c$i)]) f)
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cdisjoint0, type, disjoint0 : (((num > $o) > $o) > ((num > $o) > $o) > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(csubset0, type, subset0 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdisjoint, type, disjoint : ((a > $o) > (a > $o) > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccontent, type, content : ((cartrealm > $o) > real)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(cdu_, type, d_ : (cartrealm > num > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(csubset, type, subset : ((num > $o) > (num > $o) > $o)).
thf(cgspec, type, gspec : (((num > $o) > $o) > (num > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(co0, type, o0 : ((cartrealn > cartrealn) > (cartrealm > cartrealn) > cartrealm > cartrealn)).
thf(cimage6, type, image6 : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(co, type, o : ((cartrealn > cartrealn) > (num > cartrealn) > num > cartrealn)).
thf(cimage5, type, image5 : ((num > cartrealn) > (num > $o) > cartrealn > $o)).
thf(cvsum2, type, vsum2 : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(cvsum1, type, vsum1 : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(cvsum0, type, vsum0 : ((num > $o) > (num > cartrealn) > cartrealn)).
thf(cinsert1, type, insert1 : ((num > $o) > ((num > $o) > $o) > (num > $o) > $o)).
thf(cimage4, type, image4 : (((num > $o) > num > $o) > ((num > $o) > $o) > (num > $o) > $o)).
thf(cunion, type, union : (((num > $o) > $o) > ((num > $o) > $o) > (num > $o) > $o)).
thf(ccond2, type, cond2 : ($o > (num > $o) > (num > $o) > num > $o)).
thf(cinter1, type, inter1 : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cinter0, type, inter0 : ((num > $o) > (num > $o) > num > $o)).
thf(cinsert0, type, insert0 : (cartrealm > (cartrealm > $o) > cartrealm > $o)).
thf(cimage3, type, image3 : ((cartrealm > cartrealm) > (cartrealm > $o) > cartrealm > $o)).
thf(cimage2, type, image2 : ((num > cartrealm) > (num > $o) > cartrealm > $o)).
thf(cimage1, type, image1 : ((cartrealm > num) > (cartrealm > $o) > num > $o)).
thf(cimage0, type, image0 : ((num > num) > (num > $o) > num > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(ccond1, type, cond1 : ($o > cartrealn > cartrealn > cartrealn)).
thf(cimage, type, image : ((a > b) > (a > $o) > b > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(ccond0, type, cond0 : ($o > num > num > num)).
thf(cinsert, type, insert : (num > (num > $o) > num > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : ((num > $o) > $o > (num > $o) > $o)).
thf(cvsum, type, vsum : (((num > $o) > $o) > ((num > $o) > cartrealn) > cartrealn)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(cuniv2, type, univ2 : (num > $o)).
thf(cempty, type, empty : (num > $o)).
thf(cfinite3, type, finite3 : ((cartrealm > $o) > $o)).
thf(cempty2, type, empty2 : (cartrealm > $o)).
thf(cuniv1, type, univ1 : (cartrealm > $o)).
thf(cfinite2, type, finite2 : (((num > $o) > $o) > $o)).
thf(cfinite1, type, finite1 : ((b > $o) > $o)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cempty1, type, empty1 : ((num > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealm)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(ccard, type, card : ((num > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cempty0, type, empty0 : (a > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADD1, axiom, ![M:num]:((suc @ M) = (p_ @ M @ (numeral @ (bit1 @ u_0))))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_CLAUSESu_conjunct0, axiom, ((card @ empty) = (numeral @ u_0))).
thf(aCARDu_CLAUSESu_conjunct1, axiom, ![X:num,S:(num > $o)]:((finite @ S) => ((card @ (insert @ X @ S)) = (cond0 @ (in0 @ X @ S) @ (card @ S) @ (suc @ (card @ S)))))).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ X @ I) = (d_0 @ Y @ I))))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:real,C:$o,P:(real > $o),Y:real]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCONSu_11, axiom, ![H1:prodcartrealmcartrealm,H2:prodcartrealmcartrealm,T1:listprodcartrealmcartrealm,T2:listprodcartrealmcartrealm]:(((cons @ H1 @ T1) = (cons @ H2 @ T2)) <=> ((H1 = H2) & (T1 = T2)))).
thf(aCONTENTu_EQu_0, axiom, ![A:cartrealm,B:cartrealm]:(((content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (realu_ofu_num @ (numeral @ u_0))) <=> ?[I:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (realu_le @ (d_ @ B @ I) @ (d_ @ A @ I))))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDISJOINT, axiom, ![S:(a > $o),T:(a > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty0))).
thf(aEMPTYu_GSPECu_monomorphized1, axiom, ((gspec0 @ ^[GENR_PVARR_14:num]:?[X:num]:(setspec0 @ GENR_PVARR_14 @ $false @ X)) = empty)).
thf(aEMPTYu_GSPECu_monomorphized0, axiom, ((gspec @ ^[GENR_PVARR_14:(num > $o)]:?[X:(num > $o)]:(setspec @ GENR_PVARR_14 @ $false @ X)) = empty1)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSIONu_monomorphized1, axiom, ![S:(num > $o),T:(num > $o)]:((S = T) <=> ![X:num]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aEXTENSIONu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((S = T) <=> ![X:cartrealm]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_IMAGE, axiom, ![F:(a > b),S:(a > $o)]:((finite0 @ S) => (finite1 @ (image @ F @ S)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aFINITEu_POWERSET, axiom, ![S:(num > $o)]:((finite @ S) => (finite2 @ (gspec @ ^[GENR_PVARR_98:(num > $o)]:?[T:(num > $o)]:(setspec @ GENR_PVARR_98 @ (subset @ T @ S) @ T))))).
thf(aFINITEu_RESTRICT, axiom, ![S:(num > $o),P:(num > $o)]:((finite @ S) => (finite @ (gspec0 @ ^[GENR_PVARR_66:num]:?[X:num]:(setspec0 @ GENR_PVARR_66 @ ((in0 @ X @ S) & (P @ X)) @ X))))).
thf(aFINITEu_SUBSET, axiom, ![S:(num > $o),T:(num > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFloato_powu_conjunct0, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aFloato_powu_conjunct1, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aHypermapo_GEu_1, axiom, ![N:num]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (suc @ N))).
thf(aINu_monomorphized1, axiom, ![P:(num > $o),X:num]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ P) <=> (P @ X))).
thf(aINTEGRABLEu_ONu_SUBINTERVAL, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),A:cartrealm,B:cartrealm]:(((integrableu_on @ F @ S) & (subset0 @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ S)) => (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aINTEGRABLEu_RESTRICTu_UNIV, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((integrableu_on @ ^[X:cartrealm]:(cond1 @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ univ1) <=> (integrableu_on @ F @ S))).
thf(aINTEGRALu_EQ, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(![X:cartrealm]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((integral @ S @ F) = (integral @ S @ G)))).
thf(aINTEGRALu_NULL, axiom, ![F:(cartrealm > cartrealn),A:cartrealm,B:cartrealm]:(((content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (realu_ofu_num @ (numeral @ u_0))) => ((integral @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ F) = (vec @ (numeral @ u_0))))).
thf(aINTEGRALu_SPLITu_SIGNED, axiom, ![F:(cartrealm > cartrealn),A:cartrealm,B:cartrealm,T:real,K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & (realu_le @ (d_ @ A @ K) @ T) & (realu_le @ (d_ @ A @ K) @ (d_ @ B @ K)) & (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ (lambda0 @ ^[I:num]:(cond @ (I = K) @ (realu_max @ (d_ @ B @ K) @ T) @ (d_ @ B @ I)))) @ nil)))) => ((integral @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ F) = (vectoru_add @ (integral @ (closedu_interval @ (cons @ (c_ @ A @ (lambda0 @ ^[I:num]:(cond @ (I = K) @ T @ (d_ @ B @ I)))) @ nil)) @ F) @ (r_ @ (cond @ (realu_lt @ (d_ @ B @ K) @ T) @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (integral @ (closedu_interval @ (cons @ (c_ @ (lambda0 @ ^[I:num]:(cond @ (I = K) @ (realu_min @ (d_ @ B @ K) @ T) @ (d_ @ A @ I))) @ (lambda0 @ ^[I:num]:(cond @ (I = K) @ (realu_max @ (d_ @ B @ K) @ T) @ (d_ @ B @ I)))) @ nil)) @ F)))))).
thf(aINTu_LTu_DISCRETE, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (intu_le @ (intu_add @ X @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y))).
thf(aINTu_NOTu_EQ, axiom, ![X:int,Y:int]:(~ ((X = Y)) <=> ((intu_lt @ X @ Y) | (intu_lt @ Y @ X)))).
thf(aINTu_NOTu_LE, axiom, ![X:int,Y:int]:(~ ((intu_le @ X @ Y)) <=> (intu_lt @ Y @ X))).
thf(aINTu_NOTu_LT, axiom, ![X:int,Y:int]:(~ ((intu_lt @ X @ Y)) <=> (intu_le @ Y @ X))).
thf(aINTu_OFu_NUMu_ADD, axiom, ![M:num,N:num]:((intu_add @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) = (intu_ofu_num @ (p_ @ M @ N)))).
thf(aINTu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((intu_ofu_num @ M) = (intu_ofu_num @ N)) <=> (M = N))).
thf(aINTu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((intu_le @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aINTu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((intu_lt @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aINTu_POS, axiom, ![N:num]:(intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_ofu_num @ N))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(num > $o),X:num]:((in0 @ X @ (gspec0 @ ^[V:num]:?[Y:num]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGEu_monomorphized3, axiom, ![Y:num,S:(num > $o),F:(num > num)]:((in0 @ Y @ (image0 @ F @ S)) <=> ?[X:num]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_IMAGEu_monomorphized2, axiom, ![Y:num,S:(cartrealm > $o),F:(cartrealm > num)]:((in0 @ Y @ (image1 @ F @ S)) <=> ?[X:cartrealm]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_IMAGEu_monomorphized1, axiom, ![Y:cartrealm,S:(num > $o),F:(num > cartrealm)]:((in @ Y @ (image2 @ F @ S)) <=> ?[X:num]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_IMAGEu_monomorphized0, axiom, ![Y:cartrealm,S:(cartrealm > $o),F:(cartrealm > cartrealm)]:((in @ Y @ (image3 @ F @ S)) <=> ?[X:cartrealm]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INSERTu_monomorphized1, axiom, ![X:num,Y:num,S:(num > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aINu_INSERTu_monomorphized0, axiom, ![X:cartrealm,Y:cartrealm,S:(cartrealm > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTERu_monomorphized1, axiom, ![S:(num > $o),T:(num > $o),X:num]:((in0 @ X @ (inter0 @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_INTERu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in @ X @ (inter1 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_INTERVALu_conjunct1, axiom, ![A:cartrealm,B:cartrealm,X:cartrealm]:((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_le @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_le @ (d_ @ X @ I) @ (d_ @ B @ I)))))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_ETA, axiom, ![G:cartrealm]:((lambda0 @ ^[I:num]:(d_ @ G @ I)) = G)).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aLTEu_ANTISYM, axiom, ![M:num,N:num]:~ (((l_ @ M @ N) & (l_a_ @ N @ M)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTYu_monomorphized1, axiom, ![X:num]:~ ((in0 @ X @ empty))).
thf(aNOTu_INu_EMPTYu_monomorphized0, axiom, ![X:cartrealm]:~ ((in @ X @ empty2))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aNUMSEGu_CLAUSESu_conjunct0, axiom, ![M:num]:((o_o_ @ M @ (numeral @ u_0)) = (cond2 @ (M = (numeral @ u_0)) @ (insert @ (numeral @ u_0) @ empty) @ empty))).
thf(aNUMSEGu_CLAUSESu_conjunct1, axiom, ![M:num,N:num]:((o_o_ @ M @ (suc @ N)) = (cond2 @ (l_a_ @ M @ (suc @ N)) @ (insert @ (suc @ N) @ (o_o_ @ M @ N)) @ (o_o_ @ M @ N)))).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aPAIRu_EQ, axiom, ![X:cartrealm,Y:cartrealm,A:cartrealm,B:cartrealm]:(((c_ @ X @ Y) = (c_ @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aPOWERSETu_CLAUSESu_conjunct1, axiom, ![A:num,T:(num > $o)]:((gspec @ ^[GENR_PVARR_100:(num > $o)]:?[S:(num > $o)]:(setspec @ GENR_PVARR_100 @ (subset @ S @ (insert @ A @ T)) @ S)) = (union @ (gspec @ ^[GENR_PVARR_101:(num > $o)]:?[S:(num > $o)]:(setspec @ GENR_PVARR_101 @ (subset @ S @ T) @ S)) @ (image4 @ ^[S:(num > $o)]:(insert @ A @ S) @ (gspec @ ^[GENR_PVARR_102:(num > $o)]:?[S:(num > $o)]:(setspec @ GENR_PVARR_102 @ (subset @ S @ T) @ S)))))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSINGu_GSPECu_conjunct0u_monomorphized1, axiom, ![A:num]:((gspec0 @ ^[GENR_PVARR_15:num]:?[X:num]:(setspec0 @ GENR_PVARR_15 @ (X = A) @ X)) = (insert @ A @ empty))).
thf(aSINGu_GSPECu_conjunct0u_monomorphized0, axiom, ![A:(num > $o)]:((gspec @ ^[GENR_PVARR_15:(num > $o)]:?[X:(num > $o)]:(setspec @ GENR_PVARR_15 @ (X = A) @ X)) = (insert1 @ A @ empty1))).
thf(aSUBSET, axiom, ![S:(num > $o),T:(num > $o)]:((subset @ S @ T) <=> ![X:num]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_EMPTY, axiom, ![S:(num > $o)]:((subset @ S @ empty) <=> (S = empty))).
thf(aSUBSETu_INTERVALu_conjunct0, axiom, ![A:cartrealm,C:cartrealm,D:cartrealm,B:cartrealm]:((subset0 @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil)) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> (![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (d_ @ C @ I) @ (d_ @ D @ I))) => ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_le @ (d_ @ A @ I) @ (d_ @ C @ I)) & (realu_le @ (d_ @ D @ I) @ (d_ @ B @ I))))))).
thf(aSUBSETu_UNIV, axiom, ![S:(num > $o)]:(subset @ S @ univ2)).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealn]:((r_ @ A @ (r_ @ B @ X)) = (r_ @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealn]:((r_ @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aVSUMu_EQu_monomorphized1, axiom, ![F:(num > cartrealn),G:(num > cartrealn),S:(num > $o)]:(![X:num]:((in0 @ X @ S) => ((F @ X) = (G @ X))) => ((vsum0 @ S @ F) = (vsum0 @ S @ G)))).
thf(aVSUMu_EQu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(![X:cartrealm]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((vsum1 @ S @ F) = (vsum1 @ S @ G)))).
thf(aVSUMu_IMAGEu_monomorphized1, axiom, ![F:(num > cartrealn),G:(cartrealn > cartrealn),S:(num > $o)]:(((finite @ S) & ![X:num,Y:num]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))) => ((vsum2 @ (image5 @ F @ S) @ G) = (vsum0 @ S @ (o @ G @ F))))).
thf(aVSUMu_IMAGEu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealn),S:(cartrealm > $o)]:(((finite3 @ S) & ![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))) => ((vsum2 @ (image6 @ F @ S) @ G) = (vsum1 @ S @ (o0 @ G @ F))))).
thf(aVSUMu_LMUL, axiom, ![F:((num > $o) > cartrealn),C:real,S:((num > $o) > $o)]:((vsum @ S @ ^[X:(num > $o)]:(r_ @ C @ (F @ X))) = (r_ @ C @ (vsum @ S @ F)))).
thf(aVSUMu_SING, axiom, ![F:((num > $o) > cartrealn),X:(num > $o)]:((vsum @ (insert1 @ X @ empty1) @ F) = (F @ X))).
thf(aVSUMu_UNION, axiom, ![F:((num > $o) > cartrealn),S:((num > $o) > $o),T:((num > $o) > $o)]:(((finite2 @ S) & (finite2 @ T) & (disjoint0 @ S @ T)) => ((vsum @ (union @ S @ T) @ F) = (vectoru_add @ (vsum @ S @ F) @ (vsum @ T @ F))))).
thf(aintu_addu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_add @ X @ Y)) = (realu_add @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(arealu_max, axiom, ![N:real,M:real]:((realu_max @ M @ N) = (cond @ (realu_le @ M @ N) @ N @ M))).
thf(arealu_min, axiom, ![M:real,N:real]:((realu_min @ M @ N) = (cond @ (realu_le @ M @ N) @ M @ N))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),A:cartrealm,B:cartrealm,C:cartrealm,D:cartrealm]:(((integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ C @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ D @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => ((integral @ (closedu_interval @ (cons @ (c_ @ A @ D) @ nil)) @ F) = (vsum @ (gspec @ ^[GENR_PVARR_1777:(num > $o)]:?[S:(num > $o)]:(setspec @ GENR_PVARR_1777 @ (subset @ S @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ))) @ S)) @ ^[S:(num > $o)]:(r_ @ (realu_pow @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (card @ (gspec0 @ ^[GENR_PVARR_1778:num]:?[I:num]:(setspec0 @ GENR_PVARR_1778 @ ((in0 @ I @ S) & (realu_lt @ (d_ @ D @ I) @ (d_ @ C @ I))) @ I)))) @ (integral @ (closedu_interval @ (cons @ (c_ @ (lambda0 @ ^[I:num]:(cond @ (in0 @ I @ S) @ (realu_min @ (d_ @ C @ I) @ (d_ @ D @ I)) @ (d_ @ A @ I))) @ (lambda0 @ ^[I:num]:(cond @ (in0 @ I @ S) @ (realu_max @ (d_ @ C @ I) @ (d_ @ D @ I)) @ (d_ @ C @ I)))) @ nil)) @ F)))))).
