%   ORIGINAL: SET_VARIATION_WORKS_ON_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_BOUNDED_SETVARIATION_WORKS_ON_INTERVAL: !f a b. has_bounded_setvariation_on f (interval [a,b]) ==> (!d. d division_of interval [a,b] ==> sum d (\k. norm (f k)) <= set_variation (interval [a,b]) f) /\ (!B. (!d. d division_of interval [a,b] ==> sum d (\k. norm (f k)) <= B) ==> set_variation (interval [a,b]) f <= B)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f a b d. has_bounded_setvariation_on f (interval [a,b]) /\ d division_of interval [a,b] ==> sum d (\k. norm (f k)) <= set_variation (interval [a,b]) f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f a b. has_bounded_setvariation_on f (interval [a,b]) ==> (!d. d division_of interval [a,b] ==> sum d (\k. norm (f k)) <= set_variation (interval [a,b]) f) /\ (!B. (!d. d division_of interval [a,b] ==> sum d (\k. norm (f k)) <= B) ==> set_variation (interval [a,b]) f <= B)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !f a b d. has_bounded_setvariation_on f (interval [a,b]) /\ d division_of interval [a,b] ==> sum d (\k. norm (f k)) <= set_variation (interval [a,b]) f
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(csetuu_variation, type, setu_variation : ((cartrealm > $o) > ((cartrealm > $o) > cartrealn) > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(csum, type, sum : (((cartrealm > $o) > $o) > ((cartrealm > $o) > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(chasuu_boundeduu_setvariationuu_on, type, hasu_boundedu_setvariationu_on : (((cartrealm > $o) > cartrealn) > (cartrealm > $o) > $o)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_BOUNDEDu_SETVARIATIONu_WORKSu_ONu_INTERVAL, axiom, ![F:((cartrealm > $o) > cartrealn),A:cartrealm,B:cartrealm]:((hasu_boundedu_setvariationu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (![D:((cartrealm > $o) > $o)]:((divisionu_of @ D @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (realu_le @ (sum @ D @ ^[K:(cartrealm > $o)]:(vectoru_norm @ (F @ K))) @ (setu_variation @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ F))) & ![B0:real]:(![D:((cartrealm > $o) > $o)]:((divisionu_of @ D @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (realu_le @ (sum @ D @ ^[K:(cartrealm > $o)]:(vectoru_norm @ (F @ K))) @ B0)) => (realu_le @ (setu_variation @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ F) @ B0))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((cartrealm > $o) > cartrealn),A:cartrealm,B:cartrealm,D:((cartrealm > $o) > $o)]:(((hasu_boundedu_setvariationu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (divisionu_of @ D @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (realu_le @ (sum @ D @ ^[K:(cartrealm > $o)]:(vectoru_norm @ (F @ K))) @ (setu_variation @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ F)))).
