%   ORIGINAL: ABSOLUTELY_INTEGRABLE_CONST
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INTEGRABLE_CONST: !a b c. (\x. c) integrable_on interval [a,b]
% Assm: TRUTH: T
% Assm: absolutely_integrable_on: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lift (norm (f x))) integrable_on s
% Goal: !a b c. (\x. c) absolutely_integrable_on interval [a,b]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b c. (\x. c) integrable_on interval [a,b]
% Assm: T
% Assm: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lift (norm (f x))) integrable_on s
% Goal: !a b c. (\x. c) absolutely_integrable_on interval [a,b]
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tq483070, type, q483070 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tq483084, type, q483084 : $tType).
thf(tcartrealq483084, type, cartrealq483084 : $tType).
thf(tcartrealq483070, type, cartrealq483070 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealq483084cartrealq483084, type, listprodcartrealq483084cartrealq483084 : $tType).
thf(tprodcartrealq483084cartrealq483084, type, prodcartrealq483084cartrealq483084 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq483084cartrealq483084).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq483070 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cintegrableuu_on1, type, integrableu_on1 : ((cartrealq483084 > cartrealn1) > (cartrealq483084 > $o) > $o)).
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealq483084 > cartrealq483070) > (cartrealq483084 > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealq483084 > cartrealn) > (cartrealq483084 > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealq483084cartrealq483084 > cartrealq483084 > $o)).
thf(cabsolutelyuu_integrableuu_on, type, absolutelyu_integrableu_on : ((cartrealq483084 > cartrealq483070) > (cartrealq483084 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealq483084 > cartrealq483084 > prodcartrealq483084cartrealq483084)).
thf(ccons, type, cons : (prodcartrealq483084cartrealq483084 > listprodcartrealq483084cartrealq483084 > listprodcartrealq483084cartrealq483084)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTEGRABLEu_CONST, axiom, ![A:cartrealq483084,B:cartrealq483084,C:cartrealn]:(integrableu_on @ ^[X:cartrealq483084]:C @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aTRUTH, axiom, $true).
thf(aabsolutelyu_integrableu_on, axiom, ![F:(cartrealq483084 > cartrealq483070),S:(cartrealq483084 > $o)]:((absolutelyu_integrableu_on @ F @ S) <=> ((integrableu_on0 @ F @ S) & (integrableu_on1 @ ^[X:cartrealq483084]:(lift @ (vectoru_norm @ (F @ X))) @ S)))).
thf(conjecture, conjecture, ![A:cartrealq483084,B:cartrealq483084,C:cartrealq483070]:(absolutelyu_integrableu_on @ ^[X:cartrealq483084]:C @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
