%   ORIGINAL: ABSOLUTELY_INTEGRABLE_MAX_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ABSOLUTELY_INTEGRABLE_MAX: !f g s. f absolutely_integrable_on s /\ g absolutely_integrable_on s ==> (\x. lambda i. max (f x$i) (g x$i)) absolutely_integrable_on s
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: TRUTH: T
% Assm: lift: !x. lift x = (lambda i. x)
% Goal: !f g s. (\x. lift (f x)) absolutely_integrable_on s /\ (\x. lift (g x)) absolutely_integrable_on s ==> (\x. lift (max (f x) (g x))) absolutely_integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s. f absolutely_integrable_on s /\ g absolutely_integrable_on s ==> (\x. lambda i. max (f x$i) (g x$i)) absolutely_integrable_on s
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: T
% Assm: !x. lift x = (lambda i. x)
% Goal: !f g s. (\x. lift (f x)) absolutely_integrable_on s /\ (\x. lift (g x)) absolutely_integrable_on s ==> (\x. lift (max (f x) (g x))) absolutely_integrable_on s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartab, type, cartab : $tType).
thf(tm, type, m : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn1)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cabsolutelyuu_integrableuu_on, type, absolutelyu_integrableu_on : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(cdu_0, type, d_0 : (cartab > num > a)).
thf(clambda1, type, lambda1 : ((num > a) > cartab)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aABSOLUTELYu_INTEGRABLEu_MAX, axiom, ![F:(cartrealm > cartrealn1),G:(cartrealm > cartrealn1),S:(cartrealm > $o)]:(((absolutelyu_integrableu_on @ F @ S) & (absolutelyu_integrableu_on @ G @ S)) => (absolutelyu_integrableu_on @ ^[X:cartrealm]:(lambda0 @ ^[I:num]:(realu_max @ (d_ @ (F @ X) @ I) @ (d_ @ (G @ X) @ I))) @ S))).
thf(aCARTu_EQ, axiom, ![X:cartab,Y:cartab]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_0 @ X @ I) = (d_0 @ Y @ I))))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > a),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_0 @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aTRUTH, axiom, $true).
thf(alift, axiom, ![X:real]:((lift @ X) = (lambda0 @ ^[I:num]:X))).
thf(conjecture, conjecture, ![F:(cartrealm > real),G:(cartrealm > real),S:(cartrealm > $o)]:(((absolutelyu_integrableu_on @ ^[X:cartrealm]:(lift @ (F @ X)) @ S) & (absolutelyu_integrableu_on @ ^[X:cartrealm]:(lift @ (G @ X)) @ S)) => (absolutelyu_integrableu_on @ ^[X:cartrealm]:(lift @ (realu_max @ (F @ X) @ (G @ X))) @ S))).
