%   ORIGINAL: HAS_BOUNDED_VARIATION_ON_COMPOSE_LINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_BOUNDED_SETVARIATION_ON_COMPOSE_LINEAR: !f g s. has_bounded_setvariation_on f s /\ linear g ==> has_bounded_setvariation_on (g o f) s
% Assm: LINEAR_SUB: !f x y. linear f ==> f (x - y) = f x - f y
% Assm: TRUTH: T
% Assm: has_bounded_variation_on: !f s. has_bounded_variation_on f s <=> has_bounded_setvariation_on (\k. f (interval_upperbound k) - f (interval_lowerbound k)) s
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f g s. has_bounded_variation_on f s /\ linear g ==> has_bounded_variation_on (g o f) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s. has_bounded_setvariation_on f s /\ linear g ==> has_bounded_setvariation_on (g o f) s
% Assm: !f x y. linear f ==> f (x - y) = f x - f y
% Assm: T
% Assm: !f s. has_bounded_variation_on f s <=> has_bounded_setvariation_on (\k. f (interval_upperbound k) - f (interval_lowerbound k)) s
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f g s. has_bounded_variation_on f s /\ linear g ==> has_bounded_variation_on (g o f) s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
%  CONSTS
thf(cintervaluu_lowerbound, type, intervalu_lowerbound : ((cartrealn1 > $o) > cartrealn1)).
thf(cintervaluu_upperbound, type, intervalu_upperbound : ((cartrealn1 > $o) > cartrealn1)).
thf(chasuu_boundeduu_setvariationuu_on0, type, hasu_boundedu_setvariationu_on0 : (((cartrealn1 > $o) > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(chasuu_boundeduu_setvariationuu_on, type, hasu_boundedu_setvariationu_on : (((cartrealm > $o) > cartrealn1) > (cartrealm > $o) > $o)).
thf(chasuu_boundeduu_variationuu_on, type, hasu_boundedu_variationu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(co0, type, o0 : ((cartrealn1 > cartrealn1) > ((cartrealm > $o) > cartrealn1) > (cartrealm > $o) > cartrealn1)).
thf(co, type, o : ((cartrealn1 > cartrealn1) > (cartrealn1 > cartrealn1) > cartrealn1 > cartrealn1)).
thf(clinear, type, linear : ((cartrealn1 > cartrealn1) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_BOUNDEDu_SETVARIATIONu_ONu_COMPOSEu_LINEAR, axiom, ![F:((cartrealm > $o) > cartrealn1),G:(cartrealn1 > cartrealn1),S:(cartrealm > $o)]:(((hasu_boundedu_setvariationu_on @ F @ S) & (linear @ G)) => (hasu_boundedu_setvariationu_on @ (o0 @ G @ F) @ S))).
thf(aLINEARu_SUB, axiom, ![F:(cartrealn1 > cartrealn1),X:cartrealn1,Y:cartrealn1]:((linear @ F) => ((F @ (vectoru_sub @ X @ Y)) = (vectoru_sub @ (F @ X) @ (F @ Y))))).
thf(aTRUTH, axiom, $true).
thf(ahasu_boundedu_variationu_on, axiom, ![F:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o)]:((hasu_boundedu_variationu_on @ F @ S) <=> (hasu_boundedu_setvariationu_on0 @ ^[K:(cartrealn1 > $o)]:(vectoru_sub @ (F @ (intervalu_upperbound @ K)) @ (F @ (intervalu_lowerbound @ K))) @ S))).
thf(aou_DEF, axiom, ![F:(cartrealn1 > cartrealn1),G:(cartrealn1 > cartrealn1)]:((o @ F @ G) = ^[X:cartrealn1]:(F @ (G @ X)))).
thf(aou_THM, axiom, ![F:(cartrealn1 > cartrealn1),G:(cartrealn1 > cartrealn1),X:cartrealn1]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn1),G:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o)]:(((hasu_boundedu_variationu_on @ F @ S) & (linear @ G)) => (hasu_boundedu_variationu_on @ (o @ G @ F) @ S))).
