%   ORIGINAL: HAS_BOUNDED_VARIATION_ON_IMP_BOUNDED_ON_SUBINTERVALS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: FORALL_IN_GSPEC_conjunct1: !P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: HAS_BOUNDED_SETVARIATION_ON_IMP_BOUNDED_ON_SUBINTERVALS: !f s. has_bounded_setvariation_on f s ==> bounded {f (interval [c,d]) | interval [c,d] SUBSET s}
% Assm: INTERVAL_EQ_EMPTY_1: !a b. (interval [a,b] = {} <=> drop b < drop a) /\ (interval (a,b) = {} <=> drop b <= drop a)
% Assm: INTERVAL_LOWERBOUND_1: !a b. drop a <= drop b ==> interval_lowerbound (interval [a,b]) = a
% Assm: INTERVAL_UPPERBOUND_1: !a b. drop a <= drop b ==> interval_upperbound (interval [a,b]) = b
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: has_bounded_variation_on: !f s. has_bounded_variation_on f s <=> has_bounded_setvariation_on (\k. f (interval_upperbound k) - f (interval_lowerbound k)) s
% Goal: !f s. has_bounded_variation_on f s ==> bounded {f d - f c | interval [c,d] SUBSET s /\ ~(interval [c,d] = {})}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !Q P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: !f s. has_bounded_setvariation_on f s ==> bounded {f (interval [c,d]) | interval [c,d] SUBSET s}
% Assm: !a b. (interval [a,b] = {} <=> drop b < drop a) /\ (interval (a,b) = {} <=> drop b <= drop a)
% Assm: !a b. drop a <= drop b ==> interval_lowerbound (interval [a,b]) = a
% Assm: !a b. drop a <= drop b ==> interval_upperbound (interval [a,b]) = b
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !f s. has_bounded_variation_on f s <=> has_bounded_setvariation_on (\k. f (interval_upperbound k) - f (interval_lowerbound k)) s
% Goal: !f s. has_bounded_variation_on f s ==> bounded {f d - f c | interval [c,d] SUBSET s /\ ~(interval [c,d] = {})}
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tq48223, type, q48223 : $tType).
thf(tq48224, type, q48224 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cintervaluu_upperbound, type, intervalu_upperbound : ((cartrealn1 > $o) > cartrealn1)).
thf(cintervaluu_lowerbound, type, intervalu_lowerbound : ((cartrealn1 > $o) > cartrealn1)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(chasuu_boundeduu_setvariationuu_on, type, hasu_boundedu_setvariationu_on : (((cartrealn1 > $o) > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(csubset, type, subset : ((cartrealn1 > $o) > (cartrealn1 > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn1 > $o) > cartrealn1 > $o)).
thf(chasuu_boundeduu_variationuu_on, type, hasu_boundedu_variationu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(csetspec, type, setspec : (cartrealn1 > $o > cartrealn1 > $o)).
thf(cempty, type, empty : (cartrealn1 > $o)).
thf(cbounded, type, bounded : ((cartrealn1 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn1 > $o),G:(a > cartrealn1 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealn1 > $o),T:(cartrealn1 > $o)]:(((bounded @ T) & (subset @ S @ T)) => (bounded @ S))).
thf(aFORALLu_INu_GSPECu_conjunct1, axiom, ![Q:(cartrealn1 > $o),P:(q48224 > q48223 > $o),F:(q48224 > q48223 > cartrealn1)]:(![Z:cartrealn1]:((in @ Z @ (gspec @ ^[GENR_PVARR_21:cartrealn1]:?[X:q48224,Y:q48223]:(setspec @ GENR_PVARR_21 @ (P @ X @ Y) @ (F @ X @ Y)))) => (Q @ Z)) <=> ![X:q48224,Y:q48223]:((P @ X @ Y) => (Q @ (F @ X @ Y))))).
thf(aHASu_BOUNDEDu_SETVARIATIONu_ONu_IMPu_BOUNDEDu_ONu_SUBINTERVALS, axiom, ![F:((cartrealn1 > $o) > cartrealn1),S:(cartrealn1 > $o)]:((hasu_boundedu_setvariationu_on @ F @ S) => (bounded @ (gspec @ ^[GENR_PVARR_1800:cartrealn1]:?[C:cartrealn1,D:cartrealn1]:(setspec @ GENR_PVARR_1800 @ (subset @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil)) @ S) @ (F @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil)))))))).
thf(aINTERVALu_EQu_EMPTYu_1, axiom, ![A:cartrealn1,B:cartrealn1]:((((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty) <=> (realu_lt @ (drop @ B) @ (drop @ A))) & (((openu_interval @ (c_ @ A @ B)) = empty) <=> (realu_le @ (drop @ B) @ (drop @ A))))).
thf(aINTERVALu_LOWERBOUNDu_1, axiom, ![A:cartrealn1,B:cartrealn1]:((realu_le @ (drop @ A) @ (drop @ B)) => ((intervalu_lowerbound @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = A))).
thf(aINTERVALu_UPPERBOUNDu_1, axiom, ![A:cartrealn1,B:cartrealn1]:((realu_le @ (drop @ A) @ (drop @ B)) => ((intervalu_upperbound @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = B))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn1 > $o) > $o),X:cartrealn1]:((in @ X @ (gspec @ ^[V:cartrealn1]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn1]:(P0 & (X = T))))).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aSUBSET, axiom, ![S:(cartrealn1 > $o),T:(cartrealn1 > $o)]:((subset @ S @ T) <=> ![X:cartrealn1]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(ahasu_boundedu_variationu_on, axiom, ![F:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o)]:((hasu_boundedu_variationu_on @ F @ S) <=> (hasu_boundedu_setvariationu_on @ ^[K:(cartrealn1 > $o)]:(vectoru_sub @ (F @ (intervalu_upperbound @ K)) @ (F @ (intervalu_lowerbound @ K))) @ S))).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o)]:((hasu_boundedu_variationu_on @ F @ S) => (bounded @ (gspec @ ^[GENR_PVARR_2026:cartrealn1]:?[D:cartrealn1,C:cartrealn1]:(setspec @ GENR_PVARR_2026 @ ((subset @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil)) @ S) & ~ (((closedu_interval @ (cons @ (c_ @ C @ D) @ nil)) = empty))) @ (vectoru_sub @ (F @ D) @ (F @ C))))))).
