%   ORIGINAL: HAS_MEASURE_DISJOINT_UNIONS_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: HAS_MEASURE_NEGLIGIBLE_UNIONS_IMAGE: !f s. FINITE s /\ (!x. x IN s ==> measurable (f x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> negligible (f x INTER f y)) ==> UNIONS (IMAGE f s) has_measure sum s (\x. measure (f x))
% Assm: NEGLIGIBLE_EMPTY: negligible {}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s. FINITE s /\ (!x. x IN s ==> measurable (f x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> DISJOINT (f x) (f y)) ==> UNIONS (IMAGE f s) has_measure sum s (\x. measure (f x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !f s. FINITE s /\ (!x. x IN s ==> measurable (f x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> negligible (f x INTER f y)) ==> UNIONS (IMAGE f s) has_measure sum s (\x. measure (f x))
% Assm: negligible {}
% Assm: ~F <=> T
% Assm: T
% Goal: !f s. FINITE s /\ (!x. x IN s ==> measurable (f x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> DISJOINT (f x) (f y)) ==> UNIONS (IMAGE f s) has_measure sum s (\x. measure (f x))
%  TYPES
thf(tcartrealq453251, type, cartrealq453251 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq453251, type, q453251 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage, type, image : ((a > cartrealn > $o) > (a > $o) > (cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealq453251 > $o)).
thf(cnegligible0, type, negligible0 : ((cartrealq453251 > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aHASu_MEASUREu_NEGLIGIBLEu_UNIONSu_IMAGE, axiom, ![F:(a > cartrealn > $o),S:(a > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (measurable @ (F @ X))) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => (negligible @ (inter @ (F @ X) @ (F @ Y))))) => (hasu_measure @ (unions @ (image @ F @ S)) @ (sum @ S @ ^[X:a]:(measure @ (F @ X)))))).
thf(aNEGLIGIBLEu_EMPTY, axiom, (negligible0 @ empty0)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > cartrealn > $o),S:(a > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (measurable @ (F @ X))) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => (disjoint @ (F @ X) @ (F @ Y)))) => (hasu_measure @ (unions @ (image @ F @ S)) @ (sum @ S @ ^[X:a]:(measure @ (F @ X)))))).
