%   ORIGINAL: HAS_MEASURE_NESTED_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: DROP_VEC: !n. drop (vec n) = &n
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EVENTUALLY_SEQUENTIALLY: !p. eventually p sequentially <=> (?N. !n. N <= n ==> p n)
% Assm: EXISTS_IN_IMAGE: !f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTEGRAL_MEASURE_UNIV: !s. measurable s ==> integral (:real^?518356) (\x. if x IN s then vec 1 else vec 0) = lift (measure s)
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIM_CONST: !net a. ((\x. a) --> a) net
% Assm: LIM_EVENTUALLY: !net f l. eventually (\x. f x = l) net ==> (f --> l) net
% Assm: MEASURABLE_INTEGRABLE: measurable s <=> (\x. if x IN s then vec 1 else vec 0) integrable_on (:real^?518250)
% Assm: MEASURE_INTEGRAL_UNIV: !s. measurable s ==> measure s = drop (integral (:real^?518300) (\x. if x IN s then vec 1 else vec 0))
% Assm: MEASURE_POS_LE: !s. measurable s ==> &0 <= measure s
% Assm: MONOTONE_CONVERGENCE_INCREASING: !f g s. (!k. f k integrable_on s) /\ (!k x. x IN s ==> drop (f k x) <= drop (f (SUC k) x)) /\ (!x. x IN s ==> ((\k. f k x) --> g x) sequentially) /\ bounded {integral s (f k) | k IN (:num)} ==> g integrable_on s /\ ((\k. integral s (f k)) --> integral s g) sequentially
% Assm: NORM_LIFT: !x. norm (lift x) = abs x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_POS: !n. &0 <= &n
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRANSITIVE_STEPWISE_LE_EQ: !R. (!x. R x x) /\ (!x y z. R x y /\ R y z ==> R x z) ==> ((!m n. m <= n ==> R m n) <=> (!n. R n (SUC n)))
% Assm: TRUTH: T
% Assm: bounded: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Goal: !s B. (!n. measurable (s n)) /\ (!n. measure (s n) <= B) /\ (!n. s n SUBSET s (SUC n)) ==> measurable (UNIONS {s n | n IN (:num)}) /\ ((\n. lift (measure (s n))) --> lift (measure (UNIONS {s n | n IN (:num)}))) sequentially
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !n. drop (vec n) = &n
% Assm: !t. (\x. t x) = t
% Assm: !p. eventually p sequentially <=> (?N. !n. N <= n ==> p n)
% Assm: !P f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P x. x IN P <=> P x
% Assm: !s. measurable s ==> integral (:real^N) (\x. if x IN s then vec 1 else vec 0) = lift (measure s)
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. x IN (:num)
% Assm: !x. I x = x
% Assm: !x. lift (drop x) = x
% Assm: !net a. ((\x. a) --> a) net
% Assm: !net f l. eventually (\x. f x = l) net ==> (f --> l) net
% Assm: !s. measurable s <=> (\x. if x IN s then vec 1 else vec 0) integrable_on (:real^N)
% Assm: !s. measurable s ==> measure s = drop (integral (:real^N) (\x. if x IN s then vec 1 else vec 0))
% Assm: !s. measurable s ==> &0 <= measure s
% Assm: !f g s. (!k. f k integrable_on s) /\ (!k x. x IN s ==> drop (f k x) <= drop (f (SUC k) x)) /\ (!x. x IN s ==> ((\k. f k x) --> g x) sequentially) /\ bounded {integral s (f k) | k IN (:num)} ==> g integrable_on s /\ ((\k. integral s (f k)) --> integral s g) sequentially
% Assm: !x. norm (lift x) = abs x
% Assm: ~F <=> T
% Assm: !x. x <= x
% Assm: !n. &0 <= &n
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s. s SUBSET s
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: !R. (!x. R x x) /\ (!x y z. R x y /\ R y z ==> R x z) ==> ((!m n. m <= n ==> R m n) <=> (!n. R n (SUC n)))
% Assm: T
% Assm: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Goal: !s B. (!n. measurable (s n)) /\ (!n. measure (s n) <= B) /\ (!n. s n SUBSET s (SUC n)) ==> measurable (UNIONS {s n | n IN (:num)}) /\ ((\n. lift (measure (s n))) --> lift (measure (UNIONS {s n | n IN (:num)}))) sequentially
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn1 > real)).
thf(cgspec0, type, gspec0 : ((cartrealn1 > $o) > cartrealn1 > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealn > cartrealn1) > (cartrealn > $o) > $o)).
thf(cin1, type, in1 : ((num > $o) > ((num > $o) > $o) > $o)).
thf(cunions0, type, unions0 : (((num > $o) > $o) > num > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ceventually, type, eventually : ((num > $o) > netnum > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccond1, type, cond1 : ($o > real > real > real)).
thf(cimage0, type, image0 : ((num > cartrealn > $o) > (num > $o) > (cartrealn > $o) > $o)).
thf(csetspec0, type, setspec0 : (cartrealn1 > $o > cartrealn1 > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn1 > cartrealn1 > cartrealn1)).
thf(cintegral, type, integral : ((cartrealn > $o) > (cartrealn > cartrealn1) > cartrealn1)).
thf(cimage, type, image : ((num > num) > (num > $o) > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn1) > cartrealn1 > netnum > $o)).
thf(csetspec, type, setspec : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cbounded0, type, bounded0 : ((cartrealn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn1 > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aDROPu_VEC, axiom, ![N:num]:((drop @ (vec @ N)) = (realu_ofu_num @ N))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEVENTUALLYu_SEQUENTIALLY, axiom, ![P:(num > $o)]:((eventually @ P @ sequentially) <=> ?[N:num]:![N0:num]:((l_a_ @ N @ N0) => (P @ N0)))).
thf(aEXISTSu_INu_IMAGE, axiom, ![P:(num > $o),F:(num > num),S:(num > $o)]:(?[Y:num]:((in @ Y @ (image @ F @ S)) & (P @ Y)) <=> ?[X:num]:((in @ X @ S) & (P @ (F @ X))))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(num > $o),F:(num > num),S:(num > $o)]:(![Y:num]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:num]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIN, axiom, ![P:(num > $o),X:num]:((in @ X @ P) <=> (P @ X))).
thf(aINTEGRALu_MEASUREu_UNIV, axiom, ![S:(cartrealn > $o)]:((measurable @ S) => ((integral @ univ0 @ ^[X:cartrealn]:(cond0 @ (in0 @ X @ S) @ (vec @ (numeral @ (bit1 @ u_0))) @ (vec @ (numeral @ u_0)))) = (lift @ (measure @ S))))).
thf(aINu_UNIONS, axiom, ![S:((num > $o) > $o),X:num]:((in @ X @ (unions0 @ S)) <=> ?[T:(num > $o)]:((in1 @ T @ S) & (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:num]:(in @ X @ univ)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIMu_CONST, axiom, ![NET:netnum,A:cartrealn1]:(m_m_g_ @ ^[X:num]:A @ A @ NET)).
thf(aLIMu_EVENTUALLY, axiom, ![NET:netnum,F:(num > cartrealn1),L:cartrealn1]:((eventually @ ^[X:num]:((F @ X) = L) @ NET) => (m_m_g_ @ F @ L @ NET))).
thf(aMEASURABLEu_INTEGRABLE, axiom, ![S:(cartrealn > $o)]:((measurable @ S) <=> (integrableu_on @ ^[X:cartrealn]:(cond0 @ (in0 @ X @ S) @ (vec @ (numeral @ (bit1 @ u_0))) @ (vec @ (numeral @ u_0))) @ univ0))).
thf(aMEASUREu_INTEGRALu_UNIV, axiom, ![S:(cartrealn > $o)]:((measurable @ S) => ((measure @ S) = (drop @ (integral @ univ0 @ ^[X:cartrealn]:(cond0 @ (in0 @ X @ S) @ (vec @ (numeral @ (bit1 @ u_0))) @ (vec @ (numeral @ u_0)))))))).
thf(aMEASUREu_POSu_LE, axiom, ![S:(cartrealn > $o)]:((measurable @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ S)))).
thf(aMONOTONEu_CONVERGENCEu_INCREASING, axiom, ![F:(num > cartrealn > cartrealn1),G:(cartrealn > cartrealn1),S:(cartrealn > $o)]:((![K:num]:(integrableu_on @ (F @ K) @ S) & ![K:num,X:cartrealn]:((in0 @ X @ S) => (realu_le @ (drop @ (F @ K @ X)) @ (drop @ (F @ (suc @ K) @ X)))) & ![X:cartrealn]:((in0 @ X @ S) => (m_m_g_ @ ^[K:num]:(F @ K @ X) @ (G @ X) @ sequentially)) & (bounded @ (gspec0 @ ^[GENR_PVARR_1796:cartrealn1]:?[K:num]:(setspec0 @ GENR_PVARR_1796 @ (in @ K @ univ) @ (integral @ S @ (F @ K)))))) => ((integrableu_on @ G @ S) & (m_m_g_ @ ^[K:num]:(integral @ S @ (F @ K)) @ (integral @ S @ G) @ sequentially)))).
thf(aNORMu_LIFT, axiom, ![X:real]:((vectoru_norm @ (lift @ X)) = (realu_abs @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aSIMPLEu_IMAGE, axiom, ![F:(num > cartrealn > $o),S:(num > $o)]:((gspec @ ^[GENR_PVARR_11:(cartrealn > $o)]:?[X:num]:(setspec @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image0 @ F @ S))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_REFL, axiom, ![S:(cartrealn > $o)]:(subset @ S @ S)).
thf(aSUBSETu_TRANS, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRANSITIVEu_STEPWISEu_LEu_EQ, axiom, ![R:(num > num > $o)]:((![X:num]:(R @ X @ X) & ![X:num,Y:num,Z:num]:(((R @ X @ Y) & (R @ Y @ Z)) => (R @ X @ Z))) => (![M:num,N:num]:((l_a_ @ M @ N) => (R @ M @ N)) <=> ![N:num]:(R @ N @ (suc @ N))))).
thf(aTRUTH, axiom, $true).
thf(abounded, axiom, ![S:(cartrealn > $o)]:((bounded0 @ S) <=> ?[A:real]:![X:cartrealn]:((in0 @ X @ S) => (realu_le @ (vectoru_norm0 @ X) @ A)))).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond1 @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(conjecture, conjecture, ![S:(num > cartrealn > $o),B:real]:((![N:num]:(measurable @ (S @ N)) & ![N:num]:(realu_le @ (measure @ (S @ N)) @ B) & ![N:num]:(subset @ (S @ N) @ (S @ (suc @ N)))) => ((measurable @ (unions @ (gspec @ ^[GENR_PVARR_2058:(cartrealn > $o)]:?[N:num]:(setspec @ GENR_PVARR_2058 @ (in @ N @ univ) @ (S @ N))))) & (m_m_g_ @ ^[N:num]:(lift @ (measure @ (S @ N))) @ (lift @ (measure @ (unions @ (gspec @ ^[GENR_PVARR_2059:(cartrealn > $o)]:?[N:num]:(setspec @ GENR_PVARR_2059 @ (in @ N @ univ) @ (S @ N)))))) @ sequentially)))).
