%   ORIGINAL: MEASURABLE_NONNEGLIGIBLE_IMP_LARGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BALL_EQ_EMPTY: !x e. ball (x,e) = {} <=> e <= &0
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_EQ_EUCLIDEAN: (:real^N) =_c (:real)
% Assm: CARD_EQ_IMP_LE: !s t. s =_c t ==> s <=_c t
% Assm: CARD_EQ_SYM: !s t. s =_c t <=> t =_c s
% Assm: CARD_LE_ANTISYM: !s t. s <=_c t /\ t <=_c s <=> s =_c t
% Assm: CARD_LE_IMAGE: !f s. IMAGE f s <=_c s
% Assm: CARD_LE_SUBSET: !s t. s SUBSET t ==> s <=_c t
% Assm: CARD_LE_TRANS: !s t u. s <=_c t /\ t <=_c u ==> s <=_c u
% Assm: CARD_LE_UNIV: !s. s <=_c (:A)
% Assm: CARD_SQUARE_INFINITE: !k. INFINITE k ==> k *_c k =_c k
% Assm: COMPACT_CBALL: !x e. compact (cball (x,e))
% Assm: COMPACT_INTERVAL: !a b. compact (interval [a,b])
% Assm: CONVEX_CBALL: !x e. convex (cball (x,e))
% Assm: CONVEX_INTERVAL: !a b. convex (interval [a,b]) /\ convex (interval (a,b))
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: HOMEOMORPHIC_CONVEX_COMPACT: !s t. convex s /\ compact s /\ ~(interior s = {}) /\ convex t /\ compact t /\ ~(interior t = {}) ==> s homeomorphic t
% Assm: HOMEOMORPHIC_IMP_CARD_EQ: !s t. s homeomorphic t ==> s =_c t
% Assm: HOMEOMORPHIC_OPEN_INTERVAL_UNIV: !a b. ~(interval (a,b) = {}) ==> interval (a,b) homeomorphic (:real^N)
% Assm: INFINITE: !s. INFINITE s <=> ~FINITE s
% Assm: INTERIOR_CBALL: !x e. interior (cball (x,e)) = ball (x,e)
% Assm: INTERIOR_CLOSED_INTERVAL: !a b. interior (interval [a,b]) = interval (a,b)
% Assm: INTERVAL_OPEN_SUBSET_CLOSED: !a b. interval (a,b) SUBSET interval [a,b]
% Assm: IN_BALL: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: IN_CBALL: !x y e. y IN cball (x,e) <=> dist (x,y) <= e
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_0: !n. 0 <= n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MEASURABLE_MEASURE_POS_LT: !s. measurable s ==> (&0 < measure s <=> ~negligible s)
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NEGLIGIBLE_FINITE: !s. FINITE s ==> negligible s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INV_DIV: !x y. inv (x / y) = y / x
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_INV_NEG: !x. inv (--x) = --inv x
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: STEINHAUS: !s. measurable s /\ &0 < measure s ==> (?d. &0 < d /\ ball (vec 0,d) SUBSET {x - y | x IN s /\ y IN s})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: UNIT_INTERVAL_NONEMPTY_conjunct1: ~(interval (vec 0,vec 1) = {})
% Assm: mul_c: !s t. s *_c t = {x,y | x IN s /\ y IN t}
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Goal: !s. measurable s /\ &0 < measure s ==> s =_c (:real)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: _0 = _0 <=> T
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: !x e. ball (x,e) = {} <=> e <= &0
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: (:real^N) =_c (:real)
% Assm: !s t. s =_c t ==> s <=_c t
% Assm: !s t. s =_c t <=> t =_c s
% Assm: !s t. s <=_c t /\ t <=_c s <=> s =_c t
% Assm: !f s. IMAGE f s <=_c s
% Assm: !s t. s SUBSET t ==> s <=_c t
% Assm: !s t u. s <=_c t /\ t <=_c u ==> s <=_c u
% Assm: !s. s <=_c (:real)
% Assm: !k. INFINITE k ==> k *_c k =_c k
% Assm: !x e. compact (cball (x,e))
% Assm: !a b. compact (interval [a,b])
% Assm: !x e. convex (cball (x,e))
% Assm: !a b. convex (interval [a,b]) /\ convex (interval (a,b))
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a = b
% Assm: !s t. convex s /\ compact s /\ ~(interior s = {}) /\ convex t /\ compact t /\ ~(interior t = {}) ==> s homeomorphic t
% Assm: !s t. s homeomorphic t ==> s =_c t
% Assm: !a b. ~(interval (a,b) = {}) ==> interval (a,b) homeomorphic (:real^N)
% Assm: !s. INFINITE s <=> ~FINITE s
% Assm: !x e. interior (cball (x,e)) = ball (x,e)
% Assm: !a b. interior (interval [a,b]) = interval (a,b)
% Assm: !a b. interval (a,b) SUBSET interval [a,b]
% Assm: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: !x y e. y IN cball (x,e) <=> dist (x,y) <= e
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !n. 0 <= n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !s. measurable s ==> (&0 < measure s <=> ~negligible s)
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: !s. FINITE s ==> negligible s
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. inv (x / y) = y / x
% Assm: !x. inv (inv x) = x
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x. inv (--x) = --inv x
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: !x. x * &0 = &0
% Assm: !P x. P x ==> P ((@) P)
% Assm: !s. measurable s /\ &0 < measure s ==> (?d. &0 < d /\ ball (vec 0,d) SUBSET {x - y | x IN s /\ y IN s})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: 2 = SUC 1
% Assm: ~(interval (vec 0,vec 1) = {})
% Assm: !s t. s *_c t = {x,y | x IN s /\ y IN t}
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Goal: !s. measurable s /\ &0 < measure s ==> s =_c (:real)
%  TYPES
thf(tq43820, type, q43820 : $tType).
thf(tq88663, type, q88663 : $tType).
thf(tcartrealq209308, type, cartrealq209308 : $tType).
thf(tq88664, type, q88664 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnum, type, num : $tType).
thf(tlistprodcartrealq208651cartrealq208651, type, listprodcartrealq208651cartrealq208651 : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
thf(tlistprodcartrealq209308cartrealq209308, type, listprodcartrealq209308cartrealq209308 : $tType).
thf(tcartrealq169410, type, cartrealq169410 : $tType).
thf(tq168416, type, q168416 : $tType).
thf(tq169410, type, q169410 : $tType).
thf(tprodab, type, prodab : $tType).
thf(tcartrealq453263, type, cartrealq453263 : $tType).
thf(tq209308, type, q209308 : $tType).
thf(tq88507, type, q88507 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tq88508, type, q88508 : $tType).
thf(tcartrealq168416, type, cartrealq168416 : $tType).
thf(tprodcartrealq168451cartrealq168451, type, prodcartrealq168451cartrealq168451 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealq209308cartrealq209308, type, prodcartrealq209308cartrealq209308 : $tType).
thf(tc, type, c : $tType).
thf(tprodcartrealq168451real, type, prodcartrealq168451real : $tType).
thf(tprodcartrealq168416real, type, prodcartrealq168416real : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(tprodcartrealq186628real, type, prodcartrealq186628real : $tType).
thf(tprodcartrealq169410real, type, prodcartrealq169410real : $tType).
thf(tcartrealq208651, type, cartrealq208651 : $tType).
thf(tcartrealq168451, type, cartrealq168451 : $tType).
thf(tprodcartrealq168416cartrealq168416, type, prodcartrealq168416cartrealq168416 : $tType).
thf(tq453263, type, q453263 : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tprodcartrealq208651cartrealq208651, type, prodcartrealq208651cartrealq208651 : $tType).
thf(tprodq88664q88663, type, prodq88664q88663 : $tType).
thf(tq208651, type, q208651 : $tType).
thf(tq186628, type, q186628 : $tType).
thf(tprodaa, type, prodaa : $tType).
thf(treal, type, real : $tType).
thf(tm, type, m : $tType).
thf(tq168451, type, q168451 : $tType).
thf(tn, type, n : $tType).
thf(tcartrealq186628, type, cartrealq186628 : $tType).
%  CONSTS
thf(cuniv, type, univ : (real > $o)).
thf(cdistance0, type, distance0 : (prodcartrealq168451cartrealq168451 > real)).
thf(cdistance, type, distance : (prodcartrealq168416cartrealq168416 > real)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(cgabs, type, gabs : ((a > $o) > a)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnil1, type, nil1 : listprodcartrealq208651cartrealq208651).
thf(cnil0, type, nil0 : listprodcartrealncartrealn).
thf(cnil, type, nil : listprodcartrealq209308cartrealq209308).
thf(cvec, type, vec : (num > cartrealn)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cin6, type, in6 : (q88663 > (q88663 > $o) > $o)).
thf(cin5, type, in5 : (q88664 > (q88664 > $o) > $o)).
thf(cgspec1, type, gspec1 : ((prodq88664q88663 > $o) > prodq88664q88663 > $o)).
thf(cin4, type, in4 : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset1, type, subset1 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin3, type, in3 : (b > (b > $o) > $o)).
thf(cgspec, type, gspec : ((q43820 > $o) > q43820 > $o)).
thf(cin2, type, in2 : (q43820 > (q43820 > $o) > $o)).
thf(ccball1, type, cball1 : (prodcartrealq168451real > cartrealq168451 > $o)).
thf(cin1, type, in1 : (cartrealq168451 > (cartrealq168451 > $o) > $o)).
thf(cball1, type, ball1 : (prodcartrealq168416real > cartrealq168416 > $o)).
thf(cin0, type, in0 : (cartrealq168416 > (cartrealq168416 > $o) > $o)).
thf(ccloseduu_interval1, type, closedu_interval1 : (listprodcartrealq208651cartrealq208651 > cartrealq208651 > $o)).
thf(copenuu_interval0, type, openu_interval0 : (prodcartrealq208651cartrealq208651 > cartrealq208651 > $o)).
thf(csubset0, type, subset0 : ((cartrealq208651 > $o) > (cartrealq208651 > $o) > $o)).
thf(cball0, type, ball0 : (prodcartrealnreal > cartrealn > $o)).
thf(cau_uu_c2, type, a_u_c2 : ((cartrealm > $o) > (cartrealn > $o) > $o)).
thf(chomeomorphic0, type, homeomorphic0 : ((cartrealm > $o) > (cartrealn > $o) > $o)).
thf(chomeomorphic, type, homeomorphic : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(cgeq, type, geq : (a > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(copenuu_interval, type, openu_interval : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccloseduu_interval0, type, closedu_interval0 : (listprodcartrealncartrealn > cartrealn > $o)).
thf(ccball0, type, cball0 : (prodcartrealnreal > cartrealn > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealq209308cartrealq209308 > cartrealq209308 > $o)).
thf(ccball, type, cball : (prodcartrealq186628real > cartrealq186628 > $o)).
thf(cau_uu_c1, type, a_u_c1 : ((prodaa > $o) > (a > $o) > $o)).
thf(clu_au_uu_c6, type, l_a_u_c6 : ((real > $o) > (real > $o) > $o)).
thf(clu_au_uu_c5, type, l_a_u_c5 : ((a > $o) > (c > $o) > $o)).
thf(clu_au_uu_c4, type, l_a_u_c4 : ((b > $o) > (c > $o) > $o)).
thf(clu_au_uu_c3, type, l_a_u_c3 : ((a > $o) > (b > $o) > $o)).
thf(clu_au_uu_c2, type, l_a_u_c2 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(clu_au_uu_c1, type, l_a_u_c1 : ((q88508 > $o) > (q88507 > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((real > $o) > (cartrealn > $o) > $o)).
thf(cau_uu_c0, type, a_u_c0 : ((real > $o) > (cartrealn > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((cartrealn > $o) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cball, type, ball : (prodcartrealq169410real > cartrealq169410 > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cau_uu_c, type, a_u_c : ((cartrealn > $o) > (real > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccu_10, type, c_10 : (a > b > prodab)).
thf(ccu_9, type, c_9 : (q88664 > q88663 > prodq88664q88663)).
thf(csetspec1, type, setspec1 : (prodq88664q88663 > $o > prodq88664q88663 > $o)).
thf(ctu_uu_c0, type, t_u_c0 : ((q88664 > $o) > (q88663 > $o) > prodq88664q88663 > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(cimage0, type, image0 : ((a > b) > (a > $o) > b > $o)).
thf(csetspec, type, setspec : (q43820 > $o > q43820 > $o)).
thf(ccu_8, type, c_8 : (cartrealq168451 > cartrealq168451 > prodcartrealq168451cartrealq168451)).
thf(ccu_7, type, c_7 : (cartrealq168451 > real > prodcartrealq168451real)).
thf(ccu_6, type, c_6 : (cartrealq168416 > cartrealq168416 > prodcartrealq168416cartrealq168416)).
thf(ccu_5, type, c_5 : (cartrealq168416 > real > prodcartrealq168416real)).
thf(ccons1, type, cons1 : (prodcartrealq208651cartrealq208651 > listprodcartrealq208651cartrealq208651 > listprodcartrealq208651cartrealq208651)).
thf(ccu_4, type, c_4 : (cartrealq208651 > cartrealq208651 > prodcartrealq208651cartrealq208651)).
thf(ccu_3, type, c_3 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons0, type, cons0 : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(ccu_2, type, c_2 : (cartrealn > real > prodcartrealnreal)).
thf(ccu_1, type, c_1 : (cartrealq209308 > cartrealq209308 > prodcartrealq209308cartrealq209308)).
thf(ccons, type, cons : (prodcartrealq209308cartrealq209308 > listprodcartrealq209308cartrealq209308 > listprodcartrealq209308cartrealq209308)).
thf(ccu_0, type, c_0 : (cartrealq186628 > real > prodcartrealq186628real)).
thf(ctu_uu_c, type, t_u_c : ((a > $o) > (a > $o) > prodaa > $o)).
thf(cimage, type, image : ((q88507 > q88508) > (q88507 > $o) > q88508 > $o)).
thf(ccu_, type, c_ : (cartrealq169410 > real > prodcartrealq169410real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cnegligible0, type, negligible0 : ((cartrealq453263 > $o) > $o)).
thf(cfinite0, type, finite0 : ((cartrealq453263 > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(ccompact1, type, compact1 : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(ccompact0, type, compact0 : ((cartrealq209308 > $o) > $o)).
thf(ccompact, type, compact : ((cartrealq186628 > $o) > $o)).
thf(cinfinite, type, infinite : ((a > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cempty, type, empty : (cartrealq169410 > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBALLu_EQu_EMPTY, axiom, ![X:cartrealq169410,E:real]:(((ball @ (c_ @ X @ E)) = empty) <=> (realu_le @ E @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_EQu_EUCLIDEAN, axiom, (a_u_c @ univ0 @ univ)).
thf(aCARDu_EQu_IMPu_LE, axiom, ![S:(cartrealn > $o),T:(real > $o)]:((a_u_c @ S @ T) => (l_a_u_c @ S @ T))).
thf(aCARDu_EQu_SYM, axiom, ![S:(cartrealn > $o),T:(real > $o)]:((a_u_c @ S @ T) <=> (a_u_c0 @ T @ S))).
thf(aCARDu_LEu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(real > $o)]:(((l_a_u_c @ S @ T) & (l_a_u_c0 @ T @ S)) <=> (a_u_c @ S @ T))).
thf(aCARDu_LEu_IMAGE, axiom, ![F:(q88507 > q88508),S:(q88507 > $o)]:(l_a_u_c1 @ (image @ F @ S) @ S)).
thf(aCARDu_LEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) => (l_a_u_c2 @ S @ T))).
thf(aCARDu_LEu_TRANS, axiom, ![S:(a > $o),T:(b > $o),U:(c > $o)]:(((l_a_u_c3 @ S @ T) & (l_a_u_c4 @ T @ U)) => (l_a_u_c5 @ S @ U))).
thf(aCARDu_LEu_UNIV, axiom, ![S:(real > $o)]:(l_a_u_c6 @ S @ univ)).
thf(aCARDu_SQUAREu_INFINITE, axiom, ![K:(a > $o)]:((infinite @ K) => (a_u_c1 @ (t_u_c @ K @ K) @ K))).
thf(aCOMPACTu_CBALL, axiom, ![X:cartrealq186628,E:real]:(compact @ (cball @ (c_0 @ X @ E)))).
thf(aCOMPACTu_INTERVAL, axiom, ![A:cartrealq209308,B:cartrealq209308]:(compact0 @ (closedu_interval @ (cons @ (c_1 @ A @ B) @ nil)))).
thf(aCONVEXu_CBALL, axiom, ![X:cartrealn,E:real]:(convex @ (cball0 @ (c_2 @ X @ E)))).
thf(aCONVEXu_INTERVAL, axiom, ![A:cartrealn,B:cartrealn]:((convex @ (closedu_interval0 @ (cons0 @ (c_3 @ A @ B) @ nil0))) & (convex @ (openu_interval @ (c_3 @ A @ B))))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aGABSu_DEF, axiom, ![P:(a > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:a,B:a]:((geq @ A @ B) <=> (A = B))).
thf(aHOMEOMORPHICu_CONVEXu_COMPACT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ S) & (compact1 @ S) & ~ (((interior @ S) = empty0)) & (convex @ T) & (compact1 @ T) & ~ (((interior @ T) = empty0))) => (homeomorphic @ S @ T))).
thf(aHOMEOMORPHICu_IMPu_CARDu_EQ, axiom, ![S:(cartrealm > $o),T:(cartrealn > $o)]:((homeomorphic0 @ S @ T) => (a_u_c2 @ S @ T))).
thf(aHOMEOMORPHICu_OPENu_INTERVALu_UNIV, axiom, ![A:cartrealn,B:cartrealn]:(~ (((openu_interval @ (c_3 @ A @ B)) = empty0)) => (homeomorphic @ (openu_interval @ (c_3 @ A @ B)) @ univ0))).
thf(aINFINITE, axiom, ![S:(a > $o)]:((infinite @ S) <=> ~ ((finite @ S)))).
thf(aINTERIORu_CBALL, axiom, ![X:cartrealn,E:real]:((interior @ (cball0 @ (c_2 @ X @ E))) = (ball0 @ (c_2 @ X @ E)))).
thf(aINTERIORu_CLOSEDu_INTERVAL, axiom, ![A:cartrealn,B:cartrealn]:((interior @ (closedu_interval0 @ (cons0 @ (c_3 @ A @ B) @ nil0))) = (openu_interval @ (c_3 @ A @ B)))).
thf(aINTERVALu_OPENu_SUBSETu_CLOSED, axiom, ![A:cartrealq208651,B:cartrealq208651]:(subset0 @ (openu_interval0 @ (c_4 @ A @ B)) @ (closedu_interval1 @ (cons1 @ (c_4 @ A @ B) @ nil1)))).
thf(aINu_BALL, axiom, ![X:cartrealq168416,Y:cartrealq168416,E:real]:((in0 @ Y @ (ball1 @ (c_5 @ X @ E))) <=> (realu_lt @ (distance @ (c_6 @ X @ Y)) @ E))).
thf(aINu_CBALL, axiom, ![X:cartrealq168451,Y:cartrealq168451,E:real]:((in1 @ Y @ (cball1 @ (c_7 @ X @ E))) <=> (realu_le @ (distance0 @ (c_8 @ X @ Y)) @ E))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > q43820 > $o) > $o),X:q43820]:((in2 @ X @ (gspec @ ^[V:q43820]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:q43820]:(P0 & (X = T))))).
thf(aINu_IMAGE, axiom, ![Y:b,S:(a > $o),F:(a > b)]:((in3 @ Y @ (image0 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMEASURABLEu_MEASUREu_POSu_LT, axiom, ![S:(cartrealn > $o)]:((measurable @ S) => ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ S)) <=> ~ ((negligible @ S))))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNEGLIGIBLEu_FINITE, axiom, ![S:(cartrealq453263 > $o)]:((finite0 @ S) => (negligible0 @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INVu_DIV, axiom, ![X:real,Y:real]:((realu_inv @ (realu_div @ X @ Y)) = (realu_div @ Y @ X))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_INVu_NEG, axiom, ![X:real]:((realu_inv @ (realu_neg @ X)) = (realu_neg @ (realu_inv @ X)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_ @ P)))).
thf(aSTEINHAUS, axiom, ![S:(cartrealn > $o)]:(((measurable @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ S))) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & (subset1 @ (ball0 @ (c_2 @ (vec @ (numeral @ u_0)) @ D)) @ (gspec0 @ ^[GENR_PVARR_2153:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec0 @ GENR_PVARR_2153 @ ((in4 @ X @ S) & (in4 @ Y @ S)) @ (vectoru_sub @ X @ Y))))))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aUNITu_INTERVALu_NONEMPTYu_conjunct1, axiom, ~ (((openu_interval @ (c_3 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0))))) = empty0))).
thf(amulu_c, axiom, ![S:(q88664 > $o),T:(q88663 > $o)]:((t_u_c0 @ S @ T) = (gspec1 @ ^[GENR_PVARR_219:prodq88664q88663]:?[X:q88664,Y:q88663]:(setspec1 @ GENR_PVARR_219 @ ((in5 @ X @ S) & (in6 @ Y @ T)) @ (c_9 @ X @ Y))))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(apairu_RECURSION, axiom, ![PAIRI_:(a > b > c)]:?[FN:(prodab > c)]:![A0:a,A1:b]:((FN @ (c_10 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((measurable @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ S))) => (a_u_c @ S @ univ))).
