%   ORIGINAL: INTEGRABLE_CCONTINUOUS_EXPLICIT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUB: !m n. (m + n) - n = m
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: ARITH_ADD_conjunct1: _0 + _0 = _0
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct3: !n. _0 + BIT1 n = BIT1 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_ADD_conjunct8: !m n. BIT1 m + BIT0 n = BIT1 (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct1: _0 <= _0 <=> T
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct3: !n. _0 * BIT1 n = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: AUSTIN_LEMMA: !D. FINITE D /\ (!d. d IN D ==> (?k a b. d = interval [a,b] /\ (!i. 1 <= i /\ i <= dimindex (:N) ==> b$i - a$i = k))) ==> (?D'. D' SUBSET D /\ pairwise DISJOINT D' /\ measure (UNIONS D') >= measure (UNIONS D) / &3 pow dimindex (:N))
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_NUMSEG_1: !n. CARD (1..n) = n
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: CENTRE_IN_BALL: !x e. x IN ball (x,e) <=> &0 < e
% Assm: COMPONENT_LE_NORM: !x i. 1 <= i /\ i <= dimindex (:N) ==> abs (x$i) <= norm x
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: CONTENT_CLOSED_INTERVAL_CASES: !a b. content (interval [a,b]) = (if !i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i then product (1..dimindex (:N)) (\i. b$i - a$i) else &0)
% Assm: COVERING_LEMMA: !a b s g. s SUBSET interval [a,b] /\ ~(interval (a,b) = {}) /\ gauge g ==> (?d. COUNTABLE d /\ (!k. k IN d ==> k SUBSET interval [a,b] /\ ~(interior k = {}) /\ (?c d. k = interval [c,d])) /\ (!k1 k2. k1 IN d /\ k2 IN d /\ ~(k1 = k2) ==> interior k1 INTER interior k2 = {}) /\ (!k. k IN d ==> (?x. x IN s INTER k /\ k SUBSET g x)) /\ (!u v. interval [u,v] IN d ==> (?n. !i. 1 <= i /\ i <= dimindex (:N) ==> v$i - u$i = (b$i - a$i) / &2 pow n)) /\ s SUBSET UNIONS d)
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: DIMINDEX_GE_1: !s. 1 <= dimindex s
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_IN_IMAGE: !f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: EXISTS_SUBSET_IMAGE: !P f s. (?t. t SUBSET IMAGE f s /\ P t) <=> (?t. t SUBSET s /\ P (IMAGE f t))
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_EMPTY: FINITE {}
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: HENSTOCK_LEMMA: !f a b. f integrable_on interval [a,b] ==> (!e. &0 < e ==> (?d. gauge d /\ (!p. p tagged_partial_division_of interval [a,b] /\ d fine p ==> sum p (\(x,k). norm (content k % f x - integral k f)) < e)))
% Assm: IMAGE_o: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTEGRABLE_ON_SUBINTERVAL: !f s a b. f integrable_on s /\ interval [a,b] SUBSET s ==> f integrable_on interval [a,b]
% Assm: INTERIOR_SUBSET: !s. interior s SUBSET s
% Assm: INTERVAL_NE_EMPTY_conjunct1: ~(interval (a,b) = {}) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i < b$i)
% Assm: INTER_SUBSET_conjunct0: !s t. s INTER t SUBSET s
% Assm: INTER_SUBSET_conjunct1: !s t. t INTER s SUBSET s
% Assm: INT_LT_DISCRETE: !x y. x < y <=> x + &1 <= y
% Assm: INT_NOT_EQ: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: INT_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: INT_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: INT_OF_NUM_ADD: !m n. &m + &n = &(m + n)
% Assm: INT_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: INT_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: INT_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: INT_POS: !n. &0 <= &n
% Assm: IN_BALL: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_INTERVAL_conjunct1: !x. x IN interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i)
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_0: !n. 0 <= n
% Assm: LE_1_conjunct4: !n. 1 <= n ==> 0 < n
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MEASURABLE_INTERVAL_conjunct0: !a b. measurable (interval [a,b])
% Assm: MEASURABLE_INTERVAL_conjunct1: !a b. measurable (interval (a,b))
% Assm: MEASURABLE_MEASURE_EQ_0: !s. measurable s ==> (measure s = &0 <=> negligible s)
% Assm: MEASURABLE_MEASURE_POS_LT: !s. measurable s ==> (&0 < measure s <=> ~negligible s)
% Assm: MEASURABLE_UNIONS: !f. FINITE f /\ (!s. s IN f ==> measurable s) ==> measurable (UNIONS f)
% Assm: MEASURE_COUNTABLE_UNIONS_APPROACHABLE: !D B e. COUNTABLE D /\ (!d. d IN D ==> measurable d) /\ (!D'. D' SUBSET D /\ FINITE D' ==> measure (UNIONS D') <= B) /\ &0 < e ==> (?D'. D' SUBSET D /\ FINITE D' /\ measure (UNIONS D) - e < measure (UNIONS D'))
% Assm: MEASURE_COUNTABLE_UNIONS_LE_STRONG_GEN: !D B. COUNTABLE D /\ (!d. d IN D ==> measurable d) /\ (!D'. D' SUBSET D /\ FINITE D' ==> measure (UNIONS D') <= B) ==> measurable (UNIONS D) /\ measure (UNIONS D) <= B
% Assm: MEASURE_EMPTY: measure {} = &0
% Assm: MEASURE_INTERVAL_conjunct0: !a b. measure (interval [a,b]) = content (interval [a,b])
% Assm: MEASURE_NEGLIGIBLE_UNIONS_IMAGE: !f s. FINITE s /\ (!x. x IN s ==> measurable (f x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> negligible (f x INTER f y)) ==> measure (UNIONS (IMAGE f s)) = sum s (\x. measure (f x))
% Assm: MEASURE_SUBSET: !s t. measurable s /\ measurable t /\ s SUBSET t ==> measure s <= measure t
% Assm: MEASURE_UNIONS_LE: !f. FINITE f /\ (!s. s IN f ==> measurable s) ==> measure (UNIONS f) <= sum f (\s. measure s)
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NEGLIGIBLE_COUNTABLE_UNIONS: !s. (!n. negligible (s n)) ==> negligible (UNIONS {s n | n IN (:num)})
% Assm: NEGLIGIBLE_EMPTY: negligible {}
% Assm: NEGLIGIBLE_INTERVAL_conjunct0: !a b. negligible (interval [a,b]) <=> interval (a,b) = {}
% Assm: NEGLIGIBLE_ON_INTERVALS: !s. negligible s <=> (!a b. negligible (s INTER interval [a,b]))
% Assm: NEGLIGIBLE_OUTER_LE: !s. negligible s <=> (!e. &0 < e ==> (?t. s SUBSET t /\ measurable t /\ measure t <= e))
% Assm: NEGLIGIBLE_SUBSET: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: NORM_LE_L1: !x. norm x <= sum (1..dimindex (:N)) (\i. abs (x$i))
% Assm: NORM_MUL: !a x. norm (a % x) = abs a * norm x
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: NUMSEG_EMPTY: !m n. m..n = {} <=> n < m
% Assm: ONE: 1 = SUC 0
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: OPEN_CONTAINS_BALL: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ ball (x,e) SUBSET s))
% Assm: PAIR_EQ: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: PRODUCT_CONST_NUMSEG: !c m n. product (m..n) (\x. c) = c pow ((n + 1) - m)
% Assm: PRODUCT_MUL_NUMSEG: !f g m n. product (m..n) (\x. f x * g x) = product (m..n) f * product (m..n) g
% Assm: PRODUCT_POS_LT_NUMSEG: !f m n. (!x. m <= x /\ x <= n ==> &0 < f x) ==> &0 < product (m..n) f
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ABS_INV: !x. abs (inv x) = inv (abs x)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_ARCH_INV: !e. &0 < e <=> (?n. ~(n = 0) /\ &0 < inv (&n) /\ inv (&n) < e)
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_EQ_IMP_LE: !x y. x = y ==> x <= y
% Assm: REAL_HALF_conjunct0: !e. &0 < e / &2 <=> &0 < e
% Assm: REAL_INV_DIV: !x y. inv (x / y) = y / x
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_INV_NEG: !x. inv (--x) = --inv x
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_INV2: !x y. &0 < x /\ x <= y ==> inv y <= inv x
% Assm: REAL_LE_LCANCEL_IMP: !x y z. &0 < x /\ x * y <= x * z ==> y <= z
% Assm: REAL_LE_LDIV_EQ: !x y z. &0 < z ==> (x / z <= y <=> x <= y * z)
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RDIV_EQ: !x y z. &0 < z ==> (x <= y / z <=> x * z <= y)
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_DIV: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: REAL_LT_INV_EQ: !x. &0 < inv x <=> &0 < x
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_LT_MIN: !x y z. z < min x y <=> z < x /\ z < y
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_POS: !n. &0 <= &n
% Assm: REAL_POS_NZ: !x. &0 < x ==> ~(x = &0)
% Assm: REAL_POW_LT: !x n. &0 < x ==> &0 < x pow n
% Assm: REAL_POW_MUL: !x y n. (x * y) pow n = x pow n * y pow n
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: SIMPLE_IMAGE: !f s. {f x | x IN s} = IMAGE f s
% Assm: SND: !x y. SND (x,y) = y
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM_EQ: !s t. s SUBSET t /\ t SUBSET s <=> s = t
% Assm: SUBSET_INTERVAL_conjunct0: interval [c,d] SUBSET interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> c$i <= d$i) ==> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= c$i /\ d$i <= b$i)
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: SUBSET_UNIV: !s. s SUBSET (:A)
% Assm: SUM_BOUND_LT_GEN: !s f b. FINITE s /\ ~(s = {}) /\ (!x. x IN s ==> f x < b / &(CARD s)) ==> sum s f < b
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_LE_INCLUDED: !f g s t i. FINITE s /\ FINITE t /\ (!y. y IN t ==> &0 <= g y) /\ (!x. x IN s ==> (?y. y IN t /\ i y = x /\ f x <= g y)) ==> sum s f <= sum t g
% Assm: SUM_RMUL: !f c s. sum s (\x. f x * c) = sum s f * c
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: UNIONS_0: UNIONS {} = {}
% Assm: UNIONS_IMAGE: !f s. UNIONS (IMAGE f s) = {y | ?x. x IN s /\ y IN f x}
% Assm: VECTOR_ADD_COMPONENT: !x y i. (x + y)$i = x$i + y$i
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_MUL_COMPONENT: !c x i. (c % x)$i = c * x$i
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: VECTOR_SUB_COMPONENT: !x y i. (x - y)$i = x$i - y$i
% Assm: VECTOR_SUB_LDISTRIB: c % (x - y) = c % x - c % y
% Assm: VEC_COMPONENT: !k i. vec k$i = &k
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: fine: !s d. d fine s <=> (!x k. x,k IN s ==> k SUBSET d x)
% Assm: gauge: !d. gauge d <=> (!x. x IN d x /\ open (d x))
% Assm: int_add_th: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: pairwise: !s r. pairwise r s <=> (!x y. x IN s /\ y IN s /\ ~(x = y) ==> r x y)
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: real_max: !n m. max m n = (if m <= n then n else m)
% Assm: real_min: !m n. min m n = (if m <= n then m else n)
% Assm: tagged_partial_division_of: !i s. s tagged_partial_division_of i <=> FINITE s /\ (!x k. x,k IN s ==> x IN k /\ k SUBSET i /\ (?a b. k = interval [a,b])) /\ (!x1 k1 x2 k2. x1,k1 IN s /\ x2,k2 IN s /\ ~(x1,k1 = x2,k2) ==> interior k1 INTER interior k2 = {})
% Goal: !f. (!a b. f integrable_on interval [a,b]) ==> (?k. negligible k /\ (!x e. ~(x IN k) /\ &0 < e ==> (?d. &0 < d /\ (!h. &0 < h /\ h < d ==> norm (inv (content (interval [x,x + h % vec 1])) % integral (interval [x,x + h % vec 1]) f - f x) < e))))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. (m + n) - n = m
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: _0 + _0 = _0
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. _0 + BIT1 n = BIT1 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. BIT1 m + BIT0 n = BIT1 (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: _0 <= _0 <=> T
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !n. _0 * BIT1 n = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: !D. FINITE D /\ (!d. d IN D ==> (?k a b. d = interval [a,b] /\ (!i. 1 <= i /\ i <= dimindex (:M) ==> b$i - a$i = k))) ==> (?D'. D' SUBSET D /\ pairwise DISJOINT D' /\ measure (UNIONS D') >= measure (UNIONS D) / &3 pow dimindex (:M))
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n. CARD (1..n) = n
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: !x e. x IN ball (x,e) <=> &0 < e
% Assm: !x i. 1 <= i /\ i <= dimindex (:N) ==> abs (x$i) <= norm x
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !a b. content (interval [a,b]) = (if !i. 1 <= i /\ i <= dimindex (:M) ==> a$i <= b$i then product (1..dimindex (:M)) (\i. b$i - a$i) else &0)
% Assm: !a b s g. s SUBSET interval [a,b] /\ ~(interval (a,b) = {}) /\ gauge g ==> (?d. COUNTABLE d /\ (!k. k IN d ==> k SUBSET interval [a,b] /\ ~(interior k = {}) /\ (?c d. k = interval [c,d])) /\ (!k1 k2. k1 IN d /\ k2 IN d /\ ~(k1 = k2) ==> interior k1 INTER interior k2 = {}) /\ (!k. k IN d ==> (?x. x IN s INTER k /\ k SUBSET g x)) /\ (!u v. interval [u,v] IN d ==> (?n. !i. 1 <= i /\ i <= dimindex (:M) ==> v$i - u$i = (b$i - a$i) / &2 pow n)) /\ s SUBSET UNIONS d)
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !s. 1 <= dimindex s
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !s. {} SUBSET s
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (?y. y IN IMAGE f s /\ P y) <=> (?x. x IN s /\ P (f x))
% Assm: !P f s. (?t. t SUBSET IMAGE f s /\ P t) <=> (?t. t SUBSET s /\ P (IMAGE f t))
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE {}
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !m n. FINITE (m..n)
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a = b
% Assm: !f a b. f integrable_on interval [a,b] ==> (!e. &0 < e ==> (?d. gauge d /\ (!p. p tagged_partial_division_of interval [a,b] /\ d fine p ==> sum p (\(x,k). norm (content k % f x - integral k f)) < e)))
% Assm: !f g s. IMAGE (f o g) s = IMAGE f (IMAGE g s)
% Assm: !P x. x IN P <=> P x
% Assm: !f s a b. f integrable_on s /\ interval [a,b] SUBSET s ==> f integrable_on interval [a,b]
% Assm: !s. interior s SUBSET s
% Assm: !a b. ~(interval (a,b) = {}) <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> a$i < b$i)
% Assm: !s t. s INTER t SUBSET s
% Assm: !s t. t INTER s SUBSET s
% Assm: !x y. x < y <=> x + &1 <= y
% Assm: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !m n. &m + &n = &(m + n)
% Assm: !m n. &m = &n <=> m = n
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m < &n <=> m < n
% Assm: !n. &0 <= &n
% Assm: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !a b x. x IN interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> a$i <= x$i /\ x$i <= b$i)
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. x IN (:real^M)
% Assm: !x. I x = x
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !n. 0 <= n
% Assm: !n. 1 <= n ==> 0 < n
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !a b. measurable (interval [a,b])
% Assm: !a b. measurable (interval (a,b))
% Assm: !s. measurable s ==> (measure s = &0 <=> negligible s)
% Assm: !s. measurable s ==> (&0 < measure s <=> ~negligible s)
% Assm: !f. FINITE f /\ (!s. s IN f ==> measurable s) ==> measurable (UNIONS f)
% Assm: !D B e. COUNTABLE D /\ (!d. d IN D ==> measurable d) /\ (!D'. D' SUBSET D /\ FINITE D' ==> measure (UNIONS D') <= B) /\ &0 < e ==> (?D'. D' SUBSET D /\ FINITE D' /\ measure (UNIONS D) - e < measure (UNIONS D'))
% Assm: !D B. COUNTABLE D /\ (!d. d IN D ==> measurable d) /\ (!D'. D' SUBSET D /\ FINITE D' ==> measure (UNIONS D') <= B) ==> measurable (UNIONS D) /\ measure (UNIONS D) <= B
% Assm: measure {} = &0
% Assm: !a b. measure (interval [a,b]) = content (interval [a,b])
% Assm: !f s. FINITE s /\ (!x. x IN s ==> measurable (f x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> negligible (f x INTER f y)) ==> measure (UNIONS (IMAGE f s)) = sum s (\x. measure (f x))
% Assm: !s t. measurable s /\ measurable t /\ s SUBSET t ==> measure s <= measure t
% Assm: !f. FINITE f /\ (!s. s IN f ==> measurable s) ==> measure (UNIONS f) <= sum f (\s. measure s)
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: !s. (!n. negligible (s n)) ==> negligible (UNIONS {s n | n IN (:num)})
% Assm: negligible {}
% Assm: !a b. negligible (interval [a,b]) <=> interval (a,b) = {}
% Assm: !s. negligible s <=> (!a b. negligible (s INTER interval [a,b]))
% Assm: !s. negligible s <=> (!e. &0 < e ==> (?t. s SUBSET t /\ measurable t /\ measure t <= e))
% Assm: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: !x. norm x <= sum (1..dimindex (:N)) (\i. abs (x$i))
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: !x. &0 <= norm x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: !n. NUMERAL n = n
% Assm: !m n. m..n = {} <=> n < m
% Assm: 1 = SUC 0
% Assm: !x e. open (ball (x,e))
% Assm: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ ball (x,e) SUBSET s))
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: !c m n. product (m..n) (\x. c) = c pow ((n + 1) - m)
% Assm: !f g m n. product (m..n) (\x. f x * g x) = product (m..n) f * product (m..n) g
% Assm: !f m n. (!x. m <= x /\ x <= n ==> &0 < f x) ==> &0 < product (m..n) f
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x. abs (inv x) = inv (abs x)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !e. &0 < e <=> (?n. ~(n = 0) /\ &0 < inv (&n) /\ inv (&n) < e)
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. x = y ==> x <= y
% Assm: !e. &0 < e / &2 <=> &0 < e
% Assm: !x y. inv (x / y) = y / x
% Assm: !x. inv (inv x) = x
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x. inv (--x) = --inv x
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. &0 < x /\ x <= y ==> inv y <= inv x
% Assm: !x y z. &0 < x /\ x * y <= x * z ==> y <= z
% Assm: !x y z. &0 < z ==> (x / z <= y <=> x <= y * z)
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y z. &0 < z ==> (x <= y / z <=> x * z <= y)
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: &0 < &1
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: !x. &0 < inv x <=> &0 < x
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !x y z. z < min x y <=> z < x /\ z < y
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: !x y. --x * y = --(x * y)
% Assm: !x. x * &1 = x
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m < &n <=> m < n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !n. &0 <= &n
% Assm: !x. &0 < x ==> ~(x = &0)
% Assm: !x n. &0 < x ==> &0 < x pow n
% Assm: !x y n. (x * y) pow n = x pow n * y pow n
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: !x y. x < y ==> x <= y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !P x. P x ==> P ((@) P)
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: !x y. SND (x,y) = y
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s <=> s = t
% Assm: !a c d b. interval [c,d] SUBSET interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:M) ==> c$i <= d$i) ==> (!i. 1 <= i /\ i <= dimindex (:M) ==> a$i <= c$i /\ d$i <= b$i)
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: !s. s SUBSET (:A)
% Assm: !s f b. FINITE s /\ ~(s = {}) /\ (!x. x IN s ==> f x < b / &(CARD s)) ==> sum s f < b
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f g s t i. FINITE s /\ FINITE t /\ (!y. y IN t ==> &0 <= g y) /\ (!x. x IN s ==> (?y. y IN t /\ i y = x /\ f x <= g y)) ==> sum s f <= sum t g
% Assm: !f c s. sum s (\x. f x * c) = sum s f * c
% Assm: T
% Assm: 2 = SUC 1
% Assm: UNIONS {} = {}
% Assm: !f s. UNIONS (IMAGE f s) = {y | ?x. x IN s /\ y IN f x}
% Assm: !x y i. (x + y)$i = x$i + y$i
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !c x i. (c % x)$i = c * x$i
% Assm: !c x i. (c % x)$i = c * x$i
% Assm: !x. &1 % x = x
% Assm: !x. &1 % x = x
% Assm: !x y i. (x - y)$i = x$i - y$i
% Assm: !x c y. c % (x - y) = c % x - c % y
% Assm: !k i. vec k$i = &k
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !s d. d fine s <=> (!x k. x,k IN s ==> k SUBSET d x)
% Assm: !d. gauge d <=> (!x. x IN d x /\ open (d x))
% Assm: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !s r. pairwise r s <=> (!x y. x IN s /\ y IN s /\ ~(x = y) ==> r x y)
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !n m. max m n = (if m <= n then n else m)
% Assm: !m n. min m n = (if m <= n then m else n)
% Assm: !i s. s tagged_partial_division_of i <=> FINITE s /\ (!x k. x,k IN s ==> x IN k /\ k SUBSET i /\ (?a b. k = interval [a,b])) /\ (!x1 k1 x2 k2. x1,k1 IN s /\ x2,k2 IN s /\ ~(x1,k1 = x2,k2) ==> interior k1 INTER interior k2 = {})
% Goal: !f. (!a b. f integrable_on interval [a,b]) ==> (?k. negligible k /\ (!x e. ~(x IN k) /\ &0 < e ==> (?d. &0 < d /\ (!h. &0 < h /\ h < d ==> norm (inv (content (interval [x,x + h % vec 1])) % integral (interval [x,x + h % vec 1]) f - f x) < e))))
%  TYPES
thf(tq49264, type, q49264 : $tType).
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tcartrealq520175, type, cartrealq520175 : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq520027, type, cartrealq520027 : $tType).
thf(ta, type, a : $tType).
thf(tq47323, type, q47323 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(tprodcartrealq169289real, type, prodcartrealq169289real : $tType).
thf(tprodcartrealmreal, type, prodcartrealmreal : $tType).
thf(tfunq434522bool, type, funq434522bool : $tType).
thf(tcartrealq172081, type, cartrealq172081 : $tType).
thf(tq47314, type, q47314 : $tType).
thf(tq47732, type, q47732 : $tType).
thf(treal, type, real : $tType).
thf(tq47811, type, q47811 : $tType).
thf(tcartrealq169289, type, cartrealq169289 : $tType).
thf(tq520175, type, q520175 : $tType).
thf(tint, type, int : $tType).
thf(tq172081, type, q172081 : $tType).
thf(tq47319, type, q47319 : $tType).
thf(tq47748, type, q47748 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tq169289, type, q169289 : $tType).
thf(tcartab, type, cartab : $tType).
thf(tprodq434523funq434522bool, type, prodq434523funq434522bool : $tType).
thf(tq434522, type, q434522 : $tType).
thf(tprodcartrealmfuncartrealmbool, type, prodcartrealmfuncartrealmbool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tq434523, type, q434523 : $tType).
thf(tq520027, type, q520027 : $tType).
thf(tm, type, m : $tType).
thf(tq46829, type, q46829 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cuniv4, type, univ4 : (a > $o)).
thf(cempty0, type, empty0 : (a > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(cmeasure2, type, measure2 : ((cartrealq520027 > $o) > real)).
thf(cmeasure1, type, measure1 : ((cartrealq520175 > $o) > real)).
thf(cmeasure0, type, measure0 : ((cartrealn > $o) > real)).
thf(cdistance, type, distance : (prodcartrealmcartrealm > real)).
thf(cmeasure, type, measure : ((cartrealm > $o) > real)).
thf(ccontent, type, content : ((cartrealm > $o) > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(cgabs, type, gabs : ((a > $o) > a)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(cempty5, type, empty5 : (q46829 > $o)).
thf(cdu_0, type, d_0 : (cartab > num > a)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cempty1, type, empty1 : (q49264 > $o)).
thf(cempty3, type, empty3 : (num > $o)).
thf(cuniv3, type, univ3 : (num > $o)).
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(csnd, type, snd : (prodcartrealmcartrealm > cartrealm)).
thf(cvec, type, vec : (num > cartrealm)).
thf(ci, type, i : (a > a)).
thf(cbit0, type, bit0 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cin4, type, in4 : (prodcartrealmfuncartrealmbool > (prodcartrealmfuncartrealmbool > $o) > $o)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(cpairwise0, type, pairwise0 : ((cartrealm > cartrealm > $o) > (cartrealm > $o) > $o)).
thf(csubset7, type, subset7 : ((q434522 > $o) > (q434522 > $o) > $o)).
thf(cin3, type, in3 : (prodq434523funq434522bool > (prodq434523funq434522bool > $o) > $o)).
thf(cfine0, type, fine0 : ((q434523 > q434522 > $o) > (prodq434523funq434522bool > $o) > $o)).
thf(cunions1, type, unions1 : (((q46829 > $o) > $o) > q46829 > $o)).
thf(csum3, type, sum3 : ((a > $o) > (a > real) > real)).
thf(cgspec1, type, gspec1 : ((q47811 > $o) > q47811 > $o)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(cball0, type, ball0 : (prodcartrealq169289real > cartrealq169289 > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(csum2, type, sum2 : ((num > $o) > (num > real) > real)).
thf(cgspec0, type, gspec0 : (((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csum1, type, sum1 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > real) > real)).
thf(csubset6, type, subset6 : ((cartrealq520027 > $o) > (cartrealq520027 > $o) > $o)).
thf(csum0, type, sum0 : ((cartrealm > $o) > (cartrealm > real) > real)).
thf(csubset5, type, subset5 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cunions0, type, unions0 : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cin2, type, in2 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cin1, type, in1 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealm > $o) > cartrealm > $o)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(cinterior0, type, interior0 : ((cartrealq172081 > $o) > cartrealq172081 > $o)).
thf(csubset4, type, subset4 : ((cartrealq172081 > $o) > (cartrealq172081 > $o) > $o)).
thf(cgeq0, type, geq0 : (real > real > $o)).
thf(cgabs0, type, gabs0 : (((prodcartrealmfuncartrealmbool > real) > $o) > prodcartrealmfuncartrealmbool > real)).
thf(csum, type, sum : ((prodcartrealmfuncartrealmbool > $o) > (prodcartrealmfuncartrealmbool > real) > real)).
thf(cfine, type, fine : ((cartrealm > cartrealm > $o) > (prodcartrealmfuncartrealmbool > $o) > $o)).
thf(ctaggeduu_partialuu_divisionuu_of, type, taggedu_partialu_divisionu_of : ((prodcartrealmfuncartrealmbool > $o) > (cartrealm > $o) > $o)).
thf(cgeq, type, geq : (a > a > $o)).
thf(csubset3, type, subset3 : ((q47732 > $o) > (q47732 > $o) > $o)).
thf(csubset2, type, subset2 : ((q47748 > $o) > (q47748 > $o) > $o)).
thf(csubset1, type, subset1 : ((a > $o) > (a > $o) > $o)).
thf(cdisjoint0, type, disjoint0 : ((a > $o) > (a > $o) > $o)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(cinterior, type, interior : ((cartrealm > $o) > cartrealm > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealmcartrealm > cartrealm > $o)).
thf(csubset0, type, subset0 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cproduct, type, product : ((num > $o) > (num > real) > real)).
thf(cdu_1, type, d_1 : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cball, type, ball : (prodcartrealmreal > cartrealm > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cunions, type, unions : (((cartrealm > $o) > $o) > cartrealm > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cdisjoint, type, disjoint : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cpairwise, type, pairwise : (((cartrealm > $o) > (cartrealm > $o) > $o) > ((cartrealm > $o) > $o) > $o)).
thf(csubset, type, subset : (((cartrealm > $o) > $o) > ((cartrealm > $o) > $o) > $o)).
thf(cdu_, type, d_ : (cartrealm > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cin0, type, in0 : ((cartrealm > $o) > ((cartrealm > $o) > $o) > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cmu_, type, m_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(ccu_3, type, c_3 : (q434523 > (q434522 > $o) > prodq434523funq434522bool)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealm > cartrealm > cartrealm)).
thf(cimage6, type, image6 : ((cartrealm > q47811) > (cartrealm > $o) > q47811 > $o)).
thf(csetspec1, type, setspec1 : (q47811 > $o > q47811 > $o)).
thf(ccu_2, type, c_2 : (cartrealq169289 > real > prodcartrealq169289real)).
thf(csetspec0, type, setspec0 : ((cartrealm > $o) > $o > (cartrealm > $o) > $o)).
thf(cimage5, type, image5 : ((cartrealm > cartrealm > $o) > (cartrealm > $o) > (cartrealm > $o) > $o)).
thf(csetspec, type, setspec : (cartrealm > $o > cartrealm > $o)).
thf(cuu_0, type, u_0 : num).
thf(cimage4, type, image4 : ((q47314 > q47323) > (q47314 > $o) > q47323 > $o)).
thf(cimage3, type, image3 : ((q47323 > q47319) > (q47323 > $o) > q47319 > $o)).
thf(co, type, o : ((q47323 > q47319) > (q47314 > q47323) > q47314 > q47319)).
thf(cimage2, type, image2 : ((q47314 > q47319) > (q47314 > $o) > q47319 > $o)).
thf(ccu_1, type, c_1 : (cartrealm > (cartrealm > $o) > prodcartrealmfuncartrealmbool)).
thf(cimage1, type, image1 : ((a > b) > (a > $o) > b > $o)).
thf(cimage0, type, image0 : ((q47732 > q47748) > (q47732 > $o) > q47748 > $o)).
thf(cimage, type, image : ((cartrealm > cartrealm) > (cartrealm > $o) > cartrealm > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(ccu_0, type, c_0 : (cartrealm > real > prodcartrealmreal)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cintegral, type, integral : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(cru_0, type, r_0 : (real > cartrealm > cartrealm)).
thf(cvectoruu_add, type, vectoru_add : (cartrealm > cartrealm > cartrealm)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv1, type, univ1 : (n > $o)).
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv, type, univ : (m > $o)).
thf(cfinite6, type, finite6 : ((prodcartrealmfuncartrealmbool > $o) > $o)).
thf(cempty4, type, empty4 : ((q46829 > $o) > $o)).
thf(ccard0, type, card0 : ((cartrealm > $o) > num)).
thf(copen0, type, open0 : ((cartrealm > $o) > $o)).
thf(copen, type, open : ((cartrealq169289 > $o) > $o)).
thf(cmeasurable1, type, measurable1 : ((cartrealq520027 > $o) > $o)).
thf(cfinite5, type, finite5 : ((cartrealm > $o) > $o)).
thf(cempty2, type, empty2 : (cartrealq520175 > $o)).
thf(ccountable0, type, countable0 : (((cartrealn > $o) > $o) > $o)).
thf(cmeasurable0, type, measurable0 : ((cartrealn > $o) > $o)).
thf(cfinite4, type, finite4 : (((cartrealn > $o) > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealm > $o) > $o)).
thf(cuniv2, type, univ2 : (cartrealm > $o)).
thf(cdimindex2, type, dimindex2 : ((a > $o) > num)).
thf(cdimindex1, type, dimindex1 : ((n > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(ccard, type, card : ((num > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cfinite3, type, finite3 : ((num > $o) > $o)).
thf(cfinite2, type, finite2 : ((b > $o) > $o)).
thf(cfinite1, type, finite1 : ((a > $o) > $o)).
thf(cfinite0, type, finite0 : ((q49264 > $o) > $o)).
thf(ccountable, type, countable : (((cartrealm > $o) > $o) > $o)).
thf(cgauge, type, gauge : ((cartrealm > cartrealm > $o) > $o)).
thf(cempty, type, empty : (cartrealm > $o)).
thf(cfinite, type, finite : (((cartrealm > $o) > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealm > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUB, axiom, ![M:num,N:num]:((m_ @ (p_ @ M @ N) @ N) = M)).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct1, axiom, ((p_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct3, axiom, ![N:num]:((p_ @ u_0 @ (bit1 @ N)) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct8, axiom, ![M:num,N:num]:((p_ @ (bit1 @ M) @ (bit0 @ N)) = (bit1 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct1, axiom, ((l_a_ @ u_0 @ u_0) <=> $true)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct3, axiom, ![N:num]:((t_ @ u_0 @ (bit1 @ N)) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aAUSTINu_LEMMA, axiom, ![D:((cartrealm > $o) > $o)]:(((finite @ D) & ![D0:(cartrealm > $o)]:((in0 @ D0 @ D) => ?[K:real,A:cartrealm,B:cartrealm]:((D0 = (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_sub @ (d_ @ B @ I) @ (d_ @ A @ I)) = K))))) => ?[DI_:((cartrealm > $o) > $o)]:((subset @ DI_ @ D) & (pairwise @ disjoint @ DI_) & (realu_ge @ (measure @ (unions @ DI_)) @ (realu_div @ (measure @ (unions @ D)) @ (realu_pow @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (dimindex @ univ))))))).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_NUMSEGu_1, axiom, ![N:num]:((card @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) = N)).
thf(aCARTu_EQ, axiom, ![X:cartab,Y:cartab]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ X @ I) = (d_0 @ Y @ I))))).
thf(aCENTREu_INu_BALL, axiom, ![X:cartrealm,E:real]:((in @ X @ (ball @ (c_0 @ X @ E))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aCOMPONENTu_LEu_NORM, axiom, ![X:cartrealn,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex1 @ univ1))) => (realu_le @ (realu_abs @ (d_1 @ X @ I)) @ (vectoru_norm @ X)))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCONTENTu_CLOSEDu_INTERVALu_CASES, axiom, ![A:cartrealm,B:cartrealm]:((content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (cond0 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (d_ @ A @ I) @ (d_ @ B @ I))) @ (product @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(realu_sub @ (d_ @ B @ I) @ (d_ @ A @ I))) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCOVERINGu_LEMMA, axiom, ![A:cartrealm,B:cartrealm,S:(cartrealm > $o),G:(cartrealm > cartrealm > $o)]:(((subset0 @ S @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ~ (((openu_interval @ (c_ @ A @ B)) = empty)) & (gauge @ G)) => ?[D:((cartrealm > $o) > $o)]:((countable @ D) & ![K:(cartrealm > $o)]:((in0 @ K @ D) => ((subset0 @ K @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ~ (((interior @ K) = empty)) & ?[C:cartrealm,D0:cartrealm]:(K = (closedu_interval @ (cons @ (c_ @ C @ D0) @ nil))))) & ![K1:(cartrealm > $o),K2:(cartrealm > $o)]:(((in0 @ K1 @ D) & (in0 @ K2 @ D) & ~ ((K1 = K2))) => ((inter @ (interior @ K1) @ (interior @ K2)) = empty)) & ![K:(cartrealm > $o)]:((in0 @ K @ D) => ?[X:cartrealm]:((in @ X @ (inter @ S @ K)) & (subset0 @ K @ (G @ X)))) & ![U:cartrealm,V:cartrealm]:((in0 @ (closedu_interval @ (cons @ (c_ @ U @ V) @ nil)) @ D) => ?[N:num]:![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_sub @ (d_ @ V @ I) @ (d_ @ U @ I)) = (realu_div @ (realu_sub @ (d_ @ B @ I) @ (d_ @ A @ I)) @ (realu_pow @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ N))))) & (subset0 @ S @ (unions @ D))))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDIMINDEXu_GEu_1, axiom, ![S:(a > $o)]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (dimindex2 @ S))).
thf(aDISJOINT, axiom, ![S:(a > $o),T:(a > $o)]:((disjoint0 @ S @ T) <=> ((inter0 @ S @ T) = empty0))).
thf(aDISTu_SYM, axiom, ![X:cartrealm,Y:cartrealm]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aEMPTYu_SUBSET, axiom, ![S:(a > $o)]:(subset1 @ empty0 @ S)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_INu_IMAGE, axiom, ![P:(cartrealm > $o),F:(cartrealm > cartrealm),S:(cartrealm > $o)]:(?[Y:cartrealm]:((in @ Y @ (image @ F @ S)) & (P @ Y)) <=> ?[X:cartrealm]:((in @ X @ S) & (P @ (F @ X))))).
thf(aEXISTSu_SUBSETu_IMAGE, axiom, ![P:((q47748 > $o) > $o),F:(q47732 > q47748),S:(q47732 > $o)]:(?[T:(q47748 > $o)]:((subset2 @ T @ (image0 @ F @ S)) & (P @ T)) <=> ?[T:(q47732 > $o)]:((subset3 @ T @ S) & (P @ (image0 @ F @ T))))).
thf(aEXTENSION, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((S = T) <=> ![X:cartrealm]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_EMPTY, axiom, (finite0 @ empty1)).
thf(aFINITEu_IMAGE, axiom, ![F:(a > b),S:(a > $o)]:((finite1 @ S) => (finite2 @ (image1 @ F @ S)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite3 @ (o_o_ @ M @ N))).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite1 @ T) & (subset1 @ S @ T)) => (finite1 @ S))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealm > $o),F:(cartrealm > cartrealm),S:(cartrealm > $o)]:(![Y:cartrealm]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealm]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aGABSu_DEF, axiom, ![P:(a > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:a,B:a]:((geq @ A @ B) <=> (A = B))).
thf(aHENSTOCKu_LEMMA, axiom, ![F:(cartrealm > cartrealn),A:cartrealm,B:cartrealm]:((integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:(cartrealm > cartrealm > $o)]:((gauge @ D) & ![P:(prodcartrealmfuncartrealmbool > $o)]:(((taggedu_partialu_divisionu_of @ P @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (fine @ D @ P)) => (realu_lt @ (sum @ P @ (gabs0 @ ^[F0:(prodcartrealmfuncartrealmbool > real)]:![X:cartrealm,K:(cartrealm > $o)]:(geq0 @ (F0 @ (c_1 @ X @ K)) @ (vectoru_norm @ (vectoru_sub @ (r_ @ (content @ K) @ (F @ X)) @ (integral @ K @ F)))))) @ E)))))).
thf(aIMAGEu_o, axiom, ![F:(q47323 > q47319),G:(q47314 > q47323),S:(q47314 > $o)]:((image2 @ (o @ F @ G) @ S) = (image3 @ F @ (image4 @ G @ S)))).
thf(aIN, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ P) <=> (P @ X))).
thf(aINTEGRABLEu_ONu_SUBINTERVAL, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),A:cartrealm,B:cartrealm]:(((integrableu_on @ F @ S) & (subset0 @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ S)) => (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aINTERIORu_SUBSET, axiom, ![S:(cartrealq172081 > $o)]:(subset4 @ (interior0 @ S) @ S)).
thf(aINTERVALu_NEu_EMPTYu_conjunct1, axiom, ![A:cartrealm,B:cartrealm]:(~ (((openu_interval @ (c_ @ A @ B)) = empty)) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_lt @ (d_ @ A @ I) @ (d_ @ B @ I))))).
thf(aINTERu_SUBSETu_conjunct0, axiom, ![S:(a > $o),T:(a > $o)]:(subset1 @ (inter0 @ S @ T) @ S)).
thf(aINTERu_SUBSETu_conjunct1, axiom, ![S:(a > $o),T:(a > $o)]:(subset1 @ (inter0 @ T @ S) @ S)).
thf(aINTu_LTu_DISCRETE, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (intu_le @ (intu_add @ X @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y))).
thf(aINTu_NOTu_EQ, axiom, ![X:int,Y:int]:(~ ((X = Y)) <=> ((intu_lt @ X @ Y) | (intu_lt @ Y @ X)))).
thf(aINTu_NOTu_LE, axiom, ![X:int,Y:int]:(~ ((intu_le @ X @ Y)) <=> (intu_lt @ Y @ X))).
thf(aINTu_NOTu_LT, axiom, ![X:int,Y:int]:(~ ((intu_lt @ X @ Y)) <=> (intu_le @ Y @ X))).
thf(aINTu_OFu_NUMu_ADD, axiom, ![M:num,N:num]:((intu_add @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) = (intu_ofu_num @ (p_ @ M @ N)))).
thf(aINTu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((intu_ofu_num @ M) = (intu_ofu_num @ N)) <=> (M = N))).
thf(aINTu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((intu_le @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aINTu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((intu_lt @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aINTu_POS, axiom, ![N:num]:(intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_ofu_num @ N))).
thf(aINu_BALL, axiom, ![X:cartrealm,Y:cartrealm,E:real]:((in @ Y @ (ball @ (c_0 @ X @ E))) <=> (realu_lt @ (distance @ (c_ @ X @ Y)) @ E))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealm > $o),X:cartrealm]:((in @ X @ (gspec @ ^[V:cartrealm]:?[Y:cartrealm]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealm,S:(cartrealm > $o),F:(cartrealm > cartrealm)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealm]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),X:cartrealm]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_INTERVALu_conjunct1, axiom, ![A:cartrealm,B:cartrealm,X:cartrealm]:((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_le @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_le @ (d_ @ X @ I) @ (d_ @ B @ I)))))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in1 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aINu_UNIONS, axiom, ![S:((cartrealm > $o) > $o),X:cartrealm]:((in @ X @ (unions @ S)) <=> ?[T:(cartrealm > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:cartrealm]:(in @ X @ univ2)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_1u_conjunct4, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => (l_ @ (numeral @ u_0) @ N))).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMEASURABLEu_INTERVALu_conjunct0, axiom, ![A:cartrealm,B:cartrealm]:(measurable @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aMEASURABLEu_INTERVALu_conjunct1, axiom, ![A:cartrealm,B:cartrealm]:(measurable @ (openu_interval @ (c_ @ A @ B)))).
thf(aMEASURABLEu_MEASUREu_EQu_0, axiom, ![S:(cartrealm > $o)]:((measurable @ S) => (((measure @ S) = (realu_ofu_num @ (numeral @ u_0))) <=> (negligible @ S)))).
thf(aMEASURABLEu_MEASUREu_POSu_LT, axiom, ![S:(cartrealm > $o)]:((measurable @ S) => ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ S)) <=> ~ ((negligible @ S))))).
thf(aMEASURABLEu_UNIONS, axiom, ![F:((cartrealn > $o) > $o)]:(((finite4 @ F) & ![S:(cartrealn > $o)]:((in2 @ S @ F) => (measurable0 @ S))) => (measurable0 @ (unions0 @ F)))).
thf(aMEASUREu_COUNTABLEu_UNIONSu_APPROACHABLE, axiom, ![D:((cartrealn > $o) > $o),B:real,E:real]:(((countable0 @ D) & ![D0:(cartrealn > $o)]:((in2 @ D0 @ D) => (measurable0 @ D0)) & ![DI_:((cartrealn > $o) > $o)]:(((subset5 @ DI_ @ D) & (finite4 @ DI_)) => (realu_le @ (measure0 @ (unions0 @ DI_)) @ B)) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[DI_:((cartrealn > $o) > $o)]:((subset5 @ DI_ @ D) & (finite4 @ DI_) & (realu_lt @ (realu_sub @ (measure0 @ (unions0 @ D)) @ E) @ (measure0 @ (unions0 @ DI_)))))).
thf(aMEASUREu_COUNTABLEu_UNIONSu_LEu_STRONGu_GEN, axiom, ![D:((cartrealn > $o) > $o),B:real]:(((countable0 @ D) & ![D0:(cartrealn > $o)]:((in2 @ D0 @ D) => (measurable0 @ D0)) & ![DI_:((cartrealn > $o) > $o)]:(((subset5 @ DI_ @ D) & (finite4 @ DI_)) => (realu_le @ (measure0 @ (unions0 @ DI_)) @ B))) => ((measurable0 @ (unions0 @ D)) & (realu_le @ (measure0 @ (unions0 @ D)) @ B)))).
thf(aMEASUREu_EMPTY, axiom, ((measure1 @ empty2) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aMEASUREu_INTERVALu_conjunct0, axiom, ![A:cartrealm,B:cartrealm]:((measure @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aMEASUREu_NEGLIGIBLEu_UNIONSu_IMAGE, axiom, ![F:(cartrealm > cartrealm > $o),S:(cartrealm > $o)]:(((finite5 @ S) & ![X:cartrealm]:((in @ X @ S) => (measurable @ (F @ X))) & ![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => (negligible @ (inter @ (F @ X) @ (F @ Y))))) => ((measure @ (unions @ (image5 @ F @ S))) = (sum0 @ S @ ^[X:cartrealm]:(measure @ (F @ X)))))).
thf(aMEASUREu_SUBSET, axiom, ![S:(cartrealq520027 > $o),T:(cartrealq520027 > $o)]:(((measurable1 @ S) & (measurable1 @ T) & (subset6 @ S @ T)) => (realu_le @ (measure2 @ S) @ (measure2 @ T)))).
thf(aMEASUREu_UNIONSu_LE, axiom, ![F:((cartrealn > $o) > $o)]:(((finite4 @ F) & ![S:(cartrealn > $o)]:((in2 @ S @ F) => (measurable0 @ S))) => (realu_le @ (measure0 @ (unions0 @ F)) @ (sum1 @ F @ ^[S:(cartrealn > $o)]:(measure0 @ S))))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNEGLIGIBLEu_COUNTABLEu_UNIONS, axiom, ![S:(num > cartrealm > $o)]:(![N:num]:(negligible @ (S @ N)) => (negligible @ (unions @ (gspec0 @ ^[GENR_PVARR_1888:(cartrealm > $o)]:?[N:num]:(setspec0 @ GENR_PVARR_1888 @ (in1 @ N @ univ3) @ (S @ N))))))).
thf(aNEGLIGIBLEu_EMPTY, axiom, (negligible @ empty)).
thf(aNEGLIGIBLEu_INTERVALu_conjunct0, axiom, ![A:cartrealm,B:cartrealm]:((negligible @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ((openu_interval @ (c_ @ A @ B)) = empty))).
thf(aNEGLIGIBLEu_ONu_INTERVALS, axiom, ![S:(cartrealm > $o)]:((negligible @ S) <=> ![A:cartrealm,B:cartrealm]:(negligible @ (inter @ S @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
thf(aNEGLIGIBLEu_OUTERu_LE, axiom, ![S:(cartrealm > $o)]:((negligible @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[T:(cartrealm > $o)]:((subset0 @ S @ T) & (measurable @ T) & (realu_le @ (measure @ T) @ E))))).
thf(aNEGLIGIBLEu_SUBSET, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:(((negligible @ S) & (subset0 @ T @ S)) => (negligible @ T))).
thf(aNORMu_LEu_L1, axiom, ![X:cartrealn]:(realu_le @ (vectoru_norm @ X) @ (sum2 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex1 @ univ1)) @ ^[I:num]:(realu_abs @ (d_1 @ X @ I))))).
thf(aNORMu_MUL, axiom, ![A:real,X:cartrealn]:((vectoru_norm @ (r_ @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm @ X)))).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealn]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealm]:~ ((in @ X @ empty))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aNUMSEGu_EMPTY, axiom, ![M:num,N:num]:(((o_o_ @ M @ N) = empty3) <=> (l_ @ N @ M))).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aOPENu_BALL, axiom, ![X:cartrealq169289,E:real]:(open @ (ball0 @ (c_2 @ X @ E)))).
thf(aOPENu_CONTAINSu_BALL, axiom, ![S:(cartrealm > $o)]:((open0 @ S) <=> ![X:cartrealm]:((in @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (subset0 @ (ball @ (c_0 @ X @ E)) @ S))))).
thf(aPAIRu_EQ, axiom, ![X:cartrealm,Y:cartrealm,A:cartrealm,B:cartrealm]:(((c_ @ X @ Y) = (c_ @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aPRODUCTu_CONSTu_NUMSEG, axiom, ![C:real,M:num,N:num]:((product @ (o_o_ @ M @ N) @ ^[X:num]:C) = (realu_pow @ C @ (m_ @ (p_ @ N @ (numeral @ (bit1 @ u_0))) @ M)))).
thf(aPRODUCTu_MULu_NUMSEG, axiom, ![F:(num > real),G:(num > real),M:num,N:num]:((product @ (o_o_ @ M @ N) @ ^[X:num]:(realu_mul @ (F @ X) @ (G @ X))) = (realu_mul @ (product @ (o_o_ @ M @ N) @ F) @ (product @ (o_o_ @ M @ N) @ G)))).
thf(aPRODUCTu_POSu_LTu_NUMSEG, axiom, ![F:(num > real),M:num,N:num]:(![X:num]:(((l_a_ @ M @ X) & (l_a_ @ X @ N)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X))) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (product @ (o_o_ @ M @ N) @ F)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ABSu_INV, axiom, ![X:real]:((realu_abs @ (realu_inv @ X)) = (realu_inv @ (realu_abs @ X)))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ARCHu_INV, axiom, ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) <=> ?[N:num]:(~ ((N = (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ (realu_ofu_num @ N))) & (realu_lt @ (realu_inv @ (realu_ofu_num @ N)) @ E)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_EQu_IMPu_LE, axiom, ![X:real,Y:real]:((X = Y) => (realu_le @ X @ Y))).
thf(aREALu_HALFu_conjunct0, axiom, ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ E @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aREALu_INVu_DIV, axiom, ![X:real,Y:real]:((realu_inv @ (realu_div @ X @ Y)) = (realu_div @ Y @ X))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_INVu_NEG, axiom, ![X:real]:((realu_inv @ (realu_neg @ X)) = (realu_neg @ (realu_inv @ X)))).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_INV2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ Y)) => (realu_le @ (realu_inv @ Y) @ (realu_inv @ X)))).
thf(aREALu_LEu_LCANCELu_IMP, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z))) => (realu_le @ Y @ Z))).
thf(aREALu_LEu_LDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_le @ (realu_div @ X @ Z) @ Y) <=> (realu_le @ X @ (realu_mul @ Y @ Z))))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_le @ X @ (realu_div @ Y @ Z)) <=> (realu_le @ (realu_mul @ X @ Z) @ Y)))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_DIV, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ X @ Y)))).
thf(aREALu_LTu_INVu_EQ, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_LTu_MIN, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ Z @ (realu_min @ X @ Y)) <=> ((realu_lt @ Z @ X) & (realu_lt @ Z @ Y)))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((realu_lt @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aREALu_POSu_NZ, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ~ ((X = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_POWu_LT, axiom, ![X:real,N:num]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ X @ N)))).
thf(aREALu_POWu_MUL, axiom, ![X:real,Y:real,N:num]:((realu_pow @ (realu_mul @ X @ Y) @ N) = (realu_mul @ (realu_pow @ X @ N) @ (realu_pow @ Y @ N)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_ @ P)))).
thf(aSIMPLEu_IMAGE, axiom, ![F:(cartrealm > q47811),S:(cartrealm > $o)]:((gspec1 @ ^[GENR_PVARR_11:q47811]:?[X:cartrealm]:(setspec1 @ GENR_PVARR_11 @ (in @ X @ S) @ (F @ X))) = (image6 @ F @ S))).
thf(aSND, axiom, ![X:cartrealm,Y:cartrealm]:((snd @ (c_ @ X @ Y)) = Y)).
thf(aSUBSET, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset0 @ S @ T) <=> ![X:cartrealm]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_ANTISYMu_EQ, axiom, ![S:(a > $o),T:(a > $o)]:(((subset1 @ S @ T) & (subset1 @ T @ S)) <=> (S = T))).
thf(aSUBSETu_INTERVALu_conjunct0, axiom, ![A:cartrealm,C:cartrealm,D:cartrealm,B:cartrealm]:((subset0 @ (closedu_interval @ (cons @ (c_ @ C @ D) @ nil)) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> (![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (d_ @ C @ I) @ (d_ @ D @ I))) => ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_le @ (d_ @ A @ I) @ (d_ @ C @ I)) & (realu_le @ (d_ @ D @ I) @ (d_ @ B @ I))))))).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset1 @ S @ T) & (subset1 @ T @ U)) => (subset1 @ S @ U))).
thf(aSUBSETu_UNIV, axiom, ![S:(a > $o)]:(subset1 @ S @ univ4)).
thf(aSUMu_BOUNDu_LTu_GEN, axiom, ![S:(cartrealm > $o),F:(cartrealm > real),B:real]:(((finite5 @ S) & ~ ((S = empty)) & ![X:cartrealm]:((in @ X @ S) => (realu_lt @ (F @ X) @ (realu_div @ B @ (realu_ofu_num @ (card0 @ S)))))) => (realu_lt @ (sum0 @ S @ F) @ B))).
thf(aSUMu_EQ, axiom, ![F:(cartrealm > real),G:(cartrealm > real),S:(cartrealm > $o)]:(![X:cartrealm]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((sum0 @ S @ F) = (sum0 @ S @ G)))).
thf(aSUMu_LEu_INCLUDED, axiom, ![F:(cartrealm > real),G:(cartrealm > real),S:(cartrealm > $o),T:(cartrealm > $o),I:(cartrealm > cartrealm)]:(((finite5 @ S) & (finite5 @ T) & ![Y:cartrealm]:((in @ Y @ T) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (G @ Y))) & ![X:cartrealm]:((in @ X @ S) => ?[Y:cartrealm]:((in @ Y @ T) & ((I @ Y) = X) & (realu_le @ (F @ X) @ (G @ Y))))) => (realu_le @ (sum0 @ S @ F) @ (sum0 @ T @ G)))).
thf(aSUMu_RMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum3 @ S @ ^[X:a]:(realu_mul @ (F @ X) @ C)) = (realu_mul @ (sum3 @ S @ F) @ C))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aUNIONSu_0, axiom, ((unions1 @ empty4) = empty5)).
thf(aUNIONSu_IMAGE, axiom, ![F:(cartrealm > cartrealm > $o),S:(cartrealm > $o)]:((unions @ (image5 @ F @ S)) = (gspec @ ^[GENR_PVARR_26:cartrealm]:?[Y:cartrealm]:(setspec @ GENR_PVARR_26 @ ?[X:cartrealm]:((in @ X @ S) & (in @ Y @ (F @ X))) @ Y)))).
thf(aVECTORu_ADDu_COMPONENT, axiom, ![X:cartrealm,Y:cartrealm,I:num]:((d_ @ (vectoru_add @ X @ Y) @ I) = (realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(aVECTORu_MULu_ASSOCu_monomorphized1, axiom, ![A:real,B:real,X:cartrealn]:((r_ @ A @ (r_ @ B @ X)) = (r_ @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_ASSOCu_monomorphized0, axiom, ![A:real,B:real,X:cartrealm]:((r_0 @ A @ (r_0 @ B @ X)) = (r_0 @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_COMPONENTu_monomorphized1, axiom, ![C:real,X:cartrealn,I:num]:((d_1 @ (r_ @ C @ X) @ I) = (realu_mul @ C @ (d_1 @ X @ I)))).
thf(aVECTORu_MULu_COMPONENTu_monomorphized0, axiom, ![C:real,X:cartrealm,I:num]:((d_ @ (r_0 @ C @ X) @ I) = (realu_mul @ C @ (d_ @ X @ I)))).
thf(aVECTORu_MULu_LIDu_monomorphized1, axiom, ![X:cartrealn]:((r_ @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aVECTORu_MULu_LIDu_monomorphized0, axiom, ![X:cartrealm]:((r_0 @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aVECTORu_SUBu_COMPONENT, axiom, ![X:cartrealn,Y:cartrealn,I:num]:((d_1 @ (vectoru_sub @ X @ Y) @ I) = (realu_sub @ (d_1 @ X @ I) @ (d_1 @ Y @ I)))).
thf(aVECTORu_SUBu_LDISTRIB, axiom, ![X:cartrealn,C:real,Y:cartrealn]:((r_ @ C @ (vectoru_sub @ X @ Y)) = (vectoru_sub @ (r_ @ C @ X) @ (r_ @ C @ Y)))).
thf(aVECu_COMPONENT, axiom, ![K:num,I:num]:((d_ @ (vec @ K) @ I) = (realu_ofu_num @ K))).
thf(adist, axiom, ![X:cartrealm,Y:cartrealm]:((distance @ (c_ @ X @ Y)) = (vectoru_norm0 @ (vectoru_sub0 @ X @ Y)))).
thf(afine, axiom, ![S:(prodq434523funq434522bool > $o),D:(q434523 > q434522 > $o)]:((fine0 @ D @ S) <=> ![X:q434523,K:(q434522 > $o)]:((in3 @ (c_3 @ X @ K) @ S) => (subset7 @ K @ (D @ X))))).
thf(agauge, axiom, ![D:(cartrealm > cartrealm > $o)]:((gauge @ D) <=> ![X:cartrealm]:((in @ X @ (D @ X)) & (open0 @ (D @ X))))).
thf(aintu_addu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_add @ X @ Y)) = (realu_add @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(apairu_RECURSION, axiom, ![PAIRI_:(cartrealm > cartrealm > c)]:?[FN:(prodcartrealmcartrealm > c)]:![A0:cartrealm,A1:cartrealm]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairwise, axiom, ![S:(cartrealm > $o),R:(cartrealm > cartrealm > $o)]:((pairwise0 @ R @ S) <=> ![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => (R @ X @ Y)))).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond0 @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(arealu_max, axiom, ![N:real,M:real]:((realu_max @ M @ N) = (cond0 @ (realu_le @ M @ N) @ N @ M))).
thf(arealu_min, axiom, ![M:real,N:real]:((realu_min @ M @ N) = (cond0 @ (realu_le @ M @ N) @ M @ N))).
thf(ataggedu_partialu_divisionu_of, axiom, ![I:(cartrealm > $o),S:(prodcartrealmfuncartrealmbool > $o)]:((taggedu_partialu_divisionu_of @ S @ I) <=> ((finite6 @ S) & ![X:cartrealm,K:(cartrealm > $o)]:((in4 @ (c_1 @ X @ K) @ S) => ((in @ X @ K) & (subset0 @ K @ I) & ?[A:cartrealm,B:cartrealm]:(K = (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))) & ![X1:cartrealm,K1:(cartrealm > $o),X2:cartrealm,K2:(cartrealm > $o)]:(((in4 @ (c_1 @ X1 @ K1) @ S) & (in4 @ (c_1 @ X2 @ K2) @ S) & ~ (((c_1 @ X1 @ K1) = (c_1 @ X2 @ K2)))) => ((inter @ (interior @ K1) @ (interior @ K2)) = empty))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn)]:(![A:cartrealm,B:cartrealm]:(integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) => ?[K:(cartrealm > $o)]:((negligible @ K) & ![X:cartrealm,E:real]:((~ ((in @ X @ K)) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![H:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ H) & (realu_lt @ H @ D)) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (r_ @ (realu_inv @ (content @ (closedu_interval @ (cons @ (c_ @ X @ (vectoru_add @ X @ (r_0 @ H @ (vec @ (numeral @ (bit1 @ u_0)))))) @ nil)))) @ (integral @ (closedu_interval @ (cons @ (c_ @ X @ (vectoru_add @ X @ (r_0 @ H @ (vec @ (numeral @ (bit1 @ u_0)))))) @ nil)) @ F)) @ (F @ X))) @ E))))))).
