%   ORIGINAL: LIM_NULL_COMPLEX_ADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_ADD_LID: !x. Cx (&0) + x = x
% Assm: LIM_ADD: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x + g x) --> l + m) net
% Assm: TRUTH: T
% Goal: !net f g. (f --> Cx (&0)) net /\ (g --> Cx (&0)) net ==> ((\x. f x + g x) --> Cx (&0)) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. Cx (&0) + x = x
% Assm: !net f g l m. (f --> l) net /\ (g --> m) net ==> ((\x. f x + g x) --> l + m) net
% Assm: T
% Goal: !net f g. (f --> Cx (&0)) net /\ (g --> Cx (&0)) net ==> ((\x. f x + g x) --> Cx (&0)) net
%  TYPES
thf(tnum, type, num : $tType).
thf(tq570677, type, q570677 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tnetq570677, type, netq570677 : $tType).
%  CONSTS
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cmu_mu_gu_, type, m_m_g_ : ((q570677 > cartrealn2) > cartrealn2 > netq570677 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_ADDu_LID, axiom, ![X:cartrealn2]:((vectoru_add @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ X) = X)).
thf(aLIMu_ADD, axiom, ![NET:netq570677,F:(q570677 > cartrealn2),G:(q570677 > cartrealn2),L:cartrealn2,M:cartrealn2]:(((m_m_g_ @ F @ L @ NET) & (m_m_g_ @ G @ M @ NET)) => (m_m_g_ @ ^[X:q570677]:(vectoru_add @ (F @ X) @ (G @ X)) @ (vectoru_add @ L @ M) @ NET))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![NET:netq570677,F:(q570677 > cartrealn2),G:(q570677 > cartrealn2)]:(((m_m_g_ @ F @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ NET) & (m_m_g_ @ G @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ NET)) => (m_m_g_ @ ^[X:q570677]:(vectoru_add @ (F @ X) @ (G @ X)) @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ NET))).
