%   ORIGINAL: FINITE_CARD_COMPLEX_ROOTS_UNITY_EXPLICIT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_ROOT_UNITY_EQ: !n j k. ~(n = 0) ==> (cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) = cexp (Cx (&2) * Cx pi * ii * Cx (&k / &n)) <=> (j == k) (mod n))
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXP_conjunct0: !m. m EXP 0 = 1
% Assm: EXP_conjunct1: !m n. m EXP SUC n = m * m EXP n
% Assm: Float.INT_ABS_NUM: !n. abs (&n) = &n
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: HAS_SIZE_IMAGE_INJ: !f s n. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ s HAS_SIZE n ==> IMAGE f s HAS_SIZE n
% Assm: HAS_SIZE_NUMSEG_LT: !n. {m | m < n} HAS_SIZE n
% Assm: INT_ABS_MUL: !x y. abs (x * y) = abs x * abs y
% Assm: INT_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: INT_LT_DISCRETE: !x y. x < y <=> x + &1 <= y
% Assm: INT_LT_LMUL_EQ: !x y z. &0 < z ==> (z * x < z * y <=> x < y)
% Assm: INT_NOT_EQ: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: INT_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: INT_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: INT_OF_NUM_ADD: !m n. &m + &n = &(m + n)
% Assm: INT_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: INT_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: INT_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: INT_POS: !n. &0 <= &n
% Assm: INT_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_0: !n. 0 <= n
% Assm: LE_1_conjunct5: !n. 1 <= n ==> ~(n = 0)
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_AC_conjunct0: m * n = n * m
% Assm: MULT_AC_conjunct1: (m * n) * p = m * n * p
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_POS: !n. &0 <= &n
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SIMPLE_IMAGE_GEN: !f P. {f x | P x} = IMAGE f {x | P x}
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: int_abs_th: !x. real_of_int (abs x) = abs (real_of_int x)
% Assm: int_add_th: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: int_congruent: !x y n. (x == y) (mod n) <=> (?d. x - y = n * d)
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_mul_th: !x y. real_of_int (x * y) = real_of_int x * real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: int_sub_th: !x y. real_of_int (x - y) = real_of_int x - real_of_int y
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: num_congruent: !x y n. (x == y) (mod n) <=> (&x == &y) (mod &n)
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: real_max: !n m. max m n = (if m <= n then n else m)
% Assm: real_min: !m n. min m n = (if m <= n then m else n)
% Goal: !n. 1 <= n ==> FINITE {cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) | j | j < n} /\ CARD {cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) | j | j < n} = n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !n m. m + n = n + m
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n j k. ~(n = 0) ==> (cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) = cexp (Cx (&2) * Cx pi * ii * Cx (&k / &n)) <=> (j == k) (mod n))
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !t. (\x. t x) = t
% Assm: !m. m EXP 0 = 1
% Assm: !m n. m EXP SUC n = m * m EXP n
% Assm: !n. abs (&n) = &n
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !f s n. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ s HAS_SIZE n ==> IMAGE f s HAS_SIZE n
% Assm: !n. {m | m < n} HAS_SIZE n
% Assm: !x y. abs (x * y) = abs x * abs y
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. x < y <=> x + &1 <= y
% Assm: !x y z. &0 < z ==> (z * x < z * y <=> x < y)
% Assm: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !m n. &m + &n = &(m + n)
% Assm: !m n. &m = &n <=> m = n
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m < &n <=> m < n
% Assm: !n. &0 <= &n
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !n. 0 <= n
% Assm: !n. 1 <= n ==> ~(n = 0)
% Assm: !m. m <= 0 <=> m = 0
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !n. &0 <= &n
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: !x. x * &0 = &0
% Assm: !f P. {f x | P x} = IMAGE f {x | P x}
% Assm: T
% Assm: 2 = SUC 1
% Assm: !x. real_of_int (abs x) = abs (real_of_int x)
% Assm: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: !x y n. (x == y) (mod n) <=> (?d. x - y = n * d)
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !x y. real_of_int (x * y) = real_of_int x * real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Assm: !x y. real_of_int (x - y) = real_of_int x - real_of_int y
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !x y n. (x == y) (mod n) <=> (&x == &y) (mod &n)
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !n m. max m n = (if m <= n then n else m)
% Assm: !m n. min m n = (if m <= n then m else n)
% Goal: !n. 1 <= n ==> FINITE {cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) | j | j < n} /\ CARD {cexp (Cx (&2) * Cx pi * ii * Cx (&j / &n)) | j | j < n} = n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tint, type, int : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cin0, type, in0 : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(cintuu_mul, type, intu_mul : (int > int > int)).
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(chasuu_size0, type, hasu_size0 : ((num > $o) > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(chasuu_size, type, hasu_size : ((cartrealn2 > $o) > num > $o)).
thf(cexp, type, exp : (num > num > num)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpi, type, pi : real).
thf(ccond1, type, cond1 : ($o > real > real > real)).
thf(cintuu_mod, type, intu_mod : (int > int > int > $o)).
thf(cau_au_0, type, a_a_0 : (int > int > (int > int > $o) > $o)).
thf(cimage0, type, image0 : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(cimage, type, image : ((num > num) > (num > $o) > num > $o)).
thf(cintuu_abs, type, intu_abs : (int > int)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cnumuu_mod, type, numu_mod : (num > num > num > $o)).
thf(cau_au_, type, a_a_ : (num > num > (num > num > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(cfinite, type, finite : ((cartrealn2 > $o) > $o)).
thf(ccard, type, card : ((cartrealn2 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cii, type, ii : cartrealn2).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(csuc, type, suc : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_ROOTu_UNITYu_EQ, axiom, ![N:num,J:num,K:num]:(~ ((N = (numeral @ u_0))) => (((cexp @ (complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (complexu_mul @ (cx @ pi) @ (complexu_mul @ ii @ (cx @ (realu_div @ (realu_ofu_num @ J) @ (realu_ofu_num @ N))))))) = (cexp @ (complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (complexu_mul @ (cx @ pi) @ (complexu_mul @ ii @ (cx @ (realu_div @ (realu_ofu_num @ K) @ (realu_ofu_num @ N)))))))) <=> (a_a_ @ J @ K @ (numu_mod @ N))))).
thf(aCONDu_CLAUSES, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXPu_conjunct0, axiom, ![M:num]:((exp @ M @ (numeral @ u_0)) = (numeral @ (bit1 @ u_0)))).
thf(aEXPu_conjunct1, axiom, ![M:num,N:num]:((exp @ M @ (suc @ N)) = (t_ @ M @ (exp @ M @ N)))).
thf(aFloato_INTu_ABSu_NUM, axiom, ![N:num]:((intu_abs @ (intu_ofu_num @ N)) = (intu_ofu_num @ N))).
thf(aHASu_SIZE, axiom, ![S:(cartrealn2 > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aHASu_SIZEu_IMAGEu_INJ, axiom, ![F:(num > num),S:(num > $o),N:num]:((![X:num,Y:num]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (hasu_size0 @ S @ N)) => (hasu_size0 @ (image @ F @ S) @ N))).
thf(aHASu_SIZEu_NUMSEGu_LT, axiom, ![N:num]:(hasu_size0 @ (gspec0 @ ^[GENR_PVARR_106:num]:?[M:num]:(setspec0 @ GENR_PVARR_106 @ (l_ @ M @ N) @ M)) @ N)).
thf(aINTu_ABSu_MUL, axiom, ![X:int,Y:int]:((intu_abs @ (intu_mul @ X @ Y)) = (intu_mul @ (intu_abs @ X) @ (intu_abs @ Y)))).
thf(aINTu_ENTIRE, axiom, ![X:int,Y:int]:(((intu_mul @ X @ Y) = (intu_ofu_num @ (numeral @ u_0))) <=> ((X = (intu_ofu_num @ (numeral @ u_0))) | (Y = (intu_ofu_num @ (numeral @ u_0)))))).
thf(aINTu_LTu_DISCRETE, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (intu_le @ (intu_add @ X @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y))).
thf(aINTu_LTu_LMULu_EQ, axiom, ![X:int,Y:int,Z:int]:((intu_lt @ (intu_ofu_num @ (numeral @ u_0)) @ Z) => ((intu_lt @ (intu_mul @ Z @ X) @ (intu_mul @ Z @ Y)) <=> (intu_lt @ X @ Y)))).
thf(aINTu_NOTu_EQ, axiom, ![X:int,Y:int]:(~ ((X = Y)) <=> ((intu_lt @ X @ Y) | (intu_lt @ Y @ X)))).
thf(aINTu_NOTu_LE, axiom, ![X:int,Y:int]:(~ ((intu_le @ X @ Y)) <=> (intu_lt @ Y @ X))).
thf(aINTu_NOTu_LT, axiom, ![X:int,Y:int]:(~ ((intu_lt @ X @ Y)) <=> (intu_le @ Y @ X))).
thf(aINTu_OFu_NUMu_ADD, axiom, ![M:num,N:num]:((intu_add @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) = (intu_ofu_num @ (p_ @ M @ N)))).
thf(aINTu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((intu_ofu_num @ M) = (intu_ofu_num @ N)) <=> (M = N))).
thf(aINTu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((intu_le @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aINTu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((intu_lt @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aINTu_POS, axiom, ![N:num]:(intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_ofu_num @ N))).
thf(aINTu_SUBu_0, axiom, ![X:int,Y:int]:(((intu_sub @ X @ Y) = (intu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn2 > $o),X:cartrealn2]:((in0 @ X @ (gspec @ ^[V:cartrealn2]:?[Y:cartrealn2]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_1u_conjunct5, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ~ ((N = (numeral @ u_0))))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_ACu_conjunct0, axiom, ![N:num,M:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aMULTu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((t_ @ (t_ @ M @ N) @ P) = (t_ @ M @ (t_ @ N @ P)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSIMPLEu_IMAGEu_GEN, axiom, ![F:(cartrealn2 > cartrealn2),P:(cartrealn2 > $o)]:((gspec @ ^[GENR_PVARR_12:cartrealn2]:?[X:cartrealn2]:(setspec @ GENR_PVARR_12 @ (P @ X) @ (F @ X))) = (image0 @ F @ (gspec @ ^[GENR_PVARR_13:cartrealn2]:?[X:cartrealn2]:(setspec @ GENR_PVARR_13 @ (P @ X) @ X))))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aintu_absu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_abs @ X)) = (realu_abs @ (realu_ofu_int @ X)))).
thf(aintu_addu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_add @ X @ Y)) = (realu_add @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_congruent, axiom, ![X:int,Y:int,N:int]:((a_a_0 @ X @ Y @ (intu_mod @ N)) <=> ?[D:int]:((intu_sub @ X @ Y) = (intu_mul @ N @ D)))).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_mulu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_mul @ X @ Y)) = (realu_mul @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aintu_subu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_sub @ X @ Y)) = (realu_sub @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(anumu_congruent, axiom, ![X:num,Y:num,N:num]:((a_a_ @ X @ Y @ (numu_mod @ N)) <=> (a_a_0 @ (intu_ofu_num @ X) @ (intu_ofu_num @ Y) @ (intu_mod @ (intu_ofu_num @ N))))).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond1 @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(arealu_max, axiom, ![N:real,M:real]:((realu_max @ M @ N) = (cond1 @ (realu_le @ M @ N) @ N @ M))).
thf(arealu_min, axiom, ![M:real,N:real]:((realu_min @ M @ N) = (cond1 @ (realu_le @ M @ N) @ M @ N))).
thf(conjecture, conjecture, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ((finite @ (gspec @ ^[GENR_PVARR_2318:cartrealn2]:?[J:num]:(setspec @ GENR_PVARR_2318 @ (l_ @ J @ N) @ (cexp @ (complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (complexu_mul @ (cx @ pi) @ (complexu_mul @ ii @ (cx @ (realu_div @ (realu_ofu_num @ J) @ (realu_ofu_num @ N)))))))))) & ((card @ (gspec @ ^[GENR_PVARR_2319:cartrealn2]:?[J:num]:(setspec @ GENR_PVARR_2319 @ (l_ @ J @ N) @ (cexp @ (complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (complexu_mul @ (cx @ pi) @ (complexu_mul @ ii @ (cx @ (realu_div @ (realu_ofu_num @ J) @ (realu_ofu_num @ N)))))))))) = N)))).
