%   ORIGINAL: REAL_CONTINUOUS_POW
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REALLIM_POW: !net f l n. (f ---> l) net ==> ((\x. f x pow n) ---> l pow n) net
% Assm: TRUTH: T
% Assm: real_continuous: !f net. f real_continuous net <=> (f ---> f (netlimit net)) net
% Goal: !net f n. f real_continuous net ==> (\x. f x pow n) real_continuous net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net f l n. (f ---> l) net ==> ((\x. f x pow n) ---> l pow n) net
% Assm: T
% Assm: !f net. f real_continuous net <=> (f ---> f (netlimit net)) net
% Goal: !net f n. f real_continuous net ==> (\x. f x pow n) real_continuous net
%  TYPES
thf(tq619186, type, q619186 : $tType).
thf(tq628020, type, q628020 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetq628020, type, netq628020 : $tType).
thf(tnetq619186, type, netq619186 : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_continuous, type, realu_continuous : ((q628020 > real) > netq628020 > $o)).
thf(cnetlimit, type, netlimit : (netq628020 > q628020)).
thf(cmu_mu_mu_gu_0, type, m_m_m_g_0 : ((q628020 > real) > real > netq628020 > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((q619186 > real) > real > netq619186 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALLIMu_POW, axiom, ![NET:netq619186,F:(q619186 > real),L:real,N:num]:((m_m_m_g_ @ F @ L @ NET) => (m_m_m_g_ @ ^[X:q619186]:(realu_pow @ (F @ X) @ N) @ (realu_pow @ L @ N) @ NET))).
thf(aTRUTH, axiom, $true).
thf(arealu_continuous, axiom, ![F:(q628020 > real),NET:netq628020]:((realu_continuous @ F @ NET) <=> (m_m_m_g_0 @ F @ (F @ (netlimit @ NET)) @ NET))).
thf(conjecture, conjecture, ![NET:netq628020,F:(q628020 > real),N:num]:((realu_continuous @ F @ NET) => (realu_continuous @ ^[X:q628020]:(realu_pow @ (F @ X) @ N) @ NET))).
