%   ORIGINAL: CONTINUOUS_COMPONENTWISE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIM_COMPONENTWISE: !net f. (f --> l) net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> ((\x. f x$i) ---> l$i) net)
% Assm: TRUTH: T
% Assm: continuous: !f net. f continuous net <=> (f --> f (netlimit net)) net
% Assm: real_continuous: !f net. f real_continuous net <=> (f ---> f (netlimit net)) net
% Goal: !net f. f continuous net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. f x$i) real_continuous net)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !l net f. (f --> l) net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> ((\x. f x$i) ---> l$i) net)
% Assm: T
% Assm: !f net. f continuous net <=> (f --> f (netlimit net)) net
% Assm: !f net. f real_continuous net <=> (f ---> f (netlimit net)) net
% Goal: !net f. f continuous net <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. f x$i) real_continuous net)
%  TYPES
thf(tnum, type, num : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_continuous, type, realu_continuous : ((a > real) > neta > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccontinuous, type, continuous : ((a > cartrealn) > neta > $o)).
thf(cnetlimit, type, netlimit : (neta > a)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((a > real) > real > neta > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn) > cartrealn > neta > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIMu_COMPONENTWISE, axiom, ![L:cartrealn,NET:neta,F:(a > cartrealn)]:((m_m_g_ @ F @ L @ NET) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (m_m_m_g_ @ ^[X:a]:(d_ @ (F @ X) @ I) @ (d_ @ L @ I) @ NET)))).
thf(aTRUTH, axiom, $true).
thf(acontinuous, axiom, ![F:(a > cartrealn),NET:neta]:((continuous @ F @ NET) <=> (m_m_g_ @ F @ (F @ (netlimit @ NET)) @ NET))).
thf(arealu_continuous, axiom, ![F:(a > real),NET:neta]:((realu_continuous @ F @ NET) <=> (m_m_m_g_ @ F @ (F @ (netlimit @ NET)) @ NET))).
thf(conjecture, conjecture, ![NET:neta,F:(a > cartrealn)]:((continuous @ F @ NET) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_continuous @ ^[X:a]:(d_ @ (F @ X) @ I) @ NET)))).
