%   ORIGINAL: SUBSET_REAL_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_INTERVAL_INTERVAL_conjunct0: real_interval [a,b] = IMAGE drop (interval [lift a,lift b])
% Assm: REAL_INTERVAL_INTERVAL_conjunct1: real_interval (a,b) = IMAGE drop (interval (lift a,lift b))
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_INTERVAL_1: !a b c d. (interval [a,b] SUBSET interval [c,d] <=> drop b < drop a \/ drop c <= drop a /\ drop a <= drop b /\ drop b <= drop d) /\ (interval [a,b] SUBSET interval (c,d) <=> drop b < drop a \/ drop c < drop a /\ drop a <= drop b /\ drop b < drop d) /\ (interval (a,b) SUBSET interval [c,d] <=> drop b <= drop a \/ drop c <= drop a /\ drop a < drop b /\ drop b <= drop d) /\ (interval (a,b) SUBSET interval (c,d) <=> drop b <= drop a \/ drop c <= drop a /\ drop a < drop b /\ drop b <= drop d)
% Assm: TRUTH: T
% Goal: !a b c d. (real_interval [a,b] SUBSET real_interval [c,d] <=> b < a \/ c <= a /\ a <= b /\ b <= d) /\ (real_interval [a,b] SUBSET real_interval (c,d) <=> b < a \/ c < a /\ a <= b /\ b < d) /\ (real_interval (a,b) SUBSET real_interval [c,d] <=> b <= a \/ c <= a /\ a < b /\ b <= d) /\ (real_interval (a,b) SUBSET real_interval (c,d) <=> b <= a \/ c <= a /\ a < b /\ b <= d)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. (y <=> f x) /\ x IN s)
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: ~F <=> T
% Assm: !a b. real_interval [a,b] = IMAGE drop (interval [lift a,lift b])
% Assm: !a b. real_interval (a,b) = IMAGE drop (interval (lift a,lift b))
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !a b c d. (interval [a,b] SUBSET interval [c,d] <=> drop b < drop a \/ drop c <= drop a /\ drop a <= drop b /\ drop b <= drop d) /\ (interval [a,b] SUBSET interval (c,d) <=> drop b < drop a \/ drop c < drop a /\ drop a <= drop b /\ drop b < drop d) /\ (interval (a,b) SUBSET interval [c,d] <=> drop b <= drop a \/ drop c <= drop a /\ drop a < drop b /\ drop b <= drop d) /\ (interval (a,b) SUBSET interval (c,d) <=> drop b <= drop a \/ drop c <= drop a /\ drop a < drop b /\ drop b <= drop d)
% Assm: T
% Goal: !a b c d. (real_interval [a,b] SUBSET real_interval [c,d] <=> b < a \/ c <= a /\ a <= b /\ b <= d) /\ (real_interval [a,b] SUBSET real_interval (c,d) <=> b < a \/ c < a /\ a <= b /\ b < d) /\ (real_interval (a,b) SUBSET real_interval [c,d] <=> b <= a \/ c <= a /\ a < b /\ b <= d) /\ (real_interval (a,b) SUBSET real_interval (c,d) <=> b <= a \/ c <= a /\ a < b /\ b <= d)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listprodcartrealn1cartrealn1).
thf(csubset0, type, subset0 : ((cartrealn1 > $o) > (cartrealn1 > $o) > $o)).
thf(cin1, type, in1 : (real > (real > $o) > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cin0, type, in0 : ($o > ($o > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons0, type, cons0 : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cimage0, type, image0 : ((cartrealn1 > real) > (cartrealn1 > $o) > real > $o)).
thf(cimage, type, image : ((a > $o) > (a > $o) > $o > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:$o,S:(a > $o),F:(a > $o)]:((in0 @ Y @ (image @ F @ S)) <=> ?[X:a]:((Y <=> (F @ X)) & (in @ X @ S)))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_INTERVALu_INTERVALu_conjunct0, axiom, ![A:real,B:real]:((closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) = (image0 @ drop @ (closedu_interval @ (cons0 @ (c_0 @ (lift @ A) @ (lift @ B)) @ nil0))))).
thf(aREALu_INTERVALu_INTERVALu_conjunct1, axiom, ![A:real,B:real]:((openu_realu_interval @ (c_ @ A @ B)) = (image0 @ drop @ (openu_interval @ (c_0 @ (lift @ A) @ (lift @ B)))))).
thf(aSUBSET, axiom, ![S:(real > $o),T:(real > $o)]:((subset @ S @ T) <=> ![X:real]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aSUBSETu_INTERVALu_1, axiom, ![A:cartrealn1,B:cartrealn1,C:cartrealn1,D:cartrealn1]:(((subset0 @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0)) @ (closedu_interval @ (cons0 @ (c_0 @ C @ D) @ nil0))) <=> ((realu_lt @ (drop @ B) @ (drop @ A)) | ((realu_le @ (drop @ C) @ (drop @ A)) & (realu_le @ (drop @ A) @ (drop @ B)) & (realu_le @ (drop @ B) @ (drop @ D))))) & ((subset0 @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0)) @ (openu_interval @ (c_0 @ C @ D))) <=> ((realu_lt @ (drop @ B) @ (drop @ A)) | ((realu_lt @ (drop @ C) @ (drop @ A)) & (realu_le @ (drop @ A) @ (drop @ B)) & (realu_lt @ (drop @ B) @ (drop @ D))))) & ((subset0 @ (openu_interval @ (c_0 @ A @ B)) @ (closedu_interval @ (cons0 @ (c_0 @ C @ D) @ nil0))) <=> ((realu_le @ (drop @ B) @ (drop @ A)) | ((realu_le @ (drop @ C) @ (drop @ A)) & (realu_lt @ (drop @ A) @ (drop @ B)) & (realu_le @ (drop @ B) @ (drop @ D))))) & ((subset0 @ (openu_interval @ (c_0 @ A @ B)) @ (openu_interval @ (c_0 @ C @ D))) <=> ((realu_le @ (drop @ B) @ (drop @ A)) | ((realu_le @ (drop @ C) @ (drop @ A)) & (realu_lt @ (drop @ A) @ (drop @ B)) & (realu_le @ (drop @ B) @ (drop @ D))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:real,B:real,C:real,D:real]:(((subset @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (closedu_realu_interval @ (cons @ (c_ @ C @ D) @ nil))) <=> ((realu_lt @ B @ A) | ((realu_le @ C @ A) & (realu_le @ A @ B) & (realu_le @ B @ D)))) & ((subset @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (openu_realu_interval @ (c_ @ C @ D))) <=> ((realu_lt @ B @ A) | ((realu_lt @ C @ A) & (realu_le @ A @ B) & (realu_lt @ B @ D)))) & ((subset @ (openu_realu_interval @ (c_ @ A @ B)) @ (closedu_realu_interval @ (cons @ (c_ @ C @ D) @ nil))) <=> ((realu_le @ B @ A) | ((realu_le @ C @ A) & (realu_lt @ A @ B) & (realu_le @ B @ D)))) & ((subset @ (openu_realu_interval @ (c_ @ A @ B)) @ (openu_realu_interval @ (c_ @ C @ D))) <=> ((realu_le @ B @ A) | ((realu_le @ C @ A) & (realu_lt @ A @ B) & (realu_le @ B @ D)))))).
