%   ORIGINAL: REAL_INTERVAL_NE_EMPTY_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_INTERVAL_EQ_EMPTY_conjunct0: !a b. real_interval [a,b] = {} <=> b < a
% Assm: REAL_INTERVAL_EQ_EMPTY_conjunct1: !a b. real_interval (a,b) = {} <=> b <= a
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: TRUTH: T
% Goal: !a b. ~(real_interval [a,b] = {}) <=> a <= b
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. real_interval [a,b] = {} <=> b < a
% Assm: !a b. real_interval (a,b) = {} <=> b <= a
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: T
% Goal: !a b. ~(real_interval [a,b] = {}) <=> a <= b
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
thf(cempty, type, empty : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(real > $o),G:(real > $o)]:(![X:real]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_INTERVALu_EQu_EMPTYu_conjunct0, axiom, ![A:real,B:real]:(((closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty) <=> (realu_lt @ B @ A))).
thf(aREALu_INTERVALu_EQu_EMPTYu_conjunct1, axiom, ![A:real,B:real]:(((openu_realu_interval @ (c_ @ A @ B)) = empty) <=> (realu_le @ B @ A))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:real,B:real]:(~ (((closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty)) <=> (realu_le @ A @ B))).
