%   ORIGINAL: HAS_REAL_DERIVATIVE_INVERSE_STRONG_X
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FORALL_LIFT: (!x. P x) <=> (!x. P (lift x))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_DERIVATIVE_INVERSE_STRONG_X: !f g f' g' s y. open s /\ g y IN s /\ f continuous_on s /\ (!x. x IN s ==> g (f x) = x) /\ (f has_derivative f') (at (g y)) /\ f' o g' = I /\ f (g y) = y ==> (g has_derivative g') (at y)
% Assm: HAS_REAL_FRECHET_DERIVATIVE_AT: (f has_real_derivative f') (atreal x) <=> (lift o f o drop has_derivative (\x. f' % x)) (at (lift x))
% Assm: I_THM: !x. I x = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: LIFT_IN_IMAGE_LIFT: !x s. lift x IN IMAGE lift s <=> x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_CONTINUOUS_ON: !f s. f real_continuous_on s <=> lift o f o drop continuous_on IMAGE lift s
% Assm: REAL_MUL_RINV: !x. ~(x = &0) ==> x * inv x = &1
% Assm: REAL_OPEN: !s. real_open s <=> open (IMAGE lift s)
% Assm: TRUTH: T
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f g f' s y. real_open s /\ g y IN s /\ f real_continuous_on s /\ (!x. x IN s ==> g (f x) = x) /\ (f has_real_derivative f') (atreal (g y)) /\ ~(f' = &0) /\ f (g y) = y ==> (g has_real_derivative inv f') (atreal y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P. (!x. P x) <=> (!x. P (lift x))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g f' g' s y. open s /\ g y IN s /\ f continuous_on s /\ (!x. x IN s ==> g (f x) = x) /\ (f has_derivative f') (at (g y)) /\ f' o g' = I /\ f (g y) = y ==> (g has_derivative g') (at y)
% Assm: !f f' x. (f has_real_derivative f') (atreal x) <=> (lift o f o drop has_derivative (\x. f' % x)) (at (lift x))
% Assm: !x. I x = x
% Assm: !x. drop (lift x) = x
% Assm: !x s. lift x IN IMAGE lift s <=> x IN s
% Assm: ~F <=> T
% Assm: !f s. f real_continuous_on s <=> lift o f o drop continuous_on IMAGE lift s
% Assm: !x. ~(x = &0) ==> x * inv x = &1
% Assm: !s. real_open s <=> open (IMAGE lift s)
% Assm: T
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !x. &1 % x = x
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f g f' s y. real_open s /\ g y IN s /\ f real_continuous_on s /\ (!x. x IN s ==> g (f x) = x) /\ (f has_real_derivative f') (atreal (g y)) /\ ~(f' = &0) /\ f (g y) = y ==> (g has_real_derivative inv f') (atreal y)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq97340, type, q97340 : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq97326, type, cartrealq97326 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tq97326, type, q97326 : $tType).
thf(tcartrealq97340, type, cartrealq97340 : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat0, type, at0 : (cartrealn1 > netcartrealn1)).
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cin1, type, in1 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealn) > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_continuousuu_on, type, realu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(co2, type, o2 : ((b > real) > (a > b) > a > real)).
thf(cru_1, type, r_1 : (real > cartrealq97340 > cartrealq97340)).
thf(cru_0, type, r_0 : (real > cartrealq97326 > cartrealq97326)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
thf(co1, type, o1 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co0, type, o0 : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > cartrealn1) > netcartrealn1 > $o)).
thf(co, type, o : ((cartrealn > cartrealn) > (cartrealn > cartrealn) > cartrealn > cartrealn)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn > cartrealn) > (cartrealn > cartrealn) > netcartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(copen0, type, open0 : ((cartrealn1 > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(ci0, type, i0 : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFORALLu_LIFT, axiom, ![P:(cartrealn1 > $o)]:(![X:cartrealn1]:(P @ X) <=> ![X:real]:(P @ (lift @ X)))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_DERIVATIVEu_INVERSEu_STRONGu_X, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn),FI_:(cartrealn > cartrealn),GI_:(cartrealn > cartrealn),S:(cartrealn > $o),Y:cartrealn]:(((open @ S) & (in0 @ (G @ Y) @ S) & (continuousu_on @ F @ S) & ![X:cartrealn]:((in0 @ X @ S) => ((G @ (F @ X)) = X)) & (hasu_derivative @ F @ FI_ @ (at @ (G @ Y))) & ((o @ FI_ @ GI_) = i) & ((F @ (G @ Y)) = Y)) => (hasu_derivative @ G @ GI_ @ (at @ Y)))).
thf(aHASu_REALu_FRECHETu_DERIVATIVEu_AT, axiom, ![F:(real > real),FI_:real,X:real]:((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) <=> (hasu_derivative0 @ (o0 @ lift @ (o1 @ F @ drop)) @ ^[X0:cartrealn1]:(r_ @ FI_ @ X0) @ (at0 @ (lift @ X))))).
thf(aIu_THM, axiom, ![X:real]:((i0 @ X) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aLIFTu_INu_IMAGEu_LIFT, axiom, ![X:real,S:(real > $o)]:((in1 @ (lift @ X) @ (image @ lift @ S)) <=> (in @ X @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_CONTINUOUSu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_continuousu_on @ F @ S) <=> (continuousu_on0 @ (o0 @ lift @ (o1 @ F @ drop)) @ (image @ lift @ S)))).
thf(aREALu_MULu_RINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ X @ (realu_inv @ X)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_OPEN, axiom, ![S:(real > $o)]:((realu_open @ S) <=> (open0 @ (image @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealq97326]:((r_0 @ A @ (r_0 @ B @ X)) = (r_0 @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealq97340]:((r_1 @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aou_THM, axiom, ![F:(b > real),G:(a > b),X:a]:((o2 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),FI_:real,S:(real > $o),Y:real]:(((realu_open @ S) & (in @ (G @ Y) @ S) & (realu_continuousu_on @ F @ S) & ![X:real]:((in @ X @ S) => ((G @ (F @ X)) = X)) & (hasu_realu_derivative @ F @ FI_ @ (atreal @ (G @ Y))) & ~ ((FI_ = (realu_ofu_num @ (numeral @ u_0)))) & ((F @ (G @ Y)) = Y)) => (hasu_realu_derivative @ G @ (realu_inv @ FI_) @ (atreal @ Y)))).
