%   ORIGINAL: REAL_INTEGRABLE_SUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_REAL_INTEGRAL_SUM: !f s t. FINITE t /\ (!a. a IN t ==> (f a has_real_integral i a) s) ==> ((\x. sum t (\a. f a x)) has_real_integral sum t i) s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_integrable_on: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !f s t. FINITE t /\ (!a. a IN t ==> f a real_integrable_on s) ==> (\x. sum t (\a. f a x)) real_integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !i f s t. FINITE t /\ (!a. a IN t ==> (f a has_real_integral i a) s) ==> ((\x. sum t (\a. f a x)) has_real_integral sum t i) s
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f i. f real_integrable_on i <=> (?y. (f has_real_integral y) i)
% Goal: !f s t. FINITE t /\ (!a. a IN t ==> f a real_integrable_on s) ==> (\x. sum t (\a. f a x)) real_integrable_on s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHASu_REALu_INTEGRALu_SUM, axiom, ![I:(a > real),F:(a > real > real),S:(real > $o),T:(a > $o)]:(((finite @ T) & ![A:a]:((in @ A @ T) => (hasu_realu_integral @ (F @ A) @ (I @ A) @ S))) => (hasu_realu_integral @ ^[X:real]:(sum @ T @ ^[A:a]:(F @ A @ X)) @ (sum @ T @ I) @ S))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_integrableu_on, axiom, ![F:(real > real),I:(real > $o)]:((realu_integrableu_on @ F @ I) <=> ?[Y:real]:(hasu_realu_integral @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(a > real > real),S:(real > $o),T:(a > $o)]:(((finite @ T) & ![A:a]:((in @ A @ T) => (realu_integrableu_on @ (F @ A) @ S))) => (realu_integrableu_on @ ^[X:real]:(sum @ T @ ^[A:a]:(F @ A @ X)) @ S))).
