%   ORIGINAL: HAS_REAL_INTEGRAL_BOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTENT_1: !a b. drop a <= drop b ==> content (interval [a,b]) = drop b - drop a
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: HAS_INTEGRAL_BOUND: !f a b i B. &0 <= B /\ (f has_integral i) (interval [a,b]) /\ (!x. x IN interval [a,b] ==> norm (f x) <= B) ==> norm i <= B * content (interval [a,b])
% Assm: HAS_REAL_INTEGRAL: (f has_real_integral y) (real_interval [a,b]) <=> (lift o f o drop has_integral lift y) (interval [lift a,lift b])
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: NORM_LIFT: !x. norm (lift x) = abs x
% Assm: REAL_INTERVAL_INTERVAL_conjunct0: real_interval [a,b] = IMAGE drop (interval [lift a,lift b])
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f a b i B. &0 <= B /\ a <= b /\ (f has_real_integral i) (real_interval [a,b]) /\ (!x. x IN real_interval [a,b] ==> abs (f x) <= B) ==> abs i <= B * (b - a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. drop a <= drop b ==> content (interval [a,b]) = drop b - drop a
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f a b i B. &0 <= B /\ (f has_integral i) (interval [a,b]) /\ (!x. x IN interval [a,b] ==> norm (f x) <= B) ==> norm i <= B * content (interval [a,b])
% Assm: !f y a b. (f has_real_integral y) (real_interval [a,b]) <=> (lift o f o drop has_integral lift y) (interval [lift a,lift b])
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: !x. norm (lift x) = abs x
% Assm: !a b. real_interval [a,b] = IMAGE drop (interval [lift a,lift b])
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f a b i B. &0 <= B /\ a <= b /\ (f has_real_integral i) (real_interval [a,b]) /\ (!x. x IN real_interval [a,b] ==> abs (f x) <= B) ==> abs i <= B * (b - a)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil1, type, nil1 : listprodcartrealmcartrealm).
thf(cnil0, type, nil0 : listprodcartrealn1cartrealn1).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontent0, type, content0 : ((cartrealm > $o) > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(ccloseduu_interval0, type, closedu_interval0 : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(ccontent, type, content : ((cartrealn1 > $o) > real)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(cimage0, type, image0 : ((cartrealn1 > real) > (cartrealn1 > $o) > real > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealn1 > cartrealn1) > cartrealn1 > (cartrealn1 > $o) > $o)).
thf(ccu_1, type, c_1 : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons1, type, cons1 : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(chasuu_integral, type, hasu_integral : ((cartrealm > cartrealn) > cartrealn > (cartrealm > $o) > $o)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons0, type, cons0 : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cnil, type, nil : listprodrealreal).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTENTu_1, axiom, ![A:cartrealn1,B:cartrealn1]:((realu_le @ (drop @ A) @ (drop @ B)) => ((content @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))) = (realu_sub @ (drop @ B) @ (drop @ A))))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(real > $o),F:(real > real),S:(real > $o)]:(![Y:real]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:real]:((in @ X @ S) => (P @ (F @ X))))).
thf(aHASu_INTEGRALu_BOUND, axiom, ![F:(cartrealm > cartrealn),A:cartrealm,B:cartrealm,I:cartrealn,B0:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ B0) & (hasu_integral @ F @ I @ (closedu_interval0 @ (cons1 @ (c_1 @ A @ B) @ nil1))) & ![X:cartrealm]:((in0 @ X @ (closedu_interval0 @ (cons1 @ (c_1 @ A @ B) @ nil1))) => (realu_le @ (vectoru_norm @ (F @ X)) @ B0))) => (realu_le @ (vectoru_norm @ I) @ (realu_mul @ B0 @ (content0 @ (closedu_interval0 @ (cons1 @ (c_1 @ A @ B) @ nil1))))))).
thf(aHASu_REALu_INTEGRAL, axiom, ![F:(real > real),Y:real,A:real,B:real]:((hasu_realu_integral @ F @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> (hasu_integral0 @ (o @ lift @ (o0 @ F @ drop)) @ (lift @ Y) @ (closedu_interval @ (cons0 @ (c_0 @ (lift @ A) @ (lift @ B)) @ nil0))))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aNORMu_LIFT, axiom, ![X:real]:((vectoru_norm0 @ (lift @ X)) = (realu_abs @ X))).
thf(aREALu_INTERVALu_INTERVALu_conjunct0, axiom, ![A:real,B:real]:((closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)) = (image0 @ drop @ (closedu_interval @ (cons0 @ (c_0 @ (lift @ A) @ (lift @ B)) @ nil0))))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > c),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),A:real,B:real,I:real,B0:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ B0) & (realu_le @ A @ B) & (hasu_realu_integral @ F @ I @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & ![X:real]:((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) => (realu_le @ (realu_abs @ (F @ X)) @ B0))) => (realu_le @ (realu_abs @ I) @ (realu_mul @ B0 @ (realu_sub @ B @ A))))).
