%   ORIGINAL: REAL_NEGLIGIBLE_ON_INTERVALS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FORALL_LIFT: (!x. P x) <=> (!x. P (lift x))
% Assm: IMAGE_LIFT_REAL_INTERVAL_conjunct0: IMAGE lift (real_interval [a,b]) = interval [lift a,lift b]
% Assm: IMAGE_LIFT_REAL_INTERVAL_conjunct1: IMAGE lift (real_interval (a,b)) = interval (lift a,lift b)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: NEGLIGIBLE_ON_INTERVALS: !s. negligible s <=> (!a b. negligible (s INTER interval [a,b]))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: real_negligible: !s. real_negligible s <=> negligible (IMAGE lift s)
% Goal: !s. real_negligible s <=> (!a b. real_negligible (s INTER real_interval [a,b]))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P. (!x. P x) <=> (!x. P (lift x))
% Assm: !a b. IMAGE lift (real_interval [a,b]) = interval [lift a,lift b]
% Assm: !a b. IMAGE lift (real_interval (a,b)) = interval (lift a,lift b)
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. (y <=> f x) /\ x IN s)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: !s. negligible s <=> (!a b. negligible (s INTER interval [a,b]))
% Assm: ~F <=> T
% Assm: T
% Assm: !s. real_negligible s <=> negligible (IMAGE lift s)
% Goal: !s. real_negligible s <=> (!a b. real_negligible (s INTER real_interval [a,b]))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil1, type, nil1 : listprodcartrealncartrealn).
thf(cnil0, type, nil0 : listprodcartrealn1cartrealn1).
thf(ccloseduu_interval0, type, closedu_interval0 : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cin1, type, in1 : (real > (real > $o) > $o)).
thf(cin0, type, in0 : ($o > ($o > $o) > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(ccu_1, type, c_1 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons1, type, cons1 : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cinter0, type, inter0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cimage0, type, image0 : ((a > $o) > (a > $o) > $o > $o)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons0, type, cons0 : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cinter, type, inter : ((real > $o) > (real > $o) > real > $o)).
thf(cnegligible0, type, negligible0 : ((cartrealn1 > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFORALLu_LIFT, axiom, ![P:(cartrealn1 > $o)]:(![X:cartrealn1]:(P @ X) <=> ![X:real]:(P @ (lift @ X)))).
thf(aIMAGEu_LIFTu_REALu_INTERVALu_conjunct0, axiom, ![A:real,B:real]:((image @ lift @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (closedu_interval @ (cons0 @ (c_0 @ (lift @ A) @ (lift @ B)) @ nil0)))).
thf(aIMAGEu_LIFTu_REALu_INTERVALu_conjunct1, axiom, ![A:real,B:real]:((image @ lift @ (openu_realu_interval @ (c_ @ A @ B))) = (openu_interval @ (c_0 @ (lift @ A) @ (lift @ B))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:$o,S:(a > $o),F:(a > $o)]:((in0 @ Y @ (image0 @ F @ S)) <=> ?[X:a]:((Y <=> (F @ X)) & (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(real > $o),T:(real > $o),X:real]:((in1 @ X @ (inter @ S @ T)) <=> ((in1 @ X @ S) & (in1 @ X @ T)))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aNEGLIGIBLEu_ONu_INTERVALS, axiom, ![S:(cartrealn > $o)]:((negligible @ S) <=> ![A:cartrealn,B:cartrealn]:(negligible @ (inter0 @ S @ (closedu_interval0 @ (cons1 @ (c_1 @ A @ B) @ nil1)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(arealu_negligible, axiom, ![S:(real > $o)]:((realu_negligible @ S) <=> (negligible0 @ (image @ lift @ S)))).
thf(conjecture, conjecture, ![S:(real > $o)]:((realu_negligible @ S) <=> ![A:real,B:real]:(realu_negligible @ (inter @ S @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
