%   ORIGINAL: ABSOLUTELY_REAL_INTEGRABLE_ABSOLUTELY_REAL_INTEGRABLE_LBOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ABSOLUTELY_REAL_INTEGRABLE_ON: f absolutely_real_integrable_on s <=> lift o f o drop absolutely_integrable_on IMAGE lift s
% Assm: REAL_INTEGRABLE_ON: f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: TRUTH: T
% Goal: !f g s. (!x. x IN s ==> f x <= g x) /\ f absolutely_real_integrable_on s /\ g real_integrable_on s ==> f absolutely_real_integrable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f absolutely_real_integrable_on s <=> lift o f o drop absolutely_integrable_on IMAGE lift s
% Assm: !f s. f real_integrable_on s <=> lift o f o drop integrable_on IMAGE lift s
% Assm: T
% Goal: !f g s. (!x. x IN s ==> f x <= g x) /\ f absolutely_real_integrable_on s /\ g real_integrable_on s ==> f absolutely_real_integrable_on s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cintegrableuu_on, type, integrableu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cabsolutelyuu_integrableuu_on, type, absolutelyu_integrableu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(crealuu_integrableuu_on, type, realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(cabsolutelyuu_realuu_integrableuu_on, type, absolutelyu_realu_integrableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aABSOLUTELYu_REALu_INTEGRABLEu_ON, axiom, ![F:(real > real),S:(real > $o)]:((absolutelyu_realu_integrableu_on @ F @ S) <=> (absolutelyu_integrableu_on @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(aREALu_INTEGRABLEu_ON, axiom, ![F:(real > real),S:(real > $o)]:((realu_integrableu_on @ F @ S) <=> (integrableu_on @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),S:(real > $o)]:((![X:real]:((in @ X @ S) => (realu_le @ (F @ X) @ (G @ X))) & (absolutelyu_realu_integrableu_on @ F @ S) & (realu_integrableu_on @ G @ S)) => (absolutelyu_realu_integrableu_on @ F @ S))).
