%   ORIGINAL: REAL_NEGLIGIBLE_COUNTABLE_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_REAL_MEASURE_0: !s. s has_real_measure &0 <=> real_negligible s
% Assm: HAS_REAL_MEASURE_COUNTABLE_REAL_NEGLIGIBLE_UNIONS: !s B. (!n. real_measurable (s n)) /\ (!m n. ~(m = n) ==> real_negligible (s m INTER s n)) /\ (!n. sum (0..n) (\k. real_measure (s k)) <= B) ==> real_measurable (UNIONS {s n | n IN (:num)}) /\ ((\n. real_measure (s n)) real_sums real_measure (UNIONS {s n | n IN (:num)})) (from 0)
% Assm: INTER_SUBSET_conjunct0: !s t. s INTER t SUBSET s
% Assm: INTER_SUBSET_conjunct1: !s t. t INTER s SUBSET s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_MEASURABLE_REAL_MEASURE_EQ_0: !s. real_measurable s ==> (real_measure s = &0 <=> real_negligible s)
% Assm: REAL_MEASURE_EQ_0: !s. real_negligible s ==> real_measure s = &0
% Assm: REAL_NEGLIGIBLE_SUBSET: !s t. real_negligible s /\ t SUBSET s ==> real_negligible t
% Assm: REAL_SERIES_0: !s. ((\n. &0) real_sums &0) s
% Assm: REAL_SERIES_UNIQUE: !f l l' s. (f real_sums l) s /\ (f real_sums l') s ==> l = l'
% Assm: SUM_0: !s. sum s (\n. &0) = &0
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: TRUTH: T
% Assm: real_measurable: !s. real_measurable s <=> (?m. s has_real_measure m)
% Goal: !s. (!n. real_negligible (s n)) ==> real_negligible (UNIONS {s n | n IN (:num)})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s. s has_real_measure &0 <=> real_negligible s
% Assm: !s B. (!n. real_measurable (s n)) /\ (!m n. ~(m = n) ==> real_negligible (s m INTER s n)) /\ (!n. sum (0..n) (\k. real_measure (s k)) <= B) ==> real_measurable (UNIONS {s n | n IN (:num)}) /\ ((\n. real_measure (s n)) real_sums real_measure (UNIONS {s n | n IN (:num)})) (from 0)
% Assm: !s t. s INTER t SUBSET s
% Assm: !s t. t INTER s SUBSET s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: ~F <=> T
% Assm: !x. x <= x
% Assm: !s. real_measurable s ==> (real_measure s = &0 <=> real_negligible s)
% Assm: !s. real_negligible s ==> real_measure s = &0
% Assm: !s t. real_negligible s /\ t SUBSET s ==> real_negligible t
% Assm: !s. ((\n. &0) real_sums &0) s
% Assm: !f l l' s. (f real_sums l) s /\ (f real_sums l') s ==> l = l'
% Assm: !s. sum s (\n. &0) = &0
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: T
% Assm: !s. real_measurable s <=> (?m. s has_real_measure m)
% Goal: !s. (!n. real_negligible (s n)) ==> real_negligible (UNIONS {s n | n IN (:num)})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csum0, type, sum0 : ((a > $o) > (a > real) > real)).
thf(csubset0, type, subset0 : ((real > $o) > (real > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cfrom, type, from : (num > num > $o)).
thf(crealuu_measure, type, realu_measure : ((real > $o) > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(chasuu_realuu_measure, type, hasu_realu_measure : ((real > $o) > real > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : (((real > $o) > $o) > (real > $o) > $o)).
thf(cunions, type, unions : (((real > $o) > $o) > real > $o)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((real > $o) > (real > $o) > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : ((real > $o) > $o > (real > $o) > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
thf(crealuu_negligible, type, realu_negligible : ((real > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_REALu_MEASUREu_0, axiom, ![S:(real > $o)]:((hasu_realu_measure @ S @ (realu_ofu_num @ (numeral @ u_0))) <=> (realu_negligible @ S))).
thf(aHASu_REALu_MEASUREu_COUNTABLEu_REALu_NEGLIGIBLEu_UNIONS, axiom, ![S:(num > real > $o),B:real]:((![N:num]:(realu_measurable @ (S @ N)) & ![M:num,N:num]:(~ ((M = N)) => (realu_negligible @ (inter @ (S @ M) @ (S @ N)))) & ![N:num]:(realu_le @ (sum @ (o_o_ @ (numeral @ u_0) @ N) @ ^[K:num]:(realu_measure @ (S @ K))) @ B)) => ((realu_measurable @ (unions @ (gspec @ ^[GENR_PVARR_2419:(real > $o)]:?[N:num]:(setspec @ GENR_PVARR_2419 @ (in @ N @ univ) @ (S @ N))))) & (realu_sums @ ^[N:num]:(realu_measure @ (S @ N)) @ (realu_measure @ (unions @ (gspec @ ^[GENR_PVARR_2420:(real > $o)]:?[N:num]:(setspec @ GENR_PVARR_2420 @ (in @ N @ univ) @ (S @ N))))) @ (from @ (numeral @ u_0)))))).
thf(aINTERu_SUBSETu_conjunct0, axiom, ![S:(a > $o),T:(a > $o)]:(subset @ (inter0 @ S @ T) @ S)).
thf(aINTERu_SUBSETu_conjunct1, axiom, ![S:(a > $o),T:(a > $o)]:(subset @ (inter0 @ T @ S) @ S)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(num > $o),X:num]:((in @ X @ (gspec0 @ ^[V:num]:?[Y:num]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_MEASURABLEu_REALu_MEASUREu_EQu_0, axiom, ![S:(real > $o)]:((realu_measurable @ S) => (((realu_measure @ S) = (realu_ofu_num @ (numeral @ u_0))) <=> (realu_negligible @ S)))).
thf(aREALu_MEASUREu_EQu_0, axiom, ![S:(real > $o)]:((realu_negligible @ S) => ((realu_measure @ S) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_NEGLIGIBLEu_SUBSET, axiom, ![S:(real > $o),T:(real > $o)]:(((realu_negligible @ S) & (subset0 @ T @ S)) => (realu_negligible @ T))).
thf(aREALu_SERIESu_0, axiom, ![S:(num > $o)]:(realu_sums @ ^[N:num]:(realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ u_0)) @ S)).
thf(aREALu_SERIESu_UNIQUE, axiom, ![F:(num > real),L:real,LI_:real,S:(num > $o)]:(((realu_sums @ F @ L @ S) & (realu_sums @ F @ LI_ @ S)) => (L = LI_))).
thf(aSUMu_0, axiom, ![S:(a > $o)]:((sum0 @ S @ ^[N:a]:(realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_EQ, axiom, ![F:(num > real),G:(num > real),S:(num > $o)]:(![X:num]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(arealu_measurable, axiom, ![S:(real > $o)]:((realu_measurable @ S) <=> ?[M:real]:(hasu_realu_measure @ S @ M))).
thf(conjecture, conjecture, ![S:(num > real > $o)]:(![N:num]:(realu_negligible @ (S @ N)) => (realu_negligible @ (unions @ (gspec @ ^[GENR_PVARR_2421:(real > $o)]:?[N:num]:(setspec @ GENR_PVARR_2421 @ (in @ N @ univ) @ (S @ N))))))).
