%   ORIGINAL: REAL_MEASURABLE_ON_NEG_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: REAL_MEASURABLE_ON_NEG: !f s. real_measurable_on f s ==> real_measurable_on (\x. --f x) s
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: TRUTH: T
% Goal: !f s. real_measurable_on (\x. --f x) s <=> real_measurable_on f s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. (\x. t x) = t
% Assm: !f s. real_measurable_on f s ==> real_measurable_on (\x. --f x) s
% Assm: !x. -- --x = x
% Assm: T
% Goal: !f s. real_measurable_on (\x. --f x) s <=> real_measurable_on f s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aREALu_MEASURABLEu_ONu_NEG, axiom, ![F:(real > real),S:(real > $o)]:((realu_measurableu_on @ F @ S) => (realu_measurableu_on @ ^[X:real]:(realu_neg @ (F @ X)) @ S))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o)]:((realu_measurableu_on @ ^[X:real]:(realu_neg @ (F @ X)) @ S) <=> (realu_measurableu_on @ F @ S))).
