%   ORIGINAL: REAL_MEASURABLE_ON_MEASURABLE_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MEASURABLE_IMP_REAL_LEBESGUE_MEASURABLE: !s. real_measurable s ==> real_lebesgue_measurable s
% Assm: REAL_MEASURABLE_ON_LEBESGUE_MEASURABLE_SUBSET: !f s t. s SUBSET t /\ real_measurable_on f t /\ real_lebesgue_measurable s ==> real_measurable_on f s
% Assm: TRUTH: T
% Goal: !f s t. s SUBSET t /\ real_measurable_on f t /\ real_measurable s ==> real_measurable_on f s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s. real_measurable s ==> real_lebesgue_measurable s
% Assm: !f s t. s SUBSET t /\ real_measurable_on f t /\ real_lebesgue_measurable s ==> real_measurable_on f s
% Assm: T
% Goal: !f s t. s SUBSET t /\ real_measurable_on f t /\ real_measurable s ==> real_measurable_on f s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(crealuu_lebesgueuu_measurable, type, realu_lebesgueu_measurable : ((real > $o) > $o)).
thf(crealuu_measurable, type, realu_measurable : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MEASURABLEu_IMPu_REALu_LEBESGUEu_MEASURABLE, axiom, ![S:(real > $o)]:((realu_measurable @ S) => (realu_lebesgueu_measurable @ S))).
thf(aREALu_MEASURABLEu_ONu_LEBESGUEu_MEASURABLEu_SUBSET, axiom, ![F:(real > real),S:(real > $o),T:(real > $o)]:(((subset @ S @ T) & (realu_measurableu_on @ F @ T) & (realu_lebesgueu_measurable @ S)) => (realu_measurableu_on @ F @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o),T:(real > $o)]:(((subset @ S @ T) & (realu_measurableu_on @ F @ T) & (realu_measurable @ S)) => (realu_measurableu_on @ F @ S))).
