%   ORIGINAL: HAS_BOUNDED_REAL_VARIATION_ON_ABS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_BOUNDED_VARIATION_ON_NORM: !f s. has_bounded_variation_on f s ==> has_bounded_variation_on (\x. lift (norm (f x))) s
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: NORM_REAL: !x. norm x = abs (x$1)
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Assm: has_bounded_real_variation_on: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f s. has_bounded_real_variation_on f s ==> has_bounded_real_variation_on (\x. abs (f x)) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. has_bounded_variation_on f s ==> has_bounded_variation_on (\x. lift (norm (f x))) s
% Assm: !x. drop (lift x) = x
% Assm: !x. norm x = abs (x$1)
% Assm: T
% Assm: !x. drop x = x$1
% Assm: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f s. has_bounded_real_variation_on f s ==> has_bounded_real_variation_on (\x. abs (f x)) s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn1 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(chasuu_boundeduu_variationuu_on, type, hasu_boundedu_variationu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(chasuu_boundeduu_realuu_variationuu_on, type, hasu_boundedu_realu_variationu_on : ((real > real) > (real > $o) > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_BOUNDEDu_VARIATIONu_ONu_NORM, axiom, ![F:(cartrealn1 > cartrealn1),S:(cartrealn1 > $o)]:((hasu_boundedu_variationu_on @ F @ S) => (hasu_boundedu_variationu_on @ ^[X:cartrealn1]:(lift @ (vectoru_norm @ (F @ X))) @ S))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aNORMu_REAL, axiom, ![X:cartrealn1]:((vectoru_norm @ X) = (realu_abs @ (d_ @ X @ (numeral @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_ @ X @ (numeral @ (bit1 @ u_0))))).
thf(ahasu_boundedu_realu_variationu_on, axiom, ![F:(real > real),S:(real > $o)]:((hasu_boundedu_realu_variationu_on @ F @ S) <=> (hasu_boundedu_variationu_on @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),S:(real > $o)]:((hasu_boundedu_realu_variationu_on @ F @ S) => (hasu_boundedu_realu_variationu_on @ ^[X:real]:(realu_abs @ (F @ X)) @ S))).
