%   ORIGINAL: HAS_BOUNDED_REAL_VARIATION_ON_MUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_BOUNDED_VARIATION_ON_MUL: !f g a b. has_bounded_variation_on f (interval [a,b]) /\ has_bounded_variation_on g (interval [a,b]) ==> has_bounded_variation_on (\x. drop (f x) % g x) (interval [a,b])
% Assm: IMAGE_LIFT_REAL_INTERVAL_conjunct0: IMAGE lift (real_interval [a,b]) = interval [lift a,lift b]
% Assm: LIFT_CMUL: !x c. lift (c * x) = c % lift x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: TRUTH: T
% Assm: has_bounded_real_variation_on: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f g a b. has_bounded_real_variation_on f (real_interval [a,b]) /\ has_bounded_real_variation_on g (real_interval [a,b]) ==> has_bounded_real_variation_on (\x. f x * g x) (real_interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g a b. has_bounded_variation_on f (interval [a,b]) /\ has_bounded_variation_on g (interval [a,b]) ==> has_bounded_variation_on (\x. drop (f x) % g x) (interval [a,b])
% Assm: !a b. IMAGE lift (real_interval [a,b]) = interval [lift a,lift b]
% Assm: !x c. lift (c * x) = c % lift x
% Assm: !x. drop (lift x) = x
% Assm: T
% Assm: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f g a b. has_bounded_real_variation_on f (real_interval [a,b]) /\ has_bounded_real_variation_on g (real_interval [a,b]) ==> has_bounded_real_variation_on (\x. f x * g x) (real_interval [a,b])
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listprodcartrealn1cartrealn1).
thf(clift, type, lift : (real > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(chasuu_boundeduu_variationuu_on, type, hasu_boundedu_variationu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(chasuu_boundeduu_realuu_variationuu_on, type, hasu_boundedu_realu_variationu_on : ((real > real) > (real > $o) > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons0, type, cons0 : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_BOUNDEDu_VARIATIONu_ONu_MUL, axiom, ![F:(cartrealn1 > cartrealn1),G:(cartrealn1 > cartrealn1),A:cartrealn1,B:cartrealn1]:(((hasu_boundedu_variationu_on @ F @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))) & (hasu_boundedu_variationu_on @ G @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0)))) => (hasu_boundedu_variationu_on @ ^[X:cartrealn1]:(r_ @ (drop @ (F @ X)) @ (G @ X)) @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))))).
thf(aIMAGEu_LIFTu_REALu_INTERVALu_conjunct0, axiom, ![A:real,B:real]:((image @ lift @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (closedu_interval @ (cons0 @ (c_0 @ (lift @ A) @ (lift @ B)) @ nil0)))).
thf(aLIFTu_CMUL, axiom, ![X:real,C:real]:((lift @ (realu_mul @ C @ X)) = (r_ @ C @ (lift @ X)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(ahasu_boundedu_realu_variationu_on, axiom, ![F:(real > real),S:(real > $o)]:((hasu_boundedu_realu_variationu_on @ F @ S) <=> (hasu_boundedu_variationu_on @ (o @ lift @ (o0 @ F @ drop)) @ (image @ lift @ S)))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),A:real,B:real]:(((hasu_boundedu_realu_variationu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (hasu_boundedu_realu_variationu_on @ G @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (hasu_boundedu_realu_variationu_on @ ^[X:real]:(realu_mul @ (F @ X) @ (G @ X)) @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
