%   ORIGINAL: HAS_BOUNDED_REAL_VARIATION_DARBOUX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FORALL_DROP: (!x. P x) <=> (!x. P (drop x))
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: HAS_BOUNDED_VARIATION_DARBOUX: !f a b. has_bounded_variation_on f (interval [a,b]) <=> (?g h. (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> drop (g x) <= drop (g y)) /\ (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> drop (h x) <= drop (h y)) /\ (!x. f x = g x - h x))
% Assm: IMAGE_LIFT_REAL_INTERVAL_conjunct0: IMAGE lift (real_interval [a,b]) = interval [lift a,lift b]
% Assm: IMAGE_LIFT_REAL_INTERVAL_conjunct1: IMAGE lift (real_interval (a,b)) = interval (lift a,lift b)
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: LIFT_EQ: !x y. lift x = lift y <=> x = y
% Assm: LIFT_SUB: !x y. lift (x - y) = lift x - lift y
% Assm: TRUTH: T
% Assm: has_bounded_real_variation_on: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f a b. has_bounded_real_variation_on f (real_interval [a,b]) <=> (?g h. (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> g x <= g y) /\ (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> h x <= h y) /\ (!x. f x = g x - h x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. (!x. P x) <=> (!x. P (drop x))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !f a b. has_bounded_variation_on f (interval [a,b]) <=> (?g h. (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> drop (g x) <= drop (g y)) /\ (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ drop x <= drop y ==> drop (h x) <= drop (h y)) /\ (!x. f x = g x - h x))
% Assm: !a b. IMAGE lift (real_interval [a,b]) = interval [lift a,lift b]
% Assm: !a b. IMAGE lift (real_interval (a,b)) = interval (lift a,lift b)
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: !x y. lift x = lift y <=> x = y
% Assm: !x y. lift (x - y) = lift x - lift y
% Assm: T
% Assm: !f s. has_bounded_real_variation_on f s <=> has_bounded_variation_on (lift o f o drop) (IMAGE lift s)
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f g x. (f o g) x <=> f (g x)
% Goal: !f a b. has_bounded_real_variation_on f (real_interval [a,b]) <=> (?g h. (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> g x <= g y) /\ (!x y. x IN real_interval [a,b] /\ y IN real_interval [a,b] /\ x <= y ==> h x <= h y) /\ (!x. f x = g x - h x))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodrealreal, type, prodrealreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listprodcartrealn1cartrealn1).
thf(copenuu_interval, type, openu_interval : (prodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cin0, type, in0 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(chasuu_boundeduu_variationuu_on, type, hasu_boundedu_variationu_on : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(chasuu_boundeduu_realuu_variationuu_on, type, hasu_boundedu_realu_variationu_on : ((real > real) > (real > $o) > $o)).
thf(co2, type, o2 : ((b > $o) > (a > b) > a > $o)).
thf(co1, type, o1 : ((b > real) > (a > b) > a > real)).
thf(co0, type, o0 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(cimage0, type, image0 : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons0, type, cons0 : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cimage, type, image : ((real > real) > (real > $o) > real > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cnil, type, nil : listprodrealreal).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFORALLu_DROP, axiom, ![P:(real > $o)]:(![X:real]:(P @ X) <=> ![X:cartrealn1]:(P @ (drop @ X)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(real > $o),F:(real > real),S:(real > $o)]:(![Y:real]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:real]:((in @ X @ S) => (P @ (F @ X))))).
thf(aHASu_BOUNDEDu_VARIATIONu_DARBOUX, axiom, ![F:(cartrealn1 > cartrealn1),A:cartrealn1,B:cartrealn1]:((hasu_boundedu_variationu_on @ F @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))) <=> ?[G:(cartrealn1 > cartrealn1),H:(cartrealn1 > cartrealn1)]:(![X:cartrealn1,Y:cartrealn1]:(((in0 @ X @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))) & (in0 @ Y @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))) & (realu_le @ (drop @ X) @ (drop @ Y))) => (realu_le @ (drop @ (G @ X)) @ (drop @ (G @ Y)))) & ![X:cartrealn1,Y:cartrealn1]:(((in0 @ X @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))) & (in0 @ Y @ (closedu_interval @ (cons0 @ (c_0 @ A @ B) @ nil0))) & (realu_le @ (drop @ X) @ (drop @ Y))) => (realu_le @ (drop @ (H @ X)) @ (drop @ (H @ Y)))) & ![X:cartrealn1]:((F @ X) = (vectoru_sub @ (G @ X) @ (H @ X)))))).
thf(aIMAGEu_LIFTu_REALu_INTERVALu_conjunct0, axiom, ![A:real,B:real]:((image0 @ lift @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (closedu_interval @ (cons0 @ (c_0 @ (lift @ A) @ (lift @ B)) @ nil0)))).
thf(aIMAGEu_LIFTu_REALu_INTERVALu_conjunct1, axiom, ![A:real,B:real]:((image0 @ lift @ (openu_realu_interval @ (c_ @ A @ B))) = (openu_interval @ (c_0 @ (lift @ A) @ (lift @ B))))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aLIFTu_EQ, axiom, ![X:real,Y:real]:(((lift @ X) = (lift @ Y)) <=> (X = Y))).
thf(aLIFTu_SUB, axiom, ![X:real,Y:real]:((lift @ (realu_sub @ X @ Y)) = (vectoru_sub @ (lift @ X) @ (lift @ Y)))).
thf(aTRUTH, axiom, $true).
thf(ahasu_boundedu_realu_variationu_on, axiom, ![F:(real > real),S:(real > $o)]:((hasu_boundedu_realu_variationu_on @ F @ S) <=> (hasu_boundedu_variationu_on @ (o @ lift @ (o0 @ F @ drop)) @ (image0 @ lift @ S)))).
thf(aou_THMu_monomorphized1, axiom, ![F:(b > real),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(aou_THMu_monomorphized0, axiom, ![F:(b > $o),G:(a > b),X:a]:((o2 @ F @ G @ X) <=> (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(real > real),A:real,B:real]:((hasu_boundedu_realu_variationu_on @ F @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ?[G:(real > real),H:(real > real)]:(![X:real,Y:real]:(((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ X @ Y)) => (realu_le @ (G @ X) @ (G @ Y))) & ![X:real,Y:real]:(((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (in @ Y @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (realu_le @ X @ Y)) => (realu_le @ (H @ X) @ (H @ Y))) & ![X:real]:((F @ X) = (realu_sub @ (G @ X) @ (H @ X)))))).
