%   ORIGINAL: HOMEOMORPHIC_INTERIORS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_ON_SUBSET: !f s t. f continuous_on s /\ t SUBSET s ==> f continuous_on t
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HOMEOMORPHIC_EMPTY_conjunct1: !s. {} homeomorphic s <=> s = {}
% Assm: HOMEOMORPHIC_INTERIORS_SAME_DIMENSION: !s t. dimindex (:M) = dimindex (:N) /\ s homeomorphic t ==> interior s homeomorphic interior t
% Assm: HOMEOMORPHIC_MINIMAL: !s t. s homeomorphic t <=> (?f g. (!x. x IN s ==> f x IN t /\ g (f x) = x) /\ (!y. y IN t ==> g y IN s /\ f (g y) = y) /\ f continuous_on s /\ g continuous_on t)
% Assm: INTERIOR_SUBSET: !s. interior s SUBSET s
% Assm: INVARIANCE_OF_DIMENSION: !f s. f continuous_on s /\ open s /\ ~(s = {}) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> dimindex (:M) <= dimindex (:N)
% Assm: I_THM: !x. I x = x
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_INTERIOR: !s. open (interior s)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !s t. s homeomorphic t /\ (interior s = {} <=> interior t = {}) ==> interior s homeomorphic interior t
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s t. f continuous_on s /\ t SUBSET s ==> f continuous_on t
% Assm: !t. (\x. t x) = t
% Assm: !t. (\x. t x) = t
% Assm: !s. {} homeomorphic s <=> s = {}
% Assm: !s t. dimindex (:M) = dimindex (:N) /\ s homeomorphic t ==> interior s homeomorphic interior t
% Assm: !s t. s homeomorphic t <=> (?f g. (!x. x IN s ==> f x IN t /\ g (f x) = x) /\ (!y. y IN t ==> g y IN s /\ f (g y) = y) /\ f continuous_on s /\ g continuous_on t)
% Assm: !s. interior s SUBSET s
% Assm: !s. interior s SUBSET s
% Assm: !f s. f continuous_on s /\ open s /\ ~(s = {}) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> dimindex (:N) <= dimindex (:N)
% Assm: !f s. f continuous_on s /\ open s /\ ~(s = {}) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> dimindex (:M) <= dimindex (:N)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: ~F <=> T
% Assm: !s. open (interior s)
% Assm: !s. open (interior s)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !s t. s homeomorphic t /\ (interior s = {} <=> interior t = {}) ==> interior s homeomorphic interior t
%  TYPES
thf(tnum, type, num : $tType).
thf(tq188812, type, q188812 : $tType).
thf(tq188813, type, q188813 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq188813, type, cartrealq188813 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartrealq188812, type, cartrealq188812 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(csubset2, type, subset2 : ((a > $o) > (a > $o) > $o)).
thf(ci0, type, i0 : ((cartrealm > $o) > cartrealm > $o)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccontinuousuu_on2, type, continuousu_on2 : ((cartrealn > cartrealn) > (cartrealn > $o) > $o)).
thf(csubset1, type, subset1 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(csubset0, type, subset0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccontinuousuu_on1, type, continuousu_on1 : ((cartrealn > cartrealm) > (cartrealn > $o) > $o)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(csubset, type, subset : ((cartrealq188813 > $o) > (cartrealq188813 > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealq188813 > cartrealq188812) > (cartrealq188813 > $o) > $o)).
thf(cinterior0, type, interior0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cinterior, type, interior : ((cartrealm > $o) > cartrealm > $o)).
thf(chomeomorphic, type, homeomorphic : ((cartrealm > $o) > (cartrealn > $o) > $o)).
thf(ci1, type, i1 : ($o > $o)).
thf(copen0, type, open0 : ((cartrealm > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(cempty, type, empty : (cartrealm > $o)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:(![X:cartrealn]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(cartrealm > $o),G:(cartrealm > $o)]:(![X:cartrealm]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ONu_SUBSET, axiom, ![F:(cartrealq188813 > cartrealq188812),S:(cartrealq188813 > $o),T:(cartrealq188813 > $o)]:(((continuousu_on @ F @ S) & (subset @ T @ S)) => (continuousu_on @ F @ T))).
thf(aETAu_AXu_monomorphized1, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aETAu_AXu_monomorphized0, axiom, ![T:(cartrealm > $o)]:(^[X:cartrealm]:(T @ X) = T)).
thf(aHOMEOMORPHICu_EMPTYu_conjunct1, axiom, ![S:(cartrealn > $o)]:((homeomorphic @ empty @ S) <=> (S = empty0))).
thf(aHOMEOMORPHICu_INTERIORSu_SAMEu_DIMENSION, axiom, ![S:(cartrealm > $o),T:(cartrealn > $o)]:((((dimindex @ univ) = (dimindex0 @ univ0)) & (homeomorphic @ S @ T)) => (homeomorphic @ (interior @ S) @ (interior0 @ T)))).
thf(aHOMEOMORPHICu_MINIMAL, axiom, ![S:(cartrealm > $o),T:(cartrealn > $o)]:((homeomorphic @ S @ T) <=> ?[F:(cartrealm > cartrealn),G:(cartrealn > cartrealm)]:(![X:cartrealm]:((in @ X @ S) => ((in0 @ (F @ X) @ T) & ((G @ (F @ X)) = X))) & ![Y:cartrealn]:((in0 @ Y @ T) => ((in @ (G @ Y) @ S) & ((F @ (G @ Y)) = Y))) & (continuousu_on0 @ F @ S) & (continuousu_on1 @ G @ T)))).
thf(aINTERIORu_SUBSETu_monomorphized1, axiom, ![S:(cartrealn > $o)]:(subset0 @ (interior0 @ S) @ S)).
thf(aINTERIORu_SUBSETu_monomorphized0, axiom, ![S:(cartrealm > $o)]:(subset1 @ (interior @ S) @ S)).
thf(aINVARIANCEu_OFu_DIMENSIONu_monomorphized1, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(((continuousu_on2 @ F @ S) & (open @ S) & ~ ((S = empty0)) & ![X:cartrealn,Y:cartrealn]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))) => (l_a_ @ (dimindex0 @ univ0) @ (dimindex0 @ univ0)))).
thf(aINVARIANCEu_OFu_DIMENSIONu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((continuousu_on0 @ F @ S) & (open0 @ S) & ~ ((S = empty)) & ![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))) => (l_a_ @ (dimindex @ univ) @ (dimindex0 @ univ0)))).
thf(aIu_THMu_monomorphized2, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:(cartrealm > $o)]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i1 @ X) <=> X)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INTERIORu_monomorphized1, axiom, ![S:(cartrealn > $o)]:(open @ (interior0 @ S))).
thf(aOPENu_INTERIORu_monomorphized0, axiom, ![S:(cartrealm > $o)]:(open0 @ (interior @ S))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset2 @ S @ T) <=> ![X:a]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealm > $o),T:(cartrealn > $o)]:(((homeomorphic @ S @ T) & (((interior @ S) = empty) <=> ((interior0 @ T) = empty0))) => (homeomorphic @ (interior @ S) @ (interior0 @ T)))).
