%   ORIGINAL: SIN_ANGLE_POS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SIN_VECTOR_ANGLE_POS: !v w. &0 <= sin (vector_angle v w)
% Assm: TRUTH: T
% Assm: angle: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Goal: !A B C. &0 <= sin (angle (A,B,C))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !v w. &0 <= sin (vector_angle v w)
% Assm: T
% Assm: !a c b. angle (a,b,c) = vector_angle (a - b) (c - b)
% Goal: !A B C. &0 <= sin (angle (A,B,C))
%  TYPES
thf(tq691246, type, q691246 : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq689624, type, cartrealq689624 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq691246cartrealq691246, type, prodcartrealq691246cartrealq691246 : $tType).
thf(tq689624, type, q689624 : $tType).
thf(tcartrealq691246, type, cartrealq691246 : $tType).
thf(tprodcartrealq691246prodcartrealq691246cartrealq691246, type, prodcartrealq691246prodcartrealq691246cartrealq691246 : $tType).
%  CONSTS
thf(cvectoruu_angle0, type, vectoru_angle0 : (cartrealq691246 > cartrealq691246 > real)).
thf(cvectoruu_angle, type, vectoru_angle : (cartrealq689624 > cartrealq689624 > real)).
thf(cangle, type, angle : (prodcartrealq691246prodcartrealq691246cartrealq691246 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq691246 > cartrealq691246 > cartrealq691246)).
thf(ccu_0, type, c_0 : (cartrealq691246 > cartrealq691246 > prodcartrealq691246cartrealq691246)).
thf(ccu_, type, c_ : (cartrealq691246 > prodcartrealq691246cartrealq691246 > prodcartrealq691246prodcartrealq691246cartrealq691246)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csin, type, sin : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSINu_VECTORu_ANGLEu_POS, axiom, ![V:cartrealq689624,W:cartrealq689624]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sin @ (vectoru_angle @ V @ W)))).
thf(aTRUTH, axiom, $true).
thf(aangle, axiom, ![A:cartrealq691246,C:cartrealq691246,B:cartrealq691246]:((angle @ (c_ @ A @ (c_0 @ B @ C))) = (vectoru_angle0 @ (vectoru_sub @ A @ B) @ (vectoru_sub @ C @ B)))).
thf(conjecture, conjecture, ![A:cartrealq691246,B:cartrealq691246,C:cartrealq691246]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sin @ (angle @ (c_ @ A @ (c_0 @ B @ C)))))).
