%   ORIGINAL: PLANE_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PLANE_LINEAR_IMAGE_EQ: !f p. linear f /\ (!x y. f x = f y ==> x = y) ==> (plane (IMAGE f p) <=> plane p)
% Assm: TRUTH: T
% Goal: !f p. linear f /\ plane p /\ (!x y. f x = f y ==> x = y) ==> plane (IMAGE f p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !f p. linear f /\ (!x y. f x = f y ==> x = y) ==> (plane (IMAGE f p) <=> plane p)
% Assm: T
% Goal: !f p. linear f /\ plane p /\ (!x y. f x = f y ==> x = y) ==> plane (IMAGE f p)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cplane0, type, plane0 : ((cartrealn > $o) > $o)).
thf(cplane, type, plane : ((cartrealm > $o) > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(ci0, type, i0 : (cartrealm > cartrealm)).
thf(ci, type, i : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealm]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPLANEu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealm > cartrealn),P:(cartrealm > $o)]:(((linear @ F) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => ((plane0 @ (image @ F @ P)) <=> (plane @ P)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),P:(cartrealm > $o)]:(((linear @ F) & (plane @ P) & ![X:cartrealm,Y:cartrealm]:(((F @ X) = (F @ Y)) => (X = Y))) => (plane0 @ (image @ F @ P)))).
