%   ORIGINAL: CONV0_INJECTIVE_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFFSIGN_INJECTIVE_LINEAR_IMAGE: !f sgn s t v. linear f /\ (!x y. f x = f y ==> x = y) ==> affsign sgn (IMAGE f s) (IMAGE f t) = IMAGE f (affsign sgn s t)
% Assm: IMAGE_CLAUSES_conjunct0: IMAGE f {} = {}
% Assm: Sphere.conv0: !S. conv0 S = affsign sgn_gt {} S
% Assm: TRUTH: T
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> conv0 (IMAGE f s) = IMAGE f (conv0 s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f sgn s t v. linear f /\ (!x y. f x = f y ==> x = y) ==> affsign sgn (IMAGE f s) (IMAGE f t) = IMAGE f (affsign sgn s t)
% Assm: !f. IMAGE f {} = {}
% Assm: !S. conv0 S = affsign sgn_gt {} S
% Assm: T
% Goal: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> conv0 (IMAGE f s) = IMAGE f (conv0 s)
%  TYPES
thf(tcartrealq706882, type, cartrealq706882 : $tType).
thf(tq706882, type, q706882 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq706915, type, cartrealq706915 : $tType).
thf(treal, type, real : $tType).
thf(tq706915, type, q706915 : $tType).
thf(tq701802, type, q701802 : $tType).
%  CONSTS
thf(cconv00, type, conv00 : ((cartrealq706915 > $o) > cartrealq706915 > $o)).
thf(cconv0, type, conv0 : ((cartrealq706882 > $o) > cartrealq706882 > $o)).
thf(caffsign0, type, affsign0 : ((real > $o) > (cartrealq706915 > $o) > (cartrealq706915 > $o) > cartrealq706915 > $o)).
thf(caffsign, type, affsign : ((real > $o) > (cartrealq706882 > $o) > (cartrealq706882 > $o) > cartrealq706882 > $o)).
thf(cimage, type, image : ((cartrealq706915 > cartrealq706882) > (cartrealq706915 > $o) > cartrealq706882 > $o)).
thf(cempty0, type, empty0 : (cartrealq706882 > $o)).
thf(cempty, type, empty : (cartrealq706915 > $o)).
thf(clinear, type, linear : ((cartrealq706915 > cartrealq706882) > $o)).
thf(csgnuu_gt, type, sgnu_gt : (real > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealq706882 > $o),G:(a > cartrealq706882 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealq706915),G:(a > cartrealq706915)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealq706882),G:(a > cartrealq706882)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFSIGNu_INJECTIVEu_LINEARu_IMAGE, axiom, ![F:(cartrealq706915 > cartrealq706882),SGN:(real > $o),S:(cartrealq706915 > $o),T:(cartrealq706915 > $o),V:q701802]:(((linear @ F) & ![X:cartrealq706915,Y:cartrealq706915]:(((F @ X) = (F @ Y)) => (X = Y))) => ((affsign @ SGN @ (image @ F @ S) @ (image @ F @ T)) = (image @ F @ (affsign0 @ SGN @ S @ T))))).
thf(aIMAGEu_CLAUSESu_conjunct0, axiom, ![F:(cartrealq706915 > cartrealq706882)]:((image @ F @ empty) = empty0)).
thf(aSphereo_conv0, axiom, ![S:(cartrealq706882 > $o)]:((conv0 @ S) = (affsign @ sgnu_gt @ empty0 @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealq706915 > cartrealq706882),S:(cartrealq706915 > $o)]:(((linear @ F) & ![X:cartrealq706915,Y:cartrealq706915]:(((F @ X) = (F @ Y)) => (X = Y))) => ((conv0 @ (image @ F @ S)) = (image @ F @ (conv00 @ S))))).
