%   ORIGINAL: AZIM_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COLLINEAR_LINEAR_IMAGE_EQ: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (collinear (IMAGE f s) <=> collinear s)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_ADD: !f x y. linear f ==> f (x + y) = f x + f y
% Assm: LINEAR_CMUL: !f c x. linear f ==> f (c % x) = c % f x
% Assm: LINEAR_SUB: !f x y. linear f ==> f (x - y) = f x - f y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: ORTHOGONAL_TRANSFORMATION: !f. orthogonal_transformation f <=> linear f /\ (!v. norm (f v) = norm v)
% Assm: ORTHOGONAL_TRANSFORMATION_SURJECTIVE: !f. orthogonal_transformation f ==> (!y. ?x. f x = y)
% Assm: ORTHONORMAL_LINEAR_IMAGE: !f. linear f /\ (!x. norm (f x) = norm x) /\ (2 <= dimindex (:3) ==> det (matrix f) = &1) ==> (!e1 e2 e3. orthonormal (f e1) (f e2) (f e3) <=> orthonormal e1 e2 e3)
% Assm: PRESERVES_NORM_INJECTIVE: !f. linear f /\ (!x. norm (f x) = norm x) ==> (!x y. f x = f y ==> x = y)
% Assm: QUANTIFY_SURJECTION_THM: !f. (!y. ?x. f x = y) ==> ((!P. (!x. P x) <=> (!x. P (f x))) /\ (!P. (?x. P x) <=> (?x. P (f x))) /\ (!Q. (!s. Q s) <=> (!s. Q (IMAGE f s))) /\ (!Q. (?s. Q s) <=> (?s. Q (IMAGE f s)))) /\ (!P. {x | P x} = IMAGE f {x | P (f x)})
% Assm: TRUTH: T
% Assm: azim_def: !w1 w2 w v. azim v w w1 w2 = (if collinear {v, w, w1} \/ collinear {v, w, w2} then &0 else @theta. &0 <= theta /\ theta < &2 * pi /\ (?h1 h2. !e1 e2 e3. orthonormal e1 e2 e3 /\ dist (w,v) % e3 = w - v /\ ~(w = v) ==> (?psi r1 r2. w1 - v = (r1 * cos psi) % e1 + (r1 * sin psi) % e2 + h1 % (w - v) /\ w2 - v = (r2 * cos (psi + theta)) % e1 + (r2 * sin (psi + theta)) % e2 + h2 % (w - v) /\ &0 < r1 /\ &0 < r2)))
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !f. linear f /\ (!x. norm (f x) = norm x) /\ (2 <= dimindex (:3) ==> det (matrix f) = &1) ==> (!v w w1 w2. azim (f v) (f w) (f w1) (f w2) = azim v w w1 w2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. linear f /\ (!x y. f x = f y ==> x = y) ==> (collinear (IMAGE f s) <=> collinear s)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. I x = x
% Assm: !f x y. linear f ==> f (x + y) = f x + f y
% Assm: !f c x. linear f ==> f (c % x) = c % f x
% Assm: !f x y. linear f ==> f (x - y) = f x - f y
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !f. orthogonal_transformation f <=> linear f /\ (!v. norm (f v) = norm v)
% Assm: !f. orthogonal_transformation f ==> (!y. ?x. f x = y)
% Assm: !f. linear f /\ (!x. norm (f x) = norm x) /\ (2 <= dimindex (:3) ==> det (matrix f) = &1) ==> (!e1 e2 e3. orthonormal (f e1) (f e2) (f e3) <=> orthonormal e1 e2 e3)
% Assm: !f. linear f /\ (!x. norm (f x) = norm x) ==> (!x y. f x = f y ==> x = y)
% Assm: !f. (!y. ?x. f x = y) ==> ((!P. (!x. P x) <=> (!x. P (f x))) /\ (!P. (?x. P x) <=> (?x. P (f x))) /\ (!Q. (!s. Q s) <=> (!s. Q (IMAGE f s))) /\ (!Q. (?s. Q s) <=> (?s. Q (IMAGE f s)))) /\ (!P. {x | P x} = IMAGE f {x | P (f x)})
% Assm: T
% Assm: !w1 w2 w v. azim v w w1 w2 = (if collinear {v, w, w1} \/ collinear {v, w, w2} then &0 else @theta. &0 <= theta /\ theta < &2 * pi /\ (?h1 h2. !e1 e2 e3. orthonormal e1 e2 e3 /\ dist (w,v) % e3 = w - v /\ ~(w = v) ==> (?psi r1 r2. w1 - v = (r1 * cos psi) % e1 + (r1 * sin psi) % e2 + h1 % (w - v) /\ w2 - v = (r2 * cos (psi + theta)) % e1 + (r2 * sin (psi + theta)) % e2 + h2 % (w - v) /\ &0 < r1 /\ &0 < r2)))
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !f. linear f /\ (!x. norm (f x) = norm x) /\ (2 <= dimindex (:3) ==> det (matrix f) = &1) ==> (!v w w1 w2. azim (f v) (f w) (f w1) (f w2) = azim v w w1 w2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tcartcartrealn3n3, type, cartcartrealn3n3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(chu_, type, h_ : ((real > $o) > real)).
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cmatrix, type, matrix : ((cartrealn3 > cartrealn3) > cartcartrealn3n3)).
thf(cdet, type, det : (cartcartrealn3n3 > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(cpi, type, pi : real).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cinsert0, type, insert0 : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(corthonormal, type, orthonormal : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (real > (real > $o) > real > $o)).
thf(cimage0, type, image0 : ((a > real) > (a > $o) > real > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cimage, type, image : ((cartrealn3 > cartrealn3) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv, type, univ : (n3 > $o)).
thf(cempty0, type, empty0 : (cartrealn3 > $o)).
thf(corthogonaluu_transformation0, type, orthogonalu_transformation0 : ((cartrealn > cartrealn) > $o)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealn3 > cartrealn3) > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(clinear, type, linear : ((cartrealn3 > cartrealn3) > $o)).
thf(cdimindex, type, dimindex : ((n3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(csin, type, sin : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(ci, type, i : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOLLINEARu_LINEARu_IMAGEu_EQ, axiom, ![F:(cartrealn3 > cartrealn3),S:(cartrealn3 > $o)]:(((linear @ F) & ![X:cartrealn3,Y:cartrealn3]:(((F @ X) = (F @ Y)) => (X = Y))) => ((collinear @ (image @ F @ S)) <=> (collinear @ S)))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_IMAGE, axiom, ![Y:real,S:(a > $o),F:(a > real)]:((in0 @ Y @ (image0 @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INSERT, axiom, ![X:real,Y:real,S:(real > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aLINEARu_ADD, axiom, ![F:(cartrealn3 > cartrealn3),X:cartrealn3,Y:cartrealn3]:((linear @ F) => ((F @ (vectoru_add @ X @ Y)) = (vectoru_add @ (F @ X) @ (F @ Y))))).
thf(aLINEARu_CMUL, axiom, ![F:(cartrealn3 > cartrealn3),C:real,X:cartrealn3]:((linear @ F) => ((F @ (r_ @ C @ X)) = (r_ @ C @ (F @ X))))).
thf(aLINEARu_SUB, axiom, ![F:(cartrealn3 > cartrealn3),X:cartrealn3,Y:cartrealn3]:((linear @ F) => ((F @ (vectoru_sub @ X @ Y)) = (vectoru_sub @ (F @ X) @ (F @ Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aORTHOGONALu_TRANSFORMATION, axiom, ![F:(cartrealn3 > cartrealn3)]:((orthogonalu_transformation @ F) <=> ((linear @ F) & ![V:cartrealn3]:((vectoru_norm @ (F @ V)) = (vectoru_norm @ V))))).
thf(aORTHOGONALu_TRANSFORMATIONu_SURJECTIVE, axiom, ![F:(cartrealn > cartrealn)]:((orthogonalu_transformation0 @ F) => ![Y:cartrealn]:?[X:cartrealn]:((F @ X) = Y))).
thf(aORTHONORMALu_LINEARu_IMAGE, axiom, ![F:(cartrealn3 > cartrealn3)]:(((linear @ F) & ![X:cartrealn3]:((vectoru_norm @ (F @ X)) = (vectoru_norm @ X)) & ((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) => ((det @ (matrix @ F)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))) => ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ (F @ E1) @ (F @ E2) @ (F @ E3)) <=> (orthonormal @ E1 @ E2 @ E3)))).
thf(aPRESERVESu_NORMu_INJECTIVE, axiom, ![F:(cartrealn3 > cartrealn3)]:(((linear @ F) & ![X:cartrealn3]:((vectoru_norm @ (F @ X)) = (vectoru_norm @ X))) => ![X:cartrealn3,Y:cartrealn3]:(((F @ X) = (F @ Y)) => (X = Y)))).
thf(aQUANTIFYu_SURJECTIONu_THM, axiom, ![F:(a > real)]:(![Y:real]:?[X:a]:((F @ X) = Y) => (![P:(real > $o)]:(![X:real]:(P @ X) <=> ![X:a]:(P @ (F @ X))) & ![P:(real > $o)]:(?[X:real]:(P @ X) <=> ?[X:a]:(P @ (F @ X))) & ![Q:((real > $o) > $o)]:(![S:(real > $o)]:(Q @ S) <=> ![S:(a > $o)]:(Q @ (image0 @ F @ S))) & ![Q:((real > $o) > $o)]:(?[S:(real > $o)]:(Q @ S) <=> ?[S:(a > $o)]:(Q @ (image0 @ F @ S))) & ![P:(real > $o)]:((gspec @ ^[GENR_PVARR_351:real]:?[X:real]:(setspec @ GENR_PVARR_351 @ (P @ X) @ X)) = (image0 @ F @ (gspec0 @ ^[GENR_PVARR_352:a]:?[X:a]:(setspec0 @ GENR_PVARR_352 @ (P @ (F @ X)) @ X))))))).
thf(aTRUTH, axiom, $true).
thf(aazimu_def, axiom, ![W1:cartrealn3,W2:cartrealn3,W:cartrealn3,V:cartrealn3]:((azim @ V @ W @ W1 @ W2) = (cond @ ((collinear @ (insert0 @ V @ (insert0 @ W @ (insert0 @ W1 @ empty0)))) | (collinear @ (insert0 @ V @ (insert0 @ W @ (insert0 @ W2 @ empty0))))) @ (realu_ofu_num @ (numeral @ u_0)) @ (h_ @ ^[THETA:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ THETA) & (realu_lt @ THETA @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & ?[H1:real,H2:real]:![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:(((orthonormal @ E1 @ E2 @ E3) & ((r_ @ (distance @ (c_ @ W @ V)) @ E3) = (vectoru_sub @ W @ V)) & ~ ((W = V))) => ?[PSI:real,R1:real,R2:real]:(((vectoru_sub @ W1 @ V) = (vectoru_add @ (r_ @ (realu_mul @ R1 @ (cos @ PSI)) @ E1) @ (vectoru_add @ (r_ @ (realu_mul @ R1 @ (sin @ PSI)) @ E2) @ (r_ @ H1 @ (vectoru_sub @ W @ V))))) & ((vectoru_sub @ W2 @ V) = (vectoru_add @ (r_ @ (realu_mul @ R2 @ (cos @ (realu_add @ PSI @ THETA))) @ E1) @ (vectoru_add @ (r_ @ (realu_mul @ R2 @ (sin @ (realu_add @ PSI @ THETA))) @ E2) @ (r_ @ H2 @ (vectoru_sub @ W @ V))))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R2)))))))).
thf(adist, axiom, ![X:cartrealn3,Y:cartrealn3]:((distance @ (c_ @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ X @ Y)))).
thf(conjecture, conjecture, ![F:(cartrealn3 > cartrealn3)]:(((linear @ F) & ![X:cartrealn3]:((vectoru_norm @ (F @ X)) = (vectoru_norm @ X)) & ((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (dimindex @ univ)) => ((det @ (matrix @ F)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))) => ![V:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((azim @ (F @ V) @ (F @ W) @ (F @ W1) @ (F @ W2)) = (azim @ V @ W @ W1 @ W2)))).
