%   ORIGINAL: AREA_UNIT_CBALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ABS_SQUARE_LT_1: !x. x pow 2 < &1 <=> abs x < &1
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUB: !m n. (m + n) - n = m
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: ARITH_ADD_conjunct0: !m n. NUMERAL m + NUMERAL n = NUMERAL (m + n)
% Assm: ARITH_ADD_conjunct1: _0 + _0 = _0
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_ADD_conjunct9: !m n. BIT1 m + BIT1 n = BIT0 (SUC (m + n))
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_EQ_conjunct6: !m n. BIT0 m = BIT0 n <=> m = n
% Assm: ARITH_EQ_conjunct9: !m n. BIT1 m = BIT1 n <=> m = n
% Assm: ARITH_EVEN_conjunct0: !n. EVEN (NUMERAL n) <=> EVEN n
% Assm: ARITH_EVEN_conjunct2: !n. EVEN (BIT0 n) <=> T
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct1: _0 <= _0 <=> T
% Assm: ARITH_LE_conjunct8: !m n. BIT1 m <= BIT0 n <=> m < n
% Assm: ARITH_LE_conjunct9: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: ASN_1: asn (&1) = pi / &2
% Assm: ASN_NEG_1: asn (-- &1) = --(pi / &2)
% Assm: BALL_1: !x r. cball (x,r) = interval [x - lift r,x + lift r] /\ ball (x,r) = interval (x - lift r,x + lift r)
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_CBALL: !x e. compact (cball (x,e))
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: COND_RAND: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: CONTENT_1: !a b. drop a <= drop b ==> content (interval [a,b]) = drop b - drop a
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: DIMINDEX_2: dimindex (:2) = 2
% Assm: DROPOUT_0: dropout k (vec 0) = vec 0
% Assm: DROP_NEG: !x. drop (--x) = --drop x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXP_ADD: !m n p. m EXP (n + p) = m EXP n * m EXP p
% Assm: EXP_conjunct0: !m. m EXP 0 = 1
% Assm: EXP_conjunct1: !m n. m EXP SUC n = m * m EXP n
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FUBINI_SIMPLE_COMPACT: !k s. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) /\ compact s /\ ((\t. measure (slice k t s)) has_real_integral B) (:real) ==> measure s = B
% Assm: Float.POW_1: !x. x pow 1 = x
% Assm: HAS_REAL_DERIVATIVE_ADD: !f f' g g' net. (f has_real_derivative f') net /\ (g has_real_derivative g') net ==> ((\x. f x + g x) has_real_derivative f' + g') net
% Assm: HAS_REAL_DERIVATIVE_ASN: !x. abs x < &1 ==> (asn has_real_derivative inv (sqrt (&1 - x pow 2))) (atreal x)
% Assm: HAS_REAL_DERIVATIVE_CHAIN: !P f g. (!x. P x ==> (g has_real_derivative g' x) (atreal x)) ==> (!x s. (f has_real_derivative f') (atreal x within s) /\ P (f x) ==> ((\x. g (f x)) has_real_derivative f' * g' (f x)) (atreal x within s)) /\ (!x. (f has_real_derivative f') (atreal x) /\ P (f x) ==> ((\x. g (f x)) has_real_derivative f' * g' (f x)) (atreal x))
% Assm: HAS_REAL_DERIVATIVE_CONST: !c net. ((\x. c) has_real_derivative &0) net
% Assm: HAS_REAL_DERIVATIVE_ID: !net. ((\x. x) has_real_derivative &1) net
% Assm: HAS_REAL_DERIVATIVE_MUL_ATREAL: !f f' g g' x. (f has_real_derivative f') (atreal x) /\ (g has_real_derivative g') (atreal x) ==> ((\x. f x * g x) has_real_derivative f x * g' + f' * g x) (atreal x)
% Assm: HAS_REAL_DERIVATIVE_POW_ATREAL: !f f' x n. (f has_real_derivative f') (atreal x) ==> ((\x. f x pow n) has_real_derivative &n * f x pow (n - 1) * f') (atreal x)
% Assm: HAS_REAL_DERIVATIVE_SQRT: !x. &0 < x ==> (sqrt has_real_derivative inv (&2 * sqrt x)) (atreal x)
% Assm: HAS_REAL_DERIVATIVE_SUB: !f f' g g' net. (f has_real_derivative f') net /\ (g has_real_derivative g') net ==> ((\x. f x - g x) has_real_derivative f' - g') net
% Assm: HAS_REAL_INTEGRAL_EQ: !f g k s. (!x. x IN s ==> f x = g x) /\ (f has_real_integral k) s ==> (g has_real_integral k) s
% Assm: HAS_REAL_INTEGRAL_RESTRICT_UNIV: !f s i. ((\x. if x IN s then f x else &0) has_real_integral i) (:real) <=> (f has_real_integral i) s
% Assm: IN_REAL_INTERVAL: !a b x. (x IN real_interval [a,b] <=> a <= x /\ x <= b) /\ (x IN real_interval (a,b) <=> a < x /\ x < b)
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_0: !n. 0 <= n
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: MEASURE_EMPTY: measure {} = &0
% Assm: MEASURE_INTERVAL_conjunct0: !a b. measure (interval [a,b]) = content (interval [a,b])
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_BOUNDS_LE: !x k. --k <= x /\ x <= k <=> abs x <= k
% Assm: REAL_BOUNDS_LT: !x k. --k < x /\ x < k <=> abs x < k
% Assm: REAL_CONTINUOUS_ON_ADD: !f g s. f real_continuous_on s /\ g real_continuous_on s ==> (\x. f x + g x) real_continuous_on s
% Assm: REAL_CONTINUOUS_ON_ASN: !s. (!x. x IN s ==> abs x <= &1) ==> asn real_continuous_on s
% Assm: REAL_CONTINUOUS_ON_COMPOSE: !f g s. f real_continuous_on s /\ g real_continuous_on IMAGE f s ==> g o f real_continuous_on s
% Assm: REAL_CONTINUOUS_ON_CONST: !s c. (\x. c) real_continuous_on s
% Assm: REAL_CONTINUOUS_ON_ID: !s. (\x. x) real_continuous_on s
% Assm: REAL_CONTINUOUS_ON_MUL: !f g s. f real_continuous_on s /\ g real_continuous_on s ==> (\x. f x * g x) real_continuous_on s
% Assm: REAL_CONTINUOUS_ON_POW: !f n s. f real_continuous_on s ==> (\x. f x pow n) real_continuous_on s
% Assm: REAL_CONTINUOUS_ON_SQRT: !s. (!x. x IN s ==> &0 <= x) ==> sqrt real_continuous_on s
% Assm: REAL_CONTINUOUS_ON_SUB: !f g s. f real_continuous_on s /\ g real_continuous_on s ==> (\x. f x - g x) real_continuous_on s
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_EQ_ADD_LCANCEL: !x y z. x + y = x + z <=> y = z
% Assm: REAL_FUNDAMENTAL_THEOREM_OF_CALCULUS_INTERIOR: !f f' a b. a <= b /\ f real_continuous_on real_interval [a,b] /\ (!x. x IN real_interval (a,b) ==> (f has_real_derivative f' x) (atreal x)) ==> (f' has_real_integral f b - f a) (real_interval [a,b])
% Assm: REAL_INV_DIV: !x y. inv (x / y) = y / x
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_INV_NEG: !x. inv (--x) = --inv x
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LE_SQUARE_ABS: !x y. abs x <= abs y <=> x pow 2 <= y pow 2
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: REAL_MUL_RINV: !x. ~(x = &0) ==> x * inv x = &1
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_OF_NUM_POW: !x n. &x pow n = &(x EXP n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_POW_NEG: !x n. --x pow n = (if EVEN n then x pow n else --(x pow n))
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: REAL_SUB_LZERO: !x. &0 - x = --x
% Assm: REAL_SUB_RZERO: !x. x - &0 = x
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: Real_ext.REAL_SV_SQRT_0: sqrt (&0) = &0
% Assm: SLICE_CBALL: !k t x r. dimindex (:M) + 1 = dimindex (:N) /\ 1 <= k /\ k <= dimindex (:N) ==> slice k t (cball (x,r)) = (if abs (t - x$k) <= r then cball (dropout k x,sqrt (r pow 2 - (t - x$k) pow 2)) else {})
% Assm: SQRT_POS_LE: !x. &0 <= x ==> &0 <= sqrt x
% Assm: SQRT_POW_2: !x. &0 <= x ==> sqrt x pow 2 = x
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: Trigonometry2.ABS_1: abs (&1) = &1
% Assm: Trigonometry2.POW2_1: &1 pow 2 = &1
% Assm: VECTOR_ADD_LID: !x. vec 0 + x = x
% Assm: VECTOR_SUB_LZERO: vec 0 - x = --x
% Assm: VEC_COMPONENT: !k i. vec k$i = &k
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: real_max: !n m. max m n = (if m <= n then n else m)
% Assm: real_min: !m n. min m n = (if m <= n then m else n)
% Assm: real_sub: !x y. x - y = x + --y
% Goal: measure (cball (vec 0,&1)) = pi
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !x. x pow 2 < &1 <=> abs x < &1
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. (m + n) - n = m
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !m n. NUMERAL m + NUMERAL n = NUMERAL (m + n)
% Assm: _0 + _0 = _0
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. BIT1 m + BIT1 n = BIT0 (SUC (m + n))
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. BIT0 m = BIT0 n <=> m = n
% Assm: !m n. BIT1 m = BIT1 n <=> m = n
% Assm: !n. EVEN (NUMERAL n) <=> EVEN n
% Assm: !n. EVEN (BIT0 n) <=> T
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: _0 <= _0 <=> T
% Assm: !m n. BIT1 m <= BIT0 n <=> m < n
% Assm: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: asn (&1) = pi / &2
% Assm: asn (-- &1) = --(pi / &2)
% Assm: !x r. cball (x,r) = interval [x - lift r,x + lift r] /\ ball (x,r) = interval (x - lift r,x + lift r)
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. compact (cball (x,e))
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !a b. drop a <= drop b ==> content (interval [a,b]) = drop b - drop a
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: dimindex (:1) = 1
% Assm: dimindex (:2) = 2
% Assm: !k. dropout k (vec 0) = vec 0
% Assm: !x. drop (--x) = --drop x
% Assm: !t. (\x. t x) = t
% Assm: !m n p. m EXP (n + p) = m EXP n * m EXP p
% Assm: !m. m EXP 0 = 1
% Assm: !m n. m EXP SUC n = m * m EXP n
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !B k s. dimindex (:2) + 1 = dimindex (:2) /\ 1 <= k /\ k <= dimindex (:2) /\ compact s /\ ((\t. measure (slice k t s)) has_real_integral B) (:real) ==> measure s = B
% Assm: !x. x pow 1 = x
% Assm: !f f' g g' net. (f has_real_derivative f') net /\ (g has_real_derivative g') net ==> ((\x. f x + g x) has_real_derivative f' + g') net
% Assm: !x. abs x < &1 ==> (asn has_real_derivative inv (sqrt (&1 - x pow 2))) (atreal x)
% Assm: !f' g' P f g. (!x. P x ==> (g has_real_derivative g' x) (atreal x)) ==> (!x s. (f has_real_derivative f') (atreal x within s) /\ P (f x) ==> ((\x. g (f x)) has_real_derivative f' * g' (f x)) (atreal x within s)) /\ (!x. (f has_real_derivative f') (atreal x) /\ P (f x) ==> ((\x. g (f x)) has_real_derivative f' * g' (f x)) (atreal x))
% Assm: !c net. ((\x. c) has_real_derivative &0) net
% Assm: !net. ((\x. x) has_real_derivative &1) net
% Assm: !f f' g g' x. (f has_real_derivative f') (atreal x) /\ (g has_real_derivative g') (atreal x) ==> ((\x. f x * g x) has_real_derivative f x * g' + f' * g x) (atreal x)
% Assm: !f f' x n. (f has_real_derivative f') (atreal x) ==> ((\x. f x pow n) has_real_derivative &n * f x pow (n - 1) * f') (atreal x)
% Assm: !x. &0 < x ==> (sqrt has_real_derivative inv (&2 * sqrt x)) (atreal x)
% Assm: !f f' g g' net. (f has_real_derivative f') net /\ (g has_real_derivative g') net ==> ((\x. f x - g x) has_real_derivative f' - g') net
% Assm: !f g k s. (!x. x IN s ==> f x = g x) /\ (f has_real_integral k) s ==> (g has_real_integral k) s
% Assm: !f s i. ((\x. if x IN s then f x else &0) has_real_integral i) (:real) <=> (f has_real_integral i) s
% Assm: !a b x. (x IN real_interval [a,b] <=> a <= x /\ x <= b) /\ (x IN real_interval (a,b) <=> a < x /\ x < b)
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !n. 0 <= n
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !x. drop (lift x) = x
% Assm: measure {} = &0
% Assm: !a b. measure (interval [a,b]) = content (interval [a,b])
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x k. --k <= x /\ x <= k <=> abs x <= k
% Assm: !x k. --k < x /\ x < k <=> abs x < k
% Assm: !f g s. f real_continuous_on s /\ g real_continuous_on s ==> (\x. f x + g x) real_continuous_on s
% Assm: !s. (!x. x IN s ==> abs x <= &1) ==> asn real_continuous_on s
% Assm: !f g s. f real_continuous_on s /\ g real_continuous_on IMAGE f s ==> g o f real_continuous_on s
% Assm: !s c. (\x. c) real_continuous_on s
% Assm: !s. (\x. x) real_continuous_on s
% Assm: !f g s. f real_continuous_on s /\ g real_continuous_on s ==> (\x. f x * g x) real_continuous_on s
% Assm: !f n s. f real_continuous_on s ==> (\x. f x pow n) real_continuous_on s
% Assm: !s. (!x. x IN s ==> &0 <= x) ==> sqrt real_continuous_on s
% Assm: !f g s. f real_continuous_on s /\ g real_continuous_on s ==> (\x. f x - g x) real_continuous_on s
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y z. x + y = x + z <=> y = z
% Assm: !f f' a b. a <= b /\ f real_continuous_on real_interval [a,b] /\ (!x. x IN real_interval (a,b) ==> (f has_real_derivative f' x) (atreal x)) ==> (f' has_real_integral f b - f a) (real_interval [a,b])
% Assm: !x y. inv (x / y) = y / x
% Assm: !x. inv (inv x) = x
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x. inv (--x) = --inv x
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: !x y. abs x <= abs y <=> x pow 2 <= y pow 2
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: !x y. --x * y = --(x * y)
% Assm: !x. x * &1 = x
% Assm: !x. ~(x = &0) ==> x * inv x = &1
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x n. &x pow n = &(x EXP n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x n. --x pow n = (if EVEN n then x pow n else --(x pow n))
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x. &0 - x = --x
% Assm: !x. x - &0 = x
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: !x y. x < y ==> x <= y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: sqrt (&0) = &0
% Assm: !k t x r. dimindex (:2) + 1 = dimindex (:2) /\ 1 <= k /\ k <= dimindex (:2) ==> slice k t (cball (x,r)) = (if abs (t - x$k) <= r then cball (dropout k x,sqrt (r pow 2 - (t - x$k) pow 2)) else {})
% Assm: !x. &0 <= x ==> &0 <= sqrt x
% Assm: !x. &0 <= x ==> sqrt x pow 2 = x
% Assm: T
% Assm: 2 = SUC 1
% Assm: abs (&1) = &1
% Assm: &1 pow 2 = &1
% Assm: !x. vec 0 + x = x
% Assm: !x. vec 0 - x = --x
% Assm: !k i. vec k$i = &k
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !n m. max m n = (if m <= n then n else m)
% Assm: !m n. min m n = (if m <= n then m else n)
% Assm: !x y. x - y = x + --y
% Goal: measure (cball (vec 0,&1)) = pi
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq47565, type, q47565 : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tq47566, type, q47566 : $tType).
thf(tprodcartrealn1real, type, prodcartrealn1real : $tType).
thf(tprodcartrealn2real, type, prodcartrealn2real : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn2, type, n2 : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tprodcartrealn2cartrealn2, type, prodcartrealn2cartrealn2 : $tType).
thf(tlistprodcartrealn2cartrealn2, type, listprodcartrealn2cartrealn2 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil1, type, nil1 : listprodcartrealn2cartrealn2).
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cvectoruu_neg0, type, vectoru_neg0 : (cartrealn2 > cartrealn2)).
thf(cdu_, type, d_ : (cartrealn2 > num > real)).
thf(crealuu_continuousuu_on, type, realu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(ccontent0, type, content0 : ((cartrealn2 > $o) > real)).
thf(ccloseduu_interval0, type, closedu_interval0 : (listprodcartrealn2cartrealn2 > cartrealn2 > $o)).
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(cin1, type, in1 : (real > (real > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cin0, type, in0 : (q47566 > (q47566 > $o) > $o)).
thf(cin, type, in : (q47565 > (q47565 > $o) > $o)).
thf(cexp, type, exp : (num > num > num)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn1 > cartrealn1)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(ccontent, type, content : ((cartrealn1 > $o) > real)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cball, type, ball : (prodcartrealn1real > cartrealn1 > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(ccball0, type, cball0 : (prodcartrealn1real > cartrealn1 > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cmu_, type, m_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvec, type, vec : (num > cartrealn2)).
thf(ccball, type, cball : (prodcartrealn2real > cartrealn2 > $o)).
thf(cmeasure, type, measure : ((cartrealn2 > $o) > real)).
thf(cpi, type, pi : real).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccond1, type, cond1 : ($o > (cartrealn2 > $o) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(co, type, o : ((real > real) > (real > real) > real > real)).
thf(cimage0, type, image0 : ((real > real) > (real > $o) > real > $o)).
thf(ccu_3, type, c_3 : (cartrealn2 > cartrealn2 > prodcartrealn2cartrealn2)).
thf(ccons1, type, cons1 : (prodcartrealn2cartrealn2 > listprodcartrealn2cartrealn2 > listprodcartrealn2cartrealn2)).
thf(ccu_2, type, c_2 : (real > real > prodrealreal)).
thf(ccons0, type, cons0 : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(cslice, type, slice : (num > real > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(chasuu_realuu_integral, type, hasu_realu_integral : ((real > real) > real > (real > $o) > $o)).
thf(cimage, type, image : ((q47566 > q47565) > (q47566 > $o) > q47565 > $o)).
thf(cdropout, type, dropout : (num > cartrealn2 > cartrealn2)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(ccu_1, type, c_1 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(ccu_0, type, c_0 : (cartrealn1 > real > prodcartrealn1real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn2 > real > prodcartrealn2real)).
thf(ceven, type, even : (num > $o)).
thf(cuniv, type, univ : (n1 > $o)).
thf(cuniv0, type, univ0 : (n2 > $o)).
thf(cempty, type, empty : (cartrealn2 > $o)).
thf(ccompact, type, compact : ((cartrealn2 > $o) > $o)).
thf(cnil0, type, nil0 : listprodrealreal).
thf(catreal, type, atreal : (real > netreal)).
thf(cdimindex0, type, dimindex0 : ((n2 > $o) > num)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cuniv1, type, univ1 : (real > $o)).
thf(csqrt, type, sqrt : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(casn, type, asn : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(csuc, type, suc : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aABSu_SQUAREu_LTu_1, axiom, ![X:real]:((realu_lt @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) <=> (realu_lt @ (realu_abs @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUB, axiom, ![M:num,N:num]:((m_ @ (p_ @ M @ N) @ N) = M)).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct0, axiom, ![M:num,N:num]:((p_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct1, axiom, ((p_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct9, axiom, ![M:num,N:num]:((p_ @ (bit1 @ M) @ (bit1 @ N)) = (bit0 @ (suc @ (p_ @ M @ N))))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_EQu_conjunct6, axiom, ![M:num,N:num]:(((bit0 @ M) = (bit0 @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct9, axiom, ![M:num,N:num]:(((bit1 @ M) = (bit1 @ N)) <=> (M = N))).
thf(aARITHu_EVENu_conjunct0, axiom, ![N:num]:((even @ (numeral @ N)) <=> (even @ N))).
thf(aARITHu_EVENu_conjunct2, axiom, ![N:num]:((even @ (bit0 @ N)) <=> $true)).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct1, axiom, ((l_a_ @ u_0 @ u_0) <=> $true)).
thf(aARITHu_LEu_conjunct8, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit0 @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LEu_conjunct9, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aASNu_1, axiom, ((asn @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aASNu_NEGu_1, axiom, ((asn @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) = (realu_neg @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(aBALLu_1, axiom, ![X:cartrealn1,R:real]:(((cball0 @ (c_0 @ X @ R)) = (closedu_interval @ (cons @ (c_1 @ (vectoru_sub @ X @ (lift @ R)) @ (vectoru_add @ X @ (lift @ R))) @ nil))) & ((ball @ (c_0 @ X @ R)) = (openu_interval @ (c_1 @ (vectoru_sub @ X @ (lift @ R)) @ (vectoru_add @ X @ (lift @ R))))))).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_CBALL, axiom, ![X:cartrealn2,E:real]:(compact @ (cball @ (c_ @ X @ E)))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCONDu_RAND, axiom, ![B:$o,F:(a > real),X:a,Y:a]:((F @ (cond0 @ B @ X @ Y)) = (cond @ B @ (F @ X) @ (F @ Y)))).
thf(aCONTENTu_1, axiom, ![A:cartrealn1,B:cartrealn1]:((realu_le @ (drop @ A) @ (drop @ B)) => ((content @ (closedu_interval @ (cons @ (c_1 @ A @ B) @ nil))) = (realu_sub @ (drop @ B) @ (drop @ A))))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aDIMINDEXu_2, axiom, ((dimindex0 @ univ0) = (numeral @ (bit0 @ (bit1 @ u_0))))).
thf(aDROPOUTu_0, axiom, ![K:num]:((dropout @ K @ (vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0)))).
thf(aDROPu_NEG, axiom, ![X:cartrealn1]:((drop @ (vectoru_neg @ X)) = (realu_neg @ (drop @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXPu_ADD, axiom, ![M:num,N:num,P:num]:((exp @ M @ (p_ @ N @ P)) = (t_ @ (exp @ M @ N) @ (exp @ M @ P)))).
thf(aEXPu_conjunct0, axiom, ![M:num]:((exp @ M @ (numeral @ u_0)) = (numeral @ (bit1 @ u_0)))).
thf(aEXPu_conjunct1, axiom, ![M:num,N:num]:((exp @ M @ (suc @ N)) = (t_ @ M @ (exp @ M @ N)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(q47565 > $o),F:(q47566 > q47565),S:(q47566 > $o)]:(![Y:q47565]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:q47566]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aFUBINIu_SIMPLEu_COMPACT, axiom, ![B:real,K:num,S:(cartrealn2 > $o)]:((((p_ @ (dimindex0 @ univ0) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0)) & (compact @ S) & (hasu_realu_integral @ ^[T:real]:(measure @ (slice @ K @ T @ S)) @ B @ univ1)) => ((measure @ S) = B))).
thf(aFloato_POWu_1, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit1 @ u_0))) = X)).
thf(aHASu_REALu_DERIVATIVEu_ADD, axiom, ![F:(real > real),FI_:real,G:(real > real),GI_:real,NET:netreal]:(((hasu_realu_derivative @ F @ FI_ @ NET) & (hasu_realu_derivative @ G @ GI_ @ NET)) => (hasu_realu_derivative @ ^[X:real]:(realu_add @ (F @ X) @ (G @ X)) @ (realu_add @ FI_ @ GI_) @ NET))).
thf(aHASu_REALu_DERIVATIVEu_ASN, axiom, ![X:real]:((realu_lt @ (realu_abs @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => (hasu_realu_derivative @ asn @ (realu_inv @ (sqrt @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0))))))) @ (atreal @ X)))).
thf(aHASu_REALu_DERIVATIVEu_CHAIN, axiom, ![FI_:real,GI_:(real > real),P:(real > $o),F:(real > real),G:(real > real)]:(![X:real]:((P @ X) => (hasu_realu_derivative @ G @ (GI_ @ X) @ (atreal @ X))) => (![X:real,S:(real > $o)]:(((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) & (P @ (F @ X))) => (hasu_realu_derivative @ ^[X:real]:(G @ (F @ X)) @ (realu_mul @ FI_ @ (GI_ @ (F @ X))) @ (within @ (atreal @ X) @ S))) & ![X:real]:(((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) & (P @ (F @ X))) => (hasu_realu_derivative @ ^[X:real]:(G @ (F @ X)) @ (realu_mul @ FI_ @ (GI_ @ (F @ X))) @ (atreal @ X)))))).
thf(aHASu_REALu_DERIVATIVEu_CONST, axiom, ![C:real,NET:netreal]:(hasu_realu_derivative @ ^[X:real]:C @ (realu_ofu_num @ (numeral @ u_0)) @ NET)).
thf(aHASu_REALu_DERIVATIVEu_ID, axiom, ![NET:netreal]:(hasu_realu_derivative @ ^[X:real]:X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ NET)).
thf(aHASu_REALu_DERIVATIVEu_MULu_ATREAL, axiom, ![F:(real > real),FI_:real,G:(real > real),GI_:real,X:real]:(((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) & (hasu_realu_derivative @ G @ GI_ @ (atreal @ X))) => (hasu_realu_derivative @ ^[X:real]:(realu_mul @ (F @ X) @ (G @ X)) @ (realu_add @ (realu_mul @ (F @ X) @ GI_) @ (realu_mul @ FI_ @ (G @ X))) @ (atreal @ X)))).
thf(aHASu_REALu_DERIVATIVEu_POWu_ATREAL, axiom, ![F:(real > real),FI_:real,X:real,N:num]:((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) => (hasu_realu_derivative @ ^[X:real]:(realu_pow @ (F @ X) @ N) @ (realu_mul @ (realu_ofu_num @ N) @ (realu_mul @ (realu_pow @ (F @ X) @ (m_ @ N @ (numeral @ (bit1 @ u_0)))) @ FI_)) @ (atreal @ X)))).
thf(aHASu_REALu_DERIVATIVEu_SQRT, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (hasu_realu_derivative @ sqrt @ (realu_inv @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (sqrt @ X))) @ (atreal @ X)))).
thf(aHASu_REALu_DERIVATIVEu_SUB, axiom, ![F:(real > real),FI_:real,G:(real > real),GI_:real,NET:netreal]:(((hasu_realu_derivative @ F @ FI_ @ NET) & (hasu_realu_derivative @ G @ GI_ @ NET)) => (hasu_realu_derivative @ ^[X:real]:(realu_sub @ (F @ X) @ (G @ X)) @ (realu_sub @ FI_ @ GI_) @ NET))).
thf(aHASu_REALu_INTEGRALu_EQ, axiom, ![F:(real > real),G:(real > real),K:real,S:(real > $o)]:((![X:real]:((in1 @ X @ S) => ((F @ X) = (G @ X))) & (hasu_realu_integral @ F @ K @ S)) => (hasu_realu_integral @ G @ K @ S))).
thf(aHASu_REALu_INTEGRALu_RESTRICTu_UNIV, axiom, ![F:(real > real),S:(real > $o),I:real]:((hasu_realu_integral @ ^[X:real]:(cond @ (in1 @ X @ S) @ (F @ X) @ (realu_ofu_num @ (numeral @ u_0))) @ I @ univ1) <=> (hasu_realu_integral @ F @ I @ S))).
thf(aINu_REALu_INTERVAL, axiom, ![A:real,B:real,X:real]:(((in1 @ X @ (closedu_realu_interval @ (cons0 @ (c_2 @ A @ B) @ nil0))) <=> ((realu_le @ A @ X) & (realu_le @ X @ B))) & ((in1 @ X @ (openu_realu_interval @ (c_2 @ A @ B))) <=> ((realu_lt @ A @ X) & (realu_lt @ X @ B))))).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aMEASUREu_EMPTY, axiom, ((measure @ empty) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aMEASUREu_INTERVALu_conjunct0, axiom, ![A:cartrealn2,B:cartrealn2]:((measure @ (closedu_interval0 @ (cons1 @ (c_3 @ A @ B) @ nil1))) = (content0 @ (closedu_interval0 @ (cons1 @ (c_3 @ A @ B) @ nil1))))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_BOUNDSu_LE, axiom, ![X:real,K:real]:(((realu_le @ (realu_neg @ K) @ X) & (realu_le @ X @ K)) <=> (realu_le @ (realu_abs @ X) @ K))).
thf(aREALu_BOUNDSu_LT, axiom, ![X:real,K:real]:(((realu_lt @ (realu_neg @ K) @ X) & (realu_lt @ X @ K)) <=> (realu_lt @ (realu_abs @ X) @ K))).
thf(aREALu_CONTINUOUSu_ONu_ADD, axiom, ![F:(real > real),G:(real > real),S:(real > $o)]:(((realu_continuousu_on @ F @ S) & (realu_continuousu_on @ G @ S)) => (realu_continuousu_on @ ^[X:real]:(realu_add @ (F @ X) @ (G @ X)) @ S))).
thf(aREALu_CONTINUOUSu_ONu_ASN, axiom, ![S:(real > $o)]:(![X:real]:((in1 @ X @ S) => (realu_le @ (realu_abs @ X) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (realu_continuousu_on @ asn @ S))).
thf(aREALu_CONTINUOUSu_ONu_COMPOSE, axiom, ![F:(real > real),G:(real > real),S:(real > $o)]:(((realu_continuousu_on @ F @ S) & (realu_continuousu_on @ G @ (image0 @ F @ S))) => (realu_continuousu_on @ (o @ G @ F) @ S))).
thf(aREALu_CONTINUOUSu_ONu_CONST, axiom, ![S:(real > $o),C:real]:(realu_continuousu_on @ ^[X:real]:C @ S)).
thf(aREALu_CONTINUOUSu_ONu_ID, axiom, ![S:(real > $o)]:(realu_continuousu_on @ ^[X:real]:X @ S)).
thf(aREALu_CONTINUOUSu_ONu_MUL, axiom, ![F:(real > real),G:(real > real),S:(real > $o)]:(((realu_continuousu_on @ F @ S) & (realu_continuousu_on @ G @ S)) => (realu_continuousu_on @ ^[X:real]:(realu_mul @ (F @ X) @ (G @ X)) @ S))).
thf(aREALu_CONTINUOUSu_ONu_POW, axiom, ![F:(real > real),N:num,S:(real > $o)]:((realu_continuousu_on @ F @ S) => (realu_continuousu_on @ ^[X:real]:(realu_pow @ (F @ X) @ N) @ S))).
thf(aREALu_CONTINUOUSu_ONu_SQRT, axiom, ![S:(real > $o)]:(![X:real]:((in1 @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X)) => (realu_continuousu_on @ sqrt @ S))).
thf(aREALu_CONTINUOUSu_ONu_SUB, axiom, ![F:(real > real),G:(real > real),S:(real > $o)]:(((realu_continuousu_on @ F @ S) & (realu_continuousu_on @ G @ S)) => (realu_continuousu_on @ ^[X:real]:(realu_sub @ (F @ X) @ (G @ X)) @ S))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_EQu_ADDu_LCANCEL, axiom, ![X:real,Y:real,Z:real]:(((realu_add @ X @ Y) = (realu_add @ X @ Z)) <=> (Y = Z))).
thf(aREALu_FUNDAMENTALu_THEOREMu_OFu_CALCULUSu_INTERIOR, axiom, ![F:(real > real),FI_:(real > real),A:real,B:real]:(((realu_le @ A @ B) & (realu_continuousu_on @ F @ (closedu_realu_interval @ (cons0 @ (c_2 @ A @ B) @ nil0))) & ![X:real]:((in1 @ X @ (openu_realu_interval @ (c_2 @ A @ B))) => (hasu_realu_derivative @ F @ (FI_ @ X) @ (atreal @ X)))) => (hasu_realu_integral @ FI_ @ (realu_sub @ (F @ B) @ (F @ A)) @ (closedu_realu_interval @ (cons0 @ (c_2 @ A @ B) @ nil0))))).
thf(aREALu_INVu_DIV, axiom, ![X:real,Y:real]:((realu_inv @ (realu_div @ X @ Y)) = (realu_div @ Y @ X))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_INVu_NEG, axiom, ![X:real]:((realu_inv @ (realu_neg @ X)) = (realu_neg @ (realu_inv @ X)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LEu_SQUAREu_ABS, axiom, ![X:real,Y:real]:((realu_le @ (realu_abs @ X) @ (realu_abs @ Y)) <=> (realu_le @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_MULu_RINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ X @ (realu_inv @ X)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_OFu_NUMu_POW, axiom, ![X:num,N:num]:((realu_pow @ (realu_ofu_num @ X) @ N) = (realu_ofu_num @ (exp @ X @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_POWu_NEG, axiom, ![X:real,N:num]:((realu_pow @ (realu_neg @ X) @ N) = (cond @ (even @ N) @ (realu_pow @ X @ N) @ (realu_neg @ (realu_pow @ X @ N))))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_SUBu_LZERO, axiom, ![X:real]:((realu_sub @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_neg @ X))).
thf(aREALu_SUBu_RZERO, axiom, ![X:real]:((realu_sub @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_SQRTu_0, axiom, ((sqrt @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSLICEu_CBALL, axiom, ![K:num,T:real,X:cartrealn2,R:real]:((((p_ @ (dimindex0 @ univ0) @ (numeral @ (bit1 @ u_0))) = (dimindex0 @ univ0)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ0))) => ((slice @ K @ T @ (cball @ (c_ @ X @ R))) = (cond1 @ (realu_le @ (realu_abs @ (realu_sub @ T @ (d_ @ X @ K))) @ R) @ (cball @ (c_ @ (dropout @ K @ X) @ (sqrt @ (realu_sub @ (realu_pow @ R @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (realu_sub @ T @ (d_ @ X @ K)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))))) @ empty)))).
thf(aSQRTu_POSu_LE, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sqrt @ X)))).
thf(aSQRTu_POWu_2, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((realu_pow @ (sqrt @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = X))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometry2o_ABSu_1, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometry2o_POW2u_1, axiom, ((realu_pow @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aVECTORu_ADDu_LID, axiom, ![X:cartrealn2]:((vectoru_add0 @ (vec @ (numeral @ u_0)) @ X) = X)).
thf(aVECTORu_SUBu_LZERO, axiom, ![X:cartrealn2]:((vectoru_sub0 @ (vec @ (numeral @ u_0)) @ X) = (vectoru_neg0 @ X))).
thf(aVECu_COMPONENT, axiom, ![K:num,I:num]:((d_ @ (vec @ K) @ I) = (realu_ofu_num @ K))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(arealu_max, axiom, ![N:real,M:real]:((realu_max @ M @ N) = (cond @ (realu_le @ M @ N) @ N @ M))).
thf(arealu_min, axiom, ![M:real,N:real]:((realu_min @ M @ N) = (cond @ (realu_le @ M @ N) @ M @ N))).
thf(arealu_sub, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_neg @ Y)))).
thf(conjecture, conjecture, ((measure @ (cball @ (c_ @ (vec @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))) = pi)).
