%   ORIGINAL: Geomdetail.aff
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Trigonometry.BYFLKYM1: aff = (hull) affine
% Goal: aff = (hull) affine
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: aff = (hull) affine
% Goal: aff = (hull) affine
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq745303, type, cartrealq745303 : $tType).
thf(tq745303, type, q745303 : $tType).
%  CONSTS
thf(caff, type, aff : ((cartrealq745303 > $o) > cartrealq745303 > $o)).
thf(chull, type, hull : (((cartrealq745303 > $o) > $o) > (cartrealq745303 > $o) > cartrealq745303 > $o)).
thf(caffine, type, affine : ((cartrealq745303 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (cartrealq745303 > $o) > cartrealq745303 > $o),G:(a > (cartrealq745303 > $o) > cartrealq745303 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTrigonometryo_BYFLKYM1, axiom, (aff = (hull @ affine))).
thf(conjecture, conjecture, (aff = (hull @ affine))).
