%   ORIGINAL: Geomdetail.WHEN_IN_Q_SYS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Geomdetail.Q_SYS: !s. Q_SYS s = {q | quasi_reg_tet q s \/ strict_qua q s /\ (?c d. !qq. c IN q /\ d IN q /\ d3 c d > &2 * t0 /\ (quasi_reg_tet qq s \/ strict_qua qq s) /\ conv0 {c, d} INTER conv0 qq = {}) \/ strict_qua q s /\ (CARD {t | ?v w. v IN q /\ w IN q /\ &2 * t0 < d3 v w /\ anchor t v w s} > 4 \/ CARD {t | ?v w. v IN q /\ w IN q /\ &2 * t0 < d3 v w /\ anchor t v w s} = 4 /\ ~(?v1 v2 v3 v4 v w. v IN q /\ w IN q /\ {v1, v2, v3, v4} SUBSET anchor_points v w s /\ &2 * t0 < d3 v w /\ quartered_oct v w v1 v2 v3 v4 s)) \/ (?v w v1 v2 v3 v4. q = {v, w, v1, v2} /\ quartered_oct v w v1 v2 v3 v4 s) \/ (?v v1 v3 v2 v4. (q = {v, v1, v2, v3} \/ q = {v, v1, v3, v4}) /\ interior_pos v v1 v3 v2 v4 s /\ anchor_points v1 v3 s = {v, v2, v4} /\ anchor_points v2 v4 s = {v, v1, v3})}
% Assm: Geomdetail.strict_qua_in_oct: !q s. (?v w v1 v2 v3 v4. q = {v, w, v1, v2} /\ quartered_oct v w v1 v2 v3 v4 s) ==> strict_qua q s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !q s. q IN Q_SYS s ==> quasi_reg_tet q s \/ strict_qua q s \/ (?v v1 v3 v2 v4. (q = {v, v1, v2, v3} \/ q = {v, v1, v3, v4}) /\ interior_pos v v1 v3 v2 v4 s /\ anchor_points v1 v3 s = {v, v2, v4} /\ anchor_points v2 v4 s = {v, v1, v3})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !s. Q_SYS s = {q | quasi_reg_tet q s \/ strict_qua q s /\ (?c d. !qq. c IN q /\ d IN q /\ d3 c d > &2 * t0 /\ (quasi_reg_tet qq s \/ strict_qua qq s) /\ conv0 {c, d} INTER conv0 qq = {}) \/ strict_qua q s /\ (CARD {t | ?v w. v IN q /\ w IN q /\ &2 * t0 < d3 v w /\ anchor t v w s} > 4 \/ CARD {t | ?v w. v IN q /\ w IN q /\ &2 * t0 < d3 v w /\ anchor t v w s} = 4 /\ ~(?v1 v2 v3 v4 v w. v IN q /\ w IN q /\ {v1, v2, v3, v4} SUBSET anchor_points v w s /\ &2 * t0 < d3 v w /\ quartered_oct v w v1 v2 v3 v4 s)) \/ (?v w v1 v2 v3 v4. q = {v, w, v1, v2} /\ quartered_oct v w v1 v2 v3 v4 s) \/ (?v v1 v3 v2 v4. (q = {v, v1, v2, v3} \/ q = {v, v1, v3, v4}) /\ interior_pos v v1 v3 v2 v4 s /\ anchor_points v1 v3 s = {v, v2, v4} /\ anchor_points v2 v4 s = {v, v1, v3})}
% Assm: !q s. (?v w v1 v2 v3 v4. q = {v, w, v1, v2} /\ quartered_oct v w v1 v2 v3 v4 s) ==> strict_qua q s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: T
% Goal: !q s. q IN Q_SYS s ==> quasi_reg_tet q s \/ strict_qua q s \/ (?v v1 v3 v2 v4. (q = {v, v1, v2, v3} \/ q = {v, v1, v3, v4}) /\ interior_pos v v1 v3 v2 v4 s /\ anchor_points v1 v3 s = {v, v2, v4} /\ anchor_points v2 v4 s = {v, v1, v3})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cgu_, type, g_ : (num > num > $o)).
thf(cconv0, type, conv0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cd3, type, d3 : (cartrealn3 > cartrealn3 > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cstrictuu_qua, type, strictu_qua : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cquasiuu_reguu_tet, type, quasiu_regu_tet : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cquu_sys, type, qu_sys : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cquartereduu_oct, type, quarteredu_oct : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > (cartrealn3 > $o) > $o)).
thf(canchor, type, anchor : (cartrealn3 > cartrealn3 > cartrealn3 > (cartrealn3 > $o) > $o)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(canchoruu_points, type, anchoru_points : (cartrealn3 > cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinterioruu_pos, type, interioru_pos : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccard, type, card : ((cartrealn3 > $o) > num)).
thf(ct0, type, t0 : real).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn3 > $o)]:(^[X:cartrealn3]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn3 > $o),G:(cartrealn3 > $o)]:((F = G) <=> ![X:cartrealn3]:((F @ X) <=> (G @ X)))).
thf(aGeomdetailo_Qu_SYS, axiom, ![S:(cartrealn3 > $o)]:((qu_sys @ S) = (gspec @ ^[GENR_PVARR_17:(cartrealn3 > $o)]:?[Q:(cartrealn3 > $o)]:(setspec @ GENR_PVARR_17 @ ((quasiu_regu_tet @ Q @ S) | ((strictu_qua @ Q @ S) & ?[C:cartrealn3,D:cartrealn3]:![QQ:(cartrealn3 > $o)]:((in0 @ C @ Q) & (in0 @ D @ Q) & (realu_gt @ (d3 @ C @ D) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ t0)) & ((quasiu_regu_tet @ QQ @ S) | (strictu_qua @ QQ @ S)) & ((inter @ (conv0 @ (insert @ C @ (insert @ D @ empty))) @ (conv0 @ QQ)) = empty))) | ((strictu_qua @ Q @ S) & ((g_ @ (card @ (gspec0 @ ^[GENR_PVARR_15:cartrealn3]:?[T:cartrealn3]:(setspec0 @ GENR_PVARR_15 @ ?[V:cartrealn3,W:cartrealn3]:((in0 @ V @ Q) & (in0 @ W @ Q) & (realu_lt @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ t0) @ (d3 @ V @ W)) & (anchor @ T @ V @ W @ S)) @ T))) @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) | (((card @ (gspec0 @ ^[GENR_PVARR_16:cartrealn3]:?[T:cartrealn3]:(setspec0 @ GENR_PVARR_16 @ ?[V:cartrealn3,W:cartrealn3]:((in0 @ V @ Q) & (in0 @ W @ Q) & (realu_lt @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ t0) @ (d3 @ V @ W)) & (anchor @ T @ V @ W @ S)) @ T))) = (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) & ~ (?[V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,V4:cartrealn3,V:cartrealn3,W:cartrealn3]:((in0 @ V @ Q) & (in0 @ W @ Q) & (subset @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty)))) @ (anchoru_points @ V @ W @ S)) & (realu_lt @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ t0) @ (d3 @ V @ W)) & (quarteredu_oct @ V @ W @ V1 @ V2 @ V3 @ V4 @ S)))))) | ?[V:cartrealn3,W:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,V4:cartrealn3]:((Q = (insert @ V @ (insert @ W @ (insert @ V1 @ (insert @ V2 @ empty))))) & (quarteredu_oct @ V @ W @ V1 @ V2 @ V3 @ V4 @ S)) | ?[V:cartrealn3,V1:cartrealn3,V3:cartrealn3,V2:cartrealn3,V4:cartrealn3]:(((Q = (insert @ V @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) | (Q = (insert @ V @ (insert @ V1 @ (insert @ V3 @ (insert @ V4 @ empty)))))) & (interioru_pos @ V @ V1 @ V3 @ V2 @ V4 @ S) & ((anchoru_points @ V1 @ V3 @ S) = (insert @ V @ (insert @ V2 @ (insert @ V4 @ empty)))) & ((anchoru_points @ V2 @ V4 @ S) = (insert @ V @ (insert @ V1 @ (insert @ V3 @ empty)))))) @ Q)))).
thf(aGeomdetailo_strictu_quau_inu_oct, axiom, ![Q:(cartrealn3 > $o),S:(cartrealn3 > $o)]:(?[V:cartrealn3,W:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,V4:cartrealn3]:((Q = (insert @ V @ (insert @ W @ (insert @ V1 @ (insert @ V2 @ empty))))) & (quarteredu_oct @ V @ W @ V1 @ V2 @ V3 @ V4 @ S)) => (strictu_qua @ Q @ S))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (gspec @ ^[V:(cartrealn3 > $o)]:?[Y:(cartrealn3 > $o)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Q:(cartrealn3 > $o),S:(cartrealn3 > $o)]:((in @ Q @ (qu_sys @ S)) => ((quasiu_regu_tet @ Q @ S) | (strictu_qua @ Q @ S) | ?[V:cartrealn3,V1:cartrealn3,V3:cartrealn3,V2:cartrealn3,V4:cartrealn3]:(((Q = (insert @ V @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) | (Q = (insert @ V @ (insert @ V1 @ (insert @ V3 @ (insert @ V4 @ empty)))))) & (interioru_pos @ V @ V1 @ V3 @ V2 @ V4 @ S) & ((anchoru_points @ V1 @ V3 @ S) = (insert @ V @ (insert @ V2 @ (insert @ V4 @ empty)))) & ((anchoru_points @ V2 @ V4 @ S) = (insert @ V @ (insert @ V1 @ (insert @ V3 @ empty)))))))).
