%   ORIGINAL: Geomdetail.db_t0_conjunct1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Geomdetail.db_t0_conjunct0: &2 * t0 = &2 * #1.255
% Assm: Geomdetail.db_t0_conjunct2: &2 * #1.255 = #2.51
% Goal: &2 * t0 = #2.51
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: &2 * t0 = &2 * #1.255
% Assm: &2 * #1.255 = #2.51
% Goal: &2 * t0 = #2.51
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cdecimal, type, decimal : (num > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ct0, type, t0 : real).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aGeomdetailo_dbu_t0u_conjunct0, axiom, ((realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ t0) = (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (decimal @ (numeral @ (bit1 @ (bit1 @ (bit1 @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ (bit1 @ (bit0 @ (bit0 @ (bit1 @ u_0)))))))))))) @ (numeral @ (bit0 @ (bit0 @ (bit0 @ (bit1 @ (bit0 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ u_0))))))))))))))).
thf(aGeomdetailo_dbu_t0u_conjunct2, axiom, ((realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (decimal @ (numeral @ (bit1 @ (bit1 @ (bit1 @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ (bit1 @ (bit0 @ (bit0 @ (bit1 @ u_0)))))))))))) @ (numeral @ (bit0 @ (bit0 @ (bit0 @ (bit1 @ (bit0 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ u_0))))))))))))) = (decimal @ (numeral @ (bit1 @ (bit1 @ (bit0 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ u_0))))))))) @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ u_0))))))))))).
thf(conjecture, conjecture, ((realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ t0) = (decimal @ (numeral @ (bit1 @ (bit1 @ (bit0 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ u_0))))))))) @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ u_0))))))))))).
