%   ORIGINAL: Collect_geom.SDIHJZK
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.EQ_SUB_DIST_POW2_IMP_IDENTIFIED: !v1 v2 v3 u w. {u, w} SUBSET affine hull {v1, v2, v3} /\ dist (u,v2) pow 2 - dist (u,v1) pow 2 = dist (w,v2) pow 2 - dist (w,v1) pow 2 /\ dist (u,v3) pow 2 - dist (u,v1) pow 2 = dist (w,v3) pow 2 - dist (w,v1) pow 2 ==> w = u
% Assm: Collect_geom.HALF_OF_LE16: !v1 v2 v3 a01 a02 a03. ~collinear {v1, v2, v3} /\ (let x12 = d3 v1 v2 pow 2 in let x13 = d3 v1 v3 pow 2 in let x23 = d3 v2 v3 pow 2 in delta a01 a02 a03 x12 x13 x23 = &0) ==> (?v0. v0 IN aff {v1, v2, v3} /\ a01 = d3 v0 v1 pow 2 /\ a02 = d3 v0 v2 pow 2 /\ a03 = d3 v0 v3 pow 2 /\ (let x12 = d3 v1 v2 pow 2 in let x13 = d3 v1 v3 pow 2 in let x23 = d3 v2 v3 pow 2 in let vv = ups_x x12 x13 x23 in let t1 = delta_x12 a01 a02 a03 x12 x13 x23 / vv in let t2 = delta_x13 a01 a02 a03 x12 x13 x23 / vv in let t3 = delta_x14 a01 a02 a03 x12 x13 x23 / vv in v0 = t1 % v1 + t2 % v2 + t3 % v3))
% Assm: Collect_geom.SET2_SU_EX: {a, b} SUBSET s <=> a IN s /\ b IN s
% Assm: Collect_geom.d3: !v w. d3 v w = dist (v,w)
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LE_0: !n. 0 <= n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: ONE: 1 = SUC 0
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: Trigonometry.BYFLKYM1: aff = (hull) affine
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Goal: !v1 v2 v3 a01 a02 a03. ~collinear {v1, v2, v3} /\ (let x12 = d3 v1 v2 pow 2 in let x13 = d3 v1 v3 pow 2 in let x23 = d3 v2 v3 pow 2 in delta a01 a02 a03 x12 x13 x23 = &0) ==> (?v0. v0 IN aff {v1, v2, v3} /\ a01 = d3 v0 v1 pow 2 /\ a02 = d3 v0 v2 pow 2 /\ a03 = d3 v0 v3 pow 2 /\ (!vv0. vv0 IN aff {v1, v2, v3} /\ a01 = d3 vv0 v1 pow 2 /\ a02 = d3 vv0 v2 pow 2 /\ a03 = d3 vv0 v3 pow 2 ==> vv0 = v0) /\ (let x12 = d3 v1 v2 pow 2 in let x13 = d3 v1 v3 pow 2 in let x23 = d3 v2 v3 pow 2 in let vv = ups_x x12 x13 x23 in let t1 = delta_x12 a01 a02 a03 x12 x13 x23 / vv in let t2 = delta_x13 a01 a02 a03 x12 x13 x23 / vv in let t3 = delta_x14 a01 a02 a03 x12 x13 x23 / vv in v0 = t1 % v1 + t2 % v2 + t3 % v3))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: BIT0 _0 = _0
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !v1 v2 v3 u w. {u, w} SUBSET affine hull {v1, v2, v3} /\ dist (u,v2) pow 2 - dist (u,v1) pow 2 = dist (w,v2) pow 2 - dist (w,v1) pow 2 /\ dist (u,v3) pow 2 - dist (u,v1) pow 2 = dist (w,v3) pow 2 - dist (w,v1) pow 2 ==> w = u
% Assm: !v1 v2 v3 a01 a02 a03. ~collinear {v1, v2, v3} /\ (let x12 = d3 v1 v2 pow 2 in let x13 = d3 v1 v3 pow 2 in let x23 = d3 v2 v3 pow 2 in delta a01 a02 a03 x12 x13 x23 = &0) ==> (?v0. v0 IN aff {v1, v2, v3} /\ a01 = d3 v0 v1 pow 2 /\ a02 = d3 v0 v2 pow 2 /\ a03 = d3 v0 v3 pow 2 /\ (let x12 = d3 v1 v2 pow 2 in let x13 = d3 v1 v3 pow 2 in let x23 = d3 v2 v3 pow 2 in let vv = ups_x x12 x13 x23 in let t1 = delta_x12 a01 a02 a03 x12 x13 x23 / vv in let t2 = delta_x13 a01 a02 a03 x12 x13 x23 / vv in let t3 = delta_x14 a01 a02 a03 x12 x13 x23 / vv in v0 = t1 % v1 + t2 % v2 + t3 % v3))
% Assm: !a b s. {a, b} SUBSET s <=> a IN s /\ b IN s
% Assm: !v w. d3 v w = dist (v,w)
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !t. (\x. t x) = t
% Assm: !n. 0 <= n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !m. m * 0 = 0
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: 1 = SUC 0
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: !x. x * &0 = &0
% Assm: T
% Assm: 2 = SUC 1
% Assm: aff = (hull) affine
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Goal: !v1 v2 v3 a01 a02 a03. ~collinear {v1, v2, v3} /\ (let x12 = d3 v1 v2 pow 2 in let x13 = d3 v1 v3 pow 2 in let x23 = d3 v2 v3 pow 2 in delta a01 a02 a03 x12 x13 x23 = &0) ==> (?v0. v0 IN aff {v1, v2, v3} /\ a01 = d3 v0 v1 pow 2 /\ a02 = d3 v0 v2 pow 2 /\ a03 = d3 v0 v3 pow 2 /\ (!vv0. vv0 IN aff {v1, v2, v3} /\ a01 = d3 vv0 v1 pow 2 /\ a02 = d3 vv0 v2 pow 2 /\ a03 = d3 vv0 v3 pow 2 ==> vv0 = v0) /\ (let x12 = d3 v1 v2 pow 2 in let x13 = d3 v1 v3 pow 2 in let x23 = d3 v2 v3 pow 2 in let vv = ups_x x12 x13 x23 in let t1 = delta_x12 a01 a02 a03 x12 x13 x23 / vv in let t2 = delta_x13 a01 a02 a03 x12 x13 x23 / vv in let t3 = delta_x14 a01 a02 a03 x12 x13 x23 / vv in v0 = t1 % v1 + t2 % v2 + t3 % v3))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(caff, type, aff : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cd3, type, d3 : (cartrealn3 > cartrealn3 > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(clet, type, let : ((real > $o) > real > $o)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cupsuu_x, type, upsu_x : (real > real > real > real)).
thf(cdeltauu_x12, type, deltau_x12 : (real > real > real > real > real > real > real)).
thf(cdeltauu_x13, type, deltau_x13 : (real > real > real > real > real > real > real)).
thf(cdeltauu_x14, type, deltau_x14 : (real > real > real > real > real > real > real)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdelta, type, delta : (real > real > real > real > real > real > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cletuu_end, type, letu_end : ($o > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_EQu_SUBu_DISTu_POW2u_IMPu_IDENTIFIED, axiom, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,U:cartrealn3,W:cartrealn3]:(((subset @ (insert @ U @ (insert @ W @ empty)) @ (hull @ affine @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) & ((realu_sub @ (realu_pow @ (distance @ (c_ @ U @ V2)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (distance @ (c_ @ U @ V1)) @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_sub @ (realu_pow @ (distance @ (c_ @ W @ V2)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (distance @ (c_ @ W @ V1)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) & ((realu_sub @ (realu_pow @ (distance @ (c_ @ U @ V3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (distance @ (c_ @ U @ V1)) @ (numeral @ (bit0 @ (bit1 @ u_0))))) = (realu_sub @ (realu_pow @ (distance @ (c_ @ W @ V3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (distance @ (c_ @ W @ V1)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))) => (W = U))).
thf(aCollectu_geomo_HALFu_OFu_LE16, axiom, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,A01:real,A02:real,A03:real]:((~ ((collinear @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) & (let @ ^[X12:real]:(letu_end @ (let @ ^[X13:real]:(letu_end @ (let @ ^[X23:real]:(letu_end @ ((delta @ A01 @ A02 @ A03 @ X12 @ X13 @ X23) = (realu_ofu_num @ (numeral @ u_0)))) @ (realu_pow @ (d3 @ V2 @ V3) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (d3 @ V1 @ V3) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (d3 @ V1 @ V2) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) => ?[V0:cartrealn3]:((in @ V0 @ (aff @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) & (A01 = (realu_pow @ (d3 @ V0 @ V1) @ (numeral @ (bit0 @ (bit1 @ u_0))))) & (A02 = (realu_pow @ (d3 @ V0 @ V2) @ (numeral @ (bit0 @ (bit1 @ u_0))))) & (A03 = (realu_pow @ (d3 @ V0 @ V3) @ (numeral @ (bit0 @ (bit1 @ u_0))))) & (let @ ^[X12:real]:(letu_end @ (let @ ^[X13:real]:(letu_end @ (let @ ^[X23:real]:(letu_end @ (let @ ^[VV:real]:(letu_end @ (let @ ^[T1:real]:(letu_end @ (let @ ^[T2:real]:(letu_end @ (let @ ^[T3:real]:(letu_end @ (V0 = (vectoru_add @ (r_ @ T1 @ V1) @ (vectoru_add @ (r_ @ T2 @ V2) @ (r_ @ T3 @ V3))))) @ (realu_div @ (deltau_x14 @ A01 @ A02 @ A03 @ X12 @ X13 @ X23) @ VV))) @ (realu_div @ (deltau_x13 @ A01 @ A02 @ A03 @ X12 @ X13 @ X23) @ VV))) @ (realu_div @ (deltau_x12 @ A01 @ A02 @ A03 @ X12 @ X13 @ X23) @ VV))) @ (upsu_x @ X12 @ X13 @ X23))) @ (realu_pow @ (d3 @ V2 @ V3) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (d3 @ V1 @ V3) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (d3 @ V1 @ V2) @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(aCollectu_geomo_SET2u_SUu_EX, axiom, ![A:cartrealn3,B:cartrealn3,S:(cartrealn3 > $o)]:((subset @ (insert @ A @ (insert @ B @ empty)) @ S) <=> ((in @ A @ S) & (in @ B @ S)))).
thf(aCollectu_geomo_d3, axiom, ![V:cartrealn3,W:cartrealn3]:((d3 @ V @ W) = (distance @ (c_ @ V @ W)))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometryo_BYFLKYM1, axiom, (aff = (hull @ affine))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(conjecture, conjecture, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,A01:real,A02:real,A03:real]:((~ ((collinear @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) & (let @ ^[X12:real]:(letu_end @ (let @ ^[X13:real]:(letu_end @ (let @ ^[X23:real]:(letu_end @ ((delta @ A01 @ A02 @ A03 @ X12 @ X13 @ X23) = (realu_ofu_num @ (numeral @ u_0)))) @ (realu_pow @ (d3 @ V2 @ V3) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (d3 @ V1 @ V3) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (d3 @ V1 @ V2) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) => ?[V0:cartrealn3]:((in @ V0 @ (aff @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) & (A01 = (realu_pow @ (d3 @ V0 @ V1) @ (numeral @ (bit0 @ (bit1 @ u_0))))) & (A02 = (realu_pow @ (d3 @ V0 @ V2) @ (numeral @ (bit0 @ (bit1 @ u_0))))) & (A03 = (realu_pow @ (d3 @ V0 @ V3) @ (numeral @ (bit0 @ (bit1 @ u_0))))) & ![VV0:cartrealn3]:(((in @ VV0 @ (aff @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) & (A01 = (realu_pow @ (d3 @ VV0 @ V1) @ (numeral @ (bit0 @ (bit1 @ u_0))))) & (A02 = (realu_pow @ (d3 @ VV0 @ V2) @ (numeral @ (bit0 @ (bit1 @ u_0))))) & (A03 = (realu_pow @ (d3 @ VV0 @ V3) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) => (VV0 = V0)) & (let @ ^[X12:real]:(letu_end @ (let @ ^[X13:real]:(letu_end @ (let @ ^[X23:real]:(letu_end @ (let @ ^[VV:real]:(letu_end @ (let @ ^[T1:real]:(letu_end @ (let @ ^[T2:real]:(letu_end @ (let @ ^[T3:real]:(letu_end @ (V0 = (vectoru_add @ (r_ @ T1 @ V1) @ (vectoru_add @ (r_ @ T2 @ V2) @ (r_ @ T3 @ V3))))) @ (realu_div @ (deltau_x14 @ A01 @ A02 @ A03 @ X12 @ X13 @ X23) @ VV))) @ (realu_div @ (deltau_x13 @ A01 @ A02 @ A03 @ X12 @ X13 @ X23) @ VV))) @ (realu_div @ (deltau_x12 @ A01 @ A02 @ A03 @ X12 @ X13 @ X23) @ VV))) @ (upsu_x @ X12 @ X13 @ X23))) @ (realu_pow @ (d3 @ V2 @ V3) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (d3 @ V1 @ V3) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (d3 @ V1 @ V2) @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
