%   ORIGINAL: Collect_geom2.SQRT8_LE_EQ_8_LESS_POW2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom2.POS_IMP_POW2: &0 <= a /\ a <= b ==> a pow 2 <= b pow 2
% Assm: Collect_geom2.SQRT8_LE: &0 <= sqrt (&8)
% Assm: Collect_geom2.SQRT8_POW2: sqrt (&8) pow 2 = &8
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: sqrt (&8) <= a ==> &8 <= a pow 2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. &0 <= a /\ a <= b ==> a pow 2 <= b pow 2
% Assm: &0 <= sqrt (&8)
% Assm: sqrt (&8) pow 2 = &8
% Assm: ~F <=> T
% Assm: T
% Goal: !a. sqrt (&8) <= a ==> &8 <= a pow 2
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geom2o_POSu_IMPu_POW2, axiom, ![A:real,B:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_le @ A @ B)) => (realu_le @ (realu_pow @ A @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ B @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aCollectu_geom2o_SQRT8u_LE, axiom, (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sqrt @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit0 @ (bit1 @ u_0))))))))).
thf(aCollectu_geom2o_SQRT8u_POW2, axiom, ((realu_pow @ (sqrt @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit0 @ (bit1 @ u_0))))))) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit0 @ (bit1 @ u_0)))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:real]:((realu_le @ (sqrt @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit0 @ (bit1 @ u_0))))))) @ A) => (realu_le @ (realu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ A @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
