%   ORIGINAL: Collect_geom2.JVDAFRS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom2.QUAANG_TRUOONN: !v0 v1 v2 v3 v4. CARD {v0, v1, v2, v3, v4} = 5 /\ (?x. ~(x = v0) /\ x IN cone v0 {v1, v3} INTER cone v0 {v2, v4}) ==> ~(conv {v1, v3} INTER cone v0 {v2, v4} = {})
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !v0 v1 v2 v3 v4. CARD {v0, v1, v2, v3, v4} = 5 /\ (?x. ~(x = v0) /\ x IN cone v0 {v1, v3} INTER cone v0 {v2, v4}) ==> ~(conv {v1, v3} INTER cone v0 {v2, v4} = {} /\ conv {v2, v4} INTER cone v0 {v1, v3} = {})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !v0 v1 v2 v3 v4. CARD {v0, v1, v2, v3, v4} = 5 /\ (?x. ~(x = v0) /\ x IN cone v0 {v1, v3} INTER cone v0 {v2, v4}) ==> ~(conv {v1, v3} INTER cone v0 {v2, v4} = {})
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !v0 v1 v2 v3 v4. CARD {v0, v1, v2, v3, v4} = 5 /\ (?x. ~(x = v0) /\ x IN cone v0 {v1, v3} INTER cone v0 {v2, v4}) ==> ~(conv {v1, v3} INTER cone v0 {v2, v4} = {} /\ conv {v2, v4} INTER cone v0 {v1, v3} = {})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cconv, type, conv : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccone, type, cone : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geom2o_QUAANGu_TRUOONN, axiom, ![V0:cartrealn,V1:cartrealn,V2:cartrealn,V3:cartrealn,V4:cartrealn]:((((card @ (insert @ V0 @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty)))))) = (numeral @ (bit1 @ (bit0 @ (bit1 @ u_0))))) & ?[X:cartrealn]:(~ ((X = V0)) & (in @ X @ (inter @ (cone @ V0 @ (insert @ V1 @ (insert @ V3 @ empty))) @ (cone @ V0 @ (insert @ V2 @ (insert @ V4 @ empty))))))) => ~ (((inter @ (conv @ (insert @ V1 @ (insert @ V3 @ empty))) @ (cone @ V0 @ (insert @ V2 @ (insert @ V4 @ empty)))) = empty)))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V0:cartrealn,V1:cartrealn,V2:cartrealn,V3:cartrealn,V4:cartrealn]:((((card @ (insert @ V0 @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty)))))) = (numeral @ (bit1 @ (bit0 @ (bit1 @ u_0))))) & ?[X:cartrealn]:(~ ((X = V0)) & (in @ X @ (inter @ (cone @ V0 @ (insert @ V1 @ (insert @ V3 @ empty))) @ (cone @ V0 @ (insert @ V2 @ (insert @ V4 @ empty))))))) => ~ ((((inter @ (conv @ (insert @ V1 @ (insert @ V3 @ empty))) @ (cone @ V0 @ (insert @ V2 @ (insert @ V4 @ empty)))) = empty) & ((inter @ (conv @ (insert @ V2 @ (insert @ V4 @ empty))) @ (cone @ V0 @ (insert @ V1 @ (insert @ V3 @ empty)))) = empty))))).
