%   ORIGINAL: Collect_geom2.SET_EQ_TO_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: a = b <=> a SUBSET b /\ b SUBSET a
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !a b. a = b <=> a SUBSET b /\ b SUBSET a
%  TYPES
thf(ta, type, a : $tType).
thf(tq842547, type, q842547 : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (q842547 > (q842547 > $o) > $o)).
thf(csubset, type, subset : ((q842547 > $o) > (q842547 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(q842547 > $o),G:(q842547 > $o)]:(![X:q842547]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(q842547 > $o)]:(^[X:q842547]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(q842547 > $o),T:(q842547 > $o)]:((S = T) <=> ![X:q842547]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(q842547 > $o),T:(q842547 > $o)]:((subset @ S @ T) <=> ![X:q842547]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:(q842547 > $o),B:(q842547 > $o)]:((A = B) <=> ((subset @ A @ B) & (subset @ B @ A)))).
