%   ORIGINAL: Float.INT_ZERO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INT_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: TRUTH: T
% Goal: !n. &n = &0 <=> n = 0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. &m = &n <=> m = n
% Assm: T
% Goal: !n. &n = &0 <=> n = 0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tint, type, int : $tType).
%  CONSTS
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((intu_ofu_num @ M) = (intu_ofu_num @ N)) <=> (M = N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num]:(((intu_ofu_num @ N) = (intu_ofu_num @ (numeral @ u_0))) <=> (N = (numeral @ u_0)))).
