%   ORIGINAL: Misc_defs_and_lemmas.prod
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Misc_defs_and_lemmas.prod_DEF_conjunct0: !f n. prod (n,0) f = &1
% Assm: Misc_defs_and_lemmas.prod_DEF_conjunct1: !f m n. prod (n,SUC m) f = prod (n,m) f * f (n + m)
% Assm: TRUTH: T
% Goal: !n m. prod (n,0) f = &1 /\ prod (n,SUC m) f = prod (n,m) f * f (n + m)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f n. prod (n,0) f = &1
% Assm: !f m n. prod (n,SUC m) f = prod (n,m) f * f (n + m)
% Assm: T
% Goal: !f n m. prod (n,0) f = &1 /\ prod (n,SUC m) f = prod (n,m) f * f (n + m)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cprod, type, prod : (prodnumnum > (num > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (num > num > prodnumnum)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMiscu_defsu_andu_lemmaso_produ_DEFu_conjunct0, axiom, ![F:(num > real),N:num]:((prod @ (c_ @ N @ (numeral @ u_0)) @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aMiscu_defsu_andu_lemmaso_produ_DEFu_conjunct1, axiom, ![F:(num > real),M:num,N:num]:((prod @ (c_ @ N @ (suc @ M)) @ F) = (realu_mul @ (prod @ (c_ @ N @ M) @ F) @ (F @ (p_ @ N @ M))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > real),N:num,M:num]:(((prod @ (c_ @ N @ (numeral @ u_0)) @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((prod @ (c_ @ N @ (suc @ M)) @ F) = (realu_mul @ (prod @ (c_ @ N @ M) @ F) @ (F @ (p_ @ N @ M)))))).
