%   ORIGINAL: Tactics.WELLDEFINED_FUNCTION_2b
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: (?f. !x y. P x y ==> f (s x y) = t x y) <=> (!x x' y y'. P x y /\ P x' y' /\ s x y = s x' y' ==> t x y = t x' y')
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x <=> x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !t s P. (?f. !x y. P x y ==> f (s x y) = t x y) <=> (!x x' y y'. P x y /\ P x' y' /\ s x y = s x' y' ==> t x y = t x' y')
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(td, type, d : $tType).
%  CONSTS
thf(ci1, type, i1 : (c > c)).
thf(ci0, type, i0 : (d > d)).
thf(ci, type, i : ($o > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > d),G:(a > d)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > c),G:(a > c)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THMu_monomorphized2, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:d]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:c]:((i1 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![T:(a > b > d),S:(a > b > c),P:(a > b > $o)]:(?[F:(c > d)]:![X:a,Y:b]:((P @ X @ Y) => ((F @ (S @ X @ Y)) = (T @ X @ Y))) <=> ![X:a,XI_:a,Y:b,YI_:b]:(((P @ X @ Y) & (P @ XI_ @ YI_) & ((S @ X @ Y) = (S @ XI_ @ YI_))) => ((T @ X @ Y) = (T @ XI_ @ YI_))))).
