%   ORIGINAL: Euler_complement.EULER_FORMULA_RESCALE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: Delta_x.DELTA_X_LT_0_COLLINEAR: !v0 v1 v2 v3 x1 x2 x3 x4 x5 x6. x1,x2,x3,x4,x5,x6 = xlist v0 v1 v2 v3 ==> &0 < delta_x x1 x2 x3 x4 x5 x6 ==> ~collinear {v0, v1, v2} /\ ~collinear {v0, v1, v3} /\ ~collinear {v0, v3, v2}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Euler_complement.COMPUTE_DELTA_X_AFTER_RESCALE: !v0 v1 v2 v3 v0' v1' v2' v3' m n p x1 x2 x3 x4 x5 x6 x1' x2' x3' x4' x5' x6'. v1 - v0 = m % (v1' - v0') /\ v2 - v0 = n % (v2' - v0') /\ v3 - v0 = p % (v3' - v0') /\ &0 <= m /\ &0 <= n /\ &0 <= p /\ x1',x2',x3',x4',x5',x6' = xlist v0' v1' v2' v3' /\ x1,x2,x3,x4,x5,x6 = xlist v0 v1 v2 v3 /\ &0 <= delta_x x1' x2' x3' x4' x5' x6' ==> delta_x x1 x2 x3 x4 x5 x6 = (m * n * p) * (m * n * p) * delta_x x1' x2' x3' x4' x5' x6'
% Assm: Euler_complement.COMPUTE_EULER_P_AFTER_RESCALE: !v0 v1 v2 v3 v0' v1' v2' v3' m n p. v1 - v0 = m % (v1' - v0') /\ v2 - v0 = n % (v2' - v0') /\ v3 - v0 = p % (v3' - v0') /\ &0 < m /\ &0 < n /\ &0 < p ==> euler_p v0 v1 v2 v3 = (m * n * p) * euler_p v0' v1' v2' v3'
% Assm: Euler_complement.DIHV_RESCALE_UNCHANGED: !v0 v1 v2 v3 w0 w1 w2 w3 m n p. v1 - v0 = m % (w1 - w0) /\ v2 - v0 = n % (w2 - w0) /\ v3 - v0 = p % (w3 - w0) /\ &0 < m /\ &0 < n /\ &0 < p ==> dihV v0 v1 v2 v3 = dihV w0 w1 w2 w3
% Assm: Float.REAL_INV_POS: !x. &0 < x ==> &0 < inv x
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: LE_0: !n. 0 <= n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NORM_MUL: !a x. norm (a % x) = abs a * norm x
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: NORM_POS_LT: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: ONE: 1 = SUC 0
% Assm: PAIR: !x. FST x,SND x = x
% Assm: PAIR_EQ: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: POW_2_SQRT: !x. &0 <= x ==> sqrt (x pow 2) = x
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ABS_INV: !x. abs (inv x) = inv (abs x)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_DIV_REFL: !x. ~(x = &0) ==> x / x = &1
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_EQ_LDIV_EQ: !x y z. &0 < z ==> (x / z = y <=> x = y * z)
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: Real_ext.REAL_MK_LE_SQUARE: !x. &0 <= x pow 2
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: SQRT_MUL: !x y. &0 <= x /\ &0 <= y ==> sqrt (x * y) = sqrt x * sqrt y
% Assm: SQRT_POS_LT: !x. &0 < x ==> &0 < sqrt x
% Assm: Sphere.xlist: !w0 w1 w2 w3. xlist w0 w1 w2 w3 = (let y1,y2,y3,y4,y5,y6 = ylist w0 w1 w2 w3 in y1 pow 2,y2 pow 2,y3 pow 2,y4 pow 2,y5 pow 2,y6 pow 2)
% Assm: Sphere.ylist: !w0 w3 w1 w2. ylist w0 w1 w2 w3 = dist (w0,w1),dist (w0,w2),dist (w0,w3),dist (w2,w3),dist (w1,w3),dist (w1,w2)
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: Trigonometry.SWKFLBJ2: !s. collinear s <=> (?u. !x y. x IN s /\ y IN s ==> (?c. x - y = c % u))
% Assm: Trigonometry1.ATN2_BREAKDOWN: !x y. (&0 < x ==> atn2 (x,y) = atn (y / x)) /\ (&0 < y ==> atn2 (x,y) = pi / &2 - atn (x / y)) /\ (y < &0 ==> atn2 (x,y) = --(pi / &2) - atn (x / y)) /\ (y = &0 /\ x <= &0 ==> atn2 (x,y) = pi)
% Assm: Trigonometry2.ABS_REFL: !x. abs x = x <=> &0 <= x
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: vec: !n. vec n = (lambda i. &n)
% Assm: vector_add: !x y. x + y = (lambda i. x$i + y$i)
% Assm: vector_mul: !c x. c % x = (lambda i. c * x$i)
% Assm: vector_sub: !x y. x - y = (lambda i. x$i - y$i)
% Goal: (!v0 v1 v2 v3 p x1 x2 x3 x4 x5 x6 alpha1 alpha2 alpha3 d w1 w2 w3. p = euler_p v0 v1 v2 v3 /\ x1,x2,x3,x4,x5,x6 = xlist v0 v1 v2 v3 /\ alpha1 = dihV v0 v1 v2 v3 /\ alpha2 = dihV v0 v2 v3 v1 /\ alpha3 = dihV v0 v3 v1 v2 /\ d = delta_x x1 x2 x3 x4 x5 x6 /\ w1 = v1 - v0 /\ w2 = v2 - v0 /\ w3 = v3 - v0 /\ &0 < d /\ norm w1 = &1 /\ norm w2 = &1 /\ norm w3 = &1 ==> alpha1 + alpha2 + alpha3 - pi = pi - &2 * atn2 (sqrt d,&2 * p)) ==> (!v0 v1 v2 v3. let p = euler_p v0 v1 v2 v3 in let x1,x2,x3,x4,x5,x6 = xlist v0 v1 v2 v3 in let alpha1 = dihV v0 v1 v2 v3 in let alpha2 = dihV v0 v2 v3 v1 in let alpha3 = dihV v0 v3 v1 v2 in let d = delta_x x1 x2 x3 x4 x5 x6 in &0 < d ==> alpha1 + alpha2 + alpha3 - pi = pi - &2 * atn2 (sqrt d,&2 * p))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: BIT0 _0 = _0
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:3) ==> x$i = y$i)
% Assm: !x. x pow 2 = x * x
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !v0 v1 v2 v3 x1 x2 x3 x4 x5 x6. x1,x2,x3,x4,x5,x6 = xlist v0 v1 v2 v3 ==> &0 < delta_x x1 x2 x3 x4 x5 x6 ==> ~collinear {v0, v1, v2} /\ ~collinear {v0, v1, v3} /\ ~collinear {v0, v3, v2}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !v0 v1 v2 v3 v0' v1' v2' v3' m n p x1 x2 x3 x4 x5 x6 x1' x2' x3' x4' x5' x6'. v1 - v0 = m % (v1' - v0') /\ v2 - v0 = n % (v2' - v0') /\ v3 - v0 = p % (v3' - v0') /\ &0 <= m /\ &0 <= n /\ &0 <= p /\ x1',x2',x3',x4',x5',x6' = xlist v0' v1' v2' v3' /\ x1,x2,x3,x4,x5,x6 = xlist v0 v1 v2 v3 /\ &0 <= delta_x x1' x2' x3' x4' x5' x6' ==> delta_x x1 x2 x3 x4 x5 x6 = (m * n * p) * (m * n * p) * delta_x x1' x2' x3' x4' x5' x6'
% Assm: !v0 v1 v2 v3 v0' v1' v2' v3' m n p. v1 - v0 = m % (v1' - v0') /\ v2 - v0 = n % (v2' - v0') /\ v3 - v0 = p % (v3' - v0') /\ &0 < m /\ &0 < n /\ &0 < p ==> euler_p v0 v1 v2 v3 = (m * n * p) * euler_p v0' v1' v2' v3'
% Assm: !v0 v1 v2 v3 w0 w1 w2 w3 m n p. v1 - v0 = m % (w1 - w0) /\ v2 - v0 = n % (w2 - w0) /\ v3 - v0 = p % (w3 - w0) /\ &0 < m /\ &0 < n /\ &0 < p ==> dihV v0 v1 v2 v3 = dihV w0 w1 w2 w3
% Assm: !x. &0 < x ==> &0 < inv x
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a <=> b
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !f x. LET f x <=> f x
% Assm: !f x. LET f x <=> f x
% Assm: !t. LET_END t <=> t
% Assm: !n. 0 <= n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !m. m * 0 = 0
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: !x. &0 <= norm x
% Assm: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: 1 = SUC 0
% Assm: !x. FST x,SND x = x
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: !x. &0 <= x ==> sqrt (x pow 2) = x
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x. abs (inv x) = inv (abs x)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x. ~(x = &0) ==> x / x = &1
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y z. &0 < z ==> (x / z = y <=> x = y * z)
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: !x y. --x * y = --(x * y)
% Assm: !x. x * &1 = x
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x. &0 <= x pow 2
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !P x. P x ==> P ((@) P)
% Assm: !x y. &0 <= x /\ &0 <= y ==> sqrt (x * y) = sqrt x * sqrt y
% Assm: !x. &0 < x ==> &0 < sqrt x
% Assm: !w0 w1 w2 w3. xlist w0 w1 w2 w3 = (let y1,y2,y3,y4,y5,y6 = ylist w0 w1 w2 w3 in y1 pow 2,y2 pow 2,y3 pow 2,y4 pow 2,y5 pow 2,y6 pow 2)
% Assm: !w0 w3 w1 w2. ylist w0 w1 w2 w3 = dist (w0,w1),dist (w0,w2),dist (w0,w3),dist (w2,w3),dist (w1,w3),dist (w1,w2)
% Assm: T
% Assm: 2 = SUC 1
% Assm: !s. collinear s <=> (?u. !x y. x IN s /\ y IN s ==> (?c. x - y = c % u))
% Assm: !x y. (&0 < x ==> atn2 (x,y) = atn (y / x)) /\ (&0 < y ==> atn2 (x,y) = pi / &2 - atn (x / y)) /\ (y < &0 ==> atn2 (x,y) = --(pi / &2) - atn (x / y)) /\ (y = &0 /\ x <= &0 ==> atn2 (x,y) = pi)
% Assm: !x. abs x = x <=> &0 <= x
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !n. vec n = (lambda i. &n)
% Assm: !x y. x + y = (lambda i. x$i + y$i)
% Assm: !c x. c % x = (lambda i. c * x$i)
% Assm: !x y. x - y = (lambda i. x$i - y$i)
% Goal: (!v0 v1 v2 v3 p x1 x2 x3 x4 x5 x6 alpha1 alpha2 alpha3 d w1 w2 w3. p = euler_p v0 v1 v2 v3 /\ x1,x2,x3,x4,x5,x6 = xlist v0 v1 v2 v3 /\ alpha1 = dihV v0 v1 v2 v3 /\ alpha2 = dihV v0 v2 v3 v1 /\ alpha3 = dihV v0 v3 v1 v2 /\ d = delta_x x1 x2 x3 x4 x5 x6 /\ w1 = v1 - v0 /\ w2 = v2 - v0 /\ w3 = v3 - v0 /\ &0 < d /\ norm w1 = &1 /\ norm w2 = &1 /\ norm w3 = &1 ==> alpha1 + alpha2 + alpha3 - pi = pi - &2 * atn2 (sqrt d,&2 * p)) ==> (!v0 v1 v2 v3. let p = euler_p v0 v1 v2 v3 in let x1,x2,x3,x4,x5,x6 = xlist v0 v1 v2 v3 in let alpha1 = dihV v0 v1 v2 v3 in let alpha2 = dihV v0 v2 v3 v1 in let alpha3 = dihV v0 v3 v1 v2 in let d = delta_x x1 x2 x3 x4 x5 x6 in &0 < d ==> alpha1 + alpha2 + alpha3 - pi = pi - &2 * atn2 (sqrt d,&2 * p))
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tcartrealq737126, type, cartrealq737126 : $tType).
thf(tprodcartrealq737126cartrealq737126, type, prodcartrealq737126cartrealq737126 : $tType).
thf(tnum, type, num : $tType).
thf(tprodrealprodrealreal, type, prodrealprodrealreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tq737126, type, q737126 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tcartcartrealn3b, type, cartcartrealn3b : $tType).
thf(tcartprodrealprodrealprodrealprodrealprodrealrealb, type, cartprodrealprodrealprodrealprodrealprodrealrealb : $tType).
thf(tcartrealb, type, cartrealb : $tType).
thf(tprodrealprodrealprodrealprodrealprodrealreal, type, prodrealprodrealprodrealprodrealprodrealreal : $tType).
thf(tprodrealprodrealprodrealprodrealreal, type, prodrealprodrealprodrealprodrealreal : $tType).
thf(tprodrealprodrealprodrealreal, type, prodrealprodrealprodrealreal : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(clambda3, type, lambda3 : ((num > real) > cartrealn3)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cdistance, type, distance : (prodcartrealq737126cartrealq737126 > real)).
thf(cgeq0, type, geq0 : (prodrealprodrealprodrealprodrealprodrealreal > prodrealprodrealprodrealprodrealprodrealreal > $o)).
thf(cfst, type, fst : (prodrealprodrealprodrealprodrealprodrealreal > real)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cdu_0, type, d_0 : (cartrealb > num > real)).
thf(cin2, type, in2 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin1, type, in1 : (prodrealprodrealprodrealprodrealprodrealreal > (prodrealprodrealprodrealprodrealprodrealreal > $o) > $o)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(chu_, type, h_ : (((prodrealprodrealprodrealprodrealprodrealreal > $o) > $o) > prodrealprodrealprodrealprodrealprodrealreal > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cdu_, type, d_ : (cartrealn3 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cgeq, type, geq : ($o > $o > $o)).
thf(cgabs, type, gabs : (((prodrealprodrealprodrealprodrealprodrealreal > $o) > $o) > prodrealprodrealprodrealprodrealprodrealreal > $o)).
thf(clet0, type, let0 : ((prodrealprodrealprodrealprodrealprodrealreal > $o) > prodrealprodrealprodrealprodrealprodrealreal > $o)).
thf(clet, type, let : ((real > $o) > real > $o)).
thf(catn2, type, atn2 : (prodrealreal > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(clambda2, type, lambda2 : ((num > cartrealn3) > cartcartrealn3b)).
thf(clambda1, type, lambda1 : ((num > prodrealprodrealprodrealprodrealprodrealreal) > cartprodrealprodrealprodrealprodrealprodrealrealb)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealb)).
thf(cpi, type, pi : real).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccu_4, type, c_4 : (cartrealq737126 > cartrealq737126 > prodcartrealq737126cartrealq737126)).
thf(cylist0, type, ylist0 : (cartrealq737126 > cartrealq737126 > cartrealq737126 > cartrealq737126 > prodrealprodrealprodrealprodrealprodrealreal)).
thf(cylist, type, ylist : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > prodrealprodrealprodrealprodrealprodrealreal)).
thf(cletuu_end0, type, letu_end0 : (prodrealprodrealprodrealprodrealprodrealreal > prodrealprodrealprodrealprodrealprodrealreal)).
thf(cgabs0, type, gabs0 : (((prodrealprodrealprodrealprodrealprodrealreal > prodrealprodrealprodrealprodrealprodrealreal) > $o) > prodrealprodrealprodrealprodrealprodrealreal > prodrealprodrealprodrealprodrealprodrealreal)).
thf(clet1, type, let1 : ((prodrealprodrealprodrealprodrealprodrealreal > prodrealprodrealprodrealprodrealprodrealreal) > prodrealprodrealprodrealprodrealprodrealreal > prodrealprodrealprodrealprodrealprodrealreal)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(csnd, type, snd : (prodrealprodrealprodrealprodrealprodrealreal > prodrealprodrealprodrealprodrealreal)).
thf(cdu_2, type, d_2 : (cartcartrealn3b > num > cartrealn3)).
thf(cdu_1, type, d_1 : (cartprodrealprodrealprodrealprodrealprodrealrealb > num > prodrealprodrealprodrealprodrealprodrealreal)).
thf(cinsert1, type, insert1 : (prodrealprodrealprodrealprodrealprodrealreal > (prodrealprodrealprodrealprodrealprodrealreal > $o) > prodrealprodrealprodrealprodrealprodrealreal > $o)).
thf(cinsert0, type, insert0 : (real > (real > $o) > real > $o)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cdeltauu_x, type, deltau_x : (real > real > real > real > real > real > real)).
thf(cdihv, type, dihv : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cxlist, type, xlist : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > prodrealprodrealprodrealprodrealprodrealreal)).
thf(ccu_3, type, c_3 : (real > real > prodrealreal)).
thf(ccu_2, type, c_2 : (real > prodrealreal > prodrealprodrealreal)).
thf(ccu_1, type, c_1 : (real > prodrealprodrealreal > prodrealprodrealprodrealreal)).
thf(ccu_0, type, c_0 : (real > prodrealprodrealprodrealreal > prodrealprodrealprodrealprodrealreal)).
thf(ccu_, type, c_ : (real > prodrealprodrealprodrealprodrealreal > prodrealprodrealprodrealprodrealprodrealreal)).
thf(ceuleruu_p, type, euleru_p : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cletuu_end, type, letu_end : ($o > $o)).
thf(cuniv, type, univ : (n3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (a > $o)).
thf(catn, type, atn : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(csqrt, type, sqrt : (real > real)).
thf(csuc, type, suc : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > prodrealprodrealprodrealprodrealprodrealreal),G:(a > prodrealprodrealprodrealprodrealprodrealreal)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealn3,Y:cartrealn3]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDeltau_xo_DELTAu_Xu_LTu_0u_COLLINEAR, axiom, ![V0:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,X1:real,X2:real,X3:real,X4:real,X5:real,X6:real]:(((c_ @ X1 @ (c_0 @ X2 @ (c_1 @ X3 @ (c_2 @ X4 @ (c_3 @ X5 @ X6))))) = (xlist @ V0 @ V1 @ V2 @ V3)) => ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (deltau_x @ X1 @ X2 @ X3 @ X4 @ X5 @ X6)) => (~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ V2 @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ V3 @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V3 @ (insert @ V2 @ empty))))))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aEuleru_complemento_COMPUTEu_DELTAu_Xu_AFTERu_RESCALE, axiom, ![V0:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,V0I_:cartrealn3,V1I_:cartrealn3,V2I_:cartrealn3,V3I_:cartrealn3,M:real,N:real,P:real,X1:real,X2:real,X3:real,X4:real,X5:real,X6:real,X1I_:real,X2I_:real,X3I_:real,X4I_:real,X5I_:real,X6I_:real]:((((vectoru_sub @ V1 @ V0) = (r_ @ M @ (vectoru_sub @ V1I_ @ V0I_))) & ((vectoru_sub @ V2 @ V0) = (r_ @ N @ (vectoru_sub @ V2I_ @ V0I_))) & ((vectoru_sub @ V3 @ V0) = (r_ @ P @ (vectoru_sub @ V3I_ @ V0I_))) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ M) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ N) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ P) & ((c_ @ X1I_ @ (c_0 @ X2I_ @ (c_1 @ X3I_ @ (c_2 @ X4I_ @ (c_3 @ X5I_ @ X6I_))))) = (xlist @ V0I_ @ V1I_ @ V2I_ @ V3I_)) & ((c_ @ X1 @ (c_0 @ X2 @ (c_1 @ X3 @ (c_2 @ X4 @ (c_3 @ X5 @ X6))))) = (xlist @ V0 @ V1 @ V2 @ V3)) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (deltau_x @ X1I_ @ X2I_ @ X3I_ @ X4I_ @ X5I_ @ X6I_))) => ((deltau_x @ X1 @ X2 @ X3 @ X4 @ X5 @ X6) = (realu_mul @ (realu_mul @ M @ (realu_mul @ N @ P)) @ (realu_mul @ (realu_mul @ M @ (realu_mul @ N @ P)) @ (deltau_x @ X1I_ @ X2I_ @ X3I_ @ X4I_ @ X5I_ @ X6I_)))))).
thf(aEuleru_complemento_COMPUTEu_EULERu_Pu_AFTERu_RESCALE, axiom, ![V0:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,V0I_:cartrealn3,V1I_:cartrealn3,V2I_:cartrealn3,V3I_:cartrealn3,M:real,N:real,P:real]:((((vectoru_sub @ V1 @ V0) = (r_ @ M @ (vectoru_sub @ V1I_ @ V0I_))) & ((vectoru_sub @ V2 @ V0) = (r_ @ N @ (vectoru_sub @ V2I_ @ V0I_))) & ((vectoru_sub @ V3 @ V0) = (r_ @ P @ (vectoru_sub @ V3I_ @ V0I_))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ M) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ N) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ P)) => ((euleru_p @ V0 @ V1 @ V2 @ V3) = (realu_mul @ (realu_mul @ M @ (realu_mul @ N @ P)) @ (euleru_p @ V0I_ @ V1I_ @ V2I_ @ V3I_))))).
thf(aEuleru_complemento_DIHVu_RESCALEu_UNCHANGED, axiom, ![V0:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,W0:cartrealn3,W1:cartrealn3,W2:cartrealn3,W3:cartrealn3,M:real,N:real,P:real]:((((vectoru_sub @ V1 @ V0) = (r_ @ M @ (vectoru_sub @ W1 @ W0))) & ((vectoru_sub @ V2 @ V0) = (r_ @ N @ (vectoru_sub @ W2 @ W0))) & ((vectoru_sub @ V3 @ V0) = (r_ @ P @ (vectoru_sub @ W3 @ W0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ M) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ N) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ P)) => ((dihv @ V0 @ V1 @ V2 @ V3) = (dihv @ W0 @ W1 @ W2 @ W3)))).
thf(aFloato_REALu_INVu_POS, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)))).
thf(aGABSu_DEF, axiom, ![P:((prodrealprodrealprodrealprodrealprodrealreal > $o) > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:$o,B:$o]:((geq @ A @ B) <=> (A <=> B))).
thf(aINu_INSERTu_monomorphized2, axiom, ![X:real,Y:real,S:(real > $o)]:((in0 @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aINu_INSERTu_monomorphized1, axiom, ![X:prodrealprodrealprodrealprodrealprodrealreal,Y:prodrealprodrealprodrealprodrealprodrealreal,S:(prodrealprodrealprodrealprodrealprodrealreal > $o)]:((in1 @ X @ (insert1 @ Y @ S)) <=> ((X = Y) | (in1 @ X @ S)))).
thf(aINu_INSERTu_monomorphized0, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in2 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in2 @ X @ S)))).
thf(aLAMBDAu_BETAu_monomorphized2, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > prodrealprodrealprodrealprodrealprodrealreal),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_1 @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > cartrealn3),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_2 @ (lambda2 @ G) @ I) = (G @ I)))).
thf(aLETu_DEFu_monomorphized1, axiom, ![F:(real > $o),X:real]:((let @ F @ X) <=> (F @ X))).
thf(aLETu_DEFu_monomorphized0, axiom, ![F:(prodrealprodrealprodrealprodrealprodrealreal > $o),X:prodrealprodrealprodrealprodrealprodrealreal]:((let0 @ F @ X) <=> (F @ X))).
thf(aLETu_ENDu_DEF, axiom, ![T:$o]:((letu_end @ T) <=> T)).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNORMu_MUL, axiom, ![A:real,X:cartrealn3]:((vectoru_norm @ (r_ @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm @ X)))).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealn3]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aNORMu_POSu_LT, axiom, ![X:cartrealn3]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X)) <=> ~ ((X = (vec @ (numeral @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aPAIR, axiom, ![X:prodrealprodrealprodrealprodrealprodrealreal]:((c_ @ (fst @ X) @ (snd @ X)) = X)).
thf(aPAIRu_EQ, axiom, ![X:real,Y:prodrealprodrealprodrealprodrealreal,A:real,B:prodrealprodrealprodrealprodrealreal]:(((c_ @ X @ Y) = (c_ @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aPOWu_2u_SQRT, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((sqrt @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0))))) = X))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ABSu_INV, axiom, ![X:real]:((realu_abs @ (realu_inv @ X)) = (realu_inv @ (realu_abs @ X)))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_DIVu_REFL, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_div @ X @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_EQu_LDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => (((realu_div @ X @ Z) = Y) <=> (X = (realu_mul @ Y @ Z))))).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRealu_exto_REALu_MKu_LEu_SQUARE, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aSQRTu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => ((sqrt @ (realu_mul @ X @ Y)) = (realu_mul @ (sqrt @ X) @ (sqrt @ Y))))).
thf(aSQRTu_POSu_LT, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (sqrt @ X)))).
thf(aSphereo_xlist, axiom, ![W0:cartrealn3,W1:cartrealn3,W2:cartrealn3,W3:cartrealn3]:((xlist @ W0 @ W1 @ W2 @ W3) = (let1 @ (gabs0 @ ^[F:(prodrealprodrealprodrealprodrealprodrealreal > prodrealprodrealprodrealprodrealprodrealreal)]:![Y1:real,Y2:real,Y3:real,Y4:real,Y5:real,Y6:real]:(geq0 @ (F @ (c_ @ Y1 @ (c_0 @ Y2 @ (c_1 @ Y3 @ (c_2 @ Y4 @ (c_3 @ Y5 @ Y6)))))) @ (letu_end0 @ (c_ @ (realu_pow @ Y1 @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (c_0 @ (realu_pow @ Y2 @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (c_1 @ (realu_pow @ Y3 @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (c_2 @ (realu_pow @ Y4 @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (c_3 @ (realu_pow @ Y5 @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ Y6 @ (numeral @ (bit0 @ (bit1 @ u_0)))))))))))) @ (ylist @ W0 @ W1 @ W2 @ W3)))).
thf(aSphereo_ylist, axiom, ![W0:cartrealq737126,W3:cartrealq737126,W1:cartrealq737126,W2:cartrealq737126]:((ylist0 @ W0 @ W1 @ W2 @ W3) = (c_ @ (distance @ (c_4 @ W0 @ W1)) @ (c_0 @ (distance @ (c_4 @ W0 @ W2)) @ (c_1 @ (distance @ (c_4 @ W0 @ W3)) @ (c_2 @ (distance @ (c_4 @ W2 @ W3)) @ (c_3 @ (distance @ (c_4 @ W1 @ W3)) @ (distance @ (c_4 @ W1 @ W2))))))))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometryo_SWKFLBJ2, axiom, ![S:(cartrealn3 > $o)]:((collinear @ S) <=> ?[U:cartrealn3]:![X:cartrealn3,Y:cartrealn3]:(((in2 @ X @ S) & (in2 @ Y @ S)) => ?[C:real]:((vectoru_sub @ X @ Y) = (r_ @ C @ U))))).
thf(aTrigonometry1o_ATN2u_BREAKDOWN, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((atn2 @ (c_3 @ X @ Y)) = (atn @ (realu_div @ Y @ X)))) & ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y) => ((atn2 @ (c_3 @ X @ Y)) = (realu_sub @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (atn @ (realu_div @ X @ Y))))) & ((realu_lt @ Y @ (realu_ofu_num @ (numeral @ u_0))) => ((atn2 @ (c_3 @ X @ Y)) = (realu_sub @ (realu_neg @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (atn @ (realu_div @ X @ Y))))) & (((Y = (realu_ofu_num @ (numeral @ u_0))) & (realu_le @ X @ (realu_ofu_num @ (numeral @ u_0)))) => ((atn2 @ (c_3 @ X @ Y)) = pi)))).
thf(aTrigonometry2o_ABSu_REFL, axiom, ![X:real]:(((realu_abs @ X) = X) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(apairu_RECURSIONu_monomorphized14, axiom, ![PAIRI_:(real > real > real)]:?[FN:(prodrealreal > real)]:![A0:real,A1:real]:((FN @ (c_3 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized13, axiom, ![PAIRI_:(real > real > prodrealprodrealprodrealprodrealprodrealreal)]:?[FN:(prodrealreal > prodrealprodrealprodrealprodrealprodrealreal)]:![A0:real,A1:real]:((FN @ (c_3 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized12, axiom, ![PAIRI_:(real > real > cartrealn3)]:?[FN:(prodrealreal > cartrealn3)]:![A0:real,A1:real]:((FN @ (c_3 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized11, axiom, ![PAIRI_:(real > prodrealreal > real)]:?[FN:(prodrealprodrealreal > real)]:![A0:real,A1:prodrealreal]:((FN @ (c_2 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized10, axiom, ![PAIRI_:(real > prodrealreal > prodrealprodrealprodrealprodrealprodrealreal)]:?[FN:(prodrealprodrealreal > prodrealprodrealprodrealprodrealprodrealreal)]:![A0:real,A1:prodrealreal]:((FN @ (c_2 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized9, axiom, ![PAIRI_:(real > prodrealreal > cartrealn3)]:?[FN:(prodrealprodrealreal > cartrealn3)]:![A0:real,A1:prodrealreal]:((FN @ (c_2 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized8, axiom, ![PAIRI_:(real > prodrealprodrealreal > real)]:?[FN:(prodrealprodrealprodrealreal > real)]:![A0:real,A1:prodrealprodrealreal]:((FN @ (c_1 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized7, axiom, ![PAIRI_:(real > prodrealprodrealreal > prodrealprodrealprodrealprodrealprodrealreal)]:?[FN:(prodrealprodrealprodrealreal > prodrealprodrealprodrealprodrealprodrealreal)]:![A0:real,A1:prodrealprodrealreal]:((FN @ (c_1 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized6, axiom, ![PAIRI_:(real > prodrealprodrealreal > cartrealn3)]:?[FN:(prodrealprodrealprodrealreal > cartrealn3)]:![A0:real,A1:prodrealprodrealreal]:((FN @ (c_1 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized5, axiom, ![PAIRI_:(real > prodrealprodrealprodrealreal > real)]:?[FN:(prodrealprodrealprodrealprodrealreal > real)]:![A0:real,A1:prodrealprodrealprodrealreal]:((FN @ (c_0 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized4, axiom, ![PAIRI_:(real > prodrealprodrealprodrealreal > prodrealprodrealprodrealprodrealprodrealreal)]:?[FN:(prodrealprodrealprodrealprodrealreal > prodrealprodrealprodrealprodrealprodrealreal)]:![A0:real,A1:prodrealprodrealprodrealreal]:((FN @ (c_0 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized3, axiom, ![PAIRI_:(real > prodrealprodrealprodrealreal > cartrealn3)]:?[FN:(prodrealprodrealprodrealprodrealreal > cartrealn3)]:![A0:real,A1:prodrealprodrealprodrealreal]:((FN @ (c_0 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized2, axiom, ![PAIRI_:(real > prodrealprodrealprodrealprodrealreal > real)]:?[FN:(prodrealprodrealprodrealprodrealprodrealreal > real)]:![A0:real,A1:prodrealprodrealprodrealprodrealreal]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized1, axiom, ![PAIRI_:(real > prodrealprodrealprodrealprodrealreal > prodrealprodrealprodrealprodrealprodrealreal)]:?[FN:(prodrealprodrealprodrealprodrealprodrealreal > prodrealprodrealprodrealprodrealprodrealreal)]:![A0:real,A1:prodrealprodrealprodrealprodrealreal]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized0, axiom, ![PAIRI_:(real > prodrealprodrealprodrealprodrealreal > cartrealn3)]:?[FN:(prodrealprodrealprodrealprodrealprodrealreal > cartrealn3)]:![A0:real,A1:prodrealprodrealprodrealprodrealreal]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(avec, axiom, ![N:num]:((vec @ N) = (lambda3 @ ^[I:num]:(realu_ofu_num @ N)))).
thf(avectoru_add, axiom, ![X:cartrealn3,Y:cartrealn3]:((vectoru_add @ X @ Y) = (lambda3 @ ^[I:num]:(realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(avectoru_mul, axiom, ![C:real,X:cartrealn3]:((r_ @ C @ X) = (lambda3 @ ^[I:num]:(realu_mul @ C @ (d_ @ X @ I))))).
thf(avectoru_sub, axiom, ![X:cartrealn3,Y:cartrealn3]:((vectoru_sub @ X @ Y) = (lambda3 @ ^[I:num]:(realu_sub @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(conjecture, conjecture, (![V0:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,P:real,X1:real,X2:real,X3:real,X4:real,X5:real,X6:real,ALPHA1:real,ALPHA2:real,ALPHA3:real,D:real,W1:cartrealn3,W2:cartrealn3,W3:cartrealn3]:(((P = (euleru_p @ V0 @ V1 @ V2 @ V3)) & ((c_ @ X1 @ (c_0 @ X2 @ (c_1 @ X3 @ (c_2 @ X4 @ (c_3 @ X5 @ X6))))) = (xlist @ V0 @ V1 @ V2 @ V3)) & (ALPHA1 = (dihv @ V0 @ V1 @ V2 @ V3)) & (ALPHA2 = (dihv @ V0 @ V2 @ V3 @ V1)) & (ALPHA3 = (dihv @ V0 @ V3 @ V1 @ V2)) & (D = (deltau_x @ X1 @ X2 @ X3 @ X4 @ X5 @ X6)) & (W1 = (vectoru_sub @ V1 @ V0)) & (W2 = (vectoru_sub @ V2 @ V0)) & (W3 = (vectoru_sub @ V3 @ V0)) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ((vectoru_norm @ W1) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vectoru_norm @ W2) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vectoru_norm @ W3) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((realu_add @ ALPHA1 @ (realu_add @ ALPHA2 @ (realu_sub @ ALPHA3 @ pi))) = (realu_sub @ pi @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (atn2 @ (c_3 @ (sqrt @ D) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ P))))))) => ![V0:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3]:(let @ ^[P:real]:(letu_end @ (let0 @ (gabs @ ^[F:(prodrealprodrealprodrealprodrealprodrealreal > $o)]:![X1:real,X2:real,X3:real,X4:real,X5:real,X6:real]:(geq @ (F @ (c_ @ X1 @ (c_0 @ X2 @ (c_1 @ X3 @ (c_2 @ X4 @ (c_3 @ X5 @ X6)))))) @ (letu_end @ (let @ ^[ALPHA1:real]:(letu_end @ (let @ ^[ALPHA2:real]:(letu_end @ (let @ ^[ALPHA3:real]:(letu_end @ (let @ ^[D:real]:(letu_end @ ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) => ((realu_add @ ALPHA1 @ (realu_add @ ALPHA2 @ (realu_sub @ ALPHA3 @ pi))) = (realu_sub @ pi @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (atn2 @ (c_3 @ (sqrt @ D) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ P)))))))) @ (deltau_x @ X1 @ X2 @ X3 @ X4 @ X5 @ X6))) @ (dihv @ V0 @ V3 @ V1 @ V2))) @ (dihv @ V0 @ V2 @ V3 @ V1))) @ (dihv @ V0 @ V1 @ V2 @ V3))))) @ (xlist @ V0 @ V1 @ V2 @ V3))) @ (euleru_p @ V0 @ V1 @ V2 @ V3)))).
