%   ORIGINAL: Vol1.SET_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: A = B <=> (!a. a IN A ==> a IN B) /\ (!a. a IN B ==> a IN A)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: T
% Goal: !A B. A = B <=> (!a. a IN A ==> a IN B) /\ (!a. a IN B ==> a IN A)
%  TYPES
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealn3 > $o),G:(cartrealn3 > $o)]:(![X:cartrealn3]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn3 > $o)]:(^[X:cartrealn3]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:(cartrealn3 > $o),B:(cartrealn3 > $o)]:((A = B) <=> (![A0:cartrealn3]:((in @ A0 @ A) => (in @ A0 @ B)) & ![A0:cartrealn3]:((in @ A0 @ B) => (in @ A0 @ A))))).
