%   ORIGINAL: volume_props_conjunct5
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: ARITH_ADD_conjunct1: _0 + _0 = _0
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct3: !n. _0 + BIT1 n = BIT1 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_ADD_conjunct8: !m n. BIT1 m + BIT0 n = BIT1 (m + n)
% Assm: ARITH_ADD_conjunct9: !m n. BIT1 m + BIT1 n = BIT0 (SUC (m + n))
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct3: !n. _0 * BIT1 n = _0
% Assm: ARITH_MULT_conjunct5: !n. BIT1 n * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_SUC_conjunct3: !n. SUC (BIT1 n) = BIT0 (SUC n)
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_0: !n. 0 <= n
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MEASURE_POS_LE: !s. measurable s ==> &0 <= measure s
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NORMBALL_BALL: !z r. normball z r = ball (z,r)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_EQ_ADD_LCANCEL: !x y z. x + y = x + z <=> y = z
% Assm: REAL_INV_1: inv (&1) = &1
% Assm: REAL_INV_DIV: !x y. inv (x / y) = y / x
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_INV_NEG: !x. inv (--x) = --inv x
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RINV: !x. ~(x = &0) ==> x * inv x = &1
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: Sphere.cone0: !v S. cone0 v S = affsign sgn_gt {v} S
% Assm: Sphere.vol_conic_cap_wedge: !v0 v1 v2 v3 c r. vol_conic_cap_wedge v0 v1 v2 v3 r c = azim v0 v1 v2 v3 * (&1 - c) * r pow 3 / &3
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: VOLUME_BALL_WEDGE: !z w r w1 w2. &0 <= r ==> vol (ball (z,r) INTER wedge z w w1 w2) = azim z w w1 w2 * &2 * r pow 3 / &3
% Assm: VOLUME_CONIC_CAP_WEDGE: !v0 v1 w1 w2 r a. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} ==> bounded (conic_cap v0 v1 r a INTER wedge v0 v1 w1 w2) /\ measurable (conic_cap v0 v1 r a INTER wedge v0 v1 w1 w2) /\ vol (conic_cap v0 v1 r a INTER wedge v0 v1 w1 w2) = (if &1 < a \/ r < &0 then &0 else azim v0 v1 w1 w2 / &3 * (&1 - max a (-- &1)) * r pow 3)
% Assm: VOLUME_FRUSTT_WEDGE: !v0 v1 w1 w2 h a. &0 < a /\ ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} ==> bounded (frustt v0 v1 h a INTER wedge v0 v1 w1 w2) /\ measurable (frustt v0 v1 h a INTER wedge v0 v1 w1 w2) /\ vol (frustt v0 v1 h a INTER wedge v0 v1 w1 w2) = (if &1 <= a \/ h < &0 then &0 else azim v0 v1 w1 w2 * ((h / a) pow 2 - h pow 2) * h / &6)
% Assm: VOLUME_SOLID_TRIANGLE: !r v0 v1 v2 v3. &0 < r /\ ~coplanar {v0, v1, v2, v3} ==> vol (ball (v0,r) INTER aff_gt {v0} {v1, v2, v3}) = (let a123 = dihV v0 v1 v2 v3 in let a231 = dihV v0 v2 v3 v1 in let a312 = dihV v0 v3 v1 v2 in (a123 + a231 + a312 - pi) * r pow 3 / &3)
% Assm: aff_gt_def: aff_gt = affsign sgn_gt
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: real_max: !n m. max m n = (if m <= n then n else m)
% Assm: real_min: !m n. min m n = (if m <= n then m else n)
% Assm: solid_triangle: !r v0 S. solid_triangle v0 S r = normball v0 r INTER cone0 v0 S
% Assm: vol_ball_wedge: !v0 v1 v2 v3 r. vol_ball_wedge v0 v1 v2 v3 r = azim v0 v1 v2 v3 * &2 * r pow 3 / &3
% Assm: vol_frustt_wedge: !v0 v1 v2 v3 h a. vol_frustt_wedge v0 v1 v2 v3 h a = azim v0 v1 v2 v3 * h pow 3 * (&1 / (a * a) - &1) / &6
% Assm: vol_solid_triangle: !r v0 v1 v2 v3. vol_solid_triangle v0 v1 v2 v3 r = (let a123 = dihV v0 v1 v2 v3 in let a231 = dihV v0 v2 v3 v1 in let a312 = dihV v0 v3 v1 v2 in (a123 + a231 + a312 - pi) * r pow 3 / &3)
% Assm: volume_props_conjunct1: !Z. NULLSET Z ==> vol Z = &0
% Assm: volume_props_conjunct2: !X Y. measurable X /\ measurable Y /\ NULLSET (SDIFF X Y) ==> vol X = vol Y
% Assm: volume_props_conjunct3: !X t. measurable X /\ measurable (IMAGE (scale t) X) ==> vol (IMAGE (scale t) X) = abs (t$1 * t$2 * t$3) * vol X
% Assm: volume_props_conjunct4: !X v. measurable X ==> vol (IMAGE ((+) v) X) = vol X
% Assm: volume_props_conjunct6: !v0 v1 v2 v3. vol (conv0 {v0, v1, v2, v3}) = vol_conv v0 v1 v2 v3
% Assm: volume_props_conjunct9: !a b. vol (rect a b) = vol_rect a b
% Goal: !v0 v1 v2 v3 r. r > &0 /\ ~coplanar {v0, v1, v2, v3} ==> vol (solid_triangle v0 {v1, v2, v3} r) = vol_solid_triangle v0 v1 v2 v3 r
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: _0 + _0 = _0
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. _0 + BIT1 n = BIT1 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. BIT1 m + BIT0 n = BIT1 (m + n)
% Assm: !m n. BIT1 m + BIT1 n = BIT0 (SUC (m + n))
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !n. _0 * BIT1 n = _0
% Assm: !n. BIT1 n * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: !n. SUC (BIT1 n) = BIT0 (SUC n)
% Assm: BIT0 _0 = _0
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !t. (\x. t x) = t
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !n. 0 <= n
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !s. measurable s ==> &0 <= vol s
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: !z r. normball z r = ball (z,r)
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y z. x + y = x + z <=> y = z
% Assm: inv (&1) = &1
% Assm: !x y. inv (x / y) = y / x
% Assm: !x. inv (inv x) = x
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x. inv (--x) = --inv x
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x. ~(x = &0) ==> x * inv x = &1
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !v S. cone0 v S = affsign sgn_gt {v} S
% Assm: !v0 v1 v2 v3 c r. vol_conic_cap_wedge v0 v1 v2 v3 r c = azim v0 v1 v2 v3 * (&1 - c) * r pow 3 / &3
% Assm: T
% Assm: 2 = SUC 1
% Assm: !z w r w1 w2. &0 <= r ==> vol (ball (z,r) INTER wedge z w w1 w2) = azim z w w1 w2 * &2 * r pow 3 / &3
% Assm: !v0 v1 w1 w2 r a. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} ==> bounded (conic_cap v0 v1 r a INTER wedge v0 v1 w1 w2) /\ measurable (conic_cap v0 v1 r a INTER wedge v0 v1 w1 w2) /\ vol (conic_cap v0 v1 r a INTER wedge v0 v1 w1 w2) = (if &1 < a \/ r < &0 then &0 else azim v0 v1 w1 w2 / &3 * (&1 - max a (-- &1)) * r pow 3)
% Assm: !v0 v1 w1 w2 h a. &0 < a /\ ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} ==> bounded (frustt v0 v1 h a INTER wedge v0 v1 w1 w2) /\ measurable (frustt v0 v1 h a INTER wedge v0 v1 w1 w2) /\ vol (frustt v0 v1 h a INTER wedge v0 v1 w1 w2) = (if &1 <= a \/ h < &0 then &0 else azim v0 v1 w1 w2 * ((h / a) pow 2 - h pow 2) * h / &6)
% Assm: !r v0 v1 v2 v3. &0 < r /\ ~coplanar {v0, v1, v2, v3} ==> vol (ball (v0,r) INTER aff_gt {v0} {v1, v2, v3}) = (let a123 = dihV v0 v1 v2 v3 in let a231 = dihV v0 v2 v3 v1 in let a312 = dihV v0 v3 v1 v2 in (a123 + a231 + a312 - pi) * r pow 3 / &3)
% Assm: aff_gt = affsign sgn_gt
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !n m. max m n = (if m <= n then n else m)
% Assm: !m n. min m n = (if m <= n then m else n)
% Assm: !r v0 S. solid_triangle v0 S r = normball v0 r INTER cone0 v0 S
% Assm: !v0 v1 v2 v3 r. vol_ball_wedge v0 v1 v2 v3 r = azim v0 v1 v2 v3 * &2 * r pow 3 / &3
% Assm: !v0 v1 v2 v3 h a. vol_frustt_wedge v0 v1 v2 v3 h a = azim v0 v1 v2 v3 * h pow 3 * (&1 / (a * a) - &1) / &6
% Assm: !r v0 v1 v2 v3. vol_solid_triangle v0 v1 v2 v3 r = (let a123 = dihV v0 v1 v2 v3 in let a231 = dihV v0 v2 v3 v1 in let a312 = dihV v0 v3 v1 v2 in (a123 + a231 + a312 - pi) * r pow 3 / &3)
% Assm: !Z. NULLSET Z ==> vol Z = &0
% Assm: !X Y. measurable X /\ measurable Y /\ NULLSET (SDIFF X Y) ==> vol X = vol Y
% Assm: !X t. measurable X /\ measurable (IMAGE (scale t) X) ==> vol (IMAGE (scale t) X) = abs (t$1 * t$2 * t$3) * vol X
% Assm: !X v. measurable X ==> vol (IMAGE ((+) v) X) = vol X
% Assm: !v0 v1 v2 v3. vol (conv0 {v0, v1, v2, v3}) = vol_conv v0 v1 v2 v3
% Assm: !a b. vol (rect a b) = vol_rect a b
% Goal: !v0 v1 v2 v3 r. r > &0 /\ ~coplanar {v0, v1, v2, v3} ==> vol (solid_triangle v0 {v1, v2, v3} r) = vol_solid_triangle v0 v1 v2 v3 r
%  TYPES
thf(tq701181, type, q701181 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq721339, type, cartrealq721339 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealn3real, type, prodcartrealn3real : $tType).
thf(tprodcartrealq721339real, type, prodcartrealq721339real : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tcartrealq701181, type, cartrealq701181 : $tType).
thf(tq721339, type, q721339 : $tType).
%  CONSTS
thf(cvoluu_rect, type, volu_rect : (cartrealn3 > cartrealn3 > real)).
thf(cconv0, type, conv0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdu_, type, d_ : (cartrealn3 > num > real)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(clet, type, let : ((real > real) > real > real)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(cball0, type, ball0 : (prodcartrealn3real > cartrealn3 > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cball, type, ball : (prodcartrealq721339real > cartrealq721339 > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cmeasure, type, measure : ((cartrealn3 > $o) > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(cpi, type, pi : real).
thf(crect, type, rect : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cvoluu_conv, type, volu_conv : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cscale, type, scale : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cimage, type, image : ((cartrealn3 > cartrealn3) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csdiff, type, sdiff : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvoluu_frusttuu_wedge, type, volu_frusttu_wedge : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real > real > real)).
thf(cvoluu_balluu_wedge, type, volu_ballu_wedge : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real > real)).
thf(cnormball0, type, normball0 : (cartrealn3 > real > cartrealn3 > $o)).
thf(caffsign0, type, affsign0 : ((real > $o) > (cartrealq701181 > $o) > (cartrealq701181 > $o) > cartrealq701181 > $o)).
thf(caffuu_gt0, type, affu_gt0 : ((cartrealq701181 > $o) > (cartrealq701181 > $o) > cartrealq701181 > $o)).
thf(cdihv, type, dihv : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(caffuu_gt, type, affu_gt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cfrustt, type, frustt : (cartrealn3 > cartrealn3 > real > real > cartrealn3 > $o)).
thf(cconicuu_cap, type, conicu_cap : (cartrealn3 > cartrealn3 > real > real > cartrealn3 > $o)).
thf(cwedge, type, wedge : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : (cartrealn3 > real > prodcartrealn3real)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cvoluu_conicuu_capuu_wedge, type, volu_conicu_capu_wedge : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real > real > real)).
thf(caffsign, type, affsign : ((real > $o) > (cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccone0, type, cone0 : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_, type, c_ : (cartrealq721339 > real > prodcartrealq721339real)).
thf(cnormball, type, normball : (cartrealq721339 > real > cartrealq721339 > $o)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cvoluu_soliduu_triangle, type, volu_solidu_triangle : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real > real)).
thf(csoliduu_triangle, type, solidu_triangle : (cartrealn3 > (cartrealn3 > $o) > real > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cnegligible, type, negligible : ((cartrealn3 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccoplanar, type, coplanar : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(csgnuu_gt, type, sgnu_gt : (real > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cletuu_end, type, letu_end : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct1, axiom, ((p_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct3, axiom, ![N:num]:((p_ @ u_0 @ (bit1 @ N)) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct8, axiom, ![M:num,N:num]:((p_ @ (bit1 @ M) @ (bit0 @ N)) = (bit1 @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct9, axiom, ![M:num,N:num]:((p_ @ (bit1 @ M) @ (bit1 @ N)) = (bit0 @ (suc @ (p_ @ M @ N))))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct3, axiom, ![N:num]:((t_ @ u_0 @ (bit1 @ N)) = u_0)).
thf(aARITHu_MULTu_conjunct5, axiom, ![N:num]:((t_ @ (bit1 @ N) @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_SUCu_conjunct3, axiom, ![N:num]:((suc @ (bit1 @ N)) = (bit0 @ (suc @ N)))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMEASUREu_POSu_LE, axiom, ![S:(cartrealn3 > $o)]:((measurable @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ S)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNORMBALLu_BALL, axiom, ![Z:cartrealq721339,R:real]:((normball @ Z @ R) = (ball @ (c_ @ Z @ R)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_EQu_ADDu_LCANCEL, axiom, ![X:real,Y:real,Z:real]:(((realu_add @ X @ Y) = (realu_add @ X @ Z)) <=> (Y = Z))).
thf(aREALu_INVu_1, axiom, ((realu_inv @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_INVu_DIV, axiom, ![X:real,Y:real]:((realu_inv @ (realu_div @ X @ Y)) = (realu_div @ Y @ X))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_INVu_NEG, axiom, ![X:real]:((realu_inv @ (realu_neg @ X)) = (realu_neg @ (realu_inv @ X)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ X @ (realu_inv @ X)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSphereo_cone0, axiom, ![V:cartrealn3,S:(cartrealn3 > $o)]:((cone0 @ V @ S) = (affsign @ sgnu_gt @ (insert @ V @ empty) @ S))).
thf(aSphereo_volu_conicu_capu_wedge, axiom, ![V0:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,C:real,R:real]:((volu_conicu_capu_wedge @ V0 @ V1 @ V2 @ V3 @ R @ C) = (realu_mul @ (azim @ V0 @ V1 @ V2 @ V3) @ (realu_mul @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ C) @ (realu_div @ (realu_pow @ R @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))))))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aVOLUMEu_BALLu_WEDGE, axiom, ![Z:cartrealn3,W:cartrealn3,R:real,W1:cartrealn3,W2:cartrealn3]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ R) => ((measure @ (inter @ (ball0 @ (c_0 @ Z @ R)) @ (wedge @ Z @ W @ W1 @ W2))) = (realu_mul @ (azim @ Z @ W @ W1 @ W2) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_div @ (realu_pow @ R @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0)))))))))).
thf(aVOLUMEu_CONICu_CAPu_WEDGE, axiom, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3,R:real,A:real]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W1 @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W2 @ empty)))))) => ((bounded @ (inter @ (conicu_cap @ V0 @ V1 @ R @ A) @ (wedge @ V0 @ V1 @ W1 @ W2))) & (measurable @ (inter @ (conicu_cap @ V0 @ V1 @ R @ A) @ (wedge @ V0 @ V1 @ W1 @ W2))) & ((measure @ (inter @ (conicu_cap @ V0 @ V1 @ R @ A) @ (wedge @ V0 @ V1 @ W1 @ W2))) = (cond @ ((realu_lt @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ A) | (realu_lt @ R @ (realu_ofu_num @ (numeral @ u_0)))) @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ (realu_div @ (azim @ V0 @ V1 @ W1 @ W2) @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))) @ (realu_mul @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_max @ A @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))) @ (realu_pow @ R @ (numeral @ (bit1 @ (bit1 @ u_0))))))))))).
thf(aVOLUMEu_FRUSTTu_WEDGE, axiom, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3,H:real,A:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ A) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W1 @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W2 @ empty)))))) => ((bounded @ (inter @ (frustt @ V0 @ V1 @ H @ A) @ (wedge @ V0 @ V1 @ W1 @ W2))) & (measurable @ (inter @ (frustt @ V0 @ V1 @ H @ A) @ (wedge @ V0 @ V1 @ W1 @ W2))) & ((measure @ (inter @ (frustt @ V0 @ V1 @ H @ A) @ (wedge @ V0 @ V1 @ W1 @ W2))) = (cond @ ((realu_le @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ A) | (realu_lt @ H @ (realu_ofu_num @ (numeral @ u_0)))) @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ (azim @ V0 @ V1 @ W1 @ W2) @ (realu_mul @ (realu_sub @ (realu_pow @ (realu_div @ H @ A) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ H @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_div @ H @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ (bit1 @ u_0))))))))))))).
thf(aVOLUMEu_SOLIDu_TRIANGLE, axiom, ![R:real,V0:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & ~ ((coplanar @ (insert @ V0 @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))))) => ((measure @ (inter @ (ball0 @ (c_0 @ V0 @ R)) @ (affu_gt @ (insert @ V0 @ empty) @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty)))))) = (let @ ^[A123:real]:(letu_end @ (let @ ^[A231:real]:(letu_end @ (let @ ^[A312:real]:(letu_end @ (realu_mul @ (realu_add @ A123 @ (realu_add @ A231 @ (realu_sub @ A312 @ pi))) @ (realu_div @ (realu_pow @ R @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))))) @ (dihv @ V0 @ V3 @ V1 @ V2))) @ (dihv @ V0 @ V2 @ V3 @ V1))) @ (dihv @ V0 @ V1 @ V2 @ V3))))).
thf(aaffu_gtu_def, axiom, (affu_gt0 = (affsign0 @ sgnu_gt))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(arealu_max, axiom, ![N:real,M:real]:((realu_max @ M @ N) = (cond @ (realu_le @ M @ N) @ N @ M))).
thf(arealu_min, axiom, ![M:real,N:real]:((realu_min @ M @ N) = (cond @ (realu_le @ M @ N) @ M @ N))).
thf(asolidu_triangle, axiom, ![R:real,V0:cartrealn3,S:(cartrealn3 > $o)]:((solidu_triangle @ V0 @ S @ R) = (inter @ (normball0 @ V0 @ R) @ (cone0 @ V0 @ S)))).
thf(avolu_ballu_wedge, axiom, ![V0:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,R:real]:((volu_ballu_wedge @ V0 @ V1 @ V2 @ V3 @ R) = (realu_mul @ (azim @ V0 @ V1 @ V2 @ V3) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_div @ (realu_pow @ R @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))))))).
thf(avolu_frusttu_wedge, axiom, ![V0:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,H:real,A:real]:((volu_frusttu_wedge @ V0 @ V1 @ V2 @ V3 @ H @ A) = (realu_mul @ (azim @ V0 @ V1 @ V2 @ V3) @ (realu_mul @ (realu_pow @ H @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (realu_div @ (realu_sub @ (realu_div @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_mul @ A @ A)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ (bit1 @ u_0)))))))))).
thf(avolu_solidu_triangle, axiom, ![R:real,V0:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3]:((volu_solidu_triangle @ V0 @ V1 @ V2 @ V3 @ R) = (let @ ^[A123:real]:(letu_end @ (let @ ^[A231:real]:(letu_end @ (let @ ^[A312:real]:(letu_end @ (realu_mul @ (realu_add @ A123 @ (realu_add @ A231 @ (realu_sub @ A312 @ pi))) @ (realu_div @ (realu_pow @ R @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))))) @ (dihv @ V0 @ V3 @ V1 @ V2))) @ (dihv @ V0 @ V2 @ V3 @ V1))) @ (dihv @ V0 @ V1 @ V2 @ V3)))).
thf(avolumeu_propsu_conjunct1, axiom, ![Z:(cartrealn3 > $o)]:((negligible @ Z) => ((measure @ Z) = (realu_ofu_num @ (numeral @ u_0))))).
thf(avolumeu_propsu_conjunct2, axiom, ![X:(cartrealn3 > $o),Y:(cartrealn3 > $o)]:(((measurable @ X) & (measurable @ Y) & (negligible @ (sdiff @ X @ Y))) => ((measure @ X) = (measure @ Y)))).
thf(avolumeu_propsu_conjunct3, axiom, ![X:(cartrealn3 > $o),T:cartrealn3]:(((measurable @ X) & (measurable @ (image @ (scale @ T) @ X))) => ((measure @ (image @ (scale @ T) @ X)) = (realu_mul @ (realu_abs @ (realu_mul @ (d_ @ T @ (numeral @ (bit1 @ u_0))) @ (realu_mul @ (d_ @ T @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ T @ (numeral @ (bit1 @ (bit1 @ u_0))))))) @ (measure @ X))))).
thf(avolumeu_propsu_conjunct4, axiom, ![X:(cartrealn3 > $o),V:cartrealn3]:((measurable @ X) => ((measure @ (image @ (vectoru_add @ V) @ X)) = (measure @ X)))).
thf(avolumeu_propsu_conjunct6, axiom, ![V0:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3]:((measure @ (conv0 @ (insert @ V0 @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty)))))) = (volu_conv @ V0 @ V1 @ V2 @ V3))).
thf(avolumeu_propsu_conjunct9, axiom, ![A:cartrealn3,B:cartrealn3]:((measure @ (rect @ A @ B)) = (volu_rect @ A @ B))).
thf(conjecture, conjecture, ![V0:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,R:real]:(((realu_gt @ R @ (realu_ofu_num @ (numeral @ u_0))) & ~ ((coplanar @ (insert @ V0 @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))))) => ((measure @ (solidu_triangle @ V0 @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))) @ R)) = (volu_solidu_triangle @ V0 @ V1 @ V2 @ V3 @ R)))).
