%   ORIGINAL: Vol1.measurable_unions_cube
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: MEASURABLE_UNIONS: !f. FINITE f /\ (!s. s IN f ==> measurable s) ==> measurable (UNIONS f)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Vol1.finite_set_of_cube: !x r. FINITE (set_of_cube (int_ball x r))
% Assm: Vol1.measurable_cube: !x. measurable (cube x)
% Assm: Vol1.set_of_cube: !S. set_of_cube S = {cube x | x IN S}
% Goal: !x r. measurable (UNIONS (set_of_cube (int_ball x r)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !f. FINITE f /\ (!s. s IN f ==> measurable s) ==> measurable (UNIONS f)
% Assm: ~F <=> T
% Assm: T
% Assm: !x r. FINITE (set_of_cube (int_ball x r))
% Assm: !x. measurable (cube x)
% Assm: !S. set_of_cube S = {cube x | x IN S}
% Goal: !x r. measurable (UNIONS (set_of_cube (int_ball x r)))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq43820, type, q43820 : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin1, type, in1 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec0, type, gspec0 : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(ccube, type, cube : (cartrealn3 > cartrealn3 > $o)).
thf(cin0, type, in0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cgspec, type, gspec : ((q43820 > $o) > q43820 > $o)).
thf(cin, type, in : (q43820 > (q43820 > $o) > $o)).
thf(csetuu_ofuu_cube, type, setu_ofu_cube : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cunions, type, unions : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(csetspec, type, setspec : (q43820 > $o > q43820 > $o)).
thf(cintuu_ball, type, intu_ball : (cartrealn3 > real > cartrealn3 > $o)).
thf(cfinite, type, finite : (((cartrealn3 > $o) > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > q43820 > $o) > $o),X:q43820]:((in @ X @ (gspec @ ^[V:q43820]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:q43820]:(P0 & (X = T))))).
thf(aMEASURABLEu_UNIONS, axiom, ![F:((cartrealn3 > $o) > $o)]:(((finite @ F) & ![S:(cartrealn3 > $o)]:((in0 @ S @ F) => (measurable @ S))) => (measurable @ (unions @ F)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVol1o_finiteu_setu_ofu_cube, axiom, ![X:cartrealn3,R:real]:(finite @ (setu_ofu_cube @ (intu_ball @ X @ R)))).
thf(aVol1o_measurableu_cube, axiom, ![X:cartrealn3]:(measurable @ (cube @ X))).
thf(aVol1o_setu_ofu_cube, axiom, ![S:(cartrealn3 > $o)]:((setu_ofu_cube @ S) = (gspec0 @ ^[GENR_PVARR_215:(cartrealn3 > $o)]:?[X:cartrealn3]:(setspec0 @ GENR_PVARR_215 @ (in1 @ X @ S) @ (cube @ X))))).
thf(conjecture, conjecture, ![X:cartrealn3,R:real]:(measurable @ (unions @ (setu_ofu_cube @ (intu_ball @ X @ R))))).
