%   ORIGINAL: Vol1.int_ball_card_eq_ccube
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_IMAGE_INJ: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Pack1.finite_int_ball: !x r. FINITE (int_ball x r)
% Assm: TRUTH: T
% Assm: Vol1.inj_map1: !x r. INJ map1 (int_ball x r) (set_of_ccube (int_ball x r))
% Assm: Vol1.map1: !x. map1 x = ccube x
% Assm: Vol1.set_of_ccube: !S. set_of_ccube S = {ccube x | x IN S}
% Assm: Vol1.surj2_map1: !x r. IMAGE map1 (int_ball x r) = set_of_ccube (int_ball x r)
% Goal: !x r. CARD (int_ball x r) = CARD (set_of_ccube (int_ball x r))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x r. FINITE (int_ball x r)
% Assm: T
% Assm: !x r. INJ map1 (int_ball x r) (set_of_ccube (int_ball x r))
% Assm: !x. map1 x = ccube x
% Assm: !S. set_of_ccube S = {ccube x | x IN S}
% Assm: !x r. IMAGE map1 (int_ball x r) = set_of_ccube (int_ball x r)
% Goal: !x r. CARD (int_ball x r) = CARD (set_of_ccube (int_ball x r))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin1, type, in1 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec0, type, gspec0 : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cccube, type, ccube : (cartrealn3 > cartrealn3 > $o)).
thf(cmap1, type, map1 : (cartrealn3 > cartrealn3 > $o)).
thf(cgspec, type, gspec : ((num > $o) > num > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(csetuu_ofuu_ccube, type, setu_ofu_ccube : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cimage0, type, image0 : ((cartrealn3 > cartrealn3 > $o) > (cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cinj0, type, inj0 : ((cartrealn3 > cartrealn3 > $o) > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(csetspec, type, setspec : (num > $o > num > $o)).
thf(cinj, type, inj : ((num > num) > (num > $o) > (num > $o) > $o)).
thf(cimage, type, image : ((num > num) > (num > $o) > num > $o)).
thf(cintuu_ball, type, intu_ball : (cartrealn3 > real > cartrealn3 > $o)).
thf(cfinite0, type, finite0 : ((cartrealn3 > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(ccard1, type, card1 : ((num > $o) > num)).
thf(ccard0, type, card0 : (((cartrealn3 > $o) > $o) > num)).
thf(ccard, type, card : ((cartrealn3 > $o) > num)).
thf(ci, type, i : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_IMAGEu_INJ, axiom, ![F:(num > num),S:(num > $o)]:((![X:num,Y:num]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (finite @ S)) => ((card1 @ (image @ F @ S)) = (card1 @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINJ, axiom, ![T:(num > $o),S:(num > $o),F:(num > num)]:((inj @ F @ S @ T) <=> (![X:num]:((in @ X @ S) => (in @ (F @ X) @ T)) & ![X:num,Y:num]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > num > $o) > $o),X:num]:((in @ X @ (gspec @ ^[V:num]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:num]:(P0 & (X = T))))).
thf(aIu_THM, axiom, ![X:num]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPack1o_finiteu_intu_ball, axiom, ![X:cartrealn3,R:real]:(finite0 @ (intu_ball @ X @ R))).
thf(aTRUTH, axiom, $true).
thf(aVol1o_inju_map1, axiom, ![X:cartrealn3,R:real]:(inj0 @ map1 @ (intu_ball @ X @ R) @ (setu_ofu_ccube @ (intu_ball @ X @ R)))).
thf(aVol1o_map1, axiom, ![X:cartrealn3]:((map1 @ X) = (ccube @ X))).
thf(aVol1o_setu_ofu_ccube, axiom, ![S:(cartrealn3 > $o)]:((setu_ofu_ccube @ S) = (gspec0 @ ^[GENR_PVARR_224:(cartrealn3 > $o)]:?[X:cartrealn3]:(setspec0 @ GENR_PVARR_224 @ (in1 @ X @ S) @ (ccube @ X))))).
thf(aVol1o_surj2u_map1, axiom, ![X:cartrealn3,R:real]:((image0 @ map1 @ (intu_ball @ X @ R)) = (setu_ofu_ccube @ (intu_ball @ X @ R)))).
thf(conjecture, conjecture, ![X:cartrealn3,R:real]:((card @ (intu_ball @ X @ R)) = (card0 @ (setu_ofu_ccube @ (intu_ball @ X @ R))))).
