%   ORIGINAL: Hypermap.lemma_4functions
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Goal: !f g h r. f o g o h o r = f o (g o h) o r
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !f g h. f o g o h = (f o g) o h
% Goal: !f g h r. f o g o h o r = f o (g o h) o r
%  TYPES
thf(tq1099409, type, q1099409 : $tType).
thf(ta, type, a : $tType).
thf(tq1099392, type, q1099392 : $tType).
thf(tq1099394, type, q1099394 : $tType).
thf(tq1099399, type, q1099399 : $tType).
thf(tq1099403, type, q1099403 : $tType).
%  CONSTS
thf(co3, type, o3 : ((q1099394 > q1099409) > (q1099392 > q1099394) > q1099392 > q1099409)).
thf(co2, type, o2 : ((q1099392 > q1099409) > (q1099403 > q1099392) > q1099403 > q1099409)).
thf(co1, type, o1 : ((q1099392 > q1099394) > (q1099403 > q1099392) > q1099403 > q1099394)).
thf(co0, type, o0 : ((q1099394 > q1099409) > (q1099403 > q1099394) > q1099403 > q1099409)).
thf(co, type, o : ((q1099409 > q1099399) > (q1099403 > q1099409) > q1099403 > q1099399)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q1099403 > q1099399),G:(a > q1099403 > q1099399)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_ASSOC, axiom, ![F:(q1099394 > q1099409),G:(q1099392 > q1099394),H:(q1099403 > q1099392)]:((o0 @ F @ (o1 @ G @ H)) = (o2 @ (o3 @ F @ G) @ H))).
thf(conjecture, conjecture, ![F:(q1099409 > q1099399),G:(q1099394 > q1099409),H:(q1099392 > q1099394),R:(q1099403 > q1099392)]:((o @ F @ (o0 @ G @ (o1 @ H @ R))) = (o @ F @ (o2 @ (o3 @ G @ H) @ R)))).
