%   ORIGINAL: Hypermap.lemmaFKSNTKR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Fan.POWER_1: !f. f POWER 1 = f
% Assm: Hypermap.dart_nondegenerate: !H x. dart_nondegenerate H x <=> ~(edge_map H x = x) /\ ~(node_map H x = x) /\ ~(face_map H x = x)
% Assm: Hypermap.face: !H x. face H x = orbit_map (face_map H) x
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.in_orbit_lemma: !f n x y. y = (f POWER n) x ==> y IN orbit_map f x
% Assm: Hypermap.inverse_function: !s p x y. p permutes s /\ p x = y ==> x = inverse p y
% Assm: Hypermap.inverse_hypermap_maps: !H. inverse (edge_map H) = node_map H o face_map H /\ inverse (node_map H) = face_map H o edge_map H /\ inverse (face_map H) = edge_map H o node_map H
% Assm: Hypermap.is_face_merge: !H x. is_face_merge H x <=> dart_nondegenerate H x /\ ~(edge_map H x IN face H x)
% Assm: Hypermap.is_node_merge: !H x. is_node_merge H x <=> dart_nondegenerate H x /\ ~(face_map H x IN node H x)
% Assm: Hypermap.lemma_orbit_identity: !s p x y. FINITE s /\ p permutes s /\ y IN orbit_map p x ==> orbit_map p x = orbit_map p y
% Assm: Hypermap.node: !H x. node H x = orbit_map (node_map H) x
% Assm: Hypermap.orbit_sym: !s p x y. FINITE s /\ p permutes s ==> x IN orbit_map p y ==> y IN orbit_map p x
% Assm: Hypermap.simple_hypermap: !H. simple_hypermap H <=> (!x. x IN dart H ==> node H x INTER face H x = {x})
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_IN_IMAGE: !p s x. p permutes s ==> (p x IN s <=> x IN s)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !H x. simple_hypermap H /\ x IN dart H /\ ~(edge_map H x = x) /\ dart_nondegenerate H x /\ dart_nondegenerate H (edge_map H x) ==> (edge_map H (edge_map H x) = x ==> is_face_merge H x) /\ is_node_merge H x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f. f POWER 1 = f
% Assm: !H x. dart_nondegenerate H x <=> ~(edge_map H x = x) /\ ~(node_map H x = x) /\ ~(face_map H x = x)
% Assm: !H x. face H x = orbit_map (face_map H) x
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !f n x y. y = (f POWER n) x ==> y IN orbit_map f x
% Assm: !s p x y. p permutes s /\ p x = y ==> x = inverse p y
% Assm: !H. inverse (edge_map H) = node_map H o face_map H /\ inverse (node_map H) = face_map H o edge_map H /\ inverse (face_map H) = edge_map H o node_map H
% Assm: !H x. is_face_merge H x <=> dart_nondegenerate H x /\ ~(edge_map H x IN face H x)
% Assm: !H x. is_node_merge H x <=> dart_nondegenerate H x /\ ~(face_map H x IN node H x)
% Assm: !s p x y. FINITE s /\ p permutes s /\ y IN orbit_map p x ==> orbit_map p x = orbit_map p y
% Assm: !H x. node H x = orbit_map (node_map H) x
% Assm: !s p x y. FINITE s /\ p permutes s ==> x IN orbit_map p y ==> y IN orbit_map p x
% Assm: !H. simple_hypermap H <=> (!x. x IN dart H ==> node H x INTER face H x = {x})
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x y. x IN {y} <=> x = y
% Assm: ~F <=> T
% Assm: !p s x. p permutes s ==> (p x IN s <=> x IN s)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !H x. simple_hypermap H /\ x IN dart H /\ ~(edge_map H x = x) /\ dart_nondegenerate H x /\ dart_nondegenerate H (edge_map H x) ==> (edge_map H (edge_map H x) = x ==> is_face_merge H x) /\ is_node_merge H x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cisuu_nodeuu_merge, type, isu_nodeu_merge : (hypermapa > a > $o)).
thf(cisuu_faceuu_merge, type, isu_faceu_merge : (hypermapa > a > $o)).
thf(cdartuu_nondegenerate, type, dartu_nondegenerate : (hypermapa > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(co0, type, o0 : ((b > a) > (a > b) > a > a)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(csimpleuu_hypermap, type, simpleu_hypermap : (hypermapa > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFano_POWERu_1, axiom, ![F:(a > a)]:((power @ F @ (numeral @ (bit1 @ u_0))) = F)).
thf(aHypermapo_dartu_nondegenerate, axiom, ![H:hypermapa,X:a]:((dartu_nondegenerate @ H @ X) <=> (~ (((edgeu_map @ H @ X) = X)) & ~ (((nodeu_map @ H @ X) = X)) & ~ (((faceu_map @ H @ X) = X))))).
thf(aHypermapo_face, axiom, ![H:hypermapa,X:a]:((face @ H @ X) = (orbitu_map @ (faceu_map @ H) @ X))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_inu_orbitu_lemma, axiom, ![F:(a > a),N:num,X:a,Y:a]:((Y = (power @ F @ N @ X)) => (in @ Y @ (orbitu_map @ F @ X)))).
thf(aHypermapo_inverseu_function, axiom, ![S:(a > $o),P:(a > a),X:a,Y:a]:(((permutes @ P @ S) & ((P @ X) = Y)) => (X = (inverse @ P @ Y)))).
thf(aHypermapo_inverseu_hypermapu_maps, axiom, ![H:hypermapa]:(((inverse @ (edgeu_map @ H)) = (o @ (nodeu_map @ H) @ (faceu_map @ H))) & ((inverse @ (nodeu_map @ H)) = (o @ (faceu_map @ H) @ (edgeu_map @ H))) & ((inverse @ (faceu_map @ H)) = (o @ (edgeu_map @ H) @ (nodeu_map @ H))))).
thf(aHypermapo_isu_faceu_merge, axiom, ![H:hypermapa,X:a]:((isu_faceu_merge @ H @ X) <=> ((dartu_nondegenerate @ H @ X) & ~ ((in @ (edgeu_map @ H @ X) @ (face @ H @ X)))))).
thf(aHypermapo_isu_nodeu_merge, axiom, ![H:hypermapa,X:a]:((isu_nodeu_merge @ H @ X) <=> ((dartu_nondegenerate @ H @ X) & ~ ((in @ (faceu_map @ H @ X) @ (node @ H @ X)))))).
thf(aHypermapo_lemmau_orbitu_identity, axiom, ![S:(a > $o),P:(a > a),X:a,Y:a]:(((finite @ S) & (permutes @ P @ S) & (in @ Y @ (orbitu_map @ P @ X))) => ((orbitu_map @ P @ X) = (orbitu_map @ P @ Y)))).
thf(aHypermapo_node, axiom, ![H:hypermapa,X:a]:((node @ H @ X) = (orbitu_map @ (nodeu_map @ H) @ X))).
thf(aHypermapo_orbitu_sym, axiom, ![S:(a > $o),P:(a > a),X:a,Y:a]:(((finite @ S) & (permutes @ P @ S)) => ((in @ X @ (orbitu_map @ P @ Y)) => (in @ Y @ (orbitu_map @ P @ X))))).
thf(aHypermapo_simpleu_hypermap, axiom, ![H:hypermapa]:((simpleu_hypermap @ H) <=> ![X:a]:((in @ X @ (dart @ H)) => ((inter @ (node @ H @ X) @ (face @ H @ X)) = (insert @ X @ empty))))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_SING, axiom, ![X:a,Y:a]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_INu_IMAGE, axiom, ![P:(a > a),S:(a > $o),X:a]:((permutes @ P @ S) => ((in @ (P @ X) @ S) <=> (in @ X @ S)))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > a),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(((simpleu_hypermap @ H) & (in @ X @ (dart @ H)) & ~ (((edgeu_map @ H @ X) = X)) & (dartu_nondegenerate @ H @ X) & (dartu_nondegenerate @ H @ (edgeu_map @ H @ X))) => ((((edgeu_map @ H @ (edgeu_map @ H @ X)) = X) => (isu_faceu_merge @ H @ X)) & (isu_nodeu_merge @ H @ X)))).
