%   ORIGINAL: Hypermap.in_orbit_map1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.POWER_1: !f. f POWER 1 = f
% Assm: Hypermap.in_orbit_lemma: !f n x y. y = (f POWER n) x ==> y IN orbit_map f x
% Assm: TRUTH: T
% Goal: !p x. p x IN orbit_map p x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. f POWER 1 = f
% Assm: !f n x y. y = (f POWER n) x ==> y IN orbit_map f x
% Assm: T
% Goal: !p x. p x IN orbit_map p x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_POWERu_1, axiom, ![F:(a > a)]:((power @ F @ (numeral @ (bit1 @ u_0))) = F)).
thf(aHypermapo_inu_orbitu_lemma, axiom, ![F:(a > a),N:num,X:a,Y:a]:((Y = (power @ F @ N @ X)) => (in @ Y @ (orbitu_map @ F @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(a > a),X:a]:(in @ (P @ X) @ (orbitu_map @ P @ X))).
