%   ORIGINAL: Hypermap.lemma_in_edge2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.lemma_in_edge: !H x y. y IN edge H x <=> (?j. y = (edge_map H POWER j) x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H x n. (edge_map H POWER n) x IN edge H x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !H x y. y IN edge H x <=> (?j. y = (edge_map H POWER j) x)
% Assm: ~F <=> T
% Assm: T
% Goal: !H x n. (edge_map H POWER n) x IN edge H x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cedge, type, edge : (hypermapa > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_lemmau_inu_edge, axiom, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (edge @ H @ X)) <=> ?[J:num]:(Y = (power @ (edgeu_map @ H) @ J @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a,N:num]:(in @ (power @ (edgeu_map @ H) @ N @ X) @ (edge @ H @ X))).
