%   ORIGINAL: Hypermap.edge_degenerate_walkup_first_eq
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Hypermap.double_shift_lemma: !H. dart H = dart (shift (shift H)) /\ edge_map H = node_map (shift (shift H)) /\ node_map H = face_map (shift (shift H)) /\ face_map H = edge_map (shift (shift H))
% Assm: Hypermap.edge_degenerate_walkup_edge_map: !H x y. x IN dart H /\ edge_map H x = x ==> edge_map (edge_walkup H x) y = edge_map H y
% Assm: Hypermap.edge_map_walkup: !H x y. edge_map (edge_walkup H x) x = x /\ (~(node_map H x = x) /\ ~(edge_map H x = x) ==> edge_map (edge_walkup H x) (node_map H x) = edge_map H x) /\ (~(inverse (face_map H) x = x) /\ ~(inverse (edge_map H) x = x) ==> edge_map (edge_walkup H x) (inverse (edge_map H) x) = inverse (face_map H) x) /\ (~(y = x) /\ ~(y = inverse (edge_map H) x) /\ ~(y = node_map H x) ==> edge_map (edge_walkup H x) y = edge_map H y)
% Assm: Hypermap.face_degenerate_walkup_edge_map: !H x. x IN dart H /\ face_map H x = x ==> edge_map (edge_walkup H x) x = x /\ edge_map (edge_walkup H x) (inverse (edge_map H) x) = edge_map H x /\ (!y. ~(y = x) /\ ~(y = inverse (edge_map H) x) ==> edge_map (edge_walkup H x) y = edge_map H y)
% Assm: Hypermap.face_degenerate_walkup_face_map: !H x y. x IN dart H /\ face_map H x = x ==> face_map (edge_walkup H x) y = face_map H y
% Assm: Hypermap.face_map_walkup: !H x y. face_map (edge_walkup H x) x = x /\ face_map (edge_walkup H x) (inverse (face_map H) x) = face_map H x /\ (~(y = x) /\ ~(y = inverse (face_map H) x) ==> face_map (edge_walkup H x) y = face_map H y)
% Assm: Hypermap.lemma_edge_walkup: !H x. dart (edge_walkup H x) = dart H DELETE x /\ edge_map (edge_walkup H x) = inverse (swap (x,face_map H x) o face_map H) o inverse (swap (x,node_map H x) o node_map H) /\ node_map (edge_walkup H x) = swap (x,node_map H x) o node_map H /\ face_map (edge_walkup H x) = swap (x,face_map H x) o face_map H
% Assm: Hypermap.lemma_hypermap_eq: !H H'. H = H' <=> dart H = dart H' /\ edge_map H = edge_map H' /\ node_map H = node_map H' /\ face_map H = face_map H'
% Assm: Hypermap.node_map_walkup: !H x y. node_map (edge_walkup H x) x = x /\ node_map (edge_walkup H x) (inverse (node_map H) x) = node_map H x /\ (~(y = x) /\ ~(y = inverse (node_map H) x) ==> node_map (edge_walkup H x) y = node_map H y)
% Assm: Hypermap.node_walkup: !H x. node_walkup H x = shift (shift (edge_walkup (shift H) x))
% Assm: Hypermap.shift_lemma: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H x. x IN dart H /\ edge_map H x = x ==> node_walkup H x = edge_walkup H x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !H. dart H = dart (shift (shift H)) /\ edge_map H = node_map (shift (shift H)) /\ node_map H = face_map (shift (shift H)) /\ face_map H = edge_map (shift (shift H))
% Assm: !H x y. x IN dart H /\ edge_map H x = x ==> edge_map (edge_walkup H x) y = edge_map H y
% Assm: !H x y. edge_map (edge_walkup H x) x = x /\ (~(node_map H x = x) /\ ~(edge_map H x = x) ==> edge_map (edge_walkup H x) (node_map H x) = edge_map H x) /\ (~(inverse (face_map H) x = x) /\ ~(inverse (edge_map H) x = x) ==> edge_map (edge_walkup H x) (inverse (edge_map H) x) = inverse (face_map H) x) /\ (~(y = x) /\ ~(y = inverse (edge_map H) x) /\ ~(y = node_map H x) ==> edge_map (edge_walkup H x) y = edge_map H y)
% Assm: !H x. x IN dart H /\ face_map H x = x ==> edge_map (edge_walkup H x) x = x /\ edge_map (edge_walkup H x) (inverse (edge_map H) x) = edge_map H x /\ (!y. ~(y = x) /\ ~(y = inverse (edge_map H) x) ==> edge_map (edge_walkup H x) y = edge_map H y)
% Assm: !H x y. x IN dart H /\ face_map H x = x ==> face_map (edge_walkup H x) y = face_map H y
% Assm: !H x y. face_map (edge_walkup H x) x = x /\ face_map (edge_walkup H x) (inverse (face_map H) x) = face_map H x /\ (~(y = x) /\ ~(y = inverse (face_map H) x) ==> face_map (edge_walkup H x) y = face_map H y)
% Assm: !H x. dart (edge_walkup H x) = dart H DELETE x /\ edge_map (edge_walkup H x) = inverse (swap (x,face_map H x) o face_map H) o inverse (swap (x,node_map H x) o node_map H) /\ node_map (edge_walkup H x) = swap (x,node_map H x) o node_map H /\ face_map (edge_walkup H x) = swap (x,face_map H x) o face_map H
% Assm: !H H'. H = H' <=> dart H = dart H' /\ edge_map H = edge_map H' /\ node_map H = node_map H' /\ face_map H = face_map H'
% Assm: !H x y. node_map (edge_walkup H x) x = x /\ node_map (edge_walkup H x) (inverse (node_map H) x) = node_map H x /\ (~(y = x) /\ ~(y = inverse (node_map H) x) ==> node_map (edge_walkup H x) y = node_map H y)
% Assm: !H x. node_walkup H x = shift (shift (edge_walkup (shift H) x))
% Assm: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: ~F <=> T
% Assm: T
% Goal: !H x. x IN dart H /\ edge_map H x = x ==> node_walkup H x = edge_walkup H x
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cshift, type, shift : (hypermapa > hypermapa)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cswap, type, swap : (prodaa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cdelete, type, delete : ((a > $o) > a > a > $o)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
thf(cnodeuu_walkup, type, nodeu_walkup : (hypermapa > a > hypermapa)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > hypermapa),G:(a > hypermapa)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > hypermapa),G:(a > hypermapa)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHypermapo_doubleu_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ (shift @ H)))) & ((edgeu_map @ H) = (nodeu_map @ (shift @ (shift @ H)))) & ((nodeu_map @ H) = (faceu_map @ (shift @ (shift @ H)))) & ((faceu_map @ H) = (edgeu_map @ (shift @ (shift @ H)))))).
thf(aHypermapo_edgeu_degenerateu_walkupu_edgeu_map, axiom, ![H:hypermapa,X:a,Y:a]:(((in @ X @ (dart @ H)) & ((edgeu_map @ H @ X) = X)) => ((edgeu_map @ (edgeu_walkup @ H @ X) @ Y) = (edgeu_map @ H @ Y)))).
thf(aHypermapo_edgeu_mapu_walkup, axiom, ![H:hypermapa,X:a,Y:a]:(((edgeu_map @ (edgeu_walkup @ H @ X) @ X) = X) & ((~ (((nodeu_map @ H @ X) = X)) & ~ (((edgeu_map @ H @ X) = X))) => ((edgeu_map @ (edgeu_walkup @ H @ X) @ (nodeu_map @ H @ X)) = (edgeu_map @ H @ X))) & ((~ (((inverse @ (faceu_map @ H) @ X) = X)) & ~ (((inverse @ (edgeu_map @ H) @ X) = X))) => ((edgeu_map @ (edgeu_walkup @ H @ X) @ (inverse @ (edgeu_map @ H) @ X)) = (inverse @ (faceu_map @ H) @ X))) & ((~ ((Y = X)) & ~ ((Y = (inverse @ (edgeu_map @ H) @ X))) & ~ ((Y = (nodeu_map @ H @ X)))) => ((edgeu_map @ (edgeu_walkup @ H @ X) @ Y) = (edgeu_map @ H @ Y))))).
thf(aHypermapo_faceu_degenerateu_walkupu_edgeu_map, axiom, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & ((faceu_map @ H @ X) = X)) => (((edgeu_map @ (edgeu_walkup @ H @ X) @ X) = X) & ((edgeu_map @ (edgeu_walkup @ H @ X) @ (inverse @ (edgeu_map @ H) @ X)) = (edgeu_map @ H @ X)) & ![Y:a]:((~ ((Y = X)) & ~ ((Y = (inverse @ (edgeu_map @ H) @ X)))) => ((edgeu_map @ (edgeu_walkup @ H @ X) @ Y) = (edgeu_map @ H @ Y)))))).
thf(aHypermapo_faceu_degenerateu_walkupu_faceu_map, axiom, ![H:hypermapa,X:a,Y:a]:(((in @ X @ (dart @ H)) & ((faceu_map @ H @ X) = X)) => ((faceu_map @ (edgeu_walkup @ H @ X) @ Y) = (faceu_map @ H @ Y)))).
thf(aHypermapo_faceu_mapu_walkup, axiom, ![H:hypermapa,X:a,Y:a]:(((faceu_map @ (edgeu_walkup @ H @ X) @ X) = X) & ((faceu_map @ (edgeu_walkup @ H @ X) @ (inverse @ (faceu_map @ H) @ X)) = (faceu_map @ H @ X)) & ((~ ((Y = X)) & ~ ((Y = (inverse @ (faceu_map @ H) @ X)))) => ((faceu_map @ (edgeu_walkup @ H @ X) @ Y) = (faceu_map @ H @ Y))))).
thf(aHypermapo_lemmau_edgeu_walkup, axiom, ![H:hypermapa,X:a]:(((dart @ (edgeu_walkup @ H @ X)) = (delete @ (dart @ H) @ X)) & ((edgeu_map @ (edgeu_walkup @ H @ X)) = (o @ (inverse @ (o @ (swap @ (c_ @ X @ (faceu_map @ H @ X))) @ (faceu_map @ H))) @ (inverse @ (o @ (swap @ (c_ @ X @ (nodeu_map @ H @ X))) @ (nodeu_map @ H))))) & ((nodeu_map @ (edgeu_walkup @ H @ X)) = (o @ (swap @ (c_ @ X @ (nodeu_map @ H @ X))) @ (nodeu_map @ H))) & ((faceu_map @ (edgeu_walkup @ H @ X)) = (o @ (swap @ (c_ @ X @ (faceu_map @ H @ X))) @ (faceu_map @ H))))).
thf(aHypermapo_lemmau_hypermapu_eq, axiom, ![H:hypermapa,HI_:hypermapa]:((H = HI_) <=> (((dart @ H) = (dart @ HI_)) & ((edgeu_map @ H) = (edgeu_map @ HI_)) & ((nodeu_map @ H) = (nodeu_map @ HI_)) & ((faceu_map @ H) = (faceu_map @ HI_))))).
thf(aHypermapo_nodeu_mapu_walkup, axiom, ![H:hypermapa,X:a,Y:a]:(((nodeu_map @ (edgeu_walkup @ H @ X) @ X) = X) & ((nodeu_map @ (edgeu_walkup @ H @ X) @ (inverse @ (nodeu_map @ H) @ X)) = (nodeu_map @ H @ X)) & ((~ ((Y = X)) & ~ ((Y = (inverse @ (nodeu_map @ H) @ X)))) => ((nodeu_map @ (edgeu_walkup @ H @ X) @ Y) = (nodeu_map @ H @ Y))))).
thf(aHypermapo_nodeu_walkup, axiom, ![H:hypermapa,X:a]:((nodeu_walkup @ H @ X) = (shift @ (shift @ (edgeu_walkup @ (shift @ H) @ X))))).
thf(aHypermapo_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ H))) & ((edgeu_map @ H) = (faceu_map @ (shift @ H))) & ((nodeu_map @ H) = (edgeu_map @ (shift @ H))) & ((faceu_map @ H) = (nodeu_map @ (shift @ H))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & ((edgeu_map @ H @ X) = X)) => ((nodeu_walkup @ H @ X) = (edgeu_walkup @ H @ X)))).
