%   ORIGINAL: Hypermap.FACE_NOT_EMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.CARD_ATLEAST_1: !s x. FINITE s /\ x IN s ==> 1 <= CARD s
% Assm: Hypermap.FACE_FINITE: !H x. FINITE (face H x)
% Assm: Hypermap.face: !H x. face H x = orbit_map (face_map H) x
% Assm: TRUTH: T
% Assm: Wrgcvdr_cizmrrh.X_IN_ITS_ORBIT: x IN orbit_map f x
% Goal: !H x. 1 <= CARD (face H x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s x. FINITE s /\ x IN s ==> 1 <= CARD s
% Assm: !H x. FINITE (face H x)
% Assm: !H x. face H x = orbit_map (face_map H) x
% Assm: T
% Assm: !f x. x IN orbit_map f x
% Goal: !H x. 1 <= CARD (face H x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_CARDu_ATLEASTu_1, axiom, ![S:(a > $o),X:a]:(((finite @ S) & (in @ X @ S)) => (l_a_ @ (numeral @ (bit1 @ u_0)) @ (card @ S)))).
thf(aHypermapo_FACEu_FINITE, axiom, ![H:hypermapa,X:a]:(finite @ (face @ H @ X))).
thf(aHypermapo_face, axiom, ![H:hypermapa,X:a]:((face @ H @ X) = (orbitu_map @ (faceu_map @ H) @ X))).
thf(aTRUTH, axiom, $true).
thf(aWrgcvdru_cizmrrho_Xu_INu_ITSu_ORBIT, axiom, ![F:(a > a),X:a]:(in @ X @ (orbitu_map @ F @ X))).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (card @ (face @ H @ X)))).
