%   ORIGINAL: Hypermap.lemma_support_QF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.lemmaQF: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> face (quotient H NF) (atom H L x) = cycle H L
% Assm: Hypermap.lemma_support_cycle: !H NF L. is_normal H NF /\ L IN NF ==> dart_of L = UNIONS (cycle H L)
% Assm: TRUTH: T
% Goal: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> UNIONS (face (quotient H NF) (atom H L x)) = dart_of L
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> face (quotient H NF) (atom H L x) = cycle H L
% Assm: !H NF L. is_normal H NF /\ L IN NF ==> dart_of L = UNIONS (cycle H L)
% Assm: T
% Goal: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> UNIONS (face (quotient H NF) (atom H L x)) = dart_of L
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(thypermapfunabool, type, hypermapfunabool : $tType).
%  CONSTS
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(ccycle, type, cycle : (hypermapa > loopa > (a > $o) > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cquotient, type, quotient : (hypermapa > (loopa > $o) > hypermapfunabool)).
thf(cface, type, face : (hypermapfunabool > (a > $o) > (a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_lemmaQF, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((face @ (quotient @ H @ NF) @ (atom @ H @ L @ X)) = (cycle @ H @ L)))).
thf(aHypermapo_lemmau_supportu_cycle, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa]:(((isu_normal @ H @ NF) & (in @ L @ NF)) => ((dartu_of @ L) = (unions @ (cycle @ H @ L))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((unions @ (face @ (quotient @ H @ NF) @ (atom @ H @ L @ X))) = (dartu_of @ L)))).
