%   ORIGINAL: Hypermap.face_quotient_lemma
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BIJ: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Hypermap.SING_EQ: !x y. {x} = {y} <=> x = y
% Assm: Hypermap.atom_one_point: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L /\ head H NF x = tail H NF x ==> atom H L x = {x}
% Assm: Hypermap.atom_reflect: !H L x. x IN atom H L x
% Assm: Hypermap.atom_via_choice: !H NF. is_normal H NF ==> (!atm. atm IN quotient_darts H NF <=> (?x. x IN support_darts NF /\ atm = choice H NF x))
% Assm: Hypermap.belong: !L x. belong x L <=> x IN dart_of L
% Assm: Hypermap.choice_at_margin: !H NF x. is_normal H NF ==> choice H NF x = choice H NF (tail H NF x) /\ choice H NF x = choice H NF (head H NF x)
% Assm: Hypermap.choice_reflect: !H NF x. is_normal H NF ==> x IN choice H NF x
% Assm: Hypermap.emap: !H NF. emap H NF = inverse (fmap H NF) o inverse (nmap H NF)
% Assm: Hypermap.face_collection: !H. face_collection H = {face_loop H x | x | x IN dart H}
% Assm: Hypermap.face_loop_rep: !H x. dart_of (face_loop H x) = face H x /\ next (face_loop H x) = res (face_map H) (face H x)
% Assm: Hypermap.face_map_inverse_representation: !H x y. y = face_map H x <=> x = inverse (face_map H) y
% Assm: Hypermap.first_unique_choice: !H NF. is_normal H NF ==> (!x. ~(x IN support_darts NF) ==> choice H NF x = {x}) /\ (!L x. L IN NF /\ belong x L ==> choice H NF x = atom H L x)
% Assm: Hypermap.fmap_via_choice: !H NF x. is_normal H NF /\ x IN support_darts NF ==> face_map H (head H NF x) IN support_darts NF /\ face_map H (head H NF x) = tail H NF (face_map H (head H NF x)) /\ fmap H NF (choice H NF x) = choice H NF (face_map H (head H NF x))
% Assm: Hypermap.hypermap_cyclic: !H. node_map H o face_map H o edge_map H = I /\ face_map H o edge_map H o node_map H = I
% Assm: Hypermap.iso: !H H'. iso H H' <=> (?f. BIJ f (dart H) (dart H') /\ (!x. x IN dart H ==> edge_map H' (f x) = f (edge_map H x) /\ node_map H' (f x) = f (node_map H x) /\ face_map H' (f x) = f (face_map H x)))
% Assm: Hypermap.lemma_choice_in_quotient: !H NF. is_normal H NF ==> (!x. choice H NF x IN quotient_darts H NF <=> x IN support_darts NF)
% Assm: Hypermap.lemma_dart_invariant: !H x. x IN dart H ==> edge_map H x IN dart H /\ node_map H x IN dart H /\ face_map H x IN dart H
% Assm: Hypermap.lemma_edge_nondegenerate: !H. is_edge_nondegenerate H <=> (!x. x IN dart H ==> ~(face_map H x = inverse (node_map H) x))
% Assm: Hypermap.lemma_face_subset: !H x. x IN dart H ==> face H x SUBSET dart H
% Assm: Hypermap.lemma_in_subset: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: Hypermap.lemma_inverse_in_face: !H x y. y IN face H x ==> inverse (face_map H) y IN face H x
% Assm: Hypermap.lemma_inverse_on_loop: !L. next L = inverse (back L) /\ back L = inverse (next L)
% Assm: Hypermap.lemma_inverse_res: !H x y. y IN face H x ==> inverse (res (face_map H) (face H x)) y = inverse (face_map H) y
% Assm: Hypermap.lemma_quotient: !H NF. is_normal H NF ==> dart (quotient H NF) = quotient_darts H NF /\ edge_map (quotient H NF) = emap H NF /\ node_map (quotient H NF) = nmap H NF /\ face_map (quotient H NF) = fmap H NF
% Assm: Hypermap.lemma_support_face_collection: !H. support_darts (face_collection H) = dart H
% Assm: Hypermap.lemma_unique_head: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x /\ ~(next L y = inverse (node_map H) y) ==> head H NF x = y
% Assm: Hypermap.lemma_unique_tail: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x /\ ~(y = inverse (node_map H) (back L y)) ==> tail H NF x = y
% Assm: Hypermap.nmap_via_choice: !H NF x. is_normal H NF /\ x IN support_darts NF ==> node_map H (tail H NF x) IN support_darts NF /\ node_map H (tail H NF x) = head H NF (node_map H (tail H NF x)) /\ nmap H NF (choice H NF x) = choice H NF (node_map H (tail H NF x))
% Assm: Hypermap.node_map_inverse_representation: !H x y. y = node_map H x <=> x = inverse (node_map H) y
% Assm: Hypermap.normal_face_collection: !H. (!x. x IN dart H ==> (?y. y IN dart H /\ y IN face H x /\ ~(node H x = node H y))) ==> is_normal H (face_collection H)
% Assm: Hypermap.quotient_darts: !H NF. quotient_darts H NF = {atom H L x | L IN NF /\ belong x L}
% Assm: Hypermap.res: !f s x. res f s x = (if x IN s then f x else x)
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SURJ: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !H. is_edge_nondegenerate H /\ (!x. x IN dart H ==> (?y. y IN dart H /\ y IN face H x /\ ~(node H x = node H y))) ==> (!x. choice H (face_collection H) x = {x}) /\ iso H (quotient H (face_collection H))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !x y. {x} = {y} <=> x = y
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L /\ head H NF x = tail H NF x ==> atom H L x = {x}
% Assm: !H L x. x IN atom H L x
% Assm: !H NF. is_normal H NF ==> (!atm. atm IN quotient_darts H NF <=> (?x. x IN support_darts NF /\ atm = choice H NF x))
% Assm: !L x. belong x L <=> x IN dart_of L
% Assm: !H NF x. is_normal H NF ==> choice H NF x = choice H NF (tail H NF x) /\ choice H NF x = choice H NF (head H NF x)
% Assm: !H NF x. is_normal H NF ==> x IN choice H NF x
% Assm: !H NF. emap H NF = inverse (fmap H NF) o inverse (nmap H NF)
% Assm: !H. face_collection H = {face_loop H x | x | x IN dart H}
% Assm: !H x. dart_of (face_loop H x) = face H x /\ next (face_loop H x) = res (face_map H) (face H x)
% Assm: !H x y. y = face_map H x <=> x = inverse (face_map H) y
% Assm: !H NF. is_normal H NF ==> (!x. ~(x IN support_darts NF) ==> choice H NF x = {x}) /\ (!L x. L IN NF /\ belong x L ==> choice H NF x = atom H L x)
% Assm: !H NF x. is_normal H NF /\ x IN support_darts NF ==> face_map H (head H NF x) IN support_darts NF /\ face_map H (head H NF x) = tail H NF (face_map H (head H NF x)) /\ fmap H NF (choice H NF x) = choice H NF (face_map H (head H NF x))
% Assm: !H. node_map H o face_map H o edge_map H = I /\ face_map H o edge_map H o node_map H = I
% Assm: !H H'. iso H H' <=> (?f. BIJ f (dart H) (dart H') /\ (!x. x IN dart H ==> edge_map H' (f x) = f (edge_map H x) /\ node_map H' (f x) = f (node_map H x) /\ face_map H' (f x) = f (face_map H x)))
% Assm: !H NF. is_normal H NF ==> (!x. choice H NF x IN quotient_darts H NF <=> x IN support_darts NF)
% Assm: !H x. x IN dart H ==> edge_map H x IN dart H /\ node_map H x IN dart H /\ face_map H x IN dart H
% Assm: !H. is_edge_nondegenerate H <=> (!x. x IN dart H ==> ~(face_map H x = inverse (node_map H) x))
% Assm: !H x. x IN dart H ==> face H x SUBSET dart H
% Assm: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: !H x y. y IN face H x ==> inverse (face_map H) y IN face H x
% Assm: !L. next L = inverse (back L) /\ back L = inverse (next L)
% Assm: !H x y. y IN face H x ==> inverse (res (face_map H) (face H x)) y = inverse (face_map H) y
% Assm: !H NF. is_normal H NF ==> dart (quotient H NF) = quotient_darts H NF /\ edge_map (quotient H NF) = emap H NF /\ node_map (quotient H NF) = nmap H NF /\ face_map (quotient H NF) = fmap H NF
% Assm: !H. support_darts (face_collection H) = dart H
% Assm: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x /\ ~(next L y = inverse (node_map H) y) ==> head H NF x = y
% Assm: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x /\ ~(y = inverse (node_map H) (back L y)) ==> tail H NF x = y
% Assm: !H NF x. is_normal H NF /\ x IN support_darts NF ==> node_map H (tail H NF x) IN support_darts NF /\ node_map H (tail H NF x) = head H NF (node_map H (tail H NF x)) /\ nmap H NF (choice H NF x) = choice H NF (node_map H (tail H NF x))
% Assm: !H x y. y = node_map H x <=> x = inverse (node_map H) y
% Assm: !H. (!x. x IN dart H ==> (?y. y IN dart H /\ y IN face H x /\ ~(node H x = node H y))) ==> is_normal H (face_collection H)
% Assm: !H NF. quotient_darts H NF = {atom H L x | L IN NF /\ belong x L}
% Assm: !f s x. res f s x = (if x IN s then f x else x)
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y. x IN {y} <=> x = y
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !H. is_edge_nondegenerate H /\ (!x. x IN dart H ==> (?y. y IN dart H /\ y IN face H x /\ ~(node H x = node H y))) ==> (!x. choice H (face_collection H) x = {x}) /\ iso H (quotient H (face_collection H))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tloopfunabool, type, loopfunabool : $tType).
thf(thypermapfunabool, type, hypermapfunabool : $tType).
%  CONSTS
thf(ci0, type, i0 : ((a > $o) > a > $o)).
thf(cgspec1, type, gspec1 : ((a > $o) > a > $o)).
thf(cgspec0, type, gspec0 : (((a > $o) > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cdart0, type, dart0 : (hypermapfunabool > (a > $o) > $o)).
thf(cin2, type, in2 : (loopa > (loopa > $o) > $o)).
thf(cgspec, type, gspec : ((loopa > $o) > loopa > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cbelong0, type, belong0 : (a > loopa > $o)).
thf(csupportuu_darts, type, supportu_darts : ((loopa > $o) > a > $o)).
thf(cin1, type, in1 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cisuu_normal0, type, isu_normal0 : (hypermapa > (loopa > $o) > $o)).
thf(cbelong, type, belong : ((a > $o) > loopfunabool > $o)).
thf(cin0, type, in0 : (loopfunabool > (loopfunabool > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapfunabool > (loopfunabool > $o) > $o)).
thf(ciso, type, iso : (hypermapa > hypermapfunabool > $o)).
thf(cfaceuu_collection, type, faceu_collection : (hypermapa > loopa > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cback, type, back : (loopa > a > a)).
thf(cinverse0, type, inverse0 : ((a > a) > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(co1, type, o1 : ((b > a > $o) > (a > b) > a > a > $o)).
thf(csurj0, type, surj0 : ((a > a) > (a > $o) > (a > $o) > $o)).
thf(csetspec1, type, setspec1 : (a > $o > a > $o)).
thf(cinj0, type, inj0 : ((a > a) > (a > $o) > (a > $o) > $o)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(csetspec0, type, setspec0 : ((a > $o) > $o > (a > $o) > $o)).
thf(cnodeuu_map0, type, nodeu_map0 : (hypermapfunabool > (a > $o) > a > $o)).
thf(cedgeuu_map0, type, edgeu_map0 : (hypermapfunabool > (a > $o) > a > $o)).
thf(cbij0, type, bij0 : ((a > a > $o) > (a > $o) > ((a > $o) > $o) > $o)).
thf(co0, type, o0 : ((a > a) > (a > a) > a > a)).
thf(cfaceuu_map0, type, faceu_map0 : (hypermapfunabool > (a > $o) > a > $o)).
thf(cres, type, res : ((a > a) > (a > $o) > a > a)).
thf(cfaceuu_loop, type, faceu_loop : (hypermapa > a > loopa)).
thf(csetspec, type, setspec : (loopa > $o > loopa > $o)).
thf(cnmap, type, nmap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cfmap, type, fmap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cinverse, type, inverse : (((a > $o) > a > $o) > (a > $o) > a > $o)).
thf(co, type, o : (((a > $o) > a > $o) > ((a > $o) > a > $o) > (a > $o) > a > $o)).
thf(cemap, type, emap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(chead0, type, head0 : (hypermapa > (loopa > $o) > a > a)).
thf(ctail0, type, tail0 : (hypermapa > (loopa > $o) > a > a)).
thf(cquotientuu_darts, type, quotientu_darts : (hypermapa > (loopa > $o) > (a > $o) > $o)).
thf(catom0, type, atom0 : (hypermapa > loopa > a > a > $o)).
thf(cinsert0, type, insert0 : ((a > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(catom, type, atom : (hypermapfunabool > loopfunabool > (a > $o) > (a > $o) > $o)).
thf(ctail, type, tail : (hypermapfunabool > (loopfunabool > $o) > (a > $o) > a > $o)).
thf(chead, type, head : (hypermapfunabool > (loopfunabool > $o) > (a > $o) > a > $o)).
thf(ccond, type, cond : ($o > (a > $o) > (a > $o) > a > $o)).
thf(csurj, type, surj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cinj, type, inj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cbij, type, bij : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cquotient, type, quotient : (hypermapa > (loopa > $o) > hypermapfunabool)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cchoice, type, choice : (hypermapa > (loopa > $o) > a > a > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cisuu_edgeuu_nondegenerate, type, isu_edgeu_nondegenerate : (hypermapa > $o)).
thf(cempty0, type, empty0 : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBIJ, axiom, ![F:(a > b),S:(a > $o),T:(b > $o)]:((bij @ F @ S @ T) <=> ((inj @ F @ S @ T) & (surj @ F @ S @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:(a > $o),T2:(a > $o)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aHypermapo_SINGu_EQ, axiom, ![X:a,Y:a]:(((insert @ X @ empty) = (insert @ Y @ empty)) <=> (X = Y))).
thf(aHypermapo_atomu_oneu_point, axiom, ![H:hypermapfunabool,NF:(loopfunabool > $o),L:loopfunabool,X:(a > $o)]:(((isu_normal @ H @ NF) & (in0 @ L @ NF) & (belong @ X @ L) & ((head @ H @ NF @ X) = (tail @ H @ NF @ X))) => ((atom @ H @ L @ X) = (insert0 @ X @ empty0)))).
thf(aHypermapo_atomu_reflect, axiom, ![H:hypermapa,L:loopa,X:a]:(in @ X @ (atom0 @ H @ L @ X))).
thf(aHypermapo_atomu_viau_choice, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal0 @ H @ NF) => ![ATM:(a > $o)]:((in1 @ ATM @ (quotientu_darts @ H @ NF)) <=> ?[X:a]:((in @ X @ (supportu_darts @ NF)) & (ATM = (choice @ H @ NF @ X)))))).
thf(aHypermapo_belong, axiom, ![L:loopa,X:a]:((belong0 @ X @ L) <=> (in @ X @ (dartu_of @ L)))).
thf(aHypermapo_choiceu_atu_margin, axiom, ![H:hypermapa,NF:(loopa > $o),X:a]:((isu_normal0 @ H @ NF) => (((choice @ H @ NF @ X) = (choice @ H @ NF @ (tail0 @ H @ NF @ X))) & ((choice @ H @ NF @ X) = (choice @ H @ NF @ (head0 @ H @ NF @ X)))))).
thf(aHypermapo_choiceu_reflect, axiom, ![H:hypermapa,NF:(loopa > $o),X:a]:((isu_normal0 @ H @ NF) => (in @ X @ (choice @ H @ NF @ X)))).
thf(aHypermapo_emap, axiom, ![H:hypermapa,NF:(loopa > $o)]:((emap @ H @ NF) = (o @ (inverse @ (fmap @ H @ NF)) @ (inverse @ (nmap @ H @ NF))))).
thf(aHypermapo_faceu_collection, axiom, ![H:hypermapa]:((faceu_collection @ H) = (gspec @ ^[GENR_PVARR_272:loopa]:?[X:a]:(setspec @ GENR_PVARR_272 @ (in @ X @ (dart @ H)) @ (faceu_loop @ H @ X))))).
thf(aHypermapo_faceu_loopu_rep, axiom, ![H:hypermapa,X:a]:(((dartu_of @ (faceu_loop @ H @ X)) = (face @ H @ X)) & ((next @ (faceu_loop @ H @ X)) = (res @ (faceu_map @ H) @ (face @ H @ X))))).
thf(aHypermapo_faceu_mapu_inverseu_representation, axiom, ![H:hypermapfunabool,X:(a > $o),Y:(a > $o)]:((Y = (faceu_map0 @ H @ X)) <=> (X = (inverse @ (faceu_map0 @ H) @ Y)))).
thf(aHypermapo_firstu_uniqueu_choice, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal0 @ H @ NF) => (![X:a]:(~ ((in @ X @ (supportu_darts @ NF))) => ((choice @ H @ NF @ X) = (insert @ X @ empty))) & ![L:loopa,X:a]:(((in2 @ L @ NF) & (belong0 @ X @ L)) => ((choice @ H @ NF @ X) = (atom0 @ H @ L @ X)))))).
thf(aHypermapo_fmapu_viau_choice, axiom, ![H:hypermapa,NF:(loopa > $o),X:a]:(((isu_normal0 @ H @ NF) & (in @ X @ (supportu_darts @ NF))) => ((in @ (faceu_map @ H @ (head0 @ H @ NF @ X)) @ (supportu_darts @ NF)) & ((faceu_map @ H @ (head0 @ H @ NF @ X)) = (tail0 @ H @ NF @ (faceu_map @ H @ (head0 @ H @ NF @ X)))) & ((fmap @ H @ NF @ (choice @ H @ NF @ X)) = (choice @ H @ NF @ (faceu_map @ H @ (head0 @ H @ NF @ X))))))).
thf(aHypermapo_hypermapu_cyclic, axiom, ![H:hypermapa]:(((o0 @ (nodeu_map @ H) @ (o0 @ (faceu_map @ H) @ (edgeu_map @ H))) = i) & ((o0 @ (faceu_map @ H) @ (o0 @ (edgeu_map @ H) @ (nodeu_map @ H))) = i))).
thf(aHypermapo_iso, axiom, ![H:hypermapa,HI_:hypermapfunabool]:((iso @ H @ HI_) <=> ?[F:(a > a > $o)]:((bij0 @ F @ (dart @ H) @ (dart0 @ HI_)) & ![X:a]:((in @ X @ (dart @ H)) => (((edgeu_map0 @ HI_ @ (F @ X)) = (F @ (edgeu_map @ H @ X))) & ((nodeu_map0 @ HI_ @ (F @ X)) = (F @ (nodeu_map @ H @ X))) & ((faceu_map0 @ HI_ @ (F @ X)) = (F @ (faceu_map @ H @ X)))))))).
thf(aHypermapo_lemmau_choiceu_inu_quotient, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal0 @ H @ NF) => ![X:a]:((in1 @ (choice @ H @ NF @ X) @ (quotientu_darts @ H @ NF)) <=> (in @ X @ (supportu_darts @ NF))))).
thf(aHypermapo_lemmau_dartu_invariant, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => ((in @ (edgeu_map @ H @ X) @ (dart @ H)) & (in @ (nodeu_map @ H @ X) @ (dart @ H)) & (in @ (faceu_map @ H @ X) @ (dart @ H))))).
thf(aHypermapo_lemmau_edgeu_nondegenerate, axiom, ![H:hypermapa]:((isu_edgeu_nondegenerate @ H) <=> ![X:a]:((in @ X @ (dart @ H)) => ~ (((faceu_map @ H @ X) = (inverse0 @ (nodeu_map @ H) @ X)))))).
thf(aHypermapo_lemmau_faceu_subset, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => (subset @ (face @ H @ X) @ (dart @ H)))).
thf(aHypermapo_lemmau_inu_subset, axiom, ![S:(a > $o),T:(a > $o),X:a]:(((subset @ S @ T) & (in @ X @ S)) => (in @ X @ T))).
thf(aHypermapo_lemmau_inverseu_inu_face, axiom, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (face @ H @ X)) => (in @ (inverse0 @ (faceu_map @ H) @ Y) @ (face @ H @ X)))).
thf(aHypermapo_lemmau_inverseu_onu_loop, axiom, ![L:loopa]:(((next @ L) = (inverse0 @ (back @ L))) & ((back @ L) = (inverse0 @ (next @ L))))).
thf(aHypermapo_lemmau_inverseu_res, axiom, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (face @ H @ X)) => ((inverse0 @ (res @ (faceu_map @ H) @ (face @ H @ X)) @ Y) = (inverse0 @ (faceu_map @ H) @ Y)))).
thf(aHypermapo_lemmau_quotient, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal0 @ H @ NF) => (((dart0 @ (quotient @ H @ NF)) = (quotientu_darts @ H @ NF)) & ((edgeu_map0 @ (quotient @ H @ NF)) = (emap @ H @ NF)) & ((nodeu_map0 @ (quotient @ H @ NF)) = (nmap @ H @ NF)) & ((faceu_map0 @ (quotient @ H @ NF)) = (fmap @ H @ NF))))).
thf(aHypermapo_lemmau_supportu_faceu_collection, axiom, ![H:hypermapa]:((supportu_darts @ (faceu_collection @ H)) = (dart @ H))).
thf(aHypermapo_lemmau_uniqueu_head, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a]:(((isu_normal0 @ H @ NF) & (in2 @ L @ NF) & (belong0 @ X @ L) & (in @ Y @ (atom0 @ H @ L @ X)) & ~ (((next @ L @ Y) = (inverse0 @ (nodeu_map @ H) @ Y)))) => ((head0 @ H @ NF @ X) = Y))).
thf(aHypermapo_lemmau_uniqueu_tail, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a]:(((isu_normal0 @ H @ NF) & (in2 @ L @ NF) & (belong0 @ X @ L) & (in @ Y @ (atom0 @ H @ L @ X)) & ~ ((Y = (inverse0 @ (nodeu_map @ H) @ (back @ L @ Y))))) => ((tail0 @ H @ NF @ X) = Y))).
thf(aHypermapo_nmapu_viau_choice, axiom, ![H:hypermapa,NF:(loopa > $o),X:a]:(((isu_normal0 @ H @ NF) & (in @ X @ (supportu_darts @ NF))) => ((in @ (nodeu_map @ H @ (tail0 @ H @ NF @ X)) @ (supportu_darts @ NF)) & ((nodeu_map @ H @ (tail0 @ H @ NF @ X)) = (head0 @ H @ NF @ (nodeu_map @ H @ (tail0 @ H @ NF @ X)))) & ((nmap @ H @ NF @ (choice @ H @ NF @ X)) = (choice @ H @ NF @ (nodeu_map @ H @ (tail0 @ H @ NF @ X))))))).
thf(aHypermapo_nodeu_mapu_inverseu_representation, axiom, ![H:hypermapfunabool,X:(a > $o),Y:(a > $o)]:((Y = (nodeu_map0 @ H @ X)) <=> (X = (inverse @ (nodeu_map0 @ H) @ Y)))).
thf(aHypermapo_normalu_faceu_collection, axiom, ![H:hypermapa]:(![X:a]:((in @ X @ (dart @ H)) => ?[Y:a]:((in @ Y @ (dart @ H)) & (in @ Y @ (face @ H @ X)) & ~ (((node @ H @ X) = (node @ H @ Y))))) => (isu_normal0 @ H @ (faceu_collection @ H)))).
thf(aHypermapo_quotientu_darts, axiom, ![H:hypermapa,NF:(loopa > $o)]:((quotientu_darts @ H @ NF) = (gspec0 @ ^[GENR_PVARR_263:(a > $o)]:?[L:loopa,X:a]:(setspec0 @ GENR_PVARR_263 @ ((in2 @ L @ NF) & (belong0 @ X @ L)) @ (atom0 @ H @ L @ X))))).
thf(aHypermapo_res, axiom, ![F:(a > a),S:(a > $o),X:a]:((res @ F @ S @ X) = (cond0 @ (in @ X @ S) @ (F @ X) @ X))).
thf(aINJ, axiom, ![T:(a > $o),S:(a > $o),F:(a > a)]:((inj0 @ F @ S @ T) <=> (![X:a]:((in @ X @ S) => (in @ (F @ X) @ T)) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec1 @ ^[V:a]:(P @ (setspec1 @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aINu_SING, axiom, ![X:a,Y:a]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aIu_THM, axiom, ![X:(a > $o)]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSURJ, axiom, ![T:(a > $o),S:(a > $o),F:(a > a)]:((surj0 @ F @ S @ T) <=> (![X:a]:((in @ X @ S) => (in @ (F @ X) @ T)) & ![X:a]:((in @ X @ T) => ?[Y:a]:((in @ Y @ S) & ((F @ Y) = X)))))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > a > $o),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![H:hypermapa]:(((isu_edgeu_nondegenerate @ H) & ![X:a]:((in @ X @ (dart @ H)) => ?[Y:a]:((in @ Y @ (dart @ H)) & (in @ Y @ (face @ H @ X)) & ~ (((node @ H @ X) = (node @ H @ Y)))))) => (![X:a]:((choice @ H @ (faceu_collection @ H) @ X) = (insert @ X @ empty)) & (iso @ H @ (quotient @ H @ (faceu_collection @ H)))))).
