%   ORIGINAL: Hypermap.lemma_genex_loop
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.COM_POWER_FUNCTION: !f x n. f ((f POWER n) x) = (f POWER SUC n) x
% Assm: Hypermap.LT_PLUS: !n. n < SUC n
% Assm: Hypermap.attach: !H NF L x. attach H NF L x = (face_map H POWER SUC (mAdd H NF L x)) (heading H NF L x)
% Assm: Hypermap.face_contour: !H x i. face_contour H x i = (face_map H POWER i) x
% Assm: Hypermap.genex: !H NF L x. genex H NF L x = glue (loop_path L (attach H NF L x)) (face_contour H (heading H NF L x)) (index L (attach H NF L x) (heading H NF L x))
% Assm: Hypermap.is_glueing: !p q n m. is_glueing p q n m <=> p n = q 0 /\ (!j. 1 <= j /\ j <= m ==> ~in_list p n (q j))
% Assm: Hypermap.is_normal: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: Hypermap.is_split_condition: !H NF L x. is_split_condition H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L /\ head H NF x = x
% Assm: Hypermap.lemmaHQYMRTX: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> belong (attach H NF L x) L /\ (!k. 1 <= k /\ k <= SUC (mInside H NF L x) ==> ~(attach H NF L x = (face_map H POWER k) x))
% Assm: Hypermap.lemma_face_identity: !H x y. y IN face H x ==> face H x = face H y
% Assm: Hypermap.lemma_glue_inj_contours: !H p q n m. is_inj_contour H p n /\ is_inj_contour H q m /\ is_glueing p q n m ==> is_inj_contour H (glue p q n) (n + m)
% Assm: Hypermap.lemma_in_list: !p n x. in_list p n x <=> (?j. j <= n /\ x = p j)
% Assm: Hypermap.lemma_in_support2: !NF L x. belong x L /\ L IN NF ==> x IN support_darts NF
% Assm: Hypermap.lemma_inj_face_contour: !H x k. k < CARD (face H x) ==> is_inj_contour H (face_contour H x) k
% Assm: Hypermap.lemma_loop_index: !L x y. belong x L /\ belong y L ==> index L x y <= top L /\ y = (next L POWER index L x y) x
% Assm: Hypermap.lemma_mAdd: !H NF L x. is_split_condition H NF L x ==> (!i. 1 <= i /\ i <= mAdd H NF L x ==> ~((face_map H POWER i) (heading H NF L x) IN support_darts NF)) /\ (face_map H POWER SUC (mAdd H NF L x)) (heading H NF L x) IN support_darts NF
% Assm: Hypermap.lemma_new_darts_in_face: !H NF L x. heading H NF L x IN face H x /\ attach H NF L x IN face H x
% Assm: Hypermap.lemma_on_attach: !H NF L x. is_split_condition H NF L x ==> ~(node H (heading H NF L x) = node H (attach H NF L x)) /\ SUC (mAdd H NF L x) < CARD (face H x)
% Assm: Hypermap.lemma_on_heading: !H NF L x. is_split_condition H NF L x ==> belong (heading H NF L x) L /\ next L (heading H NF L x) = inverse (node_map H) (heading H NF L x) /\ ~(node H (heading H NF L x) = node H x)
% Assm: Hypermap.lemma_power_next_in_loop: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: Hypermap.lemma_split_marked_loop: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_split_condition H NF L x
% Assm: Hypermap.lemma_sub_inj_contour: !H p n. is_inj_contour H p n ==> (!i. i <= n ==> is_inj_contour H p i)
% Assm: Hypermap.let_order_for_loop: !H L x. is_loop H L /\ belong x L ==> is_inj_contour H (loop_path L x) (top L) /\ one_step_contour H (loop_path L x (top L)) (loop_path L x 0)
% Assm: Hypermap.loop_path: !L x k. loop_path L x k = (next L POWER k) x
% Assm: Hypermap.second_glue_evaluation: !p q n i. p n = q 0 ==> glue p q n (n + i) = q i
% Assm: Hypermap.start_glue_evaluation: !p q n. glue p q n 0 = p 0
% Assm: Hypermap.tpx: !H NF L x. tpx H NF L x = index L (attach H NF L x) (heading H NF L x) + mAdd H NF L x
% Assm: I_THM: !x. I x = x
% Assm: LT_TRANS: !m n p. m < n /\ n < p ==> m < p
% Assm: TRUTH: T
% Goal: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_inj_contour H (genex H NF L x) (tpx H NF L x) /\ face_map H (genex H NF L x (tpx H NF L x)) = genex H NF L x 0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f. f POWER 0 = I
% Assm: !f x n. f ((f POWER n) x) = (f POWER SUC n) x
% Assm: !n. n < SUC n
% Assm: !H NF L x. attach H NF L x = (face_map H POWER SUC (mAdd H NF L x)) (heading H NF L x)
% Assm: !H x i. face_contour H x i = (face_map H POWER i) x
% Assm: !H NF L x. genex H NF L x = glue (loop_path L (attach H NF L x)) (face_contour H (heading H NF L x)) (index L (attach H NF L x) (heading H NF L x))
% Assm: !p q n m. is_glueing p q n m <=> p n = q 0 /\ (!j. 1 <= j /\ j <= m ==> ~in_list p n (q j))
% Assm: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: !H NF L x. is_split_condition H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L /\ head H NF x = x
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> belong (attach H NF L x) L /\ (!k. 1 <= k /\ k <= SUC (mInside H NF L x) ==> ~(attach H NF L x = (face_map H POWER k) x))
% Assm: !H x y. y IN face H x ==> face H x = face H y
% Assm: !H p q n m. is_inj_contour H p n /\ is_inj_contour H q m /\ is_glueing p q n m ==> is_inj_contour H (glue p q n) (n + m)
% Assm: !p n x. in_list p n x <=> (?j. j <= n /\ x = p j)
% Assm: !NF L x. belong x L /\ L IN NF ==> x IN support_darts NF
% Assm: !H x k. k < CARD (face H x) ==> is_inj_contour H (face_contour H x) k
% Assm: !L x y. belong x L /\ belong y L ==> index L x y <= top L /\ y = (next L POWER index L x y) x
% Assm: !H NF L x. is_split_condition H NF L x ==> (!i. 1 <= i /\ i <= mAdd H NF L x ==> ~((face_map H POWER i) (heading H NF L x) IN support_darts NF)) /\ (face_map H POWER SUC (mAdd H NF L x)) (heading H NF L x) IN support_darts NF
% Assm: !H NF L x. heading H NF L x IN face H x /\ attach H NF L x IN face H x
% Assm: !H NF L x. is_split_condition H NF L x ==> ~(node H (heading H NF L x) = node H (attach H NF L x)) /\ SUC (mAdd H NF L x) < CARD (face H x)
% Assm: !H NF L x. is_split_condition H NF L x ==> belong (heading H NF L x) L /\ next L (heading H NF L x) = inverse (node_map H) (heading H NF L x) /\ ~(node H (heading H NF L x) = node H x)
% Assm: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_split_condition H NF L x
% Assm: !H p n. is_inj_contour H p n ==> (!i. i <= n ==> is_inj_contour H p i)
% Assm: !H L x. is_loop H L /\ belong x L ==> is_inj_contour H (loop_path L x) (top L) /\ one_step_contour H (loop_path L x (top L)) (loop_path L x 0)
% Assm: !L x k. loop_path L x k = (next L POWER k) x
% Assm: !p q n i. p n = q 0 ==> glue p q n (n + i) = q i
% Assm: !p q n. glue p q n 0 = p 0
% Assm: !H NF L x. tpx H NF L x = index L (attach H NF L x) (heading H NF L x) + mAdd H NF L x
% Assm: !x. I x = x
% Assm: !m n p. m < n /\ n < p ==> m < p
% Assm: T
% Goal: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_inj_contour H (genex H NF L x) (tpx H NF L x) /\ face_map H (genex H NF L x (tpx H NF L x)) = genex H NF L x 0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tlooploopa, type, looploopa : $tType).
thf(thypermaploopa, type, hypermaploopa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(csupportuu_darts0, type, supportu_darts0 : ((looploopa > $o) > loopa > $o)).
thf(csupportuu_darts, type, supportu_darts : ((loopa > $o) > a > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(coneuu_stepuu_contour, type, oneu_stepu_contour : (hypermapa > a > a > $o)).
thf(cattach0, type, attach0 : (hypermaploopa > (looploopa > $o) > looploopa > loopa > loopa)).
thf(cheading0, type, heading0 : (hypermaploopa > (looploopa > $o) > looploopa > loopa > loopa)).
thf(cfaceuu_map0, type, faceu_map0 : (hypermaploopa > loopa > loopa)).
thf(cpower0, type, power0 : ((loopa > loopa) > num > loopa > loopa)).
thf(cmadd0, type, madd0 : (hypermaploopa > (looploopa > $o) > looploopa > loopa > num)).
thf(cisuu_splituu_condition0, type, isu_splitu_condition0 : (hypermaploopa > (looploopa > $o) > looploopa > loopa > $o)).
thf(cface0, type, face0 : (hypermapa > a > a > $o)).
thf(cface, type, face : (hypermaploopa > loopa > loopa > $o)).
thf(cminside, type, minside : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
thf(cisuu_splituu_condition, type, isu_splitu_condition : (hypermapa > (loopa > $o) > loopa > a > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cinuu_list, type, inu_list : ((num > a) > num > a > $o)).
thf(cisuu_glueing, type, isu_glueing : ((num > a) > (num > a) > num > num > $o)).
thf(cindex, type, index : (loopa > a > a > num)).
thf(cloopuu_path, type, loopu_path : (loopa > a > num > a)).
thf(cglue, type, glue : ((num > a) > (num > a) > num > num > a)).
thf(cfaceuu_contour, type, faceu_contour : (hypermapa > a > num > a)).
thf(cheading, type, heading : (hypermapa > (loopa > $o) > loopa > a > a)).
thf(cmadd, type, madd : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(cattach, type, attach : (hypermapa > (loopa > $o) > loopa > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(ctpx, type, tpx : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(cgenex, type, genex : (hypermapa > (loopa > $o) > loopa > a > num > a)).
thf(cisuu_injuu_contour, type, isu_inju_contour : (hypermapa > (num > a) > num > $o)).
thf(ccanon, type, canon : (hypermapa > (loopa > $o) > loopa > $o)).
thf(cisuu_marked, type, isu_marked : (hypermapa > (loopa > $o) > loopa > a > $o)).
thf(cisuu_restricted, type, isu_restricted : (hypermapa > $o)).
thf(ctop, type, top : (loopa > num)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_COMu_POWERu_FUNCTION, axiom, ![F:(a > a),X:a,N:num]:((F @ (power @ F @ N @ X)) = (power @ F @ (suc @ N) @ X))).
thf(aHypermapo_LTu_PLUS, axiom, ![N:num]:(l_ @ N @ (suc @ N))).
thf(aHypermapo_attach, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((attach @ H @ NF @ L @ X) = (power @ (faceu_map @ H) @ (suc @ (madd @ H @ NF @ L @ X)) @ (heading @ H @ NF @ L @ X)))).
thf(aHypermapo_faceu_contour, axiom, ![H:hypermapa,X:a,I:num]:((faceu_contour @ H @ X @ I) = (power @ (faceu_map @ H) @ I @ X))).
thf(aHypermapo_genex, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((genex @ H @ NF @ L @ X) = (glue @ (loopu_path @ L @ (attach @ H @ NF @ L @ X)) @ (faceu_contour @ H @ (heading @ H @ NF @ L @ X)) @ (index @ L @ (attach @ H @ NF @ L @ X) @ (heading @ H @ NF @ L @ X))))).
thf(aHypermapo_isu_glueing, axiom, ![P:(num > a),Q:(num > a),N:num,M:num]:((isu_glueing @ P @ Q @ N @ M) <=> (((P @ N) = (Q @ (numeral @ u_0))) & ![J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ M)) => ~ ((inu_list @ P @ N @ (Q @ J))))))).
thf(aHypermapo_isu_normal, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) <=> (![L:loopa]:((in @ L @ NF) => ((isu_loop @ H @ L) & ?[X:a]:((in0 @ X @ (dart @ H)) & (belong @ X @ L)))) & ![L:loopa]:((in @ L @ NF) => ?[Y:a,Z:a]:((belong @ Y @ L) & (belong @ Z @ L) & ~ (((node @ H @ Y) = (node @ H @ Z))))) & ![L:loopa,LI_:loopa,X:a]:(((in @ L @ NF) & (in @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_)) & ![L:loopa,X:a,Y:a]:(((in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (node @ H @ X))) => ?[LI_:loopa]:((in @ LI_ @ NF) & (belong @ Y @ LI_)))))).
thf(aHypermapo_isu_splitu_condition, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) <=> ((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & ~ ((in @ L @ (canon @ H @ NF))) & (belong @ X @ L) & ((head @ H @ NF @ X) = X)))).
thf(aHypermapo_lemmaHQYMRTX, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => ((belong @ (attach @ H @ NF @ L @ X) @ L) & ![K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (suc @ (minside @ H @ NF @ L @ X)))) => ~ (((attach @ H @ NF @ L @ X) = (power @ (faceu_map @ H) @ K @ X))))))).
thf(aHypermapo_lemmau_faceu_identity, axiom, ![H:hypermaploopa,X:loopa,Y:loopa]:((in @ Y @ (face @ H @ X)) => ((face @ H @ X) = (face @ H @ Y)))).
thf(aHypermapo_lemmau_glueu_inju_contours, axiom, ![H:hypermapa,P:(num > a),Q:(num > a),N:num,M:num]:(((isu_inju_contour @ H @ P @ N) & (isu_inju_contour @ H @ Q @ M) & (isu_glueing @ P @ Q @ N @ M)) => (isu_inju_contour @ H @ (glue @ P @ Q @ N) @ (p_ @ N @ M)))).
thf(aHypermapo_lemmau_inu_list, axiom, ![P:(num > a),N:num,X:a]:((inu_list @ P @ N @ X) <=> ?[J:num]:((l_a_ @ J @ N) & (X = (P @ J))))).
thf(aHypermapo_lemmau_inu_support2, axiom, ![NF:(loopa > $o),L:loopa,X:a]:(((belong @ X @ L) & (in @ L @ NF)) => (in0 @ X @ (supportu_darts @ NF)))).
thf(aHypermapo_lemmau_inju_faceu_contour, axiom, ![H:hypermapa,X:a,K:num]:((l_ @ K @ (card @ (face0 @ H @ X))) => (isu_inju_contour @ H @ (faceu_contour @ H @ X) @ K))).
thf(aHypermapo_lemmau_loopu_index, axiom, ![L:loopa,X:a,Y:a]:(((belong @ X @ L) & (belong @ Y @ L)) => ((l_a_ @ (index @ L @ X @ Y) @ (top @ L)) & (Y = (power @ (next @ L) @ (index @ L @ X @ Y) @ X))))).
thf(aHypermapo_lemmau_mAdd, axiom, ![H:hypermaploopa,NF:(looploopa > $o),L:looploopa,X:loopa]:((isu_splitu_condition0 @ H @ NF @ L @ X) => (![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (madd0 @ H @ NF @ L @ X))) => ~ ((in @ (power0 @ (faceu_map0 @ H) @ I @ (heading0 @ H @ NF @ L @ X)) @ (supportu_darts0 @ NF)))) & (in @ (power0 @ (faceu_map0 @ H) @ (suc @ (madd0 @ H @ NF @ L @ X)) @ (heading0 @ H @ NF @ L @ X)) @ (supportu_darts0 @ NF))))).
thf(aHypermapo_lemmau_newu_dartsu_inu_face, axiom, ![H:hypermaploopa,NF:(looploopa > $o),L:looploopa,X:loopa]:((in @ (heading0 @ H @ NF @ L @ X) @ (face @ H @ X)) & (in @ (attach0 @ H @ NF @ L @ X) @ (face @ H @ X)))).
thf(aHypermapo_lemmau_onu_attach, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) => (~ (((node @ H @ (heading @ H @ NF @ L @ X)) = (node @ H @ (attach @ H @ NF @ L @ X)))) & (l_ @ (suc @ (madd @ H @ NF @ L @ X)) @ (card @ (face0 @ H @ X)))))).
thf(aHypermapo_lemmau_onu_heading, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) => ((belong @ (heading @ H @ NF @ L @ X) @ L) & ((next @ L @ (heading @ H @ NF @ L @ X)) = (inverse @ (nodeu_map @ H) @ (heading @ H @ NF @ L @ X))) & ~ (((node @ H @ (heading @ H @ NF @ L @ X)) = (node @ H @ X)))))).
thf(aHypermapo_lemmau_poweru_nextu_inu_loop, axiom, ![L:loopa,X:a,K:num]:((belong @ X @ L) => (belong @ (power @ (next @ L) @ K @ X) @ L))).
thf(aHypermapo_lemmau_splitu_markedu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => (isu_splitu_condition @ H @ NF @ L @ X))).
thf(aHypermapo_lemmau_subu_inju_contour, axiom, ![H:hypermapa,P:(num > a),N:num]:((isu_inju_contour @ H @ P @ N) => ![I:num]:((l_a_ @ I @ N) => (isu_inju_contour @ H @ P @ I)))).
thf(aHypermapo_letu_orderu_foru_loop, axiom, ![H:hypermapa,L:loopa,X:a]:(((isu_loop @ H @ L) & (belong @ X @ L)) => ((isu_inju_contour @ H @ (loopu_path @ L @ X) @ (top @ L)) & (oneu_stepu_contour @ H @ (loopu_path @ L @ X @ (top @ L)) @ (loopu_path @ L @ X @ (numeral @ u_0)))))).
thf(aHypermapo_loopu_path, axiom, ![L:loopa,X:a,K:num]:((loopu_path @ L @ X @ K) = (power @ (next @ L) @ K @ X))).
thf(aHypermapo_secondu_glueu_evaluation, axiom, ![P:(num > a),Q:(num > a),N:num,I:num]:(((P @ N) = (Q @ (numeral @ u_0))) => ((glue @ P @ Q @ N @ (p_ @ N @ I)) = (Q @ I)))).
thf(aHypermapo_startu_glueu_evaluation, axiom, ![P:(num > a),Q:(num > a),N:num]:((glue @ P @ Q @ N @ (numeral @ u_0)) = (P @ (numeral @ u_0)))).
thf(aHypermapo_tpx, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((tpx @ H @ NF @ L @ X) = (p_ @ (index @ L @ (attach @ H @ NF @ L @ X) @ (heading @ H @ NF @ L @ X)) @ (madd @ H @ NF @ L @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLTu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_ @ M @ N) & (l_ @ N @ P)) => (l_ @ M @ P))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => ((isu_inju_contour @ H @ (genex @ H @ NF @ L @ X) @ (tpx @ H @ NF @ L @ X)) & ((faceu_map @ H @ (genex @ H @ NF @ L @ X @ (tpx @ H @ NF @ L @ X))) = (genex @ H @ NF @ L @ X @ (numeral @ u_0)))))).
