%   ORIGINAL: Hypermap.lemma_in_dnax
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_ASSOC: !m n p. m + n + p = (m + n) + p
% Assm: Hypermap.GE_1: !n. 1 <= SUC n
% Assm: Hypermap.is_split_condition: !H NF L x. is_split_condition H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L /\ head H NF x = x
% Assm: Hypermap.lemma_belong_loop: !L x. belong x L ==> (!y. belong y L <=> (?i. i <= top L /\ y = (next L POWER i) x))
% Assm: Hypermap.lemma_on_dnax: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> genex H NF L x 0 = attach H NF L x /\ belong (attach H NF L x) (dnax H NF L x) /\ top (dnax H NF L x) = tpx H NF L x /\ (!i. i <= index L (attach H NF L x) (heading H NF L x) ==> (next (dnax H NF L x) POWER i) (attach H NF L x) = (next L POWER i) (attach H NF L x)) /\ (!i. i <= mAdd H NF L x ==> (next (dnax H NF L x) POWER (index L (attach H NF L x) (heading H NF L x) + i)) (attach H NF L x) = (face_map H POWER i) (heading H NF L x))
% Assm: Hypermap.lemma_split_marked_loop: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_split_condition H NF L x
% Assm: Hypermap.tpx: !H NF L x. tpx H NF L x = index L (attach H NF L x) (heading H NF L x) + mAdd H NF L x
% Assm: LE_ADD: !m n. m <= m + n
% Assm: LE_ADD_LCANCEL: !m n p. m + n <= m + p <=> n <= p
% Assm: LE_EXISTS: !m n. m <= n <=> (?d. n = m + d)
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: LT_EXISTS: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: TRUTH: T
% Goal: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> (!y. belong y (dnax H NF L x) <=> (?i. i <= index L (attach H NF L x) (heading H NF L x) /\ y = (next L POWER i) (attach H NF L x)) \/ (?i. 1 <= i /\ i <= mAdd H NF L x /\ y = (face_map H POWER i) (heading H NF L x)))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n p. m + n + p = (m + n) + p
% Assm: !n. 1 <= SUC n
% Assm: !H NF L x. is_split_condition H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L /\ head H NF x = x
% Assm: !L x. belong x L ==> (!y. belong y L <=> (?i. i <= top L /\ y = (next L POWER i) x))
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> genex H NF L x 0 = attach H NF L x /\ belong (attach H NF L x) (dnax H NF L x) /\ top (dnax H NF L x) = tpx H NF L x /\ (!i. i <= index L (attach H NF L x) (heading H NF L x) ==> (next (dnax H NF L x) POWER i) (attach H NF L x) = (next L POWER i) (attach H NF L x)) /\ (!i. i <= mAdd H NF L x ==> (next (dnax H NF L x) POWER (index L (attach H NF L x) (heading H NF L x) + i)) (attach H NF L x) = (face_map H POWER i) (heading H NF L x))
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_split_condition H NF L x
% Assm: !H NF L x. tpx H NF L x = index L (attach H NF L x) (heading H NF L x) + mAdd H NF L x
% Assm: !m n. m <= m + n
% Assm: !m n p. m + n <= m + p <=> n <= p
% Assm: !m n. m <= n <=> (?d. n = m + d)
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: T
% Goal: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> (!y. belong y (dnax H NF L x) <=> (?i. i <= index L (attach H NF L x) (heading H NF L x) /\ y = (next L POWER i) (attach H NF L x)) \/ (?i. 1 <= i /\ i <= mAdd H NF L x /\ y = (face_map H POWER i) (heading H NF L x)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(ctpx, type, tpx : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(cgenex, type, genex : (hypermapa > (loopa > $o) > loopa > a > num > a)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
thf(cisuu_splituu_condition, type, isu_splitu_condition : (hypermapa > (loopa > $o) > loopa > a > $o)).
thf(cmadd, type, madd : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cheading, type, heading : (hypermapa > (loopa > $o) > loopa > a > a)).
thf(cattach, type, attach : (hypermapa > (loopa > $o) > loopa > a > a)).
thf(cindex, type, index : (loopa > a > a > num)).
thf(cdnax, type, dnax : (hypermapa > (loopa > $o) > loopa > a > loopa)).
thf(ccanon, type, canon : (hypermapa > (loopa > $o) > loopa > $o)).
thf(cisuu_marked, type, isu_marked : (hypermapa > (loopa > $o) > loopa > a > $o)).
thf(cisuu_restricted, type, isu_restricted : (hypermapa > $o)).
thf(ctop, type, top : (loopa > num)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_ASSOC, axiom, ![M:num,N:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ (p_ @ M @ N) @ P))).
thf(aHypermapo_GEu_1, axiom, ![N:num]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (suc @ N))).
thf(aHypermapo_isu_splitu_condition, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) <=> ((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & ~ ((in @ L @ (canon @ H @ NF))) & (belong @ X @ L) & ((head @ H @ NF @ X) = X)))).
thf(aHypermapo_lemmau_belongu_loop, axiom, ![L:loopa,X:a]:((belong @ X @ L) => ![Y:a]:((belong @ Y @ L) <=> ?[I:num]:((l_a_ @ I @ (top @ L)) & (Y = (power @ (next @ L) @ I @ X)))))).
thf(aHypermapo_lemmau_onu_dnax, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => (((genex @ H @ NF @ L @ X @ (numeral @ u_0)) = (attach @ H @ NF @ L @ X)) & (belong @ (attach @ H @ NF @ L @ X) @ (dnax @ H @ NF @ L @ X)) & ((top @ (dnax @ H @ NF @ L @ X)) = (tpx @ H @ NF @ L @ X)) & ![I:num]:((l_a_ @ I @ (index @ L @ (attach @ H @ NF @ L @ X) @ (heading @ H @ NF @ L @ X))) => ((power @ (next @ (dnax @ H @ NF @ L @ X)) @ I @ (attach @ H @ NF @ L @ X)) = (power @ (next @ L) @ I @ (attach @ H @ NF @ L @ X)))) & ![I:num]:((l_a_ @ I @ (madd @ H @ NF @ L @ X)) => ((power @ (next @ (dnax @ H @ NF @ L @ X)) @ (p_ @ (index @ L @ (attach @ H @ NF @ L @ X) @ (heading @ H @ NF @ L @ X)) @ I) @ (attach @ H @ NF @ L @ X)) = (power @ (faceu_map @ H) @ I @ (heading @ H @ NF @ L @ X))))))).
thf(aHypermapo_lemmau_splitu_markedu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => (isu_splitu_condition @ H @ NF @ L @ X))).
thf(aHypermapo_tpx, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((tpx @ H @ NF @ L @ X) = (p_ @ (index @ L @ (attach @ H @ NF @ L @ X) @ (heading @ H @ NF @ L @ X)) @ (madd @ H @ NF @ L @ X)))).
thf(aLEu_ADD, axiom, ![M:num,N:num]:(l_a_ @ M @ (p_ @ M @ N))).
thf(aLEu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (p_ @ M @ N) @ (p_ @ M @ P)) <=> (l_a_ @ N @ P))).
thf(aLEu_EXISTS, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ D)))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aLTu_EXISTS, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ (suc @ D))))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => ![Y:a]:((belong @ Y @ (dnax @ H @ NF @ L @ X)) <=> (?[I:num]:((l_a_ @ I @ (index @ L @ (attach @ H @ NF @ L @ X) @ (heading @ H @ NF @ L @ X))) & (Y = (power @ (next @ L) @ I @ (attach @ H @ NF @ L @ X)))) | ?[I:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (madd @ H @ NF @ L @ X)) & (Y = (power @ (faceu_map @ H) @ I @ (heading @ H @ NF @ L @ X)))))))).
