%   ORIGINAL: Hypermap.lemma_dnax_atomic_structure
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ADD1: !m. SUC m = m + 1
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: Fan.POWER_1: !f. f POWER 1 = f
% Assm: Hypermap.COM_POWER_FUNCTION: !f x n. f ((f POWER n) x) = (f POWER SUC n) x
% Assm: Hypermap.GE_1: !n. 1 <= SUC n
% Assm: Hypermap.LE_PLUS: !n. n <= SUC n
% Assm: Hypermap.LT_PLUS: !n. n < SUC n
% Assm: Hypermap.atom_eq: !H N1 N2 L1 L2 x y m n. is_restricted H /\ is_normal H N1 /\ is_normal H N2 /\ L1 IN N1 /\ L2 IN N2 /\ belong x L1 /\ belong x L2 /\ belong y L1 /\ n <= top L1 /\ n <= top L2 /\ m < index L1 x (tail H N1 y) /\ index L1 x (tail H N1 y) <= index L1 x (head H N1 y) /\ index L1 x (head H N1 y) < n /\ (!i. m <= i /\ i <= n ==> (next L2 POWER i) x = (next L1 POWER i) x) ==> tail H N2 y = tail H N1 y /\ head H N2 y = head H N1 y /\ atom H L2 y = atom H L1 y
% Assm: Hypermap.atom_reflect: !H L x. x IN atom H L x
% Assm: Hypermap.attach: !H NF L x. attach H NF L x = (face_map H POWER SUC (mAdd H NF L x)) (heading H NF L x)
% Assm: Hypermap.compare_left: !m n p. m + n = p ==> m <= p
% Assm: Hypermap.determine_loop_index: !L x y k. belong x L /\ k <= top L /\ y = (next L POWER k) x ==> index L x y = k
% Assm: Hypermap.genesis: !H NF L x. genesis H NF L x = NF DELETE L UNION {dnax H NF L x, dnay H NF L x}
% Assm: Hypermap.head_on_loop: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> head H NF x IN atom H L x /\ ~(next L (head H NF x) = inverse (node_map H) (head H NF x))
% Assm: Hypermap.heading: !H NF L x. heading H NF L x = (face_map H POWER SUC (mInside H NF L x)) x
% Assm: Hypermap.inj_orbit_step: !s p x n. p permutes s /\ inj_orbit p x n /\ ~((p POWER SUC n) x = x) ==> inj_orbit p x (SUC n)
% Assm: Hypermap.is_normal: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: Hypermap.is_split_condition: !H NF L x. is_split_condition H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L /\ head H NF x = x
% Assm: Hypermap.lemmaHQYMRTX: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> belong (attach H NF L x) L /\ (!k. 1 <= k /\ k <= SUC (mInside H NF L x) ==> ~(attach H NF L x = (face_map H POWER k) x))
% Assm: Hypermap.lemma_add_exponent_function: !p m n x. (p POWER (m + n)) x = (p POWER m) ((p POWER n) x)
% Assm: Hypermap.lemma_face_contour_on_loop: !H NF L x m. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L /\ head H NF x = x /\ (!i. i <= SUC m ==> (next L POWER i) x = (face_map H POWER i) x) ==> (!i. 1 <= i /\ i <= m ==> atom H L ((next L POWER i) x) = {(face_map H POWER i) x}) /\ (!i. 1 <= i /\ i <= m ==> (face_map (quotient H NF) POWER i) (atom H L x) = {(face_map H POWER i) x}) /\ (face_map (quotient H NF) POWER SUC m) (atom H L x) = atom H L ((face_map H POWER SUC m) x)
% Assm: Hypermap.lemma_head: !H NF L x y. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x ==> (head H NF x = y <=> next L y = face_map H y)
% Assm: Hypermap.lemma_head_via_restricted: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (head H NF x = x <=> next L x = face_map H x)
% Assm: Hypermap.lemma_identity_atom: !H L x y. y IN atom H L x ==> atom H L x = atom H L y
% Assm: Hypermap.lemma_in_atom: !H L x m. is_loop H L /\ (!i. i <= m ==> (next L POWER i) x = (inverse (node_map H) POWER i) x) ==> (next L POWER m) x IN atom H L x
% Assm: Hypermap.lemma_in_couple: !x a b. x IN {a, b} <=> x = a \/ x = b
% Assm: Hypermap.lemma_in_dnax: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> (!y. belong y (dnax H NF L x) <=> (?i. i <= index L (attach H NF L x) (heading H NF L x) /\ y = (next L POWER i) (attach H NF L x)) \/ (?i. 1 <= i /\ i <= mAdd H NF L x /\ y = (face_map H POWER i) (heading H NF L x)))
% Assm: Hypermap.lemma_in_loop: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: Hypermap.lemma_inj_loop_path: !L x. belong x L ==> (!n. n <= top L <=> is_inj_list (loop_path L x) n)
% Assm: Hypermap.lemma_inj_orbit_via_list: !p x n. inj_orbit p x n <=> is_inj_list (power_list p x) n
% Assm: Hypermap.lemma_inverse_evaluation: !L x. back L (next L x) = x /\ next L (back L x) = x
% Assm: Hypermap.lemma_loop_index: !L x y. belong x L /\ belong y L ==> index L x y <= top L /\ y = (next L POWER index L x y) x
% Assm: Hypermap.lemma_loop_path_via_list: !L x. loop_path L x = power_list (next L) x
% Assm: Hypermap.lemma_mInside: !H NF L x. is_split_condition H NF L x ==> (!i. i <= SUC (mInside H NF L x) ==> (next L POWER i) x = (face_map H POWER i) x) /\ ~((next L POWER SUC (SUC (mInside H NF L x))) x = (face_map H POWER SUC (SUC (mInside H NF L x))) x)
% Assm: Hypermap.lemma_marked_dart: !H NF L x. is_marked H NF L x ==> head H NF x = x /\ inverse (node_map H) x IN canon_darts H NF
% Assm: Hypermap.lemma_next_exclusive: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (next L x = face_map H x <=> ~(next L x = inverse (node_map H) x))
% Assm: Hypermap.lemma_normal_genesis: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_normal H (genesis H NF L x)
% Assm: Hypermap.lemma_on_dnax: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> genex H NF L x 0 = attach H NF L x /\ belong (attach H NF L x) (dnax H NF L x) /\ top (dnax H NF L x) = tpx H NF L x /\ (!i. i <= index L (attach H NF L x) (heading H NF L x) ==> (next (dnax H NF L x) POWER i) (attach H NF L x) = (next L POWER i) (attach H NF L x)) /\ (!i. i <= mAdd H NF L x ==> (next (dnax H NF L x) POWER (index L (attach H NF L x) (heading H NF L x) + i)) (attach H NF L x) = (face_map H POWER i) (heading H NF L x))
% Assm: Hypermap.lemma_on_heading: !H NF L x. is_split_condition H NF L x ==> belong (heading H NF L x) L /\ next L (heading H NF L x) = inverse (node_map H) (heading H NF L x) /\ ~(node H (heading H NF L x) = node H x)
% Assm: Hypermap.lemma_order_next: !L. next L POWER size L = I
% Assm: Hypermap.lemma_power_next_in_loop: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: Hypermap.lemma_separation_on_loop: !H NF L x y z. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong z L /\ belong x L /\ belong y L /\ head H NF x = x /\ index L z (head H NF z) < index L z y /\ index L z y <= index L z x ==> index L z (head H NF z) < index L z (tail H NF y) /\ index L z (tail H NF y) <= index L z y /\ index L z y <= index L z (head H NF y) /\ index L z (head H NF y) <= index L z x
% Assm: Hypermap.lemma_size: !L. ~(dart_of L = {}) /\ 0 < size L /\ size L = SUC (top L)
% Assm: Hypermap.lemma_split_marked_loop: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_split_condition H NF L x
% Assm: Hypermap.lemma_sub_part: !P n m. (!i. i <= n ==> P i) /\ m <= n ==> (!i. i <= m ==> P i)
% Assm: Hypermap.lemma_tail_via_restricted: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (tail H NF x = x <=> x = face_map H (back L x))
% Assm: Hypermap.loop_lemma: !L. FINITE (dart_of L) /\ next L permutes dart_of L /\ (?x. belong x L /\ orbit_map (next L) x = dart_of L)
% Assm: Hypermap.to_head: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x ==> (!i. i <= index L y (head H NF x) ==> (next L POWER i) y = (inverse (node_map H) POWER i) y)
% Assm: Hypermap.tpx: !H NF L x. tpx H NF L x = index L (attach H NF L x) (heading H NF L x) + mAdd H NF L x
% Assm: Hypermap.value_next_of_head: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> next L (head H NF x) = face_map H (head H NF x)
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: LET_TRANS: !m n p. m <= n /\ n < p ==> m < p
% Assm: LE_0: !n. 0 <= n
% Assm: LE_ADD: !m n. m <= m + n
% Assm: LE_ADD2: !m n p q. m <= p /\ n <= q ==> m + n <= p + q
% Assm: LE_ADD_LCANCEL: !m n p. m + n <= m + p <=> n <= p
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_REFL: !n. n <= n
% Assm: LE_SUC_LT: !m n. SUC m <= n <=> m < n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: LTE_TRANS: !m n p. m < n /\ n <= p ==> m < p
% Assm: LT_EXISTS: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: LT_SUC_LE: !m n. m < SUC n <=> m <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> index L (attach H NF L x) (head H NF (attach H NF L x)) <= index L (attach H NF L x) x /\ index L (attach H NF L x) x + SUC (mInside H NF L x) = index L (attach H NF L x) (heading H NF L x) /\ dnax H NF L x IN genesis H NF L x /\ head H (genesis H NF L x) (attach H NF L x) = head H NF (attach H NF L x) /\ tail H (genesis H NF L x) (attach H NF L x) = attach H NF L x /\ (!i. i <= index L (attach H NF L x) (head H NF (attach H NF L x)) ==> atom H (dnax H NF L x) ((next L POWER i) (attach H NF L x)) = atom H (dnax H NF L x) (attach H NF L x)) /\ (!i. index L (attach H NF L x) (head H NF (attach H NF L x)) < i /\ i <= index L (attach H NF L x) x ==> tail H (genesis H NF L x) ((next L POWER i) (attach H NF L x)) = tail H NF ((next L POWER i) (attach H NF L x)) /\ head H (genesis H NF L x) ((next L POWER i) (attach H NF L x)) = head H NF ((next L POWER i) (attach H NF L x)) /\ atom H (dnax H NF L x) ((next L POWER i) (attach H NF L x)) = atom H L ((next L POWER i) (attach H NF L x))) /\ (!i. index L (attach H NF L x) x < i /\ i <= index L (attach H NF L x) (heading H NF L x) ==> atom H (dnax H NF L x) ((next L POWER i) (attach H NF L x)) = {(next L POWER i) (attach H NF L x)}) /\ (!i. 1 <= i /\ i <= mAdd H NF L x ==> atom H (dnax H NF L x) ((face_map H POWER i) (heading H NF L x)) = {(face_map H POWER i) (heading H NF L x)}) /\ (!i. i <= SUC (mInside H NF L x) + SUC (mAdd H NF L x) ==> (next (dnax H NF L x) POWER i) x = (face_map H POWER i) x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !m. SUC m = m + 1
% Assm: !n m. m + n = n + m
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !f. f POWER 1 = f
% Assm: !f x n. f ((f POWER n) x) = (f POWER SUC n) x
% Assm: !n. 1 <= SUC n
% Assm: !n. n <= SUC n
% Assm: !n. n < SUC n
% Assm: !H N1 N2 L1 L2 x y m n. is_restricted H /\ is_normal H N1 /\ is_normal H N2 /\ L1 IN N1 /\ L2 IN N2 /\ belong x L1 /\ belong x L2 /\ belong y L1 /\ n <= top L1 /\ n <= top L2 /\ m < index L1 x (tail H N1 y) /\ index L1 x (tail H N1 y) <= index L1 x (head H N1 y) /\ index L1 x (head H N1 y) < n /\ (!i. m <= i /\ i <= n ==> (next L2 POWER i) x = (next L1 POWER i) x) ==> tail H N2 y = tail H N1 y /\ head H N2 y = head H N1 y /\ atom H L2 y = atom H L1 y
% Assm: !H L x. x IN atom H L x
% Assm: !H NF L x. attach H NF L x = (face_map H POWER SUC (mAdd H NF L x)) (heading H NF L x)
% Assm: !m n p. m + n = p ==> m <= p
% Assm: !L x y k. belong x L /\ k <= top L /\ y = (next L POWER k) x ==> index L x y = k
% Assm: !H NF L x. genesis H NF L x = NF DELETE L UNION {dnax H NF L x, dnay H NF L x}
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> head H NF x IN atom H L x /\ ~(next L (head H NF x) = inverse (node_map H) (head H NF x))
% Assm: !H NF L x. heading H NF L x = (face_map H POWER SUC (mInside H NF L x)) x
% Assm: !s p x n. p permutes s /\ inj_orbit p x n /\ ~((p POWER SUC n) x = x) ==> inj_orbit p x (SUC n)
% Assm: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: !H NF L x. is_split_condition H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L /\ head H NF x = x
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> belong (attach H NF L x) L /\ (!k. 1 <= k /\ k <= SUC (mInside H NF L x) ==> ~(attach H NF L x = (face_map H POWER k) x))
% Assm: !p m n x. (p POWER (m + n)) x = (p POWER m) ((p POWER n) x)
% Assm: !H NF L x m. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L /\ head H NF x = x /\ (!i. i <= SUC m ==> (next L POWER i) x = (face_map H POWER i) x) ==> (!i. 1 <= i /\ i <= m ==> atom H L ((next L POWER i) x) = {(face_map H POWER i) x}) /\ (!i. 1 <= i /\ i <= m ==> (face_map (quotient H NF) POWER i) (atom H L x) = {(face_map H POWER i) x}) /\ (face_map (quotient H NF) POWER SUC m) (atom H L x) = atom H L ((face_map H POWER SUC m) x)
% Assm: !H NF L x y. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x ==> (head H NF x = y <=> next L y = face_map H y)
% Assm: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (head H NF x = x <=> next L x = face_map H x)
% Assm: !H L x y. y IN atom H L x ==> atom H L x = atom H L y
% Assm: !H L x m. is_loop H L /\ (!i. i <= m ==> (next L POWER i) x = (inverse (node_map H) POWER i) x) ==> (next L POWER m) x IN atom H L x
% Assm: !x a b. x IN {a, b} <=> x = a \/ x = b
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> (!y. belong y (dnax H NF L x) <=> (?i. i <= index L (attach H NF L x) (heading H NF L x) /\ y = (next L POWER i) (attach H NF L x)) \/ (?i. 1 <= i /\ i <= mAdd H NF L x /\ y = (face_map H POWER i) (heading H NF L x)))
% Assm: !H L x y. belong x L /\ y IN atom H L x ==> belong y L
% Assm: !L x. belong x L ==> (!n. n <= top L <=> is_inj_list (loop_path L x) n)
% Assm: !p x n. inj_orbit p x n <=> is_inj_list (power_list p x) n
% Assm: !L x. back L (next L x) = x /\ next L (back L x) = x
% Assm: !L x y. belong x L /\ belong y L ==> index L x y <= top L /\ y = (next L POWER index L x y) x
% Assm: !L x. loop_path L x = power_list (next L) x
% Assm: !H NF L x. is_split_condition H NF L x ==> (!i. i <= SUC (mInside H NF L x) ==> (next L POWER i) x = (face_map H POWER i) x) /\ ~((next L POWER SUC (SUC (mInside H NF L x))) x = (face_map H POWER SUC (SUC (mInside H NF L x))) x)
% Assm: !H NF L x. is_marked H NF L x ==> head H NF x = x /\ inverse (node_map H) x IN canon_darts H NF
% Assm: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (next L x = face_map H x <=> ~(next L x = inverse (node_map H) x))
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_normal H (genesis H NF L x)
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> genex H NF L x 0 = attach H NF L x /\ belong (attach H NF L x) (dnax H NF L x) /\ top (dnax H NF L x) = tpx H NF L x /\ (!i. i <= index L (attach H NF L x) (heading H NF L x) ==> (next (dnax H NF L x) POWER i) (attach H NF L x) = (next L POWER i) (attach H NF L x)) /\ (!i. i <= mAdd H NF L x ==> (next (dnax H NF L x) POWER (index L (attach H NF L x) (heading H NF L x) + i)) (attach H NF L x) = (face_map H POWER i) (heading H NF L x))
% Assm: !H NF L x. is_split_condition H NF L x ==> belong (heading H NF L x) L /\ next L (heading H NF L x) = inverse (node_map H) (heading H NF L x) /\ ~(node H (heading H NF L x) = node H x)
% Assm: !L. next L POWER size L = I
% Assm: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: !H NF L x y z. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong z L /\ belong x L /\ belong y L /\ head H NF x = x /\ index L z (head H NF z) < index L z y /\ index L z y <= index L z x ==> index L z (head H NF z) < index L z (tail H NF y) /\ index L z (tail H NF y) <= index L z y /\ index L z y <= index L z (head H NF y) /\ index L z (head H NF y) <= index L z x
% Assm: !L. ~(dart_of L = {}) /\ 0 < size L /\ size L = SUC (top L)
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_split_condition H NF L x
% Assm: !P n m. (!i. i <= n ==> P i) /\ m <= n ==> (!i. i <= m ==> P i)
% Assm: !H NF L x. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L ==> (tail H NF x = x <=> x = face_map H (back L x))
% Assm: !L. FINITE (dart_of L) /\ next L permutes dart_of L /\ (?x. belong x L /\ orbit_map (next L) x = dart_of L)
% Assm: !H NF L x y. is_normal H NF /\ L IN NF /\ belong x L /\ y IN atom H L x ==> (!i. i <= index L y (head H NF x) ==> (next L POWER i) y = (inverse (node_map H) POWER i) y)
% Assm: !H NF L x. tpx H NF L x = index L (attach H NF L x) (heading H NF L x) + mAdd H NF L x
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> next L (head H NF x) = face_map H (head H NF x)
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !m n p. m <= n /\ n < p ==> m < p
% Assm: !n. 0 <= n
% Assm: !m n. m <= m + n
% Assm: !m n p q. m <= p /\ n <= q ==> m + n <= p + q
% Assm: !m n p. m + n <= m + p <=> n <= p
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !n. n <= n
% Assm: !m n. SUC m <= n <=> m < n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !m n p. m < n /\ n <= p ==> m < p
% Assm: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: !m n. m < SUC n <=> m <= n
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> index L (attach H NF L x) (head H NF (attach H NF L x)) <= index L (attach H NF L x) x /\ index L (attach H NF L x) x + SUC (mInside H NF L x) = index L (attach H NF L x) (heading H NF L x) /\ dnax H NF L x IN genesis H NF L x /\ head H (genesis H NF L x) (attach H NF L x) = head H NF (attach H NF L x) /\ tail H (genesis H NF L x) (attach H NF L x) = attach H NF L x /\ (!i. i <= index L (attach H NF L x) (head H NF (attach H NF L x)) ==> atom H (dnax H NF L x) ((next L POWER i) (attach H NF L x)) = atom H (dnax H NF L x) (attach H NF L x)) /\ (!i. index L (attach H NF L x) (head H NF (attach H NF L x)) < i /\ i <= index L (attach H NF L x) x ==> tail H (genesis H NF L x) ((next L POWER i) (attach H NF L x)) = tail H NF ((next L POWER i) (attach H NF L x)) /\ head H (genesis H NF L x) ((next L POWER i) (attach H NF L x)) = head H NF ((next L POWER i) (attach H NF L x)) /\ atom H (dnax H NF L x) ((next L POWER i) (attach H NF L x)) = atom H L ((next L POWER i) (attach H NF L x))) /\ (!i. index L (attach H NF L x) x < i /\ i <= index L (attach H NF L x) (heading H NF L x) ==> atom H (dnax H NF L x) ((next L POWER i) (attach H NF L x)) = {(next L POWER i) (attach H NF L x)}) /\ (!i. 1 <= i /\ i <= mAdd H NF L x ==> atom H (dnax H NF L x) ((face_map H POWER i) (heading H NF L x)) = {(face_map H POWER i) (heading H NF L x)}) /\ (!i. i <= SUC (mInside H NF L x) + SUC (mAdd H NF L x) ==> (next (dnax H NF L x) POWER i) x = (face_map H POWER i) x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tlooploopa, type, looploopa : $tType).
thf(thypermaploopa, type, hypermaploopa : $tType).
thf(tloopa, type, loopa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(thypermapfunabool, type, hypermapfunabool : $tType).
%  CONSTS
thf(ci1, type, i1 : ((a > $o) > a > $o)).
thf(cdartuu_of, type, dartu_of : (loopa > a > $o)).
thf(cisuu_injuu_list, type, isu_inju_list : ((num > a) > num > $o)).
thf(cbelong0, type, belong0 : (loopa > looploopa > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cback, type, back : (loopa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnext, type, next : (loopa > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(ctpx, type, tpx : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(cgenex, type, genex : (hypermapa > (loopa > $o) > loopa > a > num > a)).
thf(ccanonuu_darts, type, canonu_darts : (hypermapa > (loopa > $o) > a > $o)).
thf(cpoweruu_list, type, poweru_list : ((a > a) > a > num > a)).
thf(cloopuu_path, type, loopu_path : (loopa > a > num > a)).
thf(cquotient, type, quotient : (hypermapa > (loopa > $o) > hypermapfunabool)).
thf(cfaceuu_map0, type, faceu_map0 : (hypermapfunabool > (a > $o) > a > $o)).
thf(cpower0, type, power0 : (((a > $o) > a > $o) > num > (a > $o) > a > $o)).
thf(cisuu_splituu_condition, type, isu_splitu_condition : (hypermapa > (loopa > $o) > loopa > a > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cinjuu_orbit, type, inju_orbit : ((a > a) > a > num > $o)).
thf(cdnay, type, dnay : (hypermapa > (loopa > $o) > loopa > a > loopa)).
thf(cinsert0, type, insert0 : (loopa > (loopa > $o) > loopa > $o)).
thf(cdelete, type, delete : ((loopa > $o) > loopa > loopa > $o)).
thf(cunion, type, union : ((loopa > $o) > (loopa > $o) > loopa > $o)).
thf(catom0, type, atom0 : (hypermaploopa > looploopa > loopa > loopa > $o)).
thf(cmadd, type, madd : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(ctail, type, tail : (hypermapa > (loopa > $o) > a > a)).
thf(cgenesis, type, genesis : (hypermapa > (loopa > $o) > loopa > a > loopa > $o)).
thf(cdnax, type, dnax : (hypermapa > (loopa > $o) > loopa > a > loopa)).
thf(cheading, type, heading : (hypermapa > (loopa > $o) > loopa > a > a)).
thf(cminside, type, minside : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
thf(cattach, type, attach : (hypermapa > (loopa > $o) > loopa > a > a)).
thf(cindex, type, index : (loopa > a > a > num)).
thf(ccanon, type, canon : (hypermapa > (loopa > $o) > loopa > $o)).
thf(cisuu_marked, type, isu_marked : (hypermapa > (loopa > $o) > loopa > a > $o)).
thf(cempty0, type, empty0 : (loopa > $o)).
thf(cisuu_restricted, type, isu_restricted : (hypermapa > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(csize, type, size : (loopa > num)).
thf(ctop, type, top : (loopa > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(ci, type, i : (a > a)).
thf(ci0, type, i0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aADD1, axiom, ![M:num]:((suc @ M) = (p_ @ M @ (numeral @ (bit1 @ u_0))))).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aFano_POWERu_1, axiom, ![F:(a > a)]:((power @ F @ (numeral @ (bit1 @ u_0))) = F)).
thf(aHypermapo_COMu_POWERu_FUNCTION, axiom, ![F:(a > a),X:a,N:num]:((F @ (power @ F @ N @ X)) = (power @ F @ (suc @ N) @ X))).
thf(aHypermapo_GEu_1, axiom, ![N:num]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (suc @ N))).
thf(aHypermapo_LEu_PLUS, axiom, ![N:num]:(l_a_ @ N @ (suc @ N))).
thf(aHypermapo_LTu_PLUS, axiom, ![N:num]:(l_ @ N @ (suc @ N))).
thf(aHypermapo_atomu_eq, axiom, ![H:hypermapa,N1:(loopa > $o),N2:(loopa > $o),L1:loopa,L2:loopa,X:a,Y:a,M:num,N:num]:(((isu_restricted @ H) & (isu_normal @ H @ N1) & (isu_normal @ H @ N2) & (in @ L1 @ N1) & (in @ L2 @ N2) & (belong @ X @ L1) & (belong @ X @ L2) & (belong @ Y @ L1) & (l_a_ @ N @ (top @ L1)) & (l_a_ @ N @ (top @ L2)) & (l_ @ M @ (index @ L1 @ X @ (tail @ H @ N1 @ Y))) & (l_a_ @ (index @ L1 @ X @ (tail @ H @ N1 @ Y)) @ (index @ L1 @ X @ (head @ H @ N1 @ Y))) & (l_ @ (index @ L1 @ X @ (head @ H @ N1 @ Y)) @ N) & ![I:num]:(((l_a_ @ M @ I) & (l_a_ @ I @ N)) => ((power @ (next @ L2) @ I @ X) = (power @ (next @ L1) @ I @ X)))) => (((tail @ H @ N2 @ Y) = (tail @ H @ N1 @ Y)) & ((head @ H @ N2 @ Y) = (head @ H @ N1 @ Y)) & ((atom @ H @ L2 @ Y) = (atom @ H @ L1 @ Y))))).
thf(aHypermapo_atomu_reflect, axiom, ![H:hypermaploopa,L:looploopa,X:loopa]:(in @ X @ (atom0 @ H @ L @ X))).
thf(aHypermapo_attach, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((attach @ H @ NF @ L @ X) = (power @ (faceu_map @ H) @ (suc @ (madd @ H @ NF @ L @ X)) @ (heading @ H @ NF @ L @ X)))).
thf(aHypermapo_compareu_left, axiom, ![M:num,N:num,P:num]:(((p_ @ M @ N) = P) => (l_a_ @ M @ P))).
thf(aHypermapo_determineu_loopu_index, axiom, ![L:loopa,X:a,Y:a,K:num]:(((belong @ X @ L) & (l_a_ @ K @ (top @ L)) & (Y = (power @ (next @ L) @ K @ X))) => ((index @ L @ X @ Y) = K))).
thf(aHypermapo_genesis, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((genesis @ H @ NF @ L @ X) = (union @ (delete @ NF @ L) @ (insert0 @ (dnax @ H @ NF @ L @ X) @ (insert0 @ (dnay @ H @ NF @ L @ X) @ empty0))))).
thf(aHypermapo_headu_onu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((in0 @ (head @ H @ NF @ X) @ (atom @ H @ L @ X)) & ~ (((next @ L @ (head @ H @ NF @ X)) = (inverse @ (nodeu_map @ H) @ (head @ H @ NF @ X))))))).
thf(aHypermapo_heading, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((heading @ H @ NF @ L @ X) = (power @ (faceu_map @ H) @ (suc @ (minside @ H @ NF @ L @ X)) @ X))).
thf(aHypermapo_inju_orbitu_step, axiom, ![S:(a > $o),P:(a > a),X:a,N:num]:(((permutes @ P @ S) & (inju_orbit @ P @ X @ N) & ~ (((power @ P @ (suc @ N) @ X) = X))) => (inju_orbit @ P @ X @ (suc @ N)))).
thf(aHypermapo_isu_normal, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) <=> (![L:loopa]:((in @ L @ NF) => ((isu_loop @ H @ L) & ?[X:a]:((in0 @ X @ (dart @ H)) & (belong @ X @ L)))) & ![L:loopa]:((in @ L @ NF) => ?[Y:a,Z:a]:((belong @ Y @ L) & (belong @ Z @ L) & ~ (((node @ H @ Y) = (node @ H @ Z))))) & ![L:loopa,LI_:loopa,X:a]:(((in @ L @ NF) & (in @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_)) & ![L:loopa,X:a,Y:a]:(((in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (node @ H @ X))) => ?[LI_:loopa]:((in @ LI_ @ NF) & (belong @ Y @ LI_)))))).
thf(aHypermapo_isu_splitu_condition, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) <=> ((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & ~ ((in @ L @ (canon @ H @ NF))) & (belong @ X @ L) & ((head @ H @ NF @ X) = X)))).
thf(aHypermapo_lemmaHQYMRTX, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => ((belong @ (attach @ H @ NF @ L @ X) @ L) & ![K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (suc @ (minside @ H @ NF @ L @ X)))) => ~ (((attach @ H @ NF @ L @ X) = (power @ (faceu_map @ H) @ K @ X))))))).
thf(aHypermapo_lemmau_addu_exponentu_function, axiom, ![P:(a > a),M:num,N:num,X:a]:((power @ P @ (p_ @ M @ N) @ X) = (power @ P @ M @ (power @ P @ N @ X)))).
thf(aHypermapo_lemmau_faceu_contouru_onu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,M:num]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & ((head @ H @ NF @ X) = X) & ![I:num]:((l_a_ @ I @ (suc @ M)) => ((power @ (next @ L) @ I @ X) = (power @ (faceu_map @ H) @ I @ X)))) => (![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ M)) => ((atom @ H @ L @ (power @ (next @ L) @ I @ X)) = (insert @ (power @ (faceu_map @ H) @ I @ X) @ empty))) & ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ M)) => ((power0 @ (faceu_map0 @ (quotient @ H @ NF)) @ I @ (atom @ H @ L @ X)) = (insert @ (power @ (faceu_map @ H) @ I @ X) @ empty))) & ((power0 @ (faceu_map0 @ (quotient @ H @ NF)) @ (suc @ M) @ (atom @ H @ L @ X)) = (atom @ H @ L @ (power @ (faceu_map @ H) @ (suc @ M) @ X)))))).
thf(aHypermapo_lemmau_head, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (atom @ H @ L @ X))) => (((head @ H @ NF @ X) = Y) <=> ((next @ L @ Y) = (faceu_map @ H @ Y))))).
thf(aHypermapo_lemmau_headu_viau_restricted, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => (((head @ H @ NF @ X) = X) <=> ((next @ L @ X) = (faceu_map @ H @ X))))).
thf(aHypermapo_lemmau_identityu_atom, axiom, ![H:hypermaploopa,L:looploopa,X:loopa,Y:loopa]:((in @ Y @ (atom0 @ H @ L @ X)) => ((atom0 @ H @ L @ X) = (atom0 @ H @ L @ Y)))).
thf(aHypermapo_lemmau_inu_atom, axiom, ![H:hypermapa,L:loopa,X:a,M:num]:(((isu_loop @ H @ L) & ![I:num]:((l_a_ @ I @ M) => ((power @ (next @ L) @ I @ X) = (power @ (inverse @ (nodeu_map @ H)) @ I @ X)))) => (in0 @ (power @ (next @ L) @ M @ X) @ (atom @ H @ L @ X)))).
thf(aHypermapo_lemmau_inu_couple, axiom, ![X:loopa,A:loopa,B:loopa]:((in @ X @ (insert0 @ A @ (insert0 @ B @ empty0))) <=> ((X = A) | (X = B)))).
thf(aHypermapo_lemmau_inu_dnax, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => ![Y:a]:((belong @ Y @ (dnax @ H @ NF @ L @ X)) <=> (?[I:num]:((l_a_ @ I @ (index @ L @ (attach @ H @ NF @ L @ X) @ (heading @ H @ NF @ L @ X))) & (Y = (power @ (next @ L) @ I @ (attach @ H @ NF @ L @ X)))) | ?[I:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (madd @ H @ NF @ L @ X)) & (Y = (power @ (faceu_map @ H) @ I @ (heading @ H @ NF @ L @ X)))))))).
thf(aHypermapo_lemmau_inu_loop, axiom, ![H:hypermaploopa,L:looploopa,X:loopa,Y:loopa]:(((belong0 @ X @ L) & (in @ Y @ (atom0 @ H @ L @ X))) => (belong0 @ Y @ L))).
thf(aHypermapo_lemmau_inju_loopu_path, axiom, ![L:loopa,X:a]:((belong @ X @ L) => ![N:num]:((l_a_ @ N @ (top @ L)) <=> (isu_inju_list @ (loopu_path @ L @ X) @ N)))).
thf(aHypermapo_lemmau_inju_orbitu_viau_list, axiom, ![P:(a > a),X:a,N:num]:((inju_orbit @ P @ X @ N) <=> (isu_inju_list @ (poweru_list @ P @ X) @ N))).
thf(aHypermapo_lemmau_inverseu_evaluation, axiom, ![L:loopa,X:a]:(((back @ L @ (next @ L @ X)) = X) & ((next @ L @ (back @ L @ X)) = X))).
thf(aHypermapo_lemmau_loopu_index, axiom, ![L:loopa,X:a,Y:a]:(((belong @ X @ L) & (belong @ Y @ L)) => ((l_a_ @ (index @ L @ X @ Y) @ (top @ L)) & (Y = (power @ (next @ L) @ (index @ L @ X @ Y) @ X))))).
thf(aHypermapo_lemmau_loopu_pathu_viau_list, axiom, ![L:loopa,X:a]:((loopu_path @ L @ X) = (poweru_list @ (next @ L) @ X))).
thf(aHypermapo_lemmau_mInside, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) => (![I:num]:((l_a_ @ I @ (suc @ (minside @ H @ NF @ L @ X))) => ((power @ (next @ L) @ I @ X) = (power @ (faceu_map @ H) @ I @ X))) & ~ (((power @ (next @ L) @ (suc @ (suc @ (minside @ H @ NF @ L @ X))) @ X) = (power @ (faceu_map @ H) @ (suc @ (suc @ (minside @ H @ NF @ L @ X))) @ X)))))).
thf(aHypermapo_lemmau_markedu_dart, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_marked @ H @ NF @ L @ X) => (((head @ H @ NF @ X) = X) & (in0 @ (inverse @ (nodeu_map @ H) @ X) @ (canonu_darts @ H @ NF))))).
thf(aHypermapo_lemmau_nextu_exclusive, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => (((next @ L @ X) = (faceu_map @ H @ X)) <=> ~ (((next @ L @ X) = (inverse @ (nodeu_map @ H) @ X)))))).
thf(aHypermapo_lemmau_normalu_genesis, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => (isu_normal @ H @ (genesis @ H @ NF @ L @ X)))).
thf(aHypermapo_lemmau_onu_dnax, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => (((genex @ H @ NF @ L @ X @ (numeral @ u_0)) = (attach @ H @ NF @ L @ X)) & (belong @ (attach @ H @ NF @ L @ X) @ (dnax @ H @ NF @ L @ X)) & ((top @ (dnax @ H @ NF @ L @ X)) = (tpx @ H @ NF @ L @ X)) & ![I:num]:((l_a_ @ I @ (index @ L @ (attach @ H @ NF @ L @ X) @ (heading @ H @ NF @ L @ X))) => ((power @ (next @ (dnax @ H @ NF @ L @ X)) @ I @ (attach @ H @ NF @ L @ X)) = (power @ (next @ L) @ I @ (attach @ H @ NF @ L @ X)))) & ![I:num]:((l_a_ @ I @ (madd @ H @ NF @ L @ X)) => ((power @ (next @ (dnax @ H @ NF @ L @ X)) @ (p_ @ (index @ L @ (attach @ H @ NF @ L @ X) @ (heading @ H @ NF @ L @ X)) @ I) @ (attach @ H @ NF @ L @ X)) = (power @ (faceu_map @ H) @ I @ (heading @ H @ NF @ L @ X))))))).
thf(aHypermapo_lemmau_onu_heading, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) => ((belong @ (heading @ H @ NF @ L @ X) @ L) & ((next @ L @ (heading @ H @ NF @ L @ X)) = (inverse @ (nodeu_map @ H) @ (heading @ H @ NF @ L @ X))) & ~ (((node @ H @ (heading @ H @ NF @ L @ X)) = (node @ H @ X)))))).
thf(aHypermapo_lemmau_orderu_next, axiom, ![L:loopa]:((power @ (next @ L) @ (size @ L)) = i)).
thf(aHypermapo_lemmau_poweru_nextu_inu_loop, axiom, ![L:loopa,X:a,K:num]:((belong @ X @ L) => (belong @ (power @ (next @ L) @ K @ X) @ L))).
thf(aHypermapo_lemmau_separationu_onu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a,Z:a]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ Z @ L) & (belong @ X @ L) & (belong @ Y @ L) & ((head @ H @ NF @ X) = X) & (l_ @ (index @ L @ Z @ (head @ H @ NF @ Z)) @ (index @ L @ Z @ Y)) & (l_a_ @ (index @ L @ Z @ Y) @ (index @ L @ Z @ X))) => ((l_ @ (index @ L @ Z @ (head @ H @ NF @ Z)) @ (index @ L @ Z @ (tail @ H @ NF @ Y))) & (l_a_ @ (index @ L @ Z @ (tail @ H @ NF @ Y)) @ (index @ L @ Z @ Y)) & (l_a_ @ (index @ L @ Z @ Y) @ (index @ L @ Z @ (head @ H @ NF @ Y))) & (l_a_ @ (index @ L @ Z @ (head @ H @ NF @ Y)) @ (index @ L @ Z @ X))))).
thf(aHypermapo_lemmau_size, axiom, ![L:loopa]:(~ (((dartu_of @ L) = empty)) & (l_ @ (numeral @ u_0) @ (size @ L)) & ((size @ L) = (suc @ (top @ L))))).
thf(aHypermapo_lemmau_splitu_markedu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => (isu_splitu_condition @ H @ NF @ L @ X))).
thf(aHypermapo_lemmau_subu_part, axiom, ![P:(num > $o),N:num,M:num]:((![I:num]:((l_a_ @ I @ N) => (P @ I)) & (l_a_ @ M @ N)) => ![I:num]:((l_a_ @ I @ M) => (P @ I)))).
thf(aHypermapo_lemmau_tailu_viau_restricted, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => (((tail @ H @ NF @ X) = X) <=> (X = (faceu_map @ H @ (back @ L @ X)))))).
thf(aHypermapo_loopu_lemma, axiom, ![L:loopa]:((finite @ (dartu_of @ L)) & (permutes @ (next @ L) @ (dartu_of @ L)) & ?[X:a]:((belong @ X @ L) & ((orbitu_map @ (next @ L) @ X) = (dartu_of @ L))))).
thf(aHypermapo_tou_head, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (atom @ H @ L @ X))) => ![I:num]:((l_a_ @ I @ (index @ L @ Y @ (head @ H @ NF @ X))) => ((power @ (next @ L) @ I @ Y) = (power @ (inverse @ (nodeu_map @ H)) @ I @ Y))))).
thf(aHypermapo_tpx, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((tpx @ H @ NF @ L @ X) = (p_ @ (index @ L @ (attach @ H @ NF @ L @ X) @ (heading @ H @ NF @ L @ X)) @ (madd @ H @ NF @ L @ X)))).
thf(aHypermapo_valueu_nextu_ofu_head, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((next @ L @ (head @ H @ NF @ X)) = (faceu_map @ H @ (head @ H @ NF @ X))))).
thf(aINu_DELETE, axiom, ![S:(loopa > $o),X:loopa,Y:loopa]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_UNION, axiom, ![S:(loopa > $o),T:(loopa > $o),X:loopa]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aIu_THMu_monomorphized2, axiom, ![X:num]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:(a > $o)]:((i1 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i @ X) = X)).
thf(aLETu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_ @ N @ P)) => (l_ @ M @ P))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_ADD, axiom, ![M:num,N:num]:(l_a_ @ M @ (p_ @ M @ N))).
thf(aLEu_ADD2, axiom, ![M:num,N:num,P:num,Q:num]:(((l_a_ @ M @ P) & (l_a_ @ N @ Q)) => (l_a_ @ (p_ @ M @ N) @ (p_ @ P @ Q)))).
thf(aLEu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (p_ @ M @ N) @ (p_ @ M @ P)) <=> (l_a_ @ N @ P))).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLEu_SUCu_LT, axiom, ![M:num,N:num]:((l_a_ @ (suc @ M) @ N) <=> (l_ @ M @ N))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aLTEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_ @ M @ N) & (l_a_ @ N @ P)) => (l_ @ M @ P))).
thf(aLTu_EXISTS, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ (suc @ D))))).
thf(aLTu_SUCu_LE, axiom, ![M:num,N:num]:((l_ @ M @ (suc @ N)) <=> (l_a_ @ M @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => ((l_a_ @ (index @ L @ (attach @ H @ NF @ L @ X) @ (head @ H @ NF @ (attach @ H @ NF @ L @ X))) @ (index @ L @ (attach @ H @ NF @ L @ X) @ X)) & ((p_ @ (index @ L @ (attach @ H @ NF @ L @ X) @ X) @ (suc @ (minside @ H @ NF @ L @ X))) = (index @ L @ (attach @ H @ NF @ L @ X) @ (heading @ H @ NF @ L @ X))) & (in @ (dnax @ H @ NF @ L @ X) @ (genesis @ H @ NF @ L @ X)) & ((head @ H @ (genesis @ H @ NF @ L @ X) @ (attach @ H @ NF @ L @ X)) = (head @ H @ NF @ (attach @ H @ NF @ L @ X))) & ((tail @ H @ (genesis @ H @ NF @ L @ X) @ (attach @ H @ NF @ L @ X)) = (attach @ H @ NF @ L @ X)) & ![I:num]:((l_a_ @ I @ (index @ L @ (attach @ H @ NF @ L @ X) @ (head @ H @ NF @ (attach @ H @ NF @ L @ X)))) => ((atom @ H @ (dnax @ H @ NF @ L @ X) @ (power @ (next @ L) @ I @ (attach @ H @ NF @ L @ X))) = (atom @ H @ (dnax @ H @ NF @ L @ X) @ (attach @ H @ NF @ L @ X)))) & ![I:num]:(((l_ @ (index @ L @ (attach @ H @ NF @ L @ X) @ (head @ H @ NF @ (attach @ H @ NF @ L @ X))) @ I) & (l_a_ @ I @ (index @ L @ (attach @ H @ NF @ L @ X) @ X))) => (((tail @ H @ (genesis @ H @ NF @ L @ X) @ (power @ (next @ L) @ I @ (attach @ H @ NF @ L @ X))) = (tail @ H @ NF @ (power @ (next @ L) @ I @ (attach @ H @ NF @ L @ X)))) & ((head @ H @ (genesis @ H @ NF @ L @ X) @ (power @ (next @ L) @ I @ (attach @ H @ NF @ L @ X))) = (head @ H @ NF @ (power @ (next @ L) @ I @ (attach @ H @ NF @ L @ X)))) & ((atom @ H @ (dnax @ H @ NF @ L @ X) @ (power @ (next @ L) @ I @ (attach @ H @ NF @ L @ X))) = (atom @ H @ L @ (power @ (next @ L) @ I @ (attach @ H @ NF @ L @ X)))))) & ![I:num]:(((l_ @ (index @ L @ (attach @ H @ NF @ L @ X) @ X) @ I) & (l_a_ @ I @ (index @ L @ (attach @ H @ NF @ L @ X) @ (heading @ H @ NF @ L @ X)))) => ((atom @ H @ (dnax @ H @ NF @ L @ X) @ (power @ (next @ L) @ I @ (attach @ H @ NF @ L @ X))) = (insert @ (power @ (next @ L) @ I @ (attach @ H @ NF @ L @ X)) @ empty))) & ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (madd @ H @ NF @ L @ X))) => ((atom @ H @ (dnax @ H @ NF @ L @ X) @ (power @ (faceu_map @ H) @ I @ (heading @ H @ NF @ L @ X))) = (insert @ (power @ (faceu_map @ H) @ I @ (heading @ H @ NF @ L @ X)) @ empty))) & ![I:num]:((l_a_ @ I @ (p_ @ (suc @ (minside @ H @ NF @ L @ X)) @ (suc @ (madd @ H @ NF @ L @ X)))) => ((power @ (next @ (dnax @ H @ NF @ L @ X)) @ I @ X) = (power @ (faceu_map @ H) @ I @ X)))))).
