%   ORIGINAL: RC_IDEMP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RC_CLOSED: !R. RC R = R <=> (!x. R x x)
% Assm: RC_REFL: !R x. RC R x x
% Assm: TRUTH: T
% Goal: !R. RC (RC R) = RC R
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !R. RC R = R <=> (!x. R x x)
% Assm: !R x. RC R x x
% Assm: T
% Goal: !R. RC (RC R) = RC R
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(crc, type, rc : ((a > a > $o) > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > a > $o),G:(a > a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRCu_CLOSED, axiom, ![R:(a > a > $o)]:(((rc @ R) = R) <=> ![X:a]:(R @ X @ X))).
thf(aRCu_REFL, axiom, ![R:(a > a > $o),X:a]:(rc @ R @ X @ X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > a > $o)]:((rc @ (rc @ R)) = (rc @ R))).
