%   ORIGINAL: RC_SC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RC_EXPLICIT: !R x y. RC R x y <=> R x y \/ x = y
% Assm: SC_EXPLICIT: !R. SC R x y <=> R x y \/ R y x
% Assm: TRUTH: T
% Goal: !R. RC (SC R) = SC (RC R)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: ~F <=> T
% Assm: !R x y. RC R x y <=> R x y \/ x = y
% Assm: !y x R. SC R x y <=> R x y \/ R y x
% Assm: T
% Goal: !R. RC (SC R) = SC (RC R)
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(csc, type, sc : ((a > a > $o) > a > a > $o)).
thf(crc, type, rc : ((a > a > $o) > a > a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > a > $o),G:(a > a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > a > $o),G:(a > a > $o)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRCu_EXPLICIT, axiom, ![R:(a > a > $o),X:a,Y:a]:((rc @ R @ X @ Y) <=> ((R @ X @ Y) | (X = Y)))).
thf(aSCu_EXPLICIT, axiom, ![Y:a,X:a,R:(a > a > $o)]:((sc @ R @ X @ Y) <=> ((R @ X @ Y) | (R @ Y @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > a > $o)]:((rc @ (sc @ R)) = (sc @ (rc @ R)))).
