%   ORIGINAL: Fan.th3b1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan.th3b: !x v u. ~collinear {x, v, u} ==> ~(x = v)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !x v u. ~collinear {x, v, u} ==> ~(x = u)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x v u. ~collinear {x, v, u} ==> ~(x = v)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !x v u. ~collinear {x, v, u} ==> ~(x = u)
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq1165765, type, q1165765 : $tType).
thf(tcartrealq1165765, type, cartrealq1165765 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealq1165765 > (cartrealq1165765 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinsert, type, insert : (cartrealq1165765 > (cartrealq1165765 > $o) > cartrealq1165765 > $o)).
thf(cempty, type, empty : (cartrealq1165765 > $o)).
thf(ccollinear, type, collinear : ((cartrealq1165765 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq1165765),G:(a > cartrealq1165765)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFano_th3b, axiom, ![X:cartrealq1165765,V:cartrealq1165765,U:cartrealq1165765]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) => ~ ((X = V)))).
thf(aINu_INSERT, axiom, ![X:cartrealq1165765,Y:cartrealq1165765,S:(cartrealq1165765 > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq1165765]:~ ((in0 @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealq1165765,V:cartrealq1165765,U:cartrealq1165765]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) => ~ ((X = U)))).
