%   ORIGINAL: Fan.collinear_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan.collinear1_fan: !x v u. ~collinear {x, u, v} <=> ~(u IN aff {x, v}) /\ ~(x = v)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !x v u. ~collinear {x, v, u} <=> ~(u IN aff {x, v}) /\ ~(x = v)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x v u. ~collinear {x, u, v} <=> ~(u IN aff {x, v}) /\ ~(x = v)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !x v u. ~collinear {x, v, u} <=> ~(u IN aff {x, v}) /\ ~(x = v)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq1166205, type, cartrealq1166205 : $tType).
thf(treal, type, real : $tType).
thf(tq1166205, type, q1166205 : $tType).
%  CONSTS
thf(caff, type, aff : ((cartrealq1166205 > $o) > cartrealq1166205 > $o)).
thf(cin, type, in : (cartrealq1166205 > (cartrealq1166205 > $o) > $o)).
thf(cinsert, type, insert : (cartrealq1166205 > (cartrealq1166205 > $o) > cartrealq1166205 > $o)).
thf(cempty, type, empty : (cartrealq1166205 > $o)).
thf(ccollinear, type, collinear : ((cartrealq1166205 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealq1166205),G:(a > cartrealq1166205)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq1166205 > $o),T:(cartrealq1166205 > $o)]:((S = T) <=> ![X:cartrealq1166205]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFano_collinear1u_fan, axiom, ![X:cartrealq1166205,V:cartrealq1166205,U:cartrealq1166205]:(~ ((collinear @ (insert @ X @ (insert @ U @ (insert @ V @ empty))))) <=> (~ ((in @ U @ (aff @ (insert @ X @ (insert @ V @ empty))))) & ~ ((X = V))))).
thf(aINu_INSERT, axiom, ![X:cartrealq1166205,Y:cartrealq1166205,S:(cartrealq1166205 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq1166205]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealq1166205,V:cartrealq1166205,U:cartrealq1166205]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) <=> (~ ((in @ U @ (aff @ (insert @ X @ (insert @ V @ empty))))) & ~ ((X = V))))).
