%   ORIGINAL: Fan_misc.EXTENSION_SIGMA_FAN_INJECTIVE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Fan_misc.INVERSE_SIGMA_FAN: !x V E v. FAN (x,V,E) ==> extension_sigma_fan x V E v o inverse_sigma_fan x V E v = I /\ inverse_sigma_fan x V E v o extension_sigma_fan x V E v = I
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !x V E v. FAN (x,V,E) ==> (!u w. extension_sigma_fan x V E v u = extension_sigma_fan x V E v w ==> u = w)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x V E v. FAN (x,V,E) ==> extension_sigma_fan x V E v o inverse_sigma_fan x V E v = I /\ inverse_sigma_fan x V E v o extension_sigma_fan x V E v = I
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !x V E v. FAN (x,V,E) ==> (!u w. extension_sigma_fan x V E v u = extension_sigma_fan x V E v w ==> u = w)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(ci, type, i : (cartrealn3 > cartrealn3)).
thf(co0, type, o0 : ((b > cartrealn3) > (a > b) > a > cartrealn3)).
thf(cinverseuu_sigmauu_fan, type, inverseu_sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(co, type, o : ((cartrealn3 > cartrealn3) > (cartrealn3 > cartrealn3) > cartrealn3 > cartrealn3)).
thf(cextensionuu_sigmauu_fan, type, extensionu_sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFanu_misco_INVERSEu_SIGMAu_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3]:((fan @ (c_ @ X @ (c_0 @ V @ E))) => (((o @ (extensionu_sigmau_fan @ X @ V @ E @ V0) @ (inverseu_sigmau_fan @ X @ V @ E @ V0)) = i) & ((o @ (inverseu_sigmau_fan @ X @ V @ E @ V0) @ (extensionu_sigmau_fan @ X @ V @ E @ V0)) = i)))).
thf(aIu_THM, axiom, ![X:cartrealn3]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > cartrealn3),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3]:((fan @ (c_ @ X @ (c_0 @ V @ E))) => ![U:cartrealn3,W:cartrealn3]:(((extensionu_sigmau_fan @ X @ V @ E @ V0 @ U) = (extensionu_sigmau_fan @ X @ V @ E @ V0 @ W)) => (U = W)))).
