%   ORIGINAL: Planarity.aff_gt_connect_bound_subset_yfan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan.xfan: !V E x. xfan (x,V,E) = {v | ?e. E e /\ v IN aff_ge {x} e}
% Assm: Fan_defs.yfan: !x V E. yfan (x,V,E) = (:real^3) DIFF xfan (x,V,E)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: Planarity.aff_gt_connect_bound_not_inter_edges_fan: !x V E v u y z. FAN (x,V,E) /\ {v, u} IN E /\ DISJOINT {x} {y, z} /\ (!t. &0 < t /\ t < &1 ==> (&1 - t) % y + t % z IN yfan (x,V,E)) ==> aff_gt {x} {y, z} INTER aff_ge {x} {v, u} = {}
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Topology.expand_edge_graph_fan: !x V E e. FAN (x,V,E) /\ e IN E ==> (?v w. e = {v, w})
% Goal: !x V E y z. FAN (x,V,E) /\ DISJOINT {x} {y, z} /\ (!t. &0 < t /\ t < &1 ==> (&1 - t) % y + t % z IN yfan (x,V,E)) ==> aff_gt {x} {y, z} SUBSET yfan (x,V,E)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !V E x. xfan (x,V,E) = {v | ?e. E e /\ v IN aff_ge {x} e}
% Assm: !x V E. yfan (x,V,E) = (:real^3) DIFF xfan (x,V,E)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. x IN (:real^3)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x V E v u y z. FAN (x,V,E) /\ {v, u} IN E /\ DISJOINT {x} {y, z} /\ (!t. &0 < t /\ t < &1 ==> (&1 - t) % y + t % z IN yfan (x,V,E)) ==> aff_gt {x} {y, z} INTER aff_ge {x} {v, u} = {}
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !x V E e. FAN (x,V,E) /\ e IN E ==> (?v w. e = {v, w})
% Goal: !x V E y z. FAN (x,V,E) /\ DISJOINT {x} {y, z} /\ (!t. &0 < t /\ t < &1 ==> (&1 - t) % y + t % z IN yfan (x,V,E)) ==> aff_gt {x} {y, z} SUBSET yfan (x,V,E)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(cin0, type, in0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cxfan, type, xfan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > cartrealn3 > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cyfan, type, yfan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > cartrealn3 > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdiff, type, diff : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cuniv, type, univ : (cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFano_xfan, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:cartrealn3]:((xfan @ (c_ @ X @ (c_0 @ V @ E))) = (gspec @ ^[GENR_PVARR_312:cartrealn3]:?[V0:cartrealn3]:(setspec @ GENR_PVARR_312 @ ?[E0:(cartrealn3 > $o)]:((E @ E0) & (in @ V0 @ (affu_ge @ (insert @ X @ empty) @ E0))) @ V0)))).
thf(aFanu_defso_yfan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((yfan @ (c_ @ X @ (c_0 @ V @ E))) = (diff @ univ @ (xfan @ (c_ @ X @ (c_0 @ V @ E)))))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (gspec @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:cartrealn3]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty))).
thf(aPlanarityo_affu_gtu_connectu_boundu_notu_interu_edgesu_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3,Y:cartrealn3,Z:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in0 @ (insert @ V0 @ (insert @ U @ empty)) @ E) & (disjoint @ (insert @ X @ empty) @ (insert @ Y @ (insert @ Z @ empty))) & ![T:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (realu_lt @ T @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ T) @ Y) @ (r_ @ T @ Z)) @ (yfan @ (c_ @ X @ (c_0 @ V @ E)))))) => ((inter @ (affu_gt @ (insert @ X @ empty) @ (insert @ Y @ (insert @ Z @ empty))) @ (affu_ge @ (insert @ X @ empty) @ (insert @ V0 @ (insert @ U @ empty)))) = empty))).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_expandu_edgeu_graphu_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),E0:(cartrealn3 > $o)]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in0 @ E0 @ E)) => ?[V0:cartrealn3,W:cartrealn3]:(E0 = (insert @ V0 @ (insert @ W @ empty))))).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),Y:cartrealn3,Z:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (disjoint @ (insert @ X @ empty) @ (insert @ Y @ (insert @ Z @ empty))) & ![T:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (realu_lt @ T @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ T) @ Y) @ (r_ @ T @ Z)) @ (yfan @ (c_ @ X @ (c_0 @ V @ E)))))) => (subset @ (affu_gt @ (insert @ X @ empty) @ (insert @ Y @ (insert @ Z @ empty))) @ (yfan @ (c_ @ X @ (c_0 @ V @ E)))))).
