%   ORIGINAL: Planarity.FINITE_FACE_FAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: Fan.face_subset_dart_fan: !x V E ds. FAN (x,V,E) /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) ==> ds SUBSET d_fan (x,V,E)
% Assm: Fan.finite_d_fan: !x V E. FAN (x,V,E) ==> FINITE (d_fan (x,V,E))
% Assm: TRUTH: T
% Goal: !x V E ds. FAN (x,V,E) /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) ==> FINITE ds
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !x V E ds. FAN (x,V,E) /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) ==> ds SUBSET d_fan (x,V,E)
% Assm: !x V E. FAN (x,V,E) ==> FINITE (d_fan (x,V,E))
% Assm: T
% Goal: !x V E ds. FAN (x,V,E) /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) ==> FINITE ds
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(thypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3, type, hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3, type, prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodcartrealn3cartrealn3, type, prodcartrealn3prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(chypermap1uu_ofuu_fanx, type, hypermap1u_ofu_fanx : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(cduu_fan, type, du_fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(csubset, type, subset : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cfaceuu_set, type, faceu_set : (hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cin, type, in : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o) > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cfinite, type, finite : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_SUBSET, axiom, ![S:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),T:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aFano_faceu_subsetu_dartu_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),DS:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ DS @ (faceu_set @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E)))))) => (subset @ DS @ (du_fan @ (c_ @ X @ (c_0 @ V @ E)))))).
thf(aFano_finiteu_du_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan @ (c_ @ X @ (c_0 @ V @ E))) => (finite @ (du_fan @ (c_ @ X @ (c_0 @ V @ E)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),DS:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ DS @ (faceu_set @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E)))))) => (finite @ DS))).
