%   ORIGINAL: Planarity.IN_D1_FAN_IMP_EDGE_FAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Fan.d1_fan: !x V E. d1_fan (x,V,E) = {x',v,w,w1 | x' = x /\ {v, w} IN E /\ w1 = sigma_fan x V E v w}
% Assm: Fan.dartset_fully_surrounded_is_non_isolated_fan: !x V E. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) ==> d_fan (x,V,E) = d1_fan (x,V,E)
% Assm: Fan.pr2: pr2 = (\(x,v,w,w1). v)
% Assm: Fan.pr3: pr3 = (\(x,v,w,w1). w)
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !x V E y. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ y IN d_fan (x,V,E) ==> {pr2 y, pr3 y} IN E
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. (\x. t x) = t
% Assm: !x V E. d1_fan (x,V,E) = {x',v,w,w1 | x' = x /\ {v, w} IN E /\ w1 = sigma_fan x V E v w}
% Assm: !x V E. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) ==> d_fan (x,V,E) = d1_fan (x,V,E)
% Assm: pr2 = (\(x,v,w,w1). v)
% Assm: pr3 = (\(x,v,w,w1). w)
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a = b
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !x V E y. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ y IN d_fan (x,V,E) ==> {pr2 y, pr3 y} IN E
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3, type, prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodcartrealn3cartrealn3, type, prodcartrealn3prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(cgspec1, type, gspec1 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cgspec0, type, gspec0 : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cgeq0, type, geq0 : (a > a > $o)).
thf(cgeq, type, geq : (cartrealn3 > cartrealn3 > $o)).
thf(cgspec, type, gspec : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cd1uu_fan, type, d1u_fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cpr3, type, pr3 : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > cartrealn3)).
thf(cpr2, type, pr2 : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > cartrealn3)).
thf(cin1, type, in1 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cduu_fan, type, du_fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cin0, type, in0 : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cgu_, type, g_ : (num > num > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(csetspec1, type, setspec1 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(cgabs0, type, gabs0 : ((a > $o) > a)).
thf(cgabs, type, gabs : (((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > cartrealn3) > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > cartrealn3)).
thf(ccu_3, type, c_3 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccu_2, type, c_2 : (cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3cartrealn3)).
thf(ccu_1, type, c_1 : (cartrealn3 > prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(csetspec, type, setspec : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(ccard, type, card : ((cartrealn3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFano_d1u_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((d1u_fan @ (c_ @ X @ (c_0 @ V @ E))) = (gspec @ ^[GENR_PVARR_309:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:?[XI_:cartrealn3,V0:cartrealn3,W:cartrealn3,W1:cartrealn3]:(setspec @ GENR_PVARR_309 @ ((XI_ = X) & (in1 @ (insert @ V0 @ (insert @ W @ empty)) @ E) & (W1 = (sigmau_fan @ X @ V @ E @ V0 @ W))) @ (c_1 @ XI_ @ (c_2 @ V0 @ (c_3 @ W @ W1))))))).
thf(aFano_dartsetu_fullyu_surroundedu_isu_nonu_isolatedu_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & ![V0:cartrealn3]:((in @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0))))) => ((du_fan @ (c_ @ X @ (c_0 @ V @ E))) = (d1u_fan @ (c_ @ X @ (c_0 @ V @ E)))))).
thf(aFano_pr2, axiom, (pr2 = (gabs @ ^[F:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > cartrealn3)]:![X:cartrealn3,V:cartrealn3,W:cartrealn3,W1:cartrealn3]:(geq @ (F @ (c_1 @ X @ (c_2 @ V @ (c_3 @ W @ W1)))) @ V)))).
thf(aFano_pr3, axiom, (pr3 = (gabs @ ^[F:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > cartrealn3)]:![X:cartrealn3,V:cartrealn3,W:cartrealn3,W1:cartrealn3]:(geq @ (F @ (c_1 @ X @ (c_2 @ V @ (c_3 @ W @ W1)))) @ W)))).
thf(aGABSu_DEF, axiom, ![P:(a > $o)]:((gabs0 @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:a,B:a]:((geq0 @ A @ B) <=> (A = B))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized2, axiom, ![P:(($o > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o),X:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:((in0 @ X @ (gspec @ ^[V:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized1, axiom, ![P:(($o > (cartrealn3 > $o) > $o) > $o),X:(cartrealn3 > $o)]:((in1 @ X @ (gspec0 @ ^[V:(cartrealn3 > $o)]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:(cartrealn3 > $o)]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized0, axiom, ![P:(($o > cartrealn3 > $o) > $o),X:cartrealn3]:((in @ X @ (gspec1 @ ^[V:cartrealn3]:(P @ (setspec1 @ V)))) <=> (P @ ^[P0:$o,T:cartrealn3]:(P0 & (X = T))))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_ @ P)))).
thf(aTRUTH, axiom, $true).
thf(apairu_RECURSIONu_monomorphized1, axiom, ![PAIRI_:((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > c)]:?[FN:(prodfuncartrealn3boolfunfuncartrealn3boolbool > c)]:![A0:(cartrealn3 > $o),A1:((cartrealn3 > $o) > $o)]:((FN @ (c_0 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized0, axiom, ![PAIRI_:(cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > c)]:?[FN:(prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > c)]:![A0:cartrealn3,A1:prodfuncartrealn3boolfunfuncartrealn3boolbool]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),Y:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & ![V0:cartrealn3]:((in @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0)))) & (in0 @ Y @ (du_fan @ (c_ @ X @ (c_0 @ V @ E))))) => (in1 @ (insert @ (pr2 @ Y) @ (insert @ (pr3 @ Y) @ empty)) @ E))).
