%   ORIGINAL: Hypermap_and_fan.PERMUTES_IMP_RES_EQ_FUN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Hypermap.res: !f s x. res f s x = (if x IN s then f x else x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: permutes: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. ?!x. p x = y)
% Goal: !f s. f permutes s ==> res f s = f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f s x. res f s x = (if x IN s then f x else x)
% Assm: !P x. x IN P <=> P x
% Assm: ~F <=> T
% Assm: T
% Assm: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
% Goal: !f s. f permutes s ==> res f s = f
%  TYPES
thf(ta, type, a : $tType).
thf(tq1371303, type, q1371303 : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (q1371303 > (q1371303 > $o) > $o)).
thf(cpermutes, type, permutes : ((q1371303 > q1371303) > (q1371303 > $o) > $o)).
thf(ccond0, type, cond0 : ($o > q1371303 > q1371303 > q1371303)).
thf(ccond, type, cond : ($o > (q1371303 > q1371303) > (q1371303 > q1371303) > q1371303 > q1371303)).
thf(cres, type, res : ((q1371303 > q1371303) > (q1371303 > $o) > q1371303 > q1371303)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q1371303 > q1371303),G:(a > q1371303 > q1371303)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:(q1371303 > q1371303),T2:(q1371303 > q1371303)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(q1371303 > q1371303)]:(^[X:q1371303]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(q1371303 > q1371303),G:(q1371303 > q1371303)]:((F = G) <=> ![X:q1371303]:((F @ X) = (G @ X)))).
thf(aHypermapo_res, axiom, ![F:(q1371303 > q1371303),S:(q1371303 > $o),X:q1371303]:((res @ F @ S @ X) = (cond0 @ (in @ X @ S) @ (F @ X) @ X))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(apermutes, axiom, ![S:(q1371303 > $o),P:(q1371303 > q1371303)]:((permutes @ P @ S) <=> (![X:q1371303]:(~ ((in @ X @ S)) => ((P @ X) = X)) & ![Y:q1371303]:(?[X:q1371303]:((P @ X) = Y) & ![X:q1371303,XI_:q1371303]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_)))))).
thf(conjecture, conjecture, ![F:(q1371303 > q1371303),S:(q1371303 > $o)]:((permutes @ F @ S) => ((res @ F @ S) = F))).
