%   ORIGINAL: Hypermap_and_fan.E_N_F_EQ_I
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Fan.INVERSE1_SIGMA_FAN: !x V E v. FAN (x,V,E) ==> (!w. {v, w} IN E ==> {v, inverse1_sigma_fan x V E v w} IN E) /\ (!w. {v, w} IN E ==> sigma_fan x V E v (inverse1_sigma_fan x V E v w) = w) /\ (!w. {v, w} IN E ==> inverse1_sigma_fan x V E v (sigma_fan x V E v w) = w)
% Assm: Fan_defs.e_fan_pair: !V E w v. e_fan_pair (V,E) (v,w) = w,v
% Assm: Fan_defs.e_fan_pair_ext: !V E x. e_fan_pair_ext (V,E) x = (if x IN dart1_of_fan (V,E) then e_fan_pair (V,E) x else x)
% Assm: Fan_defs.f_fan_pair: !V E w v. f_fan_pair (V,E) (v,w) = w,inverse_sigma_fan (vec 0) V E w v
% Assm: Fan_defs.f_fan_pair_ext: !V E x. f_fan_pair_ext (V,E) x = (if x IN dart1_of_fan (V,E) then f_fan_pair (V,E) x else x)
% Assm: Fan_defs.n_fan_pair_ext: !V E x. n_fan_pair_ext (V,E) x = (if x IN dart1_of_fan (V,E) then n_fan_pair (V,E) x else x)
% Assm: Fan_misc.INVERSE_SIGMA_FAN_EQ_INVERSE1_SIGMA_FAN: !x V E v w. FAN (x,V,E) /\ {v, w} IN E ==> inverse1_sigma_fan x V E v w = inverse_sigma_fan x V E v w
% Assm: Fan_misc.dart1_of_fan: !V E. dart1_of_fan (V,E) = {v,w | {v, w} IN E}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: PAIR_EQ: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: PAIR_SURJECTIVE: !p. ?x y. p = x,y
% Assm: TRUTH: T
% Assm: Tame_defs.n_fan_pair: !V E v w. n_fan_pair (V,E) (v,w) = v,sigma_fan (vec 0) V E v w
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !V E. FAN (vec 0,V,E) ==> e_fan_pair_ext (V,E) o n_fan_pair_ext (V,E) o f_fan_pair_ext (V,E) = I
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x V E v. FAN (x,V,E) ==> (!w. {v, w} IN E ==> {v, inverse1_sigma_fan x V E v w} IN E) /\ (!w. {v, w} IN E ==> sigma_fan x V E v (inverse1_sigma_fan x V E v w) = w) /\ (!w. {v, w} IN E ==> inverse1_sigma_fan x V E v (sigma_fan x V E v w) = w)
% Assm: !V E w v. e_fan_pair (V,E) (v,w) = w,v
% Assm: !V E w v. e_fan_pair (V,E) (v,w) = w,v
% Assm: !V E w v. e_fan_pair (V,E) (v,w) = w,v
% Assm: !V E w v. e_fan_pair (V,E) (v,w) = w,v
% Assm: !V E x. e_fan_pair_ext (V,E) x = (if x IN dart1_of_fan (V,E) then e_fan_pair (V,E) x else x)
% Assm: !V E w v. f_fan_pair (V,E) (v,w) = w,inverse_sigma_fan (vec 0) V E w v
% Assm: !V E x. f_fan_pair_ext (V,E) x = (if x IN dart1_of_fan (V,E) then f_fan_pair (V,E) x else x)
% Assm: !V E x. n_fan_pair_ext (V,E) x = (if x IN dart1_of_fan (V,E) then n_fan_pair (V,E) x else x)
% Assm: !x V E v w. FAN (x,V,E) /\ {v, w} IN E ==> inverse1_sigma_fan x V E v w = inverse_sigma_fan x V E v w
% Assm: !V E. dart1_of_fan (V,E) = {v,w | {v, w} IN E}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: !p. ?x y. p = x,y
% Assm: !p. ?x y. p = x,y
% Assm: T
% Assm: !V E v w. n_fan_pair (V,E) (v,w) = v,sigma_fan (vec 0) V E v w
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !V E. FAN (vec 0,V,E) ==> e_fan_pair_ext (V,E) o n_fan_pair_ext (V,E) o f_fan_pair_ext (V,E) = I
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfunfuncartrealn3boolboolfuncartrealn3bool, type, prodfunfuncartrealn3boolboolfuncartrealn3bool : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodprodfuncartrealn3boolfunfuncartrealn3boolboolcartrealn3, type, prodprodfuncartrealn3boolfunfuncartrealn3boolboolcartrealn3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : (((prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > $o) > (prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > $o)).
thf(cin2, type, in2 : ((prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > ((prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > $o) > $o)).
thf(cgspec, type, gspec : ((prodcartrealn3cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(cdart1uu_ofuu_fan, type, dart1u_ofu_fan : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > $o)).
thf(cin1, type, in1 : (prodcartrealn3cartrealn3 > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cin0, type, in0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cinsert0, type, insert0 : ((prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > ((prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > $o) > (prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > $o)).
thf(csetspec0, type, setspec0 : ((prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > $o > (prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > $o)).
thf(csetspec, type, setspec : (prodcartrealn3cartrealn3 > $o > prodcartrealn3cartrealn3 > $o)).
thf(cnuu_fanuu_pair, type, nu_fanu_pair : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cinverseuu_sigmauu_fan, type, inverseu_sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccu_3, type, c_3 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cfuu_fanuu_pair, type, fu_fanu_pair : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(ceuu_fanuu_pair3, type, eu_fanu_pair3 : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccond0, type, cond0 : ($o > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(ceuu_fanuu_pair2, type, eu_fanu_pair2 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodfunfuncartrealn3boolboolfuncartrealn3bool)).
thf(ceuu_fanuu_pair1, type, eu_fanu_pair1 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodprodfuncartrealn3boolfunfuncartrealn3boolboolcartrealn3)).
thf(ccu_2, type, c_2 : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > prodfunfuncartrealn3boolboolfuncartrealn3bool)).
thf(ceuu_fanuu_pair0, type, eu_fanu_pair0 : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodfunfuncartrealn3boolboolfuncartrealn3bool)).
thf(ccu_1, type, c_1 : (prodfuncartrealn3boolfunfuncartrealn3boolbool > cartrealn3 > prodprodfuncartrealn3boolfunfuncartrealn3boolboolcartrealn3)).
thf(ceuu_fanuu_pair, type, eu_fanu_pair : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodprodfuncartrealn3boolfunfuncartrealn3boolboolcartrealn3)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinverse1uu_sigmauu_fan, type, inverse1u_sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccond, type, cond : ($o > (prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > (prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(ci, type, i : (prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cfuu_fanuu_pairuu_ext, type, fu_fanu_pairu_ext : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cnuu_fanuu_pairuu_ext, type, nu_fanu_pairu_ext : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(ceuu_fanuu_pairuu_ext, type, eu_fanu_pairu_ext : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(co, type, o : ((prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > (prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3),G:(a > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3),T2:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)]:(^[X:prodcartrealn3cartrealn3]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFUNu_EQu_THM, axiom, ![F:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3),G:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)]:((F = G) <=> ![X:prodcartrealn3cartrealn3]:((F @ X) = (G @ X)))).
thf(aFano_INVERSE1u_SIGMAu_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3]:((fan @ (c_ @ X @ (c_0 @ V @ E))) => (![W:cartrealn3]:((in0 @ (insert @ V0 @ (insert @ W @ empty)) @ E) => (in0 @ (insert @ V0 @ (insert @ (inverse1u_sigmau_fan @ X @ V @ E @ V0 @ W) @ empty)) @ E)) & ![W:cartrealn3]:((in0 @ (insert @ V0 @ (insert @ W @ empty)) @ E) => ((sigmau_fan @ X @ V @ E @ V0 @ (inverse1u_sigmau_fan @ X @ V @ E @ V0 @ W)) = W)) & ![W:cartrealn3]:((in0 @ (insert @ V0 @ (insert @ W @ empty)) @ E) => ((inverse1u_sigmau_fan @ X @ V @ E @ V0 @ (sigmau_fan @ X @ V @ E @ V0 @ W)) = W))))).
thf(aFanu_defso_eu_fanu_pairu_monomorphized3, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),W:prodfuncartrealn3boolfunfuncartrealn3boolbool,V0:cartrealn3]:((eu_fanu_pair @ (c_0 @ V @ E) @ (c_ @ V0 @ W)) = (c_1 @ W @ V0))).
thf(aFanu_defso_eu_fanu_pairu_monomorphized2, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),W:((cartrealn3 > $o) > $o),V0:(cartrealn3 > $o)]:((eu_fanu_pair0 @ (c_0 @ V @ E) @ (c_0 @ V0 @ W)) = (c_2 @ W @ V0))).
thf(aFanu_defso_eu_fanu_pairu_monomorphized1, axiom, ![V:cartrealn3,E:prodfuncartrealn3boolfunfuncartrealn3boolbool,W:prodfuncartrealn3boolfunfuncartrealn3boolbool,V0:cartrealn3]:((eu_fanu_pair1 @ (c_ @ V @ E) @ (c_ @ V0 @ W)) = (c_1 @ W @ V0))).
thf(aFanu_defso_eu_fanu_pairu_monomorphized0, axiom, ![V:cartrealn3,E:prodfuncartrealn3boolfunfuncartrealn3boolbool,W:((cartrealn3 > $o) > $o),V0:(cartrealn3 > $o)]:((eu_fanu_pair2 @ (c_ @ V @ E) @ (c_0 @ V0 @ W)) = (c_2 @ W @ V0))).
thf(aFanu_defso_eu_fanu_pairu_ext, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:prodcartrealn3cartrealn3]:((eu_fanu_pairu_ext @ (c_0 @ V @ E) @ X) = (cond0 @ (in1 @ X @ (dart1u_ofu_fan @ (c_0 @ V @ E))) @ (eu_fanu_pair3 @ (c_0 @ V @ E) @ X) @ X))).
thf(aFanu_defso_fu_fanu_pair, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),W:cartrealn3,V0:cartrealn3]:((fu_fanu_pair @ (c_0 @ V @ E) @ (c_3 @ V0 @ W)) = (c_3 @ W @ (inverseu_sigmau_fan @ (vec @ (numeral @ u_0)) @ V @ E @ W @ V0)))).
thf(aFanu_defso_fu_fanu_pairu_ext, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:prodcartrealn3cartrealn3]:((fu_fanu_pairu_ext @ (c_0 @ V @ E) @ X) = (cond0 @ (in1 @ X @ (dart1u_ofu_fan @ (c_0 @ V @ E))) @ (fu_fanu_pair @ (c_0 @ V @ E) @ X) @ X))).
thf(aFanu_defso_nu_fanu_pairu_ext, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:prodcartrealn3cartrealn3]:((nu_fanu_pairu_ext @ (c_0 @ V @ E) @ X) = (cond0 @ (in1 @ X @ (dart1u_ofu_fan @ (c_0 @ V @ E))) @ (nu_fanu_pair @ (c_0 @ V @ E) @ X) @ X))).
thf(aFanu_misco_INVERSEu_SIGMAu_FANu_EQu_INVERSE1u_SIGMAu_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,W:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in0 @ (insert @ V0 @ (insert @ W @ empty)) @ E)) => ((inverse1u_sigmau_fan @ X @ V @ E @ V0 @ W) = (inverseu_sigmau_fan @ X @ V @ E @ V0 @ W)))).
thf(aFanu_misco_dart1u_ofu_fan, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((dart1u_ofu_fan @ (c_0 @ V @ E)) = (gspec @ ^[GENR_PVARR_381:prodcartrealn3cartrealn3]:?[V0:cartrealn3,W:cartrealn3]:(setspec @ GENR_PVARR_381 @ (in0 @ (insert @ V0 @ (insert @ W @ empty)) @ E) @ (c_3 @ V0 @ W))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > $o) > $o),X:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)]:((in2 @ X @ (gspec0 @ ^[V:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)]:(P0 & (X = T))))).
thf(aINu_INSERT, axiom, ![X:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3),Y:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3),S:((prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > $o)]:((in2 @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in2 @ X @ S)))).
thf(aIu_THM, axiom, ![X:prodcartrealn3cartrealn3]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aPAIRu_EQu_monomorphized1, axiom, ![X:(cartrealn3 > $o),Y:((cartrealn3 > $o) > $o),A:(cartrealn3 > $o),B:((cartrealn3 > $o) > $o)]:(((c_0 @ X @ Y) = (c_0 @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aPAIRu_EQu_monomorphized0, axiom, ![X:cartrealn3,Y:prodfuncartrealn3boolfunfuncartrealn3boolbool,A:cartrealn3,B:prodfuncartrealn3boolfunfuncartrealn3boolbool]:(((c_ @ X @ Y) = (c_ @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aPAIRu_SURJECTIVEu_monomorphized1, axiom, ![P:prodfuncartrealn3boolfunfuncartrealn3boolbool]:?[X:(cartrealn3 > $o),Y:((cartrealn3 > $o) > $o)]:(P = (c_0 @ X @ Y))).
thf(aPAIRu_SURJECTIVEu_monomorphized0, axiom, ![P:prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool]:?[X:cartrealn3,Y:prodfuncartrealn3boolfunfuncartrealn3boolbool]:(P = (c_ @ X @ Y))).
thf(aTRUTH, axiom, $true).
thf(aTameu_defso_nu_fanu_pair, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,W:cartrealn3]:((nu_fanu_pair @ (c_0 @ V @ E) @ (c_3 @ V0 @ W)) = (c_3 @ V0 @ (sigmau_fan @ (vec @ (numeral @ u_0)) @ V @ E @ V0 @ W)))).
thf(aou_THM, axiom, ![F:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3),G:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3),X:prodcartrealn3cartrealn3]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) => ((o @ (eu_fanu_pairu_ext @ (c_0 @ V @ E)) @ (o @ (nu_fanu_pairu_ext @ (c_0 @ V @ E)) @ (fu_fanu_pairu_ext @ (c_0 @ V @ E)))) = i))).
