%   ORIGINAL: Hypermap_and_fan.FINITE_DART_OF_FAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FINITE_PRODUCT: !s t. FINITE s /\ FINITE t ==> FINITE {x,y | x IN s /\ y IN t}
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: FINITE_UNION: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: Fan.FAN: !x V E. FAN (x,V,E) <=> UNIONS E SUBSET V /\ graph E /\ fan1 (x,V,E) /\ fan2 (x,V,E) /\ fan6 (x,V,E) /\ fan7 (x,V,E)
% Assm: Fan.fan1: !x E V. fan1 (x,V,E) <=> FINITE V /\ ~(V SUBSET {})
% Assm: Fan_defs.dart_of_fan: !V E. dart_of_fan (V,E) = {v,v | v IN V /\ set_of_edge v V E = {}} UNION {v,w | {v, w} IN E}
% Assm: Hypermap_and_fan.IMAGE_LEMMA: !f s. {f x | x IN s} = IMAGE f s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: UNIONS: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !x V E. FAN (x,V,E) ==> FINITE (dart_of_fan (V,E))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !s t. FINITE s /\ FINITE t ==> FINITE {x,y | x IN s /\ y IN t}
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: !x V E. FAN (x,V,E) <=> UNIONS E SUBSET V /\ graph E /\ fan1 (x,V,E) /\ fan2 (x,V,E) /\ fan6 (x,V,E) /\ fan7 (x,V,E)
% Assm: !x E V. fan1 (x,V,E) <=> FINITE V /\ ~(V SUBSET {})
% Assm: !V E. dart_of_fan (V,E) = {v,v | v IN V /\ set_of_edge v V E = {}} UNION {v,w | {v, w} IN E}
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !x V E. FAN (x,V,E) ==> FINITE (dart_of_fan (V,E))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq43820, type, q43820 : $tType).
thf(tq1371054, type, q1371054 : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tq1371058, type, q1371058 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tprodprodcartrealn3cartrealn3prodcartrealn3cartrealn3, type, prodprodcartrealn3cartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(cin6, type, in6 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cgspec4, type, gspec4 : ((a > $o) > a > $o)).
thf(cunions0, type, unions0 : (((a > $o) > $o) > a > $o)).
thf(csubset1, type, subset1 : ((a > $o) > (a > $o) > $o)).
thf(cgspec3, type, gspec3 : ((q43851 > $o) > q43851 > $o)).
thf(cin5, type, in5 : (q43851 > (q43851 > $o) > $o)).
thf(cgspec2, type, gspec2 : ((q43820 > $o) > q43820 > $o)).
thf(cin4, type, in4 : (q43820 > (q43820 > $o) > $o)).
thf(cin3, type, in3 : (q1371054 > (q1371054 > $o) > $o)).
thf(cgspec1, type, gspec1 : ((q1371058 > $o) > q1371058 > $o)).
thf(cin2, type, in2 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cin1, type, in1 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((prodcartrealn3cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(cunions, type, unions : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csubset0, type, subset0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(csubset, type, subset : ((prodcartrealn3cartrealn3 > $o) > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cin0, type, in0 : (prodcartrealn3cartrealn3 > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : ((prodprodcartrealn3cartrealn3prodcartrealn3cartrealn3 > $o) > prodprodcartrealn3cartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdartuu_ofuu_fan, type, dartu_ofu_fan : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > $o)).
thf(csetspec4, type, setspec4 : (a > $o > a > $o)).
thf(cinsert0, type, insert0 : (a > (a > $o) > a > $o)).
thf(csetspec3, type, setspec3 : (q43851 > $o > q43851 > $o)).
thf(csetspec2, type, setspec2 : (q43820 > $o > q43820 > $o)).
thf(cimage0, type, image0 : ((q1371054 > q1371058) > (q1371054 > $o) > q1371058 > $o)).
thf(csetspec1, type, setspec1 : (q1371058 > $o > q1371058 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_2, type, c_2 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : (prodcartrealn3cartrealn3 > $o > prodcartrealn3cartrealn3 > $o)).
thf(cunion, type, union : ((prodcartrealn3cartrealn3 > $o) > (prodcartrealn3cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(ccu_1, type, c_1 : (prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > prodprodcartrealn3cartrealn3prodcartrealn3cartrealn3)).
thf(csetspec, type, setspec : (prodprodcartrealn3cartrealn3prodcartrealn3cartrealn3 > $o > prodprodcartrealn3cartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cimage, type, image : ((prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > (prodcartrealn3cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfinite1, type, finite1 : ((cartrealn3 > $o) > $o)).
thf(cfan7, type, fan7 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan6, type, fan6 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan2, type, fan2 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan1, type, fan1 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cgraph, type, graph : (((cartrealn3 > $o) > $o) > $o)).
thf(cfinite0, type, finite0 : ((prodprodcartrealn3cartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cfinite, type, finite : ((prodcartrealn3cartrealn3 > $o) > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cempty0, type, empty0 : (a > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_IMAGE, axiom, ![F:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3),S:(prodcartrealn3cartrealn3 > $o)]:((finite @ S) => (finite @ (image @ F @ S)))).
thf(aFINITEu_PRODUCT, axiom, ![S:(prodcartrealn3cartrealn3 > $o),T:(prodcartrealn3cartrealn3 > $o)]:(((finite @ S) & (finite @ T)) => (finite0 @ (gspec @ ^[GENR_PVARR_84:prodprodcartrealn3cartrealn3prodcartrealn3cartrealn3]:?[X:prodcartrealn3cartrealn3,Y:prodcartrealn3cartrealn3]:(setspec @ GENR_PVARR_84 @ ((in0 @ X @ S) & (in0 @ Y @ T)) @ (c_1 @ X @ Y)))))).
thf(aFINITEu_SUBSET, axiom, ![S:(prodcartrealn3cartrealn3 > $o),T:(prodcartrealn3cartrealn3 > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aFINITEu_UNION, axiom, ![S:(prodcartrealn3cartrealn3 > $o),T:(prodcartrealn3cartrealn3 > $o)]:((finite @ (union @ S @ T)) <=> ((finite @ S) & (finite @ T)))).
thf(aFano_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan @ (c_ @ X @ (c_0 @ V @ E))) <=> ((subset0 @ (unions @ E) @ V) & (graph @ E) & (fan1 @ (c_ @ X @ (c_0 @ V @ E))) & (fan2 @ (c_ @ X @ (c_0 @ V @ E))) & (fan6 @ (c_ @ X @ (c_0 @ V @ E))) & (fan7 @ (c_ @ X @ (c_0 @ V @ E)))))).
thf(aFano_fan1, axiom, ![X:cartrealn3,E:((cartrealn3 > $o) > $o),V:(cartrealn3 > $o)]:((fan1 @ (c_ @ X @ (c_0 @ V @ E))) <=> ((finite1 @ V) & ~ ((subset0 @ V @ empty))))).
thf(aFanu_defso_dartu_ofu_fan, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((dartu_ofu_fan @ (c_0 @ V @ E)) = (union @ (gspec0 @ ^[GENR_PVARR_285:prodcartrealn3cartrealn3]:?[V0:cartrealn3]:(setspec0 @ GENR_PVARR_285 @ ((in1 @ V0 @ V) & ((setu_ofu_edge @ V0 @ V @ E) = empty)) @ (c_2 @ V0 @ V0))) @ (gspec0 @ ^[GENR_PVARR_286:prodcartrealn3cartrealn3]:?[V0:cartrealn3,W:cartrealn3]:(setspec0 @ GENR_PVARR_286 @ (in2 @ (insert @ V0 @ (insert @ W @ empty)) @ E) @ (c_2 @ V0 @ W)))))).
thf(aHypermapu_andu_fano_IMAGEu_LEMMA, axiom, ![F:(q1371054 > q1371058),S:(q1371054 > $o)]:((gspec1 @ ^[GENR_PVARR_463:q1371058]:?[X:q1371054]:(setspec1 @ GENR_PVARR_463 @ (in3 @ X @ S) @ (F @ X))) = (image0 @ F @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > q43820 > $o) > $o),X:q43820]:((in4 @ X @ (gspec2 @ ^[V:q43820]:(P @ (setspec2 @ V)))) <=> (P @ ^[P0:$o,T:q43820]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in5 @ X @ (gspec3 @ ^[V:q43851]:?[Y:q43851]:(setspec3 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty0))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset1 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONS, axiom, ![S:((a > $o) > $o)]:((unions0 @ S) = (gspec4 @ ^[GENR_PVARR_1:a]:?[X:a]:(setspec4 @ GENR_PVARR_1 @ ?[U:(a > $o)]:((in6 @ U @ S) & (in @ X @ U)) @ X)))).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan @ (c_ @ X @ (c_0 @ V @ E))) => (finite @ (dartu_ofu_fan @ (c_0 @ V @ E))))).
