%   ORIGINAL: Hypermap_and_fan.CARD_NODE_HYPERMAP_OF_FAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_IMAGE_INJ: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: Fan.remark1_fan: !x V E u v. FAN (x,V,E) ==> FINITE (set_of_edge v V E) /\ ({v, u} IN E <=> u IN set_of_edge v V E) /\ ({v, u} IN E ==> ~collinear {x, v, u} /\ ~(x = v) /\ ~(x = u) /\ ~(v = u) /\ DISJOINT {x, v} {u} /\ DISJOINT {x, u} {v} /\ DISJOINT {x} {v, u} /\ ~(u IN aff {x, v}) /\ v IN V /\ (~collinear {x, v, u} <=> ~(u IN aff {x, v})))
% Assm: Hypermap_and_fan.IMAGE_LEMMA: !f s. {f x | x IN s} = IMAGE f s
% Assm: Hypermap_and_fan.NODE_HYPERMAP_OF_FAN_ALT: !V E v w. FAN (vec 0,V,E) /\ v,w IN dart1_of_fan (V,E) ==> node (hypermap_of_fan (V,E)) (v,w) = {v,u | u | u IN set_of_edge v V E}
% Assm: PAIR_EQ: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: TRUTH: T
% Goal: !V E v w. FAN (vec 0,V,E) /\ v,w IN dart1_of_fan (V,E) ==> CARD (node (hypermap_of_fan (V,E)) (v,w)) = CARD (set_of_edge v V E)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: !x V E u v. FAN (x,V,E) ==> FINITE (set_of_edge v V E) /\ ({v, u} IN E <=> u IN set_of_edge v V E) /\ ({v, u} IN E ==> ~collinear {x, v, u} /\ ~(x = v) /\ ~(x = u) /\ ~(v = u) /\ DISJOINT {x, v} {u} /\ DISJOINT {x, u} {v} /\ DISJOINT {x} {v, u} /\ ~(u IN aff {x, v}) /\ v IN V /\ (~collinear {x, v, u} <=> ~(u IN aff {x, v})))
% Assm: !f s. {f x | x IN s} = IMAGE f s
% Assm: !V E v w. FAN (vec 0,V,E) /\ v,w IN dart1_of_fan (V,E) ==> node (hypermap_of_fan (V,E)) (v,w) = {v,u | u | u IN set_of_edge v V E}
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: T
% Goal: !V E v w. FAN (vec 0,V,E) /\ v,w IN dart1_of_fan (V,E) ==> CARD (node (hypermap_of_fan (V,E)) (v,w)) = CARD (set_of_edge v V E)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tq1371058, type, q1371058 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(thypermapprodcartrealn3cartrealn3, type, hypermapprodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(chypermapuu_ofuu_fan, type, hypermapu_ofu_fan : (prodfuncartrealn3boolfunfuncartrealn3boolbool > hypermapprodcartrealn3cartrealn3)).
thf(cgspec0, type, gspec0 : ((prodcartrealn3cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(cgspec, type, gspec : ((q1371058 > $o) > q1371058 > $o)).
thf(caff, type, aff : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cin1, type, in1 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin0, type, in0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cdart1uu_ofuu_fan, type, dart1u_ofu_fan : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > $o)).
thf(cin, type, in : (prodcartrealn3cartrealn3 > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(csetspec0, type, setspec0 : (prodcartrealn3cartrealn3 > $o > prodcartrealn3cartrealn3 > $o)).
thf(cimage0, type, image0 : ((prodcartrealn3cartrealn3 > q1371058) > (prodcartrealn3cartrealn3 > $o) > q1371058 > $o)).
thf(csetspec, type, setspec : (q1371058 > $o > q1371058 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cimage, type, image : ((prodcartrealn3cartrealn3 > num) > (prodcartrealn3cartrealn3 > $o) > num > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(cnode, type, node : (hypermapprodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > $o)).
thf(ccu_1, type, c_1 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfinite0, type, finite0 : ((cartrealn3 > $o) > $o)).
thf(cfinite, type, finite : ((prodcartrealn3cartrealn3 > $o) > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(ccard1, type, card1 : ((num > $o) > num)).
thf(ccard0, type, card0 : ((cartrealn3 > $o) > num)).
thf(ccard, type, card : ((prodcartrealn3cartrealn3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_IMAGEu_INJ, axiom, ![F:(prodcartrealn3cartrealn3 > num),S:(prodcartrealn3cartrealn3 > $o)]:((![X:prodcartrealn3cartrealn3,Y:prodcartrealn3cartrealn3]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (finite @ S)) => ((card1 @ (image @ F @ S)) = (card @ S)))).
thf(aFano_remark1u_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),U:cartrealn3,V0:cartrealn3]:((fan @ (c_ @ X @ (c_0 @ V @ E))) => ((finite0 @ (setu_ofu_edge @ V0 @ V @ E)) & ((in0 @ (insert @ V0 @ (insert @ U @ empty)) @ E) <=> (in1 @ U @ (setu_ofu_edge @ V0 @ V @ E))) & ((in0 @ (insert @ V0 @ (insert @ U @ empty)) @ E) => (~ ((collinear @ (insert @ X @ (insert @ V0 @ (insert @ U @ empty))))) & ~ ((X = V0)) & ~ ((X = U)) & ~ ((V0 = U)) & (disjoint @ (insert @ X @ (insert @ V0 @ empty)) @ (insert @ U @ empty)) & (disjoint @ (insert @ X @ (insert @ U @ empty)) @ (insert @ V0 @ empty)) & (disjoint @ (insert @ X @ empty) @ (insert @ V0 @ (insert @ U @ empty))) & ~ ((in1 @ U @ (aff @ (insert @ X @ (insert @ V0 @ empty))))) & (in1 @ V0 @ V) & (~ ((collinear @ (insert @ X @ (insert @ V0 @ (insert @ U @ empty))))) <=> ~ ((in1 @ U @ (aff @ (insert @ X @ (insert @ V0 @ empty))))))))))).
thf(aHypermapu_andu_fano_IMAGEu_LEMMA, axiom, ![F:(prodcartrealn3cartrealn3 > q1371058),S:(prodcartrealn3cartrealn3 > $o)]:((gspec @ ^[GENR_PVARR_463:q1371058]:?[X:prodcartrealn3cartrealn3]:(setspec @ GENR_PVARR_463 @ (in @ X @ S) @ (F @ X))) = (image0 @ F @ S))).
thf(aHypermapu_andu_fano_NODEu_HYPERMAPu_OFu_FANu_ALT, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,W:cartrealn3]:(((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) & (in @ (c_1 @ V0 @ W) @ (dart1u_ofu_fan @ (c_0 @ V @ E)))) => ((node @ (hypermapu_ofu_fan @ (c_0 @ V @ E)) @ (c_1 @ V0 @ W)) = (gspec0 @ ^[GENR_PVARR_475:prodcartrealn3cartrealn3]:?[U:cartrealn3]:(setspec0 @ GENR_PVARR_475 @ (in1 @ U @ (setu_ofu_edge @ V0 @ V @ E)) @ (c_1 @ V0 @ U)))))).
thf(aPAIRu_EQu_monomorphized2, axiom, ![X:(cartrealn3 > $o),Y:((cartrealn3 > $o) > $o),A:(cartrealn3 > $o),B:((cartrealn3 > $o) > $o)]:(((c_0 @ X @ Y) = (c_0 @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aPAIRu_EQu_monomorphized1, axiom, ![X:cartrealn3,Y:prodfuncartrealn3boolfunfuncartrealn3boolbool,A:cartrealn3,B:prodfuncartrealn3boolfunfuncartrealn3boolbool]:(((c_ @ X @ Y) = (c_ @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aPAIRu_EQu_monomorphized0, axiom, ![X:cartrealn3,Y:cartrealn3,A:cartrealn3,B:cartrealn3]:(((c_1 @ X @ Y) = (c_1 @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,W:cartrealn3]:(((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) & (in @ (c_1 @ V0 @ W) @ (dart1u_ofu_fan @ (c_0 @ V @ E)))) => ((card @ (node @ (hypermapu_ofu_fan @ (c_0 @ V @ E)) @ (c_1 @ V0 @ W))) = (card0 @ (setu_ofu_edge @ V0 @ V @ E))))).
