%   ORIGINAL: Conforming.MEASURE_AFF_3
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Conforming.NEGLIGIBLE_AFF_3: !x v u. NULLSET (aff {x, v, u})
% Assm: MEASURE_EQ_0: !s. negligible s ==> measure s = &0
% Assm: TRUTH: T
% Goal: !x v u. vol (aff {x, v, u}) = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x v u. NULLSET (aff {x, v, u})
% Assm: !s. NULLSET s ==> vol s = &0
% Assm: T
% Goal: !x v u. vol (aff {x, v, u}) = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(caff, type, aff : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cmeasure, type, measure : ((cartrealn3 > $o) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cnegligible, type, negligible : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aConformingo_NEGLIGIBLEu_AFFu_3, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:(negligible @ (aff @ (insert @ X @ (insert @ V @ (insert @ U @ empty)))))).
thf(aMEASUREu_EQu_0, axiom, ![S:(cartrealn3 > $o)]:((negligible @ S) => ((measure @ S) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:((measure @ (aff @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) = (realu_ofu_num @ (numeral @ u_0)))).
