%   ORIGINAL: Conforming.XFAN_EQ_UNIONS_AFF_GE_1_2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan.xfan: !V E x. xfan (x,V,E) = {v | ?e. E e /\ v IN aff_ge {x} e}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: UNIONS: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !x V E. xfan (x,V,E) = UNIONS {y | ?e. e IN E /\ y = aff_ge {x} e}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !V E x. xfan (x,V,E) = {v | ?e. E e /\ v IN aff_ge {x} e}
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !x V E. xfan (x,V,E) = UNIONS {y | ?e. e IN E /\ y = aff_ge {x} e}
%  TYPES
thf(ta, type, a : $tType).
thf(tq1387162, type, q1387162 : $tType).
thf(treal, type, real : $tType).
thf(tq1387156, type, q1387156 : $tType).
thf(tcartrealq1387156, type, cartrealq1387156 : $tType).
thf(tprodq1387162funfuncartrealq1387156boolbool, type, prodq1387162funfuncartrealq1387156boolbool : $tType).
thf(tfunfuncartrealq1387156boolbool, type, funfuncartrealq1387156boolbool : $tType).
thf(tfuncartrealq1387156bool, type, funcartrealq1387156bool : $tType).
thf(tprodcartrealq1387156prodq1387162funfuncartrealq1387156boolbool, type, prodcartrealq1387156prodq1387162funfuncartrealq1387156boolbool : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealq1387156 > $o) > cartrealq1387156 > $o)).
thf(cgspec0, type, gspec0 : ((cartrealq1387156 > $o) > cartrealq1387156 > $o)).
thf(cin0, type, in0 : (cartrealq1387156 > (cartrealq1387156 > $o) > $o)).
thf(cin, type, in : ((cartrealq1387156 > $o) > ((cartrealq1387156 > $o) > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealq1387156 > $o) > $o) > (cartrealq1387156 > $o) > $o)).
thf(cunions, type, unions : (((cartrealq1387156 > $o) > $o) > cartrealq1387156 > $o)).
thf(cxfan, type, xfan : (prodcartrealq1387156prodq1387162funfuncartrealq1387156boolbool > cartrealq1387156 > $o)).
thf(csetspec0, type, setspec0 : (cartrealq1387156 > $o > cartrealq1387156 > $o)).
thf(cinsert, type, insert : (cartrealq1387156 > (cartrealq1387156 > $o) > cartrealq1387156 > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealq1387156 > $o) > (cartrealq1387156 > $o) > cartrealq1387156 > $o)).
thf(csetspec, type, setspec : ((cartrealq1387156 > $o) > $o > (cartrealq1387156 > $o) > $o)).
thf(ccu_0, type, c_0 : (q1387162 > ((cartrealq1387156 > $o) > $o) > prodq1387162funfuncartrealq1387156boolbool)).
thf(ccu_, type, c_ : (cartrealq1387156 > prodq1387162funfuncartrealq1387156boolbool > prodcartrealq1387156prodq1387162funfuncartrealq1387156boolbool)).
thf(cempty, type, empty : (cartrealq1387156 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq1387156 > $o),G:(a > cartrealq1387156 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq1387156 > $o)]:(^[X:cartrealq1387156]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq1387156 > $o),T:(cartrealq1387156 > $o)]:((S = T) <=> ![X:cartrealq1387156]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFano_xfan, axiom, ![V:q1387162,E:((cartrealq1387156 > $o) > $o),X:cartrealq1387156]:((xfan @ (c_ @ X @ (c_0 @ V @ E))) = (gspec0 @ ^[GENR_PVARR_312:cartrealq1387156]:?[V0:cartrealq1387156]:(setspec0 @ GENR_PVARR_312 @ ?[E0:(cartrealq1387156 > $o)]:((E @ E0) & (in0 @ V0 @ (affu_ge @ (insert @ X @ empty) @ E0))) @ V0)))).
thf(aIN, axiom, ![P:((cartrealq1387156 > $o) > $o),X:(cartrealq1387156 > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((cartrealq1387156 > $o) > $o),X:(cartrealq1387156 > $o)]:((in @ X @ (gspec @ ^[V:(cartrealq1387156 > $o)]:?[Y:(cartrealq1387156 > $o)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:(cartrealq1387156 > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aUNIONS, axiom, ![S:((cartrealq1387156 > $o) > $o)]:((unions @ S) = (gspec0 @ ^[GENR_PVARR_1:cartrealq1387156]:?[X:cartrealq1387156]:(setspec0 @ GENR_PVARR_1 @ ?[U:(cartrealq1387156 > $o)]:((in @ U @ S) & (in0 @ X @ U)) @ X)))).
thf(conjecture, conjecture, ![X:cartrealq1387156,V:q1387162,E:((cartrealq1387156 > $o) > $o)]:((xfan @ (c_ @ X @ (c_0 @ V @ E))) = (unions @ (gspec @ ^[GENR_PVARR_497:(cartrealq1387156 > $o)]:?[Y:(cartrealq1387156 > $o)]:(setspec @ GENR_PVARR_497 @ ?[E0:(cartrealq1387156 > $o)]:((in @ E0 @ E) & (Y = (affu_ge @ (insert @ X @ empty) @ E0))) @ Y))))).
