%   ORIGINAL: Conforming.lemma_node_identity_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.lemma_orbit_identity: !s p x y. FINITE s /\ p permutes s /\ y IN orbit_map p x ==> orbit_map p x = orbit_map p y
% Assm: Hypermap.node: !H x. node H x = orbit_map (node_map H) x
% Assm: Hypermap.node_set: !H. node_set H = set_of_orbits (dart H) (node_map H)
% Assm: Hypermap.set_of_orbits: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x V E f y. f IN node_set (hypermap1_of_fanx (x,V,E)) /\ y IN f ==> f = node (hypermap1_of_fanx (x,V,E)) y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !s p x y. FINITE s /\ p permutes s /\ y IN orbit_map p x ==> orbit_map p x = orbit_map p y
% Assm: !H x. node H x = orbit_map (node_map H) x
% Assm: !H. node_set H = set_of_orbits (dart H) (node_map H)
% Assm: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: !D f. set_of_orbits D f = {orbit_map f x | x IN D}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: ~F <=> T
% Assm: T
% Goal: !x V E f y. f IN node_set (hypermap1_of_fanx (x,V,E)) /\ y IN f ==> f = node (hypermap1_of_fanx (x,V,E)) y
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(thypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3, type, hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3, type, prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodcartrealn3cartrealn3, type, prodcartrealn3prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(chypermap1uu_ofuu_fanx, type, hypermap1u_ofu_fanx : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(cgspec0, type, gspec0 : ((((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o) > $o) > ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o) > $o)).
thf(cgspec, type, gspec : (((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o) > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cdart0, type, dart0 : (hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cpermutes0, type, permutes0 : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3) > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin0, type, in0 : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cnodeuu_set, type, nodeu_set : (hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cin, type, in : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(corbituu_map0, type, orbitu_map0 : (((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(csetspec0, type, setspec0 : (((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o) > $o > ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o) > $o)).
thf(csetuu_ofuu_orbits0, type, setu_ofu_orbits0 : (((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o) > ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o) > $o)).
thf(csetspec, type, setspec : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(csetuu_ofuu_orbits, type, setu_ofu_orbits : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3) > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cnodeuu_map0, type, nodeu_map0 : (hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(corbituu_map, type, orbitu_map : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cnode, type, node : (hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cfinite0, type, finite0 : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),G:(a > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_lemmau_orbitu_identity, axiom, ![S:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),P:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3),X:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,Y:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:(((finite0 @ S) & (permutes0 @ P @ S) & (in0 @ Y @ (orbitu_map @ P @ X))) => ((orbitu_map @ P @ X) = (orbitu_map @ P @ Y)))).
thf(aHypermapo_node, axiom, ![H:hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,X:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:((node @ H @ X) = (orbitu_map @ (nodeu_map0 @ H) @ X))).
thf(aHypermapo_nodeu_set, axiom, ![H:hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:((nodeu_set @ H) = (setu_ofu_orbits @ (dart0 @ H) @ (nodeu_map0 @ H)))).
thf(aHypermapo_setu_ofu_orbitsu_monomorphized1, axiom, ![D:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),F:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)]:((setu_ofu_orbits @ D @ F) = (gspec @ ^[GENR_PVARR_233:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)]:?[X:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:(setspec @ GENR_PVARR_233 @ (in0 @ X @ D) @ (orbitu_map @ F @ X))))).
thf(aHypermapo_setu_ofu_orbitsu_monomorphized0, axiom, ![D:((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o),F:((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)]:((setu_ofu_orbits0 @ D @ F) = (gspec0 @ ^[GENR_PVARR_233:((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)]:?[X:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)]:(setspec0 @ GENR_PVARR_233 @ (in @ X @ D) @ (orbitu_map0 @ F @ X))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o) > $o),X:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)]:((in @ X @ (gspec @ ^[V:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)]:(P0 & (X = T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),F:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),Y:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:(((in @ F @ (nodeu_set @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E))))) & (in0 @ Y @ F)) => (F = (node @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E))) @ Y)))).
