%   ORIGINAL: Conforming.conforming_diagonal_fan_ds_fanadd
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Conforming.INDUCTION_FANADD: !x V E E1 ds f1 f2 f3 v u w ds1 ds2 f10 f20 f30 y. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ fan80 (x,V,E) /\ ~conforming_fan (x,V,E) /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) /\ CARD ds > 3 /\ {f1, f2, f3} SUBSET ds /\ f1_fan x V E f1 = f2 /\ f1_fan x V E f2 = f3 /\ ~(f1_fan x V E f3 = f1) /\ pr2 f1 = v /\ pr2 f2 = u /\ pr2 f3 = w /\ {v, u} IN E /\ {u, w} IN E /\ ~({w, v} IN E) /\ sigma_fan x V E u w = v /\ pr3 f1 = u /\ pr3 f2 = w /\ face (hypermap1_of_fanx (x,V,E1)) (x,v,w,sigma_fan x V E1 v w) = ds1 /\ face (hypermap1_of_fanx (x,V,E1)) (x,w,v,sigma_fan x V E1 w v) = ds2 /\ x,w,v,u = f10 /\ x,v,u,w = f20 /\ x,u,w,v = f30 /\ E UNION {{v, w}} = E1 /\ (!E1. FAN (x,V,E1) /\ (!v. v IN V ==> CARD (set_of_edge v V E1) > 1) /\ fan80 (x,V,E1) /\ N_FAN (x,V,E1) < N_FAN (x,V,E) ==> conforming_fan (x,V,E1)) /\ y IN ds ==> (?f1 f2 f3. {f1, f2, f3} SUBSET ds /\ f1_fan x V E f1 = f2 /\ f1_fan x V E f2 = f3 /\ ~(f1_fan x V E f3 = f1) /\ {pr2 f2, pr2 f3} IN E /\ ~({pr2 f3, pr2 f1} IN E) /\ {pr2 f1, pr2 f2} IN E /\ sigma_fan x V E (pr2 f2) (pr2 f3) = pr2 f1 /\ pr2 f3 = pr3 f2 /\ pr2 f2 = pr3 f1 /\ y = f3)
% Assm: Conforming.conforming_diagonal_fanadd1: !x V E E1 ds f1 f2 f3 v u w ds1 ds2 f10 f20 f30 z. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ fan80 (x,V,E) /\ ~conforming_fan (x,V,E) /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) /\ CARD ds > 3 /\ {f1, f2, f3} SUBSET ds /\ f1_fan x V E f1 = f2 /\ f1_fan x V E f2 = f3 /\ ~(f1_fan x V E f3 = f1) /\ pr2 f1 = v /\ pr2 f2 = u /\ pr2 f3 = w /\ {v, u} IN E /\ {u, w} IN E /\ ~({w, v} IN E) /\ sigma_fan x V E u w = v /\ pr3 f1 = u /\ pr3 f2 = w /\ face (hypermap1_of_fanx (x,V,E1)) (x,v,w,sigma_fan x V E1 v w) = ds1 /\ face (hypermap1_of_fanx (x,V,E1)) (x,w,v,sigma_fan x V E1 w v) = ds2 /\ x,w,v,u = f10 /\ x,v,u,w = f20 /\ x,u,w,v = f30 /\ E UNION {{v, w}} = E1 /\ (!E1. FAN (x,V,E1) /\ (!v. v IN V ==> CARD (set_of_edge v V E1) > 1) /\ fan80 (x,V,E1) /\ N_FAN (x,V,E1) < N_FAN (x,V,E) ==> conforming_fan (x,V,E1)) /\ z IN ds /\ ~(f3 = z) ==> ~collinear {x, pr2 f3, pr2 z} /\ (f3 = f1_fan x V E z \/ z = f1_fan x V E f3 \/ aff_gt {x} {pr2 f3, pr2 z} SUBSET dartset_leads_into_fan x V E ds)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x V E E1 ds f1 f2 f3 v u w ds1 ds2 f10 f20 f30 y z. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ fan80 (x,V,E) /\ ~conforming_fan (x,V,E) /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) /\ CARD ds > 3 /\ {f1, f2, f3} SUBSET ds /\ f1_fan x V E f1 = f2 /\ f1_fan x V E f2 = f3 /\ ~(f1_fan x V E f3 = f1) /\ pr2 f1 = v /\ pr2 f2 = u /\ pr2 f3 = w /\ {v, u} IN E /\ {u, w} IN E /\ ~({w, v} IN E) /\ sigma_fan x V E u w = v /\ pr3 f1 = u /\ pr3 f2 = w /\ face (hypermap1_of_fanx (x,V,E1)) (x,v,w,sigma_fan x V E1 v w) = ds1 /\ face (hypermap1_of_fanx (x,V,E1)) (x,w,v,sigma_fan x V E1 w v) = ds2 /\ x,w,v,u = f10 /\ x,v,u,w = f20 /\ x,u,w,v = f30 /\ E UNION {{v, w}} = E1 /\ (!E1. FAN (x,V,E1) /\ (!v. v IN V ==> CARD (set_of_edge v V E1) > 1) /\ fan80 (x,V,E1) /\ N_FAN (x,V,E1) < N_FAN (x,V,E) ==> conforming_fan (x,V,E1)) /\ y IN ds /\ z IN ds /\ ~(y = z) ==> ~collinear {x, pr2 y, pr2 z} /\ (y = f1_fan x V E z \/ z = f1_fan x V E y \/ aff_gt {x} {pr2 y, pr2 z} SUBSET dartset_leads_into_fan x V E ds)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x V E E1 ds f1 f2 f3 v u w ds1 ds2 f10 f20 f30 y. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ fan80 (x,V,E) /\ ~conforming_fan (x,V,E) /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) /\ CARD ds > 3 /\ {f1, f2, f3} SUBSET ds /\ f1_fan x V E f1 = f2 /\ f1_fan x V E f2 = f3 /\ ~(f1_fan x V E f3 = f1) /\ pr2 f1 = v /\ pr2 f2 = u /\ pr2 f3 = w /\ {v, u} IN E /\ {u, w} IN E /\ ~({w, v} IN E) /\ sigma_fan x V E u w = v /\ pr3 f1 = u /\ pr3 f2 = w /\ face (hypermap1_of_fanx (x,V,E1)) (x,v,w,sigma_fan x V E1 v w) = ds1 /\ face (hypermap1_of_fanx (x,V,E1)) (x,w,v,sigma_fan x V E1 w v) = ds2 /\ x,w,v,u = f10 /\ x,v,u,w = f20 /\ x,u,w,v = f30 /\ E UNION {{v, w}} = E1 /\ (!E1. FAN (x,V,E1) /\ (!v. v IN V ==> CARD (set_of_edge v V E1) > 1) /\ fan80 (x,V,E1) /\ N_FAN (x,V,E1) < N_FAN (x,V,E) ==> conforming_fan (x,V,E1)) /\ y IN ds ==> (?f1 f2 f3. {f1, f2, f3} SUBSET ds /\ f1_fan x V E f1 = f2 /\ f1_fan x V E f2 = f3 /\ ~(f1_fan x V E f3 = f1) /\ {pr2 f2, pr2 f3} IN E /\ ~({pr2 f3, pr2 f1} IN E) /\ {pr2 f1, pr2 f2} IN E /\ sigma_fan x V E (pr2 f2) (pr2 f3) = pr2 f1 /\ pr2 f3 = pr3 f2 /\ pr2 f2 = pr3 f1 /\ y = f3)
% Assm: !x V E E1 ds f1 f2 f3 v u w ds1 ds2 f10 f20 f30 z. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ fan80 (x,V,E) /\ ~conforming_fan (x,V,E) /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) /\ CARD ds > 3 /\ {f1, f2, f3} SUBSET ds /\ f1_fan x V E f1 = f2 /\ f1_fan x V E f2 = f3 /\ ~(f1_fan x V E f3 = f1) /\ pr2 f1 = v /\ pr2 f2 = u /\ pr2 f3 = w /\ {v, u} IN E /\ {u, w} IN E /\ ~({w, v} IN E) /\ sigma_fan x V E u w = v /\ pr3 f1 = u /\ pr3 f2 = w /\ face (hypermap1_of_fanx (x,V,E1)) (x,v,w,sigma_fan x V E1 v w) = ds1 /\ face (hypermap1_of_fanx (x,V,E1)) (x,w,v,sigma_fan x V E1 w v) = ds2 /\ x,w,v,u = f10 /\ x,v,u,w = f20 /\ x,u,w,v = f30 /\ E UNION {{v, w}} = E1 /\ (!E1. FAN (x,V,E1) /\ (!v. v IN V ==> CARD (set_of_edge v V E1) > 1) /\ fan80 (x,V,E1) /\ N_FAN (x,V,E1) < N_FAN (x,V,E) ==> conforming_fan (x,V,E1)) /\ z IN ds /\ ~(f3 = z) ==> ~collinear {x, pr2 f3, pr2 z} /\ (f3 = f1_fan x V E z \/ z = f1_fan x V E f3 \/ aff_gt {x} {pr2 f3, pr2 z} SUBSET dartset_leads_into_fan x V E ds)
% Assm: ~F <=> T
% Assm: T
% Goal: !x V E E1 ds f1 f2 f3 v u w ds1 ds2 f10 f20 f30 y z. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ fan80 (x,V,E) /\ ~conforming_fan (x,V,E) /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) /\ CARD ds > 3 /\ {f1, f2, f3} SUBSET ds /\ f1_fan x V E f1 = f2 /\ f1_fan x V E f2 = f3 /\ ~(f1_fan x V E f3 = f1) /\ pr2 f1 = v /\ pr2 f2 = u /\ pr2 f3 = w /\ {v, u} IN E /\ {u, w} IN E /\ ~({w, v} IN E) /\ sigma_fan x V E u w = v /\ pr3 f1 = u /\ pr3 f2 = w /\ face (hypermap1_of_fanx (x,V,E1)) (x,v,w,sigma_fan x V E1 v w) = ds1 /\ face (hypermap1_of_fanx (x,V,E1)) (x,w,v,sigma_fan x V E1 w v) = ds2 /\ x,w,v,u = f10 /\ x,v,u,w = f20 /\ x,u,w,v = f30 /\ E UNION {{v, w}} = E1 /\ (!E1. FAN (x,V,E1) /\ (!v. v IN V ==> CARD (set_of_edge v V E1) > 1) /\ fan80 (x,V,E1) /\ N_FAN (x,V,E1) < N_FAN (x,V,E) ==> conforming_fan (x,V,E1)) /\ y IN ds /\ z IN ds /\ ~(y = z) ==> ~collinear {x, pr2 y, pr2 z} /\ (y = f1_fan x V E z \/ z = f1_fan x V E y \/ aff_gt {x} {pr2 y, pr2 z} SUBSET dartset_leads_into_fan x V E ds)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(thypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3, type, hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3, type, prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodcartrealn3cartrealn3, type, prodcartrealn3prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(chypermap1uu_ofuu_fanx, type, hypermap1u_ofu_fanx : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(csubset0, type, subset0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cin2, type, in2 : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpr3, type, pr3 : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > cartrealn3)).
thf(cin1, type, in1 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cpr2, type, pr2 : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > cartrealn3)).
thf(csubset, type, subset : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cfaceuu_set, type, faceu_set : (hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cin0, type, in0 : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o) > $o)).
thf(cgu_, type, g_ : (num > num > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cdartsetuu_leadsuu_intouu_fan, type, dartsetu_leadsu_intou_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > cartrealn3 > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert1, type, insert1 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cunion, type, union : (((cartrealn3 > $o) > $o) > ((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(ccu_3, type, c_3 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccu_2, type, c_2 : (cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3cartrealn3)).
thf(ccu_1, type, c_1 : (cartrealn3 > prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(cface, type, face : (hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert0, type, insert0 : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cf1uu_fan, type, f1u_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(cinsert, type, insert : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cempty1, type, empty1 : ((cartrealn3 > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealn3 > $o)).
thf(cempty, type, empty : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cconforminguu_fan, type, conformingu_fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan80, type, fan80 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cnuu_fan, type, nu_fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > num)).
thf(ccard0, type, card0 : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > num)).
thf(ccard, type, card : ((cartrealn3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized3, axiom, ![F:(a > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3),G:(a > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),G:(a > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > (cartrealn3 > $o) > $o),G:(a > (cartrealn3 > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aConformingo_INDUCTIONu_FANADD, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),E1:((cartrealn3 > $o) > $o),DS:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),F1:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F2:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F3:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,V0:cartrealn3,U:cartrealn3,W:cartrealn3,DS1:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),DS2:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),F10:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F20:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F30:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,Y:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & ![V0:cartrealn3]:((in @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0)))) & (fan80 @ (c_ @ X @ (c_0 @ V @ E))) & ~ ((conformingu_fan @ (c_ @ X @ (c_0 @ V @ E)))) & (in0 @ DS @ (faceu_set @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E))))) & (g_ @ (card0 @ DS) @ (numeral @ (bit1 @ (bit1 @ u_0)))) & (subset @ (insert @ F1 @ (insert @ F2 @ (insert @ F3 @ empty))) @ DS) & ((f1u_fan @ X @ V @ E @ F1) = F2) & ((f1u_fan @ X @ V @ E @ F2) = F3) & ~ (((f1u_fan @ X @ V @ E @ F3) = F1)) & ((pr2 @ F1) = V0) & ((pr2 @ F2) = U) & ((pr2 @ F3) = W) & (in1 @ (insert0 @ V0 @ (insert0 @ U @ empty0)) @ E) & (in1 @ (insert0 @ U @ (insert0 @ W @ empty0)) @ E) & ~ ((in1 @ (insert0 @ W @ (insert0 @ V0 @ empty0)) @ E)) & ((sigmau_fan @ X @ V @ E @ U @ W) = V0) & ((pr3 @ F1) = U) & ((pr3 @ F2) = W) & ((face @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E1))) @ (c_1 @ X @ (c_2 @ V0 @ (c_3 @ W @ (sigmau_fan @ X @ V @ E1 @ V0 @ W))))) = DS1) & ((face @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E1))) @ (c_1 @ X @ (c_2 @ W @ (c_3 @ V0 @ (sigmau_fan @ X @ V @ E1 @ W @ V0))))) = DS2) & ((c_1 @ X @ (c_2 @ W @ (c_3 @ V0 @ U))) = F10) & ((c_1 @ X @ (c_2 @ V0 @ (c_3 @ U @ W))) = F20) & ((c_1 @ X @ (c_2 @ U @ (c_3 @ W @ V0))) = F30) & ((union @ E @ (insert1 @ (insert0 @ V0 @ (insert0 @ W @ empty0)) @ empty1)) = E1) & ![E1:((cartrealn3 > $o) > $o)]:(((fan @ (c_ @ X @ (c_0 @ V @ E1))) & ![V0:cartrealn3]:((in @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E1)) @ (numeral @ (bit1 @ u_0)))) & (fan80 @ (c_ @ X @ (c_0 @ V @ E1))) & (l_ @ (nu_fan @ (c_ @ X @ (c_0 @ V @ E1))) @ (nu_fan @ (c_ @ X @ (c_0 @ V @ E))))) => (conformingu_fan @ (c_ @ X @ (c_0 @ V @ E1)))) & (in2 @ Y @ DS)) => ?[F1:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F2:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F3:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:((subset @ (insert @ F1 @ (insert @ F2 @ (insert @ F3 @ empty))) @ DS) & ((f1u_fan @ X @ V @ E @ F1) = F2) & ((f1u_fan @ X @ V @ E @ F2) = F3) & ~ (((f1u_fan @ X @ V @ E @ F3) = F1)) & (in1 @ (insert0 @ (pr2 @ F2) @ (insert0 @ (pr2 @ F3) @ empty0)) @ E) & ~ ((in1 @ (insert0 @ (pr2 @ F3) @ (insert0 @ (pr2 @ F1) @ empty0)) @ E)) & (in1 @ (insert0 @ (pr2 @ F1) @ (insert0 @ (pr2 @ F2) @ empty0)) @ E) & ((sigmau_fan @ X @ V @ E @ (pr2 @ F2) @ (pr2 @ F3)) = (pr2 @ F1)) & ((pr2 @ F3) = (pr3 @ F2)) & ((pr2 @ F2) = (pr3 @ F1)) & (Y = F3)))).
thf(aConformingo_conformingu_diagonalu_fanadd1, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),E1:((cartrealn3 > $o) > $o),DS:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),F1:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F2:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F3:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,V0:cartrealn3,U:cartrealn3,W:cartrealn3,DS1:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),DS2:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),F10:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F20:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F30:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,Z:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & ![V0:cartrealn3]:((in @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0)))) & (fan80 @ (c_ @ X @ (c_0 @ V @ E))) & ~ ((conformingu_fan @ (c_ @ X @ (c_0 @ V @ E)))) & (in0 @ DS @ (faceu_set @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E))))) & (g_ @ (card0 @ DS) @ (numeral @ (bit1 @ (bit1 @ u_0)))) & (subset @ (insert @ F1 @ (insert @ F2 @ (insert @ F3 @ empty))) @ DS) & ((f1u_fan @ X @ V @ E @ F1) = F2) & ((f1u_fan @ X @ V @ E @ F2) = F3) & ~ (((f1u_fan @ X @ V @ E @ F3) = F1)) & ((pr2 @ F1) = V0) & ((pr2 @ F2) = U) & ((pr2 @ F3) = W) & (in1 @ (insert0 @ V0 @ (insert0 @ U @ empty0)) @ E) & (in1 @ (insert0 @ U @ (insert0 @ W @ empty0)) @ E) & ~ ((in1 @ (insert0 @ W @ (insert0 @ V0 @ empty0)) @ E)) & ((sigmau_fan @ X @ V @ E @ U @ W) = V0) & ((pr3 @ F1) = U) & ((pr3 @ F2) = W) & ((face @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E1))) @ (c_1 @ X @ (c_2 @ V0 @ (c_3 @ W @ (sigmau_fan @ X @ V @ E1 @ V0 @ W))))) = DS1) & ((face @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E1))) @ (c_1 @ X @ (c_2 @ W @ (c_3 @ V0 @ (sigmau_fan @ X @ V @ E1 @ W @ V0))))) = DS2) & ((c_1 @ X @ (c_2 @ W @ (c_3 @ V0 @ U))) = F10) & ((c_1 @ X @ (c_2 @ V0 @ (c_3 @ U @ W))) = F20) & ((c_1 @ X @ (c_2 @ U @ (c_3 @ W @ V0))) = F30) & ((union @ E @ (insert1 @ (insert0 @ V0 @ (insert0 @ W @ empty0)) @ empty1)) = E1) & ![E1:((cartrealn3 > $o) > $o)]:(((fan @ (c_ @ X @ (c_0 @ V @ E1))) & ![V0:cartrealn3]:((in @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E1)) @ (numeral @ (bit1 @ u_0)))) & (fan80 @ (c_ @ X @ (c_0 @ V @ E1))) & (l_ @ (nu_fan @ (c_ @ X @ (c_0 @ V @ E1))) @ (nu_fan @ (c_ @ X @ (c_0 @ V @ E))))) => (conformingu_fan @ (c_ @ X @ (c_0 @ V @ E1)))) & (in2 @ Z @ DS) & ~ ((F3 = Z))) => (~ ((collinear @ (insert0 @ X @ (insert0 @ (pr2 @ F3) @ (insert0 @ (pr2 @ Z) @ empty0))))) & ((F3 = (f1u_fan @ X @ V @ E @ Z)) | (Z = (f1u_fan @ X @ V @ E @ F3)) | (subset0 @ (affu_gt @ (insert0 @ X @ empty0) @ (insert0 @ (pr2 @ F3) @ (insert0 @ (pr2 @ Z) @ empty0))) @ (dartsetu_leadsu_intou_fan @ X @ V @ E @ DS)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),E1:((cartrealn3 > $o) > $o),DS:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),F1:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F2:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F3:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,V0:cartrealn3,U:cartrealn3,W:cartrealn3,DS1:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),DS2:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),F10:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F20:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F30:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,Y:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,Z:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & ![V0:cartrealn3]:((in @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0)))) & (fan80 @ (c_ @ X @ (c_0 @ V @ E))) & ~ ((conformingu_fan @ (c_ @ X @ (c_0 @ V @ E)))) & (in0 @ DS @ (faceu_set @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E))))) & (g_ @ (card0 @ DS) @ (numeral @ (bit1 @ (bit1 @ u_0)))) & (subset @ (insert @ F1 @ (insert @ F2 @ (insert @ F3 @ empty))) @ DS) & ((f1u_fan @ X @ V @ E @ F1) = F2) & ((f1u_fan @ X @ V @ E @ F2) = F3) & ~ (((f1u_fan @ X @ V @ E @ F3) = F1)) & ((pr2 @ F1) = V0) & ((pr2 @ F2) = U) & ((pr2 @ F3) = W) & (in1 @ (insert0 @ V0 @ (insert0 @ U @ empty0)) @ E) & (in1 @ (insert0 @ U @ (insert0 @ W @ empty0)) @ E) & ~ ((in1 @ (insert0 @ W @ (insert0 @ V0 @ empty0)) @ E)) & ((sigmau_fan @ X @ V @ E @ U @ W) = V0) & ((pr3 @ F1) = U) & ((pr3 @ F2) = W) & ((face @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E1))) @ (c_1 @ X @ (c_2 @ V0 @ (c_3 @ W @ (sigmau_fan @ X @ V @ E1 @ V0 @ W))))) = DS1) & ((face @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E1))) @ (c_1 @ X @ (c_2 @ W @ (c_3 @ V0 @ (sigmau_fan @ X @ V @ E1 @ W @ V0))))) = DS2) & ((c_1 @ X @ (c_2 @ W @ (c_3 @ V0 @ U))) = F10) & ((c_1 @ X @ (c_2 @ V0 @ (c_3 @ U @ W))) = F20) & ((c_1 @ X @ (c_2 @ U @ (c_3 @ W @ V0))) = F30) & ((union @ E @ (insert1 @ (insert0 @ V0 @ (insert0 @ W @ empty0)) @ empty1)) = E1) & ![E1:((cartrealn3 > $o) > $o)]:(((fan @ (c_ @ X @ (c_0 @ V @ E1))) & ![V0:cartrealn3]:((in @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E1)) @ (numeral @ (bit1 @ u_0)))) & (fan80 @ (c_ @ X @ (c_0 @ V @ E1))) & (l_ @ (nu_fan @ (c_ @ X @ (c_0 @ V @ E1))) @ (nu_fan @ (c_ @ X @ (c_0 @ V @ E))))) => (conformingu_fan @ (c_ @ X @ (c_0 @ V @ E1)))) & (in2 @ Y @ DS) & (in2 @ Z @ DS) & ~ ((Y = Z))) => (~ ((collinear @ (insert0 @ X @ (insert0 @ (pr2 @ Y) @ (insert0 @ (pr2 @ Z) @ empty0))))) & ((Y = (f1u_fan @ X @ V @ E @ Z)) | (Z = (f1u_fan @ X @ V @ E @ Y)) | (subset0 @ (affu_gt @ (insert0 @ X @ empty0) @ (insert0 @ (pr2 @ Y) @ (insert0 @ (pr2 @ Z) @ empty0))) @ (dartsetu_leadsu_intou_fan @ X @ V @ E @ DS)))))).
