%   ORIGINAL: Conforming.yfan_union_aff_gt_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Conforming.XFAN_EQ_UNIONS_AFF_GE_1_2: !x V E. xfan (x,V,E) = UNIONS {y | ?e. e IN E /\ y = aff_ge {x} e}
% Assm: Conforming.expand_xfan_eq_aff_gt_aff_ge: !x V E. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ fan80 (x,V,E) ==> UNIONS {y | ?e. e IN E /\ y = aff_ge {x} e} = UNIONS {aff_gt {x} e | e IN E} UNION UNIONS {aff_ge {x} {v} | v IN V}
% Assm: Conforming.properties12_fan7: !x V E. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ fan80 (x,V,E) ==> UNIONS {aff_gt {x} e | e IN E} INTER UNIONS {aff_ge {x} {v} | v IN V} = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan_defs.yfan: !x V E. yfan (x,V,E) = (:real^3) DIFF xfan (x,V,E)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !x V E. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ fan80 (x,V,E) ==> yfan (x,V,E) UNION UNIONS {aff_gt {x} e | e IN E} = (:real^3) DIFF UNIONS {aff_ge {x} {v} | v IN V}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x V E. xfan (x,V,E) = UNIONS {y | ?e. e IN E /\ y = aff_ge {x} e}
% Assm: !x V E. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ fan80 (x,V,E) ==> UNIONS {y | ?e. e IN E /\ y = aff_ge {x} e} = UNIONS {aff_gt {x} e | e IN E} UNION UNIONS {aff_ge {x} {v} | v IN V}
% Assm: !x V E. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ fan80 (x,V,E) ==> UNIONS {aff_gt {x} e | e IN E} INTER UNIONS {aff_ge {x} {v} | v IN V} = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x V E. yfan (x,V,E) = (:real^3) DIFF xfan (x,V,E)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. x IN (:real^3)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !x V E. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ fan80 (x,V,E) ==> yfan (x,V,E) UNION UNIONS {aff_gt {x} e | e IN E} = (:real^3) DIFF UNIONS {aff_ge {x} {v} | v IN V}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cxfan, type, xfan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > cartrealn3 > $o)).
thf(cin0, type, in0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cunions, type, unions : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(cyfan, type, yfan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > cartrealn3 > $o)).
thf(cgu_, type, g_ : (num > num > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cinter0, type, inter0 : (((cartrealn3 > $o) > $o) > ((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdiff, type, diff : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cunion, type, union : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cuniv, type, univ : (cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan80, type, fan80 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(ccard, type, card : ((cartrealn3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aConformingo_XFANu_EQu_UNIONSu_AFFu_GEu_1u_2, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((xfan @ (c_ @ X @ (c_0 @ V @ E))) = (unions @ (gspec @ ^[GENR_PVARR_497:(cartrealn3 > $o)]:?[Y:(cartrealn3 > $o)]:(setspec @ GENR_PVARR_497 @ ?[E0:(cartrealn3 > $o)]:((in0 @ E0 @ E) & (Y = (affu_ge @ (insert @ X @ empty) @ E0))) @ Y))))).
thf(aConformingo_expandu_xfanu_equ_affu_gtu_affu_ge, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & ![V0:cartrealn3]:((in @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0)))) & (fan80 @ (c_ @ X @ (c_0 @ V @ E)))) => ((unions @ (gspec @ ^[GENR_PVARR_542:(cartrealn3 > $o)]:?[Y:(cartrealn3 > $o)]:(setspec @ GENR_PVARR_542 @ ?[E0:(cartrealn3 > $o)]:((in0 @ E0 @ E) & (Y = (affu_ge @ (insert @ X @ empty) @ E0))) @ Y))) = (union @ (unions @ (gspec @ ^[GENR_PVARR_543:(cartrealn3 > $o)]:?[E0:(cartrealn3 > $o)]:(setspec @ GENR_PVARR_543 @ (in0 @ E0 @ E) @ (affu_gt @ (insert @ X @ empty) @ E0)))) @ (unions @ (gspec @ ^[GENR_PVARR_544:(cartrealn3 > $o)]:?[V0:cartrealn3]:(setspec @ GENR_PVARR_544 @ (in @ V0 @ V) @ (affu_ge @ (insert @ X @ empty) @ (insert @ V0 @ empty))))))))).
thf(aConformingo_properties12u_fan7, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & ![V0:cartrealn3]:((in @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0)))) & (fan80 @ (c_ @ X @ (c_0 @ V @ E)))) => ((inter @ (unions @ (gspec @ ^[GENR_PVARR_545:(cartrealn3 > $o)]:?[E0:(cartrealn3 > $o)]:(setspec @ GENR_PVARR_545 @ (in0 @ E0 @ E) @ (affu_gt @ (insert @ X @ empty) @ E0)))) @ (unions @ (gspec @ ^[GENR_PVARR_546:(cartrealn3 > $o)]:?[V0:cartrealn3]:(setspec @ GENR_PVARR_546 @ (in @ V0 @ V) @ (affu_ge @ (insert @ X @ empty) @ (insert @ V0 @ empty)))))) = empty))).
thf(aETAu_AX, axiom, ![T:(cartrealn3 > $o)]:(^[X:cartrealn3]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFanu_defso_yfan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((yfan @ (c_ @ X @ (c_0 @ V @ E))) = (diff @ univ @ (xfan @ (c_ @ X @ (c_0 @ V @ E)))))).
thf(aINu_monomorphized1, axiom, ![P:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (cartrealn3 > $o) > $o) > $o),X:(cartrealn3 > $o)]:((in0 @ X @ (gspec @ ^[V:(cartrealn3 > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(cartrealn3 > $o)]:(P0 & (X = T))))).
thf(aINu_INTERu_monomorphized1, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in0 @ X @ (inter0 @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_INTERu_monomorphized0, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aINu_UNIONS, axiom, ![S:((cartrealn3 > $o) > $o),X:cartrealn3]:((in @ X @ (unions @ S)) <=> ?[T:(cartrealn3 > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:cartrealn3]:(in @ X @ univ)).
thf(aIu_THM, axiom, ![X:(cartrealn3 > $o)]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & ![V0:cartrealn3]:((in @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0)))) & (fan80 @ (c_ @ X @ (c_0 @ V @ E)))) => ((union @ (yfan @ (c_ @ X @ (c_0 @ V @ E))) @ (unions @ (gspec @ ^[GENR_PVARR_547:(cartrealn3 > $o)]:?[E0:(cartrealn3 > $o)]:(setspec @ GENR_PVARR_547 @ (in0 @ E0 @ E) @ (affu_gt @ (insert @ X @ empty) @ E0))))) = (diff @ univ @ (unions @ (gspec @ ^[GENR_PVARR_548:(cartrealn3 > $o)]:?[V0:cartrealn3]:(setspec @ GENR_PVARR_548 @ (in @ V0 @ V) @ (affu_ge @ (insert @ X @ empty) @ (insert @ V0 @ empty))))))))).
