%   ORIGINAL: Polyhedron.CONTINUOUS_ON_LIFT_DOT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_AT_IMP_CONTINUOUS_ON: !f s. (!x. x IN s ==> f continuous at x) ==> f continuous_on s
% Assm: CONTINUOUS_AT_LIFT_DOT: !a x. lift o (\y. a dot y) continuous at x
% Assm: TRUTH: T
% Goal: !s a. lift o (\y. a dot y) continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. (!x. x IN s ==> f continuous at x) ==> f continuous_on s
% Assm: !a x. lift o (\y. a dot y) continuous at x
% Assm: T
% Goal: !s a. lift o (\y. a dot y) continuous_on s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq1530235, type, cartrealq1530235 : $tType).
thf(tq1530235, type, q1530235 : $tType).
thf(tnetcartrealq1530235, type, netcartrealq1530235 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealq1530235 > netcartrealq1530235)).
thf(ccontinuous, type, continuous : ((cartrealq1530235 > cartrealn1) > netcartrealq1530235 > $o)).
thf(cin, type, in : (cartrealq1530235 > (cartrealq1530235 > $o) > $o)).
thf(cdot, type, dot : (cartrealq1530235 > cartrealq1530235 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealq1530235 > cartrealn1) > (cartrealq1530235 > $o) > $o)).
thf(co, type, o : ((real > cartrealn1) > (cartrealq1530235 > real) > cartrealq1530235 > cartrealn1)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ATu_IMPu_CONTINUOUSu_ON, axiom, ![F:(cartrealq1530235 > cartrealn1),S:(cartrealq1530235 > $o)]:(![X:cartrealq1530235]:((in @ X @ S) => (continuous @ F @ (at @ X))) => (continuousu_on @ F @ S))).
thf(aCONTINUOUSu_ATu_LIFTu_DOT, axiom, ![A:cartrealq1530235,X:cartrealq1530235]:(continuous @ (o @ lift @ ^[Y:cartrealq1530235]:(dot @ A @ Y)) @ (at @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq1530235 > $o),A:cartrealq1530235]:(continuousu_on @ (o @ lift @ ^[Y:cartrealq1530235]:(dot @ A @ Y)) @ S)).
