%   ORIGINAL: Pack1.not_open_voronoi3
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Pack1.not_in_voronoi: !x v S. ~(x IN voronoi_open S v) <=> (?y. y IN S /\ ~(y = v) /\ dist (x,y) <= dist (x,v))
% Assm: Pack1.not_open: !s. ~open s <=> (?a x. a IN s /\ (!n. ~(x n IN s)) /\ (x --> a) sequentially)
% Assm: TRUTH: T
% Goal: !v S. ~open (voronoi_open S v) ==> (?x a y. a IN voronoi_open S v /\ (!n. ~(x n IN voronoi_open S v)) /\ (x --> a) sequentially /\ (!n. y n IN S /\ ~(y n = v) /\ dist (x n,y n) <= dist (x n,v)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x v S. ~(x IN voronoi_open S v) <=> (?y. y IN S /\ ~(y = v) /\ dist (x,y) <= dist (x,v))
% Assm: !s. ~open s <=> (?a x. a IN s /\ (!n. ~(x n IN s)) /\ (x --> a) sequentially)
% Assm: T
% Goal: !v S. ~open (voronoi_open S v) ==> (?x a y. a IN voronoi_open S v /\ (!n. ~(x n IN voronoi_open S v)) /\ (x --> a) sequentially /\ (!n. y n IN S /\ ~(y n = v) /\ dist (x n,y n) <= dist (x n,v)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(ci, type, i : (cartrealn3 > cartrealn3)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn3) > cartrealn3 > netnum > $o)).
thf(cvoronoiuu_open, type, voronoiu_open : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(copen, type, open : ((cartrealn3 > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:cartrealn3]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPack1o_notu_inu_voronoi, axiom, ![X:cartrealn3,V:cartrealn3,S:(cartrealn3 > $o)]:(~ ((in @ X @ (voronoiu_open @ S @ V))) <=> ?[Y:cartrealn3]:((in @ Y @ S) & ~ ((Y = V)) & (realu_le @ (distance @ (c_ @ X @ Y)) @ (distance @ (c_ @ X @ V)))))).
thf(aPack1o_notu_open, axiom, ![S:(cartrealn3 > $o)]:(~ ((open @ S)) <=> ?[A:cartrealn3,X:(num > cartrealn3)]:((in @ A @ S) & ![N:num]:~ ((in @ (X @ N) @ S)) & (m_m_g_ @ X @ A @ sequentially)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:cartrealn3,S:(cartrealn3 > $o)]:(~ ((open @ (voronoiu_open @ S @ V))) => ?[X:(num > cartrealn3),A:cartrealn3,Y:(num > cartrealn3)]:((in @ A @ (voronoiu_open @ S @ V)) & ![N:num]:~ ((in @ (X @ N) @ (voronoiu_open @ S @ V))) & (m_m_g_ @ X @ A @ sequentially) & ![N:num]:((in @ (Y @ N) @ S) & ~ (((Y @ N) = V)) & (realu_le @ (distance @ (c_ @ (X @ N) @ (Y @ N))) @ (distance @ (c_ @ (X @ N) @ V))))))).
