%   ORIGINAL: Pack2.CLOSED_BIS_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_HALFSPACE_LE: !a b. closed {x | a dot x <= b}
% Assm: Pack2.BIS_LE: !u v. bis_le u v = {x | &2 % (v - u) dot x <= norm v pow 2 - norm u pow 2}
% Assm: TRUTH: T
% Goal: !u v. closed (bis_le u v)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. closed {x | a dot x <= b}
% Assm: !u v. bis_le u v = {x | &2 % (v - u) dot x <= norm v pow 2 - norm u pow 2}
% Assm: T
% Goal: !u v. closed (bis_le u v)
%  TYPES
thf(tcartrealq1561405, type, cartrealq1561405 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq1561405, type, q1561405 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq1561405 > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cdot, type, dot : (cartrealq1561405 > cartrealq1561405 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealq1561405 > $o) > cartrealq1561405 > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq1561405 > cartrealq1561405 > cartrealq1561405)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealq1561405 > cartrealq1561405)).
thf(csetspec, type, setspec : (cartrealq1561405 > $o > cartrealq1561405 > $o)).
thf(cbisuu_le, type, bisu_le : (cartrealq1561405 > cartrealq1561405 > cartrealq1561405 > $o)).
thf(cclosed, type, closed : ((cartrealq1561405 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_HALFSPACEu_LE, axiom, ![A:cartrealq1561405,B:real]:(closed @ (gspec @ ^[GENR_PVARR_515:cartrealq1561405]:?[X:cartrealq1561405]:(setspec @ GENR_PVARR_515 @ (realu_le @ (dot @ A @ X) @ B) @ X)))).
thf(aPack2o_BISu_LE, axiom, ![U:cartrealq1561405,V:cartrealq1561405]:((bisu_le @ U @ V) = (gspec @ ^[GENR_PVARR_810:cartrealq1561405]:?[X:cartrealq1561405]:(setspec @ GENR_PVARR_810 @ (realu_le @ (dot @ (r_ @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (vectoru_sub @ V @ U)) @ X) @ (realu_sub @ (realu_pow @ (vectoru_norm @ V) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (vectoru_norm @ U) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![U:cartrealq1561405,V:cartrealq1561405]:(closed @ (bisu_le @ U @ V))).
