%   ORIGINAL: Packing3.INITIAL_SUBLIST_APPEND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Sphere.INITIAL_SUBLIST: !zl xl. initial_sublist xl zl <=> (?yl. zl = APPEND xl yl)
% Assm: TRUTH: T
% Goal: !ul vl. initial_sublist ul (APPEND ul vl)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !zl xl. initial_sublist xl zl <=> (?yl. zl = APPEND xl yl)
% Assm: T
% Goal: !ul vl. initial_sublist ul (APPEND ul vl)
%  TYPES
thf(tlistq1572041, type, listq1572041 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq1572041, type, q1572041 : $tType).
%  CONSTS
thf(cinitialuu_sublist, type, initialu_sublist : (listq1572041 > listq1572041 > $o)).
thf(cappend, type, append : (listq1572041 > listq1572041 > listq1572041)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSphereo_INITIALu_SUBLIST, axiom, ![ZL:listq1572041,XL:listq1572041]:((initialu_sublist @ XL @ ZL) <=> ?[YL:listq1572041]:(ZL = (append @ XL @ YL)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![UL:listq1572041,VL:listq1572041]:(initialu_sublist @ UL @ (append @ UL @ VL))).
