%   ORIGINAL: Packing3.VORONOI_LIST_ALMOST_CANONICAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_DELETE: !s x. FINITE (s DELETE x) <=> FINITE s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Packing3.INTERS_UNIV: !f. INTERS f = INTERS (f DELETE (:A))
% Assm: Packing3.INTER_AFFINE_HULL: !s. s = affine hull s INTER s
% Assm: Packing3.VORONOI_LIST_ALMOST_CANONICAL_0: !V ul h t. packing V /\ saturated V /\ set_of_list ul SUBSET V /\ ul = CONS h t ==> (?K. FINITE K /\ voronoi_list V ul = INTERS K /\ (!a. a IN K ==> (?v. v IN V /\ (a = bis_le v h \/ a = bis_le h v))))
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: Sphere.bis_le: !u v. bis_le u v = {x | dist (x,u) <= dist (x,v)}
% Assm: TRUTH: T
% Goal: !V ul h t. packing V /\ saturated V /\ set_of_list ul SUBSET V /\ ul = CONS h t ==> (?K. FINITE K /\ voronoi_list V ul = affine hull voronoi_list V ul INTER INTERS K /\ (!a. a IN K ==> (?v. v IN V /\ ~(v = h) /\ (a = bis_le v h \/ a = bis_le h v))))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s x. FINITE (s DELETE x) <=> FINITE s
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !x. x IN (:real^3->bool)
% Assm: !x. x IN (:real^3)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !f. INTERS f = INTERS (f DELETE (:real^3))
% Assm: !s. s = affine hull s INTER s
% Assm: !V ul h t. packing V /\ saturated V /\ set_of_list ul SUBSET V /\ ul = CONS h t ==> (?K. FINITE K /\ voronoi_list V ul = INTERS K /\ (!a. a IN K ==> (?v. v IN V /\ (a = bis_le v h \/ a = bis_le h v))))
% Assm: !x. x <= x
% Assm: !u v. bis_le u v = {x | dist (x,u) <= dist (x,v)}
% Assm: T
% Goal: !V ul h t. packing V /\ saturated V /\ set_of_list ul SUBSET V /\ ul = CONS h t ==> (?K. FINITE K /\ voronoi_list V ul = affine hull voronoi_list V ul INTER INTERS K /\ (!a. a IN K ==> (?v. v IN V /\ ~(v = h) /\ (a = bis_le v h \/ a = bis_le h v))))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tlistcartrealn3, type, listcartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(ci, type, i : (listcartrealn3 > listcartrealn3)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ci1, type, i1 : (cartrealn3 > cartrealn3)).
thf(ci0, type, i0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cinters, type, inters : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csetuu_ofuu_list, type, setu_ofu_list : (listcartrealn3 > cartrealn3 > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cdelete0, type, delete0 : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(cdelete, type, delete : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cbisuu_le, type, bisu_le : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvoronoiuu_list, type, voronoiu_list : ((cartrealn3 > $o) > listcartrealn3 > cartrealn3 > $o)).
thf(ccons, type, cons : (cartrealn3 > listcartrealn3 > listcartrealn3)).
thf(cuniv0, type, univ0 : (cartrealn3 > $o)).
thf(cuniv, type, univ : ((cartrealn3 > $o) > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn3 > $o) > $o) > $o)).
thf(csaturated, type, saturated : ((cartrealn3 > $o) > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > listcartrealn3),G:(a > listcartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealn3 > $o)]:(^[X:cartrealn3]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFINITEu_DELETE, axiom, ![S:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((finite @ (delete @ S @ X)) <=> (finite @ S))).
thf(aINu_monomorphized1, axiom, ![P:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_DELETEu_monomorphized1, axiom, ![S:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o),Y:(cartrealn3 > $o)]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_DELETEu_monomorphized0, axiom, ![S:(cartrealn3 > $o),X:cartrealn3,Y:cartrealn3]:((in0 @ X @ (delete0 @ S @ Y)) <=> ((in0 @ X @ S) & ~ ((X = Y))))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized1, axiom, ![P:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (gspec @ ^[V:(cartrealn3 > $o)]:?[Y:(cartrealn3 > $o)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized0, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in0 @ X @ (gspec0 @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTERS, axiom, ![S:((cartrealn3 > $o) > $o),X:cartrealn3]:((in0 @ X @ (inters @ S)) <=> ![T:(cartrealn3 > $o)]:((in @ T @ S) => (in0 @ X @ T)))).
thf(aINu_UNIVu_monomorphized1, axiom, ![X:(cartrealn3 > $o)]:(in @ X @ univ)).
thf(aINu_UNIVu_monomorphized0, axiom, ![X:cartrealn3]:(in0 @ X @ univ0)).
thf(aIu_THMu_monomorphized2, axiom, ![X:listcartrealn3]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:(cartrealn3 > $o)]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealn3]:((i1 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPacking3o_INTERSu_UNIV, axiom, ![F:((cartrealn3 > $o) > $o)]:((inters @ F) = (inters @ (delete @ F @ univ0)))).
thf(aPacking3o_INTERu_AFFINEu_HULL, axiom, ![S:(cartrealn3 > $o)]:(S = (inter @ (hull @ affine @ S) @ S))).
thf(aPacking3o_VORONOIu_LISTu_ALMOSTu_CANONICALu_0, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3,H:cartrealn3,T:listcartrealn3]:(((packing @ V) & (saturated @ V) & (subset @ (setu_ofu_list @ UL) @ V) & (UL = (cons @ H @ T))) => ?[K:((cartrealn3 > $o) > $o)]:((finite @ K) & ((voronoiu_list @ V @ UL) = (inters @ K)) & ![A:(cartrealn3 > $o)]:((in @ A @ K) => ?[V0:cartrealn3]:((in0 @ V0 @ V) & ((A = (bisu_le @ V0 @ H)) | (A = (bisu_le @ H @ V0)))))))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aSphereo_bisu_le, axiom, ![U:cartrealn3,V:cartrealn3]:((bisu_le @ U @ V) = (gspec0 @ ^[GENR_PVARR_5:cartrealn3]:?[X:cartrealn3]:(setspec0 @ GENR_PVARR_5 @ (realu_le @ (distance @ (c_ @ X @ U)) @ (distance @ (c_ @ X @ V))) @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),UL:listcartrealn3,H:cartrealn3,T:listcartrealn3]:(((packing @ V) & (saturated @ V) & (subset @ (setu_ofu_list @ UL) @ V) & (UL = (cons @ H @ T))) => ?[K:((cartrealn3 > $o) > $o)]:((finite @ K) & ((voronoiu_list @ V @ UL) = (inter @ (hull @ affine @ (voronoiu_list @ V @ UL)) @ (inters @ K))) & ![A:(cartrealn3 > $o)]:((in @ A @ K) => ?[V0:cartrealn3]:((in0 @ V0 @ V) & ~ ((V0 = H)) & ((A = (bisu_le @ V0 @ H)) | (A = (bisu_le @ H @ V0)))))))).
