%   ORIGINAL: Rogers.DUUNHOR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD1: !m. SUC m = m + 1
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: AFF_DIM_CONVEX_HULL: !s. aff_dim (convex hull s) = aff_dim s
% Assm: AFF_DIM_HYPERPLANE: !a b. ~(a = vec 0) ==> aff_dim {x | a dot x = b} = &(dimindex (:N)) - &1
% Assm: AFF_DIM_LE_UNIV: !s. aff_dim s <= &(dimindex (:N))
% Assm: AFF_DIM_SUBSET: !s t. s SUBSET t ==> aff_dim s <= aff_dim t
% Assm: ARITH_ADD_conjunct0: !m n. NUMERAL m + NUMERAL n = NUMERAL (m + n)
% Assm: ARITH_ADD_conjunct1: _0 + _0 = _0
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct3: !n. _0 + BIT1 n = BIT1 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_ADD_conjunct8: !m n. BIT1 m + BIT0 n = BIT1 (m + n)
% Assm: ARITH_ADD_conjunct9: !m n. BIT1 m + BIT1 n = BIT0 (SUC (m + n))
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_EQ_conjunct6: !m n. BIT0 m = BIT0 n <=> m = n
% Assm: ARITH_EQ_conjunct9: !m n. BIT1 m = BIT1 n <=> m = n
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct5: !n. _0 <= BIT1 n <=> T
% Assm: ARITH_LE_conjunct8: !m n. BIT1 m <= BIT0 n <=> m < n
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct2: !n. _0 * BIT0 n = _0
% Assm: ARITH_MULT_conjunct3: !n. _0 * BIT1 n = _0
% Assm: ARITH_MULT_conjunct4: !n. BIT0 n * _0 = _0
% Assm: ARITH_MULT_conjunct5: !n. BIT1 n * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_SUC_conjunct3: !n. SUC (BIT1 n) = BIT0 (SUC n)
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_IMAGE_LE: !f s. FINITE s ==> CARD (IMAGE f s) <= CARD s
% Assm: CARD_NUMSEG_LT: !n. CARD {m | m < n} = n
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: CONVEX_HULL_EQ: !s. convex hull s = s <=> convex s
% Assm: CONVEX_HULL_EXPLICIT: !p. convex hull p = {y | ?s u. FINITE s /\ s SUBSET p /\ (!x. x IN s ==> &0 <= u x) /\ sum s u = &1 /\ vsum s (\v. u v % v) = y}
% Assm: CONVEX_HULL_FINITE: !s. convex hull s = {y | ?u. (!x. x IN s ==> &0 <= u x) /\ sum s u = &1 /\ vsum s (\x. u x % x) = y}
% Assm: COPLANAR_SUBSET: !s t. coplanar t /\ s SUBSET t ==> coplanar s
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: DIMINDEX_3: dimindex (:3) = 3
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXP_conjunct0: !m. m EXP 0 = 1
% Assm: EXP_conjunct1: !m n. m EXP SUC n = m * m EXP n
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FACET_OF_IMP_FACE_OF: !f s. f facet_of s ==> f face_of s
% Assm: FACE_OF_AFF_DIM_LT: !f s. convex s /\ f face_of s /\ ~(f = s) ==> aff_dim f < aff_dim s
% Assm: FACE_OF_FACE: !f s t. t face_of s ==> (f face_of t <=> f face_of s /\ f SUBSET t)
% Assm: FACE_OF_INTER_INTER: !f t f' t'. f face_of t /\ f' face_of t' ==> f INTER f' face_of t INTER t'
% Assm: FINITE_DIFF: !s t. FINITE s ==> FINITE (s DIFF t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FINITE_NUMSEG_LE: !n. FINITE {m | m <= n}
% Assm: FINITE_NUMSEG_LT: !n. FINITE {m | m < n}
% Assm: FINITE_SING: !a. FINITE {a}
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: FINITE_UNION: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: HULL_UNION_SUBSET: !P s t. P hull s UNION P hull t SUBSET P hull (s UNION t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTER_ACI_conjunct3: p INTER p = p
% Assm: INTER_SUBSET_conjunct0: !s t. s INTER t SUBSET s
% Assm: INTER_SUBSET_conjunct1: !s t. t INTER s SUBSET s
% Assm: INT_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: INT_LT_DISCRETE: !x y. x < y <=> x + &1 <= y
% Assm: INT_NOT_EQ: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: INT_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: INT_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: INT_OF_NUM_ADD: !m n. &m + &n = &(m + n)
% Assm: INT_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: INT_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: INT_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: INT_POS: !n. &0 <= &n
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_0: !n. 0 <= n
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_REFL: !n. n <= n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: LT_LE: !m n. m < n <=> m <= n /\ ~(m = n)
% Assm: MULT_AC_conjunct0: m * n = n * m
% Assm: MULT_AC_conjunct1: (m * n) * p = m * n * p
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: Pack2.INTER_VORONOI_SUBSET_BISECTOR: !s u v. u IN s /\ v IN s ==> voronoi_closed s u INTER voronoi_closed s v SUBSET {x | &2 % (u - v) dot x = norm u pow 2 - norm v pow 2}
% Assm: Pack_concl.NOPZSEH: !k ul V. barV V k ul <=> LENGTH ul = k + 1 /\ (!vl. initial_sublist vl ul /\ 0 < LENGTH vl ==> voronoi_nondg V vl)
% Assm: Packing3.BARV_IMP_HD_IN_SET_OF_LIST: !V k ul. barV V k ul ==> HD ul IN set_of_list ul
% Assm: Packing3.BARV_SUBSET: !V k ul. barV V k ul ==> set_of_list ul SUBSET V
% Assm: Packing3.CONVEX_VORONOI_LIST: !V ul. convex (voronoi_list V ul)
% Assm: Packing3.IN_TRANS: !x s t. x IN t /\ t SUBSET s ==> x IN s
% Assm: Packing3.OMEGA_LIST_N_IN_VORONOI_LIST: !V ul k i. barV V k ul /\ i <= k ==> omega_list_n V ul i IN voronoi_list V (truncate_simplex i ul)
% Assm: Packing3.POLYHEDRON_VORONOI_LIST: !V ul. packing V /\ saturated V /\ set_of_list ul SUBSET V ==> polyhedron (voronoi_list V ul)
% Assm: Packing3.TRUNCATE_0_EQ_HEAD: !ul. 1 <= LENGTH ul ==> truncate_simplex 0 ul = [HD ul]
% Assm: Packing3.TRUNCATE_SIMPLEX_BARV: !V r k zl. barV V k zl /\ r <= k ==> barV V r (truncate_simplex r zl)
% Assm: Packing3.TRUNCATE_TRUNCATE_SIMPLEX: !ul i j. i <= j /\ j + 1 <= LENGTH ul ==> truncate_simplex i (truncate_simplex j ul) = truncate_simplex i ul
% Assm: Packing3.VORONOI_LIST_SING: !V u. voronoi_list V [u] = voronoi_closed V u
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RINV: !x. ~(x = &0) ==> x * inv x = &1
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: REAL_SUB_RZERO: !x. x - &0 = x
% Assm: Real_ext.REAL_PROP_NN_INV: !x. &0 <= inv x <=> &0 <= x
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: Rogers.AFF_DIM_FINITE_UNION_LE: !s t. FINITE s ==> aff_dim (s UNION t) <= &(CARD s) + aff_dim t
% Assm: Rogers.AFF_DIM_LE_2_IMP_COPLANAR: !s. aff_dim s <= &2 ==> coplanar s
% Assm: Rogers.IDBEZAL: !V ul k F. saturated V /\ packing V /\ barV V k ul /\ k < 3 ==> (F facet_of voronoi_list V ul <=> (?vl. F = voronoi_list V vl /\ barV V (k + 1) vl /\ truncate_simplex k vl = ul))
% Assm: Rogers.ODIGPXU: !P f f' p0 p q t s. polyhedron P /\ p0 IN P /\ ~(p0 IN f UNION f') /\ f facet_of P /\ f' facet_of P /\ p IN f /\ q IN f' /\ &0 < t /\ &0 < s /\ (&1 - t) % p0 + t % p = (&1 - s) % p0 + s % q ==> s = t
% Assm: Rogers.OMEGA_LIST_N_EQ: !V ul i j. omega_list_n V ul i IN voronoi_list V (truncate_simplex (SUC i) ul) ==> omega_list_n V ul (SUC i) = omega_list_n V ul i
% Assm: Rogers.OMEGA_LIST_N_EQ_GEN: !V ul k i j. packing V /\ saturated V /\ barV V k ul /\ i < j /\ j <= k /\ omega_list_n V ul i IN voronoi_list V (truncate_simplex j ul) ==> omega_list_n V ul (SUC i) = omega_list_n V ul i
% Assm: Rogers.OMEGA_LIST_N_IN_FACET: !V ul k i. packing V /\ saturated V /\ barV V k ul /\ i < k ==> (?F. F facet_of voronoi_list V (truncate_simplex i ul) /\ voronoi_list V (truncate_simplex (i + 1) ul) = F /\ (!j. i < j /\ j <= k ==> omega_list_n V ul j IN F))
% Assm: Rogers.OMEGA_LIST_N_IN_VORONOI_LIST_GEN: !V ul k i j. packing V /\ saturated V /\ barV V k ul /\ i <= j /\ j <= k ==> omega_list_n V ul j IN voronoi_list V (truncate_simplex i ul)
% Assm: Rogers.ROGERS_AFF_DIM_FULL: !V ul. barV V 3 ul /\ aff_dim (rogers V ul) = &3 ==> (!i j. i < 4 /\ j < 4 /\ ~(i = j) ==> ~(omega_list_n V ul i = omega_list_n V ul j))
% Assm: Rogers.SET_OF_LIST_TRUNCATE_SIMPLEX_SUBSET: !ul k. k + 1 <= LENGTH ul ==> set_of_list (truncate_simplex k ul) SUBSET set_of_list ul
% Assm: Rogers.VORONOI_CLOSED_EQ_LEMMA: !V u v. packing V /\ u IN V /\ v IN V /\ voronoi_closed V u = voronoi_closed V v ==> u = v
% Assm: Rogers.VORONOI_LIST_AFF_DIM: !V ul k i. barV V k ul /\ i <= k ==> aff_dim (voronoi_list V (truncate_simplex i ul)) = &3 - &i
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: SUB_ELIM_THM: P (a - b) <=> (!d. a = b + d \/ a < b /\ d = 0 ==> P d)
% Assm: SUM_CLAUSES_conjunct0: !f. sum {} f = &0
% Assm: SUM_DELETE: !f s a. FINITE s /\ a IN s ==> sum (s DELETE a) f = sum s f - f a
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_LMUL: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: SUM_POS_EQ_0: !f s. FINITE s /\ (!x. x IN s ==> &0 <= f x) /\ sum s f = &0 ==> (!x. x IN s ==> f x = &0)
% Assm: SUM_POS_LE: !f s. FINITE s /\ (!x. x IN s ==> &0 <= f x) ==> &0 <= sum s f
% Assm: SUM_SING: !f x. sum {x} f = f x
% Assm: SUM_SUBSET_SIMPLE: !u v f. FINITE v /\ u SUBSET v /\ (!x. x IN v DIFF u ==> &0 <= f x) ==> sum u f <= sum v f
% Assm: SUM_SUPERSET: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = &0) ==> sum v f = sum u f
% Assm: SUM_UNION: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> sum (s UNION t) f = sum s f + sum t f
% Assm: SUM_UNION_EQ: !s t u. FINITE u /\ s INTER t = {} /\ s UNION t = u ==> sum s f + sum t f = sum u f
% Assm: Sphere.OMEGA_LIST_N_conjunct0: omega_list_n V ul 0 = HD ul
% Assm: Sphere.OMEGA_LIST_N_conjunct1: omega_list_n V ul (SUC i) = closest_point (voronoi_list V (truncate_simplex (SUC i) ul)) (omega_list_n V ul i)
% Assm: Sphere.ROGERS: !V ul. rogers V ul = convex hull IMAGE (omega_list_n V ul) {j | j < LENGTH ul}
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: Trigonometry.WHIAXYD2: x + y + z = (x + y) + z
% Assm: VECTOR_ADD_RDISTRIB: (a + b) % x = a % x + b % x
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_MUL_EQ_0: !a x. a % x = vec 0 <=> a = &0 \/ x = vec 0
% Assm: VECTOR_MUL_LCANCEL: !a x y. a % x = a % y <=> a = &0 \/ x = y
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: VECTOR_MUL_RCANCEL: !a b x. a % x = b % x <=> a = b \/ x = vec 0
% Assm: VECTOR_SUB_EQ: !x y. x - y = vec 0 <=> x = y
% Assm: VSUM_DELETE: !f s a. FINITE s /\ a IN s ==> vsum (s DELETE a) f = vsum s f - f a
% Assm: VSUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: VSUM_LMUL: !f c s. vsum s (\x. c % f x) = c % vsum s f
% Assm: VSUM_SING: !f x. vsum {x} f = f x
% Assm: VSUM_SUPERSET: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = vec 0) ==> vsum v f = vsum u f
% Assm: VSUM_UNION: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> vsum (s UNION t) f = vsum s f + vsum t f
% Assm: int_add_th: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: int_sub_th: !x y. real_of_int (x - y) = real_of_int x - real_of_int y
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: num_WF: !P. (!n. (!m. m < n ==> P m) ==> P n) ==> (!n. P n)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: vector_add: !x y. x + y = (lambda i. x$i + y$i)
% Assm: vector_mul: !c x. c % x = (lambda i. c * x$i)
% Assm: vector_sub: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !V ul vl. packing V /\ saturated V /\ ul IN barV V 3 /\ vl IN barV V 3 /\ ~(rogers V ul = rogers V vl) ==> coplanar (rogers V ul INTER rogers V vl)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m. SUC m = m + 1
% Assm: !n m. m + n = n + m
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !s. aff_dim (convex hull s) = aff_dim s
% Assm: !a b. ~(a = vec 0) ==> aff_dim {x | a dot x = b} = &(dimindex (:N)) - &1
% Assm: !s. aff_dim s <= &(dimindex (:N))
% Assm: !s t. s SUBSET t ==> aff_dim s <= aff_dim t
% Assm: !m n. NUMERAL m + NUMERAL n = NUMERAL (m + n)
% Assm: _0 + _0 = _0
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. _0 + BIT1 n = BIT1 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. BIT1 m + BIT0 n = BIT1 (m + n)
% Assm: !m n. BIT1 m + BIT1 n = BIT0 (SUC (m + n))
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. BIT0 m = BIT0 n <=> m = n
% Assm: !m n. BIT1 m = BIT1 n <=> m = n
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: !n. _0 <= BIT1 n <=> T
% Assm: !m n. BIT1 m <= BIT0 n <=> m < n
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !n. _0 * BIT0 n = _0
% Assm: !n. _0 * BIT1 n = _0
% Assm: !n. BIT0 n * _0 = _0
% Assm: !n. BIT1 n * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: !n. SUC (BIT1 n) = BIT0 (SUC n)
% Assm: BIT0 _0 = _0
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. FINITE s ==> CARD (IMAGE f s) <= CARD s
% Assm: !n. CARD {m | m < n} = n
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !s. convex hull s = s <=> convex s
% Assm: !p. convex hull p = {y | ?s u. FINITE s /\ s SUBSET p /\ (!x. x IN s ==> &0 <= u x) /\ sum s u = &1 /\ vsum s (\v. u v % v) = y}
% Assm: !s. convex hull s = {y | ?u. (!x. x IN s ==> &0 <= u x) /\ sum s u = &1 /\ vsum s (\x. u x % x) = y}
% Assm: !s t. coplanar t /\ s SUBSET t ==> coplanar s
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: dimindex (:3) = 3
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !m. m EXP 0 = 1
% Assm: !m n. m EXP SUC n = m * m EXP n
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. f facet_of s ==> f face_of s
% Assm: !f s. convex s /\ f face_of s /\ ~(f = s) ==> aff_dim f < aff_dim s
% Assm: !f s t. t face_of s ==> (f face_of t <=> f face_of s /\ f SUBSET t)
% Assm: !f t f' t'. f face_of t /\ f' face_of t' ==> f INTER f' face_of t INTER t'
% Assm: !s t. FINITE s ==> FINITE (s DIFF t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !n. FINITE {m | m <= n}
% Assm: !n. FINITE {m | m < n}
% Assm: !a. FINITE {a}
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: !P s t. P hull s UNION P hull t SUBSET P hull (s UNION t)
% Assm: !P x. x IN P <=> P x
% Assm: !p. p INTER p = p
% Assm: !s t. s INTER t SUBSET s
% Assm: !s t. t INTER s SUBSET s
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !x y. x < y <=> x + &1 <= y
% Assm: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !m n. &m + &n = &(m + n)
% Assm: !m n. &m = &n <=> m = n
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m < &n <=> m < n
% Assm: !n. &0 <= &n
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x y. x IN {y} <=> x = y
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !n. 0 <= n
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !n. n <= n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !m. m <= 0 <=> m = 0
% Assm: !m n. m < n <=> m <= n /\ ~(m = n)
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !s u v. u IN s /\ v IN s ==> voronoi_closed s u INTER voronoi_closed s v SUBSET {x | &2 % (u - v) dot x = norm u pow 2 - norm v pow 2}
% Assm: !k ul V. barV V k ul <=> LENGTH ul = k + 1 /\ (!vl. initial_sublist vl ul /\ 0 < LENGTH vl ==> voronoi_nondg V vl)
% Assm: !V k ul. barV V k ul ==> HD ul IN set_of_list ul
% Assm: !V k ul. barV V k ul ==> set_of_list ul SUBSET V
% Assm: !V ul. convex (voronoi_list V ul)
% Assm: !x s t. x IN t /\ t SUBSET s ==> x IN s
% Assm: !V ul k i. barV V k ul /\ i <= k ==> omega_list_n V ul i IN voronoi_list V (truncate_simplex i ul)
% Assm: !V ul. packing V /\ saturated V /\ set_of_list ul SUBSET V ==> polyhedron (voronoi_list V ul)
% Assm: !ul. 1 <= LENGTH ul ==> truncate_simplex 0 ul = [HD ul]
% Assm: !V r k zl. barV V k zl /\ r <= k ==> barV V r (truncate_simplex r zl)
% Assm: !ul i j. i <= j /\ j + 1 <= LENGTH ul ==> truncate_simplex i (truncate_simplex j ul) = truncate_simplex i ul
% Assm: !V u. voronoi_list V [u] = voronoi_closed V u
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: !x y. --x * y = --(x * y)
% Assm: !x. ~(x = &0) ==> x * inv x = &1
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x. x - &0 = x
% Assm: !x. &0 <= inv x <=> &0 <= x
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !s t. FINITE s ==> aff_dim (s UNION t) <= &(CARD s) + aff_dim t
% Assm: !s. aff_dim s <= &2 ==> coplanar s
% Assm: !V ul k F. saturated V /\ packing V /\ barV V k ul /\ k < 3 ==> (F facet_of voronoi_list V ul <=> (?vl. F = voronoi_list V vl /\ barV V (k + 1) vl /\ truncate_simplex k vl = ul))
% Assm: !P f f' p0 p q t s. polyhedron P /\ p0 IN P /\ ~(p0 IN f UNION f') /\ f facet_of P /\ f' facet_of P /\ p IN f /\ q IN f' /\ &0 < t /\ &0 < s /\ (&1 - t) % p0 + t % p = (&1 - s) % p0 + s % q ==> s = t
% Assm: !V ul i j. omega_list_n V ul i IN voronoi_list V (truncate_simplex (SUC i) ul) ==> omega_list_n V ul (SUC i) = omega_list_n V ul i
% Assm: !V ul k i j. packing V /\ saturated V /\ barV V k ul /\ i < j /\ j <= k /\ omega_list_n V ul i IN voronoi_list V (truncate_simplex j ul) ==> omega_list_n V ul (SUC i) = omega_list_n V ul i
% Assm: !V ul k i. packing V /\ saturated V /\ barV V k ul /\ i < k ==> (?F. F facet_of voronoi_list V (truncate_simplex i ul) /\ voronoi_list V (truncate_simplex (i + 1) ul) = F /\ (!j. i < j /\ j <= k ==> omega_list_n V ul j IN F))
% Assm: !V ul k i j. packing V /\ saturated V /\ barV V k ul /\ i <= j /\ j <= k ==> omega_list_n V ul j IN voronoi_list V (truncate_simplex i ul)
% Assm: !V ul. barV V 3 ul /\ aff_dim (rogers V ul) = &3 ==> (!i j. i < 4 /\ j < 4 /\ ~(i = j) ==> ~(omega_list_n V ul i = omega_list_n V ul j))
% Assm: !ul k. k + 1 <= LENGTH ul ==> set_of_list (truncate_simplex k ul) SUBSET set_of_list ul
% Assm: !V u v. packing V /\ u IN V /\ v IN V /\ voronoi_closed V u = voronoi_closed V v ==> u = v
% Assm: !V ul k i. barV V k ul /\ i <= k ==> aff_dim (voronoi_list V (truncate_simplex i ul)) = &3 - &i
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: !a b P. P (a - b) <=> (!d. a = b + d \/ a < b /\ d = 0 ==> P d)
% Assm: !f. sum {} f = &0
% Assm: !f s a. FINITE s /\ a IN s ==> sum (s DELETE a) f = sum s f - f a
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: !f s. FINITE s /\ (!x. x IN s ==> &0 <= f x) /\ sum s f = &0 ==> (!x. x IN s ==> f x = &0)
% Assm: !f s. FINITE s /\ (!x. x IN s ==> &0 <= f x) ==> &0 <= sum s f
% Assm: !f x. sum {x} f = f x
% Assm: !u v f. FINITE v /\ u SUBSET v /\ (!x. x IN v DIFF u ==> &0 <= f x) ==> sum u f <= sum v f
% Assm: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = &0) ==> sum v f = sum u f
% Assm: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> sum (s UNION t) f = sum s f + sum t f
% Assm: !f s t u. FINITE u /\ s INTER t = {} /\ s UNION t = u ==> sum s f + sum t f = sum u f
% Assm: !V ul. omega_list_n V ul 0 = HD ul
% Assm: !V ul i. omega_list_n V ul (SUC i) = closest_point (voronoi_list V (truncate_simplex (SUC i) ul)) (omega_list_n V ul i)
% Assm: !V ul. rogers V ul = convex hull IMAGE (omega_list_n V ul) {j | j < LENGTH ul}
% Assm: T
% Assm: 2 = SUC 1
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !a b x. (a + b) % x = a % x + b % x
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !a x. a % x = vec 0 <=> a = &0 \/ x = vec 0
% Assm: !a x y. a % x = a % y <=> a = &0 \/ x = y
% Assm: !x. &1 % x = x
% Assm: !a b x. a % x = b % x <=> a = b \/ x = vec 0
% Assm: !x y. x - y = vec 0 <=> x = y
% Assm: !f s a. FINITE s /\ a IN s ==> vsum (s DELETE a) f = vsum s f - f a
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> vsum s f = vsum s g
% Assm: !f c s. vsum s (\x. c % f x) = c % vsum s f
% Assm: !f x. vsum {x} f = f x
% Assm: !f u v. u SUBSET v /\ (!x. x IN v /\ ~(x IN u) ==> f x = vec 0) ==> vsum v f = vsum u f
% Assm: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> vsum (s UNION t) f = vsum s f + vsum t f
% Assm: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Assm: !x y. real_of_int (x - y) = real_of_int x - real_of_int y
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !P. (!n. (!m. m < n ==> P m) ==> P n) ==> (!n. P n)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !x y. x + y = (lambda i. x$i + y$i)
% Assm: !c x. c % x = (lambda i. c * x$i)
% Assm: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !V ul vl. packing V /\ saturated V /\ ul IN barV V 3 /\ vl IN barV V 3 /\ ~(rogers V ul = rogers V vl) ==> coplanar (rogers V ul INTER rogers V vl)
%  TYPES
thf(tq50479, type, q50479 : $tType).
thf(tq103742, type, q103742 : $tType).
thf(tint, type, int : $tType).
thf(tq97300, type, q97300 : $tType).
thf(tcartrealq97326, type, cartrealq97326 : $tType).
thf(tq97326, type, q97326 : $tType).
thf(tnum, type, num : $tType).
thf(tq71614, type, q71614 : $tType).
thf(tcartrealq99984, type, cartrealq99984 : $tType).
thf(tq97451, type, q97451 : $tType).
thf(tcartrealq97451, type, cartrealq97451 : $tType).
thf(tq103205, type, q103205 : $tType).
thf(tq99960, type, q99960 : $tType).
thf(tq99984, type, q99984 : $tType).
thf(tcartrealq99960, type, cartrealq99960 : $tType).
thf(tcartrealq97340, type, cartrealq97340 : $tType).
thf(tcartrealq359116, type, cartrealq359116 : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tcartrealq351685, type, cartrealq351685 : $tType).
thf(tq104165, type, q104165 : $tType).
thf(tq49464, type, q49464 : $tType).
thf(tcartrealq100028, type, cartrealq100028 : $tType).
thf(tq103502, type, q103502 : $tType).
thf(tcartrealq103527, type, cartrealq103527 : $tType).
thf(tcartrealq103614, type, cartrealq103614 : $tType).
thf(ta, type, a : $tType).
thf(tq103527, type, q103527 : $tType).
thf(tq103212, type, q103212 : $tType).
thf(tq70214, type, q70214 : $tType).
thf(tq94770, type, q94770 : $tType).
thf(tb, type, b : $tType).
thf(tq351685, type, q351685 : $tType).
thf(tq1581785, type, q1581785 : $tType).
thf(tcartrealq103742, type, cartrealq103742 : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq100028, type, q100028 : $tType).
thf(tq359116, type, q359116 : $tType).
thf(tn3, type, n3 : $tType).
thf(tq70281, type, q70281 : $tType).
thf(tlistcartrealn3, type, listcartrealn3 : $tType).
thf(tcartrealq104165, type, cartrealq104165 : $tType).
thf(tq104170, type, q104170 : $tType).
thf(tcartrealq103212, type, cartrealq103212 : $tType).
thf(tcartrealq97300, type, cartrealq97300 : $tType).
thf(tcartfuncartrealn3boolb, type, cartfuncartrealn3boolb : $tType).
thf(treal, type, real : $tType).
thf(tq97340, type, q97340 : $tType).
thf(tq103614, type, q103614 : $tType).
thf(tn, type, n : $tType).
thf(tlista, type, lista : $tType).
%  CONSTS
thf(cempty0, type, empty0 : (q49464 > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(caffuu_dim0, type, affu_dim0 : ((cartrealn3 > $o) > int)).
thf(caffuu_dim, type, affu_dim : ((cartrealn > $o) > int)).
thf(cempty4, type, empty4 : (q104170 > $o)).
thf(cvec1, type, vec1 : (num > cartrealq100028)).
thf(chd0, type, hd0 : (lista > a)).
thf(cnil0, type, nil0 : listcartrealn3).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(clambda0, type, lambda0 : ((num > cartrealn3 > $o) > cartfuncartrealn3boolb)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cempty1, type, empty1 : (listcartrealn3 > $o)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cvec2, type, vec2 : (num > cartrealq97300)).
thf(cbit0, type, bit0 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cdisjoint1, type, disjoint1 : ((q103502 > $o) > (q103502 > $o) > $o)).
thf(csum4, type, sum4 : ((q70281 > $o) > (q70281 > real) > real)).
thf(cdisjoint0, type, disjoint0 : ((q70281 > $o) > (q70281 > $o) > $o)).
thf(csum3, type, sum3 : ((q71614 > $o) > (q71614 > real) > real)).
thf(csum2, type, sum2 : ((a > $o) > (a > real) > real)).
thf(csum1, type, sum1 : ((listcartrealn3 > $o) > (listcartrealn3 > real) > real)).
thf(csum0, type, sum0 : ((q70214 > $o) > (q70214 > real) > real)).
thf(cmu_, type, m_ : (num > num > num)).
thf(csetuu_ofuu_list0, type, setu_ofu_list0 : (lista > a > $o)).
thf(cfacetuu_of1, type, facetu_of1 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin1, type, in1 : (cartrealn > (cartrealn > $o) > $o)).
thf(cfacetuu_of0, type, facetu_of0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csubset4, type, subset4 : ((listcartrealn3 > $o) > (listcartrealn3 > $o) > $o)).
thf(csetuu_ofuu_list, type, setu_ofu_list : (listcartrealn3 > cartrealn3 > $o)).
thf(chd, type, hd : (listcartrealn3 > cartrealn3)).
thf(cvoronoiuu_nondg, type, voronoiu_nondg : ((cartrealn3 > $o) > listcartrealn3 > $o)).
thf(cinitialuu_sublist, type, initialu_sublist : (listcartrealn3 > listcartrealn3 > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cdot0, type, dot0 : (cartrealn3 > cartrealn3 > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cgspec2, type, gspec2 : ((listcartrealn3 > $o) > listcartrealn3 > $o)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(csubset3, type, subset3 : ((q94770 > $o) > (q94770 > $o) > $o)).
thf(csubset2, type, subset2 : ((a > $o) > (a > $o) > $o)).
thf(csubset1, type, subset1 : ((cartrealq351685 > $o) > (cartrealq351685 > $o) > $o)).
thf(cfaceuu_of1, type, faceu_of1 : ((cartrealq351685 > $o) > (cartrealq351685 > $o) > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(cfaceuu_of0, type, faceu_of0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealq359116 > $o) > (cartrealq359116 > $o) > $o)).
thf(cfacetuu_of, type, facetu_of : ((cartrealq359116 > $o) > (cartrealq359116 > $o) > $o)).
thf(cexp, type, exp : (num > num > num)).
thf(cdisjoint, type, disjoint : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(csum, type, sum : ((cartrealn3 > $o) > (cartrealn3 > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(csubset0, type, subset0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cgspec1, type, gspec1 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cgspec0, type, gspec0 : ((num > $o) > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cin, type, in : (listcartrealn3 > (listcartrealn3 > $o) > $o)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cempty2, type, empty2 : (q70214 > $o)).
thf(cvectoruu_sub2, type, vectoru_sub2 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealq103527 > cartrealq103527 > cartrealq103527)).
thf(cunion5, type, union5 : ((q103502 > $o) > (q103502 > $o) > q103502 > $o)).
thf(cvsum5, type, vsum5 : ((q103502 > $o) > (q103502 > cartrealq103527) > cartrealq103527)).
thf(cvsum4, type, vsum4 : ((listcartrealn3 > $o) > (listcartrealn3 > cartrealn) > cartrealn)).
thf(cinsert2, type, insert2 : (q104170 > (q104170 > $o) > q104170 > $o)).
thf(cvsum3, type, vsum3 : ((q104170 > $o) > (q104170 > cartrealq104165) > cartrealq104165)).
thf(cru_7, type, r_7 : (real > cartrealq103212 > cartrealq103212)).
thf(cvsum2, type, vsum2 : ((q103205 > $o) > (q103205 > cartrealq103212) > cartrealq103212)).
thf(cvsum1, type, vsum1 : ((listcartrealn3 > $o) > (listcartrealn3 > cartrealq103742) > cartrealq103742)).
thf(cvectoruu_sub1, type, vectoru_sub1 : (cartrealq103614 > cartrealq103614 > cartrealq103614)).
thf(cvsum0, type, vsum0 : ((listcartrealn3 > $o) > (listcartrealn3 > cartrealq103614) > cartrealq103614)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq97300 > cartrealq97300 > cartrealq97300)).
thf(cru_6, type, r_6 : (real > cartrealq100028 > cartrealq100028)).
thf(cru_5, type, r_5 : (real > cartrealq97340 > cartrealq97340)).
thf(cru_4, type, r_4 : (real > cartrealq99984 > cartrealq99984)).
thf(cru_3, type, r_3 : (real > cartrealq99960 > cartrealq99960)).
thf(cru_2, type, r_2 : (real > cartrealq97326 > cartrealq97326)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq97451 > cartrealq97451 > cartrealq97451)).
thf(cru_1, type, r_1 : (real > cartrealq97451 > cartrealq97451)).
thf(cimage1, type, image1 : ((num > cartrealn3) > (num > $o) > cartrealn3 > $o)).
thf(cclosestuu_point, type, closestu_point : ((cartrealn3 > $o) > cartrealn3 > cartrealn3)).
thf(cunion4, type, union4 : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cunion3, type, union3 : ((q70281 > $o) > (q70281 > $o) > q70281 > $o)).
thf(cinsert1, type, insert1 : (q71614 > (q71614 > $o) > q71614 > $o)).
thf(cru_0, type, r_0 : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cunion2, type, union2 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccons0, type, cons0 : (cartrealn3 > listcartrealn3 > listcartrealn3)).
thf(ccons, type, cons : (a > lista > lista)).
thf(ctruncateuu_simplex0, type, truncateu_simplex0 : (num > lista > lista)).
thf(ctruncateuu_simplex, type, truncateu_simplex : (num > listcartrealn3 > listcartrealn3)).
thf(comegauu_listuu_n, type, omegau_listu_n : ((cartrealn3 > $o) > listcartrealn3 > num > cartrealn3)).
thf(cvoronoiuu_list, type, voronoiu_list : ((cartrealn3 > $o) > listcartrealn3 > cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(cunion1, type, union1 : ((listcartrealn3 > $o) > (listcartrealn3 > $o) > listcartrealn3 > $o)).
thf(cinsert0, type, insert0 : (listcartrealn3 > (listcartrealn3 > $o) > listcartrealn3 > $o)).
thf(cinter0, type, inter0 : ((listcartrealn3 > $o) > (listcartrealn3 > $o) > listcartrealn3 > $o)).
thf(cimage0, type, image0 : ((listcartrealn3 > listcartrealn3) > (listcartrealn3 > $o) > listcartrealn3 > $o)).
thf(csetspec2, type, setspec2 : (listcartrealn3 > $o > listcartrealn3 > $o)).
thf(cdiff0, type, diff0 : ((listcartrealn3 > $o) > (listcartrealn3 > $o) > listcartrealn3 > $o)).
thf(cdelete, type, delete : ((listcartrealn3 > $o) > listcartrealn3 > listcartrealn3 > $o)).
thf(chull1, type, hull1 : (((q94770 > $o) > $o) > (q94770 > $o) > q94770 > $o)).
thf(cunion0, type, union0 : ((q94770 > $o) > (q94770 > $o) > q94770 > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cinsert, type, insert : (q49464 > (q49464 > $o) > q49464 > $o)).
thf(cdiff, type, diff : ((q50479 > $o) > (q50479 > $o) > q50479 > $o)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvsum, type, vsum : ((cartrealn3 > $o) > (cartrealn3 > cartrealn3) > cartrealn3)).
thf(csetspec1, type, setspec1 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(chull0, type, hull0 : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > (cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdu_, type, d_ : (cartfuncartrealn3boolb > num > cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : (num > $o > num > $o)).
thf(cimage, type, image : ((a > b) > (a > $o) > b > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(crogers, type, rogers : ((cartrealn3 > $o) > listcartrealn3 > cartrealn3 > $o)).
thf(cbarv, type, barv : ((cartrealn3 > $o) > num > listcartrealn3 > $o)).
thf(cuniv1, type, univ1 : (n3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvec0, type, vec0 : (num > cartrealq99960)).
thf(cuniv, type, univ : (n > $o)).
thf(clength0, type, length0 : (lista > num)).
thf(clength, type, length : (listcartrealn3 > num)).
thf(cnil, type, nil : lista).
thf(cempty3, type, empty3 : (q71614 > $o)).
thf(cuniv0, type, univ0 : (b > $o)).
thf(cfinite8, type, finite8 : ((q103502 > $o) > $o)).
thf(cfinite7, type, finite7 : ((q70281 > $o) > $o)).
thf(cfinite6, type, finite6 : ((listcartrealn3 > $o) > $o)).
thf(cpolyhedron0, type, polyhedron0 : ((cartrealn > $o) > $o)).
thf(ccard2, type, card2 : ((cartrealn > $o) > num)).
thf(cfinite5, type, finite5 : ((cartrealn > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn3 > $o) > $o)).
thf(cdimindex1, type, dimindex1 : ((n3 > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(ccard1, type, card1 : ((num > $o) > num)).
thf(ccard0, type, card0 : ((a > $o) > num)).
thf(ccard, type, card : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cfinite4, type, finite4 : ((q49464 > $o) > $o)).
thf(cfinite3, type, finite3 : ((num > $o) > $o)).
thf(cfinite2, type, finite2 : ((b > $o) > $o)).
thf(cfinite1, type, finite1 : ((q50479 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfinite0, type, finite0 : ((cartrealn3 > $o) > $o)).
thf(cconvex0, type, convex0 : ((cartrealn3 > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(ccoplanar, type, coplanar : ((cartrealn3 > $o) > $o)).
thf(csaturated, type, saturated : ((cartrealn3 > $o) > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADD1, axiom, ![M:num]:((suc @ M) = (p_ @ M @ (numeral @ (bit1 @ u_0))))).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aAFFu_DIMu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:((affu_dim @ (hull @ convex @ S)) = (affu_dim @ S))).
thf(aAFFu_DIMu_HYPERPLANE, axiom, ![A:cartrealn,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) => ((affu_dim @ (gspec @ ^[GENR_PVARR_927:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_927 @ ((dot @ A @ X) = B) @ X))) = (intu_sub @ (intu_ofu_num @ (dimindex @ univ)) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aAFFu_DIMu_LEu_UNIV, axiom, ![S:(cartrealn > $o)]:(intu_le @ (affu_dim @ S) @ (intu_ofu_num @ (dimindex @ univ)))).
thf(aAFFu_DIMu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) => (intu_le @ (affu_dim @ S) @ (affu_dim @ T)))).
thf(aARITHu_ADDu_conjunct0, axiom, ![M:num,N:num]:((p_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct1, axiom, ((p_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct3, axiom, ![N:num]:((p_ @ u_0 @ (bit1 @ N)) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct8, axiom, ![M:num,N:num]:((p_ @ (bit1 @ M) @ (bit0 @ N)) = (bit1 @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct9, axiom, ![M:num,N:num]:((p_ @ (bit1 @ M) @ (bit1 @ N)) = (bit0 @ (suc @ (p_ @ M @ N))))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_EQu_conjunct6, axiom, ![M:num,N:num]:(((bit0 @ M) = (bit0 @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct9, axiom, ![M:num,N:num]:(((bit1 @ M) = (bit1 @ N)) <=> (M = N))).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct5, axiom, ![N:num]:((l_a_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_LEu_conjunct8, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit0 @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct2, axiom, ![N:num]:((t_ @ u_0 @ (bit0 @ N)) = u_0)).
thf(aARITHu_MULTu_conjunct3, axiom, ![N:num]:((t_ @ u_0 @ (bit1 @ N)) = u_0)).
thf(aARITHu_MULTu_conjunct4, axiom, ![N:num]:((t_ @ (bit0 @ N) @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct5, axiom, ![N:num]:((t_ @ (bit1 @ N) @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_SUCu_conjunct3, axiom, ![N:num]:((suc @ (bit1 @ N)) = (bit0 @ (suc @ N)))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_IMAGEu_LE, axiom, ![F:(a > b),S:(a > $o)]:((finite @ S) => (l_a_ @ (card @ (image @ F @ S)) @ (card0 @ S)))).
thf(aCARDu_NUMSEGu_LT, axiom, ![N:num]:((card1 @ (gspec0 @ ^[GENR_PVARR_107:num]:?[M:num]:(setspec0 @ GENR_PVARR_107 @ (l_ @ M @ N) @ M))) = N)).
thf(aCARTu_EQ, axiom, ![X:cartfuncartrealn3boolb,Y:cartfuncartrealn3boolb]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_CLAUSES, axiom, ![T1:(cartrealn3 > $o),T2:(cartrealn3 > $o)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCONVEXu_HULLu_EQ, axiom, ![S:(cartrealn3 > $o)]:(((hull0 @ convex0 @ S) = S) <=> (convex0 @ S))).
thf(aCONVEXu_HULLu_EXPLICIT, axiom, ![P:(cartrealn3 > $o)]:((hull0 @ convex0 @ P) = (gspec1 @ ^[GENR_PVARR_860:cartrealn3]:?[Y:cartrealn3]:(setspec1 @ GENR_PVARR_860 @ ?[S:(cartrealn3 > $o),U:(cartrealn3 > real)]:((finite0 @ S) & (subset0 @ S @ P) & ![X:cartrealn3]:((in0 @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (U @ X))) & ((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[V:cartrealn3]:(r_ @ (U @ V) @ V)) = Y)) @ Y)))).
thf(aCONVEXu_HULLu_FINITE, axiom, ![S:(cartrealn3 > $o)]:((hull0 @ convex0 @ S) = (gspec1 @ ^[GENR_PVARR_862:cartrealn3]:?[Y:cartrealn3]:(setspec1 @ GENR_PVARR_862 @ ?[U:(cartrealn3 > real)]:(![X:cartrealn3]:((in0 @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (U @ X))) & ((sum @ S @ U) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vsum @ S @ ^[X:cartrealn3]:(r_ @ (U @ X) @ X)) = Y)) @ Y)))).
thf(aCOPLANARu_SUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((coplanar @ T) & (subset0 @ S @ T)) => (coplanar @ S))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDIMINDEXu_3, axiom, ((dimindex1 @ univ1) = (numeral @ (bit1 @ (bit1 @ u_0))))).
thf(aDISJOINT, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(cartrealn3 > $o)]:(^[X:cartrealn3]:(T @ X) = T)).
thf(aEXPu_conjunct0, axiom, ![M:num]:((exp @ M @ (numeral @ u_0)) = (numeral @ (bit1 @ u_0)))).
thf(aEXPu_conjunct1, axiom, ![M:num,N:num]:((exp @ M @ (suc @ N)) = (t_ @ M @ (exp @ M @ N)))).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFACETu_OFu_IMPu_FACEu_OF, axiom, ![F:(cartrealq359116 > $o),S:(cartrealq359116 > $o)]:((facetu_of @ F @ S) => (faceu_of @ F @ S))).
thf(aFACEu_OFu_AFFu_DIMu_LT, axiom, ![F:(cartrealn3 > $o),S:(cartrealn3 > $o)]:(((convex0 @ S) & (faceu_of0 @ F @ S) & ~ ((F = S))) => (intu_lt @ (affu_dim0 @ F) @ (affu_dim0 @ S)))).
thf(aFACEu_OFu_FACE, axiom, ![F:(cartrealq351685 > $o),S:(cartrealq351685 > $o),T:(cartrealq351685 > $o)]:((faceu_of1 @ T @ S) => ((faceu_of1 @ F @ T) <=> ((faceu_of1 @ F @ S) & (subset1 @ F @ T))))).
thf(aFACEu_OFu_INTERu_INTER, axiom, ![F:(cartrealn3 > $o),T:(cartrealn3 > $o),FI_:(cartrealn3 > $o),TI_:(cartrealn3 > $o)]:(((faceu_of0 @ F @ T) & (faceu_of0 @ FI_ @ TI_)) => (faceu_of0 @ (inter @ F @ FI_) @ (inter @ T @ TI_)))).
thf(aFINITEu_DIFF, axiom, ![S:(q50479 > $o),T:(q50479 > $o)]:((finite1 @ S) => (finite1 @ (diff @ S @ T)))).
thf(aFINITEu_IMAGE, axiom, ![F:(a > b),S:(a > $o)]:((finite @ S) => (finite2 @ (image @ F @ S)))).
thf(aFINITEu_NUMSEGu_LE, axiom, ![N:num]:(finite3 @ (gspec0 @ ^[GENR_PVARR_110:num]:?[M:num]:(setspec0 @ GENR_PVARR_110 @ (l_a_ @ M @ N) @ M)))).
thf(aFINITEu_NUMSEGu_LT, axiom, ![N:num]:(finite3 @ (gspec0 @ ^[GENR_PVARR_108:num]:?[M:num]:(setspec0 @ GENR_PVARR_108 @ (l_ @ M @ N) @ M)))).
thf(aFINITEu_SING, axiom, ![A:q49464]:(finite4 @ (insert @ A @ empty0))).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset2 @ S @ T)) => (finite @ S))).
thf(aFINITEu_UNION, axiom, ![S:(a > $o),T:(a > $o)]:((finite @ (union @ S @ T)) <=> ((finite @ S) & (finite @ T)))).
thf(aHULLu_UNIONu_SUBSET, axiom, ![P:((q94770 > $o) > $o),S:(q94770 > $o),T:(q94770 > $o)]:(subset3 @ (union0 @ (hull1 @ P @ S) @ (hull1 @ P @ T)) @ (hull1 @ P @ (union0 @ S @ T)))).
thf(aIN, axiom, ![P:(listcartrealn3 > $o),X:listcartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINTERu_ACIu_conjunct3, axiom, ![P:(cartrealn3 > $o)]:((inter @ P @ P) = P)).
thf(aINTERu_SUBSETu_conjunct0, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(subset0 @ (inter @ S @ T) @ S)).
thf(aINTERu_SUBSETu_conjunct1, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(subset0 @ (inter @ T @ S) @ S)).
thf(aINTu_LEu_TRANS, axiom, ![X:int,Y:int,Z:int]:(((intu_le @ X @ Y) & (intu_le @ Y @ Z)) => (intu_le @ X @ Z))).
thf(aINTu_LTu_DISCRETE, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (intu_le @ (intu_add @ X @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y))).
thf(aINTu_NOTu_EQ, axiom, ![X:int,Y:int]:(~ ((X = Y)) <=> ((intu_lt @ X @ Y) | (intu_lt @ Y @ X)))).
thf(aINTu_NOTu_LE, axiom, ![X:int,Y:int]:(~ ((intu_le @ X @ Y)) <=> (intu_lt @ Y @ X))).
thf(aINTu_NOTu_LT, axiom, ![X:int,Y:int]:(~ ((intu_lt @ X @ Y)) <=> (intu_le @ Y @ X))).
thf(aINTu_OFu_NUMu_ADD, axiom, ![M:num,N:num]:((intu_add @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) = (intu_ofu_num @ (p_ @ M @ N)))).
thf(aINTu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((intu_ofu_num @ M) = (intu_ofu_num @ N)) <=> (M = N))).
thf(aINTu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((intu_le @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aINTu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((intu_lt @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aINTu_POS, axiom, ![N:num]:(intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_ofu_num @ N))).
thf(aINu_DELETE, axiom, ![S:(listcartrealn3 > $o),X:listcartrealn3,Y:listcartrealn3]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_DIFF, axiom, ![S:(listcartrealn3 > $o),T:(listcartrealn3 > $o),X:listcartrealn3]:((in @ X @ (diff0 @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(listcartrealn3 > $o),X:listcartrealn3]:((in @ X @ (gspec2 @ ^[V:listcartrealn3]:?[Y:listcartrealn3]:(setspec2 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:listcartrealn3,S:(listcartrealn3 > $o),F:(listcartrealn3 > listcartrealn3)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:listcartrealn3]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(listcartrealn3 > $o),T:(listcartrealn3 > $o),X:listcartrealn3]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_SING, axiom, ![X:listcartrealn3,Y:listcartrealn3]:((in @ X @ (insert0 @ Y @ empty1)) <=> (X = Y))).
thf(aINu_UNION, axiom, ![S:(listcartrealn3 > $o),T:(listcartrealn3 > $o),X:listcartrealn3]:((in @ X @ (union1 @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealn3 > $o),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aLTu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ((l_a_ @ M @ N) & ~ ((M = N))))).
thf(aMULTu_ACu_conjunct0, axiom, ![N:num,M:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aMULTu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((t_ @ (t_ @ M @ N) @ P) = (t_ @ M @ (t_ @ N @ P)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:listcartrealn3]:~ ((in @ X @ empty1))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aPack2o_INTERu_VORONOIu_SUBSETu_BISECTOR, axiom, ![S:(cartrealn3 > $o),U:cartrealn3,V:cartrealn3]:(((in0 @ U @ S) & (in0 @ V @ S)) => (subset0 @ (inter @ (voronoiu_closed @ S @ U) @ (voronoiu_closed @ S @ V)) @ (gspec1 @ ^[GENR_PVARR_815:cartrealn3]:?[X:cartrealn3]:(setspec1 @ GENR_PVARR_815 @ ((dot0 @ (r_ @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (vectoru_sub @ U @ V)) @ X) = (realu_sub @ (realu_pow @ (vectoru_norm @ U) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (vectoru_norm @ V) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ X))))).
thf(aPacku_conclo_NOPZSEH, axiom, ![K:num,UL:listcartrealn3,V:(cartrealn3 > $o)]:((barv @ V @ K @ UL) <=> (((length @ UL) = (p_ @ K @ (numeral @ (bit1 @ u_0)))) & ![VL:listcartrealn3]:(((initialu_sublist @ VL @ UL) & (l_ @ (numeral @ u_0) @ (length @ VL))) => (voronoiu_nondg @ V @ VL))))).
thf(aPacking3o_BARVu_IMPu_HDu_INu_SETu_OFu_LIST, axiom, ![V:(cartrealn3 > $o),K:num,UL:listcartrealn3]:((barv @ V @ K @ UL) => (in0 @ (hd @ UL) @ (setu_ofu_list @ UL)))).
thf(aPacking3o_BARVu_SUBSET, axiom, ![V:(cartrealn3 > $o),K:num,UL:listcartrealn3]:((barv @ V @ K @ UL) => (subset0 @ (setu_ofu_list @ UL) @ V))).
thf(aPacking3o_CONVEXu_VORONOIu_LIST, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3]:(convex0 @ (voronoiu_list @ V @ UL))).
thf(aPacking3o_INu_TRANS, axiom, ![X:listcartrealn3,S:(listcartrealn3 > $o),T:(listcartrealn3 > $o)]:(((in @ X @ T) & (subset4 @ T @ S)) => (in @ X @ S))).
thf(aPacking3o_OMEGAu_LISTu_Nu_INu_VORONOIu_LIST, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3,K:num,I:num]:(((barv @ V @ K @ UL) & (l_a_ @ I @ K)) => (in0 @ (omegau_listu_n @ V @ UL @ I) @ (voronoiu_list @ V @ (truncateu_simplex @ I @ UL))))).
thf(aPacking3o_POLYHEDRONu_VORONOIu_LIST, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3]:(((packing @ V) & (saturated @ V) & (subset0 @ (setu_ofu_list @ UL) @ V)) => (polyhedron @ (voronoiu_list @ V @ UL)))).
thf(aPacking3o_TRUNCATEu_0u_EQu_HEAD, axiom, ![UL:lista]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ (length0 @ UL)) => ((truncateu_simplex0 @ (numeral @ u_0) @ UL) = (cons @ (hd0 @ UL) @ nil)))).
thf(aPacking3o_TRUNCATEu_SIMPLEXu_BARV, axiom, ![V:(cartrealn3 > $o),R:num,K:num,ZL:listcartrealn3]:(((barv @ V @ K @ ZL) & (l_a_ @ R @ K)) => (barv @ V @ R @ (truncateu_simplex @ R @ ZL)))).
thf(aPacking3o_TRUNCATEu_TRUNCATEu_SIMPLEX, axiom, ![UL:lista,I:num,J:num]:(((l_a_ @ I @ J) & (l_a_ @ (p_ @ J @ (numeral @ (bit1 @ u_0))) @ (length0 @ UL))) => ((truncateu_simplex0 @ I @ (truncateu_simplex0 @ J @ UL)) = (truncateu_simplex0 @ I @ UL)))).
thf(aPacking3o_VORONOIu_LISTu_SING, axiom, ![V:(cartrealn3 > $o),U:cartrealn3]:((voronoiu_list @ V @ (cons0 @ U @ nil0)) = (voronoiu_closed @ V @ U))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ X @ (realu_inv @ X)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_SUBu_RZERO, axiom, ![X:real]:((realu_sub @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aRealu_exto_REALu_PROPu_NNu_INV, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRogerso_AFFu_DIMu_FINITEu_UNIONu_LE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((finite5 @ S) => (intu_le @ (affu_dim @ (union2 @ S @ T)) @ (intu_add @ (intu_ofu_num @ (card2 @ S)) @ (affu_dim @ T))))).
thf(aRogerso_AFFu_DIMu_LEu_2u_IMPu_COPLANAR, axiom, ![S:(cartrealn3 > $o)]:((intu_le @ (affu_dim0 @ S) @ (intu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) => (coplanar @ S))).
thf(aRogerso_IDBEZAL, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3,K:num,F:(cartrealn3 > $o)]:(((saturated @ V) & (packing @ V) & (barv @ V @ K @ UL) & (l_ @ K @ (numeral @ (bit1 @ (bit1 @ u_0))))) => ((facetu_of0 @ F @ (voronoiu_list @ V @ UL)) <=> ?[VL:listcartrealn3]:((F = (voronoiu_list @ V @ VL)) & (barv @ V @ (p_ @ K @ (numeral @ (bit1 @ u_0))) @ VL) & ((truncateu_simplex @ K @ VL) = UL))))).
thf(aRogerso_ODIGPXU, axiom, ![P:(cartrealn > $o),F:(cartrealn > $o),FI_:(cartrealn > $o),P0:cartrealn,P1:cartrealn,Q:cartrealn,T:real,S:real]:(((polyhedron0 @ P) & (in1 @ P0 @ P) & ~ ((in1 @ P0 @ (union2 @ F @ FI_))) & (facetu_of1 @ F @ P) & (facetu_of1 @ FI_ @ P) & (in1 @ P1 @ F) & (in1 @ Q @ FI_) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ S) & ((vectoru_add @ (r_0 @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ T) @ P0) @ (r_0 @ T @ P1)) = (vectoru_add @ (r_0 @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ S) @ P0) @ (r_0 @ S @ Q)))) => (S = T))).
thf(aRogerso_OMEGAu_LISTu_Nu_EQ, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3,I:num,J:q1581785]:((in0 @ (omegau_listu_n @ V @ UL @ I) @ (voronoiu_list @ V @ (truncateu_simplex @ (suc @ I) @ UL))) => ((omegau_listu_n @ V @ UL @ (suc @ I)) = (omegau_listu_n @ V @ UL @ I)))).
thf(aRogerso_OMEGAu_LISTu_Nu_EQu_GEN, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3,K:num,I:num,J:num]:(((packing @ V) & (saturated @ V) & (barv @ V @ K @ UL) & (l_ @ I @ J) & (l_a_ @ J @ K) & (in0 @ (omegau_listu_n @ V @ UL @ I) @ (voronoiu_list @ V @ (truncateu_simplex @ J @ UL)))) => ((omegau_listu_n @ V @ UL @ (suc @ I)) = (omegau_listu_n @ V @ UL @ I)))).
thf(aRogerso_OMEGAu_LISTu_Nu_INu_FACET, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3,K:num,I:num]:(((packing @ V) & (saturated @ V) & (barv @ V @ K @ UL) & (l_ @ I @ K)) => ?[F:(cartrealn3 > $o)]:((facetu_of0 @ F @ (voronoiu_list @ V @ (truncateu_simplex @ I @ UL))) & ((voronoiu_list @ V @ (truncateu_simplex @ (p_ @ I @ (numeral @ (bit1 @ u_0))) @ UL)) = F) & ![J:num]:(((l_ @ I @ J) & (l_a_ @ J @ K)) => (in0 @ (omegau_listu_n @ V @ UL @ J) @ F))))).
thf(aRogerso_OMEGAu_LISTu_Nu_INu_VORONOIu_LISTu_GEN, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3,K:num,I:num,J:num]:(((packing @ V) & (saturated @ V) & (barv @ V @ K @ UL) & (l_a_ @ I @ J) & (l_a_ @ J @ K)) => (in0 @ (omegau_listu_n @ V @ UL @ J) @ (voronoiu_list @ V @ (truncateu_simplex @ I @ UL))))).
thf(aRogerso_ROGERSu_AFFu_DIMu_FULL, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3]:(((barv @ V @ (numeral @ (bit1 @ (bit1 @ u_0))) @ UL) & ((affu_dim0 @ (rogers @ V @ UL)) = (intu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0)))))) => ![I:num,J:num]:(((l_ @ I @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) & (l_ @ J @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) & ~ ((I = J))) => ~ (((omegau_listu_n @ V @ UL @ I) = (omegau_listu_n @ V @ UL @ J)))))).
thf(aRogerso_SETu_OFu_LISTu_TRUNCATEu_SIMPLEXu_SUBSET, axiom, ![UL:lista,K:num]:((l_a_ @ (p_ @ K @ (numeral @ (bit1 @ u_0))) @ (length0 @ UL)) => (subset2 @ (setu_ofu_list0 @ (truncateu_simplex0 @ K @ UL)) @ (setu_ofu_list0 @ UL)))).
thf(aRogerso_VORONOIu_CLOSEDu_EQu_LEMMA, axiom, ![V:(cartrealn3 > $o),U:cartrealn3,V0:cartrealn3]:(((packing @ V) & (in0 @ U @ V) & (in0 @ V0 @ V) & ((voronoiu_closed @ V @ U) = (voronoiu_closed @ V @ V0))) => (U = V0))).
thf(aRogerso_VORONOIu_LISTu_AFFu_DIM, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3,K:num,I:num]:(((barv @ V @ K @ UL) & (l_a_ @ I @ K)) => ((affu_dim0 @ (voronoiu_list @ V @ (truncateu_simplex @ I @ UL))) = (intu_sub @ (intu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (intu_ofu_num @ I))))).
thf(aSUBSET, axiom, ![S:(listcartrealn3 > $o),T:(listcartrealn3 > $o)]:((subset4 @ S @ T) <=> ![X:listcartrealn3]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset2 @ S @ T) & (subset2 @ T @ U)) => (subset2 @ S @ U))).
thf(aSUBu_ELIMu_THM, axiom, ![A:num,B:num,P:(num > $o)]:((P @ (m_ @ A @ B)) <=> ![D:num]:(((A = (p_ @ B @ D)) | ((l_ @ A @ B) & (D = (numeral @ u_0)))) => (P @ D)))).
thf(aSUMu_CLAUSESu_conjunct0, axiom, ![F:(q70214 > real)]:((sum0 @ empty2 @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_DELETE, axiom, ![F:(listcartrealn3 > real),S:(listcartrealn3 > $o),A:listcartrealn3]:(((finite6 @ S) & (in @ A @ S)) => ((sum1 @ (delete @ S @ A) @ F) = (realu_sub @ (sum1 @ S @ F) @ (F @ A))))).
thf(aSUMu_EQ, axiom, ![F:(listcartrealn3 > real),G:(listcartrealn3 > real),S:(listcartrealn3 > $o)]:(![X:listcartrealn3]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((sum1 @ S @ F) = (sum1 @ S @ G)))).
thf(aSUMu_LMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum2 @ S @ ^[X:a]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum2 @ S @ F)))).
thf(aSUMu_POSu_EQu_0, axiom, ![F:(listcartrealn3 > real),S:(listcartrealn3 > $o)]:(((finite6 @ S) & ![X:listcartrealn3]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X))) & ((sum1 @ S @ F) = (realu_ofu_num @ (numeral @ u_0)))) => ![X:listcartrealn3]:((in @ X @ S) => ((F @ X) = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aSUMu_POSu_LE, axiom, ![F:(listcartrealn3 > real),S:(listcartrealn3 > $o)]:(((finite6 @ S) & ![X:listcartrealn3]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X)))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sum1 @ S @ F)))).
thf(aSUMu_SING, axiom, ![F:(q71614 > real),X:q71614]:((sum3 @ (insert1 @ X @ empty3) @ F) = (F @ X))).
thf(aSUMu_SUBSETu_SIMPLE, axiom, ![U:(listcartrealn3 > $o),V:(listcartrealn3 > $o),F:(listcartrealn3 > real)]:(((finite6 @ V) & (subset4 @ U @ V) & ![X:listcartrealn3]:((in @ X @ (diff0 @ V @ U)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X)))) => (realu_le @ (sum1 @ U @ F) @ (sum1 @ V @ F)))).
thf(aSUMu_SUPERSET, axiom, ![F:(listcartrealn3 > real),U:(listcartrealn3 > $o),V:(listcartrealn3 > $o)]:(((subset4 @ U @ V) & ![X:listcartrealn3]:(((in @ X @ V) & ~ ((in @ X @ U))) => ((F @ X) = (realu_ofu_num @ (numeral @ u_0))))) => ((sum1 @ V @ F) = (sum1 @ U @ F)))).
thf(aSUMu_UNION, axiom, ![F:(q70281 > real),S:(q70281 > $o),T:(q70281 > $o)]:(((finite7 @ S) & (finite7 @ T) & (disjoint0 @ S @ T)) => ((sum4 @ (union3 @ S @ T) @ F) = (realu_add @ (sum4 @ S @ F) @ (sum4 @ T @ F))))).
thf(aSUMu_UNIONu_EQ, axiom, ![F:(cartrealn3 > real),S:(cartrealn3 > $o),T:(cartrealn3 > $o),U:(cartrealn3 > $o)]:(((finite0 @ U) & ((inter @ S @ T) = empty) & ((union4 @ S @ T) = U)) => ((realu_add @ (sum @ S @ F) @ (sum @ T @ F)) = (sum @ U @ F)))).
thf(aSphereo_OMEGAu_LISTu_Nu_conjunct0, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3]:((omegau_listu_n @ V @ UL @ (numeral @ u_0)) = (hd @ UL))).
thf(aSphereo_OMEGAu_LISTu_Nu_conjunct1, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3,I:num]:((omegau_listu_n @ V @ UL @ (suc @ I)) = (closestu_point @ (voronoiu_list @ V @ (truncateu_simplex @ (suc @ I) @ UL)) @ (omegau_listu_n @ V @ UL @ I)))).
thf(aSphereo_ROGERS, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3]:((rogers @ V @ UL) = (hull0 @ convex0 @ (image1 @ (omegau_listu_n @ V @ UL) @ (gspec0 @ ^[GENR_PVARR_3:num]:?[J:num]:(setspec0 @ GENR_PVARR_3 @ (l_ @ J @ (length @ UL)) @ J)))))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometryo_WHIAXYD2, axiom, ![X:cartrealn,Y:cartrealn,Z:cartrealn]:((vectoru_add @ X @ (vectoru_add @ Y @ Z)) = (vectoru_add @ (vectoru_add @ X @ Y) @ Z))).
thf(aVECTORu_ADDu_RDISTRIB, axiom, ![A:real,B:real,X:cartrealq97451]:((r_1 @ (realu_add @ A @ B) @ X) = (vectoru_add0 @ (r_1 @ A @ X) @ (r_1 @ B @ X)))).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealq97326]:((r_2 @ A @ (r_2 @ B @ X)) = (r_2 @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_EQu_0, axiom, ![A:real,X:cartrealq99960]:(((r_3 @ A @ X) = (vec0 @ (numeral @ u_0))) <=> ((A = (realu_ofu_num @ (numeral @ u_0))) | (X = (vec0 @ (numeral @ u_0)))))).
thf(aVECTORu_MULu_LCANCEL, axiom, ![A:real,X:cartrealq99984,Y:cartrealq99984]:(((r_4 @ A @ X) = (r_4 @ A @ Y)) <=> ((A = (realu_ofu_num @ (numeral @ u_0))) | (X = Y)))).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealq97340]:((r_5 @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aVECTORu_MULu_RCANCEL, axiom, ![A:real,B:real,X:cartrealq100028]:(((r_6 @ A @ X) = (r_6 @ B @ X)) <=> ((A = B) | (X = (vec1 @ (numeral @ u_0)))))).
thf(aVECTORu_SUBu_EQ, axiom, ![X:cartrealq97300,Y:cartrealq97300]:(((vectoru_sub0 @ X @ Y) = (vec2 @ (numeral @ u_0))) <=> (X = Y))).
thf(aVSUMu_DELETE, axiom, ![F:(listcartrealn3 > cartrealq103614),S:(listcartrealn3 > $o),A:listcartrealn3]:(((finite6 @ S) & (in @ A @ S)) => ((vsum0 @ (delete @ S @ A) @ F) = (vectoru_sub1 @ (vsum0 @ S @ F) @ (F @ A))))).
thf(aVSUMu_EQ, axiom, ![F:(listcartrealn3 > cartrealq103742),G:(listcartrealn3 > cartrealq103742),S:(listcartrealn3 > $o)]:(![X:listcartrealn3]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((vsum1 @ S @ F) = (vsum1 @ S @ G)))).
thf(aVSUMu_LMUL, axiom, ![F:(q103205 > cartrealq103212),C:real,S:(q103205 > $o)]:((vsum2 @ S @ ^[X:q103205]:(r_7 @ C @ (F @ X))) = (r_7 @ C @ (vsum2 @ S @ F)))).
thf(aVSUMu_SING, axiom, ![F:(q104170 > cartrealq104165),X:q104170]:((vsum3 @ (insert2 @ X @ empty4) @ F) = (F @ X))).
thf(aVSUMu_SUPERSET, axiom, ![F:(listcartrealn3 > cartrealn),U:(listcartrealn3 > $o),V:(listcartrealn3 > $o)]:(((subset4 @ U @ V) & ![X:listcartrealn3]:(((in @ X @ V) & ~ ((in @ X @ U))) => ((F @ X) = (vec @ (numeral @ u_0))))) => ((vsum4 @ V @ F) = (vsum4 @ U @ F)))).
thf(aVSUMu_UNION, axiom, ![F:(q103502 > cartrealq103527),S:(q103502 > $o),T:(q103502 > $o)]:(((finite8 @ S) & (finite8 @ T) & (disjoint1 @ S @ T)) => ((vsum5 @ (union5 @ S @ T) @ F) = (vectoru_add1 @ (vsum5 @ S @ F) @ (vsum5 @ T @ F))))).
thf(aintu_addu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_add @ X @ Y)) = (realu_add @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aintu_subu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_sub @ X @ Y)) = (realu_sub @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(anumu_WF, axiom, ![P:(num > $o)]:(![N:num]:(![M:num]:((l_ @ M @ N) => (P @ M)) => (P @ N)) => ![N:num]:(P @ N))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(avectoru_add, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_add @ X @ Y) = (lambda1 @ ^[I:num]:(realu_add @ (d_0 @ X @ I) @ (d_0 @ Y @ I))))).
thf(avectoru_mul, axiom, ![C:real,X:cartrealn]:((r_0 @ C @ X) = (lambda1 @ ^[I:num]:(realu_mul @ C @ (d_0 @ X @ I))))).
thf(avectoru_sub, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_sub2 @ X @ Y) = (lambda1 @ ^[I:num]:(realu_sub @ (d_0 @ X @ I) @ (d_0 @ Y @ I))))).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),UL:listcartrealn3,VL:listcartrealn3]:(((packing @ V) & (saturated @ V) & (in @ UL @ (barv @ V @ (numeral @ (bit1 @ (bit1 @ u_0))))) & (in @ VL @ (barv @ V @ (numeral @ (bit1 @ (bit1 @ u_0))))) & ~ (((rogers @ V @ UL) = (rogers @ V @ VL)))) => (coplanar @ (inter @ (rogers @ V @ UL) @ (rogers @ V @ VL))))).
