%   ORIGINAL: Rogers.MHFTTZN_lemma2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD1: !m. SUC m = m + 1
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: AFFINE_HULLS_EQ: !s t. s SUBSET affine hull t /\ t SUBSET affine hull s ==> affine hull s = affine hull t
% Assm: AFFINE_HULL_EQ_EMPTY: !s. affine hull s = {} <=> s = {}
% Assm: AFFINE_HULL_SING: !a. affine hull {a} = {a}
% Assm: AFFINE_INDEPENDENT_IFF_CARD: !s. ~affine_dependent s <=> FINITE s /\ aff_dim s = &(CARD s) - &1
% Assm: AFF_DIM_AFFINE_HULL: !s. aff_dim (affine hull s) = aff_dim s
% Assm: AFF_DIM_DIM_0: !s. vec 0 IN affine hull s ==> aff_dim s = &(dim s)
% Assm: AFF_DIM_EMPTY: aff_dim {} = -- &1
% Assm: AFF_DIM_INSERT: !a s. aff_dim (a INSERT s) = (if a IN affine hull s then aff_dim s else aff_dim s + &1)
% Assm: AFF_DIM_LE_CARD: !s. FINITE s ==> aff_dim s <= &(CARD s) - &1
% Assm: AFF_DIM_SING: !a. aff_dim {a} = &0
% Assm: AFF_DIM_SUBSET: !s t. s SUBSET t ==> aff_dim s <= aff_dim t
% Assm: AFF_DIM_TRANSLATION_EQ: !a s. aff_dim (IMAGE (\x. a + x) s) = aff_dim s
% Assm: APPEND_BUTLAST_LAST: !l. ~(l = []) ==> APPEND (BUTLAST l) [LAST l] = l
% Assm: ARITH_ADD_conjunct0: !m n. NUMERAL m + NUMERAL n = NUMERAL (m + n)
% Assm: ARITH_ADD_conjunct1: _0 + _0 = _0
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct3: !n. _0 + BIT1 n = BIT1 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_ADD_conjunct8: !m n. BIT1 m + BIT0 n = BIT1 (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct3: !n. _0 * BIT1 n = _0
% Assm: ARITH_MULT_conjunct5: !n. BIT1 n * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_DELETE: !x s. FINITE s ==> CARD (s DELETE x) = (if x IN s then CARD s - 1 else CARD s)
% Assm: CARD_IMAGE_INJ: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: CARD_SET_OF_LIST_LE: !l. CARD (set_of_list l) <= LENGTH l
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: DELETE_SUBSET: !x s. s DELETE x SUBSET s
% Assm: DIFFS_AFFINE_HULL_SPAN: !a s. a IN s ==> {x - a | x IN affine hull s} = span {x - a | x IN s}
% Assm: DIM_EQ_CARD: !s. independent s ==> dim s = CARD s
% Assm: DIM_EQ_SPAN: !s t. s SUBSET t /\ dim t <= dim s ==> span s = span t
% Assm: DIM_SUBSET: !s t. s SUBSET t ==> dim s <= dim t
% Assm: DIST_EQ: !w x y z. dist (w,x) = dist (y,z) <=> dist (w,x) pow 2 = dist (y,z) pow 2
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: DOT_LMUL: !c x y. c % x dot y = c * (x dot y)
% Assm: DOT_LSUB: !x y z. (x - y) dot z = x dot z - y dot z
% Assm: DOT_RSUB: !x y z. x dot (y - z) = x dot y - x dot z
% Assm: DOT_RZERO: !x. x dot vec 0 = &0
% Assm: DOT_SQUARE_NORM: !x. x dot x = norm x pow 2
% Assm: DOT_SYM: !x y. x dot y = y dot x
% Assm: EL_conjunct0: EL 0 l = HD l
% Assm: EL_conjunct1: EL (SUC n) l = EL n (TL l)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXP_conjunct0: !m. m EXP 0 = 1
% Assm: EXP_conjunct1: !m n. m EXP SUC n = m * m EXP n
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_SET_OF_LIST: !l. FINITE (set_of_list l)
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: IN: !P x. x IN P <=> P x
% Assm: INT_LT_DISCRETE: !x y. x < y <=> x + &1 <= y
% Assm: INT_NOT_EQ: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: INT_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: INT_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: INT_OF_NUM_ADD: !m n. &m + &n = &(m + n)
% Assm: INT_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: INT_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: INT_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: INT_POS: !n. &0 <= &n
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: IN_SET_OF_LIST: !x l. x IN set_of_list l <=> MEM x l
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LENGTH_EQ_NIL: !l. LENGTH l = 0 <=> l = []
% Assm: LE_0: !n. 0 <= n
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_REFL: !n. n <= n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: MEM_EL: !l n. n < LENGTH l ==> MEM (EL n l) l
% Assm: MULT_AC_conjunct0: m * n = n * m
% Assm: MULT_AC_conjunct1: (m * n) * p = m * n * p
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NORM_POW_2: !x. norm x pow 2 = x dot x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: ORTHOGONAL_TO_SPAN: !s x. (!y. y IN s ==> orthogonal x y) ==> (!y. y IN span s ==> orthogonal x y)
% Assm: Pack_concl.NOPZSEH: !k ul V. barV V k ul <=> LENGTH ul = k + 1 /\ (!vl. initial_sublist vl ul /\ 0 < LENGTH vl ==> voronoi_nondg V vl)
% Assm: Packing3.BARV_IMP_K_LE_3: !V ul k. barV V k ul ==> k <= 3
% Assm: Packing3.BIS_EQ_HYPERPLANE: !u v. bis u v = {x | &2 % (v - u) dot x = v dot v - u dot u}
% Assm: Packing3.HD_IN_SET_OF_LIST: !ul. 1 <= LENGTH ul ==> HD ul IN set_of_list ul
% Assm: Packing3.HD_TRUNCATE_SIMPLEX: !ul j. j + 1 <= LENGTH ul ==> HD (truncate_simplex j ul) = HD ul
% Assm: Packing3.IMAGE_LEMMA: !s f. IMAGE f s = {f x | x IN s}
% Assm: Packing3.INITIAL_SUBLIST_REFL: !ul. initial_sublist ul ul
% Assm: Packing3.IN_TRANS: !x s t. x IN t /\ t SUBSET s ==> x IN s
% Assm: Packing3.LENGTH_1_LEMMA: !ul. LENGTH ul = 1 ==> ul = [HD ul]
% Assm: Packing3.TRUNCATE_SIMPLEX_BARV: !V r k zl. barV V k zl /\ r <= k ==> barV V r (truncate_simplex r zl)
% Assm: Packing3.TRUNCATE_SIMPLEX_EQ_BUTLAST: !ul. 2 <= LENGTH ul ==> truncate_simplex (LENGTH ul - 2) ul = BUTLAST ul
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INV_DIV: !x y. inv (x / y) = y / x
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_INV_NEG: !x. inv (--x) = --inv x
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: Rogers.AFFINE_INDEPENDENT_IMP_INDEPENDENT: !S. ~affine_dependent S ==> (!x. x IN S ==> independent {y - x | y | y IN S DELETE x})
% Assm: Rogers.CIRCUMCENTER_1: !x. circumcenter {x} = x
% Assm: Rogers.MHFTTZN_lemma: !V ul k. packing V /\ barV V k ul ==> affine hull voronoi_list V ul = INTERS {bis (HD ul) u | u | u IN set_of_list ul}
% Assm: Rogers.OAPVION1: !S. ~(S = {}) /\ ~affine_dependent S ==> circumcenter S IN affine hull S
% Assm: Rogers.OAPVION2: !S. ~affine_dependent S ==> (!w. w IN S ==> radV S = dist (circumcenter S,w))
% Assm: SET_OF_LIST_APPEND: !l1 l2. set_of_list (APPEND l1 l2) = set_of_list l1 UNION set_of_list l2
% Assm: SET_OF_LIST_EQ_EMPTY: !l. set_of_list l = {} <=> l = []
% Assm: SPAN_INSERT_0: !s. span (vec 0 INSERT s) = span s
% Assm: SPAN_SPAN: !s. span (span s) = span s
% Assm: SPAN_SUB: !x y s. x IN span s /\ y IN span s ==> x - y IN span s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: SUB_ELIM_THM: P (a - b) <=> (!d. a = b + d \/ a < b /\ d = 0 ==> P d)
% Assm: Sphere.VORONOI_NONDG: !V ul. voronoi_nondg V ul <=> LENGTH ul < 5 /\ set_of_list ul SUBSET V /\ aff_dim (voronoi_list V ul) + &(LENGTH ul) = &4
% Assm: Sphere.bis: !u v. bis u v = {x | dist (x,u) = dist (x,v)}
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: VECTOR_SUB_REFL: !x. x - x = vec 0
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: int_add_th: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_neg_th: !x. real_of_int (--x) = --real_of_int x
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: int_sub_th: !x y. real_of_int (x - y) = real_of_int x - real_of_int y
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: orthogonal: !x y. orthogonal x y <=> x dot y = &0
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: set_of_list_conjunct0: set_of_list [] = {}
% Assm: set_of_list_conjunct1: set_of_list (CONS h t) = h INSERT set_of_list t
% Assm: span: !s. span s = subspace hull s
% Assm: vector_add: !x y. x + y = (lambda i. x$i + y$i)
% Assm: vector_neg: !x. --x = (lambda i. --(x$i))
% Assm: vector_sub: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !V ul k. packing V /\ barV V k ul ==> aff_dim (set_of_list ul) = &k /\ (!u v. u IN affine hull voronoi_list V ul /\ v IN affine hull set_of_list ul ==> (u - circumcenter (set_of_list ul)) dot (v - circumcenter (set_of_list ul)) = &0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m. SUC m = m + 1
% Assm: !n m. m + n = n + m
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !s t. s SUBSET affine hull t /\ t SUBSET affine hull s ==> affine hull s = affine hull t
% Assm: !s. affine hull s = {} <=> s = {}
% Assm: !a. affine hull {a} = {a}
% Assm: !s. ~affine_dependent s <=> FINITE s /\ aff_dim s = &(CARD s) - &1
% Assm: !s. aff_dim (affine hull s) = aff_dim s
% Assm: !s. vec 0 IN affine hull s ==> aff_dim s = &(dim s)
% Assm: aff_dim {} = -- &1
% Assm: !a s. aff_dim (a INSERT s) = (if a IN affine hull s then aff_dim s else aff_dim s + &1)
% Assm: !s. FINITE s ==> aff_dim s <= &(CARD s) - &1
% Assm: !a. aff_dim {a} = &0
% Assm: !s t. s SUBSET t ==> aff_dim s <= aff_dim t
% Assm: !a s. aff_dim (IMAGE (\x. a + x) s) = aff_dim s
% Assm: !l. ~(l = []) ==> APPEND (BUTLAST l) [LAST l] = l
% Assm: !m n. NUMERAL m + NUMERAL n = NUMERAL (m + n)
% Assm: _0 + _0 = _0
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. _0 + BIT1 n = BIT1 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. BIT1 m + BIT0 n = BIT1 (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !n. _0 * BIT1 n = _0
% Assm: !n. BIT1 n * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x s. FINITE s ==> CARD (s DELETE x) = (if x IN s then CARD s - 1 else CARD s)
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) /\ FINITE s ==> CARD (IMAGE f s) = CARD s
% Assm: !l. CARD (set_of_list l) <= LENGTH l
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !x s. s DELETE x SUBSET s
% Assm: !a s. a IN s ==> {x - a | x IN affine hull s} = span {x - a | x IN s}
% Assm: !s. independent s ==> dim s = CARD s
% Assm: !s t. s SUBSET t /\ dim t <= dim s ==> span s = span t
% Assm: !s t. s SUBSET t ==> dim s <= dim t
% Assm: !w x y z. dist (w,x) = dist (y,z) <=> dist (w,x) pow 2 = dist (y,z) pow 2
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !c x y. c % x dot y = c * (x dot y)
% Assm: !x y z. (x - y) dot z = x dot z - y dot z
% Assm: !x y z. x dot (y - z) = x dot y - x dot z
% Assm: !x. x dot vec 0 = &0
% Assm: !x. x dot x = norm x pow 2
% Assm: !x y. x dot y = y dot x
% Assm: !l. EL 0 l = HD l
% Assm: !l. EL 0 l = HD l
% Assm: !n l. EL (SUC n) l = EL n (TL l)
% Assm: !n l. EL (SUC n) l = EL n (TL l)
% Assm: !t. (\x. t x) = t
% Assm: !m. m EXP 0 = 1
% Assm: !m n. m EXP SUC n = m * m EXP n
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !l. FINITE (set_of_list l)
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !P s. s SUBSET P hull s
% Assm: !P x. x IN P <=> P x
% Assm: !x y. x < y <=> x + &1 <= y
% Assm: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !m n. &m + &n = &(m + n)
% Assm: !m n. &m = &n <=> m = n
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m < &n <=> m < n
% Assm: !n. &0 <= &n
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !x l. x IN set_of_list l <=> MEM x l
% Assm: !x y. x IN {y} <=> x = y
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !l. LENGTH l = 0 <=> l = []
% Assm: !n. 0 <= n
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !n. n <= n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !m. m <= 0 <=> m = 0
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: !l n. n < LENGTH l ==> MEM (EL n l) l
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: !x. norm x pow 2 = x dot x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !s x. (!y. y IN s ==> orthogonal x y) ==> (!y. y IN span s ==> orthogonal x y)
% Assm: !k ul V. barV V k ul <=> LENGTH ul = k + 1 /\ (!vl. initial_sublist vl ul /\ 0 < LENGTH vl ==> voronoi_nondg V vl)
% Assm: !V ul k. barV V k ul ==> k <= 3
% Assm: !u v. bis u v = {x | &2 % (v - u) dot x = v dot v - u dot u}
% Assm: !ul. 1 <= LENGTH ul ==> HD ul IN set_of_list ul
% Assm: !ul j. j + 1 <= LENGTH ul ==> HD (truncate_simplex j ul) = HD ul
% Assm: !ul j. j + 1 <= LENGTH ul ==> HD (truncate_simplex j ul) = HD ul
% Assm: !s f. IMAGE f s = {f x | x IN s}
% Assm: !ul. initial_sublist ul ul
% Assm: !x s t. x IN t /\ t SUBSET s ==> x IN s
% Assm: !ul. LENGTH ul = 1 ==> ul = [HD ul]
% Assm: !V r k zl. barV V k zl /\ r <= k ==> barV V r (truncate_simplex r zl)
% Assm: !ul. 2 <= LENGTH ul ==> truncate_simplex (LENGTH ul - 2) ul = BUTLAST ul
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. inv (x / y) = y / x
% Assm: !x. inv (inv x) = x
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x. inv (--x) = --inv x
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: !x y. --x * y = --(x * y)
% Assm: !x. x * &1 = x
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !S. ~affine_dependent S ==> (!x. x IN S ==> independent {y - x | y | y IN S DELETE x})
% Assm: !x. circumcenter {x} = x
% Assm: !V ul k. packing V /\ barV V k ul ==> affine hull voronoi_list V ul = INTERS {bis (HD ul) u | u | u IN set_of_list ul}
% Assm: !S. ~(S = {}) /\ ~affine_dependent S ==> circumcenter S IN affine hull S
% Assm: !S. ~affine_dependent S ==> (!w. w IN S ==> radV S = dist (circumcenter S,w))
% Assm: !l1 l2. set_of_list (APPEND l1 l2) = set_of_list l1 UNION set_of_list l2
% Assm: !l. set_of_list l = {} <=> l = []
% Assm: !s. span (vec 0 INSERT s) = span s
% Assm: !s. span (span s) = span s
% Assm: !x y s. x IN span s /\ y IN span s ==> x - y IN span s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: !a b P. P (a - b) <=> (!d. a = b + d \/ a < b /\ d = 0 ==> P d)
% Assm: !V ul. voronoi_nondg V ul <=> LENGTH ul < 5 /\ set_of_list ul SUBSET V /\ aff_dim (voronoi_list V ul) + &(LENGTH ul) = &4
% Assm: !u v. bis u v = {x | dist (x,u) = dist (x,v)}
% Assm: T
% Assm: 2 = SUC 1
% Assm: !x. x - x = vec 0
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !x. real_of_int (--x) = --real_of_int x
% Assm: !n. real_of_int (&n) = &n
% Assm: !x y. real_of_int (x - y) = real_of_int x - real_of_int y
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !x y. orthogonal x y <=> x dot y = &0
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: set_of_list [] = {}
% Assm: !h t. set_of_list (CONS h t) = h INSERT set_of_list t
% Assm: !s. span s = subspace hull s
% Assm: !x y. x + y = (lambda i. x$i + y$i)
% Assm: !x. --x = (lambda i. --(x$i))
% Assm: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !V ul k. packing V /\ barV V k ul ==> aff_dim (set_of_list ul) = &k /\ (!u v. u IN affine hull voronoi_list V ul /\ v IN affine hull set_of_list ul ==> (u - circumcenter (set_of_list ul)) dot (v - circumcenter (set_of_list ul)) = &0)
%  TYPES
thf(tq120785, type, q120785 : $tType).
thf(tq102888, type, q102888 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tprodcartrealq102240cartrealq102240, type, prodcartrealq102240cartrealq102240 : $tType).
thf(tlistq20520, type, listq20520 : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq120785, type, cartrealq120785 : $tType).
thf(tlistq1572265, type, listq1572265 : $tType).
thf(tq20096, type, q20096 : $tType).
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq119147, type, cartrealq119147 : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tcartrealq102894, type, cartrealq102894 : $tType).
thf(tcartrealq102888, type, cartrealq102888 : $tType).
thf(tq1568941, type, q1568941 : $tType).
thf(tlistint, type, listint : $tType).
thf(tlistcartrealn3, type, listcartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq119147, type, q119147 : $tType).
thf(tq102240, type, q102240 : $tType).
thf(tq20520, type, q20520 : $tType).
thf(tq1572265, type, q1572265 : $tType).
thf(tprodcartrealq102888cartrealq102888, type, prodcartrealq102888cartrealq102888 : $tType).
thf(tlistreal, type, listreal : $tType).
thf(tint, type, int : $tType).
thf(tn3, type, n3 : $tType).
thf(tcartrealq102240, type, cartrealq102240 : $tType).
thf(tq102894, type, q102894 : $tType).
thf(tprodcartrealq102894cartrealq102894, type, prodcartrealq102894cartrealq102894 : $tType).
thf(tlistq20096, type, listq20096 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tn, type, n : $tType).
thf(tcartrealb, type, cartrealb : $tType).
thf(tcartintb, type, cartintb : $tType).
%  CONSTS
thf(cdistance3, type, distance3 : (prodcartrealncartrealn > real)).
thf(cdistance2, type, distance2 : (prodcartrealn3cartrealn3 > real)).
thf(cradv, type, radv : ((cartrealn3 > $o) > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(cdistance1, type, distance1 : (prodcartrealq102240cartrealq102240 > real)).
thf(cdistance0, type, distance0 : (prodcartrealq102894cartrealq102894 > real)).
thf(cdistance, type, distance : (prodcartrealq102888cartrealq102888 > real)).
thf(caffuu_dim, type, affu_dim : ((cartrealn3 > $o) > int)).
thf(ci0, type, i0 : (int > int)).
thf(cintuu_neg, type, intu_neg : (int > int)).
thf(cbutlast0, type, butlast0 : (lista > lista)).
thf(chd2, type, hd2 : (lista > a)).
thf(cnil1, type, nil1 : listcartrealn3).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(ctl, type, tl : (listreal > listreal)).
thf(clambda1, type, lambda1 : ((num > int) > cartintb)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealb)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(ci, type, i : (real > real)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cdu_2, type, d_2 : (cartrealn3 > num > real)).
thf(clambda3, type, lambda3 : ((num > real) > cartrealn3)).
thf(cdu_1, type, d_1 : (cartrealn > num > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cgspec2, type, gspec2 : ((cartrealn > $o) > cartrealn > $o)).
thf(cspan2, type, span2 : ((cartrealq119147 > $o) > cartrealq119147 > $o)).
thf(cspan1, type, span1 : ((cartrealq120785 > $o) > cartrealq120785 > $o)).
thf(cgspec1, type, gspec1 : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cinitialuu_sublist0, type, initialu_sublist0 : (listq1572265 > listq1572265 > $o)).
thf(cgspec0, type, gspec0 : ((q1568941 > $o) > q1568941 > $o)).
thf(chd1, type, hd1 : (listcartrealn3 > cartrealn3)).
thf(cvoronoiuu_nondg, type, voronoiu_nondg : ((cartrealn3 > $o) > listcartrealn3 > $o)).
thf(cinitialuu_sublist, type, initialu_sublist : (listcartrealn3 > listcartrealn3 > $o)).
thf(corthogonal, type, orthogonal : (cartrealn3 > cartrealn3 > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cmem0, type, mem0 : (q20096 > listq20096 > $o)).
thf(cmem, type, mem : (cartrealn3 > listcartrealn3 > $o)).
thf(cin0, type, in0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cinters, type, inters : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(cexp, type, exp : (num > num > num)).
thf(cel0, type, el0 : (num > listint > int)).
thf(cel, type, el : (num > listreal > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cspan0, type, span0 : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset1, type, subset1 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cspan, type, span : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(cdu_0, type, d_0 : (cartintb > num > int)).
thf(cdu_, type, d_ : (cartrealb > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cmu_, type, m_ : (num > num > num)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ccircumcenter, type, circumcenter : ((cartrealn3 > $o) > cartrealn3)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(csetuu_ofuu_list, type, setu_ofu_list : (listcartrealn3 > cartrealn3 > $o)).
thf(cbutlast, type, butlast : (listq20520 > listq20520)).
thf(chd0, type, hd0 : (listint > int)).
thf(ctl0, type, tl0 : (listint > listint)).
thf(cnil, type, nil : listq20520).
thf(chd, type, hd : (listreal > real)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn > cartrealn > cartrealn)).
thf(ccons1, type, cons1 : (cartrealn3 > listcartrealn3 > listcartrealn3)).
thf(ccu_3, type, c_3 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(csetspec2, type, setspec2 : (cartrealn > $o > cartrealn > $o)).
thf(cbis0, type, bis0 : (cartrealn > cartrealn > cartrealn > $o)).
thf(cinsert0, type, insert0 : (cartrealq120785 > (cartrealq120785 > $o) > cartrealq120785 > $o)).
thf(cappend0, type, append0 : (listcartrealn3 > listcartrealn3 > listcartrealn3)).
thf(ccu_2, type, c_2 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(csetspec1, type, setspec1 : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(ctruncateuu_simplex2, type, truncateu_simplex2 : (num > lista > lista)).
thf(ctruncateuu_simplex1, type, truncateu_simplex1 : (num > listcartrealn3 > listcartrealn3)).
thf(ccons0, type, cons0 : (a > lista > lista)).
thf(csetspec0, type, setspec0 : (q1568941 > $o > q1568941 > $o)).
thf(cimage2, type, image2 : ((cartrealn3 > q1568941) > (cartrealn3 > $o) > q1568941 > $o)).
thf(ctruncateuu_simplex0, type, truncateu_simplex0 : (num > listint > listint)).
thf(ctruncateuu_simplex, type, truncateu_simplex : (num > listreal > listreal)).
thf(cbis, type, bis : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cunion, type, union : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(ccu_1, type, c_1 : (cartrealq102240 > cartrealq102240 > prodcartrealq102240cartrealq102240)).
thf(ccu_0, type, c_0 : (cartrealq102894 > cartrealq102894 > prodcartrealq102894cartrealq102894)).
thf(ccu_, type, c_ : (cartrealq102888 > cartrealq102888 > prodcartrealq102888cartrealq102888)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cdelete0, type, delete0 : ((a > $o) > a > a > $o)).
thf(ccond1, type, cond1 : ($o > real > real > real)).
thf(cimage1, type, image1 : ((cartrealn3 > int) > (cartrealn3 > $o) > int > $o)).
thf(cimage0, type, image0 : ((cartrealn3 > real) > (cartrealn3 > $o) > real > $o)).
thf(ccond0, type, cond0 : ($o > num > num > num)).
thf(cdelete, type, delete : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(ccons, type, cons : (q20520 > listq20520 > listq20520)).
thf(cappend, type, append : (listq20520 > listq20520 > listq20520)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cimage, type, image : ((cartrealn3 > cartrealn3) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccond, type, cond : ($o > int > int > int)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cvoronoiuu_list, type, voronoiu_list : ((cartrealn3 > $o) > listcartrealn3 > cartrealn3 > $o)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cbarv, type, barv : ((cartrealn3 > $o) > num > listcartrealn3 > $o)).
thf(cvec0, type, vec0 : (num > cartrealq120785)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(clength3, type, length3 : (listint > num)).
thf(clength2, type, length2 : (listreal > num)).
thf(clength1, type, length1 : (listq20096 > num)).
thf(clength0, type, length0 : (lista > num)).
thf(clength, type, length : (listcartrealn3 > num)).
thf(cnil0, type, nil0 : lista).
thf(cuniv, type, univ : (b > $o)).
thf(cel1, type, el1 : (num > listq20096 > q20096)).
thf(csubspace, type, subspace : ((cartrealn3 > $o) > $o)).
thf(cindependent0, type, independent0 : ((cartrealn3 > $o) > $o)).
thf(ccard2, type, card2 : ((cartrealn > $o) > num)).
thf(cdim0, type, dim0 : ((cartrealn > $o) > num)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(ccard1, type, card1 : ((int > $o) > num)).
thf(ccard0, type, card0 : ((real > $o) > num)).
thf(cdim, type, dim : ((cartrealn3 > $o) > num)).
thf(ccard, type, card : ((cartrealn3 > $o) > num)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cindependent, type, independent : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn3 > $o) > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
thf(clast, type, last : (listq20520 > q20520)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > int),G:(a > int)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADD1, axiom, ![M:num]:((suc @ M) = (p_ @ M @ (numeral @ (bit1 @ u_0))))).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aAFFINEu_HULLSu_EQ, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((subset @ S @ (hull @ affine @ T)) & (subset @ T @ (hull @ affine @ S))) => ((hull @ affine @ S) = (hull @ affine @ T)))).
thf(aAFFINEu_HULLu_EQu_EMPTY, axiom, ![S:(cartrealn3 > $o)]:(((hull @ affine @ S) = empty) <=> (S = empty))).
thf(aAFFINEu_HULLu_SING, axiom, ![A:cartrealn3]:((hull @ affine @ (insert @ A @ empty)) = (insert @ A @ empty))).
thf(aAFFINEu_INDEPENDENTu_IFFu_CARD, axiom, ![S:(cartrealn3 > $o)]:(~ ((affineu_dependent @ S)) <=> ((finite @ S) & ((affu_dim @ S) = (intu_sub @ (intu_ofu_num @ (card @ S)) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))))))).
thf(aAFFu_DIMu_AFFINEu_HULL, axiom, ![S:(cartrealn3 > $o)]:((affu_dim @ (hull @ affine @ S)) = (affu_dim @ S))).
thf(aAFFu_DIMu_DIMu_0, axiom, ![S:(cartrealn3 > $o)]:((in @ (vec @ (numeral @ u_0)) @ (hull @ affine @ S)) => ((affu_dim @ S) = (intu_ofu_num @ (dim @ S))))).
thf(aAFFu_DIMu_EMPTY, axiom, ((affu_dim @ empty) = (intu_neg @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aAFFu_DIMu_INSERT, axiom, ![A:cartrealn3,S:(cartrealn3 > $o)]:((affu_dim @ (insert @ A @ S)) = (cond @ (in @ A @ (hull @ affine @ S)) @ (affu_dim @ S) @ (intu_add @ (affu_dim @ S) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aAFFu_DIMu_LEu_CARD, axiom, ![S:(cartrealn3 > $o)]:((finite @ S) => (intu_le @ (affu_dim @ S) @ (intu_sub @ (intu_ofu_num @ (card @ S)) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aAFFu_DIMu_SING, axiom, ![A:cartrealn3]:((affu_dim @ (insert @ A @ empty)) = (intu_ofu_num @ (numeral @ u_0)))).
thf(aAFFu_DIMu_SUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) => (intu_le @ (affu_dim @ S) @ (affu_dim @ T)))).
thf(aAFFu_DIMu_TRANSLATIONu_EQ, axiom, ![A:cartrealn3,S:(cartrealn3 > $o)]:((affu_dim @ (image @ ^[X:cartrealn3]:(vectoru_add @ A @ X) @ S)) = (affu_dim @ S))).
thf(aAPPENDu_BUTLASTu_LAST, axiom, ![L:listq20520]:(~ ((L = nil)) => ((append @ (butlast @ L) @ (cons @ (last @ L) @ nil)) = L))).
thf(aARITHu_ADDu_conjunct0, axiom, ![M:num,N:num]:((p_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct1, axiom, ((p_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct3, axiom, ![N:num]:((p_ @ u_0 @ (bit1 @ N)) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct8, axiom, ![M:num,N:num]:((p_ @ (bit1 @ M) @ (bit0 @ N)) = (bit1 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct3, axiom, ![N:num]:((t_ @ u_0 @ (bit1 @ N)) = u_0)).
thf(aARITHu_MULTu_conjunct5, axiom, ![N:num]:((t_ @ (bit1 @ N) @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_DELETE, axiom, ![X:cartrealn3,S:(cartrealn3 > $o)]:((finite @ S) => ((card @ (delete @ S @ X)) = (cond0 @ (in @ X @ S) @ (m_ @ (card @ S) @ (numeral @ (bit1 @ u_0))) @ (card @ S))))).
thf(aCARDu_IMAGEu_INJu_monomorphized1, axiom, ![F:(cartrealn3 > real),S:(cartrealn3 > $o)]:((![X:cartrealn3,Y:cartrealn3]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (finite @ S)) => ((card0 @ (image0 @ F @ S)) = (card @ S)))).
thf(aCARDu_IMAGEu_INJu_monomorphized0, axiom, ![F:(cartrealn3 > int),S:(cartrealn3 > $o)]:((![X:cartrealn3,Y:cartrealn3]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) & (finite @ S)) => ((card1 @ (image1 @ F @ S)) = (card @ S)))).
thf(aCARDu_SETu_OFu_LISTu_LE, axiom, ![L:listcartrealn3]:(l_a_ @ (card @ (setu_ofu_list @ L)) @ (length @ L))).
thf(aCARTu_EQu_monomorphized1, axiom, ![X:cartrealb,Y:cartrealb]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCARTu_EQu_monomorphized0, axiom, ![X:cartintb,Y:cartintb]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_0 @ X @ I) = (d_0 @ Y @ I))))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:real,T2:real]:(((cond1 @ $true @ T1 @ T2) = T1) & ((cond1 @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:int,T2:int]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDELETEu_SUBSET, axiom, ![X:a,S:(a > $o)]:(subset0 @ (delete0 @ S @ X) @ S)).
thf(aDIFFSu_AFFINEu_HULLu_SPAN, axiom, ![A:cartrealn3,S:(cartrealn3 > $o)]:((in @ A @ S) => ((gspec @ ^[GENR_PVARR_812:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_812 @ (in @ X @ (hull @ affine @ S)) @ (vectoru_sub @ X @ A))) = (span @ (gspec @ ^[GENR_PVARR_813:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_813 @ (in @ X @ S) @ (vectoru_sub @ X @ A))))))).
thf(aDIMu_EQu_CARD, axiom, ![S:(cartrealn > $o)]:((independent @ S) => ((dim0 @ S) = (card2 @ S)))).
thf(aDIMu_EQu_SPAN, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset1 @ S @ T) & (l_a_ @ (dim0 @ T) @ (dim0 @ S))) => ((span0 @ S) = (span0 @ T)))).
thf(aDIMu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset1 @ S @ T) => (l_a_ @ (dim0 @ S) @ (dim0 @ T)))).
thf(aDISTu_EQ, axiom, ![W:cartrealq102888,X:cartrealq102888,Y:cartrealq102894,Z:cartrealq102894]:(((distance @ (c_ @ W @ X)) = (distance0 @ (c_0 @ Y @ Z))) <=> ((realu_pow @ (distance @ (c_ @ W @ X)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_pow @ (distance0 @ (c_0 @ Y @ Z)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aDISTu_SYM, axiom, ![X:cartrealq102240,Y:cartrealq102240]:((distance1 @ (c_1 @ X @ Y)) = (distance1 @ (c_1 @ Y @ X)))).
thf(aDOTu_LMUL, axiom, ![C:real,X:cartrealn3,Y:cartrealn3]:((dot @ (r_ @ C @ X) @ Y) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aDOTu_LSUB, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((dot @ (vectoru_sub @ X @ Y) @ Z) = (realu_sub @ (dot @ X @ Z) @ (dot @ Y @ Z)))).
thf(aDOTu_RSUB, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((dot @ X @ (vectoru_sub @ Y @ Z)) = (realu_sub @ (dot @ X @ Y) @ (dot @ X @ Z)))).
thf(aDOTu_RZERO, axiom, ![X:cartrealn3]:((dot @ X @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aDOTu_SQUAREu_NORM, axiom, ![X:cartrealn3]:((dot @ X @ X) = (realu_pow @ (vectoru_norm @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(aDOTu_SYM, axiom, ![X:cartrealn3,Y:cartrealn3]:((dot @ X @ Y) = (dot @ Y @ X))).
thf(aELu_conjunct0u_monomorphized1, axiom, ![L:listreal]:((el @ (numeral @ u_0) @ L) = (hd @ L))).
thf(aELu_conjunct0u_monomorphized0, axiom, ![L:listint]:((el0 @ (numeral @ u_0) @ L) = (hd0 @ L))).
thf(aELu_conjunct1u_monomorphized1, axiom, ![N:num,L:listreal]:((el @ (suc @ N) @ L) = (el @ N @ (tl @ L)))).
thf(aELu_conjunct1u_monomorphized0, axiom, ![N:num,L:listint]:((el0 @ (suc @ N) @ L) = (el0 @ N @ (tl0 @ L)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXPu_conjunct0, axiom, ![M:num]:((exp @ M @ (numeral @ u_0)) = (numeral @ (bit1 @ u_0)))).
thf(aEXPu_conjunct1, axiom, ![M:num,N:num]:((exp @ M @ (suc @ N)) = (t_ @ M @ (exp @ M @ N)))).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_SETu_OFu_LIST, axiom, ![L:listcartrealn3]:(finite @ (setu_ofu_list @ L))).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite0 @ T) & (subset0 @ S @ T)) => (finite0 @ S))).
thf(aHULLu_SUBSET, axiom, ![P:((cartrealn3 > $o) > $o),S:(cartrealn3 > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINTu_LTu_DISCRETE, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (intu_le @ (intu_add @ X @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y))).
thf(aINTu_NOTu_EQ, axiom, ![X:int,Y:int]:(~ ((X = Y)) <=> ((intu_lt @ X @ Y) | (intu_lt @ Y @ X)))).
thf(aINTu_NOTu_LE, axiom, ![X:int,Y:int]:(~ ((intu_le @ X @ Y)) <=> (intu_lt @ Y @ X))).
thf(aINTu_NOTu_LT, axiom, ![X:int,Y:int]:(~ ((intu_lt @ X @ Y)) <=> (intu_le @ Y @ X))).
thf(aINTu_OFu_NUMu_ADD, axiom, ![M:num,N:num]:((intu_add @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) = (intu_ofu_num @ (p_ @ M @ N)))).
thf(aINTu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((intu_ofu_num @ M) = (intu_ofu_num @ N)) <=> (M = N))).
thf(aINTu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((intu_le @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aINTu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((intu_lt @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aINTu_POS, axiom, ![N:num]:(intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_ofu_num @ N))).
thf(aINu_DELETE, axiom, ![S:(cartrealn3 > $o),X:cartrealn3,Y:cartrealn3]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn3 > $o) > $o),X:cartrealn3]:((in @ X @ (gspec @ ^[V:cartrealn3]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn3]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (gspec @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn3,S:(cartrealn3 > $o),F:(cartrealn3 > cartrealn3)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealn3]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_INTERS, axiom, ![S:((cartrealn3 > $o) > $o),X:cartrealn3]:((in @ X @ (inters @ S)) <=> ![T:(cartrealn3 > $o)]:((in0 @ T @ S) => (in @ X @ T)))).
thf(aINu_SETu_OFu_LIST, axiom, ![X:cartrealn3,L:listcartrealn3]:((in @ X @ (setu_ofu_list @ L)) <=> (mem @ X @ L))).
thf(aINu_SING, axiom, ![X:cartrealn3,Y:cartrealn3]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aINu_UNION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:int]:((i0 @ X) = X)).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > int),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_0 @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLENGTHu_EQu_NIL, axiom, ![L:lista]:(((length0 @ L) = (numeral @ u_0)) <=> (L = nil0))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn3 > $o)]:(?[X:cartrealn3]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aMEMu_EL, axiom, ![L:listq20096,N:num]:((l_ @ N @ (length1 @ L)) => (mem0 @ (el1 @ N @ L) @ L))).
thf(aMULTu_ACu_conjunct0, axiom, ![N:num,M:num]:((t_ @ M @ N) = (t_ @ N @ M))).
thf(aMULTu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((t_ @ (t_ @ M @ N) @ P) = (t_ @ M @ (t_ @ N @ P)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNORMu_POWu_2, axiom, ![X:cartrealn3]:((realu_pow @ (vectoru_norm @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (dot @ X @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aORTHOGONALu_TOu_SPAN, axiom, ![S:(cartrealn3 > $o),X:cartrealn3]:(![Y:cartrealn3]:((in @ Y @ S) => (orthogonal @ X @ Y)) => ![Y:cartrealn3]:((in @ Y @ (span @ S)) => (orthogonal @ X @ Y)))).
thf(aPacku_conclo_NOPZSEH, axiom, ![K:num,UL:listcartrealn3,V:(cartrealn3 > $o)]:((barv @ V @ K @ UL) <=> (((length @ UL) = (p_ @ K @ (numeral @ (bit1 @ u_0)))) & ![VL:listcartrealn3]:(((initialu_sublist @ VL @ UL) & (l_ @ (numeral @ u_0) @ (length @ VL))) => (voronoiu_nondg @ V @ VL))))).
thf(aPacking3o_BARVu_IMPu_Ku_LEu_3, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3,K:num]:((barv @ V @ K @ UL) => (l_a_ @ K @ (numeral @ (bit1 @ (bit1 @ u_0)))))).
thf(aPacking3o_BISu_EQu_HYPERPLANE, axiom, ![U:cartrealn3,V:cartrealn3]:((bis @ U @ V) = (gspec @ ^[GENR_PVARR_868:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_868 @ ((dot @ (r_ @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (vectoru_sub @ V @ U)) @ X) = (realu_sub @ (dot @ V @ V) @ (dot @ U @ U))) @ X)))).
thf(aPacking3o_HDu_INu_SETu_OFu_LIST, axiom, ![UL:listcartrealn3]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ (length @ UL)) => (in @ (hd1 @ UL) @ (setu_ofu_list @ UL)))).
thf(aPacking3o_HDu_TRUNCATEu_SIMPLEXu_monomorphized1, axiom, ![UL:listreal,J:num]:((l_a_ @ (p_ @ J @ (numeral @ (bit1 @ u_0))) @ (length2 @ UL)) => ((hd @ (truncateu_simplex @ J @ UL)) = (hd @ UL)))).
thf(aPacking3o_HDu_TRUNCATEu_SIMPLEXu_monomorphized0, axiom, ![UL:listint,J:num]:((l_a_ @ (p_ @ J @ (numeral @ (bit1 @ u_0))) @ (length3 @ UL)) => ((hd0 @ (truncateu_simplex0 @ J @ UL)) = (hd0 @ UL)))).
thf(aPacking3o_IMAGEu_LEMMA, axiom, ![S:(cartrealn3 > $o),F:(cartrealn3 > q1568941)]:((image2 @ F @ S) = (gspec0 @ ^[GENR_PVARR_853:q1568941]:?[X:cartrealn3]:(setspec0 @ GENR_PVARR_853 @ (in @ X @ S) @ (F @ X))))).
thf(aPacking3o_INITIALu_SUBLISTu_REFL, axiom, ![UL:listq1572265]:(initialu_sublist0 @ UL @ UL)).
thf(aPacking3o_INu_TRANS, axiom, ![X:cartrealn3,S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((in @ X @ T) & (subset @ T @ S)) => (in @ X @ S))).
thf(aPacking3o_LENGTHu_1u_LEMMA, axiom, ![UL:lista]:(((length0 @ UL) = (numeral @ (bit1 @ u_0))) => (UL = (cons0 @ (hd2 @ UL) @ nil0)))).
thf(aPacking3o_TRUNCATEu_SIMPLEXu_BARV, axiom, ![V:(cartrealn3 > $o),R:num,K:num,ZL:listcartrealn3]:(((barv @ V @ K @ ZL) & (l_a_ @ R @ K)) => (barv @ V @ R @ (truncateu_simplex1 @ R @ ZL)))).
thf(aPacking3o_TRUNCATEu_SIMPLEXu_EQu_BUTLAST, axiom, ![UL:lista]:((l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (length0 @ UL)) => ((truncateu_simplex2 @ (m_ @ (length0 @ UL) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ UL) = (butlast0 @ UL)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INVu_DIV, axiom, ![X:real,Y:real]:((realu_inv @ (realu_div @ X @ Y)) = (realu_div @ Y @ X))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_INVu_NEG, axiom, ![X:real]:((realu_inv @ (realu_neg @ X)) = (realu_neg @ (realu_inv @ X)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRogerso_AFFINEu_INDEPENDENTu_IMPu_INDEPENDENT, axiom, ![S:(cartrealn3 > $o)]:(~ ((affineu_dependent @ S)) => ![X:cartrealn3]:((in @ X @ S) => (independent0 @ (gspec @ ^[GENR_PVARR_959:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_959 @ (in @ Y @ (delete @ S @ X)) @ (vectoru_sub @ Y @ X))))))).
thf(aRogerso_CIRCUMCENTERu_1, axiom, ![X:cartrealn3]:((circumcenter @ (insert @ X @ empty)) = X)).
thf(aRogerso_MHFTTZNu_lemma, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3,K:num]:(((packing @ V) & (barv @ V @ K @ UL)) => ((hull @ affine @ (voronoiu_list @ V @ UL)) = (inters @ (gspec1 @ ^[GENR_PVARR_965:(cartrealn3 > $o)]:?[U:cartrealn3]:(setspec1 @ GENR_PVARR_965 @ (in @ U @ (setu_ofu_list @ UL)) @ (bis @ (hd1 @ UL) @ U))))))).
thf(aRogerso_OAPVION1, axiom, ![S:(cartrealn3 > $o)]:((~ ((S = empty)) & ~ ((affineu_dependent @ S))) => (in @ (circumcenter @ S) @ (hull @ affine @ S)))).
thf(aRogerso_OAPVION2, axiom, ![S:(cartrealn3 > $o)]:(~ ((affineu_dependent @ S)) => ![W:cartrealn3]:((in @ W @ S) => ((radv @ S) = (distance2 @ (c_2 @ (circumcenter @ S) @ W)))))).
thf(aSETu_OFu_LISTu_APPEND, axiom, ![L1:listcartrealn3,L2:listcartrealn3]:((setu_ofu_list @ (append0 @ L1 @ L2)) = (union @ (setu_ofu_list @ L1) @ (setu_ofu_list @ L2)))).
thf(aSETu_OFu_LISTu_EQu_EMPTY, axiom, ![L:listcartrealn3]:(((setu_ofu_list @ L) = empty) <=> (L = nil1))).
thf(aSPANu_INSERTu_0, axiom, ![S:(cartrealq120785 > $o)]:((span1 @ (insert0 @ (vec0 @ (numeral @ u_0)) @ S)) = (span1 @ S))).
thf(aSPANu_SPAN, axiom, ![S:(cartrealq119147 > $o)]:((span2 @ (span2 @ S)) = (span2 @ S))).
thf(aSPANu_SUB, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:(((in @ X @ (span @ S)) & (in @ Y @ (span @ S))) => (in @ (vectoru_sub @ X @ Y) @ (span @ S)))).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset0 @ S @ T) & (subset0 @ T @ U)) => (subset0 @ S @ U))).
thf(aSUBu_ELIMu_THM, axiom, ![A:num,B:num,P:(num > $o)]:((P @ (m_ @ A @ B)) <=> ![D:num]:(((A = (p_ @ B @ D)) | ((l_ @ A @ B) & (D = (numeral @ u_0)))) => (P @ D)))).
thf(aSphereo_VORONOIu_NONDG, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3]:((voronoiu_nondg @ V @ UL) <=> ((l_ @ (length @ UL) @ (numeral @ (bit1 @ (bit0 @ (bit1 @ u_0))))) & (subset @ (setu_ofu_list @ UL) @ V) & ((intu_add @ (affu_dim @ (voronoiu_list @ V @ UL)) @ (intu_ofu_num @ (length @ UL))) = (intu_ofu_num @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))))))).
thf(aSphereo_bis, axiom, ![U:cartrealn,V:cartrealn]:((bis0 @ U @ V) = (gspec2 @ ^[GENR_PVARR_4:cartrealn]:?[X:cartrealn]:(setspec2 @ GENR_PVARR_4 @ ((distance3 @ (c_3 @ X @ U)) = (distance3 @ (c_3 @ X @ V))) @ X)))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aVECTORu_SUBu_REFL, axiom, ![X:cartrealn3]:((vectoru_sub @ X @ X) = (vec @ (numeral @ u_0)))).
thf(adist, axiom, ![X:cartrealn3,Y:cartrealn3]:((distance2 @ (c_2 @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ X @ Y)))).
thf(aintu_addu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_add @ X @ Y)) = (realu_add @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_negu_th, axiom, ![X:int]:((realu_ofu_int @ (intu_neg @ X)) = (realu_neg @ (realu_ofu_int @ X)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aintu_subu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_sub @ X @ Y)) = (realu_sub @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aorthogonal, axiom, ![X:cartrealn3,Y:cartrealn3]:((orthogonal @ X @ Y) <=> ((dot @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(asetu_ofu_listu_conjunct0, axiom, ((setu_ofu_list @ nil1) = empty)).
thf(asetu_ofu_listu_conjunct1, axiom, ![H:cartrealn3,T:listcartrealn3]:((setu_ofu_list @ (cons1 @ H @ T)) = (insert @ H @ (setu_ofu_list @ T)))).
thf(aspan, axiom, ![S:(cartrealn3 > $o)]:((span @ S) = (hull @ subspace @ S))).
thf(avectoru_add, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_add0 @ X @ Y) = (lambda2 @ ^[I:num]:(realu_add @ (d_1 @ X @ I) @ (d_1 @ Y @ I))))).
thf(avectoru_neg, axiom, ![X:cartrealn]:((vectoru_neg @ X) = (lambda2 @ ^[I:num]:(realu_neg @ (d_1 @ X @ I))))).
thf(avectoru_sub, axiom, ![X:cartrealn3,Y:cartrealn3]:((vectoru_sub @ X @ Y) = (lambda3 @ ^[I:num]:(realu_sub @ (d_2 @ X @ I) @ (d_2 @ Y @ I))))).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),UL:listcartrealn3,K:num]:(((packing @ V) & (barv @ V @ K @ UL)) => (((affu_dim @ (setu_ofu_list @ UL)) = (intu_ofu_num @ K)) & ![U:cartrealn3,V0:cartrealn3]:(((in @ U @ (hull @ affine @ (voronoiu_list @ V @ UL))) & (in @ V0 @ (hull @ affine @ (setu_ofu_list @ UL)))) => ((dot @ (vectoru_sub @ U @ (circumcenter @ (setu_ofu_list @ UL))) @ (vectoru_sub @ V0 @ (circumcenter @ (setu_ofu_list @ UL)))) = (realu_ofu_num @ (numeral @ u_0))))))).
