%   ORIGINAL: Marchal_cells.TRUNCATE_SIMPLEX_EXPLICIT_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: APPEND_NIL: !l. APPEND l [] = l
% Assm: APPEND_conjunct0: !l. APPEND [] l = l
% Assm: APPEND_conjunct1: !h t l. APPEND (CONS h t) l = CONS h (APPEND t l)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Marchal_cells.TRUNCATE_SIMPLEX_GENERAL_1: !ul vl a b. ul = APPEND [a; b] vl ==> truncate_simplex 1 ul = [a; b]
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a b c d. truncate_simplex 1 [a; b] = [a; b] /\ truncate_simplex 1 [a; b; c] = [a; b] /\ truncate_simplex 1 [a; b; c; d] = [a; b]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !l. APPEND l [] = l
% Assm: !l. APPEND [] l = l
% Assm: !h t l. APPEND (CONS h t) l = CONS h (APPEND t l)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !ul vl a b. ul = APPEND [a; b] vl ==> truncate_simplex 1 ul = [a; b]
% Assm: ~F <=> T
% Assm: T
% Goal: !a b c d. truncate_simplex 1 [a; b] = [a; b] /\ truncate_simplex 1 [a; b; c] = [a; b] /\ truncate_simplex 1 [a; b; c; d] = [a; b]
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tlistcartrealn3, type, listcartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cnil, type, nil : listcartrealn3).
thf(cappend, type, append : (listcartrealn3 > listcartrealn3 > listcartrealn3)).
thf(ccons, type, cons : (cartrealn3 > listcartrealn3 > listcartrealn3)).
thf(ctruncateuu_simplex, type, truncateu_simplex : (num > listcartrealn3 > listcartrealn3)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > listcartrealn3),G:(a > listcartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAPPENDu_NIL, axiom, ![L:listcartrealn3]:((append @ L @ nil) = L)).
thf(aAPPENDu_conjunct0, axiom, ![L:listcartrealn3]:((append @ nil @ L) = L)).
thf(aAPPENDu_conjunct1, axiom, ![H:cartrealn3,T:listcartrealn3,L:listcartrealn3]:((append @ (cons @ H @ T) @ L) = (cons @ H @ (append @ T @ L)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aMarchalu_cellso_TRUNCATEu_SIMPLEXu_GENERALu_1, axiom, ![UL:listcartrealn3,VL:listcartrealn3,A:cartrealn3,B:cartrealn3]:((UL = (append @ (cons @ A @ (cons @ B @ nil)) @ VL)) => ((truncateu_simplex @ (numeral @ (bit1 @ u_0)) @ UL) = (cons @ A @ (cons @ B @ nil))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn3,B:cartrealn3,C:cartrealn3,D:cartrealn3]:(((truncateu_simplex @ (numeral @ (bit1 @ u_0)) @ (cons @ A @ (cons @ B @ nil))) = (cons @ A @ (cons @ B @ nil))) & ((truncateu_simplex @ (numeral @ (bit1 @ u_0)) @ (cons @ A @ (cons @ B @ (cons @ C @ nil)))) = (cons @ A @ (cons @ B @ nil))) & ((truncateu_simplex @ (numeral @ (bit1 @ u_0)) @ (cons @ A @ (cons @ B @ (cons @ C @ (cons @ D @ nil))))) = (cons @ A @ (cons @ B @ nil))))).
