%   ORIGINAL: Marchal_cells_2.VSUM_CLAUSES_alt
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
%  TYPES
thf(tq1648882, type, q1648882 : $tType).
thf(ta, type, a : $tType).
thf(tq1648887, type, q1648887 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq1648887, type, cartrealq1648887 : $tType).
%  CONSTS
thf(cin, type, in : (q1648882 > (q1648882 > $o) > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq1648887 > cartrealq1648887 > cartrealq1648887)).
thf(ccond, type, cond : ($o > cartrealq1648887 > cartrealq1648887 > cartrealq1648887)).
thf(cinsert, type, insert : (q1648882 > (q1648882 > $o) > q1648882 > $o)).
thf(cvsum, type, vsum : ((q1648882 > $o) > (q1648882 > cartrealq1648887) > cartrealq1648887)).
thf(cfinite, type, finite : ((q1648882 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq1648887),G:(a > cartrealq1648887)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_CLAUSESu_conjunct1, axiom, ![X:q1648882,F:(q1648882 > cartrealq1648887),S:(q1648882 > $o)]:((finite @ S) => ((vsum @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (vsum @ S @ F) @ (vectoru_add @ (F @ X) @ (vsum @ S @ F)))))).
thf(conjecture, conjecture, ![X:q1648882,F:(q1648882 > cartrealq1648887),S:(q1648882 > $o)]:((finite @ S) => ((vsum @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (vsum @ S @ F) @ (vectoru_add @ (F @ X) @ (vsum @ S @ F)))))).
