%   ORIGINAL: Marchal_cells_2.BETWEEN_TRANS_3_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BETWEEN_IMP_COLLINEAR: !a b x. between x (a,b) ==> collinear {a, x, b}
% Assm: BETWEEN_IN_CONVEX_HULL: !x a b. between x (a,b) <=> x IN convex hull {a, b}
% Assm: BETWEEN_REFL: !a b. between a (a,b) /\ between b (a,b) /\ between a (a,a)
% Assm: BETWEEN_REFL_EQ: !a x. between x (a,a) <=> x = a
% Assm: BETWEEN_SYM: !a b x. between x (a,b) <=> between x (b,a)
% Assm: BETWEEN_TRANS_2: !a b c d. between a (b,c) /\ between d (a,b) ==> between a (c,d)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COLLINEAR_3_TRANS: !a b c d. collinear {a, b, c} /\ collinear {b, c, d} /\ ~(b = c) ==> collinear {a, b, d}
% Assm: COLLINEAR_BETWEEN_CASES: !a b c. collinear {a, b, c} <=> between a (b,c) \/ between b (c,a) \/ between c (a,b)
% Assm: CONVEX_HULL_2: !a b. convex hull {a, b} = {u % a + v % b | &0 <= u /\ &0 <= v /\ u + v = &1}
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct2: !P x. GSPEC (\v. P (SETSPEC v)) x <=> P (\p t. p /\ x = t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LE_0: !n. 0 <= n
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: ONE: 1 = SUC 0
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: VECTOR_ADD_RID: !x. x + vec 0 = x
% Assm: VECTOR_MUL_EQ_0: !a x. a % x = vec 0 <=> a = &0 \/ x = vec 0
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: VECTOR_MUL_LZERO: !x. &0 % x = vec 0
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: vec: !n. vec n = (lambda i. &n)
% Assm: vector_add: !x y. x + y = (lambda i. x$i + y$i)
% Assm: vector_mul: !c x. c % x = (lambda i. c * x$i)
% Assm: vector_sub: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !a b x y. between x (a,b) /\ between y (a,b) ==> between x (a,y) \/ between x (y,b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: BIT0 _0 = _0
% Assm: !a b x. between x (a,b) ==> collinear {a, x, b}
% Assm: !x a b. between x (a,b) <=> x IN convex hull {a, b}
% Assm: !a b. between a (a,b) /\ between b (a,b) /\ between a (a,a)
% Assm: !a x. between x (a,a) <=> x = a
% Assm: !a b x. between x (a,b) <=> between x (b,a)
% Assm: !a b c d. between a (b,c) /\ between d (a,b) ==> between a (c,d)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: !a b c d. collinear {a, b, c} /\ collinear {b, c, d} /\ ~(b = c) ==> collinear {a, b, d}
% Assm: !a b c. collinear {a, b, c} <=> between a (b,c) \/ between b (c,a) \/ between c (a,b)
% Assm: !a b. convex hull {a, b} = {u % a + v % b | &0 <= u /\ &0 <= v /\ u + v = &1}
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. GSPEC (\v. P (SETSPEC v)) x <=> P (\p t. p /\ x = t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !n. 0 <= n
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !m. m * 0 = 0
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: 1 = SUC 0
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: T
% Assm: 2 = SUC 1
% Assm: !x. x + vec 0 = x
% Assm: !a x. a % x = vec 0 <=> a = &0 \/ x = vec 0
% Assm: !x. &1 % x = x
% Assm: !x. &0 % x = vec 0
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !n. vec n = (lambda i. &n)
% Assm: !x y. x + y = (lambda i. x$i + y$i)
% Assm: !c x. c % x = (lambda i. c * x$i)
% Assm: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !a b x y. between x (a,b) /\ between y (a,b) ==> between x (a,y) \/ between x (y,b)
%  TYPES
thf(tq97171, type, q97171 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq97340, type, q97340 : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tcartrealq263113, type, cartrealq263113 : $tType).
thf(tq99960, type, q99960 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq99960, type, cartrealq99960 : $tType).
thf(tq97357, type, q97357 : $tType).
thf(tcartrealq97171, type, cartrealq97171 : $tType).
thf(tn3, type, n3 : $tType).
thf(tcartrealq97357, type, cartrealq97357 : $tType).
thf(tcartab, type, cartab : $tType).
thf(tcartrealq97340, type, cartrealq97340 : $tType).
thf(tq43879, type, q43879 : $tType).
thf(tn, type, n : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tq263113, type, q263113 : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(cvec1, type, vec1 : (num > cartrealq97357)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec0, type, gspec0 : ((q43879 > $o) > q43879 > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealq263113 > $o) > cartrealq263113 > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cbetween, type, between : (cartrealn3 > prodcartrealn3cartrealn3 > $o)).
thf(cvec, type, vec : (num > cartrealq97171)).
thf(cdu_, type, d_ : (cartab > num > a)).
thf(clambda0, type, lambda0 : ((num > a) > cartab)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cru_3, type, r_3 : (real > cartrealn > cartrealn)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealn > cartrealn > cartrealn)).
thf(cru_2, type, r_2 : (real > cartrealq97357 > cartrealq97357)).
thf(cru_1, type, r_1 : (real > cartrealq97340 > cartrealq97340)).
thf(cru_0, type, r_0 : (real > cartrealq99960 > cartrealq99960)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq97171 > cartrealq97171 > cartrealq97171)).
thf(cinsert2, type, insert2 : (a > (a > $o) > a > $o)).
thf(csetspec0, type, setspec0 : (q43879 > $o > q43879 > $o)).
thf(cru_, type, r_ : (real > cartrealq263113 > cartrealq263113)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq263113 > cartrealq263113 > cartrealq263113)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealq263113 > $o > cartrealq263113 > $o)).
thf(cinsert1, type, insert1 : (cartrealq263113 > (cartrealq263113 > $o) > cartrealq263113 > $o)).
thf(chull0, type, hull0 : (((cartrealq263113 > $o) > $o) > (cartrealq263113 > $o) > cartrealq263113 > $o)).
thf(cinsert0, type, insert0 : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cempty1, type, empty1 : (cartrealq263113 > $o)).
thf(cconvex0, type, convex0 : ((cartrealq263113 > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(ccollinear0, type, collinear0 : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(cvec2, type, vec2 : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty2, type, empty2 : (a > $o)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cvec0, type, vec0 : (num > cartrealq99960)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBETWEENu_IMPu_COLLINEAR, axiom, ![A:cartrealn3,B:cartrealn3,X:cartrealn3]:((between @ X @ (c_ @ A @ B)) => (collinear @ (insert @ A @ (insert @ X @ (insert @ B @ empty)))))).
thf(aBETWEENu_INu_CONVEXu_HULL, axiom, ![X:cartrealn3,A:cartrealn3,B:cartrealn3]:((between @ X @ (c_ @ A @ B)) <=> (in @ X @ (hull @ convex @ (insert @ A @ (insert @ B @ empty)))))).
thf(aBETWEENu_REFL, axiom, ![A:cartrealn3,B:cartrealn3]:((between @ A @ (c_ @ A @ B)) & (between @ B @ (c_ @ A @ B)) & (between @ A @ (c_ @ A @ A)))).
thf(aBETWEENu_REFLu_EQ, axiom, ![A:cartrealn3,X:cartrealn3]:((between @ X @ (c_ @ A @ A)) <=> (X = A))).
thf(aBETWEENu_SYM, axiom, ![A:cartrealn3,B:cartrealn3,X:cartrealn3]:((between @ X @ (c_ @ A @ B)) <=> (between @ X @ (c_ @ B @ A)))).
thf(aBETWEENu_TRANSu_2, axiom, ![A:cartrealn3,B:cartrealn3,C:cartrealn3,D:cartrealn3]:(((between @ A @ (c_ @ B @ C)) & (between @ D @ (c_ @ A @ B))) => (between @ A @ (c_ @ C @ D)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartab,Y:cartab]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCOLLINEARu_3u_TRANS, axiom, ![A:cartrealn,B:cartrealn,C:cartrealn,D:cartrealn]:(((collinear0 @ (insert0 @ A @ (insert0 @ B @ (insert0 @ C @ empty0)))) & (collinear0 @ (insert0 @ B @ (insert0 @ C @ (insert0 @ D @ empty0)))) & ~ ((B = C))) => (collinear0 @ (insert0 @ A @ (insert0 @ B @ (insert0 @ D @ empty0)))))).
thf(aCOLLINEARu_BETWEENu_CASES, axiom, ![A:cartrealn3,B:cartrealn3,C:cartrealn3]:((collinear @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) <=> ((between @ A @ (c_ @ B @ C)) | (between @ B @ (c_ @ C @ A)) | (between @ C @ (c_ @ A @ B))))).
thf(aCONVEXu_HULLu_2, axiom, ![A:cartrealq263113,B:cartrealq263113]:((hull0 @ convex0 @ (insert1 @ A @ (insert1 @ B @ empty1))) = (gspec @ ^[GENR_PVARR_866:cartrealq263113]:?[U:real,V:real]:(setspec @ GENR_PVARR_866 @ ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ V) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ (vectoru_add @ (r_ @ U @ A) @ (r_ @ V @ B)))))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct2, axiom, ![P:(($o > q43879 > $o) > $o),X:q43879]:((gspec0 @ ^[V:q43879]:(P @ (setspec0 @ V)) @ X) <=> (P @ ^[P0:$o,T:q43879]:(P0 & (X = T))))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in0 @ X @ (insert2 @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > a),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in0 @ X @ empty2))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aVECTORu_ADDu_RID, axiom, ![X:cartrealq97171]:((vectoru_add0 @ X @ (vec @ (numeral @ u_0))) = X)).
thf(aVECTORu_MULu_EQu_0, axiom, ![A:real,X:cartrealq99960]:(((r_0 @ A @ X) = (vec0 @ (numeral @ u_0))) <=> ((A = (realu_ofu_num @ (numeral @ u_0))) | (X = (vec0 @ (numeral @ u_0)))))).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealq97340]:((r_1 @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aVECTORu_MULu_LZERO, axiom, ![X:cartrealq97357]:((r_2 @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (vec1 @ (numeral @ u_0)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(avec, axiom, ![N:num]:((vec2 @ N) = (lambda1 @ ^[I:num]:(realu_ofu_num @ N)))).
thf(avectoru_add, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_add1 @ X @ Y) = (lambda1 @ ^[I:num]:(realu_add @ (d_0 @ X @ I) @ (d_0 @ Y @ I))))).
thf(avectoru_mul, axiom, ![C:real,X:cartrealn]:((r_3 @ C @ X) = (lambda1 @ ^[I:num]:(realu_mul @ C @ (d_0 @ X @ I))))).
thf(avectoru_sub, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_sub @ X @ Y) = (lambda1 @ ^[I:num]:(realu_sub @ (d_0 @ X @ I) @ (d_0 @ Y @ I))))).
thf(conjecture, conjecture, ![A:cartrealn3,B:cartrealn3,X:cartrealn3,Y:cartrealn3]:(((between @ X @ (c_ @ A @ B)) & (between @ Y @ (c_ @ A @ B))) => ((between @ X @ (c_ @ A @ Y)) | (between @ X @ (c_ @ Y @ B))))).
