%   ORIGINAL: Marchal_cells_3.FINITE_LIST_KY_LEMMA_2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_PRODUCT_DEPENDENT: !f s t. FINITE s /\ (!x. x IN s ==> FINITE (t x)) ==> FINITE {f x y | x IN s /\ y IN t x}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. FINITE s ==> FINITE {y | ?u0 u1. u0 IN s /\ u1 IN s /\ y = [u0; u1]}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s t. FINITE s /\ (!x. x IN s ==> FINITE (t x)) ==> FINITE {f x y | x IN s /\ y IN t x}
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: T
% Goal: !s. FINITE s ==> FINITE {y | ?u0 u1. u0 IN s /\ u1 IN s /\ y = [u0; u1]}
%  TYPES
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((lista > $o) > lista > $o)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(ccons, type, cons : (a > lista > lista)).
thf(csetspec, type, setspec : (lista > $o > lista > $o)).
thf(cfinite0, type, finite0 : ((lista > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cnil, type, nil : lista).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > lista),G:(a > lista)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_PRODUCTu_DEPENDENT, axiom, ![F:(a > a > lista),S:(a > $o),T:(a > a > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (finite @ (T @ X)))) => (finite0 @ (gspec @ ^[GENR_PVARR_83:lista]:?[X:a,Y:a]:(setspec @ GENR_PVARR_83 @ ((in @ X @ S) & (in @ Y @ (T @ X))) @ (F @ X @ Y)))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > a > $o) > $o),X:a]:((in @ X @ (gspec0 @ ^[V:a]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:a]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec0 @ ^[V:a]:?[Y:a]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o)]:((finite @ S) => (finite0 @ (gspec @ ^[GENR_PVARR_1318:lista]:?[Y:lista]:(setspec @ GENR_PVARR_1318 @ ?[U0:a,U1:a]:((in @ U0 @ S) & (in @ U1 @ S) & (Y = (cons @ U0 @ (cons @ U1 @ nil)))) @ Y))))).
