%   ORIGINAL: Marchal_cells_3.SUM_PAIR_2_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_EMPTY: FINITE {}
% Assm: FINITE_INSERT: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: FINITE_PRODUCT_DEPENDENT: !f s t. FINITE s /\ (!x. x IN s ==> FINITE (t x)) ==> FINITE {f x y | x IN s /\ y IN t x}
% Assm: FINITE_RESTRICT: !s P. FINITE s ==> FINITE {x | x IN s /\ P x}
% Assm: FORALL_IN_GSPEC_conjunct1: !P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FORALL_PAIR_THM: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT_AC_conjunct0: x INSERT y INSERT s = y INSERT x INSERT s
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: LE_0: !n. 0 <= n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: PAIR_EQ: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUM_CLAUSES_conjunct0: !f. sum {} f = &0
% Assm: SUM_CLAUSES_conjunct1: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_GROUP: !f g s t. FINITE s /\ IMAGE f s SUBSET t ==> sum t (\y. sum {x | x IN s /\ f x = y} g) = sum s g
% Assm: SUM_LMUL: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Goal: !f s d. FINITE s ==> sum {m,n | m IN s /\ n IN s /\ ~(m = n) /\ dist (m,n) <= d} (\(m,n). f {m, n}) = &2 * sum {{m, n} | m IN s /\ n IN s /\ ~(m = n) /\ dist (m,n) <= d} f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: _0 = _0 <=> T
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE {}
% Assm: !s x. FINITE (x INSERT s) <=> FINITE s
% Assm: !f s t. FINITE s /\ (!x. x IN s ==> FINITE (t x)) ==> FINITE {f x y | x IN s /\ y IN t x}
% Assm: !s P. FINITE s ==> FINITE {x | x IN s /\ P x}
% Assm: !Q P f. (!z. z IN {f x y | P x y} ==> Q z) <=> (!x y. P x y ==> Q (f x y))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a = b
% Assm: !P x. x IN P <=> P x
% Assm: !y x s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x y. x IN {y} <=> x = y
% Assm: !n. 0 <= n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !P x. P x ==> P ((@) P)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !f. sum {} f = &0
% Assm: !f. sum {} f = &0
% Assm: !x f s. FINITE s ==> sum (x INSERT s) f = (if x IN s then sum s f else f x + sum s f)
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f g s t. FINITE s /\ IMAGE f s SUBSET t ==> sum t (\y. sum {x | x IN s /\ f x = y} g) = sum s g
% Assm: !f g s t. FINITE s /\ IMAGE f s SUBSET t ==> sum t (\y. sum {x | x IN s /\ f x = y} g) = sum s g
% Assm: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: T
% Assm: 2 = SUC 1
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Goal: !f s d. FINITE s ==> sum {m,n | m IN s /\ n IN s /\ ~(m = n) /\ dist (m,n) <= d} (\(m,n). f {m, n}) = &2 * sum {{m, n} | m IN s /\ n IN s /\ ~(m = n) /\ dist (m,n) <= d} f
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(tq48223, type, q48223 : $tType).
thf(tq48224, type, q48224 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(csubset1, type, subset1 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(csubset0, type, subset0 : ((prodcartrealncartrealn > $o) > (prodcartrealncartrealn > $o) > $o)).
thf(csum1, type, sum1 : ((cartrealn > $o) > (cartrealn > real) > real)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(chu_, type, h_ : (((prodcartrealncartrealn > real) > $o) > prodcartrealncartrealn > real)).
thf(cgspec1, type, gspec1 : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cgspec0, type, gspec0 : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(csum0, type, sum0 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > real) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cgeq, type, geq : (real > real > $o)).
thf(cgabs, type, gabs : (((prodcartrealncartrealn > real) > $o) > prodcartrealncartrealn > real)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((prodcartrealncartrealn > $o) > prodcartrealncartrealn > $o)).
thf(csum, type, sum : ((prodcartrealncartrealn > $o) > (prodcartrealncartrealn > real) > real)).
thf(cimage1, type, image1 : ((cartrealn > cartrealn > $o) > (cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cimage0, type, image0 : ((cartrealn > prodcartrealncartrealn) > (cartrealn > $o) > prodcartrealncartrealn > $o)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec1, type, setspec1 : (cartrealn > $o > cartrealn > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn > cartrealn > cartrealn)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(csetspec0, type, setspec0 : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(csetspec, type, setspec : (prodcartrealncartrealn > $o > prodcartrealncartrealn > $o)).
thf(cempty1, type, empty1 : ((cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (prodcartrealncartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:cartrealn,T2:cartrealn]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDISTu_SYM, axiom, ![X:cartrealn,Y:cartrealn]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_EMPTY, axiom, (finite @ empty)).
thf(aFINITEu_INSERT, axiom, ![S:(cartrealn > $o),X:cartrealn]:((finite @ (insert @ X @ S)) <=> (finite @ S))).
thf(aFINITEu_PRODUCTu_DEPENDENT, axiom, ![F:(cartrealn > cartrealn > cartrealn),S:(cartrealn > $o),T:(cartrealn > cartrealn > $o)]:(((finite @ S) & ![X:cartrealn]:((in @ X @ S) => (finite @ (T @ X)))) => (finite @ (gspec1 @ ^[GENR_PVARR_83:cartrealn]:?[X:cartrealn,Y:cartrealn]:(setspec1 @ GENR_PVARR_83 @ ((in @ X @ S) & (in @ Y @ (T @ X))) @ (F @ X @ Y)))))).
thf(aFINITEu_RESTRICT, axiom, ![S:(cartrealn > $o),P:(cartrealn > $o)]:((finite @ S) => (finite @ (gspec1 @ ^[GENR_PVARR_66:cartrealn]:?[X:cartrealn]:(setspec1 @ GENR_PVARR_66 @ ((in @ X @ S) & (P @ X)) @ X))))).
thf(aFORALLu_INu_GSPECu_conjunct1, axiom, ![Q:(cartrealn > $o),P:(q48224 > q48223 > $o),F:(q48224 > q48223 > cartrealn)]:(![Z:cartrealn]:((in @ Z @ (gspec1 @ ^[GENR_PVARR_21:cartrealn]:?[X:q48224,Y:q48223]:(setspec1 @ GENR_PVARR_21 @ (P @ X @ Y) @ (F @ X @ Y)))) => (Q @ Z)) <=> ![X:q48224,Y:q48223]:((P @ X @ Y) => (Q @ (F @ X @ Y))))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(![Y:cartrealn]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealn]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFORALLu_PAIRu_THM, axiom, ![P:(prodcartrealncartrealn > $o)]:(![P0:prodcartrealncartrealn]:(P @ P0) <=> ![P1:cartrealn,P2:cartrealn]:(P @ (c_ @ P1 @ P2)))).
thf(aGABSu_DEF, axiom, ![P:((prodcartrealncartrealn > real) > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:real,B:real]:((geq @ A @ B) <=> (A = B))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINSERTu_ACu_conjunct0, axiom, ![Y:cartrealn,X:cartrealn,S:(cartrealn > $o)]:((insert @ X @ (insert @ Y @ S)) = (insert @ Y @ (insert @ X @ S)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn > $o) > $o),X:cartrealn]:((in @ X @ (gspec1 @ ^[V:cartrealn]:(P @ (setspec1 @ V)))) <=> (P @ ^[P0:$o,T:cartrealn]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec1 @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec1 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_SING, axiom, ![X:cartrealn,Y:cartrealn]:((in @ X @ (insert @ Y @ empty)) <=> (X = Y))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aPAIRu_EQ, axiom, ![X:cartrealn,Y:cartrealn,A:cartrealn,B:cartrealn]:(((c_ @ X @ Y) = (c_ @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUMu_CLAUSESu_conjunct0u_monomorphized1, axiom, ![F:(prodcartrealncartrealn > real)]:((sum @ empty0 @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_CLAUSESu_conjunct0u_monomorphized0, axiom, ![F:((cartrealn > $o) > real)]:((sum0 @ empty1 @ F) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_CLAUSESu_conjunct1, axiom, ![X:cartrealn,F:(cartrealn > real),S:(cartrealn > $o)]:((finite @ S) => ((sum1 @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (sum1 @ S @ F) @ (realu_add @ (F @ X) @ (sum1 @ S @ F)))))).
thf(aSUMu_EQ, axiom, ![F:(cartrealn > real),G:(cartrealn > real),S:(cartrealn > $o)]:(![X:cartrealn]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((sum1 @ S @ F) = (sum1 @ S @ G)))).
thf(aSUMu_GROUPu_monomorphized1, axiom, ![F:(cartrealn > prodcartrealncartrealn),G:(cartrealn > real),S:(cartrealn > $o),T:(prodcartrealncartrealn > $o)]:(((finite @ S) & (subset0 @ (image0 @ F @ S) @ T)) => ((sum @ T @ ^[Y:prodcartrealncartrealn]:(sum1 @ (gspec1 @ ^[GENR_PVARR_188:cartrealn]:?[X:cartrealn]:(setspec1 @ GENR_PVARR_188 @ ((in @ X @ S) & ((F @ X) = Y)) @ X)) @ G)) = (sum1 @ S @ G)))).
thf(aSUMu_GROUPu_monomorphized0, axiom, ![F:(cartrealn > cartrealn > $o),G:(cartrealn > real),S:(cartrealn > $o),T:((cartrealn > $o) > $o)]:(((finite @ S) & (subset1 @ (image1 @ F @ S) @ T)) => ((sum0 @ T @ ^[Y:(cartrealn > $o)]:(sum1 @ (gspec1 @ ^[GENR_PVARR_188:cartrealn]:?[X:cartrealn]:(setspec1 @ GENR_PVARR_188 @ ((in @ X @ S) & ((F @ X) = Y)) @ X)) @ G)) = (sum1 @ S @ G)))).
thf(aSUMu_LMULu_monomorphized1, axiom, ![F:(prodcartrealncartrealn > real),C:real,S:(prodcartrealncartrealn > $o)]:((sum @ S @ ^[X:prodcartrealncartrealn]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum @ S @ F)))).
thf(aSUMu_LMULu_monomorphized0, axiom, ![F:((cartrealn > $o) > real),C:real,S:((cartrealn > $o) > $o)]:((sum0 @ S @ ^[X:(cartrealn > $o)]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum0 @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(apairu_RECURSIONu_monomorphized1, axiom, ![PAIRI_:(cartrealn > cartrealn > real)]:?[FN:(prodcartrealncartrealn > real)]:![A0:cartrealn,A1:cartrealn]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized0, axiom, ![PAIRI_:(cartrealn > cartrealn > cartrealn)]:?[FN:(prodcartrealncartrealn > cartrealn)]:![A0:cartrealn,A1:cartrealn]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(conjecture, conjecture, ![F:((cartrealn > $o) > real),S:(cartrealn > $o),D:real]:((finite @ S) => ((sum @ (gspec @ ^[GENR_PVARR_1323:prodcartrealncartrealn]:?[M:cartrealn,N:cartrealn]:(setspec @ GENR_PVARR_1323 @ ((in @ M @ S) & (in @ N @ S) & ~ ((M = N)) & (realu_le @ (distance @ (c_ @ M @ N)) @ D)) @ (c_ @ M @ N))) @ (gabs @ ^[F0:(prodcartrealncartrealn > real)]:![M:cartrealn,N:cartrealn]:(geq @ (F0 @ (c_ @ M @ N)) @ (F @ (insert @ M @ (insert @ N @ empty)))))) = (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (sum0 @ (gspec0 @ ^[GENR_PVARR_1324:(cartrealn > $o)]:?[M:cartrealn,N:cartrealn]:(setspec0 @ GENR_PVARR_1324 @ ((in @ M @ S) & (in @ N @ S) & ~ ((M = N)) & (realu_le @ (distance @ (c_ @ M @ N)) @ D)) @ (insert @ M @ (insert @ N @ empty)))) @ F))))).
