%   ORIGINAL: Wrgcvdr_cizmrrh.IDENTIFY_AZIM_CYCLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: AFF_GT_2_1: !x v w. DISJOINT {x, v} {w} ==> aff_gt {x, v} {w} = {y | ?t1 t2 t3. &0 < t3 /\ t1 + t2 + t3 = &1 /\ y = t1 % x + t2 % v + t3 % w}
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: AZIM_EQ: !v0 v1 w x y. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} /\ ~collinear {v0, v1, y} ==> (azim v0 v1 w x = azim v0 v1 w y <=> y IN aff_gt {v0, v1} {x})
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COLLINEAR_2: !x y. collinear {x, y}
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT_COMM: !x y s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: INSERT_INSERT: !x s. x INSERT x INSERT s = x INSERT s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LE_0: !n. 0 <= n
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NORM_EQ_0: !x. norm x = &0 <=> x = vec 0
% Assm: NORM_MUL: !a x. norm (a % x) = abs a * norm x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: ONE: 1 = SUC 0
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_EQ_ADD_LCANCEL: !x y z. x + y = x + z <=> y = z
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RINV: !x. ~(x = &0) ==> x * inv x = &1
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: Sphere.azim_cycle: !W p w v. azim_cycle W v w p = (if W SUBSET {p} then p else @u. ~(u = p) /\ W u /\ (!q. ~(q = p) /\ W q ==> azim v w p u < azim v w p q \/ azim v w p u = azim v w p q /\ norm (projection (w - v) (u - v)) <= norm (projection (w - v) (q - v))))
% Assm: Sphere.projection: !x e. projection e x = x - (x dot e) / (e dot e) % e
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: Trigonometry2.AFF2: !u v. aff {u, v} = {x | ?t. x = t % u + (&1 - t) % v}
% Assm: Trigonometry2.LT_IMP_ABS_REFL: &0 < a ==> abs a = a
% Assm: Trigonometry2.NOT_EQ_IMP_AFF_AND_COLL3: !v w u. ~(v = w) ==> (u IN aff {v, w} <=> collinear {v, w, u})
% Assm: Trigonometry2.cyclic_set: !W v w. cyclic_set W v w <=> ~(v = w) /\ FINITE W /\ (!p q h. W p /\ W q /\ p = q + h % (v - w) ==> p = q) /\ W INTER affine hull {v, w} = {}
% Assm: VECTOR_SUB_EQ: !x y. x - y = vec 0 <=> x = y
% Assm: Wrgcvdr_cizmrrh.CYCLIC_SET_IMP_NOT_COLLINEAR: cyclic_set W x y ==> (!v. v IN W ==> ~collinear {v, x, y})
% Assm: Wrgcvdr_cizmrrh.LINEAR_PROJECTION: projection e (t % x) = t % projection e x
% Assm: Wrgcvdr_cizmrrh.SLIDABLE_PROJECTION: ~(e = vec 0) ==> projection e (t % e + x) = projection e x
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: vec: !n. vec n = (lambda i. &n)
% Assm: vector_add: !x y. x + y = (lambda i. x$i + y$i)
% Assm: vector_mul: !c x. c % x = (lambda i. c * x$i)
% Assm: vector_sub: !x y. x - y = (lambda i. x$i - y$i)
% Goal: ~(W SUBSET {p}) /\ ~collinear {p, v, w} /\ cyclic_set W v w /\ (~(u = p) /\ W u) /\ (!q. ~(q = p) /\ W q ==> azim v w p u < azim v w p q \/ azim v w p u = azim v w p q /\ norm (projection (w - v) (u - v)) <= norm (projection (w - v) (q - v))) ==> azim_cycle W v w p = u
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !x v w. DISJOINT {x, v} {w} ==> aff_gt {x, v} {w} = {y | ?t1 t2 t3. &0 < t3 /\ t1 + t2 + t3 = &1 /\ y = t1 % x + t2 % v + t3 % w}
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: BIT0 _0 = _0
% Assm: !v0 v1 w x y. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} /\ ~collinear {v0, v1, y} ==> (azim v0 v1 w x = azim v0 v1 w y <=> y IN aff_gt {v0, v1} {x})
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:3) ==> x$i = y$i)
% Assm: !x y. collinear {x, y}
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: (?) = (\P. P ((@) P))
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: !x s. x INSERT x INSERT s = x INSERT s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !n. 0 <= n
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !m. m * 0 = 0
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: !x. norm x = &0 <=> x = vec 0
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: 1 = SUC 0
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y z. x + y = x + z <=> y = z
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x. ~(x = &0) ==> x * inv x = &1
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !W p w v. azim_cycle W v w p = (if W SUBSET {p} then p else @u. ~(u = p) /\ W u /\ (!q. ~(q = p) /\ W q ==> azim v w p u < azim v w p q \/ azim v w p u = azim v w p q /\ norm (projection (w - v) (u - v)) <= norm (projection (w - v) (q - v))))
% Assm: !x e. projection e x = x - (x dot e) / (e dot e) % e
% Assm: T
% Assm: 2 = SUC 1
% Assm: !u v. aff {u, v} = {x | ?t. x = t % u + (&1 - t) % v}
% Assm: !a. &0 < a ==> abs a = a
% Assm: !v w u. ~(v = w) ==> (u IN aff {v, w} <=> collinear {v, w, u})
% Assm: !W v w. cyclic_set W v w <=> ~(v = w) /\ FINITE W /\ (!p q h. W p /\ W q /\ p = q + h % (v - w) ==> p = q) /\ W INTER affine hull {v, w} = {}
% Assm: !x y. x - y = vec 0 <=> x = y
% Assm: !W x y. cyclic_set W x y ==> (!v. v IN W ==> ~collinear {v, x, y})
% Assm: !t e x. projection e (t % x) = t % projection e x
% Assm: !t e x. ~(e = vec 0) ==> projection e (t % e + x) = projection e x
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !n. vec n = (lambda i. &n)
% Assm: !x y. x + y = (lambda i. x$i + y$i)
% Assm: !c x. c % x = (lambda i. c * x$i)
% Assm: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !u p w v W. ~(W SUBSET {p}) /\ ~collinear {p, v, w} /\ cyclic_set W v w /\ (~(u = p) /\ W u) /\ (!q. ~(q = p) /\ W q ==> azim v w p u < azim v w p q \/ azim v w p u = azim v w p q /\ norm (projection (w - v) (u - v)) <= norm (projection (w - v) (q - v))) ==> azim_cycle W v w p = u
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn3, type, n3 : $tType).
thf(tcartcartrealn3b, type, cartcartrealn3b : $tType).
thf(tcartrealb, type, cartrealb : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn3)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(caff, type, aff : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(chu_0, type, h_0 : ((cartrealn3 > $o) > cartrealn3)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cdu_0, type, d_0 : (cartrealb > num > real)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(cdu_, type, d_ : (cartrealn3 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(clambda1, type, lambda1 : ((num > cartrealn3) > cartcartrealn3b)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealb)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdu_1, type, d_1 : (cartcartrealn3b > num > cartrealn3)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cazimuu_cycle, type, azimu_cycle : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cprojection, type, projection : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(ccyclicuu_set, type, cyclicu_set : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cuniv, type, univ : (n3 > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn3 > $o) > $o)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aAFFu_GTu_2u_1, axiom, ![X:cartrealn3,V:cartrealn3,W:cartrealn3]:((disjoint @ (insert @ X @ (insert @ V @ empty)) @ (insert @ W @ empty)) => ((affu_gt @ (insert @ X @ (insert @ V @ empty)) @ (insert @ W @ empty)) = (gspec @ ^[GENR_PVARR_2549:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_2549 @ ?[T1:real,T2:real,T3:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T3) & ((realu_add @ T1 @ (realu_add @ T2 @ T3)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (Y = (vectoru_add @ (r_ @ T1 @ X) @ (vectoru_add @ (r_ @ T2 @ V) @ (r_ @ T3 @ W))))) @ Y))))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aAZIMu_EQ, axiom, ![V0:cartrealn3,V1:cartrealn3,W:cartrealn3,X:cartrealn3,Y:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ X @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ Y @ empty)))))) => (((azim @ V0 @ V1 @ W @ X) = (azim @ V0 @ V1 @ W @ Y)) <=> (in @ Y @ (affu_gt @ (insert @ V0 @ (insert @ V1 @ empty)) @ (insert @ X @ empty)))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealn3,Y:cartrealn3]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCOLLINEARu_2, axiom, ![X:cartrealn3,Y:cartrealn3]:(collinear @ (insert @ X @ (insert @ Y @ empty)))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:cartrealn3,T2:cartrealn3]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDISJOINT, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINSERTu_COMM, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((insert @ X @ (insert @ Y @ S)) = (insert @ Y @ (insert @ X @ S)))).
thf(aINSERTu_INSERT, axiom, ![X:cartrealn3,S:(cartrealn3 > $o)]:((insert @ X @ (insert @ X @ S)) = (insert @ X @ S))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (inter0 @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > cartrealn3),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_1 @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNORMu_EQu_0, axiom, ![X:cartrealn3]:(((vectoru_norm @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aNORMu_MUL, axiom, ![A:real,X:cartrealn3]:((vectoru_norm @ (r_ @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_EQu_ADDu_LCANCEL, axiom, ![X:real,Y:real,Z:real]:(((realu_add @ X @ Y) = (realu_add @ X @ Z)) <=> (Y = Z))).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ X @ (realu_inv @ X)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSphereo_azimu_cycle, axiom, ![W:(cartrealn3 > $o),P:cartrealn3,W0:cartrealn3,V:cartrealn3]:((azimu_cycle @ W @ V @ W0 @ P) = (cond0 @ (subset @ W @ (insert @ P @ empty)) @ P @ (h_0 @ ^[U:cartrealn3]:(~ ((U = P)) & (W @ U) & ![Q:cartrealn3]:((~ ((Q = P)) & (W @ Q)) => ((realu_lt @ (azim @ V @ W0 @ P @ U) @ (azim @ V @ W0 @ P @ Q)) | (((azim @ V @ W0 @ P @ U) = (azim @ V @ W0 @ P @ Q)) & (realu_le @ (vectoru_norm @ (projection @ (vectoru_sub @ W0 @ V) @ (vectoru_sub @ U @ V))) @ (vectoru_norm @ (projection @ (vectoru_sub @ W0 @ V) @ (vectoru_sub @ Q @ V)))))))))))).
thf(aSphereo_projection, axiom, ![X:cartrealn3,E:cartrealn3]:((projection @ E @ X) = (vectoru_sub @ X @ (r_ @ (realu_div @ (dot @ X @ E) @ (dot @ E @ E)) @ E)))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometry2o_AFF2, axiom, ![U:cartrealn3,V:cartrealn3]:((aff @ (insert @ U @ (insert @ V @ empty))) = (gspec @ ^[GENR_PVARR_135:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_135 @ ?[T:real]:(X = (vectoru_add @ (r_ @ T @ U) @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ T) @ V))) @ X)))).
thf(aTrigonometry2o_LTu_IMPu_ABSu_REFL, axiom, ![A:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ A) => ((realu_abs @ A) = A))).
thf(aTrigonometry2o_NOTu_EQu_IMPu_AFFu_ANDu_COLL3, axiom, ![V:cartrealn3,W:cartrealn3,U:cartrealn3]:(~ ((V = W)) => ((in @ U @ (aff @ (insert @ V @ (insert @ W @ empty)))) <=> (collinear @ (insert @ V @ (insert @ W @ (insert @ U @ empty))))))).
thf(aTrigonometry2o_cyclicu_set, axiom, ![W:(cartrealn3 > $o),V:cartrealn3,W0:cartrealn3]:((cyclicu_set @ W @ V @ W0) <=> (~ ((V = W0)) & (finite @ W) & ![P:cartrealn3,Q:cartrealn3,H:real]:(((W @ P) & (W @ Q) & (P = (vectoru_add @ Q @ (r_ @ H @ (vectoru_sub @ V @ W0))))) => (P = Q)) & ((inter @ W @ (hull @ affine @ (insert @ V @ (insert @ W0 @ empty)))) = empty)))).
thf(aVECTORu_SUBu_EQ, axiom, ![X:cartrealn3,Y:cartrealn3]:(((vectoru_sub @ X @ Y) = (vec @ (numeral @ u_0))) <=> (X = Y))).
thf(aWrgcvdru_cizmrrho_CYCLICu_SETu_IMPu_NOTu_COLLINEAR, axiom, ![W:(cartrealn3 > $o),X:cartrealn3,Y:cartrealn3]:((cyclicu_set @ W @ X @ Y) => ![V:cartrealn3]:((in @ V @ W) => ~ ((collinear @ (insert @ V @ (insert @ X @ (insert @ Y @ empty)))))))).
thf(aWrgcvdru_cizmrrho_LINEARu_PROJECTION, axiom, ![T:real,E:cartrealn3,X:cartrealn3]:((projection @ E @ (r_ @ T @ X)) = (r_ @ T @ (projection @ E @ X)))).
thf(aWrgcvdru_cizmrrho_SLIDABLEu_PROJECTION, axiom, ![T:real,E:cartrealn3,X:cartrealn3]:(~ ((E = (vec @ (numeral @ u_0)))) => ((projection @ E @ (vectoru_add @ (r_ @ T @ E) @ X)) = (projection @ E @ X)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(avec, axiom, ![N:num]:((vec @ N) = (lambda2 @ ^[I:num]:(realu_ofu_num @ N)))).
thf(avectoru_add, axiom, ![X:cartrealn3,Y:cartrealn3]:((vectoru_add @ X @ Y) = (lambda2 @ ^[I:num]:(realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(avectoru_mul, axiom, ![C:real,X:cartrealn3]:((r_ @ C @ X) = (lambda2 @ ^[I:num]:(realu_mul @ C @ (d_ @ X @ I))))).
thf(avectoru_sub, axiom, ![X:cartrealn3,Y:cartrealn3]:((vectoru_sub @ X @ Y) = (lambda2 @ ^[I:num]:(realu_sub @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(conjecture, conjecture, ![U:cartrealn3,P:cartrealn3,W:cartrealn3,V:cartrealn3,W0:(cartrealn3 > $o)]:((~ ((subset @ W0 @ (insert @ P @ empty))) & ~ ((collinear @ (insert @ P @ (insert @ V @ (insert @ W @ empty))))) & (cyclicu_set @ W0 @ V @ W) & ~ ((U = P)) & (W0 @ U) & ![Q:cartrealn3]:((~ ((Q = P)) & (W0 @ Q)) => ((realu_lt @ (azim @ V @ W @ P @ U) @ (azim @ V @ W @ P @ Q)) | (((azim @ V @ W @ P @ U) = (azim @ V @ W @ P @ Q)) & (realu_le @ (vectoru_norm @ (projection @ (vectoru_sub @ W @ V) @ (vectoru_sub @ U @ V))) @ (vectoru_norm @ (projection @ (vectoru_sub @ W @ V) @ (vectoru_sub @ Q @ V)))))))) => ((azimu_cycle @ W0 @ V @ W @ P) = U))).
