%   ORIGINAL: Wrgcvdr_cizmrrh.W_SUBSET_SINGLETON_IMP_IDE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Lvducxu.W_SUBSET_SINGLETON_IMP_IDE: W SUBSET {p} ==> azim_cycle W v w p = p
% Assm: TRUTH: T
% Goal: !W p. W SUBSET {p} ==> (!v w. azim_cycle W v w p = p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !W v w p. W SUBSET {p} ==> azim_cycle W v w p = p
% Assm: T
% Goal: !W p. W SUBSET {p} ==> (!v w. azim_cycle W v w p = p)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cazimuu_cycle, type, azimu_cycle : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLvducxuo_Wu_SUBSETu_SINGLETONu_IMPu_IDE, axiom, ![W:(cartrealn3 > $o),V:cartrealn3,W0:cartrealn3,P:cartrealn3]:((subset @ W @ (insert @ P @ empty)) => ((azimu_cycle @ W @ V @ W0 @ P) = P))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![W:(cartrealn3 > $o),P:cartrealn3]:((subset @ W @ (insert @ P @ empty)) => ![V:cartrealn3,W0:cartrealn3]:((azimu_cycle @ W @ V @ W0 @ P) = P))).
