%   ORIGINAL: Lvducxu.IN_EE_IFF_IN_E
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Assm: Wrgcvdr_cizmrrh.EE: !v S. EE v S = {w | {v, w} IN S}
% Goal: x IN EE v E <=> {v, x} IN E
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Assm: !v S. EE v S = {w | {v, w} IN S}
% Goal: !E x v. x IN EE v E <=> {v, x} IN E
%  TYPES
thf(tq1910165, type, q1910165 : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cempty, type, empty : (q1910165 > $o)).
thf(cgspec0, type, gspec0 : ((q1910165 > $o) > q1910165 > $o)).
thf(cgspec, type, gspec : (((q1910165 > $o) > $o) > (q1910165 > $o) > $o)).
thf(cin0, type, in0 : ((q1910165 > $o) > ((q1910165 > $o) > $o) > $o)).
thf(cin, type, in : (q1910165 > (q1910165 > $o) > $o)).
thf(csetspec0, type, setspec0 : (q1910165 > $o > q1910165 > $o)).
thf(csetspec, type, setspec : ((q1910165 > $o) > $o > (q1910165 > $o) > $o)).
thf(cinsert, type, insert : (q1910165 > (q1910165 > $o) > q1910165 > $o)).
thf(cee, type, ee : (q1910165 > ((q1910165 > $o) > $o) > q1910165 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized1, axiom, ![P:((q1910165 > $o) > $o),X:(q1910165 > $o)]:((in0 @ X @ (gspec @ ^[V:(q1910165 > $o)]:?[Y:(q1910165 > $o)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized0, axiom, ![P:(q1910165 > $o),X:q1910165]:((in @ X @ (gspec0 @ ^[V:q1910165]:?[Y:q1910165]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(aWrgcvdru_cizmrrho_EE, axiom, ![V:q1910165,S:((q1910165 > $o) > $o)]:((ee @ V @ S) = (gspec0 @ ^[GENR_PVARR_1731:q1910165]:?[W:q1910165]:(setspec0 @ GENR_PVARR_1731 @ (in0 @ (insert @ V @ (insert @ W @ empty)) @ S) @ W)))).
thf(conjecture, conjecture, ![E:((q1910165 > $o) > $o),X:q1910165,V:q1910165]:((in @ X @ (ee @ V @ E)) <=> (in0 @ (insert @ V @ (insert @ X @ empty)) @ E))).
