%   ORIGINAL: Lvducxu.FACE_SUBSET_DARTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.lemma_face_subset: !H x. x IN dart H ==> face H x SUBSET dart H
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Wrgcvdr_cizmrrh.ELMS_OF_HYPERMAP_HYP: FAN (x,V,E) ==> dart (hypermap (HYP (x,V,E))) = darts_of_hyp E V /\ edge_map (hypermap (HYP (x,V,E))) = ee_of_hyp (x,V,E) /\ node_map (hypermap (HYP (x,V,E))) = nn_of_hyp (x,V,E) /\ face_map (hypermap (HYP (x,V,E))) = ff_of_hyp (x,V,E)
% Goal: FAN (v,V,E) /\ x IN darts_of_hyp E V ==> face (hypermap (HYP (v,V,E))) x SUBSET darts_of_hyp E V
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H x. x IN dart H ==> face H x SUBSET dart H
% Assm: ~F <=> T
% Assm: T
% Assm: !x V E. FAN (x,V,E) ==> dart (hypermap (HYP (x,V,E))) = darts_of_hyp E V /\ edge_map (hypermap (HYP (x,V,E))) = ee_of_hyp (x,V,E) /\ node_map (hypermap (HYP (x,V,E))) = nn_of_hyp (x,V,E) /\ face_map (hypermap (HYP (x,V,E))) = ff_of_hyp (x,V,E)
% Goal: !V E x v. FAN (v,V,E) /\ x IN darts_of_hyp E V ==> face (hypermap (HYP (v,V,E))) x SUBSET darts_of_hyp E V
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tfunprodcartrealn3cartrealn3bool, type, funprodcartrealn3cartrealn3bool : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tprodfunprodcartrealn3cartrealn3boolprodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3, type, prodfunprodcartrealn3cartrealn3boolprodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3, type, prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3, type, prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3, type, funprodcartrealn3cartrealn3prodcartrealn3cartrealn3 : $tType).
thf(thypermapprodcartrealn3cartrealn3, type, hypermapprodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(chypermap, type, hypermap : (prodfunprodcartrealn3cartrealn3boolprodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3 > hypermapprodcartrealn3cartrealn3)).
thf(cdart, type, dart : (hypermapprodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > $o)).
thf(csubset, type, subset : ((prodcartrealn3cartrealn3 > $o) > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cin, type, in : (prodcartrealn3cartrealn3 > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cffuu_ofuu_hyp, type, ffu_ofu_hyp : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cfaceuu_map, type, faceu_map : (hypermapprodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cnnuu_ofuu_hyp, type, nnu_ofu_hyp : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cnodeuu_map, type, nodeu_map : (hypermapprodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(ceeuu_ofuu_hyp, type, eeu_ofu_hyp : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cedgeuu_map, type, edgeu_map : (hypermapprodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(chyp, type, hyp : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodfunprodcartrealn3cartrealn3boolprodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3)).
thf(cface, type, face : (hypermapprodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > $o)).
thf(cdartsuu_ofuu_hyp, type, dartsu_ofu_hyp : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_lemmau_faceu_subset, axiom, ![H:hypermapprodcartrealn3cartrealn3,X:prodcartrealn3cartrealn3]:((in @ X @ (dart @ H)) => (subset @ (face @ H @ X) @ (dart @ H)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aWrgcvdru_cizmrrho_ELMSu_OFu_HYPERMAPu_HYP, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan @ (c_ @ X @ (c_0 @ V @ E))) => (((dart @ (hypermap @ (hyp @ (c_ @ X @ (c_0 @ V @ E))))) = (dartsu_ofu_hyp @ E @ V)) & ((edgeu_map @ (hypermap @ (hyp @ (c_ @ X @ (c_0 @ V @ E))))) = (eeu_ofu_hyp @ (c_ @ X @ (c_0 @ V @ E)))) & ((nodeu_map @ (hypermap @ (hyp @ (c_ @ X @ (c_0 @ V @ E))))) = (nnu_ofu_hyp @ (c_ @ X @ (c_0 @ V @ E)))) & ((faceu_map @ (hypermap @ (hyp @ (c_ @ X @ (c_0 @ V @ E))))) = (ffu_ofu_hyp @ (c_ @ X @ (c_0 @ V @ E))))))).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:prodcartrealn3cartrealn3,V0:cartrealn3]:(((fan @ (c_ @ V0 @ (c_0 @ V @ E))) & (in @ X @ (dartsu_ofu_hyp @ E @ V))) => (subset @ (face @ (hypermap @ (hyp @ (c_ @ V0 @ (c_0 @ V @ E)))) @ X) @ (dartsu_ofu_hyp @ E @ V)))).
