%   ORIGINAL: Lvducxu.SIMPLE_FACE_DISJOINT_NODE_MAP_2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.lemma_dart_invariant: !H x. x IN dart H ==> edge_map H x IN dart H /\ node_map H x IN dart H /\ face_map H x IN dart H
% Assm: Hypermap.lemma_face_identity: !H x y. y IN face H x ==> face H x = face H y
% Assm: Hypermap.lemma_face_subset: !H x. x IN dart H ==> face H x SUBSET dart H
% Assm: Hypermap.node: !H x. node H x = orbit_map (node_map H) x
% Assm: Hypermap.orbit_reflect: !f x. x IN orbit_map f x
% Assm: Hypermap.simple_hypermap: !H. simple_hypermap H <=> (!x. x IN dart H ==> node H x INTER face H x = {x})
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: Lvducxu.HYP_MAPS_INJ_conjunct1: !x y. node_map H x = node_map H y <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Wrgcvdr_cizmrrh.IN_ORBIT_MAP_IMP_F_Y: y IN orbit_map f x ==> f y IN orbit_map f x
% Goal: x IN dart H /\ face H x SUBSET dart H /\ simple_hypermap H /\ face H x INTER IMAGE (node_map H) (face H x) = {} /\ dart H = face H x UNION IMAGE (node_map H) (face H x) ==> (!x. x IN dart H ==> ~(node_map H x = x) /\ node_map H (node_map H x) = x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !H x. x IN dart H ==> edge_map H x IN dart H /\ node_map H x IN dart H /\ face_map H x IN dart H
% Assm: !H x y. y IN face H x ==> face H x = face H y
% Assm: !H x. x IN dart H ==> face H x SUBSET dart H
% Assm: !H x. node H x = orbit_map (node_map H) x
% Assm: !f x. x IN orbit_map f x
% Assm: !H. simple_hypermap H <=> (!x. x IN dart H ==> node H x INTER face H x = {x})
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !H x y. node_map H x = node_map H y <=> x = y
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !y f x. y IN orbit_map f x ==> f y IN orbit_map f x
% Goal: !H x. x IN dart H /\ face H x SUBSET dart H /\ simple_hypermap H /\ face H x INTER IMAGE (node_map H) (face H x) = {} /\ dart H = face H x UNION IMAGE (node_map H) (face H x) ==> (!x. x IN dart H ==> ~(node_map H x = x) /\ node_map H (node_map H x) = x)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(ci, type, i : ((a > $o) > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cimage, type, image : ((a > a) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(csimpleuu_hypermap, type, simpleu_hypermap : (hypermapa > $o)).
thf(cempty, type, empty : (a > $o)).
thf(ci0, type, i0 : (a > a)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHypermapo_lemmau_dartu_invariant, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => ((in @ (edgeu_map @ H @ X) @ (dart @ H)) & (in @ (nodeu_map @ H @ X) @ (dart @ H)) & (in @ (faceu_map @ H @ X) @ (dart @ H))))).
thf(aHypermapo_lemmau_faceu_identity, axiom, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (face @ H @ X)) => ((face @ H @ X) = (face @ H @ Y)))).
thf(aHypermapo_lemmau_faceu_subset, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => (subset @ (face @ H @ X) @ (dart @ H)))).
thf(aHypermapo_node, axiom, ![H:hypermapa,X:a]:((node @ H @ X) = (orbitu_map @ (nodeu_map @ H) @ X))).
thf(aHypermapo_orbitu_reflect, axiom, ![F:(a > a),X:a]:(in @ X @ (orbitu_map @ F @ X))).
thf(aHypermapo_simpleu_hypermap, axiom, ![H:hypermapa]:((simpleu_hypermap @ H) <=> ![X:a]:((in @ X @ (dart @ H)) => ((inter @ (node @ H @ X) @ (face @ H @ X)) = (insert @ X @ empty))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:a,S:(a > $o),F:(a > a)]:((in @ Y @ (image @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(a > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i0 @ X) = X)).
thf(aLvducxuo_HYPu_MAPSu_INJu_conjunct1, axiom, ![H:hypermapa,X:a,Y:a]:(((nodeu_map @ H @ X) = (nodeu_map @ H @ Y)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aWrgcvdru_cizmrrho_INu_ORBITu_MAPu_IMPu_Fu_Y, axiom, ![Y:a,F:(a > a),X:a]:((in @ Y @ (orbitu_map @ F @ X)) => (in @ (F @ Y) @ (orbitu_map @ F @ X)))).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & (subset @ (face @ H @ X) @ (dart @ H)) & (simpleu_hypermap @ H) & ((inter @ (face @ H @ X) @ (image @ (nodeu_map @ H) @ (face @ H @ X))) = empty) & ((dart @ H) = (union @ (face @ H @ X) @ (image @ (nodeu_map @ H) @ (face @ H @ X))))) => ![X:a]:((in @ X @ (dart @ H)) => (~ (((nodeu_map @ H @ X) = X)) & ((nodeu_map @ H @ (nodeu_map @ H @ X)) = X))))).
