%   ORIGINAL: Lvducxu.ITER12
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ITER_conjunct0: !f. ITER 0 f x = x
% Assm: ITER_conjunct1: !f n. ITER (SUC n) f x = f (ITER n f x)
% Assm: ONE: 1 = SUC 0
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Goal: !f x. ITER 1 f x = f x /\ ITER 2 f x = f (f x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x f. ITER 0 f x = x
% Assm: !x f n. ITER (SUC n) f x = f (ITER n f x)
% Assm: 1 = SUC 0
% Assm: T
% Assm: 2 = SUC 1
% Goal: !f x. ITER 1 f x = f x /\ ITER 2 f x = f (f x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq1920676, type, q1920676 : $tType).
%  CONSTS
thf(citer, type, iter : (num > (q1920676 > q1920676) > q1920676 > q1920676)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q1920676),G:(a > q1920676)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aITERu_conjunct0, axiom, ![X:q1920676,F:(q1920676 > q1920676)]:((iter @ (numeral @ u_0) @ F @ X) = X)).
thf(aITERu_conjunct1, axiom, ![X:q1920676,F:(q1920676 > q1920676),N:num]:((iter @ (suc @ N) @ F @ X) = (F @ (iter @ N @ F @ X)))).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![F:(q1920676 > q1920676),X:q1920676]:(((iter @ (numeral @ (bit1 @ u_0)) @ F @ X) = (F @ X)) & ((iter @ (numeral @ (bit0 @ (bit1 @ u_0))) @ F @ X) = (F @ (F @ X))))).
