%   ORIGINAL: Local_lemmas.FAN_FST_EQ_SND_SUPPER_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: Local_lemmas.FAN_IN_DARTS_FST_EQ_SND_SELF_PAIRS: FAN (x,V,E) /\ y IN darts_of_hyp E V ==> (FST y = SND y <=> y IN self_pairs E V)
% Assm: Lvducxu.EE_OF_HYP_IDE_FST_SND_EQ: z IN darts_of_hyp E V ==> (ee_of_hyp (x,V,E) z = z <=> FST z = SND z)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Wrgcvdr_cizmrrh.ee_of_hyp2: ee_of_hyp (x,V,E) u = (if u IN darts_of_hyp E V then SND u,FST u else u)
% Assm: Wrgcvdr_cizmrrh.ff_of_hyp2: ff_of_hyp (x,V,E) u = (if u IN darts_of_hyp E V then SND u,ivs_azim_cycle (EE (SND u) E) x (SND u) (FST u) else u)
% Assm: Wrgcvdr_cizmrrh.ff_of_hyp3: ff_of_hyp (x,V,E) u = (if ~(u IN darts_of_hyp E V) \/ u IN self_pairs E V then u else SND u,ivs_azim_cycle (EE (SND u) E) x (SND u) (FST u))
% Assm: Wrgcvdr_cizmrrh.nn_of_hyp2: nn_of_hyp (x,V,E) u = (if u IN darts_of_hyp E V then FST u,azim_cycle (EE (FST u) E) x (FST u) (SND u) else u)
% Assm: Wrgcvdr_cizmrrh.nn_of_hyp3: nn_of_hyp (x,V,E) y = (if ~(y IN darts_of_hyp E V) \/ y IN self_pairs E V then y else FST y,azim_cycle (EE (FST y) E) x (FST y) (SND y))
% Goal: FAN (x,V,E) /\ FST y = SND y ==> ee_of_hyp (x,V,E) y = y /\ nn_of_hyp (x,V,E) y = y /\ ff_of_hyp (x,V,E) y = y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x y E V. FAN (x,V,E) /\ y IN darts_of_hyp E V ==> (FST y = SND y <=> y IN self_pairs E V)
% Assm: !x V E z. z IN darts_of_hyp E V ==> (ee_of_hyp (x,V,E) z = z <=> FST z = SND z)
% Assm: ~F <=> T
% Assm: T
% Assm: !x E V u. ee_of_hyp (x,V,E) u = (if u IN darts_of_hyp E V then SND u,FST u else u)
% Assm: !V E x u. ff_of_hyp (x,V,E) u = (if u IN darts_of_hyp E V then SND u,ivs_azim_cycle (EE (SND u) E) x (SND u) (FST u) else u)
% Assm: !V E x u. ff_of_hyp (x,V,E) u = (if ~(u IN darts_of_hyp E V) \/ u IN self_pairs E V then u else SND u,ivs_azim_cycle (EE (SND u) E) x (SND u) (FST u))
% Assm: !V E x u. nn_of_hyp (x,V,E) u = (if u IN darts_of_hyp E V then FST u,azim_cycle (EE (FST u) E) x (FST u) (SND u) else u)
% Assm: !V E x y. nn_of_hyp (x,V,E) y = (if ~(y IN darts_of_hyp E V) \/ y IN self_pairs E V then y else FST y,azim_cycle (EE (FST y) E) x (FST y) (SND y))
% Goal: !y E V x. FAN (x,V,E) /\ FST y = SND y ==> ee_of_hyp (x,V,E) y = y /\ nn_of_hyp (x,V,E) y = y /\ ff_of_hyp (x,V,E) y = y
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(cin, type, in : (prodcartrealn3cartrealn3 > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(csnd, type, snd : (prodcartrealn3cartrealn3 > cartrealn3)).
thf(cfst, type, fst : (prodcartrealn3cartrealn3 > cartrealn3)).
thf(cazimuu_cycle, type, azimu_cycle : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cee, type, ee : (cartrealn3 > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(civsuu_azimuu_cycle, type, ivsu_azimu_cycle : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccu_1, type, c_1 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cselfuu_pairs, type, selfu_pairs : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(cdartsuu_ofuu_hyp, type, dartsu_ofu_hyp : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccond, type, cond : ($o > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cffuu_ofuu_hyp, type, ffu_ofu_hyp : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cnnuu_ofuu_hyp, type, nnu_ofu_hyp : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(ceeuu_ofuu_hyp, type, eeu_ofu_hyp : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > prodcartrealn3cartrealn3),G:(a > prodcartrealn3cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:prodcartrealn3cartrealn3,T2:prodcartrealn3cartrealn3]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:cartrealn3,T2:cartrealn3]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aLocalu_lemmaso_FANu_INu_DARTSu_FSTu_EQu_SNDu_SELFu_PAIRS, axiom, ![X:cartrealn3,Y:prodcartrealn3cartrealn3,E:((cartrealn3 > $o) > $o),V:(cartrealn3 > $o)]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ Y @ (dartsu_ofu_hyp @ E @ V))) => (((fst @ Y) = (snd @ Y)) <=> (in @ Y @ (selfu_pairs @ E @ V))))).
thf(aLvducxuo_EEu_OFu_HYPu_IDEu_FSTu_SNDu_EQ, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),Z:prodcartrealn3cartrealn3]:((in @ Z @ (dartsu_ofu_hyp @ E @ V)) => (((eeu_ofu_hyp @ (c_ @ X @ (c_0 @ V @ E)) @ Z) = Z) <=> ((fst @ Z) = (snd @ Z))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aWrgcvdru_cizmrrho_eeu_ofu_hyp2, axiom, ![X:cartrealn3,E:((cartrealn3 > $o) > $o),V:(cartrealn3 > $o),U:prodcartrealn3cartrealn3]:((eeu_ofu_hyp @ (c_ @ X @ (c_0 @ V @ E)) @ U) = (cond @ (in @ U @ (dartsu_ofu_hyp @ E @ V)) @ (c_1 @ (snd @ U) @ (fst @ U)) @ U))).
thf(aWrgcvdru_cizmrrho_ffu_ofu_hyp2, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:cartrealn3,U:prodcartrealn3cartrealn3]:((ffu_ofu_hyp @ (c_ @ X @ (c_0 @ V @ E)) @ U) = (cond @ (in @ U @ (dartsu_ofu_hyp @ E @ V)) @ (c_1 @ (snd @ U) @ (ivsu_azimu_cycle @ (ee @ (snd @ U) @ E) @ X @ (snd @ U) @ (fst @ U))) @ U))).
thf(aWrgcvdru_cizmrrho_ffu_ofu_hyp3, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:cartrealn3,U:prodcartrealn3cartrealn3]:((ffu_ofu_hyp @ (c_ @ X @ (c_0 @ V @ E)) @ U) = (cond @ (~ ((in @ U @ (dartsu_ofu_hyp @ E @ V))) | (in @ U @ (selfu_pairs @ E @ V))) @ U @ (c_1 @ (snd @ U) @ (ivsu_azimu_cycle @ (ee @ (snd @ U) @ E) @ X @ (snd @ U) @ (fst @ U)))))).
thf(aWrgcvdru_cizmrrho_nnu_ofu_hyp2, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:cartrealn3,U:prodcartrealn3cartrealn3]:((nnu_ofu_hyp @ (c_ @ X @ (c_0 @ V @ E)) @ U) = (cond @ (in @ U @ (dartsu_ofu_hyp @ E @ V)) @ (c_1 @ (fst @ U) @ (azimu_cycle @ (ee @ (fst @ U) @ E) @ X @ (fst @ U) @ (snd @ U))) @ U))).
thf(aWrgcvdru_cizmrrho_nnu_ofu_hyp3, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:cartrealn3,Y:prodcartrealn3cartrealn3]:((nnu_ofu_hyp @ (c_ @ X @ (c_0 @ V @ E)) @ Y) = (cond @ (~ ((in @ Y @ (dartsu_ofu_hyp @ E @ V))) | (in @ Y @ (selfu_pairs @ E @ V))) @ Y @ (c_1 @ (fst @ Y) @ (azimu_cycle @ (ee @ (fst @ Y) @ E) @ X @ (fst @ Y) @ (snd @ Y)))))).
thf(conjecture, conjecture, ![Y:prodcartrealn3cartrealn3,E:((cartrealn3 > $o) > $o),V:(cartrealn3 > $o),X:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & ((fst @ Y) = (snd @ Y))) => (((eeu_ofu_hyp @ (c_ @ X @ (c_0 @ V @ E)) @ Y) = Y) & ((nnu_ofu_hyp @ (c_ @ X @ (c_0 @ V @ E)) @ Y) = Y) & ((ffu_ofu_hyp @ (c_ @ X @ (c_0 @ V @ E)) @ Y) = Y)))).
