%   ORIGINAL: Local_lemmas.LOCAL_FAN_IN_FF_IN_ORD_PAIRS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FST: !x y. FST (x,y) = x
% Assm: Hypermap.lemma_face_subset: !H x. x IN dart H ==> face H x SUBSET dart H
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: Local_lemmas.LOCAL_FAN_IN_FF_DISTINCT: local_fan (V,E,FF) /\ x IN FF ==> ~(FST x = SND x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SND: !x y. SND (x,y) = y
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Wrgcvdr_cizmrrh.ELMS_OF_HYPERMAP_HYP: FAN (x,V,E) ==> dart (hypermap (HYP (x,V,E))) = darts_of_hyp E V /\ edge_map (hypermap (HYP (x,V,E))) = ee_of_hyp (x,V,E) /\ node_map (hypermap (HYP (x,V,E))) = nn_of_hyp (x,V,E) /\ face_map (hypermap (HYP (x,V,E))) = ff_of_hyp (x,V,E)
% Assm: Wrgcvdr_cizmrrh.darts_of_hyp: !E V. darts_of_hyp E V = ord_pairs E UNION self_pairs E V
% Assm: Wrgcvdr_cizmrrh.local_fan: !FF V E. local_fan (V,E,FF) <=> (let H = hypermap (HYP (vec 0,V,E)) in FAN (vec 0,V,E) /\ (?x. x IN dart H /\ FF = face H x) /\ dih2k H (CARD FF))
% Assm: Wrgcvdr_cizmrrh.self_pairs: !V E. self_pairs E V = {v,v | v IN V /\ EE v E = {}}
% Goal: local_fan (V,E,FF) /\ x IN FF ==> x IN ord_pairs E
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. FST (x,y) = x
% Assm: !x y. FST (x,y) = x
% Assm: !H x. x IN dart H ==> face H x SUBSET dart H
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !f x. LET f x = f x
% Assm: !t. LET_END t = t
% Assm: !V E FF x. local_fan (V,E,FF) /\ x IN FF ==> ~(FST x = SND x)
% Assm: ~F <=> T
% Assm: !x y. SND (x,y) = y
% Assm: !x y. SND (x,y) = y
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !x V E. FAN (x,V,E) ==> dart (hypermap (HYP (x,V,E))) = darts_of_hyp E V /\ edge_map (hypermap (HYP (x,V,E))) = ee_of_hyp (x,V,E) /\ node_map (hypermap (HYP (x,V,E))) = nn_of_hyp (x,V,E) /\ face_map (hypermap (HYP (x,V,E))) = ff_of_hyp (x,V,E)
% Assm: !E V. darts_of_hyp E V = ord_pairs E UNION self_pairs E V
% Assm: !FF V E. local_fan (V,E,FF) <=> (let H = hypermap (HYP (vec 0,V,E)) in FAN (vec 0,V,E) /\ (?x. x IN dart H /\ FF = face H x) /\ dih2k H (CARD FF))
% Assm: !V E. self_pairs E V = {v,v | v IN V /\ EE v E = {}}
% Goal: !E x FF V. local_fan (V,E,FF) /\ x IN FF ==> x IN ord_pairs E
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool, type, prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool : $tType).
thf(tfunprodcartrealn3cartrealn3bool, type, funprodcartrealn3cartrealn3bool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tprodprodcartrealn3cartrealn3prodcartrealn3cartrealn3, type, prodprodcartrealn3cartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodfunprodcartrealn3cartrealn3boolprodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3, type, prodfunprodcartrealn3cartrealn3boolprodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3, type, prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3, type, prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3, type, funprodcartrealn3cartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(thypermapprodcartrealn3cartrealn3, type, hypermapprodcartrealn3cartrealn3 : $tType).
thf(tprodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool, type, prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool : $tType).
%  CONSTS
thf(chypermap, type, hypermap : (prodfunprodcartrealn3cartrealn3boolprodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3 > hypermapprodcartrealn3cartrealn3)).
thf(cgspec0, type, gspec0 : ((prodprodcartrealn3cartrealn3prodcartrealn3cartrealn3 > $o) > prodprodcartrealn3cartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cdih2k, type, dih2k : (hypermapprodcartrealn3cartrealn3 > num > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(clet0, type, let0 : ((hypermapprodcartrealn3cartrealn3 > $o) > hypermapprodcartrealn3cartrealn3 > $o)).
thf(csnd0, type, snd0 : (prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > prodcartrealn3cartrealn3 > $o)).
thf(csnd, type, snd : (prodcartrealn3cartrealn3 > cartrealn3)).
thf(cfst1, type, fst1 : (prodcartrealn3cartrealn3 > cartrealn3)).
thf(cgspec, type, gspec : ((prodcartrealn3cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(csubset, type, subset : ((prodcartrealn3cartrealn3 > $o) > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cdart, type, dart : (hypermapprodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > $o)).
thf(cfst0, type, fst0 : (prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > cartrealn3 > $o)).
thf(cfst, type, fst : (prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > (cartrealn3 > $o) > $o)).
thf(corduu_pairs, type, ordu_pairs : (((cartrealn3 > $o) > $o) > prodcartrealn3cartrealn3 > $o)).
thf(cin, type, in : (prodcartrealn3cartrealn3 > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(clet, type, let : ((a > b) > a > b)).
thf(ccu_3, type, c_3 : (prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > prodprodcartrealn3cartrealn3prodcartrealn3cartrealn3)).
thf(cee, type, ee : (prodcartrealn3cartrealn3 > ((prodcartrealn3cartrealn3 > $o) > $o) > prodcartrealn3cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : (prodprodcartrealn3cartrealn3prodcartrealn3cartrealn3 > $o > prodprodcartrealn3cartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cselfuu_pairs0, type, selfu_pairs0 : (((prodcartrealn3cartrealn3 > $o) > $o) > (prodcartrealn3cartrealn3 > $o) > prodprodcartrealn3cartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cselfuu_pairs, type, selfu_pairs : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(cffuu_ofuu_hyp, type, ffu_ofu_hyp : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cfaceuu_map, type, faceu_map : (hypermapprodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cnnuu_ofuu_hyp, type, nnu_ofu_hyp : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cnodeuu_map, type, nodeu_map : (hypermapprodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(ceeuu_ofuu_hyp, type, eeu_ofu_hyp : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cedgeuu_map, type, edgeu_map : (hypermapprodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cdartsuu_ofuu_hyp, type, dartsu_ofu_hyp : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(chyp, type, hyp : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodfunprodcartrealn3cartrealn3boolprodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3)).
thf(ccu_2, type, c_2 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_1, type, c_1 : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(csnd1, type, snd1 : (prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool)).
thf(cunion, type, union : ((prodcartrealn3cartrealn3 > $o) > (prodcartrealn3cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(csetspec, type, setspec : (prodcartrealn3cartrealn3 > $o > prodcartrealn3cartrealn3 > $o)).
thf(cface, type, face : (hypermapprodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > $o)).
thf(ccu_0, type, c_0 : (((cartrealn3 > $o) > $o) > (prodcartrealn3cartrealn3 > $o) > prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool)).
thf(ccu_, type, c_ : ((cartrealn3 > $o) > prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool)).
thf(cletuu_end0, type, letu_end0 : ($o > $o)).
thf(cempty, type, empty : (prodcartrealn3cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(clocaluu_fan, type, localu_fan : (prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > $o)).
thf(ccard, type, card : ((prodcartrealn3cartrealn3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cletuu_end, type, letu_end : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFSTu_monomorphized1, axiom, ![X:((cartrealn3 > $o) > $o),Y:(prodcartrealn3cartrealn3 > $o)]:((fst @ (c_0 @ X @ Y)) = X)).
thf(aFSTu_monomorphized0, axiom, ![X:(cartrealn3 > $o),Y:prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool]:((fst0 @ (c_ @ X @ Y)) = X)).
thf(aHypermapo_lemmau_faceu_subset, axiom, ![H:hypermapprodcartrealn3cartrealn3,X:prodcartrealn3cartrealn3]:((in @ X @ (dart @ H)) => (subset @ (face @ H @ X) @ (dart @ H)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > prodcartrealn3cartrealn3 > $o) > $o),X:prodcartrealn3cartrealn3]:((in @ X @ (gspec @ ^[V:prodcartrealn3cartrealn3]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:prodcartrealn3cartrealn3]:(P0 & (X = T))))).
thf(aINu_UNION, axiom, ![S:(prodcartrealn3cartrealn3 > $o),T:(prodcartrealn3cartrealn3 > $o),X:prodcartrealn3cartrealn3]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aLETu_DEF, axiom, ![F:(a > b),X:a]:((let @ F @ X) = (F @ X))).
thf(aLETu_ENDu_DEF, axiom, ![T:a]:((letu_end @ T) = T)).
thf(aLocalu_lemmaso_LOCALu_FANu_INu_FFu_DISTINCT, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),FF:(prodcartrealn3cartrealn3 > $o),X:prodcartrealn3cartrealn3]:(((localu_fan @ (c_ @ V @ (c_0 @ E @ FF))) & (in @ X @ FF)) => ~ (((fst1 @ X) = (snd @ X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSNDu_monomorphized1, axiom, ![X:((cartrealn3 > $o) > $o),Y:(prodcartrealn3cartrealn3 > $o)]:((snd0 @ (c_0 @ X @ Y)) = Y)).
thf(aSNDu_monomorphized0, axiom, ![X:(cartrealn3 > $o),Y:prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool]:((snd1 @ (c_ @ X @ Y)) = Y)).
thf(aSUBSET, axiom, ![S:(prodcartrealn3cartrealn3 > $o),T:(prodcartrealn3cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:prodcartrealn3cartrealn3]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aWrgcvdru_cizmrrho_ELMSu_OFu_HYPERMAPu_HYP, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan @ (c_1 @ X @ (c_2 @ V @ E))) => (((dart @ (hypermap @ (hyp @ (c_1 @ X @ (c_2 @ V @ E))))) = (dartsu_ofu_hyp @ E @ V)) & ((edgeu_map @ (hypermap @ (hyp @ (c_1 @ X @ (c_2 @ V @ E))))) = (eeu_ofu_hyp @ (c_1 @ X @ (c_2 @ V @ E)))) & ((nodeu_map @ (hypermap @ (hyp @ (c_1 @ X @ (c_2 @ V @ E))))) = (nnu_ofu_hyp @ (c_1 @ X @ (c_2 @ V @ E)))) & ((faceu_map @ (hypermap @ (hyp @ (c_1 @ X @ (c_2 @ V @ E))))) = (ffu_ofu_hyp @ (c_1 @ X @ (c_2 @ V @ E))))))).
thf(aWrgcvdru_cizmrrho_dartsu_ofu_hyp, axiom, ![E:((cartrealn3 > $o) > $o),V:(cartrealn3 > $o)]:((dartsu_ofu_hyp @ E @ V) = (union @ (ordu_pairs @ E) @ (selfu_pairs @ E @ V)))).
thf(aWrgcvdru_cizmrrho_localu_fan, axiom, ![FF:(prodcartrealn3cartrealn3 > $o),V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((localu_fan @ (c_ @ V @ (c_0 @ E @ FF))) <=> (let0 @ ^[H:hypermapprodcartrealn3cartrealn3]:(letu_end0 @ ((fan @ (c_1 @ (vec @ (numeral @ u_0)) @ (c_2 @ V @ E))) & ?[X:prodcartrealn3cartrealn3]:((in @ X @ (dart @ H)) & (FF = (face @ H @ X))) & (dih2k @ H @ (card @ FF)))) @ (hypermap @ (hyp @ (c_1 @ (vec @ (numeral @ u_0)) @ (c_2 @ V @ E))))))).
thf(aWrgcvdru_cizmrrho_selfu_pairs, axiom, ![V:(prodcartrealn3cartrealn3 > $o),E:((prodcartrealn3cartrealn3 > $o) > $o)]:((selfu_pairs0 @ E @ V) = (gspec0 @ ^[GENR_PVARR_1733:prodprodcartrealn3cartrealn3prodcartrealn3cartrealn3]:?[V0:prodcartrealn3cartrealn3]:(setspec0 @ GENR_PVARR_1733 @ ((in @ V0 @ V) & ((ee @ V0 @ E) = empty)) @ (c_3 @ V0 @ V0))))).
thf(conjecture, conjecture, ![E:((cartrealn3 > $o) > $o),X:prodcartrealn3cartrealn3,FF:(prodcartrealn3cartrealn3 > $o),V:(cartrealn3 > $o)]:(((localu_fan @ (c_ @ V @ (c_0 @ E @ FF))) & (in @ X @ FF)) => (in @ X @ (ordu_pairs @ E)))).
