%   ORIGINAL: Local_lemmas.LOCAL_FAN_CHARACTER_OF_RHO_NODE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FST: !x y. FST (x,y) = x
% Assm: Local_lemmas.LOCAL_FAN_IN_FF_DISTINCT: local_fan (V,E,FF) /\ x IN FF ==> ~(FST x = SND x)
% Assm: Local_lemmas.LOCAL_FAN_IN_FF_IN_ORD_PAIRS: local_fan (V,E,FF) /\ x IN FF ==> x IN ord_pairs E
% Assm: Local_lemmas.LOCAL_FAN_IN_FF_NOT_COLLINEAR: local_fan (V,E,FF) /\ x IN FF ==> ~collinear {vec 0, FST x, SND x}
% Assm: Local_lemmas.LOCAL_FAN_RHO_NODE_PROS: local_fan (V,E,FF) ==> (!x. x IN V ==> x,rho_node1 FF x IN FF) /\ (!x. x IN FF ==> x = FST x,rho_node1 FF (FST x))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SND: !x y. SND (x,y) = y
% Assm: TRUTH: T
% Goal: local_fan (V,E,FF) ==> (!v. v IN V ==> ~(rho_node1 FF v = v) /\ v,rho_node1 FF v IN ord_pairs E /\ ~collinear {vec 0, v, rho_node1 FF v})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. FST (x,y) = x
% Assm: !V E FF x. local_fan (V,E,FF) /\ x IN FF ==> ~(FST x = SND x)
% Assm: !V FF x E. local_fan (V,E,FF) /\ x IN FF ==> x IN ord_pairs E
% Assm: !V E FF x. local_fan (V,E,FF) /\ x IN FF ==> ~collinear {vec 0, FST x, SND x}
% Assm: !E V FF. local_fan (V,E,FF) ==> (!x. x IN V ==> x,rho_node1 FF x IN FF) /\ (!x. x IN FF ==> x = FST x,rho_node1 FF (FST x))
% Assm: ~F <=> T
% Assm: !x y. SND (x,y) = y
% Assm: T
% Goal: !FF E V. local_fan (V,E,FF) ==> (!v. v IN V ==> ~(rho_node1 FF v = v) /\ v,rho_node1 FF v IN ord_pairs E /\ ~collinear {vec 0, v, rho_node1 FF v})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool, type, prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool : $tType).
thf(tfunprodcartrealn3cartrealn3bool, type, funprodcartrealn3cartrealn3bool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tprodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool, type, prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool : $tType).
%  CONSTS
thf(csnd, type, snd : (prodcartrealn3cartrealn3 > cartrealn3)).
thf(cfst, type, fst : (prodcartrealn3cartrealn3 > cartrealn3)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(corduu_pairs, type, ordu_pairs : (((cartrealn3 > $o) > $o) > prodcartrealn3cartrealn3 > $o)).
thf(cin0, type, in0 : (prodcartrealn3cartrealn3 > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_1, type, c_1 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(crhouu_node1, type, rhou_node1 : ((prodcartrealn3cartrealn3 > $o) > cartrealn3 > cartrealn3)).
thf(ccu_0, type, c_0 : (((cartrealn3 > $o) > $o) > (prodcartrealn3cartrealn3 > $o) > prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool)).
thf(ccu_, type, c_ : ((cartrealn3 > $o) > prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(clocaluu_fan, type, localu_fan : (prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFST, axiom, ![X:cartrealn3,Y:cartrealn3]:((fst @ (c_1 @ X @ Y)) = X)).
thf(aLocalu_lemmaso_LOCALu_FANu_INu_FFu_DISTINCT, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),FF:(prodcartrealn3cartrealn3 > $o),X:prodcartrealn3cartrealn3]:(((localu_fan @ (c_ @ V @ (c_0 @ E @ FF))) & (in0 @ X @ FF)) => ~ (((fst @ X) = (snd @ X))))).
thf(aLocalu_lemmaso_LOCALu_FANu_INu_FFu_INu_ORDu_PAIRS, axiom, ![V:(cartrealn3 > $o),FF:(prodcartrealn3cartrealn3 > $o),X:prodcartrealn3cartrealn3,E:((cartrealn3 > $o) > $o)]:(((localu_fan @ (c_ @ V @ (c_0 @ E @ FF))) & (in0 @ X @ FF)) => (in0 @ X @ (ordu_pairs @ E)))).
thf(aLocalu_lemmaso_LOCALu_FANu_INu_FFu_NOTu_COLLINEAR, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),FF:(prodcartrealn3cartrealn3 > $o),X:prodcartrealn3cartrealn3]:(((localu_fan @ (c_ @ V @ (c_0 @ E @ FF))) & (in0 @ X @ FF)) => ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (fst @ X) @ (insert @ (snd @ X) @ empty))))))).
thf(aLocalu_lemmaso_LOCALu_FANu_RHOu_NODEu_PROS, axiom, ![E:((cartrealn3 > $o) > $o),V:(cartrealn3 > $o),FF:(prodcartrealn3cartrealn3 > $o)]:((localu_fan @ (c_ @ V @ (c_0 @ E @ FF))) => (![X:cartrealn3]:((in @ X @ V) => (in0 @ (c_1 @ X @ (rhou_node1 @ FF @ X)) @ FF)) & ![X:prodcartrealn3cartrealn3]:((in0 @ X @ FF) => (X = (c_1 @ (fst @ X) @ (rhou_node1 @ FF @ (fst @ X)))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSND, axiom, ![X:cartrealn3,Y:cartrealn3]:((snd @ (c_1 @ X @ Y)) = Y)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![FF:(prodcartrealn3cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V:(cartrealn3 > $o)]:((localu_fan @ (c_ @ V @ (c_0 @ E @ FF))) => ![V0:cartrealn3]:((in @ V0 @ V) => (~ (((rhou_node1 @ FF @ V0) = V0)) & (in0 @ (c_1 @ V0 @ (rhou_node1 @ FF @ V0)) @ (ordu_pairs @ E)) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ V0 @ (insert @ (rhou_node1 @ FF @ V0) @ empty))))))))).
