%   ORIGINAL: Local_lemmas.graph2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan.graph: !E. graph E <=> (!e. E e ==> e HAS_SIZE 2)
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: IN: !P x. x IN P <=> P x
% Assm: TRUTH: T
% Goal: graph E <=> (!e. e IN E ==> FINITE e /\ CARD e = 2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !E. graph E <=> (!e. E e ==> e HAS_SIZE 2)
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !P x. x IN P <=> P x
% Assm: T
% Goal: !E. graph E <=> (!e. e IN E ==> FINITE e /\ CARD e = 2)
%  TYPES
thf(tnum, type, num : $tType).
thf(tq1926039, type, q1926039 : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(chasuu_size, type, hasu_size : ((q1926039 > $o) > num > $o)).
thf(cin, type, in : ((q1926039 > $o) > ((q1926039 > $o) > $o) > $o)).
thf(cfinite, type, finite : ((q1926039 > $o) > $o)).
thf(cgraph, type, graph : (((q1926039 > $o) > $o) > $o)).
thf(ccard, type, card : ((q1926039 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFano_graph, axiom, ![E:((q1926039 > $o) > $o)]:((graph @ E) <=> ![E0:(q1926039 > $o)]:((E @ E0) => (hasu_size @ E0 @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aHASu_SIZE, axiom, ![S:(q1926039 > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aIN, axiom, ![P:((q1926039 > $o) > $o),X:(q1926039 > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![E:((q1926039 > $o) > $o)]:((graph @ E) <=> ![E0:(q1926039 > $o)]:((in @ E0 @ E) => ((finite @ E0) & ((card @ E0) = (numeral @ (bit0 @ (bit1 @ u_0)))))))).
