%   ORIGINAL: ENDS_IN_HALFLINE_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ENDS_IN_SEGMENT: !a b. a IN segment [a,b] /\ b IN segment [a,b]
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SEGMENT_SUBSET_HALFLINE: !x y. segment [x,y] SUBSET aff_ge {x} {y}
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !x y. x IN aff_ge {x} {y}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. a IN segment [a,b] /\ b IN segment [a,b]
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !x y. segment [x,y] SUBSET aff_ge {x} {y}
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !x y. x IN aff_ge {x} {y}
%  TYPES
thf(tprodcartrealq706444cartrealq706444, type, prodcartrealq706444cartrealq706444 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq706444, type, q706444 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq706444, type, cartrealq706444 : $tType).
thf(tlistprodcartrealq706444cartrealq706444, type, listprodcartrealq706444cartrealq706444 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq706444cartrealq706444).
thf(csubset, type, subset : ((cartrealq706444 > $o) > (cartrealq706444 > $o) > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealq706444cartrealq706444 > cartrealq706444 > $o)).
thf(cin, type, in : (cartrealq706444 > (cartrealq706444 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealq706444 > cartrealq706444 > prodcartrealq706444cartrealq706444)).
thf(ccons, type, cons : (prodcartrealq706444cartrealq706444 > listprodcartrealq706444cartrealq706444 > listprodcartrealq706444cartrealq706444)).
thf(cinsert, type, insert : (cartrealq706444 > (cartrealq706444 > $o) > cartrealq706444 > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealq706444 > $o) > (cartrealq706444 > $o) > cartrealq706444 > $o)).
thf(cempty, type, empty : (cartrealq706444 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aENDSu_INu_SEGMENT, axiom, ![A:cartrealq706444,B:cartrealq706444]:((in @ A @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) & (in @ B @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSEGMENTu_SUBSETu_HALFLINE, axiom, ![X:cartrealq706444,Y:cartrealq706444]:(subset @ (closedu_segment @ (cons @ (c_ @ X @ Y) @ nil)) @ (affu_ge @ (insert @ X @ empty) @ (insert @ Y @ empty)))).
thf(aSUBSET, axiom, ![S:(cartrealq706444 > $o),T:(cartrealq706444 > $o)]:((subset @ S @ T) <=> ![X:cartrealq706444]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealq706444,Y:cartrealq706444]:(in @ X @ (affu_ge @ (insert @ X @ empty) @ (insert @ Y @ empty)))).
