%   ORIGINAL: Local_lemmas.RHO_NODE_IS_SUCCESEOR_AZIM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD1: !m. SUC m = m + 1
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: AFFINE_HULL_3: affine hull {a, b, c} = {u % a + v % b + w % c | u + v + w = &1}
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: Collect_geom.PER_SET2: {a, b} = {b, a}
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan.AFF_GE_1_2: !x v w. DISJOINT {x} {v, w} ==> aff_ge {x} {v, w} = {y | ?t1 t2 t3. &0 <= t2 /\ &0 <= t3 /\ t1 + t2 + t3 = &1 /\ y = t1 % x + t2 % v + t3 % w}
% Assm: Fan.th3: !x v u. ~collinear {x, v, u} ==> ~(x = v) /\ ~(x = u) /\ DISJOINT {x, v} {u} /\ DISJOINT {x, u} {v} /\ DISJOINT {x} {v, u} /\ ~(u IN aff {x, v})
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT_COMM: !x y s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: INSERT_SUBSET: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: INTER_EMPTY_conjunct0: !s. {} INTER s = {}
% Assm: INT_LT_DISCRETE: !x y. x < y <=> x + &1 <= y
% Assm: INT_NOT_EQ: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: INT_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: INT_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: INT_OF_NUM_ADD: !m n. &m + &n = &(m + n)
% Assm: INT_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: INT_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: INT_POS: !n. &0 <= &n
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ITER_conjunct0: !f. ITER 0 f x = x
% Assm: ITER_conjunct1: !f n. ITER (SUC n) f x = f (ITER n f x)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LE_0: !n. 0 <= n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: Local_lemmas.AFF_GE22: !a b x y. DISJOINT {a, b} {x, y} ==> aff_ge {a, b} {x, y} = {z | ?aa bb xx yy. &0 <= xx /\ &0 <= yy /\ aa + bb + xx + yy = &1 /\ z = aa % a + bb % b + xx % x + yy % y}
% Assm: Local_lemmas.AZIM_RANGE: !v w w1 w2. &0 <= azim v w w1 w2 /\ azim v w w1 w2 < &2 * pi
% Assm: Local_lemmas.CROSS_DOT_COPLANAR: (x cross y) dot z = &0 <=> coplanar {vec 0, x, y, z}
% Assm: Local_lemmas.FAN_IN_AFF_GE_IMP_EQ: FAN (x,V,E) /\ v IN V /\ {a, b} IN E /\ v IN aff_ge {x} {a, b} ==> v = a \/ v = b
% Assm: Local_lemmas.LOCAL_FAN_IN_FF_IN_ORD_PAIRS: local_fan (V,E,FF) /\ x IN FF ==> x IN ord_pairs E
% Assm: Local_lemmas.LOCAL_FAN_ITER_RHO_NODE_IN_V: local_fan (V,E,FF) /\ v IN V ==> (!i. ITER i (rho_node1 FF) v IN V)
% Assm: Local_lemmas.LOCAL_FAN_RHO_NODE_PROS2: local_fan (V,E,FF) ==> (!x. x IN FF ==> x = FST x,rho_node1 FF (FST x)) /\ (!x. x IN V ==> x,rho_node1 FF x IN FF)
% Assm: Local_lemmas.MIXED_PROD_POS_IMP_RANGE_AZIM: ~collinear {vec 0, u, v} /\ ~collinear {vec 0, u, w} /\ &0 < (u cross v) dot w ==> &0 < azim (vec 0) u v w /\ azim (vec 0) u v w < pi
% Assm: Local_lemmas.RHO_NODE_SET_IN_A_PLANE_IMP_POS_DIRECT: local_fan (V,E,FF) /\ v IN V /\ {ITER n (rho_node1 FF) v | n <= l} = U /\ plane P /\ vec 0 IN P /\ U SUBSET P /\ v cross rho_node1 FF v = e ==> (!i. i < l ==> &0 < (ITER i (rho_node1 FF) v cross ITER (i + 1) (rho_node1 FF) v) dot e)
% Assm: Local_lemmas.THREE_NOT_COLL_DETER_PLANE: plane P /\ {a, b, c} SUBSET P /\ ~collinear {a, b, c} ==> affine hull {a, b, c} = P
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_COPLANAR_NOT_COLLINEAR: !v1 v2 v3 w. ~coplanar {v1, v2, v3, w} ==> ~collinear {v1, v2, v3}
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_IMP_NE: !x y. x < y ==> ~(x = y)
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: Trigonometry.BKMUSOX2: !x y z. (x cross y) dot z = (y cross z) dot x
% Assm: Trigonometry2.NONCOPLANAR_3_BASIS: !v1 v2 v3 v0 v. ~coplanar {v0, v1, v2, v3} ==> (?t1 t2 t3. v = t1 % (v1 - v0) + t2 % (v2 - v0) + t3 % (v3 - v0) /\ (!ta tb tc. v = ta % (v1 - v0) + tb % (v2 - v0) + tc % (v3 - v0) ==> ta = t1 /\ tb = t2 /\ tc = t3))
% Assm: VECTOR_ADD_LID: !x. vec 0 + x = x
% Assm: VECTOR_MUL_LZERO: !x. &0 % x = vec 0
% Assm: VECTOR_MUL_RZERO: c % vec 0 = vec 0
% Assm: VECTOR_SUB_RZERO: x - vec 0 = x
% Assm: WEDGE_LUNE_GE: !v0 v1 w1 w2. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} /\ &0 < azim v0 v1 w1 w2 /\ azim v0 v1 w1 w2 < pi ==> {x | &0 <= azim v0 v1 w1 x /\ azim v0 v1 w1 x <= azim v0 v1 w1 w2} = aff_ge {v0, v1} {w1, w2}
% Assm: Wrgcvdr_cizmrrh.IN_E_IFF_IN_ORD_E: {a, b} IN E <=> a,b IN ord_pairs E
% Assm: Wrgcvdr_cizmrrh.LOCAL_FAN_IMP_FAN: local_fan (V,E,FF) ==> FAN (vec 0,V,E)
% Assm: int_add_th: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: vector_add: !x y. x + y = (lambda i. x$i + y$i)
% Assm: vector_mul: !c x. c % x = (lambda i. c * x$i)
% Goal: local_fan (V,E,FF) /\ v IN V /\ {ITER n (rho_node1 FF) v | n <= l} = U /\ plane P /\ vec 0 IN P /\ U SUBSET P /\ v cross rho_node1 FF v = e ==> (!x n. x = ITER n (rho_node1 FF) v /\ n < l ==> (!y. y IN U /\ ~(y = x) /\ ~(y = rho_node1 FF x) ==> azim (vec 0) e x (rho_node1 FF x) < azim (vec 0) e x y))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m. SUC m = m + 1
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !a b c. affine hull {a, b, c} = {u % a + v % b + w % c | u + v + w = &1}
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:3) ==> x$i = y$i)
% Assm: !b a. {a, b} = {b, a}
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !s. {} SUBSET s
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x v w. DISJOINT {x} {v, w} ==> aff_ge {x} {v, w} = {y | ?t1 t2 t3. &0 <= t2 /\ &0 <= t3 /\ t1 + t2 + t3 = &1 /\ y = t1 % x + t2 % v + t3 % w}
% Assm: !x v u. ~collinear {x, v, u} ==> ~(x = v) /\ ~(x = u) /\ DISJOINT {x, v} {u} /\ DISJOINT {x, u} {v} /\ DISJOINT {x} {v, u} /\ ~(u IN aff {x, v})
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: !s. {} INTER s = {}
% Assm: !x y. x < y <=> x + &1 <= y
% Assm: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !m n. &m + &n = &(m + n)
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m < &n <=> m < n
% Assm: !n. &0 <= &n
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x f. ITER 0 f x = x
% Assm: !x f n. ITER (SUC n) f x = f (ITER n f x)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !n. 0 <= n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !a b x y. DISJOINT {a, b} {x, y} ==> aff_ge {a, b} {x, y} = {z | ?aa bb xx yy. &0 <= xx /\ &0 <= yy /\ aa + bb + xx + yy = &1 /\ z = aa % a + bb % b + xx % x + yy % y}
% Assm: !v w w1 w2. &0 <= azim v w w1 w2 /\ azim v w w1 w2 < &2 * pi
% Assm: !x y z. (x cross y) dot z = &0 <=> coplanar {vec 0, x, y, z}
% Assm: !V E x a v b. FAN (x,V,E) /\ v IN V /\ {a, b} IN E /\ v IN aff_ge {x} {a, b} ==> v = a \/ v = b
% Assm: !V FF x E. local_fan (V,E,FF) /\ x IN FF ==> x IN ord_pairs E
% Assm: !E FF v V. local_fan (V,E,FF) /\ v IN V ==> (!i. ITER i (rho_node1 FF) v IN V)
% Assm: !E V FF. local_fan (V,E,FF) ==> (!x. x IN FF ==> x = FST x,rho_node1 FF (FST x)) /\ (!x. x IN V ==> x,rho_node1 FF x IN FF)
% Assm: !u v w. ~collinear {vec 0, u, v} /\ ~collinear {vec 0, u, w} /\ &0 < (u cross v) dot w ==> &0 < azim (vec 0) u v w /\ azim (vec 0) u v w < pi
% Assm: !E V U P l FF v e. local_fan (V,E,FF) /\ v IN V /\ {ITER n (rho_node1 FF) v | n <= l} = U /\ plane P /\ vec 0 IN P /\ U SUBSET P /\ v cross rho_node1 FF v = e ==> (!i. i < l ==> &0 < (ITER i (rho_node1 FF) v cross ITER (i + 1) (rho_node1 FF) v) dot e)
% Assm: !a b c P. plane P /\ {a, b, c} SUBSET P /\ ~collinear {a, b, c} ==> affine hull {a, b, c} = P
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: ~F <=> T
% Assm: !v1 v2 v3 w. ~coplanar {v1, v2, v3, w} ==> ~collinear {v1, v2, v3}
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y ==> ~(x = y)
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: 2 = SUC 1
% Assm: !x y z. (x cross y) dot z = (y cross z) dot x
% Assm: !v1 v2 v3 v0 v. ~coplanar {v0, v1, v2, v3} ==> (?t1 t2 t3. v = t1 % (v1 - v0) + t2 % (v2 - v0) + t3 % (v3 - v0) /\ (!ta tb tc. v = ta % (v1 - v0) + tb % (v2 - v0) + tc % (v3 - v0) ==> ta = t1 /\ tb = t2 /\ tc = t3))
% Assm: !x. vec 0 + x = x
% Assm: !x. &0 % x = vec 0
% Assm: !c. c % vec 0 = vec 0
% Assm: !x. x - vec 0 = x
% Assm: !v0 v1 w1 w2. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} /\ &0 < azim v0 v1 w1 w2 /\ azim v0 v1 w1 w2 < pi ==> {x | &0 <= azim v0 v1 w1 x /\ azim v0 v1 w1 x <= azim v0 v1 w1 w2} = aff_ge {v0, v1} {w1, w2}
% Assm: !a b E. {a, b} IN E <=> a,b IN ord_pairs E
% Assm: !FF V E. local_fan (V,E,FF) ==> FAN (vec 0,V,E)
% Assm: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !x y. x + y = (lambda i. x$i + y$i)
% Assm: !c x. c % x = (lambda i. c * x$i)
% Goal: !e FF U l v P V E. local_fan (V,E,FF) /\ v IN V /\ {ITER n (rho_node1 FF) v | n <= l} = U /\ plane P /\ vec 0 IN P /\ U SUBSET P /\ v cross rho_node1 FF v = e ==> (!x n. x = ITER n (rho_node1 FF) v /\ n < l ==> (!y. y IN U /\ ~(y = x) /\ ~(y = rho_node1 FF x) ==> azim (vec 0) e x (rho_node1 FF x) < azim (vec 0) e x y))
%  TYPES
thf(tnum, type, num : $tType).
thf(tq1900850, type, q1900850 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool, type, prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool : $tType).
thf(tfunprodcartrealn3cartrealn3bool, type, funprodcartrealn3cartrealn3bool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tcartcartrealn3b, type, cartcartrealn3b : $tType).
thf(tcartfuncartrealn3boolb, type, cartfuncartrealn3boolb : $tType).
thf(tprodq1900850q1900850, type, prodq1900850q1900850 : $tType).
thf(tn, type, n : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tprodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool, type, prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn3)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(corduu_pairs0, type, ordu_pairs0 : (((q1900850 > $o) > $o) > prodq1900850q1900850 > $o)).
thf(cin3, type, in3 : (prodq1900850q1900850 > (prodq1900850q1900850 > $o) > $o)).
thf(cempty1, type, empty1 : (q1900850 > $o)).
thf(cin2, type, in2 : ((q1900850 > $o) > ((q1900850 > $o) > $o) > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cfst, type, fst : (prodcartrealn3cartrealn3 > cartrealn3)).
thf(corduu_pairs, type, ordu_pairs : (((cartrealn3 > $o) > $o) > prodcartrealn3cartrealn3 > $o)).
thf(cin1, type, in1 : (prodcartrealn3cartrealn3 > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cin0, type, in0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(caff, type, aff : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(cdu_, type, d_ : (cartrealn3 > num > real)).
thf(ctu_, type, t_ : (num > num > num)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cpi, type, pi : real).
thf(clambda1, type, lambda1 : ((num > cartrealn3) > cartcartrealn3b)).
thf(clambda0, type, lambda0 : ((num > cartrealn3 > $o) > cartfuncartrealn3boolb)).
thf(ccu_4, type, c_4 : (q1900850 > q1900850 > prodq1900850q1900850)).
thf(cinsert1, type, insert1 : (q1900850 > (q1900850 > $o) > q1900850 > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert0, type, insert0 : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_3, type, c_3 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccu_2, type, c_2 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_1, type, c_1 : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cdu_1, type, d_1 : (cartcartrealn3b > num > cartrealn3)).
thf(cdu_0, type, d_0 : (cartfuncartrealn3boolb > num > cartrealn3 > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crhouu_node1, type, rhou_node1 : ((prodcartrealn3cartrealn3 > $o) > cartrealn3 > cartrealn3)).
thf(citer, type, iter : (num > (cartrealn3 > cartrealn3) > cartrealn3 > cartrealn3)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : (((cartrealn3 > $o) > $o) > (prodcartrealn3cartrealn3 > $o) > prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool)).
thf(ccu_, type, c_ : ((cartrealn3 > $o) > prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool)).
thf(cuniv, type, univ : (n3 > $o)).
thf(ccollinear0, type, collinear0 : ((cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(ccoplanar0, type, coplanar0 : ((cartrealn > $o) > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(ccoplanar, type, coplanar : ((cartrealn3 > $o) > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cplane, type, plane : ((cartrealn3 > $o) > $o)).
thf(clocaluu_fan, type, localu_fan : (prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > $o)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADD1, axiom, ![M:num]:((suc @ M) = (p_ @ M @ (numeral @ (bit1 @ u_0))))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aAFFINEu_HULLu_3, axiom, ![A:cartrealn3,B:cartrealn3,C:cartrealn3]:((hull @ affine @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) = (gspec @ ^[GENR_PVARR_805:cartrealn3]:?[U:real,V:real,W:real]:(setspec @ GENR_PVARR_805 @ ((realu_add @ U @ (realu_add @ V @ W)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ (vectoru_add @ (r_ @ U @ A) @ (vectoru_add @ (r_ @ V @ B) @ (r_ @ W @ C))))))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealn3,Y:cartrealn3]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCollectu_geomo_PERu_SET2, axiom, ![B:cartrealn3,A:cartrealn3]:((insert @ A @ (insert @ B @ empty)) = (insert @ B @ (insert @ A @ empty)))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDISJOINT, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aEMPTYu_SUBSET, axiom, ![S:(cartrealn3 > $o)]:(subset @ empty @ S)).
thf(aETAu_AX, axiom, ![T:(cartrealn3 > $o)]:(^[X:cartrealn3]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFano_AFFu_GEu_1u_2, axiom, ![X:cartrealn3,V:cartrealn3,W:cartrealn3]:((disjoint @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty))) => ((affu_ge @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty))) = (gspec @ ^[GENR_PVARR_307:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_307 @ ?[T1:real,T2:real,T3:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T2) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T3) & ((realu_add @ T1 @ (realu_add @ T2 @ T3)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (Y = (vectoru_add @ (r_ @ T1 @ X) @ (vectoru_add @ (r_ @ T2 @ V) @ (r_ @ T3 @ W))))) @ Y))))).
thf(aFano_th3, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) => (~ ((X = V)) & ~ ((X = U)) & (disjoint @ (insert @ X @ (insert @ V @ empty)) @ (insert @ U @ empty)) & (disjoint @ (insert @ X @ (insert @ U @ empty)) @ (insert @ V @ empty)) & (disjoint @ (insert @ X @ empty) @ (insert @ V @ (insert @ U @ empty))) & ~ ((in @ U @ (aff @ (insert @ X @ (insert @ V @ empty)))))))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINSERTu_COMM, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((insert @ X @ (insert @ Y @ S)) = (insert @ Y @ (insert @ X @ S)))).
thf(aINSERTu_SUBSET, axiom, ![X:cartrealn3,S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ (insert @ X @ S) @ T) <=> ((in @ X @ T) & (subset @ S @ T)))).
thf(aINTERu_EMPTYu_conjunct0, axiom, ![S:(cartrealn3 > $o)]:((inter @ empty @ S) = empty)).
thf(aINTu_LTu_DISCRETE, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (intu_le @ (intu_add @ X @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y))).
thf(aINTu_NOTu_EQ, axiom, ![X:int,Y:int]:(~ ((X = Y)) <=> ((intu_lt @ X @ Y) | (intu_lt @ Y @ X)))).
thf(aINTu_NOTu_LE, axiom, ![X:int,Y:int]:(~ ((intu_le @ X @ Y)) <=> (intu_lt @ Y @ X))).
thf(aINTu_NOTu_LT, axiom, ![X:int,Y:int]:(~ ((intu_lt @ X @ Y)) <=> (intu_le @ Y @ X))).
thf(aINTu_OFu_NUMu_ADD, axiom, ![M:num,N:num]:((intu_add @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) = (intu_ofu_num @ (p_ @ M @ N)))).
thf(aINTu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((intu_le @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aINTu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((intu_lt @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aINTu_POS, axiom, ![N:num]:(intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_ofu_num @ N))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn3 > $o) > $o),X:cartrealn3]:((in @ X @ (gspec @ ^[V:cartrealn3]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn3]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (gspec @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aITERu_conjunct0, axiom, ![X:cartrealn3,F:(cartrealn3 > cartrealn3)]:((iter @ (numeral @ u_0) @ F @ X) = X)).
thf(aITERu_conjunct1, axiom, ![X:cartrealn3,F:(cartrealn3 > cartrealn3),N:num]:((iter @ (suc @ N) @ F @ X) = (F @ (iter @ N @ F @ X)))).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > cartrealn3 > $o),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > cartrealn3),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_1 @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aLocalu_lemmaso_AFFu_GE22, axiom, ![A:cartrealn3,B:cartrealn3,X:cartrealn3,Y:cartrealn3]:((disjoint @ (insert @ A @ (insert @ B @ empty)) @ (insert @ X @ (insert @ Y @ empty))) => ((affu_ge @ (insert @ A @ (insert @ B @ empty)) @ (insert @ X @ (insert @ Y @ empty))) = (gspec @ ^[GENR_PVARR_1815:cartrealn3]:?[Z:cartrealn3]:(setspec @ GENR_PVARR_1815 @ ?[AA:real,BB:real,XX:real,YY:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ XX) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ YY) & ((realu_add @ AA @ (realu_add @ BB @ (realu_add @ XX @ YY))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (Z = (vectoru_add @ (r_ @ AA @ A) @ (vectoru_add @ (r_ @ BB @ B) @ (vectoru_add @ (r_ @ XX @ X) @ (r_ @ YY @ Y)))))) @ Z))))).
thf(aLocalu_lemmaso_AZIMu_RANGE, axiom, ![V:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ V @ W @ W1 @ W2)) & (realu_lt @ (azim @ V @ W @ W1 @ W2) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)))).
thf(aLocalu_lemmaso_CROSSu_DOTu_COPLANAR, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:(((dot @ (cross @ X @ Y) @ Z) = (realu_ofu_num @ (numeral @ u_0))) <=> (coplanar @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty))))))).
thf(aLocalu_lemmaso_FANu_INu_AFFu_GEu_IMPu_EQ, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:cartrealn3,A:cartrealn3,V0:cartrealn3,B:cartrealn3]:(((fan @ (c_1 @ X @ (c_2 @ V @ E))) & (in @ V0 @ V) & (in0 @ (insert @ A @ (insert @ B @ empty)) @ E) & (in @ V0 @ (affu_ge @ (insert @ X @ empty) @ (insert @ A @ (insert @ B @ empty))))) => ((V0 = A) | (V0 = B)))).
thf(aLocalu_lemmaso_LOCALu_FANu_INu_FFu_INu_ORDu_PAIRS, axiom, ![V:(cartrealn3 > $o),FF:(prodcartrealn3cartrealn3 > $o),X:prodcartrealn3cartrealn3,E:((cartrealn3 > $o) > $o)]:(((localu_fan @ (c_ @ V @ (c_0 @ E @ FF))) & (in1 @ X @ FF)) => (in1 @ X @ (ordu_pairs @ E)))).
thf(aLocalu_lemmaso_LOCALu_FANu_ITERu_RHOu_NODEu_INu_V, axiom, ![E:((cartrealn3 > $o) > $o),FF:(prodcartrealn3cartrealn3 > $o),V:cartrealn3,V0:(cartrealn3 > $o)]:(((localu_fan @ (c_ @ V0 @ (c_0 @ E @ FF))) & (in @ V @ V0)) => ![I:num]:(in @ (iter @ I @ (rhou_node1 @ FF) @ V) @ V0))).
thf(aLocalu_lemmaso_LOCALu_FANu_RHOu_NODEu_PROS2, axiom, ![E:((cartrealn3 > $o) > $o),V:(cartrealn3 > $o),FF:(prodcartrealn3cartrealn3 > $o)]:((localu_fan @ (c_ @ V @ (c_0 @ E @ FF))) => (![X:prodcartrealn3cartrealn3]:((in1 @ X @ FF) => (X = (c_3 @ (fst @ X) @ (rhou_node1 @ FF @ (fst @ X))))) & ![X:cartrealn3]:((in @ X @ V) => (in1 @ (c_3 @ X @ (rhou_node1 @ FF @ X)) @ FF))))).
thf(aLocalu_lemmaso_MIXEDu_PRODu_POSu_IMPu_RANGEu_AZIM, axiom, ![U:cartrealn3,V:cartrealn3,W:cartrealn3]:((~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ U @ (insert @ V @ empty))))) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ U @ (insert @ W @ empty))))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (dot @ (cross @ U @ V) @ W))) => ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ (vec @ (numeral @ u_0)) @ U @ V @ W)) & (realu_lt @ (azim @ (vec @ (numeral @ u_0)) @ U @ V @ W) @ pi)))).
thf(aLocalu_lemmaso_RHOu_NODEu_SETu_INu_Au_PLANEu_IMPu_POSu_DIRECT, axiom, ![E:((cartrealn3 > $o) > $o),V:(cartrealn3 > $o),U:(cartrealn3 > $o),P:(cartrealn3 > $o),L:num,FF:(prodcartrealn3cartrealn3 > $o),V0:cartrealn3,E0:cartrealn3]:(((localu_fan @ (c_ @ V @ (c_0 @ E @ FF))) & (in @ V0 @ V) & ((gspec @ ^[GENR_PVARR_1813:cartrealn3]:?[N:num]:(setspec @ GENR_PVARR_1813 @ (l_a_ @ N @ L) @ (iter @ N @ (rhou_node1 @ FF) @ V0))) = U) & (plane @ P) & (in @ (vec @ (numeral @ u_0)) @ P) & (subset @ U @ P) & ((cross @ V0 @ (rhou_node1 @ FF @ V0)) = E0)) => ![I:num]:((l_ @ I @ L) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (dot @ (cross @ (iter @ I @ (rhou_node1 @ FF) @ V0) @ (iter @ (p_ @ I @ (numeral @ (bit1 @ u_0))) @ (rhou_node1 @ FF) @ V0)) @ E0))))).
thf(aLocalu_lemmaso_THREEu_NOTu_COLLu_DETERu_PLANE, axiom, ![A:cartrealn3,B:cartrealn3,C:cartrealn3,P:(cartrealn3 > $o)]:(((plane @ P) & (subset @ (insert @ A @ (insert @ B @ (insert @ C @ empty))) @ P) & ~ ((collinear @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))))) => ((hull @ affine @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) = P))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_COPLANARu_NOTu_COLLINEAR, axiom, ![V1:cartrealn,V2:cartrealn,V3:cartrealn,W:cartrealn]:(~ ((coplanar0 @ (insert0 @ V1 @ (insert0 @ V2 @ (insert0 @ V3 @ (insert0 @ W @ empty0)))))) => ~ ((collinear0 @ (insert0 @ V1 @ (insert0 @ V2 @ (insert0 @ V3 @ empty0))))))).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_IMPu_NE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => ~ ((X = Y)))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometryo_BKMUSOX2, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((dot @ (cross @ X @ Y) @ Z) = (dot @ (cross @ Y @ Z) @ X))).
thf(aTrigonometry2o_NONCOPLANARu_3u_BASIS, axiom, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,V0:cartrealn3,V:cartrealn3]:(~ ((coplanar @ (insert @ V0 @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty)))))) => ?[T1:real,T2:real,T3:real]:((V = (vectoru_add @ (r_ @ T1 @ (vectoru_sub @ V1 @ V0)) @ (vectoru_add @ (r_ @ T2 @ (vectoru_sub @ V2 @ V0)) @ (r_ @ T3 @ (vectoru_sub @ V3 @ V0))))) & ![TA:real,TB:real,TC:real]:((V = (vectoru_add @ (r_ @ TA @ (vectoru_sub @ V1 @ V0)) @ (vectoru_add @ (r_ @ TB @ (vectoru_sub @ V2 @ V0)) @ (r_ @ TC @ (vectoru_sub @ V3 @ V0))))) => ((TA = T1) & (TB = T2) & (TC = T3)))))).
thf(aVECTORu_ADDu_LID, axiom, ![X:cartrealn3]:((vectoru_add @ (vec @ (numeral @ u_0)) @ X) = X)).
thf(aVECTORu_MULu_LZERO, axiom, ![X:cartrealn3]:((r_ @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (vec @ (numeral @ u_0)))).
thf(aVECTORu_MULu_RZERO, axiom, ![C:real]:((r_ @ C @ (vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0)))).
thf(aVECTORu_SUBu_RZERO, axiom, ![X:cartrealn3]:((vectoru_sub @ X @ (vec @ (numeral @ u_0))) = X)).
thf(aWEDGEu_LUNEu_GE, axiom, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W1 @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W2 @ empty))))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ V0 @ V1 @ W1 @ W2)) & (realu_lt @ (azim @ V0 @ V1 @ W1 @ W2) @ pi)) => ((gspec @ ^[GENR_PVARR_2588:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_2588 @ ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ V0 @ V1 @ W1 @ X)) & (realu_le @ (azim @ V0 @ V1 @ W1 @ X) @ (azim @ V0 @ V1 @ W1 @ W2))) @ X)) = (affu_ge @ (insert @ V0 @ (insert @ V1 @ empty)) @ (insert @ W1 @ (insert @ W2 @ empty)))))).
thf(aWrgcvdru_cizmrrho_INu_Eu_IFFu_INu_ORDu_E, axiom, ![A:q1900850,B:q1900850,E:((q1900850 > $o) > $o)]:((in2 @ (insert1 @ A @ (insert1 @ B @ empty1)) @ E) <=> (in3 @ (c_4 @ A @ B) @ (ordu_pairs0 @ E)))).
thf(aWrgcvdru_cizmrrho_LOCALu_FANu_IMPu_FAN, axiom, ![FF:(prodcartrealn3cartrealn3 > $o),V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((localu_fan @ (c_ @ V @ (c_0 @ E @ FF))) => (fan @ (c_1 @ (vec @ (numeral @ u_0)) @ (c_2 @ V @ E))))).
thf(aintu_addu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_add @ X @ Y)) = (realu_add @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(avectoru_add, axiom, ![X:cartrealn3,Y:cartrealn3]:((vectoru_add @ X @ Y) = (lambda2 @ ^[I:num]:(realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(avectoru_mul, axiom, ![C:real,X:cartrealn3]:((r_ @ C @ X) = (lambda2 @ ^[I:num]:(realu_mul @ C @ (d_ @ X @ I))))).
thf(conjecture, conjecture, ![E:cartrealn3,FF:(prodcartrealn3cartrealn3 > $o),U:(cartrealn3 > $o),L:num,V:cartrealn3,P:(cartrealn3 > $o),V0:(cartrealn3 > $o),E0:((cartrealn3 > $o) > $o)]:(((localu_fan @ (c_ @ V0 @ (c_0 @ E0 @ FF))) & (in @ V @ V0) & ((gspec @ ^[GENR_PVARR_1816:cartrealn3]:?[N:num]:(setspec @ GENR_PVARR_1816 @ (l_a_ @ N @ L) @ (iter @ N @ (rhou_node1 @ FF) @ V))) = U) & (plane @ P) & (in @ (vec @ (numeral @ u_0)) @ P) & (subset @ U @ P) & ((cross @ V @ (rhou_node1 @ FF @ V)) = E)) => ![X:cartrealn3,N:num]:(((X = (iter @ N @ (rhou_node1 @ FF) @ V)) & (l_ @ N @ L)) => ![Y:cartrealn3]:(((in @ Y @ U) & ~ ((Y = X)) & ~ ((Y = (rhou_node1 @ FF @ X)))) => (realu_lt @ (azim @ (vec @ (numeral @ u_0)) @ E @ X @ (rhou_node1 @ FF @ X)) @ (azim @ (vec @ (numeral @ u_0)) @ E @ X @ Y)))))).
