%   ORIGINAL: Local_lemmas.AZIM_LAST_POINT_IN_RHO_SET2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Local_lemmas.AZIM_LAST_POINT_IN_RHO_SET: local_fan (V,E,FF) /\ v IN V /\ {ITER n (rho_node1 FF) v | n <= l} = U /\ plane P /\ vec 0 IN P /\ U SUBSET P /\ v cross rho_node1 FF v = e ==> ITER l (rho_node1 FF) v = ls /\ (!i. i < l ==> ~(ls = ITER i (rho_node1 FF) v)) ==> azim_cycle U (vec 0) e ls = v
% Assm: Local_lemmas.LOFA_IMP_DIS_ELMS: local_fan (V,E,FF) /\ v IN V /\ l < CARD FF ==> (!i. i < l ==> ~(ITER l (rho_node1 FF) v = ITER i (rho_node1 FF) v))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: local_fan (V,E,FF) /\ v IN V /\ {ITER n (rho_node1 FF) v | n <= l} = U /\ plane P /\ vec 0 IN P /\ U SUBSET P /\ v cross rho_node1 FF v = e ==> ITER l (rho_node1 FF) v = ls /\ l < CARD FF ==> azim_cycle U (vec 0) e ls = v
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !E V P l FF U e ls v. local_fan (V,E,FF) /\ v IN V /\ {ITER n (rho_node1 FF) v | n <= l} = U /\ plane P /\ vec 0 IN P /\ U SUBSET P /\ v cross rho_node1 FF v = e ==> ITER l (rho_node1 FF) v = ls /\ (!i. i < l ==> ~(ls = ITER i (rho_node1 FF) v)) ==> azim_cycle U (vec 0) e ls = v
% Assm: !E V l FF v. local_fan (V,E,FF) /\ v IN V /\ l < CARD FF ==> (!i. i < l ==> ~(ITER l (rho_node1 FF) v = ITER i (rho_node1 FF) v))
% Assm: ~F <=> T
% Assm: T
% Goal: !v ls e U FF l P V E. local_fan (V,E,FF) /\ v IN V /\ {ITER n (rho_node1 FF) v | n <= l} = U /\ plane P /\ vec 0 IN P /\ U SUBSET P /\ v cross rho_node1 FF v = e ==> ITER l (rho_node1 FF) v = ls /\ l < CARD FF ==> azim_cycle U (vec 0) e ls = v
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool, type, prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool : $tType).
thf(tfunprodcartrealn3cartrealn3bool, type, funprodcartrealn3cartrealn3bool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tprodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool, type, prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cazimuu_cycle, type, azimu_cycle : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crhouu_node1, type, rhou_node1 : ((prodcartrealn3cartrealn3 > $o) > cartrealn3 > cartrealn3)).
thf(citer, type, iter : (num > (cartrealn3 > cartrealn3) > cartrealn3 > cartrealn3)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : (((cartrealn3 > $o) > $o) > (prodcartrealn3cartrealn3 > $o) > prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool)).
thf(ccu_, type, c_ : ((cartrealn3 > $o) > prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool)).
thf(cplane, type, plane : ((cartrealn3 > $o) > $o)).
thf(clocaluu_fan, type, localu_fan : (prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > $o)).
thf(ccard, type, card : ((prodcartrealn3cartrealn3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLocalu_lemmaso_AZIMu_LASTu_POINTu_INu_RHOu_SET, axiom, ![E:((cartrealn3 > $o) > $o),V:(cartrealn3 > $o),P:(cartrealn3 > $o),L:num,FF:(prodcartrealn3cartrealn3 > $o),U:(cartrealn3 > $o),E0:cartrealn3,LS:cartrealn3,V0:cartrealn3]:(((localu_fan @ (c_ @ V @ (c_0 @ E @ FF))) & (in @ V0 @ V) & ((gspec @ ^[GENR_PVARR_1822:cartrealn3]:?[N:num]:(setspec @ GENR_PVARR_1822 @ (l_a_ @ N @ L) @ (iter @ N @ (rhou_node1 @ FF) @ V0))) = U) & (plane @ P) & (in @ (vec @ (numeral @ u_0)) @ P) & (subset @ U @ P) & ((cross @ V0 @ (rhou_node1 @ FF @ V0)) = E0)) => ((((iter @ L @ (rhou_node1 @ FF) @ V0) = LS) & ![I:num]:((l_ @ I @ L) => ~ ((LS = (iter @ I @ (rhou_node1 @ FF) @ V0))))) => ((azimu_cycle @ U @ (vec @ (numeral @ u_0)) @ E0 @ LS) = V0)))).
thf(aLocalu_lemmaso_LOFAu_IMPu_DISu_ELMS, axiom, ![E:((cartrealn3 > $o) > $o),V:(cartrealn3 > $o),L:num,FF:(prodcartrealn3cartrealn3 > $o),V0:cartrealn3]:(((localu_fan @ (c_ @ V @ (c_0 @ E @ FF))) & (in @ V0 @ V) & (l_ @ L @ (card @ FF))) => ![I:num]:((l_ @ I @ L) => ~ (((iter @ L @ (rhou_node1 @ FF) @ V0) = (iter @ I @ (rhou_node1 @ FF) @ V0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:cartrealn3,LS:cartrealn3,E:cartrealn3,U:(cartrealn3 > $o),FF:(prodcartrealn3cartrealn3 > $o),L:num,P:(cartrealn3 > $o),V0:(cartrealn3 > $o),E0:((cartrealn3 > $o) > $o)]:(((localu_fan @ (c_ @ V0 @ (c_0 @ E0 @ FF))) & (in @ V @ V0) & ((gspec @ ^[GENR_PVARR_1823:cartrealn3]:?[N:num]:(setspec @ GENR_PVARR_1823 @ (l_a_ @ N @ L) @ (iter @ N @ (rhou_node1 @ FF) @ V))) = U) & (plane @ P) & (in @ (vec @ (numeral @ u_0)) @ P) & (subset @ U @ P) & ((cross @ V @ (rhou_node1 @ FF @ V)) = E)) => ((((iter @ L @ (rhou_node1 @ FF) @ V) = LS) & (l_ @ L @ (card @ FF))) => ((azimu_cycle @ U @ (vec @ (numeral @ u_0)) @ E @ LS) = V)))).
