%   ORIGINAL: Local_lemmas.IN_CONV0_AFF_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AFFINE_AFFINE_HULL: !s. affine (affine hull s)
% Assm: Collect_geom.AFFINE_CONTAIN_LINE: !a b s. affine s /\ {a, b} SUBSET s ==> aff {a, b} SUBSET s
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: INSERT_SUBSET: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: Local_lemmas.IN_CONV0_EQ_EQ: !x. x IN conv0 {a, b} ==> (x = a <=> a = b)
% Assm: Local_lemmas.IN_CONV0_IMP_AFF_EQ: a IN conv0 {x, y} ==> aff {x, y} = aff {x, a}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry.BYFLKYM1: aff = (hull) affine
% Goal: !t. t IN aff {a, b} INTER conv0 {x, y} /\ x IN aff {a, b} ==> aff {x, y} SUBSET aff {a, b}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. affine (affine hull s)
% Assm: !a b s. affine s /\ {a, b} SUBSET s ==> aff {a, b} SUBSET s
% Assm: !s. {} SUBSET s
% Assm: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !a b x. x IN conv0 {a, b} ==> (x = a <=> a = b)
% Assm: !y x a. a IN conv0 {x, y} ==> aff {x, y} = aff {x, a}
% Assm: ~F <=> T
% Assm: T
% Assm: aff = (hull) affine
% Goal: !b a y x t. t IN aff {a, b} INTER conv0 {x, y} /\ x IN aff {a, b} ==> aff {x, y} SUBSET aff {a, b}
%  TYPES
thf(tcartrealq248925, type, cartrealq248925 : $tType).
thf(tq248925, type, q248925 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cconv0, type, conv0 : ((cartrealn > $o) > cartrealn > $o)).
thf(caff, type, aff : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(chull0, type, hull0 : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealq248925 > $o) > $o) > (cartrealq248925 > $o) > cartrealq248925 > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffine0, type, affine0 : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealq248925 > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAFFINEu_AFFINEu_HULL, axiom, ![S:(cartrealq248925 > $o)]:(affine @ (hull @ affine @ S))).
thf(aCollectu_geomo_AFFINEu_CONTAINu_LINE, axiom, ![A:cartrealn,B:cartrealn,S:(cartrealn > $o)]:(((affine0 @ S) & (subset @ (insert @ A @ (insert @ B @ empty)) @ S)) => (subset @ (aff @ (insert @ A @ (insert @ B @ empty))) @ S))).
thf(aEMPTYu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ empty @ S)).
thf(aINSERTu_SUBSET, axiom, ![X:cartrealn,S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ (insert @ X @ S) @ T) <=> ((in @ X @ T) & (subset @ S @ T)))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aLocalu_lemmaso_INu_CONV0u_EQu_EQ, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn]:((in @ X @ (conv0 @ (insert @ A @ (insert @ B @ empty)))) => ((X = A) <=> (A = B)))).
thf(aLocalu_lemmaso_INu_CONV0u_IMPu_AFFu_EQ, axiom, ![Y:cartrealn,X:cartrealn,A:cartrealn]:((in @ A @ (conv0 @ (insert @ X @ (insert @ Y @ empty)))) => ((aff @ (insert @ X @ (insert @ Y @ empty))) = (aff @ (insert @ X @ (insert @ A @ empty)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_BYFLKYM1, axiom, (aff = (hull0 @ affine0))).
thf(conjecture, conjecture, ![B:cartrealn,A:cartrealn,Y:cartrealn,X:cartrealn,T:cartrealn]:(((in @ T @ (inter @ (aff @ (insert @ A @ (insert @ B @ empty))) @ (conv0 @ (insert @ X @ (insert @ Y @ empty))))) & (in @ X @ (aff @ (insert @ A @ (insert @ B @ empty))))) => (subset @ (aff @ (insert @ X @ (insert @ Y @ empty))) @ (aff @ (insert @ A @ (insert @ B @ empty)))))).
