%   ORIGINAL: Local_lemmas.FAN_INTERSECTION_PRO_EXPRESS2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Local_lemmas.FAN_INTERSECTION_PRO_EXPRESS: FAN (x,V,E) /\ a IN V /\ b IN V /\ ~(a = b) ==> ~(?t. &0 < t /\ a - x = t % (b - x))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: FAN (x,V,E) /\ a IN V /\ b IN V /\ ~(a = b) /\ &0 < t ==> ~(a - x = t % (b - x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !E V a b x. FAN (x,V,E) /\ a IN V /\ b IN V /\ ~(a = b) ==> ~(?t. &0 < t /\ a - x = t % (b - x))
% Assm: ~F <=> T
% Assm: T
% Goal: !x b t a V E. FAN (x,V,E) /\ a IN V /\ b IN V /\ ~(a = b) /\ &0 < t ==> ~(a - x = t % (b - x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tprodfuncartrealnboolfunfuncartrealnboolbool, type, prodfuncartrealnboolfunfuncartrealnboolbool : $tType).
thf(tfunfuncartrealnboolbool, type, funfuncartrealnboolbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tn, type, n : $tType).
thf(tprodcartrealnprodfuncartrealnboolfunfuncartrealnboolbool, type, prodcartrealnprodfuncartrealnboolfunfuncartrealnboolbool : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_0, type, c_0 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > prodfuncartrealnboolfunfuncartrealnboolbool)).
thf(ccu_, type, c_ : (cartrealn > prodfuncartrealnboolfunfuncartrealnboolbool > prodcartrealnprodfuncartrealnboolfunfuncartrealnboolbool)).
thf(cfan, type, fan : (prodcartrealnprodfuncartrealnboolfunfuncartrealnboolbool > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aLocalu_lemmaso_FANu_INTERSECTIONu_PROu_EXPRESS, axiom, ![E:((cartrealn > $o) > $o),V:(cartrealn > $o),A:cartrealn,B:cartrealn,X:cartrealn]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ A @ V) & (in @ B @ V) & ~ ((A = B))) => ~ (?[T:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T) & ((vectoru_sub @ A @ X) = (r_ @ T @ (vectoru_sub @ B @ X))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn,B:cartrealn,T:real,A:cartrealn,V:(cartrealn > $o),E:((cartrealn > $o) > $o)]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ A @ V) & (in @ B @ V) & ~ ((A = B)) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T)) => ~ (((vectoru_sub @ A @ X) = (r_ @ T @ (vectoru_sub @ B @ X)))))).
