%   ORIGINAL: Local_lemmas.PRE_IVS_RHO_NODE1_DETE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Local_lemmas.FST_EQ_IF_SAME_SND: local_fan (V,E,FF) /\ w1,v IN FF /\ w2,v IN FF ==> w1 = w2
% Assm: Local_lemmas.RHO_NODE_INVERSE_POINT: w,v IN FF /\ (!ww. ww,v IN FF ==> ww = w) ==> (@a. a,v IN FF) = w
% Assm: TRUTH: T
% Goal: local_fan (V,E,FF) /\ vv,v IN FF ==> (@a. a,v IN FF) = vv
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !V E v FF w1 w2. local_fan (V,E,FF) /\ w1,v IN FF /\ w2,v IN FF ==> w1 = w2
% Assm: !v FF w. w,v IN FF /\ (!ww. ww,v IN FF ==> ww = w) ==> (@a. a,v IN FF) = w
% Assm: T
% Goal: !vv FF v E V. local_fan (V,E,FF) /\ vv,v IN FF ==> (@a. a,v IN FF) = vv
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool, type, prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool : $tType).
thf(tfunprodcartrealn3cartrealn3bool, type, funprodcartrealn3cartrealn3bool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tprodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool, type, prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool : $tType).
%  CONSTS
thf(chu_, type, h_ : ((cartrealn3 > $o) > cartrealn3)).
thf(cin, type, in : (prodcartrealn3cartrealn3 > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(ccu_1, type, c_1 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccu_0, type, c_0 : (((cartrealn3 > $o) > $o) > (prodcartrealn3cartrealn3 > $o) > prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool)).
thf(ccu_, type, c_ : ((cartrealn3 > $o) > prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool)).
thf(clocaluu_fan, type, localu_fan : (prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLocalu_lemmaso_FSTu_EQu_IFu_SAMEu_SND, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,FF:(prodcartrealn3cartrealn3 > $o),W1:cartrealn3,W2:cartrealn3]:(((localu_fan @ (c_ @ V @ (c_0 @ E @ FF))) & (in @ (c_1 @ W1 @ V0) @ FF) & (in @ (c_1 @ W2 @ V0) @ FF)) => (W1 = W2))).
thf(aLocalu_lemmaso_RHOu_NODEu_INVERSEu_POINT, axiom, ![V:cartrealn3,FF:(prodcartrealn3cartrealn3 > $o),W:cartrealn3]:(((in @ (c_1 @ W @ V) @ FF) & ![WW:cartrealn3]:((in @ (c_1 @ WW @ V) @ FF) => (WW = W))) => ((h_ @ ^[A:cartrealn3]:(in @ (c_1 @ A @ V) @ FF)) = W))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![VV:cartrealn3,FF:(prodcartrealn3cartrealn3 > $o),V:cartrealn3,E:((cartrealn3 > $o) > $o),V0:(cartrealn3 > $o)]:(((localu_fan @ (c_ @ V0 @ (c_0 @ E @ FF))) & (in @ (c_1 @ VV @ V) @ FF)) => ((h_ @ ^[A:cartrealn3]:(in @ (c_1 @ A @ V) @ FF)) = VV))).
