%   ORIGINAL: Local_lemmas.P_SET3_IMP_SET2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INSERT_INSERT: !x s. x INSERT x INSERT s = x INSERT s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: (!a b c. P {a, b, c}) ==> (!a b. P {a, b})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x s. x INSERT x INSERT s = x INSERT s
% Assm: ~F <=> T
% Assm: T
% Goal: !P. (!a b c. P {a, b, c}) ==> (!a b. P {a, b})
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINSERTu_INSERT, axiom, ![X:a,S:(a > $o)]:((insert @ X @ (insert @ X @ S)) = (insert @ X @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:((a > $o) > $o)]:(![A:a,B:a,C:a]:(P @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) => ![A:a,B:a]:(P @ (insert @ A @ (insert @ B @ empty))))).
