%   ORIGINAL: Local_lemmas.CONV2_SUBSET_AFF_GE_2S
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Local_lemmas.CONV3_SUBSET_AFF_GE_3S: conv {a, b, c} SUBSET aff_ge {a, b, c} S
% Assm: Local_lemmas.P_SET3_IMP_SET2: (!a b c. P {a, b, c}) ==> (!a b. P {a, b})
% Assm: TRUTH: T
% Goal: !a b S. conv {a, b} SUBSET aff_ge {a, b} S
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b c S. conv {a, b, c} SUBSET aff_ge {a, b, c} S
% Assm: !P. (!a b c. P {a, b, c}) ==> (!a b. P {a, b})
% Assm: T
% Goal: !a b S. conv {a, b} SUBSET aff_ge {a, b} S
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cconv, type, conv : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLocalu_lemmaso_CONV3u_SUBSETu_AFFu_GEu_3S, axiom, ![A:cartrealn,B:cartrealn,C:cartrealn,S:(cartrealn > $o)]:(subset @ (conv @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) @ (affu_ge @ (insert @ A @ (insert @ B @ (insert @ C @ empty))) @ S))).
thf(aLocalu_lemmaso_Pu_SET3u_IMPu_SET2, axiom, ![P:((cartrealn > $o) > $o)]:(![A:cartrealn,B:cartrealn,C:cartrealn]:(P @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) => ![A:cartrealn,B:cartrealn]:(P @ (insert @ A @ (insert @ B @ empty))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn,S:(cartrealn > $o)]:(subset @ (conv @ (insert @ A @ (insert @ B @ empty))) @ (affu_ge @ (insert @ A @ (insert @ B @ empty)) @ S))).
