%   ORIGINAL: Local_lemmas.AFF_GT_SUB_AFF_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIFF_EQ_EMPTY: !s. s DIFF s = {}
% Assm: Local_lemmas.AFF_GT_MONO: !S. S SUBSET Y ==> aff_gt X Y SUBSET aff_gt (X UNION S) (Y DIFF S)
% Assm: SUBSET_REFL: !s. s SUBSET s
% Assm: TRUTH: T
% Assm: Trigonometry.BYFLKYM1: aff = (hull) affine
% Assm: Trigonometry.UIVNNRR2: !s t. aff_gt s {} = affine hull s
% Goal: aff_gt X Y SUBSET aff (X UNION Y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. s DIFF s = {}
% Assm: !X Y S. S SUBSET Y ==> aff_gt X Y SUBSET aff_gt (X UNION S) (Y DIFF S)
% Assm: !s. s SUBSET s
% Assm: T
% Assm: aff = (hull) affine
% Assm: !s t. aff_gt s {} = affine hull s
% Goal: !Y X. aff_gt X Y SUBSET aff (X UNION Y)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq703813, type, q703813 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(caff, type, aff : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff0, type, diff0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIFFu_EQu_EMPTY, axiom, ![S:(a > $o)]:((diff @ S @ S) = empty)).
thf(aLocalu_lemmaso_AFFu_GTu_MONO, axiom, ![X:(cartrealn > $o),Y:(cartrealn > $o),S:(cartrealn > $o)]:((subset @ S @ Y) => (subset @ (affu_gt @ X @ Y) @ (affu_gt @ (union @ X @ S) @ (diff0 @ Y @ S))))).
thf(aSUBSETu_REFL, axiom, ![S:(cartrealn > $o)]:(subset @ S @ S)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_BYFLKYM1, axiom, (aff = (hull @ affine))).
thf(aTrigonometryo_UIVNNRR2, axiom, ![S:(cartrealn > $o),T:q703813]:((affu_gt @ S @ empty0) = (hull @ affine @ S))).
thf(conjecture, conjecture, ![Y:(cartrealn > $o),X:(cartrealn > $o)]:(subset @ (affu_gt @ X @ Y) @ (aff @ (union @ X @ Y)))).
