%   ORIGINAL: Ysskqoy.selectd_cases
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: Ysskqoy.selectd: !P d. selectd P d = (if ?r. P r then (@) P else d)
% Goal: !P d. P (selectd P d) \/ selectd P d = d
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: !P d. selectd P d = (if ?r. P r then (@) P else d)
% Goal: !P d. P (selectd P d) \/ selectd P d = d
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(cselectd, type, selectd : ((a > $o) > a > a)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(ccond, type, cond : ($o > a > a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_ @ P)))).
thf(aTRUTH, axiom, $true).
thf(aYsskqoyo_selectd, axiom, ![P:(a > $o),D:a]:((selectd @ P @ D) = (cond @ ?[R:a]:(P @ R) @ (h_ @ P) @ D))).
thf(conjecture, conjecture, ![P:(a > $o),D:a]:((P @ (selectd @ P @ D)) | ((selectd @ P @ D) = D))).
