%   ORIGINAL: Ysskqoy.CARD_UNION_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_UNION: !s t. FINITE s /\ FINITE t /\ s INTER t = {} ==> CARD (s UNION t) = CARD s + CARD t
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_UNION_conjunct0: !s t. s SUBSET s UNION t
% Assm: SUBSET_UNION_conjunct1: !s t. s SUBSET t UNION s
% Assm: TRUTH: T
% Goal: !s t u. FINITE u /\ s INTER t = {} /\ s UNION t = u ==> CARD s + CARD t = CARD u
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. FINITE s /\ FINITE t /\ s INTER t = {} ==> CARD (s UNION t) = CARD s + CARD t
% Assm: !t. (\x. t x) = t
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: ~F <=> T
% Assm: !s t. s SUBSET s UNION t
% Assm: !s t. s SUBSET t UNION s
% Assm: T
% Goal: !s t u. FINITE u /\ s INTER t = {} /\ s UNION t = u ==> CARD s + CARD t = CARD u
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cempty, type, empty : (b > $o)).
thf(csubset, type, subset : ((b > $o) > (b > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cunion, type, union : ((b > $o) > (b > $o) > b > $o)).
thf(cinter, type, inter : ((b > $o) > (b > $o) > b > $o)).
thf(cfinite, type, finite : ((b > $o) > $o)).
thf(ccard, type, card : ((b > $o) > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > b > $o),G:(a > b > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_UNION, axiom, ![S:(b > $o),T:(b > $o)]:(((finite @ S) & (finite @ T) & ((inter @ S @ T) = empty)) => ((card @ (union @ S @ T)) = (p_ @ (card @ S) @ (card @ T))))).
thf(aETAu_AX, axiom, ![T:(b > $o)]:(^[X:b]:(T @ X) = T)).
thf(aFINITEu_SUBSET, axiom, ![S:(b > $o),T:(b > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_UNIONu_conjunct0, axiom, ![S:(b > $o),T:(b > $o)]:(subset @ S @ (union @ S @ T))).
thf(aSUBSETu_UNIONu_conjunct1, axiom, ![S:(b > $o),T:(b > $o)]:(subset @ S @ (union @ T @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(b > $o),T:(b > $o),U:(b > $o)]:(((finite @ U) & ((inter @ S @ T) = empty) & ((union @ S @ T) = U)) => ((p_ @ (card @ S) @ (card @ T)) = (card @ U)))).
