%   ORIGINAL: Tame_general.CONTRAVENING_IMP_FULLY_SURROUNDED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap_and_fan.FULLY_SURROUNDED: !V E. FAN (vec 0,V,E) ==> (fully_surrounded (V,E) <=> (!v. v IN V ==> surrounded_node (V,E) v))
% Assm: TRUTH: T
% Assm: Tame_general.CONTRAVENING_IMP_SURROUNDED: !V v. contravening V /\ v IN V ==> surrounded_node (V,ESTD V) v
% Goal: !V. FAN (vec 0,V,ESTD V) /\ contravening V ==> fully_surrounded (V,ESTD V)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !V E. FAN (vec 0,V,E) ==> (fully_surrounded (V,E) <=> (!v. v IN V ==> surrounded_node (V,E) v))
% Assm: T
% Assm: !V v. contravening V /\ v IN V ==> surrounded_node (V,ESTD V) v
% Goal: !V. FAN (vec 0,V,ESTD V) /\ contravening V ==> fully_surrounded (V,ESTD V)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(csurroundeduu_node, type, surroundedu_node : (prodfuncartrealn3boolfunfuncartrealn3boolbool > cartrealn3 > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cestd, type, estd : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cfullyuu_surrounded, type, fullyu_surrounded : (prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(ccontravening, type, contravening : ((cartrealn3 > $o) > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapu_andu_fano_FULLYu_SURROUNDED, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) => ((fullyu_surrounded @ (c_0 @ V @ E)) <=> ![V0:cartrealn3]:((in @ V0 @ V) => (surroundedu_node @ (c_0 @ V @ E) @ V0))))).
thf(aTRUTH, axiom, $true).
thf(aTameu_generalo_CONTRAVENINGu_IMPu_SURROUNDED, axiom, ![V:(cartrealn3 > $o),V0:cartrealn3]:(((contravening @ V) & (in @ V0 @ V)) => (surroundedu_node @ (c_0 @ V @ (estd @ V)) @ V0))).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o)]:(((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ (estd @ V)))) & (contravening @ V)) => (fullyu_surrounded @ (c_0 @ V @ (estd @ V))))).
