%   ORIGINAL: Fatugpd.norm_lemma2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fatugpd.coordinates_lemma: !v e1 e2 e3 x y z. orthonormal e1 e2 e3 /\ v = x % e1 + y % e2 + z % e3 ==> x = v dot e1 /\ y = v dot e2 /\ z = v dot e3
% Assm: Fatugpd.norm_lemma1: !v e1 e2 e3. orthonormal e1 e2 e3 ==> norm v = sqrt ((v dot e1) pow 2 + (v dot e2) pow 2 + (v dot e3) pow 2)
% Assm: TRUTH: T
% Goal: !v e1 e2 e3 x y z. orthonormal e1 e2 e3 /\ v = x % e1 + y % e2 + z % e3 ==> norm v = sqrt (x pow 2 + y pow 2 + z pow 2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !v e1 e2 e3 x y z. orthonormal e1 e2 e3 /\ v = x % e1 + y % e2 + z % e3 ==> x = v dot e1 /\ y = v dot e2 /\ z = v dot e3
% Assm: !v e1 e2 e3. orthonormal e1 e2 e3 ==> norm v = sqrt ((v dot e1) pow 2 + (v dot e2) pow 2 + (v dot e3) pow 2)
% Assm: T
% Goal: !v e1 e2 e3 x y z. orthonormal e1 e2 e3 /\ v = x % e1 + y % e2 + z % e3 ==> norm v = sqrt (x pow 2 + y pow 2 + z pow 2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(corthonormal, type, orthonormal : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFatugpdo_coordinatesu_lemma, axiom, ![V:cartrealn3,E1:cartrealn3,E2:cartrealn3,E3:cartrealn3,X:real,Y:real,Z:real]:(((orthonormal @ E1 @ E2 @ E3) & (V = (vectoru_add @ (r_ @ X @ E1) @ (vectoru_add @ (r_ @ Y @ E2) @ (r_ @ Z @ E3))))) => ((X = (dot @ V @ E1)) & (Y = (dot @ V @ E2)) & (Z = (dot @ V @ E3))))).
thf(aFatugpdo_normu_lemma1, axiom, ![V:cartrealn3,E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) => ((vectoru_norm @ V) = (sqrt @ (realu_add @ (realu_pow @ (dot @ V @ E1) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_add @ (realu_pow @ (dot @ V @ E2) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (dot @ V @ E3) @ (numeral @ (bit0 @ (bit1 @ u_0)))))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:cartrealn3,E1:cartrealn3,E2:cartrealn3,E3:cartrealn3,X:real,Y:real,Z:real]:(((orthonormal @ E1 @ E2 @ E3) & (V = (vectoru_add @ (r_ @ X @ E1) @ (vectoru_add @ (r_ @ Y @ E2) @ (r_ @ Z @ E3))))) => ((vectoru_norm @ V) = (sqrt @ (realu_add @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_add @ (realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ Z @ (numeral @ (bit0 @ (bit1 @ u_0)))))))))).
