%   ORIGINAL: Hrxefdm_tame.CHOICE_CONST_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CHOICE: !s. CHOICE s = (@x. x IN s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Goal: !f s. (!x y. x IN s /\ y IN s ==> f x = f y) ==> (!x. x IN s ==> f x = f (CHOICE s))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. CHOICE s = (@x. x IN s)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Goal: !f s. (!x y. x IN s /\ y IN s ==> f x = f y) ==> (!x. x IN s ==> f x = f (CHOICE s))
%  TYPES
thf(ta, type, a : $tType).
thf(tq2210917, type, q2210917 : $tType).
thf(tb, type, b : $tType).
thf(tq2210921, type, q2210921 : $tType).
%  CONSTS
thf(cin, type, in : (q2210921 > (q2210921 > $o) > $o)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(chu_, type, h_ : ((q2210921 > $o) > q2210921)).
thf(cchoice, type, choice : ((q2210921 > $o) > q2210921)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q2210917),G:(a > q2210917)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCHOICE, axiom, ![S:(q2210921 > $o)]:((choice @ S) = (h_ @ ^[X:q2210921]:(in @ X @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q2210921 > q2210917),S:(q2210921 > $o)]:(![X:q2210921,Y:q2210921]:(((in @ X @ S) & (in @ Y @ S)) => ((F @ X) = (F @ Y))) => ![X:q2210921]:((in @ X @ S) => ((F @ X) = (F @ (choice @ S)))))).
