%   ORIGINAL: Hrxefdm_tame.scriptL_lemma
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Hypermap_and_fan.NODE_SET_AS_IMAGE: !V E. FAN (vec 0,V,E) ==> (?f. (!v w. f v = f w ==> v = w) /\ (!v x. x IN f v ==> FST x = v) /\ (!v. FST (CHOICE (f v)) = v) /\ node_set (hypermap_of_fan (V,E)) = IMAGE f V)
% Assm: SUM_IMAGE: !f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> sum (IMAGE f s) g = sum s (g o f)
% Assm: TRUTH: T
% Assm: Tame_defs.h_dart: !x. h_dart x = norm (FST x) / &2
% Assm: Tame_defs.scriptL: !V. scriptL V = sum V (\v. lmfun (norm v / &2))
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !V E. FAN (vec 0,V,E) ==> scriptL V = sum (node_set (hypermap_of_fan (V,E))) (\n. lmfun (h_dart (CHOICE n)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !V E. FAN (vec 0,V,E) ==> (?f. (!v w. f v = f w ==> v = w) /\ (!v x. x IN f v ==> FST x = v) /\ (!v. FST (CHOICE (f v)) = v) /\ node_set (hypermap_of_fan (V,E)) = IMAGE f V)
% Assm: !f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> sum (IMAGE f s) g = sum s (g o f)
% Assm: T
% Assm: !x. h_dart x = norm (FST x) / &2
% Assm: !V. scriptL V = sum V (\v. lmfun (norm v / &2))
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !V E. FAN (vec 0,V,E) ==> scriptL V = sum (node_set (hypermap_of_fan (V,E))) (\n. lmfun (h_dart (CHOICE n)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(thypermapprodcartrealn3cartrealn3, type, hypermapprodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(chypermapuu_ofuu_fan, type, hypermapu_ofu_fan : (prodfuncartrealn3boolfunfuncartrealn3boolbool > hypermapprodcartrealn3cartrealn3)).
thf(csum1, type, sum1 : ((cartrealn3 > $o) > (cartrealn3 > real) > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(csum0, type, sum0 : ((real > $o) > (real > real) > real)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(cfst, type, fst : (prodcartrealn3cartrealn3 > cartrealn3)).
thf(cin, type, in : (prodcartrealn3cartrealn3 > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(chuu_dart, type, hu_dart : (prodcartrealn3cartrealn3 > real)).
thf(cnodeuu_set, type, nodeu_set : (hypermapprodcartrealn3cartrealn3 > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(csum, type, sum : (((prodcartrealn3cartrealn3 > $o) > $o) > ((prodcartrealn3cartrealn3 > $o) > real) > real)).
thf(cscriptl, type, scriptl : ((cartrealn3 > $o) > real)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(co0, type, o0 : ((b > real) > (a > b) > a > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(co, type, o : ((real > real) > (real > real) > real > real)).
thf(cimage0, type, image0 : ((real > real) > (real > $o) > real > $o)).
thf(cimage, type, image : ((cartrealn3 > prodcartrealn3cartrealn3 > $o) > (cartrealn3 > $o) > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cchoice, type, choice : ((prodcartrealn3cartrealn3 > $o) > prodcartrealn3cartrealn3)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cuu_0, type, u_0 : num).
thf(clmfun, type, lmfun : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHypermapu_andu_fano_NODEu_SETu_ASu_IMAGE, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) => ?[F:(cartrealn3 > prodcartrealn3cartrealn3 > $o)]:(![V0:cartrealn3,W:cartrealn3]:(((F @ V0) = (F @ W)) => (V0 = W)) & ![V0:cartrealn3,X:prodcartrealn3cartrealn3]:((in @ X @ (F @ V0)) => ((fst @ X) = V0)) & ![V0:cartrealn3]:((fst @ (choice @ (F @ V0))) = V0) & ((nodeu_set @ (hypermapu_ofu_fan @ (c_0 @ V @ E))) = (image @ F @ V))))).
thf(aSUMu_IMAGE, axiom, ![F:(real > real),G:(real > real),S:(real > $o)]:(![X:real,Y:real]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) => ((sum0 @ (image0 @ F @ S) @ G) = (sum0 @ S @ (o @ G @ F))))).
thf(aTRUTH, axiom, $true).
thf(aTameu_defso_hu_dart, axiom, ![X:prodcartrealn3cartrealn3]:((hu_dart @ X) = (realu_div @ (vectoru_norm @ (fst @ X)) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aTameu_defso_scriptL, axiom, ![V:(cartrealn3 > $o)]:((scriptl @ V) = (sum1 @ V @ ^[V0:cartrealn3]:(lmfun @ (realu_div @ (vectoru_norm @ V0) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
thf(aou_THM, axiom, ![F:(b > real),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) => ((scriptl @ V) = (sum @ (nodeu_set @ (hypermapu_ofu_fan @ (c_0 @ V @ E))) @ ^[N:(prodcartrealn3cartrealn3 > $o)]:(lmfun @ (hu_dart @ (choice @ N))))))).
