%   ORIGINAL: PAIR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FST: !x y. FST (x,y) = x
% Assm: PAIR_SURJECTIVE: !p. ?x y. p = x,y
% Assm: SND: !x y. SND (x,y) = y
% Assm: TRUTH: T
% Goal: !x. FST x,SND x = x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. FST (x,y) = x
% Assm: !p. ?x y. p = x,y
% Assm: !x y. SND (x,y) = y
% Assm: T
% Goal: !x. FST x,SND x = x
%  TYPES
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cfst, type, fst : (prodab > a)).
thf(ccu_, type, c_ : (a > b > prodab)).
thf(csnd, type, snd : (prodab > b)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > prodab),G:(a > prodab)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFST, axiom, ![X:a,Y:b]:((fst @ (c_ @ X @ Y)) = X)).
thf(aPAIRu_SURJECTIVE, axiom, ![P:prodab]:?[X:a,Y:b]:(P = (c_ @ X @ Y))).
thf(aSND, axiom, ![X:a,Y:b]:((snd @ (c_ @ X @ Y)) = Y)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:prodab]:((c_ @ (fst @ X) @ (snd @ X)) = X)).
