%   ORIGINAL: WF_UREC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: TRUTH: T
% Assm: WF_IND: WF (<<) <=> (!P. (!x. (!y. y << x ==> P y) ==> P x) ==> (!x. P x))
% Goal: WF (<<) ==> (!H. (!f g x. (!z. z << x ==> f z = g z) ==> H f x = H g x) ==> (!f g. (!x. f x = H f x) /\ (!x. g x = H g x) ==> f = g))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: T
% Assm: !(<<). WF (<<) <=> (!P. (!x. (!y. y << x ==> P y) ==> P x) ==> (!x. P x))
% Goal: !(<<). WF (<<) ==> (!H. (!f g x. (!z. z << x ==> f z = g z) ==> H f x = H g x) ==> (!f g. (!x. f x = H f x) /\ (!x. g x = H g x) ==> f = g))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cwf, type, wf : ((a > a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aTRUTH, axiom, $true).
thf(aWFu_IND, axiom, ![L_L_:(a > a > $o)]:((wf @ L_L_) <=> ![P:(a > $o)]:(![X:a]:(![Y:a]:((L_L_ @ Y @ X) => (P @ Y)) => (P @ X)) => ![X:a]:(P @ X)))).
thf(conjecture, conjecture, ![L_L_:(a > a > $o)]:((wf @ L_L_) => ![H:((a > b) > a > b)]:(![F:(a > b),G:(a > b),X:a]:(![Z:a]:((L_L_ @ Z @ X) => ((F @ Z) = (G @ Z))) => ((H @ F @ X) = (H @ G @ X))) => ![F:(a > b),G:(a > b)]:((![X:a]:((F @ X) = (H @ F @ X)) & ![X:a]:((G @ X) = (H @ G @ X))) => (F = G))))).
