%   ORIGINAL: ARITH_GE_conjunct4
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct1: _0 <= _0 <=> T
% Assm: ARITH_LE_conjunct2: !n. BIT0 n <= _0 <=> n <= _0
% Assm: ARITH_LE_conjunct3: !n. BIT1 n <= _0 <=> F
% Assm: ARITH_LE_conjunct4: !n. _0 <= BIT0 n <=> T
% Assm: ARITH_LE_conjunct5: !n. _0 <= BIT1 n <=> T
% Assm: ARITH_LE_conjunct6: !m n. BIT0 m <= BIT0 n <=> m <= n
% Assm: ARITH_LE_conjunct7: !m n. BIT0 m <= BIT1 n <=> m <= n
% Assm: ARITH_LE_conjunct8: !m n. BIT1 m <= BIT0 n <=> m < n
% Assm: ARITH_LE_conjunct9: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: GE: !n m. m >= n <=> n <= m
% Assm: GT: !n m. m > n <=> n < m
% Assm: TRUTH: T
% Goal: !n. BIT0 n >= _0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: _0 <= _0 <=> T
% Assm: !n. BIT0 n <= _0 <=> n <= _0
% Assm: !n. BIT1 n <= _0 <=> F
% Assm: !n. _0 <= BIT0 n <=> T
% Assm: !n. _0 <= BIT1 n <=> T
% Assm: !m n. BIT0 m <= BIT0 n <=> m <= n
% Assm: !m n. BIT0 m <= BIT1 n <=> m <= n
% Assm: !m n. BIT1 m <= BIT0 n <=> m < n
% Assm: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: !n m. m >= n <=> n <= m
% Assm: !n m. m > n <=> n < m
% Assm: T
% Goal: !n. BIT0 n >= _0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cgu_, type, g_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct1, axiom, ((l_a_ @ u_0 @ u_0) <=> $true)).
thf(aARITHu_LEu_conjunct2, axiom, ![N:num]:((l_a_ @ (bit0 @ N) @ u_0) <=> (l_a_ @ N @ u_0))).
thf(aARITHu_LEu_conjunct3, axiom, ![N:num]:((l_a_ @ (bit1 @ N) @ u_0) <=> $false)).
thf(aARITHu_LEu_conjunct4, axiom, ![N:num]:((l_a_ @ u_0 @ (bit0 @ N)) <=> $true)).
thf(aARITHu_LEu_conjunct5, axiom, ![N:num]:((l_a_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_LEu_conjunct6, axiom, ![M:num,N:num]:((l_a_ @ (bit0 @ M) @ (bit0 @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct7, axiom, ![M:num,N:num]:((l_a_ @ (bit0 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct8, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit0 @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LEu_conjunct9, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aGE, axiom, ![N:num,M:num]:((g_a_ @ M @ N) <=> (l_a_ @ N @ M))).
thf(aGT, axiom, ![N:num,M:num]:((g_ @ M @ N) <=> (l_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num]:(g_a_ @ (bit0 @ N) @ u_0)).
