%   ORIGINAL: MAP_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ALL_conjunct0: ALL P [] <=> T
% Assm: ALL_conjunct1: ALL P (CONS h t) <=> P h /\ ALL P t
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: MAP_conjunct0: !f. MAP f [] = []
% Assm: MAP_conjunct1: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !f g l. ALL (\x. f x = g x) l ==> MAP f l = MAP g l
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !P. ALL P [] <=> T
% Assm: !h P t. ALL P (CONS h t) <=> P h /\ ALL P t
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !f. MAP f [] = []
% Assm: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: ~F <=> T
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !f g l. ALL (\x. f x = g x) l ==> MAP f l = MAP g l
%  TYPES
thf(tlistq19232, type, listq19232 : $tType).
thf(tlistq19221, type, listq19221 : $tType).
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
thf(tq19232, type, q19232 : $tType).
thf(tq19221, type, q19221 : $tType).
%  CONSTS
thf(ci0, type, i0 : (q19232 > q19232)).
thf(ci, type, i : (listq19232 > listq19232)).
thf(call, type, all : ((q19221 > $o) > listq19221 > $o)).
thf(ccons1, type, cons1 : (a > lista > lista)).
thf(ccons0, type, cons0 : (q19232 > listq19232 > listq19232)).
thf(ccons, type, cons : (q19221 > listq19221 > listq19221)).
thf(cmap, type, map : ((q19221 > q19232) > listq19221 > listq19232)).
thf(cnil1, type, nil1 : lista).
thf(cnil0, type, nil0 : listq19232).
thf(cnil, type, nil : listq19221).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > listq19232),G:(a > listq19232)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > q19232),G:(a > q19232)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aALLu_conjunct0, axiom, ![P:(q19221 > $o)]:((all @ P @ nil) <=> $true)).
thf(aALLu_conjunct1, axiom, ![H:q19221,P:(q19221 > $o),T:listq19221]:((all @ P @ (cons @ H @ T)) <=> ((P @ H) & (all @ P @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > listq19232),G:(a > listq19232)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > q19232),G:(a > q19232)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:listq19232]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:q19232]:((i0 @ X) = X)).
thf(aMAPu_conjunct0, axiom, ![F:(q19221 > q19232)]:((map @ F @ nil) = nil0)).
thf(aMAPu_conjunct1, axiom, ![F:(q19221 > q19232),H:q19221,T:listq19221]:((map @ F @ (cons @ H @ T)) = (cons0 @ (F @ H) @ (map @ F @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil1) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons1 @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(conjecture, conjecture, ![F:(q19221 > q19232),G:(q19221 > q19232),L:listq19221]:((all @ ^[X:q19221]:((F @ X) = (G @ X)) @ L) => ((map @ F @ L) = (map @ G @ L)))).
