%   ORIGINAL: MEM_ASSOC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ASSOC: ASSOC a (CONS h t) = (if FST h = a then SND h else ASSOC a t)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: FST: !x y. FST (x,y) = x
% Assm: I_THM: !x. I x = x
% Assm: MAP_conjunct0: !f. MAP f [] = []
% Assm: MAP_conjunct1: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: MEM_conjunct0: MEM x [] <=> F
% Assm: MEM_conjunct1: MEM x (CONS h t) <=> x = h \/ MEM x t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PAIR: !x. FST x,SND x = x
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !l x. MEM (x,ASSOC x l) l <=> MEM x (MAP FST l)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !h a t. ASSOC a (CONS h t) = (if FST h = a then SND h else ASSOC a t)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !x y. FST (x,y) = x
% Assm: !x. I x <=> x
% Assm: !f. MAP f [] = []
% Assm: !f h t. MAP f (CONS h t) = CONS (f h) (MAP f t)
% Assm: !x. MEM x [] <=> F
% Assm: !x. MEM x [] <=> F
% Assm: !h x t. MEM x (CONS h t) <=> x = h \/ MEM x t
% Assm: !h x t. MEM x (CONS h t) <=> x = h \/ MEM x t
% Assm: ~F <=> T
% Assm: !x. FST x,SND x = x
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Goal: !l x. MEM (x,ASSOC x l) l <=> MEM x (MAP FST l)
%  TYPES
thf(tlista, type, lista : $tType).
thf(tprodq20052q20036, type, prodq20052q20036 : $tType).
thf(tq20052, type, q20052 : $tType).
thf(ta, type, a : $tType).
thf(tq20036, type, q20036 : $tType).
thf(tlistq20052, type, listq20052 : $tType).
thf(tlistprodq20052q20036, type, listprodq20052q20036 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodq20052q20036).
thf(cfst, type, fst : (prodq20052q20036 > q20052)).
thf(cmem0, type, mem0 : (q20052 > listq20052 > $o)).
thf(cmem, type, mem : (prodq20052q20036 > listprodq20052q20036 > $o)).
thf(ccons1, type, cons1 : (a > lista > lista)).
thf(ccons0, type, cons0 : (q20052 > listq20052 > listq20052)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > q20036 > q20036 > q20036)).
thf(ccons, type, cons : (prodq20052q20036 > listprodq20052q20036 > listprodq20052q20036)).
thf(cmap, type, map : ((prodq20052q20036 > q20052) > listprodq20052q20036 > listq20052)).
thf(ccu_, type, c_ : (q20052 > q20036 > prodq20052q20036)).
thf(ci, type, i : ($o > $o)).
thf(cassoc, type, assoc : (q20052 > listprodq20052q20036 > q20036)).
thf(cnil0, type, nil0 : listq20052).
thf(cnil1, type, nil1 : lista).
thf(csnd, type, snd : (prodq20052q20036 > q20036)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aASSOC, axiom, ![H:prodq20052q20036,A:q20052,T:listprodq20052q20036]:((assoc @ A @ (cons @ H @ T)) = (cond @ ((fst @ H) = A) @ (snd @ H) @ (assoc @ A @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aFST, axiom, ![X:q20052,Y:q20036]:((fst @ (c_ @ X @ Y)) = X)).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aMAPu_conjunct0, axiom, ![F:(prodq20052q20036 > q20052)]:((map @ F @ nil) = nil0)).
thf(aMAPu_conjunct1, axiom, ![F:(prodq20052q20036 > q20052),H:prodq20052q20036,T:listprodq20052q20036]:((map @ F @ (cons @ H @ T)) = (cons0 @ (F @ H) @ (map @ F @ T)))).
thf(aMEMu_conjunct0u_monomorphized1, axiom, ![X:prodq20052q20036]:((mem @ X @ nil) <=> $false)).
thf(aMEMu_conjunct0u_monomorphized0, axiom, ![X:q20052]:((mem0 @ X @ nil0) <=> $false)).
thf(aMEMu_conjunct1u_monomorphized1, axiom, ![H:prodq20052q20036,X:prodq20052q20036,T:listprodq20052q20036]:((mem @ X @ (cons @ H @ T)) <=> ((X = H) | (mem @ X @ T)))).
thf(aMEMu_conjunct1u_monomorphized0, axiom, ![H:q20052,X:q20052,T:listq20052]:((mem0 @ X @ (cons0 @ H @ T)) <=> ((X = H) | (mem0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPAIR, axiom, ![X:prodq20052q20036]:((c_ @ (fst @ X) @ (snd @ X)) = X)).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil1) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons1 @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(conjecture, conjecture, ![L:listprodq20052q20036,X:q20052]:((mem @ (c_ @ X @ (assoc @ X @ L)) @ L) <=> (mem0 @ X @ (map @ fst @ L)))).
