%   ORIGINAL: HREAL_LE_ADD_LCANCEL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HREAL_ADD_ASSOC: !x y z. hreal_add x (hreal_add y z) = hreal_add (hreal_add x y) z
% Assm: HREAL_EQ_ADD_LCANCEL: !m n p. hreal_add m n = hreal_add m p <=> n = p
% Assm: HREAL_LE_EXISTS_DEF: !m n. hreal_le m n <=> (?d. n = hreal_add m d)
% Assm: TRUTH: T
% Goal: !m n p. hreal_le (hreal_add m n) (hreal_add m p) <=> hreal_le n p
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. hreal_add x (hreal_add y z) = hreal_add (hreal_add x y) z
% Assm: !m n p. hreal_add m n = hreal_add m p <=> n = p
% Assm: !m n. hreal_le m n <=> (?d. n = hreal_add m d)
% Assm: T
% Goal: !m n p. hreal_le (hreal_add m n) (hreal_add m p) <=> hreal_le n p
%  TYPES
thf(ta, type, a : $tType).
thf(threal, type, hreal : $tType).
%  CONSTS
thf(chrealuu_add, type, hrealu_add : (hreal > hreal > hreal)).
thf(chrealuu_le, type, hrealu_le : (hreal > hreal > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHREALu_ADDu_ASSOC, axiom, ![X:hreal,Y:hreal,Z:hreal]:((hrealu_add @ X @ (hrealu_add @ Y @ Z)) = (hrealu_add @ (hrealu_add @ X @ Y) @ Z))).
thf(aHREALu_EQu_ADDu_LCANCEL, axiom, ![M:hreal,N:hreal,P:hreal]:(((hrealu_add @ M @ N) = (hrealu_add @ M @ P)) <=> (N = P))).
thf(aHREALu_LEu_EXISTSu_DEF, axiom, ![M:hreal,N:hreal]:((hrealu_le @ M @ N) <=> ?[D:hreal]:(N = (hrealu_add @ M @ D)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:hreal,N:hreal,P:hreal]:((hrealu_le @ (hrealu_add @ M @ N) @ (hrealu_add @ M @ P)) <=> (hrealu_le @ N @ P))).
