%   ORIGINAL: CHOICE_DEF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CHOICE: !s. CHOICE s = (@x. x IN s)
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !s. ~(s = {}) ==> CHOICE s IN s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. CHOICE s = (@x. x IN s)
% Assm: (?) = (\P. P ((@) P))
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !s. ~(s = {}) ==> CHOICE s IN s
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(cchoice, type, choice : ((a > $o) > a)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCHOICE, axiom, ![S:(a > $o)]:((choice @ S) = (h_ @ ^[X:a]:(in @ X @ S)))).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o)]:(~ ((S = empty)) => (in @ (choice @ S) @ S))).
