%   ORIGINAL: SET_CASES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DECOMPOSITION: !s x. x IN s <=> (?t. s = x INSERT t /\ ~(x IN t))
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s. s = {} \/ (?x t. s = x INSERT t /\ ~(x IN t))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x. x IN s <=> (?t. s = x INSERT t /\ ~(x IN t))
% Assm: !t. (\x. t x) = t
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: T
% Goal: !s. s = {} \/ (?x t. s = x INSERT t /\ ~(x IN t))
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDECOMPOSITION, axiom, ![S:(a > $o),X:a]:((in @ X @ S) <=> ?[T:(a > $o)]:((S = (insert @ X @ T)) & ~ ((in @ X @ T))))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(a > $o)]:(?[X:a]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o)]:((S = empty) | ?[X:a,T:(a > $o)]:((S = (insert @ X @ T)) & ~ ((in @ X @ T))))).
