%   ORIGINAL: INSERT_AC_conjunct1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INSERT_INSERT: !x s. x INSERT x INSERT s = x INSERT s
% Assm: TRUTH: T
% Goal: x INSERT x INSERT s = x INSERT s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x s. x INSERT x INSERT s = x INSERT s
% Assm: T
% Goal: !s x. x INSERT x INSERT s = x INSERT s
%  TYPES
thf(ta, type, a : $tType).
thf(tq46289, type, q46289 : $tType).
%  CONSTS
thf(cinsert, type, insert : (q46289 > (q46289 > $o) > q46289 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q46289 > $o),G:(a > q46289 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINSERTu_INSERT, axiom, ![X:q46289,S:(q46289 > $o)]:((insert @ X @ (insert @ X @ S)) = (insert @ X @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(q46289 > $o),X:q46289]:((insert @ X @ (insert @ X @ S)) = (insert @ X @ S))).
