%   ORIGINAL: UNIONS_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !f t. UNIONS f SUBSET t <=> (!s. s IN f ==> s SUBSET t)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !f t. UNIONS f SUBSET t <=> (!s. s IN f ==> s SUBSET t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq47070, type, q47070 : $tType).
%  CONSTS
thf(cin1, type, in1 : (q47070 > (q47070 > $o) > $o)).
thf(cin0, type, in0 : (((q47070 > $o) > $o) > (((q47070 > $o) > $o) > $o) > $o)).
thf(cunions0, type, unions0 : ((((q47070 > $o) > $o) > $o) > (q47070 > $o) > $o)).
thf(cin, type, in : ((q47070 > $o) > ((q47070 > $o) > $o) > $o)).
thf(cunions, type, unions : (((q47070 > $o) > $o) > q47070 > $o)).
thf(csubset, type, subset : ((q47070 > $o) > (q47070 > $o) > $o)).
thf(ci, type, i : ($o > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:((q47070 > $o) > $o),X:(q47070 > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_UNIONS, axiom, ![S:(((q47070 > $o) > $o) > $o),X:(q47070 > $o)]:((in @ X @ (unions0 @ S)) <=> ?[T:((q47070 > $o) > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(q47070 > $o),T:(q47070 > $o)]:((subset @ S @ T) <=> ![X:q47070]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:((q47070 > $o) > $o),T:(q47070 > $o)]:((subset @ (unions @ F) @ T) <=> ![S:(q47070 > $o)]:((in @ S @ F) => (subset @ S @ T)))).
