%   ORIGINAL: FUN_IN_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s x. x IN s ==> f x IN IMAGE f s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: ~F <=> T
% Assm: T
% Goal: !f s x. x IN s ==> f x IN IMAGE f s
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq47903, type, q47903 : $tType).
thf(tq47907, type, q47907 : $tType).
%  CONSTS
thf(cin0, type, in0 : (q47907 > (q47907 > $o) > $o)).
thf(cin, type, in : (q47903 > (q47903 > $o) > $o)).
thf(cimage, type, image : ((q47903 > q47907) > (q47903 > $o) > q47907 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_monomorphized1, axiom, ![P:(q47907 > $o),X:q47907]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(q47903 > $o),X:q47903]:((in @ X @ P) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:q47907,S:(q47903 > $o),F:(q47903 > q47907)]:((in0 @ Y @ (image @ F @ S)) <=> ?[X:q47903]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q47903 > q47907),S:(q47903 > $o),X:q47903]:((in @ X @ S) => (in0 @ (F @ X) @ (image @ F @ S)))).
