%   ORIGINAL: UNIONS_GSPEC_conjunct2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !P f. UNIONS {f x y z | P x y z} = {a | ?x y z. P x y z /\ a IN f x y z}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: ~F <=> T
% Assm: T
% Goal: !P f. UNIONS {f x y z | P x y z} = {a | ?x y z. P x y z /\ a IN f x y z}
%  TYPES
thf(tq48770, type, q48770 : $tType).
thf(tq48771, type, q48771 : $tType).
thf(tq48772, type, q48772 : $tType).
thf(ta, type, a : $tType).
thf(tq48746, type, q48746 : $tType).
%  CONSTS
thf(cin0, type, in0 : ((q48746 > $o) > ((q48746 > $o) > $o) > $o)).
thf(cin, type, in : (q48746 > (q48746 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((q48746 > $o) > q48746 > $o)).
thf(cgspec, type, gspec : (((q48746 > $o) > $o) > (q48746 > $o) > $o)).
thf(cunions, type, unions : (((q48746 > $o) > $o) > q48746 > $o)).
thf(csetspec0, type, setspec0 : (q48746 > $o > q48746 > $o)).
thf(csetspec, type, setspec : ((q48746 > $o) > $o > (q48746 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q48746 > $o),G:(a > q48746 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(q48746 > $o)]:(^[X:q48746]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(q48746 > $o),T:(q48746 > $o)]:((S = T) <=> ![X:q48746]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > q48746 > $o) > $o),X:q48746]:((in @ X @ (gspec0 @ ^[V:q48746]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:q48746]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q48746 > $o),X:q48746]:((in @ X @ (gspec0 @ ^[V:q48746]:?[Y:q48746]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_UNIONS, axiom, ![S:((q48746 > $o) > $o),X:q48746]:((in @ X @ (unions @ S)) <=> ?[T:(q48746 > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(q48772 > q48771 > q48770 > $o),F:(q48772 > q48771 > q48770 > q48746 > $o)]:((unions @ (gspec @ ^[GENR_PVARR_32:(q48746 > $o)]:?[X:q48772,Y:q48771,Z:q48770]:(setspec @ GENR_PVARR_32 @ (P @ X @ Y @ Z) @ (F @ X @ Y @ Z)))) = (gspec0 @ ^[GENR_PVARR_33:q48746]:?[A:q48746]:(setspec0 @ GENR_PVARR_33 @ ?[X:q48772,Y:q48771,Z:q48770]:((P @ X @ Y @ Z) & (in @ A @ (F @ X @ Y @ Z))) @ A)))).
