%   ORIGINAL: HAS_SIZE_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_NUMSEG: !m n. CARD (m..n) = (n + 1) - m
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: TRUTH: T
% Goal: !m n. m..n HAS_SIZE (n + 1) - m
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. CARD (m..n) = (n + 1) - m
% Assm: !m n. FINITE (m..n)
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: T
% Goal: !m n. m..n HAS_SIZE (n + 1) - m
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cpu_, type, p_ : (num > num > num)).
thf(cmu_, type, m_ : (num > num > num)).
thf(chasuu_size, type, hasu_size : ((num > $o) > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(ccard, type, card : ((num > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_NUMSEG, axiom, ![M:num,N:num]:((card @ (o_o_ @ M @ N)) = (m_ @ (p_ @ N @ (numeral @ (bit1 @ u_0))) @ M))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aHASu_SIZE, axiom, ![S:(num > $o),N:num]:((hasu_size @ S @ N) <=> ((finite @ S) & ((card @ S) = N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:num,N:num]:(hasu_size @ (o_o_ @ M @ N) @ (m_ @ (p_ @ N @ (numeral @ (bit1 @ u_0))) @ M))).
