%   ORIGINAL: NSUM_RESTRICT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NSUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> nsum s f = nsum s g
% Assm: TRUTH: T
% Goal: !f s. FINITE s ==> nsum s (\x. if x IN s then f x else 0) = nsum s f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ~F <=> T
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> nsum s f = nsum s g
% Assm: T
% Goal: !f s. FINITE s ==> nsum s (\x. if x IN s then f x else 0) = nsum s f
%  TYPES
thf(tq67271, type, q67271 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cin, type, in : (q67271 > (q67271 > $o) > $o)).
thf(cnsum, type, nsum : ((q67271 > $o) > (q67271 > num) > num)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cfinite, type, finite : ((q67271 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNSUMu_EQ, axiom, ![F:(q67271 > num),G:(q67271 > num),S:(q67271 > $o)]:(![X:q67271]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((nsum @ S @ F) = (nsum @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(q67271 > num),S:(q67271 > $o)]:((finite @ S) => ((nsum @ S @ ^[X:q67271]:(cond @ (in @ X @ S) @ (F @ X) @ (numeral @ u_0))) = (nsum @ S @ F)))).
