%   ORIGINAL: CARD_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_CLAUSES_conjunct0: CARD {} = 0
% Assm: CARD_UNION_EQ: !s t u. FINITE u /\ s INTER t = {} /\ s UNION t = u ==> CARD s + CARD t = CARD u
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: EMPTY_UNIONS: !s. UNIONS s = {} <=> (!t. t IN s ==> t = {})
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: FINITE_UNION: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: FINITE_UNIONS: !s. FINITE (UNIONS s) <=> FINITE s /\ (!t. t IN s ==> FINITE t)
% Assm: INTER_UNIONS_conjunct1: !s t. t INTER UNIONS s = UNIONS {t INTER x | x IN s}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NSUM_CLAUSES_conjunct0: !f. nsum {} f = 0
% Assm: NSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> nsum (x INSERT s) f = (if x IN s then nsum s f else f x + nsum s f)
% Assm: TRUTH: T
% Assm: UNIONS_0: UNIONS {} = {}
% Assm: UNIONS_INSERT: UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !s. FINITE s /\ (!t. t IN s ==> FINITE t) /\ (!t u. t IN s /\ u IN s /\ ~(t = u) ==> t INTER u = {}) ==> CARD (UNIONS s) = nsum s CARD
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD {} = 0
% Assm: !s t u. FINITE u /\ s INTER t = {} /\ s UNION t = u ==> CARD s + CARD t = CARD u
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !s. UNIONS s = {} <=> (!t. t IN s ==> t = {})
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: !s t. FINITE (s UNION t) <=> FINITE s /\ FINITE t
% Assm: !s. FINITE (UNIONS s) <=> FINITE s /\ (!t. t IN s ==> FINITE t)
% Assm: !s t. t INTER UNIONS s = UNIONS {t INTER x | x IN s}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !f. nsum {} f = 0
% Assm: !x f s. FINITE s ==> nsum (x INSERT s) f = (if x IN s then nsum s f else f x + nsum s f)
% Assm: T
% Assm: UNIONS {} = {}
% Assm: !s u. UNIONS (s INSERT u) = s UNION UNIONS u
% Goal: !s. FINITE s /\ (!t. t IN s ==> FINITE t) /\ (!t u. t IN s /\ u IN s /\ ~(t = u) ==> t INTER u = {}) ==> CARD (UNIONS s) = nsum s CARD
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cnsum, type, nsum : (((a > $o) > $o) > ((a > $o) > num) > num)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(cin, type, in : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cinsert0, type, insert0 : ((a > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(cunion0, type, union0 : (((a > $o) > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(ccond0, type, cond0 : ($o > (a > $o) > (a > $o) > a > $o)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cempty0, type, empty0 : ((a > $o) > $o)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cfinite, type, finite : (((a > $o) > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_CLAUSESu_conjunct0, axiom, ((card @ empty) = (numeral @ u_0))).
thf(aCARDu_UNIONu_EQ, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((finite0 @ U) & ((inter @ S @ T) = empty) & ((union @ S @ T) = U)) => ((p_ @ (card @ S) @ (card @ T)) = (card @ U)))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:num,T2:num]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:(a > $o),T2:(a > $o)]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aEMPTYu_UNIONS, axiom, ![S:((a > $o) > $o)]:(((unions @ S) = empty) <=> ![T:(a > $o)]:((in @ T @ S) => (T = empty)))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((a > $o) > $o)]:(((P @ empty) & ![X:a,S:(a > $o)]:(((P @ S) & ~ ((in0 @ X @ S)) & (finite0 @ S)) => (P @ (insert @ X @ S)))) => ![S:(a > $o)]:((finite0 @ S) => (P @ S)))).
thf(aFINITEu_UNIONu_monomorphized1, axiom, ![S:((a > $o) > $o),T:((a > $o) > $o)]:((finite @ (union0 @ S @ T)) <=> ((finite @ S) & (finite @ T)))).
thf(aFINITEu_UNIONu_monomorphized0, axiom, ![S:(a > $o),T:(a > $o)]:((finite0 @ (union @ S @ T)) <=> ((finite0 @ S) & (finite0 @ T)))).
thf(aFINITEu_UNIONS, axiom, ![S:((a > $o) > $o)]:((finite0 @ (unions @ S)) <=> ((finite @ S) & ![T:(a > $o)]:((in @ T @ S) => (finite0 @ T))))).
thf(aINTERu_UNIONSu_conjunct1, axiom, ![S:((a > $o) > $o),T:(a > $o)]:((inter @ T @ (unions @ S)) = (unions @ (gspec @ ^[GENR_PVARR_9:(a > $o)]:?[X:(a > $o)]:(setspec @ GENR_PVARR_9 @ (in @ X @ S) @ (inter @ T @ X)))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (a > $o) > $o) > $o),X:(a > $o)]:((in @ X @ (gspec @ ^[V:(a > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(a > $o)]:(P0 & (X = T))))).
thf(aINu_INSERT, axiom, ![X:(a > $o),Y:(a > $o),S:((a > $o) > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:(a > $o)]:~ ((in @ X @ empty0))).
thf(aNSUMu_CLAUSESu_conjunct0, axiom, ![F:((a > $o) > num)]:((nsum @ empty0 @ F) = (numeral @ u_0))).
thf(aNSUMu_CLAUSESu_conjunct1, axiom, ![X:(a > $o),F:((a > $o) > num),S:((a > $o) > $o)]:((finite @ S) => ((nsum @ (insert0 @ X @ S) @ F) = (cond @ (in @ X @ S) @ (nsum @ S @ F) @ (p_ @ (F @ X) @ (nsum @ S @ F)))))).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_0, axiom, ((unions @ empty0) = empty)).
thf(aUNIONSu_INSERT, axiom, ![S:(a > $o),U:((a > $o) > $o)]:((unions @ (insert0 @ S @ U)) = (union @ S @ (unions @ U)))).
thf(conjecture, conjecture, ![S:((a > $o) > $o)]:(((finite @ S) & ![T:(a > $o)]:((in @ T @ S) => (finite0 @ T)) & ![T:(a > $o),U:(a > $o)]:(((in @ T @ S) & (in @ U @ S) & ~ ((T = U))) => ((inter @ T @ U) = empty))) => ((card @ (unions @ S)) = (nsum @ S @ card)))).
