%   ORIGINAL: RECURSION_CASEWISE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CASEWISE_WORKS: !clauses c. (!s t s' t' x y. MEM (s,t) clauses /\ MEM (s',t') clauses /\ s x = s' y ==> t c x = t' c y) ==> ALL (\(s,t). !x. CASEWISE clauses c (s x) = t c x) clauses
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: WF_REC_CASES': !(<<) clauses. WF (<<) /\ ALL (\(s,t). tailadmissible (<<) (\f a. T) s t) clauses ==> (?f. !x. f x = CASEWISE clauses f x)
% Goal: !clauses. (?(<<). WF (<<) /\ ALL (\(s,t). tailadmissible (<<) (\f a. T) s t) clauses) /\ (!s t s' t' f x y. MEM (s,t) clauses /\ MEM (s',t') clauses ==> s x = s' y ==> t f x = t' f y) ==> (?f. ALL (\(s,t). !x. f (s x) = t f x) clauses)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !clauses c. (!s t s' t' x y. MEM (s,t) clauses /\ MEM (s',t') clauses /\ s x = s' y ==> t c x = t' c y) ==> ALL (\(s,t). !x. CASEWISE clauses c (s x) = t c x) clauses
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !(<<) clauses. WF (<<) /\ ALL (\(s,t). tailadmissible (<<) (\f a. T) s t) clauses ==> (?f. !x. f x = CASEWISE clauses f x)
% Goal: !clauses. (?(<<). WF (<<) /\ ALL (\(s,t). tailadmissible (<<) (\f a. T) s t) clauses) /\ (!s t s' t' f x y. MEM (s,t) clauses /\ MEM (s',t') clauses ==> s x = s' y ==> t f x = t' f y) ==> (?f. ALL (\(s,t). !x. f (s x) = t f x) clauses)
%  TYPES
thf(tp, type, p : $tType).
thf(tfunpb, type, funpb : $tType).
thf(tfunpa, type, funpa : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tfunfunabfunpb, type, funfunabfunpb : $tType).
thf(tfunab, type, funab : $tType).
thf(tlistprodfunpafunfunabfunpb, type, listprodfunpafunfunabfunpb : $tType).
thf(tprodfunpafunfunabfunpb, type, prodfunpafunfunabfunpb : $tType).
%  CONSTS
thf(cmem, type, mem : (prodfunpafunfunabfunpb > listprodfunpafunfunabfunpb > $o)).
thf(cgeq, type, geq : ($o > $o > $o)).
thf(cgabs, type, gabs : (((prodfunpafunfunabfunpb > $o) > $o) > prodfunpafunfunabfunpb > $o)).
thf(call, type, all : ((prodfunpafunfunabfunpb > $o) > listprodfunpafunfunabfunpb > $o)).
thf(ccasewise, type, casewise : (listprodfunpafunfunabfunpb > (a > b) > a > b)).
thf(ctailadmissible, type, tailadmissible : ((a > a > $o) > ((a > b) > p > $o) > (p > a) > ((a > b) > p > b) > $o)).
thf(ccu_, type, c_ : ((p > a) > ((a > b) > p > b) > prodfunpafunfunabfunpb)).
thf(cwf, type, wf : ((a > a > $o) > $o)).
thf(ci0, type, i0 : (a > a)).
thf(ci, type, i : (b > b)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCASEWISEu_WORKS, axiom, ![CLAUSES:listprodfunpafunfunabfunpb,C:(a > b)]:(![S:(p > a),T:((a > b) > p > b),SI_:(p > a),TI_:((a > b) > p > b),X:p,Y:p]:(((mem @ (c_ @ S @ T) @ CLAUSES) & (mem @ (c_ @ SI_ @ TI_) @ CLAUSES) & ((S @ X) = (SI_ @ Y))) => ((T @ C @ X) = (TI_ @ C @ Y))) => (all @ (gabs @ ^[F:(prodfunpafunfunabfunpb > $o)]:![S:(p > a),T:((a > b) > p > b)]:(geq @ (F @ (c_ @ S @ T)) @ ![X:p]:((casewise @ CLAUSES @ C @ (S @ X)) = (T @ C @ X)))) @ CLAUSES))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:b]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:a]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aWFu_RECu_CASESi_, axiom, ![L_L_:(a > a > $o),CLAUSES:listprodfunpafunfunabfunpb]:(((wf @ L_L_) & (all @ (gabs @ ^[F:(prodfunpafunfunabfunpb > $o)]:![S:(p > a),T:((a > b) > p > b)]:(geq @ (F @ (c_ @ S @ T)) @ (tailadmissible @ L_L_ @ ^[F0:(a > b),A:p]:$true @ S @ T))) @ CLAUSES)) => ?[F:(a > b)]:![X:a]:((F @ X) = (casewise @ CLAUSES @ F @ X)))).
thf(conjecture, conjecture, ![CLAUSES:listprodfunpafunfunabfunpb]:((?[L_L_:(a > a > $o)]:((wf @ L_L_) & (all @ (gabs @ ^[F:(prodfunpafunfunabfunpb > $o)]:![S:(p > a),T:((a > b) > p > b)]:(geq @ (F @ (c_ @ S @ T)) @ (tailadmissible @ L_L_ @ ^[F0:(a > b),A:p]:$true @ S @ T))) @ CLAUSES)) & ![S:(p > a),T:((a > b) > p > b),SI_:(p > a),TI_:((a > b) > p > b),F:(a > b),X:p,Y:p]:(((mem @ (c_ @ S @ T) @ CLAUSES) & (mem @ (c_ @ SI_ @ TI_) @ CLAUSES)) => (((S @ X) = (SI_ @ Y)) => ((T @ F @ X) = (TI_ @ F @ Y))))) => ?[F:(a > b)]:(all @ (gabs @ ^[F0:(prodfunpafunfunabfunpb > $o)]:![S:(p > a),T:((a > b) > p > b)]:(geq @ (F0 @ (c_ @ S @ T)) @ ![X:p]:((F @ (S @ X)) = (T @ F @ X)))) @ CLAUSES))).
