%   ORIGINAL: WOSET_FLEQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: POSET_FLEQ: !l. poset l ==> (!x. fl l x <=> l (x,x))
% Assm: TRUTH: T
% Assm: WOSET_POSET: !l. woset l ==> poset l
% Goal: !l. woset l ==> (!x. fl l x <=> l (x,x))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !l. poset l ==> (!x. fl l x <=> l (x,x))
% Assm: T
% Assm: !l. woset l ==> poset l
% Goal: !l. woset l ==> (!x. fl l x <=> l (x,x))
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cfl, type, fl : ((prodaa > $o) > a > $o)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(ci, type, i : ($o > $o)).
thf(cposet, type, poset : ((prodaa > $o) > $o)).
thf(cwoset, type, woset : ((prodaa > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIu_THM, axiom, ![X:$o]:((i @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPOSETu_FLEQ, axiom, ![L:(prodaa > $o)]:((poset @ L) => ![X:a]:((fl @ L @ X) <=> (L @ (c_ @ X @ X))))).
thf(aTRUTH, axiom, $true).
thf(aWOSETu_POSET, axiom, ![L:(prodaa > $o)]:((woset @ L) => (poset @ L))).
thf(conjecture, conjecture, ![L:(prodaa > $o)]:((woset @ L) => ![X:a]:((fl @ L @ X) <=> (L @ (c_ @ X @ X))))).
