%   ORIGINAL: FLATTEN_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: (!x. x IN s ==> g (f x) = x) <=> (!y x. x IN s /\ y = f x ==> g y = x)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Goal: !g f s. (!x. x IN s ==> g (f x) = x) <=> (!y x. x IN s /\ y = f x ==> g y = x)
%  TYPES
thf(tq86382, type, q86382 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq86385, type, q86385 : $tType).
%  CONSTS
thf(cin, type, in : (q86382 > (q86382 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > q86385),G:(a > q86385)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > q86382),G:(a > q86382)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![G:(q86385 > q86382),F:(q86382 > q86385),S:(q86382 > $o)]:(![X:q86382]:((in @ X @ S) => ((G @ (F @ X)) = X)) <=> ![Y:q86385,X:q86382]:(((in @ X @ S) & (Y = (F @ X))) => ((G @ Y) = X)))).
