%   ORIGINAL: CARD_EQ_SYM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BIJECTIVE_INVERSES: (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?!x. x IN s /\ f x = y)) <=> (!x. x IN s ==> f x IN t) /\ (?g. (!y. y IN t ==> g y IN s) /\ (!y. y IN t ==> f (g y) = y) /\ (!x. x IN s ==> g (f x) = x))
% Assm: TRUTH: T
% Assm: eq_c: !t s. s =_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?!x. x IN s /\ f x = y)))
% Goal: !s t. s =_c t <=> t =_c s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t s f. (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?x. x IN s /\ (f x <=> y)) /\ (!x x'. (x IN s /\ (f x <=> y)) /\ x' IN s /\ (f x' <=> y) ==> (x <=> x'))) <=> (!x. x IN s ==> f x IN t) /\ (?g. (!y. y IN t ==> g y IN s) /\ (!y. y IN t ==> (f (g y) <=> y)) /\ (!x. x IN s ==> (g (f x) <=> x)))
% Assm: T
% Assm: !t s. s =_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?x. x IN s /\ f x = y) /\ (!x x'. (x IN s /\ f x = y) /\ x' IN s /\ f x' = y ==> x = x')))
% Assm: !t s. s =_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?x. x IN s /\ f x = y) /\ (!x x'. (x IN s /\ f x = y) /\ x' IN s /\ f x' = y ==> x = x')))
% Goal: !s t. s =_c t <=> t =_c s
%  TYPES
thf(ta, type, a : $tType).
thf(tq87098, type, q87098 : $tType).
thf(tq87099, type, q87099 : $tType).
%  CONSTS
thf(cin1, type, in1 : (q87099 > (q87099 > $o) > $o)).
thf(cin0, type, in0 : (q87098 > (q87098 > $o) > $o)).
thf(cin, type, in : ($o > ($o > $o) > $o)).
thf(cau_uu_c0, type, a_u_c0 : ((q87099 > $o) > (q87098 > $o) > $o)).
thf(cau_uu_c, type, a_u_c : ((q87098 > $o) > (q87099 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBIJECTIVEu_INVERSES, axiom, ![T:($o > $o),S:($o > $o),F:($o > $o)]:((![X:$o]:((in @ X @ S) => (in @ (F @ X) @ T)) & ![Y:$o]:((in @ Y @ T) => (?[X:$o]:((in @ X @ S) & ((F @ X) <=> Y)) & ![X:$o,XI_:$o]:(((in @ X @ S) & ((F @ X) <=> Y) & (in @ XI_ @ S) & ((F @ XI_) <=> Y)) => (X <=> XI_))))) <=> (![X:$o]:((in @ X @ S) => (in @ (F @ X) @ T)) & ?[G:($o > $o)]:(![Y:$o]:((in @ Y @ T) => (in @ (G @ Y) @ S)) & ![Y:$o]:((in @ Y @ T) => ((F @ (G @ Y)) <=> Y)) & ![X:$o]:((in @ X @ S) => ((G @ (F @ X)) <=> X)))))).
thf(aTRUTH, axiom, $true).
thf(aequ_cu_monomorphized1, axiom, ![T:(q87099 > $o),S:(q87098 > $o)]:((a_u_c @ S @ T) <=> ?[F:(q87098 > q87099)]:(![X:q87098]:((in0 @ X @ S) => (in1 @ (F @ X) @ T)) & ![Y:q87099]:((in1 @ Y @ T) => (?[X:q87098]:((in0 @ X @ S) & ((F @ X) = Y)) & ![X:q87098,XI_:q87098]:(((in0 @ X @ S) & ((F @ X) = Y) & (in0 @ XI_ @ S) & ((F @ XI_) = Y)) => (X = XI_))))))).
thf(aequ_cu_monomorphized0, axiom, ![T:(q87098 > $o),S:(q87099 > $o)]:((a_u_c0 @ S @ T) <=> ?[F:(q87099 > q87098)]:(![X:q87099]:((in1 @ X @ S) => (in0 @ (F @ X) @ T)) & ![Y:q87098]:((in0 @ Y @ T) => (?[X:q87099]:((in1 @ X @ S) & ((F @ X) = Y)) & ![X:q87099,XI_:q87099]:(((in1 @ X @ S) & ((F @ X) = Y) & (in1 @ XI_ @ S) & ((F @ XI_) = Y)) => (X = XI_))))))).
thf(conjecture, conjecture, ![S:(q87098 > $o),T:(q87099 > $o)]:((a_u_c @ S @ T) <=> (a_u_c0 @ T @ S))).
