%   ORIGINAL: CARD_LE_ANTISYM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BIJECTIVE_INVERSES: (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?!x. x IN s /\ f x = y)) <=> (!x. x IN s ==> f x IN t) /\ (?g. (!y. y IN t ==> g y IN s) /\ (!y. y IN t ==> f (g y) = y) /\ (!x. x IN s ==> g (f x) = x))
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_EQ_EMPTY: !s. s =_c {} <=> s = {}
% Assm: CARD_EQ_IMP_LE: !s t. s =_c t ==> s <=_c t
% Assm: CARD_EQ_SYM: !s t. s =_c t <=> t =_c s
% Assm: CARD_LE_EMPTY: !s. s <=_c {} <=> s = {}
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: INJECTIVE_LEFT_INVERSE_NONEMPTY: (?x. x IN s) ==> ((!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) <=> (?g. (!y. y IN t ==> g y IN s) /\ (!x. x IN s ==> g (f x) = x)))
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TARSKI_SET: !f. (!s t. s SUBSET t ==> f s SUBSET f t) ==> (?s. f s = s)
% Assm: TRUTH: T
% Assm: eq_c: !t s. s =_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?!x. x IN s /\ f x = y)))
% Assm: le_c: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Goal: !s t. s <=_c t /\ t <=_c s <=> s =_c t
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t s f. (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?x. x IN s /\ (f x <=> y)) /\ (!x x'. (x IN s /\ (f x <=> y)) /\ x' IN s /\ (f x' <=> y) ==> (x <=> x'))) <=> (!x. x IN s ==> f x IN t) /\ (?g. (!y. y IN t ==> g y IN s) /\ (!y. y IN t ==> (f (g y) <=> y)) /\ (!x. x IN s ==> (g (f x) <=> x)))
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. s =_c {} <=> s = {}
% Assm: !s t. s =_c t ==> s <=_c t
% Assm: !s t. s =_c t <=> t =_c s
% Assm: !s. s <=_c {} <=> s = {}
% Assm: !s. s <=_c {} <=> s = {}
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !t s f. (?x. x IN s) ==> ((!x y. x IN s /\ y IN s /\ (f x <=> f y) ==> (x <=> y)) <=> (?g. (!y. y IN t ==> g y IN s) /\ (!x. x IN s ==> (g (f x) <=> x))))
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. (y <=> f x) /\ x IN s)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !f. (!s t. s SUBSET t ==> f s SUBSET f t) ==> (?s. f s = s)
% Assm: T
% Assm: !t s. s =_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!y. y IN t ==> (?x. x IN s /\ f x = y) /\ (!x x'. (x IN s /\ f x = y) /\ x' IN s /\ f x' = y ==> x = x')))
% Assm: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Goal: !s t. s <=_c t /\ t <=_c s <=> s =_c t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cempty, type, empty : (b > $o)).
thf(cin1, type, in1 : (b > (b > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cau_uu_c0, type, a_u_c0 : ((b > $o) > (a > $o) > $o)).
thf(cin, type, in : ($o > ($o > $o) > $o)).
thf(cau_uu_c, type, a_u_c : ((a > $o) > (b > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((b > $o) > (a > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((a > $o) > (b > $o) > $o)).
thf(cimage, type, image : ((a > $o) > (a > $o) > $o > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > $o > $o > $o)).
thf(cempty0, type, empty0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBIJECTIVEu_INVERSES, axiom, ![T:($o > $o),S:($o > $o),F:($o > $o)]:((![X:$o]:((in @ X @ S) => (in @ (F @ X) @ T)) & ![Y:$o]:((in @ Y @ T) => (?[X:$o]:((in @ X @ S) & ((F @ X) <=> Y)) & ![X:$o,XI_:$o]:(((in @ X @ S) & ((F @ X) <=> Y) & (in @ XI_ @ S) & ((F @ XI_) <=> Y)) => (X <=> XI_))))) <=> (![X:$o]:((in @ X @ S) => (in @ (F @ X) @ T)) & ?[G:($o > $o)]:(![Y:$o]:((in @ Y @ T) => (in @ (G @ Y) @ S)) & ![Y:$o]:((in @ Y @ T) => ((F @ (G @ Y)) <=> Y)) & ![X:$o]:((in @ X @ S) => ((G @ (F @ X)) <=> X)))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_EQu_EMPTY, axiom, ![S:(a > $o)]:((a_u_c @ S @ empty) <=> (S = empty0))).
thf(aCARDu_EQu_IMPu_LE, axiom, ![S:(a > $o),T:(b > $o)]:((a_u_c @ S @ T) => (l_a_u_c @ S @ T))).
thf(aCARDu_EQu_SYM, axiom, ![S:(a > $o),T:(b > $o)]:((a_u_c @ S @ T) <=> (a_u_c0 @ T @ S))).
thf(aCARDu_LEu_EMPTYu_monomorphized1, axiom, ![S:(b > $o)]:((l_a_u_c0 @ S @ empty0) <=> (S = empty))).
thf(aCARDu_LEu_EMPTYu_monomorphized0, axiom, ![S:(a > $o)]:((l_a_u_c @ S @ empty) <=> (S = empty0))).
thf(aCONDu_CLAUSES, axiom, ![T1:$o,T2:$o]:(((cond @ $true @ T1 @ T2) <=> T1) & ((cond @ $false @ T1 @ T2) <=> T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aINJECTIVEu_LEFTu_INVERSEu_NONEMPTY, axiom, ![T:($o > $o),S:($o > $o),F:($o > $o)]:(?[X:$o]:(in @ X @ S) => (![X:$o,Y:$o]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) <=> (F @ Y))) => (X <=> Y)) <=> ?[G:($o > $o)]:(![Y:$o]:((in @ Y @ T) => (in @ (G @ Y) @ S)) & ![X:$o]:((in @ X @ S) => ((G @ (F @ X)) <=> X)))))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_IMAGE, axiom, ![Y:$o,S:(a > $o),F:(a > $o)]:((in @ Y @ (image @ F @ S)) <=> ?[X:a]:((Y <=> (F @ X)) & (in0 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in0 @ X @ empty0))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTARSKIu_SET, axiom, ![F:((a > $o) > a > $o)]:(![S:(a > $o),T:(a > $o)]:((subset @ S @ T) => (subset @ (F @ S) @ (F @ T))) => ?[S:(a > $o)]:((F @ S) = S))).
thf(aTRUTH, axiom, $true).
thf(aequ_c, axiom, ![T:(b > $o),S:(a > $o)]:((a_u_c @ S @ T) <=> ?[F:(a > b)]:(![X:a]:((in0 @ X @ S) => (in1 @ (F @ X) @ T)) & ![Y:b]:((in1 @ Y @ T) => (?[X:a]:((in0 @ X @ S) & ((F @ X) = Y)) & ![X:a,XI_:a]:(((in0 @ X @ S) & ((F @ X) = Y) & (in0 @ XI_ @ S) & ((F @ XI_) = Y)) => (X = XI_))))))).
thf(aleu_cu_monomorphized1, axiom, ![T:(b > $o),S:(a > $o)]:((l_a_u_c @ S @ T) <=> ?[F:(a > b)]:(![X:a]:((in0 @ X @ S) => (in1 @ (F @ X) @ T)) & ![X:a,Y:a]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aleu_cu_monomorphized0, axiom, ![T:(a > $o),S:(b > $o)]:((l_a_u_c0 @ S @ T) <=> ?[F:(b > a)]:(![X:b]:((in1 @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:b,Y:b]:(((in1 @ X @ S) & (in1 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(conjecture, conjecture, ![S:(a > $o),T:(b > $o)]:(((l_a_u_c @ S @ T) & (l_a_u_c0 @ T @ S)) <=> (a_u_c @ S @ T))).
