%   ORIGINAL: CARD_LE_TOTAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FORALL_PAIR_THM: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct3: !p x. {y | p y} x <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: UNIONS: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Assm: ZL_SUBSETS_UNIONS: !P. (!c. (!x. x IN c ==> P x) /\ (!x y. x IN c /\ y IN c ==> x SUBSET y \/ y SUBSET x) ==> P (UNIONS c)) ==> (?a. P a /\ (!x. P x /\ a SUBSET x ==> a = x))
% Assm: le_c: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !s t. s <=_c t \/ t <=_c s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a = b
% Assm: !P x. x IN P <=> P x
% Assm: !p x. {y | p y} x <=> p x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !P x. P x ==> P ((@) P)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Assm: !P. (!c. (!x. x IN c ==> P x) /\ (!x y. x IN c /\ y IN c ==> x SUBSET y \/ y SUBSET x) ==> P (UNIONS c)) ==> (?a. P a /\ (!x. P x /\ a SUBSET x ==> a = x))
% Assm: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: !t s. s <=_c t <=> (?f. (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y))
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !s t. s <=_c t \/ t <=_c s
%  TYPES
thf(tq4497, type, q4497 : $tType).
thf(tq4498, type, q4498 : $tType).
thf(tq43908, type, q43908 : $tType).
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tprodq4498q4497, type, prodq4498q4497 : $tType).
%  CONSTS
thf(cin1, type, in1 : (b > (b > $o) > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(cunions, type, unions : (((a > $o) > $o) > a > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cgspec, type, gspec : ((q43908 > $o) > q43908 > $o)).
thf(cgeq, type, geq : (a > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((b > $o) > (a > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((a > $o) > (b > $o) > $o)).
thf(ccu_0, type, c_0 : (a > b > prodab)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(csetspec, type, setspec : (q43908 > $o > q43908 > $o)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(cgabs, type, gabs : ((a > $o) > a)).
thf(ccu_, type, c_ : (q4498 > q4497 > prodq4498q4497)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFORALLu_PAIRu_THM, axiom, ![P:(prodq4498q4497 > $o)]:(![P0:prodq4498q4497]:(P @ P0) <=> ![P1:q4498,P2:q4497]:(P @ (c_ @ P1 @ P2)))).
thf(aGABSu_DEF, axiom, ![P:(a > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:a,B:a]:((geq @ A @ B) <=> (A = B))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct3, axiom, ![P:(q43908 > $o),X:q43908]:((gspec @ ^[V:q43908]:?[Y:q43908]:(setspec @ V @ (P @ Y) @ Y) @ X) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_ @ P)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONS, axiom, ![S:((a > $o) > $o)]:((unions @ S) = (gspec0 @ ^[GENR_PVARR_1:a]:?[X:a]:(setspec0 @ GENR_PVARR_1 @ ?[U:(a > $o)]:((in0 @ U @ S) & (in @ X @ U)) @ X)))).
thf(aZLu_SUBSETSu_UNIONS, axiom, ![P:((a > $o) > $o)]:(![C:((a > $o) > $o)]:((![X:(a > $o)]:((in0 @ X @ C) => (P @ X)) & ![X:(a > $o),Y:(a > $o)]:(((in0 @ X @ C) & (in0 @ Y @ C)) => ((subset @ X @ Y) | (subset @ Y @ X)))) => (P @ (unions @ C))) => ?[A:(a > $o)]:((P @ A) & ![X:(a > $o)]:(((P @ X) & (subset @ A @ X)) => (A = X))))).
thf(aleu_cu_monomorphized1, axiom, ![T:(b > $o),S:(a > $o)]:((l_a_u_c @ S @ T) <=> ?[F:(a > b)]:(![X:a]:((in @ X @ S) => (in1 @ (F @ X) @ T)) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aleu_cu_monomorphized0, axiom, ![T:(a > $o),S:(b > $o)]:((l_a_u_c0 @ S @ T) <=> ?[F:(b > a)]:(![X:b]:((in1 @ X @ S) => (in @ (F @ X) @ T)) & ![X:b,Y:b]:(((in1 @ X @ S) & (in1 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(apairu_RECURSION, axiom, ![PAIRI_:(a > b > c)]:?[FN:(prodab > c)]:![A0:a,A1:b]:((FN @ (c_0 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![S:(a > $o),T:(b > $o)]:((l_a_u_c @ S @ T) | (l_a_u_c0 @ T @ S))).
