%   ORIGINAL: CARD_LE_LT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_EQ_SYM: !s t. s =_c t <=> t =_c s
% Assm: CARD_LT_LE: !s t. s <_c t <=> s <=_c t /\ ~(s =_c t)
% Assm: CARD_NOT_LE: !s t. ~(s <=_c t) <=> t <_c s
% Assm: CARD_NOT_LT: !s t. ~(s <_c t) <=> t <=_c s
% Assm: TRUTH: T
% Goal: !s t. s <=_c t <=> s <_c t \/ s =_c t
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s =_c t <=> t =_c s
% Assm: !s t. s <_c t <=> s <=_c t /\ ~(s =_c t)
% Assm: !s t. ~(s <=_c t) <=> t <_c s
% Assm: !s t. ~(s <_c t) <=> t <=_c s
% Assm: T
% Goal: !s t. s <=_c t <=> s <_c t \/ s =_c t
%  TYPES
thf(ta, type, a : $tType).
thf(tq87740, type, q87740 : $tType).
thf(tq87741, type, q87741 : $tType).
%  CONSTS
thf(clu_au_uu_c0, type, l_a_u_c0 : ((q87741 > $o) > (q87740 > $o) > $o)).
thf(clu_uu_c0, type, l_u_c0 : ((q87741 > $o) > (q87740 > $o) > $o)).
thf(cau_uu_c0, type, a_u_c0 : ((q87741 > $o) > (q87740 > $o) > $o)).
thf(cau_uu_c, type, a_u_c : ((q87740 > $o) > (q87741 > $o) > $o)).
thf(clu_uu_c, type, l_u_c : ((q87740 > $o) > (q87741 > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((q87740 > $o) > (q87741 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_EQu_SYM, axiom, ![S:(q87740 > $o),T:(q87741 > $o)]:((a_u_c @ S @ T) <=> (a_u_c0 @ T @ S))).
thf(aCARDu_LTu_LE, axiom, ![S:(q87740 > $o),T:(q87741 > $o)]:((l_u_c @ S @ T) <=> ((l_a_u_c @ S @ T) & ~ ((a_u_c @ S @ T))))).
thf(aCARDu_NOTu_LE, axiom, ![S:(q87740 > $o),T:(q87741 > $o)]:(~ ((l_a_u_c @ S @ T)) <=> (l_u_c0 @ T @ S))).
thf(aCARDu_NOTu_LT, axiom, ![S:(q87740 > $o),T:(q87741 > $o)]:(~ ((l_u_c @ S @ T)) <=> (l_a_u_c0 @ T @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(q87740 > $o),T:(q87741 > $o)]:((l_a_u_c @ S @ T) <=> ((l_u_c @ S @ T) | (a_u_c @ S @ T)))).
