%   ORIGINAL: CARD_ADD_ABSORB_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_ADD_LE_MUL_INFINITE: !s. INFINITE s ==> s +_c s <=_c s *_c s
% Assm: CARD_EQ_IMP_LE: !s t. s =_c t ==> s <=_c t
% Assm: CARD_LE_ADD: !s s' t t'. s <=_c s' /\ t <=_c t' ==> s +_c t <=_c s' +_c t'
% Assm: CARD_LE_REFL: !s. s <=_c s
% Assm: CARD_LE_TRANS: !s t u. s <=_c t /\ t <=_c u ==> s <=_c u
% Assm: CARD_SQUARE_INFINITE: !k. INFINITE k ==> k *_c k =_c k
% Assm: TRUTH: T
% Goal: !s t. INFINITE t /\ s <=_c t ==> s +_c t <=_c t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. INFINITE s ==> s +_c s <=_c s *_c s
% Assm: !s t. s =_c t ==> s <=_c t
% Assm: !s t. s =_c t ==> s <=_c t
% Assm: !s s' t t'. s <=_c s' /\ t <=_c t' ==> s +_c t <=_c s' +_c t'
% Assm: !s s' t t'. s <=_c s' /\ t <=_c t' ==> s +_c t <=_c s' +_c t'
% Assm: !s s' t t'. s <=_c s' /\ t <=_c t' ==> s +_c t <=_c s' +_c t'
% Assm: !s s' t t'. s <=_c s' /\ t <=_c t' ==> s +_c t <=_c s' +_c t'
% Assm: !s. s <=_c s
% Assm: !s t u. s <=_c t /\ t <=_c u ==> s <=_c u
% Assm: !s t u. s <=_c t /\ t <=_c u ==> s <=_c u
% Assm: !k. INFINITE k ==> k *_c k =_c k
% Assm: T
% Goal: !s t. INFINITE t /\ s <=_c t ==> s +_c t <=_c t
%  TYPES
thf(ta, type, a : $tType).
thf(tprodbb, type, prodbb : $tType).
thf(tb, type, b : $tType).
thf(tsumbb, type, sumbb : $tType).
thf(tsumsumaba, type, sumsumaba : $tType).
thf(tsumab, type, sumab : $tType).
thf(tsumaa, type, sumaa : $tType).
thf(tsumasumab, type, sumasumab : $tType).
thf(tsumsumabsumab, type, sumsumabsumab : $tType).
%  CONSTS
thf(cau_uu_c1, type, a_u_c1 : ((prodbb > $o) > (b > $o) > $o)).
thf(clu_au_uu_c7, type, l_a_u_c7 : ((b > $o) > (b > $o) > $o)).
thf(clu_au_uu_c6, type, l_a_u_c6 : ((a > $o) > (a > $o) > $o)).
thf(clu_au_uu_c5, type, l_a_u_c5 : ((sumaa > $o) > (sumbb > $o) > $o)).
thf(clu_au_uu_c4, type, l_a_u_c4 : ((sumasumab > $o) > (sumbb > $o) > $o)).
thf(clu_au_uu_c3, type, l_a_u_c3 : ((sumsumaba > $o) > (sumbb > $o) > $o)).
thf(clu_au_uu_c2, type, l_a_u_c2 : ((sumsumabsumab > $o) > (sumbb > $o) > $o)).
thf(cau_uu_c0, type, a_u_c0 : ((a > $o) > (b > $o) > $o)).
thf(cau_uu_c, type, a_u_c : ((sumab > $o) > (b > $o) > $o)).
thf(clu_au_uu_c1, type, l_a_u_c1 : ((sumbb > $o) > (prodbb > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((sumab > $o) > (b > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((a > $o) > (b > $o) > $o)).
thf(cpu_uu_c4, type, p_u_c4 : ((a > $o) > (a > $o) > sumaa > $o)).
thf(cpu_uu_c3, type, p_u_c3 : ((a > $o) > (sumab > $o) > sumasumab > $o)).
thf(cpu_uu_c2, type, p_u_c2 : ((sumab > $o) > (a > $o) > sumsumaba > $o)).
thf(cpu_uu_c1, type, p_u_c1 : ((sumab > $o) > (sumab > $o) > sumsumabsumab > $o)).
thf(ctu_uu_c, type, t_u_c : ((b > $o) > (b > $o) > prodbb > $o)).
thf(cpu_uu_c0, type, p_u_c0 : ((b > $o) > (b > $o) > sumbb > $o)).
thf(cpu_uu_c, type, p_u_c : ((a > $o) > (b > $o) > sumab > $o)).
thf(cinfinite, type, infinite : ((b > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_ADDu_LEu_MULu_INFINITE, axiom, ![S:(b > $o)]:((infinite @ S) => (l_a_u_c1 @ (p_u_c0 @ S @ S) @ (t_u_c @ S @ S)))).
thf(aCARDu_EQu_IMPu_LEu_monomorphized1, axiom, ![S:(sumab > $o),T:(b > $o)]:((a_u_c @ S @ T) => (l_a_u_c0 @ S @ T))).
thf(aCARDu_EQu_IMPu_LEu_monomorphized0, axiom, ![S:(a > $o),T:(b > $o)]:((a_u_c0 @ S @ T) => (l_a_u_c @ S @ T))).
thf(aCARDu_LEu_ADDu_monomorphized3, axiom, ![S:(sumab > $o),SI_:(b > $o),T:(sumab > $o),TI_:(b > $o)]:(((l_a_u_c0 @ S @ SI_) & (l_a_u_c0 @ T @ TI_)) => (l_a_u_c2 @ (p_u_c1 @ S @ T) @ (p_u_c0 @ SI_ @ TI_)))).
thf(aCARDu_LEu_ADDu_monomorphized2, axiom, ![S:(sumab > $o),SI_:(b > $o),T:(a > $o),TI_:(b > $o)]:(((l_a_u_c0 @ S @ SI_) & (l_a_u_c @ T @ TI_)) => (l_a_u_c3 @ (p_u_c2 @ S @ T) @ (p_u_c0 @ SI_ @ TI_)))).
thf(aCARDu_LEu_ADDu_monomorphized1, axiom, ![S:(a > $o),SI_:(b > $o),T:(sumab > $o),TI_:(b > $o)]:(((l_a_u_c @ S @ SI_) & (l_a_u_c0 @ T @ TI_)) => (l_a_u_c4 @ (p_u_c3 @ S @ T) @ (p_u_c0 @ SI_ @ TI_)))).
thf(aCARDu_LEu_ADDu_monomorphized0, axiom, ![S:(a > $o),SI_:(b > $o),T:(a > $o),TI_:(b > $o)]:(((l_a_u_c @ S @ SI_) & (l_a_u_c @ T @ TI_)) => (l_a_u_c5 @ (p_u_c4 @ S @ T) @ (p_u_c0 @ SI_ @ TI_)))).
thf(aCARDu_LEu_REFL, axiom, ![S:(a > $o)]:(l_a_u_c6 @ S @ S)).
thf(aCARDu_LEu_TRANSu_monomorphized1, axiom, ![S:(sumab > $o),T:(b > $o),U:(b > $o)]:(((l_a_u_c0 @ S @ T) & (l_a_u_c7 @ T @ U)) => (l_a_u_c0 @ S @ U))).
thf(aCARDu_LEu_TRANSu_monomorphized0, axiom, ![S:(a > $o),T:(b > $o),U:(b > $o)]:(((l_a_u_c @ S @ T) & (l_a_u_c7 @ T @ U)) => (l_a_u_c @ S @ U))).
thf(aCARDu_SQUAREu_INFINITE, axiom, ![K:(b > $o)]:((infinite @ K) => (a_u_c1 @ (t_u_c @ K @ K) @ K))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),T:(b > $o)]:(((infinite @ T) & (l_a_u_c @ S @ T)) => (l_a_u_c0 @ (p_u_c @ S @ T) @ T))).
