%   ORIGINAL: COUNTABLE_CROSS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_MUL2_ABSORB_LE: !s t u. INFINITE u /\ s <=_c u /\ t <=_c u ==> s *_c t <=_c u
% Assm: COUNTABLE: !t. COUNTABLE t <=> (:num) >=_c t
% Assm: CROSS: !s t. s CROSS t = {x,y | x IN s /\ y IN t}
% Assm: TRUTH: T
% Assm: ge_c: !t s. s >=_c t <=> t <=_c s
% Assm: mul_c: !s t. s *_c t = {x,y | x IN s /\ y IN t}
% Assm: num_INFINITE: INFINITE (:num)
% Goal: !s t. COUNTABLE s /\ COUNTABLE t ==> COUNTABLE (s CROSS t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t u. INFINITE u /\ s <=_c u /\ t <=_c u ==> s *_c t <=_c u
% Assm: !t. COUNTABLE t <=> (:num) >=_c t
% Assm: !t. COUNTABLE t <=> (:num) >=_c t
% Assm: !t. COUNTABLE t <=> (:num) >=_c t
% Assm: !s t. s CROSS t = {x,y | x IN s /\ y IN t}
% Assm: T
% Assm: !t s. s >=_c t <=> t <=_c s
% Assm: !s t. s *_c t = {x,y | x IN s /\ y IN t}
% Assm: INFINITE (:num)
% Goal: !s t. COUNTABLE s /\ COUNTABLE t ==> COUNTABLE (s CROSS t)
%  TYPES
thf(tq91579, type, q91579 : $tType).
thf(tnum, type, num : $tType).
thf(tq59279, type, q59279 : $tType).
thf(tprodab, type, prodab : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tprodq91579q91581, type, prodq91579q91581 : $tType).
thf(tq88663, type, q88663 : $tType).
thf(tq88664, type, q88664 : $tType).
thf(tprodq88664q88663, type, prodq88664q88663 : $tType).
thf(tq91581, type, q91581 : $tType).
thf(tq59280, type, q59280 : $tType).
%  CONSTS
thf(cin2, type, in2 : (q88663 > (q88663 > $o) > $o)).
thf(cin1, type, in1 : (q88664 > (q88664 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((prodq88664q88663 > $o) > prodq88664q88663 > $o)).
thf(clu_au_uu_c2, type, l_a_u_c2 : ((q59279 > $o) > (q59280 > $o) > $o)).
thf(cgu_au_uu_c2, type, g_a_u_c2 : ((q59280 > $o) > (q59279 > $o) > $o)).
thf(cin0, type, in0 : (q91581 > (q91581 > $o) > $o)).
thf(cin, type, in : (q91579 > (q91579 > $o) > $o)).
thf(cgspec, type, gspec : ((prodq91579q91581 > $o) > prodq91579q91581 > $o)).
thf(cgu_au_uu_c1, type, g_a_u_c1 : ((num > $o) > (q91579 > $o) > $o)).
thf(cgu_au_uu_c0, type, g_a_u_c0 : ((num > $o) > (q91581 > $o) > $o)).
thf(cgu_au_uu_c, type, g_a_u_c : ((num > $o) > (prodq91579q91581 > $o) > $o)).
thf(clu_au_uu_c1, type, l_a_u_c1 : ((prodab > $o) > (c > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((b > $o) > (c > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((a > $o) > (c > $o) > $o)).
thf(ccu_0, type, c_0 : (q88664 > q88663 > prodq88664q88663)).
thf(csetspec0, type, setspec0 : (prodq88664q88663 > $o > prodq88664q88663 > $o)).
thf(ctu_uu_c0, type, t_u_c0 : ((q88664 > $o) > (q88663 > $o) > prodq88664q88663 > $o)).
thf(ccu_, type, c_ : (q91579 > q91581 > prodq91579q91581)).
thf(csetspec, type, setspec : (prodq91579q91581 > $o > prodq91579q91581 > $o)).
thf(ctu_uu_c, type, t_u_c : ((a > $o) > (b > $o) > prodab > $o)).
thf(ccross, type, cross : ((q91579 > $o) > (q91581 > $o) > prodq91579q91581 > $o)).
thf(cuniv, type, univ : (num > $o)).
thf(cinfinite0, type, infinite0 : ((num > $o) > $o)).
thf(cinfinite, type, infinite : ((c > $o) > $o)).
thf(ccountable1, type, countable1 : ((prodq91579q91581 > $o) > $o)).
thf(ccountable0, type, countable0 : ((q91581 > $o) > $o)).
thf(ccountable, type, countable : ((q91579 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_MUL2u_ABSORBu_LE, axiom, ![S:(a > $o),T:(b > $o),U:(c > $o)]:(((infinite @ U) & (l_a_u_c @ S @ U) & (l_a_u_c0 @ T @ U)) => (l_a_u_c1 @ (t_u_c @ S @ T) @ U))).
thf(aCOUNTABLEu_monomorphized2, axiom, ![T:(prodq91579q91581 > $o)]:((countable1 @ T) <=> (g_a_u_c @ univ @ T))).
thf(aCOUNTABLEu_monomorphized1, axiom, ![T:(q91581 > $o)]:((countable0 @ T) <=> (g_a_u_c0 @ univ @ T))).
thf(aCOUNTABLEu_monomorphized0, axiom, ![T:(q91579 > $o)]:((countable @ T) <=> (g_a_u_c1 @ univ @ T))).
thf(aCROSS, axiom, ![S:(q91579 > $o),T:(q91581 > $o)]:((cross @ S @ T) = (gspec @ ^[GENR_PVARR_87:prodq91579q91581]:?[X:q91579,Y:q91581]:(setspec @ GENR_PVARR_87 @ ((in @ X @ S) & (in0 @ Y @ T)) @ (c_ @ X @ Y))))).
thf(aTRUTH, axiom, $true).
thf(ageu_c, axiom, ![T:(q59279 > $o),S:(q59280 > $o)]:((g_a_u_c2 @ S @ T) <=> (l_a_u_c2 @ T @ S))).
thf(amulu_c, axiom, ![S:(q88664 > $o),T:(q88663 > $o)]:((t_u_c0 @ S @ T) = (gspec0 @ ^[GENR_PVARR_219:prodq88664q88663]:?[X:q88664,Y:q88663]:(setspec0 @ GENR_PVARR_219 @ ((in1 @ X @ S) & (in2 @ Y @ T)) @ (c_0 @ X @ Y))))).
thf(anumu_INFINITE, axiom, (infinite0 @ univ)).
thf(conjecture, conjecture, ![S:(q91579 > $o),T:(q91581 > $o)]:(((countable @ S) & (countable0 @ T)) => (countable1 @ (cross @ S @ T)))).
