%   ORIGINAL: REAL_ABS_NORM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NORM_POS_LE: !x. &0 <= norm x
% Assm: TRUTH: T
% Assm: Trigonometry2.ABS_REFL: !x. abs x = x <=> &0 <= x
% Goal: !x. abs (norm x) = norm x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. &0 <= norm x
% Assm: T
% Assm: !x. abs x = x <=> &0 <= x
% Goal: !x. abs (norm x) = norm x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq100270, type, cartrealq100270 : $tType).
thf(tq100270, type, q100270 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq100270 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNORMu_POSu_LE, axiom, ![X:cartrealq100270]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ABSu_REFL, axiom, ![X:real]:(((realu_abs @ X) = X) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X))).
thf(conjecture, conjecture, ![X:cartrealq100270]:((realu_abs @ (vectoru_norm @ X)) = (vectoru_norm @ X))).
