%   ORIGINAL: VSUM_EQ_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: SUM_EQ_0: !f s. (!x. x IN s ==> f x = &0) ==> sum s f = &0
% Assm: TRUTH: T
% Assm: vec: !n. vec n = (lambda i. &n)
% Assm: vsum: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Goal: !f s. (!x. x IN s ==> f x = vec 0) ==> vsum s f = vec 0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:?103165) ==> x$i = y$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !f s. (!x. x IN s ==> f x = &0) ==> sum s f = &0
% Assm: T
% Assm: !n. vec n = (lambda i. &n)
% Assm: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Goal: !f s. (!x. x IN s ==> f x = vec 0) ==> vsum s f = vec 0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq103165, type, cartrealq103165 : $tType).
thf(tq103165, type, q103165 : $tType).
thf(tcartcartrealq103165b, type, cartcartrealq103165b : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealq103165)).
thf(cvec, type, vec : (num > cartrealq103165)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cdu_, type, d_ : (cartrealq103165 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clambda0, type, lambda0 : ((num > cartrealq103165) > cartcartrealq103165b)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdu_0, type, d_0 : (cartcartrealq103165b > num > cartrealq103165)).
thf(cvsum, type, vsum : ((a > $o) > (a > cartrealq103165) > cartrealq103165)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((q103165 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (q103165 > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq103165),G:(a > cartrealq103165)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealq103165,Y:cartrealq103165]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealq103165),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aSUMu_EQu_0, axiom, ![F:(a > real),S:(a > $o)]:(![X:a]:((in @ X @ S) => ((F @ X) = (realu_ofu_num @ (numeral @ u_0)))) => ((sum @ S @ F) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(avec, axiom, ![N:num]:((vec @ N) = (lambda1 @ ^[I:num]:(realu_ofu_num @ N)))).
thf(avsum, axiom, ![S:(a > $o),F:(a > cartrealq103165)]:((vsum @ S @ F) = (lambda1 @ ^[I:num]:(sum @ S @ ^[X:a]:(d_ @ (F @ X) @ I))))).
thf(conjecture, conjecture, ![F:(a > cartrealq103165),S:(a > $o)]:(![X:a]:((in @ X @ S) => ((F @ X) = (vec @ (numeral @ u_0)))) => ((vsum @ S @ F) = (vec @ (numeral @ u_0))))).
