%   ORIGINAL: VSUM_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: SUM_IMAGE: !f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> sum (IMAGE f s) g = sum s (g o f)
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: vsum: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Goal: !f g s. FINITE s /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> vsum (IMAGE f s) g = vsum s (g o f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:?103474) ==> x$i = y$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !f g s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> sum (IMAGE f s) g = sum s (g o f)
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Assm: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Goal: !f g s. FINITE s /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> vsum (IMAGE f s) g = vsum s (g o f)
%  TYPES
thf(tcartq103478b, type, cartq103478b : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq103474, type, cartrealq103474 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq103474, type, q103474 : $tType).
thf(tq103452, type, q103452 : $tType).
thf(tcartcartrealq103474b, type, cartcartrealq103474b : $tType).
thf(tq103478, type, q103478 : $tType).
thf(tcartq103452b, type, cartq103452b : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(cuniv, type, univ : (q103474 > $o)).
thf(clambda3, type, lambda3 : ((num > real) > cartrealq103474)).
thf(csum0, type, sum0 : ((q103478 > $o) > (q103478 > real) > real)).
thf(csum, type, sum : ((q103452 > $o) > (q103452 > real) > real)).
thf(cdu_, type, d_ : (cartrealq103474 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (q103478 > (q103478 > $o) > $o)).
thf(clambda2, type, lambda2 : ((num > q103452) > cartq103452b)).
thf(clambda1, type, lambda1 : ((num > q103478) > cartq103478b)).
thf(cdu_1, type, d_1 : (cartq103478b > num > q103478)).
thf(clambda0, type, lambda0 : ((num > cartrealq103474) > cartcartrealq103474b)).
thf(co0, type, o0 : ((q103452 > real) > (q103478 > q103452) > q103478 > real)).
thf(cdu_0, type, d_0 : (cartcartrealq103474b > num > cartrealq103474)).
thf(co, type, o : ((q103452 > cartrealq103474) > (q103478 > q103452) > q103478 > cartrealq103474)).
thf(cvsum0, type, vsum0 : ((q103478 > $o) > (q103478 > cartrealq103474) > cartrealq103474)).
thf(cimage, type, image : ((q103478 > q103452) > (q103478 > $o) > q103452 > $o)).
thf(cvsum, type, vsum : ((q103452 > $o) > (q103452 > cartrealq103474) > cartrealq103474)).
thf(cdu_2, type, d_2 : (cartq103452b > num > q103452)).
thf(cfinite, type, finite : ((q103478 > $o) > $o)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((q103474 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > cartrealq103474),G:(a > cartrealq103474)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > q103478),G:(a > q103478)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > q103452),G:(a > q103452)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealq103474,Y:cartrealq103474]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aLAMBDAu_BETAu_monomorphized2, axiom, ![G:(num > cartrealq103474),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > q103478),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_1 @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > q103452),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_2 @ (lambda2 @ G) @ I) = (G @ I)))).
thf(aSUMu_IMAGE, axiom, ![F:(q103478 > q103452),G:(q103452 > real),S:(q103478 > $o)]:(![X:q103478,Y:q103478]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)) => ((sum @ (image @ F @ S) @ G) = (sum0 @ S @ (o0 @ G @ F))))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(q103452 > cartrealq103474),G:(q103478 > q103452)]:((o @ F @ G) = ^[X:q103478]:(F @ (G @ X)))).
thf(avsumu_monomorphized1, axiom, ![S:(q103478 > $o),F:(q103478 > cartrealq103474)]:((vsum0 @ S @ F) = (lambda3 @ ^[I:num]:(sum0 @ S @ ^[X:q103478]:(d_ @ (F @ X) @ I))))).
thf(avsumu_monomorphized0, axiom, ![S:(q103452 > $o),F:(q103452 > cartrealq103474)]:((vsum @ S @ F) = (lambda3 @ ^[I:num]:(sum @ S @ ^[X:q103452]:(d_ @ (F @ X) @ I))))).
thf(conjecture, conjecture, ![F:(q103478 > q103452),G:(q103452 > cartrealq103474),S:(q103478 > $o)]:(((finite @ S) & ![X:q103478,Y:q103478]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))) => ((vsum @ (image @ F @ S) @ G) = (vsum0 @ S @ (o @ G @ F))))).
