%   ORIGINAL: VSUM_DIFF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: SUM_DIFF: !f s t. FINITE s /\ t SUBSET s ==> sum (s DIFF t) f = sum s f - sum t f
% Assm: TRUTH: T
% Assm: VECTOR_SUB_COMPONENT: !x y i. (x - y)$i = x$i - y$i
% Assm: vsum: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Goal: !f s t. FINITE s /\ t SUBSET s ==> vsum (s DIFF t) f = vsum s f - vsum t f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:?103572) ==> x$i = y$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !f s t. FINITE s /\ t SUBSET s ==> sum (s DIFF t) f = sum s f - sum t f
% Assm: T
% Assm: !x y i. (x - y)$i = x$i - y$i
% Assm: !s f. vsum s f = (lambda i. sum s (\x. f x$i))
% Goal: !f s t. FINITE s /\ t SUBSET s ==> vsum (s DIFF t) f = vsum s f - vsum t f
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq103572, type, cartrealq103572 : $tType).
thf(treal, type, real : $tType).
thf(tq103572, type, q103572 : $tType).
thf(tcartcartrealq103572b, type, cartcartrealq103572b : $tType).
thf(tq103547, type, q103547 : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(csum, type, sum : ((q103547 > $o) > (q103547 > real) > real)).
thf(cdu_, type, d_ : (cartrealq103572 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csubset, type, subset : ((q103547 > $o) > (q103547 > $o) > $o)).
thf(clambda0, type, lambda0 : ((num > cartrealq103572) > cartcartrealq103572b)).
thf(cdu_0, type, d_0 : (cartcartrealq103572b > num > cartrealq103572)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq103572 > cartrealq103572 > cartrealq103572)).
thf(cdiff, type, diff : ((q103547 > $o) > (q103547 > $o) > q103547 > $o)).
thf(cvsum, type, vsum : ((q103547 > $o) > (q103547 > cartrealq103572) > cartrealq103572)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealq103572)).
thf(cfinite, type, finite : ((q103547 > $o) > $o)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((q103572 > $o) > num)).
thf(cuniv, type, univ : (q103572 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq103572),G:(a > cartrealq103572)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealq103572,Y:cartrealq103572]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealq103572),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aSUMu_DIFF, axiom, ![F:(q103547 > real),S:(q103547 > $o),T:(q103547 > $o)]:(((finite @ S) & (subset @ T @ S)) => ((sum @ (diff @ S @ T) @ F) = (realu_sub @ (sum @ S @ F) @ (sum @ T @ F))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_COMPONENT, axiom, ![X:cartrealq103572,Y:cartrealq103572,I:num]:((d_ @ (vectoru_sub @ X @ Y) @ I) = (realu_sub @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(avsum, axiom, ![S:(q103547 > $o),F:(q103547 > cartrealq103572)]:((vsum @ S @ F) = (lambda1 @ ^[I:num]:(sum @ S @ ^[X:q103547]:(d_ @ (F @ X) @ I))))).
thf(conjecture, conjecture, ![F:(q103547 > cartrealq103572),S:(q103547 > $o),T:(q103547 > $o)]:(((finite @ S) & (subset @ T @ S)) => ((vsum @ (diff @ S @ T) @ F) = (vectoru_sub @ (vsum @ S @ F) @ (vsum @ T @ F))))).
