%   ORIGINAL: LINEAR_COMPOSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !f g. linear f /\ linear g ==> linear (g o f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !f g. linear f /\ linear g ==> linear (g o f)
%  TYPES
thf(tcartrealq109154, type, cartrealq109154 : $tType).
thf(tq109150, type, q109150 : $tType).
thf(tq109151, type, q109151 : $tType).
thf(ta, type, a : $tType).
thf(tq109154, type, q109154 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq109151, type, cartrealq109151 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq109150, type, cartrealq109150 : $tType).
%  CONSTS
thf(cru_1, type, r_1 : (real > cartrealq109150 > cartrealq109150)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealq109150 > cartrealq109150 > cartrealq109150)).
thf(cru_0, type, r_0 : (real > cartrealq109154 > cartrealq109154)).
thf(cru_, type, r_ : (real > cartrealq109151 > cartrealq109151)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq109154 > cartrealq109154 > cartrealq109154)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq109151 > cartrealq109151 > cartrealq109151)).
thf(co, type, o : ((cartrealq109151 > cartrealq109154) > (cartrealq109150 > cartrealq109151) > cartrealq109150 > cartrealq109154)).
thf(clinear1, type, linear1 : ((cartrealq109150 > cartrealq109154) > $o)).
thf(clinear0, type, linear0 : ((cartrealq109151 > cartrealq109154) > $o)).
thf(clinear, type, linear : ((cartrealq109150 > cartrealq109151) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(alinearu_monomorphized2, axiom, ![F:(cartrealq109151 > cartrealq109154)]:((linear0 @ F) <=> (![X:cartrealq109151,Y:cartrealq109151]:((F @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealq109151]:((F @ (r_ @ C @ X)) = (r_0 @ C @ (F @ X)))))).
thf(alinearu_monomorphized1, axiom, ![F:(cartrealq109150 > cartrealq109154)]:((linear1 @ F) <=> (![X:cartrealq109150,Y:cartrealq109150]:((F @ (vectoru_add1 @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealq109150]:((F @ (r_1 @ C @ X)) = (r_0 @ C @ (F @ X)))))).
thf(alinearu_monomorphized0, axiom, ![F:(cartrealq109150 > cartrealq109151)]:((linear @ F) <=> (![X:cartrealq109150,Y:cartrealq109150]:((F @ (vectoru_add1 @ X @ Y)) = (vectoru_add @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealq109150]:((F @ (r_1 @ C @ X)) = (r_ @ C @ (F @ X)))))).
thf(aou_THM, axiom, ![F:(cartrealq109151 > cartrealq109154),G:(cartrealq109150 > cartrealq109151),X:cartrealq109150]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealq109150 > cartrealq109151),G:(cartrealq109151 > cartrealq109154)]:(((linear @ F) & (linear0 @ G)) => (linear1 @ (o @ G @ F)))).
