%   ORIGINAL: EXISTS_DROP_FUN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_DROP_FUN: !P. (!f. P f) <=> (!f. P (drop o f))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !P. (?f. P f) <=> (?f. P (drop o f))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. (!f. P f) <=> (!f. P (drop o f))
% Assm: ~F <=> T
% Assm: T
% Goal: !P. (?f. P f) <=> (?f. P (drop o f))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(co, type, o : ((cartrealn1 > real) > (a > cartrealn1) > a > real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_DROPu_FUN, axiom, ![P:((a > real) > $o)]:(![F:(a > real)]:(P @ F) <=> ![F:(a > cartrealn1)]:(P @ (o @ drop @ F)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:((a > real) > $o)]:(?[F:(a > real)]:(P @ F) <=> ?[F:(a > cartrealn1)]:(P @ (o @ drop @ F)))).
