%   ORIGINAL: SUBSPACE_LINEAR_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: LINEAR_0: !f. linear f ==> f (vec 0) = vec 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: subspace: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !f s. linear f /\ subspace s ==> subspace (IMAGE f s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: !f. linear f ==> f (vec 0) = vec 0
% Assm: ~F <=> T
% Assm: T
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Assm: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Assm: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !f s. linear f /\ subspace s ==> subspace (IMAGE f s)
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq118833, type, cartrealq118833 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq118835, type, cartrealq118835 : $tType).
thf(treal, type, real : $tType).
thf(tq118833, type, q118833 : $tType).
thf(tq118835, type, q118835 : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealq118835 > (cartrealq118835 > $o) > $o)).
thf(cin, type, in : (cartrealq118833 > (cartrealq118833 > $o) > $o)).
thf(cru_0, type, r_0 : (real > cartrealq118833 > cartrealq118833)).
thf(cru_, type, r_ : (real > cartrealq118835 > cartrealq118835)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq118833 > cartrealq118833 > cartrealq118833)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq118835 > cartrealq118835 > cartrealq118835)).
thf(cimage, type, image : ((cartrealq118835 > cartrealq118833) > (cartrealq118835 > $o) > cartrealq118833 > $o)).
thf(csubspace0, type, subspace0 : ((cartrealq118833 > $o) > $o)).
thf(csubspace, type, subspace : ((cartrealq118835 > $o) > $o)).
thf(clinear, type, linear : ((cartrealq118835 > cartrealq118833) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cvec0, type, vec0 : (num > cartrealq118833)).
thf(cvec, type, vec : (num > cartrealq118835)).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealq118833 > $o),F:(cartrealq118835 > cartrealq118833),S:(cartrealq118835 > $o)]:(![Y:cartrealq118833]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealq118835]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aINu_IMAGE, axiom, ![Y:cartrealq118833,S:(cartrealq118835 > $o),F:(cartrealq118835 > cartrealq118833)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealq118835]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLINEARu_0, axiom, ![F:(cartrealq118835 > cartrealq118833)]:((linear @ F) => ((F @ (vec @ (numeral @ u_0))) = (vec0 @ (numeral @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(alinear, axiom, ![F:(cartrealq118835 > cartrealq118833)]:((linear @ F) <=> (![X:cartrealq118835,Y:cartrealq118835]:((F @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealq118835]:((F @ (r_ @ C @ X)) = (r_0 @ C @ (F @ X)))))).
thf(asubspaceu_monomorphized1, axiom, ![S:(cartrealq118835 > $o)]:((subspace @ S) <=> ((in0 @ (vec @ (numeral @ u_0)) @ S) & ![X:cartrealq118835,Y:cartrealq118835]:(((in0 @ X @ S) & (in0 @ Y @ S)) => (in0 @ (vectoru_add @ X @ Y) @ S)) & ![C:real,X:cartrealq118835]:((in0 @ X @ S) => (in0 @ (r_ @ C @ X) @ S))))).
thf(asubspaceu_monomorphized0, axiom, ![S:(cartrealq118833 > $o)]:((subspace0 @ S) <=> ((in @ (vec0 @ (numeral @ u_0)) @ S) & ![X:cartrealq118833,Y:cartrealq118833]:(((in @ X @ S) & (in @ Y @ S)) => (in @ (vectoru_add0 @ X @ Y) @ S)) & ![C:real,X:cartrealq118833]:((in @ X @ S) => (in @ (r_0 @ C @ X) @ S))))).
thf(conjecture, conjecture, ![F:(cartrealq118835 > cartrealq118833),S:(cartrealq118835 > $o)]:(((linear @ F) & (subspace @ S)) => (subspace0 @ (image @ F @ S)))).
