%   ORIGINAL: SUBSPACE_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: subspace: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !f. (!s. s IN f ==> subspace s) ==> subspace (INTERS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: T
% Assm: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !f. (!s. s IN f ==> subspace s) ==> subspace (INTERS f)
%  TYPES
thf(tq118926, type, q118926 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq118926, type, cartrealq118926 : $tType).
%  CONSTS
thf(cin1, type, in1 : (cartrealq118926 > (cartrealq118926 > $o) > $o)).
thf(cin0, type, in0 : (((cartrealq118926 > $o) > $o) > (((cartrealq118926 > $o) > $o) > $o) > $o)).
thf(cinters0, type, inters0 : ((((cartrealq118926 > $o) > $o) > $o) > (cartrealq118926 > $o) > $o)).
thf(cinters, type, inters : (((cartrealq118926 > $o) > $o) > cartrealq118926 > $o)).
thf(cin, type, in : ((cartrealq118926 > $o) > ((cartrealq118926 > $o) > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealq118926 > cartrealq118926)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq118926 > cartrealq118926 > cartrealq118926)).
thf(csubspace, type, subspace : ((cartrealq118926 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cvec, type, vec : (num > cartrealq118926)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_INTERS, axiom, ![S:(((cartrealq118926 > $o) > $o) > $o),X:(cartrealq118926 > $o)]:((in @ X @ (inters0 @ S)) <=> ![T:((cartrealq118926 > $o) > $o)]:((in0 @ T @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(asubspace, axiom, ![S:(cartrealq118926 > $o)]:((subspace @ S) <=> ((in1 @ (vec @ (numeral @ u_0)) @ S) & ![X:cartrealq118926,Y:cartrealq118926]:(((in1 @ X @ S) & (in1 @ Y @ S)) => (in1 @ (vectoru_add @ X @ Y) @ S)) & ![C:real,X:cartrealq118926]:((in1 @ X @ S) => (in1 @ (r_ @ C @ X) @ S))))).
thf(conjecture, conjecture, ![F:((cartrealq118926 > $o) > $o)]:(![S:(cartrealq118926 > $o)]:((in @ S @ F) => (subspace @ S)) => (subspace @ (inters @ F)))).
