%   ORIGINAL: INDEPENDENT_EMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: dependent: !s. dependent s <=> (?a. a IN s /\ a IN span (s DELETE a))
% Assm: independent: !s. independent s <=> ~dependent s
% Goal: independent {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !s. dependent s <=> (?a. a IN s /\ a IN span (s DELETE a))
% Assm: !s. independent s <=> ~dependent s
% Goal: independent {}
%  TYPES
thf(ta, type, a : $tType).
thf(tq118582, type, q118582 : $tType).
thf(tb, type, b : $tType).
thf(tq119331, type, q119331 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq118582, type, cartrealq118582 : $tType).
thf(tcartrealq119331, type, cartrealq119331 : $tType).
%  CONSTS
thf(cspan, type, span : ((cartrealq118582 > $o) > cartrealq118582 > $o)).
thf(cin0, type, in0 : (cartrealq118582 > (cartrealq118582 > $o) > $o)).
thf(cin, type, in : (cartrealq119331 > (cartrealq119331 > $o) > $o)).
thf(cdelete, type, delete : ((cartrealq118582 > $o) > cartrealq118582 > cartrealq118582 > $o)).
thf(cdependent0, type, dependent0 : ((cartrealq119331 > $o) > $o)).
thf(cdependent, type, dependent : ((cartrealq118582 > $o) > $o)).
thf(cempty, type, empty : (cartrealq119331 > $o)).
thf(cindependent, type, independent : ((cartrealq119331 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq119331]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(adependent, axiom, ![S:(cartrealq118582 > $o)]:((dependent @ S) <=> ?[A:cartrealq118582]:((in0 @ A @ S) & (in0 @ A @ (span @ (delete @ S @ A)))))).
thf(aindependent, axiom, ![S:(cartrealq119331 > $o)]:((independent @ S) <=> ~ ((dependent0 @ S)))).
thf(conjecture, conjecture, (independent @ empty)).
