%   ORIGINAL: IN_SPAN_IMAGE_BASIS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BASIS_COMPONENT: !k i. 1 <= i /\ i <= dimindex (:N) ==> basis k$i = (if i = k then &1 else &0)
% Assm: BASIS_INJ: !i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) /\ basis i = basis j ==> i = j
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_RAND: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: DOT_BASIS: !x i. 1 <= i /\ i <= dimindex (:N) ==> basis i dot x = x$i /\ x dot basis i = x$i
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FINITE_INTER: !s t. FINITE s \/ FINITE t ==> FINITE (s INTER t)
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_ELIM_THM_conjunct4: !p x. x IN (\y. p y) <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SPAN_EXPLICIT: !p. span p = {y | ?s u. FINITE s /\ s SUBSET p /\ vsum s (\v. u v % v) = y}
% Assm: SPAN_INDUCT: !s h. (!x. x IN s ==> x IN h) /\ subspace h ==> (!x. x IN span s ==> h x)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUM_DELTA: !s a. sum s (\x. if x = a then b else &0) = (if a IN s then b else &0)
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: TRUTH: T
% Assm: VECTOR_ADD_COMPONENT: !x y i. (x + y)$i = x$i + y$i
% Assm: VECTOR_MUL_COMPONENT: !c x i. (c % x)$i = c * x$i
% Assm: VEC_COMPONENT: !k i. vec k$i = &k
% Assm: VSUM_COMPONENT: !s f i. 1 <= i /\ i <= dimindex (:N) ==> vsum s f$i = sum s (\x. f x$i)
% Assm: VSUM_IMAGE: !f g s. FINITE s /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> vsum (IMAGE f s) g = vsum s (g o f)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: subspace: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !x s. x IN span (IMAGE basis s) <=> (!i. 1 <= i /\ i <= dimindex (:N) /\ ~(i IN s) ==> x$i = &0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !k i. 1 <= i /\ i <= dimindex (:N) ==> basis k$i = (if i = k then &1 else &0)
% Assm: !i j. 1 <= i /\ i <= dimindex (:N) /\ 1 <= j /\ j <= dimindex (:N) /\ basis i = basis j ==> i = j
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. ((if T then t1 else t2) <=> t1) /\ ((if F then t1 else t2) <=> t2)
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !b f x y. f (if b then x else y) <=> (if b then f x else f y)
% Assm: !x i. 1 <= i /\ i <= dimindex (:N) ==> basis i dot x = x$i /\ x dot basis i = x$i
% Assm: !t. (\x. t x) = t
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !s t. FINITE s \/ FINITE t ==> FINITE (s INTER t)
% Assm: !m n. FINITE (m..n)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN (\y. p y) <=> p x
% Assm: !p x. x IN (\y. p y) <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: ~F <=> T
% Assm: !x. x + &0 = x
% Assm: !x. x * &1 = x
% Assm: !x. x * &0 = &0
% Assm: !p. span p = {y | ?s u. FINITE s /\ s SUBSET p /\ vsum s (\v. u v % v) = y}
% Assm: !s h. (!x. x IN s ==> x IN h) /\ subspace h ==> (!x. x IN span s ==> h x)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !b s a. sum s (\x. if x = a then b else &0) = (if a IN s then b else &0)
% Assm: !b s a. sum s (\x. if x <=> a then b else &0) = (if a IN s then b else &0)
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: T
% Assm: !x y i. (x + y)$i = x$i + y$i
% Assm: !c x i. (c % x)$i = c * x$i
% Assm: !k i. vec k$i = &k
% Assm: !s f i. 1 <= i /\ i <= dimindex (:N) ==> vsum s f$i = sum s (\x. f x$i)
% Assm: !f g s. FINITE s /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> vsum (IMAGE f s) g = vsum s (g o f)
% Assm: !f g s. FINITE s /\ (!x y. x IN s /\ y IN s /\ (f x <=> f y) ==> x = y) ==> vsum (IMAGE f s) g = vsum s (g o f)
% Assm: !f g s. FINITE s /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> vsum (IMAGE f s) g = vsum s (g o f)
% Assm: !f g s. FINITE s /\ (!x y. x IN s /\ y IN s /\ (f x <=> f y) ==> x = y) ==> vsum (IMAGE f s) g = vsum s (g o f)
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !s. subspace s <=> vec 0 IN s /\ (!x y. x IN s /\ y IN s ==> x + y IN s) /\ (!c x. x IN s ==> c % x IN s)
% Goal: !x s. x IN span (IMAGE basis s) <=> (!i. 1 <= i /\ i <= dimindex (:N) /\ ~(i IN s) ==> x$i = &0)
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq103474, type, cartrealq103474 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tq103474, type, q103474 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csum3, type, sum3 : ((a > $o) > (a > real) > real)).
thf(csum2, type, sum2 : ((cartrealn > $o) > (cartrealn > real) > real)).
thf(csum1, type, sum1 : ((num > $o) > (num > real) > real)).
thf(cin2, type, in2 : ($o > ($o > $o) > $o)).
thf(csum0, type, sum0 : (($o > $o) > ($o > real) > real)).
thf(cin1, type, in1 : (real > (real > $o) > $o)).
thf(csum, type, sum : ((real > $o) > (real > real) > real)).
thf(csubset0, type, subset0 : ((num > $o) > (num > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cgspec, type, gspec : ((num > $o) > num > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(co3, type, o3 : ((b > c) > (a > b) > a > c)).
thf(co2, type, o2 : (($o > cartrealq103474) > (cartrealn > $o) > cartrealn > cartrealq103474)).
thf(cimage3, type, image3 : ((cartrealn > $o) > (cartrealn > $o) > $o > $o)).
thf(co1, type, o1 : ((real > cartrealq103474) > (cartrealn > real) > cartrealn > cartrealq103474)).
thf(cvsum4, type, vsum4 : ((cartrealn > $o) > (cartrealn > cartrealq103474) > cartrealq103474)).
thf(cimage2, type, image2 : ((cartrealn > real) > (cartrealn > $o) > real > $o)).
thf(co0, type, o0 : (($o > cartrealq103474) > (num > $o) > num > cartrealq103474)).
thf(cimage1, type, image1 : ((num > $o) > (num > $o) > $o > $o)).
thf(cvsum3, type, vsum3 : (($o > $o) > ($o > cartrealq103474) > cartrealq103474)).
thf(co, type, o : ((real > cartrealq103474) > (num > real) > num > cartrealq103474)).
thf(cvsum2, type, vsum2 : ((num > $o) > (num > cartrealq103474) > cartrealq103474)).
thf(cimage0, type, image0 : ((num > real) > (num > $o) > real > $o)).
thf(cvsum1, type, vsum1 : ((real > $o) > (real > cartrealq103474) > cartrealq103474)).
thf(cvsum0, type, vsum0 : ((a > $o) > (a > cartrealn) > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(cinter1, type, inter1 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter0, type, inter0 : ((num > $o) > (num > $o) > num > $o)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(csetspec, type, setspec : (num > $o > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(ccond1, type, cond1 : ($o > a > a > a)).
thf(ccond0, type, cond0 : ($o > $o > $o > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cimage, type, image : ((num > cartrealn) > (num > $o) > cartrealn > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(cfinite1, type, finite1 : ((a > $o) > $o)).
thf(cfinite0, type, finite0 : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cbasis, type, basis : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBASISu_COMPONENT, axiom, ![K:num,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (basis @ K) @ I) = (cond @ (I = K) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aBASISu_INJ, axiom, ![I:num,J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_a_ @ J @ (dimindex @ univ)) & ((basis @ I) = (basis @ J))) => (I = J))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:$o,T2:$o]:(((cond0 @ $true @ T1 @ T2) <=> T1) & ((cond0 @ $false @ T1 @ T2) <=> T2))).
thf(aCONDu_RANDu_monomorphized1, axiom, ![B:$o,F:(a > real),X:a,Y:a]:((F @ (cond1 @ B @ X @ Y)) = (cond @ B @ (F @ X) @ (F @ Y)))).
thf(aCONDu_RANDu_monomorphized0, axiom, ![B:$o,F:(a > $o),X:a,Y:a]:((F @ (cond1 @ B @ X @ Y)) <=> (cond0 @ B @ (F @ X) @ (F @ Y)))).
thf(aDOTu_BASIS, axiom, ![X:cartrealn,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (((dot @ (basis @ I) @ X) = (d_ @ X @ I)) & ((dot @ X @ (basis @ I)) = (d_ @ X @ I))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_IMAGE, axiom, ![F:(num > cartrealn),S:(num > $o)]:((finite @ S) => (finite0 @ (image @ F @ S)))).
thf(aFINITEu_INTER, axiom, ![S:(a > $o),T:(a > $o)]:(((finite1 @ S) | (finite1 @ T)) => (finite1 @ (inter @ S @ T)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(num > cartrealn),S:(num > $o)]:(![Y:cartrealn]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:num]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aINu_monomorphized1, axiom, ![P:(num > $o),X:num]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized1, axiom, ![P:(num > $o),X:num]:((in0 @ X @ (gspec @ ^[V:num]:?[Y:num]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized0, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec0 @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct4u_monomorphized1, axiom, ![P:(num > $o),X:num]:((in0 @ X @ ^[Y:num]:(P @ Y)) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct4u_monomorphized0, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ ^[Y:cartrealn]:(P @ Y)) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(num > $o),F:(num > cartrealn)]:((in @ Y @ (image @ F @ S)) <=> ?[X:num]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_INTERu_monomorphized1, axiom, ![S:(num > $o),T:(num > $o),X:num]:((in0 @ X @ (inter0 @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_INTERu_monomorphized0, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter1 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSPANu_EXPLICIT, axiom, ![P:(cartrealn > $o)]:((span @ P) = (gspec0 @ ^[GENR_PVARR_277:cartrealn]:?[Y:cartrealn]:(setspec0 @ GENR_PVARR_277 @ ?[S:(cartrealn > $o),U:(cartrealn > real)]:((finite0 @ S) & (subset @ S @ P) & ((vsum @ S @ ^[V:cartrealn]:(r_ @ (U @ V) @ V)) = Y)) @ Y)))).
thf(aSPANu_INDUCT, axiom, ![S:(cartrealn > $o),H:(cartrealn > $o)]:((![X:cartrealn]:((in @ X @ S) => (in @ X @ H)) & (subspace @ H)) => ![X:cartrealn]:((in @ X @ (span @ S)) => (H @ X)))).
thf(aSUBSETu_monomorphized1, axiom, ![S:(num > $o),T:(num > $o)]:((subset0 @ S @ T) <=> ![X:num]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_monomorphized0, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUMu_DELTAu_monomorphized1, axiom, ![B:real,S:(real > $o),A:real]:((sum @ S @ ^[X:real]:(cond @ (X = A) @ B @ (realu_ofu_num @ (numeral @ u_0)))) = (cond @ (in1 @ A @ S) @ B @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aSUMu_DELTAu_monomorphized0, axiom, ![B:real,S:($o > $o),A:$o]:((sum0 @ S @ ^[X:$o]:(cond @ (X <=> A) @ B @ (realu_ofu_num @ (numeral @ u_0)))) = (cond @ (in2 @ A @ S) @ B @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aSUMu_EQu_monomorphized1, axiom, ![F:(num > real),G:(num > real),S:(num > $o)]:(![X:num]:((in0 @ X @ S) => ((F @ X) = (G @ X))) => ((sum1 @ S @ F) = (sum1 @ S @ G)))).
thf(aSUMu_EQu_monomorphized0, axiom, ![F:(cartrealn > real),G:(cartrealn > real),S:(cartrealn > $o)]:(![X:cartrealn]:((in @ X @ S) => ((F @ X) = (G @ X))) => ((sum2 @ S @ F) = (sum2 @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_COMPONENT, axiom, ![X:cartrealn,Y:cartrealn,I:num]:((d_ @ (vectoru_add @ X @ Y) @ I) = (realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(aVECTORu_MULu_COMPONENT, axiom, ![C:real,X:cartrealn,I:num]:((d_ @ (r_ @ C @ X) @ I) = (realu_mul @ C @ (d_ @ X @ I)))).
thf(aVECu_COMPONENT, axiom, ![K:num,I:num]:((d_ @ (vec @ K) @ I) = (realu_ofu_num @ K))).
thf(aVSUMu_COMPONENT, axiom, ![S:(a > $o),F:(a > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (vsum0 @ S @ F) @ I) = (sum3 @ S @ ^[X:a]:(d_ @ (F @ X) @ I))))).
thf(aVSUMu_IMAGEu_monomorphized3, axiom, ![F:(num > real),G:(real > cartrealq103474),S:(num > $o)]:(((finite @ S) & ![X:num,Y:num]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))) => ((vsum1 @ (image0 @ F @ S) @ G) = (vsum2 @ S @ (o @ G @ F))))).
thf(aVSUMu_IMAGEu_monomorphized2, axiom, ![F:(num > $o),G:($o > cartrealq103474),S:(num > $o)]:(((finite @ S) & ![X:num,Y:num]:(((in0 @ X @ S) & (in0 @ Y @ S) & ((F @ X) <=> (F @ Y))) => (X = Y))) => ((vsum3 @ (image1 @ F @ S) @ G) = (vsum2 @ S @ (o0 @ G @ F))))).
thf(aVSUMu_IMAGEu_monomorphized1, axiom, ![F:(cartrealn > real),G:(real > cartrealq103474),S:(cartrealn > $o)]:(((finite0 @ S) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))) => ((vsum1 @ (image2 @ F @ S) @ G) = (vsum4 @ S @ (o1 @ G @ F))))).
thf(aVSUMu_IMAGEu_monomorphized0, axiom, ![F:(cartrealn > $o),G:($o > cartrealq103474),S:(cartrealn > $o)]:(((finite0 @ S) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) <=> (F @ Y))) => (X = Y))) => ((vsum3 @ (image3 @ F @ S) @ G) = (vsum4 @ S @ (o2 @ G @ F))))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o3 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(asubspace, axiom, ![S:(cartrealn > $o)]:((subspace @ S) <=> ((in @ (vec @ (numeral @ u_0)) @ S) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ S) & (in @ Y @ S)) => (in @ (vectoru_add @ X @ Y) @ S)) & ![C:real,X:cartrealn]:((in @ X @ S) => (in @ (r_ @ C @ X) @ S))))).
thf(conjecture, conjecture, ![X:cartrealn,S:(num > $o)]:((in @ X @ (span @ (image @ basis @ S))) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & ~ ((in0 @ I @ S))) => ((d_ @ X @ I) = (realu_ofu_num @ (numeral @ u_0)))))).
