%   ORIGINAL: RANK_EQ_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_ID: !b t. (if b then t else t) = t
% Assm: DIM_EQ_0: !s. dim s = 0 <=> s SUBSET {vec 0}
% Assm: FORALL_DOT_EQ_0_conjunct1: !x. (!y. x dot y = &0) <=> x = vec 0
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: MATRIX_MUL_DOT: !A x. A ** x = (lambda i. A$i dot x)
% Assm: RANK_DIM_IM: !A. rank A = dim (IMAGE (\x. A ** x) (:real^M))
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: VEC_COMPONENT: !k i. vec k$i = &k
% Assm: mat: !k. mat k = (lambda i j. if i = j then &k else &0)
% Goal: !A. rank A = 0 <=> A = mat 0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !b t. (if b then t else t) = t
% Assm: !b t. (if b then t else t) = t
% Assm: !b t. (if b then t else t) <=> t
% Assm: !s. dim s = 0 <=> s SUBSET {vec 0}
% Assm: !x. (!y. x dot y = &0) <=> x = vec 0
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !x y. x IN {y} <=> x = y
% Assm: !x y. x IN {y} <=> x = y
% Assm: !x y. x IN {y} <=> x <=> y
% Assm: !x. x IN (:A)
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> ((lambda) g$i <=> g i)
% Assm: !A x. A ** x = (lambda i. A$i dot x)
% Assm: !A. rank A = dim (IMAGE (\x. A ** x) (:real^M))
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !k i. vec k$i = &k
% Assm: !k. mat k = (lambda i j. if i = j then &k else &0)
% Goal: !A. rank A = 0 <=> A = mat 0
%  TYPES
thf(tq98181, type, q98181 : $tType).
thf(tcartcartrealmn, type, cartcartrealmn : $tType).
thf(tcartboolb, type, cartboolb : $tType).
thf(tcartrealq98181, type, cartrealq98181 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq47565, type, q47565 : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq47566, type, q47566 : $tType).
thf(treal, type, real : $tType).
thf(tcartnumb, type, cartnumb : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartcartrealmnb, type, cartcartcartrealmnb : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv1, type, univ1 : (b > $o)).
thf(cuniv, type, univ : (n > $o)).
thf(cdu_4, type, d_4 : (cartrealn > num > real)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cdot0, type, dot0 : (cartrealn > cartrealn > real)).
thf(cdu_2, type, d_2 : (cartboolb > num > $o)).
thf(cdu_0, type, d_0 : (cartnumb > num > num)).
thf(cin4, type, in4 : (a > (a > $o) > $o)).
thf(cin3, type, in3 : ($o > ($o > $o) > $o)).
thf(cin2, type, in2 : (cartcartrealmn > (cartcartrealmn > $o) > $o)).
thf(cin1, type, in1 : (num > (num > $o) > $o)).
thf(cin0, type, in0 : (q47566 > (q47566 > $o) > $o)).
thf(cin, type, in : (q47565 > (q47565 > $o) > $o)).
thf(cdot, type, dot : (cartrealq98181 > cartrealq98181 > real)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda2, type, lambda2 : ((num > $o) > cartboolb)).
thf(clambda1, type, lambda1 : ((num > cartcartrealmn) > cartcartcartrealmnb)).
thf(clambda0, type, lambda0 : ((num > num) > cartnumb)).
thf(ccond2, type, cond2 : ($o > real > real > real)).
thf(cmatrixuu_vectoruu_mul0, type, matrixu_vectoru_mul0 : (cartcartrealmn > cartrealm > cartrealn)).
thf(cimage0, type, image0 : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cdu_3, type, d_3 : (cartcartrealnm > num > cartrealn)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealnm > cartrealn > cartrealm)).
thf(cdu_1, type, d_1 : (cartcartcartrealmnb > num > cartcartrealmn)).
thf(cinsert2, type, insert2 : ($o > ($o > $o) > $o > $o)).
thf(cinsert1, type, insert1 : (cartcartrealmn > (cartcartrealmn > $o) > cartcartrealmn > $o)).
thf(cinsert0, type, insert0 : (num > (num > $o) > num > $o)).
thf(cimage, type, image : ((q47566 > q47565) > (q47566 > $o) > q47565 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccond1, type, cond1 : ($o > $o > $o > $o)).
thf(ccond0, type, cond0 : ($o > cartcartrealmn > cartcartrealmn > cartcartrealmn)).
thf(ccond, type, cond : ($o > num > num > num)).
thf(cdu_, type, d_ : (cartcartrealmn > num > cartrealm)).
thf(cempty2, type, empty2 : ($o > $o)).
thf(cempty0, type, empty0 : (num > $o)).
thf(cuniv2, type, univ2 : (cartrealm > $o)).
thf(cempty1, type, empty1 : (cartcartrealmn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(clambda3, type, lambda3 : ((num > real) > cartrealm)).
thf(clambda4, type, lambda4 : ((num > cartrealm) > cartcartrealmn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cmat, type, mat : (num > cartcartrealmn)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdim, type, dim : ((cartrealn > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(crank, type, rank : (cartcartrealmn > num)).
thf(cuu_0, type, u_0 : num).
thf(cvec0, type, vec0 : (num > cartrealq98181)).
thf(cuniv0, type, univ0 : (a > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartcartrealmn),G:(a > cartcartrealmn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartcartrealmn,Y:cartcartrealmn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_IDu_monomorphized2, axiom, ![B:$o,T:num]:((cond @ B @ T @ T) = T)).
thf(aCONDu_IDu_monomorphized1, axiom, ![B:$o,T:cartcartrealmn]:((cond0 @ B @ T @ T) = T)).
thf(aCONDu_IDu_monomorphized0, axiom, ![B:$o,T:$o]:((cond1 @ B @ T @ T) <=> T)).
thf(aDIMu_EQu_0, axiom, ![S:(cartrealn > $o)]:(((dim @ S) = (numeral @ u_0)) <=> (subset @ S @ (insert @ (vec @ (numeral @ u_0)) @ empty)))).
thf(aFORALLu_DOTu_EQu_0u_conjunct1, axiom, ![X:cartrealq98181]:(![Y:cartrealq98181]:((dot @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec0 @ (numeral @ u_0))))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(q47565 > $o),F:(q47566 > q47565),S:(q47566 > $o)]:(![Y:q47565]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:q47566]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aINu_SINGu_monomorphized2, axiom, ![X:num,Y:num]:((in1 @ X @ (insert0 @ Y @ empty0)) <=> (X = Y))).
thf(aINu_SINGu_monomorphized1, axiom, ![X:cartcartrealmn,Y:cartcartrealmn]:((in2 @ X @ (insert1 @ Y @ empty1)) <=> (X = Y))).
thf(aINu_SINGu_monomorphized0, axiom, ![X:$o,Y:$o]:((in3 @ X @ (insert2 @ Y @ empty2)) <=> (X <=> Y))).
thf(aINu_UNIV, axiom, ![X:a]:(in4 @ X @ univ0)).
thf(aLAMBDAu_BETAu_monomorphized2, axiom, ![G:(num > num),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ1))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > cartcartrealmn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ1))) => ((d_1 @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > $o),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ1))) => ((d_2 @ (lambda2 @ G) @ I) <=> (G @ I)))).
thf(aMATRIXu_MULu_DOT, axiom, ![A:cartcartrealnm,X:cartrealn]:((matrixu_vectoru_mul @ A @ X) = (lambda3 @ ^[I:num]:(dot0 @ (d_3 @ A @ I) @ X)))).
thf(aRANKu_DIMu_IM, axiom, ![A:cartcartrealmn]:((rank @ A) = (dim @ (image0 @ ^[X:cartrealm]:(matrixu_vectoru_mul0 @ A @ X) @ univ2)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in4 @ X @ S) => (in4 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aVECu_COMPONENT, axiom, ![K:num,I:num]:((d_4 @ (vec @ K) @ I) = (realu_ofu_num @ K))).
thf(amat, axiom, ![K:num]:((mat @ K) = (lambda4 @ ^[I:num]:(lambda3 @ ^[J:num]:(cond2 @ (I = J) @ (realu_ofu_num @ K) @ (realu_ofu_num @ (numeral @ u_0))))))).
thf(conjecture, conjecture, ![A:cartcartrealmn]:(((rank @ A) = (numeral @ u_0)) <=> (A = (mat @ (numeral @ u_0))))).
