%   ORIGINAL: PERMUTES_INSERT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_PAIR_THM: !P. (?p. P p) <=> (?p1 p2. P (p1,p2))
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: IN_ELIM_PAIR_THM: !P a b. a,b IN {x,y | P x y} <=> P a b
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_COMPOSE: !p q s. p permutes s /\ q permutes s ==> q o p permutes s
% Assm: PERMUTES_INSERT_LEMMA: !p a s. p permutes a INSERT s ==> swap (a,p a) o p permutes s
% Assm: PERMUTES_IN_IMAGE: !p s x. p permutes s ==> (p x IN s <=> x IN s)
% Assm: PERMUTES_SUBSET: !p s t. p permutes s /\ s SUBSET t ==> p permutes t
% Assm: PERMUTES_SWAP: !a b s. a IN s /\ b IN s ==> swap (a,b) permutes s
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SWAP_IDEMPOTENT: !a b. swap (a,b) o swap (a,b) = I
% Assm: TRUTH: T
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: {p | p permutes a INSERT s} = IMAGE (\(b,p). swap (a,b) o p) {b,p | b IN a INSERT s /\ p IN {p | p permutes s}}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !P. (?p. P p) <=> (?p1 p2. P (p1,p2))
% Assm: !P. (?p. P p) <=> (?p1 p2. P (p1,p2))
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a = b
% Assm: !P a b. a,b IN {x,y | P x y} <=> P a b
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !f. I o f = f /\ f o I = f
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !p q s. p permutes s /\ q permutes s ==> q o p permutes s
% Assm: !p a s. p permutes a INSERT s ==> swap (a,p a) o p permutes s
% Assm: !p s x. p permutes s ==> (p x IN s <=> x IN s)
% Assm: !p s t. p permutes s /\ s SUBSET t ==> p permutes t
% Assm: !a b s. a IN s /\ b IN s ==> swap (a,b) permutes s
% Assm: !P x. P x ==> P ((@) P)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !a b. swap (a,b) o swap (a,b) = I
% Assm: T
% Assm: !f g h. f o g o h = (f o g) o h
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !s a. {p | p permutes a INSERT s} = IMAGE (\(b,p). swap (a,b) o p) {b,p | b IN a INSERT s /\ p IN {p | p permutes s}}
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(tprodafunaa, type, prodafunaa : $tType).
thf(tfunaa, type, funaa : $tType).
%  CONSTS
thf(csubset0, type, subset0 : (((a > a) > $o) > ((a > a) > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(ci0, type, i0 : (((a > a) > $o) > (a > a) > $o)).
thf(cin1, type, in1 : (prodafunaa > (prodafunaa > $o) > $o)).
thf(cin0, type, in0 : ((a > a) > ((a > a) > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec0, type, gspec0 : ((prodafunaa > $o) > prodafunaa > $o)).
thf(cgeq, type, geq : ((a > a) > (a > a) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cgspec, type, gspec : (((a > a) > $o) > (a > a) > $o)).
thf(cswap, type, swap : (prodaa > a > a)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(chu_, type, h_ : (((prodafunaa > a > a) > $o) > prodafunaa > a > a)).
thf(csetspec0, type, setspec0 : (prodafunaa > $o > prodafunaa > $o)).
thf(ccu_0, type, c_0 : (a > a > prodaa)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(ccu_, type, c_ : (a > (a > a) > prodafunaa)).
thf(cgabs, type, gabs : (((prodafunaa > a > a) > $o) > prodafunaa > a > a)).
thf(cimage, type, image : ((prodafunaa > a > a) > (prodafunaa > $o) > (a > a) > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(csetspec, type, setspec : ((a > a) > $o > (a > a) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (a > a) > $o),G:(a > (a > a) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:((a > a) > $o)]:(^[X:(a > a)]:(T @ X) = T)).
thf(aEXISTSu_PAIRu_THMu_monomorphized1, axiom, ![P:(prodafunaa > $o)]:(?[P0:prodafunaa]:(P @ P0) <=> ?[P1:a,P2:(a > a)]:(P @ (c_ @ P1 @ P2)))).
thf(aEXISTSu_PAIRu_THMu_monomorphized0, axiom, ![P:(prodaa > $o)]:(?[P0:prodaa]:(P @ P0) <=> ?[P1:a,P2:a]:(P @ (c_0 @ P1 @ P2)))).
thf(aEXTENSION, axiom, ![S:((a > a) > $o),T:((a > a) > $o)]:((S = T) <=> ![X:(a > a)]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aGABSu_DEF, axiom, ![P:((prodafunaa > a > a) > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:(a > a),B:(a > a)]:((geq @ A @ B) <=> (A = B))).
thf(aINu_ELIMu_PAIRu_THM, axiom, ![P:(a > (a > a) > $o),A:a,B:(a > a)]:((in1 @ (c_ @ A @ B) @ (gspec0 @ ^[GENR_PVARR_17:prodafunaa]:?[X:a,Y:(a > a)]:(setspec0 @ GENR_PVARR_17 @ (P @ X @ Y) @ (c_ @ X @ Y)))) <=> (P @ A @ B))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((a > a) > $o),X:(a > a)]:((in0 @ X @ (gspec @ ^[V:(a > a)]:?[Y:(a > a)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:(a > a),S:(prodafunaa > $o),F:(prodafunaa > a > a)]:((in0 @ Y @ (image @ F @ S)) <=> ?[X:prodafunaa]:((Y = (F @ X)) & (in1 @ X @ S)))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aIu_Ou_ID, axiom, ![F:(a > a)]:(((o @ i @ F) = F) & ((o @ F @ i) = F))).
thf(aIu_THM, axiom, ![X:((a > a) > $o)]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_COMPOSE, axiom, ![P:(a > a),Q:(a > a),S:(a > $o)]:(((permutes @ P @ S) & (permutes @ Q @ S)) => (permutes @ (o @ Q @ P) @ S))).
thf(aPERMUTESu_INSERTu_LEMMA, axiom, ![P:(a > a),A:a,S:(a > $o)]:((permutes @ P @ (insert @ A @ S)) => (permutes @ (o @ (swap @ (c_0 @ A @ (P @ A))) @ P) @ S))).
thf(aPERMUTESu_INu_IMAGE, axiom, ![P:(a > a),S:(a > $o),X:a]:((permutes @ P @ S) => ((in @ (P @ X) @ S) <=> (in @ X @ S)))).
thf(aPERMUTESu_SUBSET, axiom, ![P:(a > a),S:(a > $o),T:(a > $o)]:(((permutes @ P @ S) & (subset @ S @ T)) => (permutes @ P @ T))).
thf(aPERMUTESu_SWAP, axiom, ![A:a,B:a,S:(a > $o)]:(((in @ A @ S) & (in @ B @ S)) => (permutes @ (swap @ (c_0 @ A @ B)) @ S))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aSUBSETu_monomorphized1, axiom, ![S:((a > a) > $o),T:((a > a) > $o)]:((subset0 @ S @ T) <=> ![X:(a > a)]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_monomorphized0, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aSWAPu_IDEMPOTENT, axiom, ![A:a,B:a]:((o @ (swap @ (c_0 @ A @ B)) @ (swap @ (c_0 @ A @ B))) = i)).
thf(aTRUTH, axiom, $true).
thf(aou_ASSOC, axiom, ![F:(a > a),G:(a > a),H:(a > a)]:((o @ F @ (o @ G @ H)) = (o @ (o @ F @ G) @ H))).
thf(apairu_RECURSIONu_monomorphized1, axiom, ![PAIRI_:(a > (a > a) > (a > a) > $o)]:?[FN:(prodafunaa > (a > a) > $o)]:![A0:a,A1:(a > a)]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized0, axiom, ![PAIRI_:(a > a > (a > a) > $o)]:?[FN:(prodaa > (a > a) > $o)]:![A0:a,A1:a]:((FN @ (c_0 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![S:(a > $o),A:a]:((gspec @ ^[GENR_PVARR_359:(a > a)]:?[P:(a > a)]:(setspec @ GENR_PVARR_359 @ (permutes @ P @ (insert @ A @ S)) @ P)) = (image @ (gabs @ ^[F:(prodafunaa > a > a)]:![B:a,P:(a > a)]:(geq @ (F @ (c_ @ B @ P)) @ (o @ (swap @ (c_0 @ A @ B)) @ P))) @ (gspec0 @ ^[GENR_PVARR_361:prodafunaa]:?[B:a,P:(a > a)]:(setspec0 @ GENR_PVARR_361 @ ((in @ B @ (insert @ A @ S)) & (in0 @ P @ (gspec @ ^[GENR_PVARR_360:(a > a)]:?[P:(a > a)]:(setspec @ GENR_PVARR_360 @ (permutes @ P @ S) @ P)))) @ (c_ @ B @ P)))))).
