%   ORIGINAL: SWAPSEQ_INVERSE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INVERSE_UNIQUE_o: !f g. f o g = I /\ g o f = I ==> inverse f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SWAPSEQ_INVERSE_EXISTS: !n p. swapseq n p ==> (?q. swapseq n q /\ p o q = I /\ q o p = I)
% Assm: TRUTH: T
% Goal: !n p. swapseq n p ==> swapseq n (inverse p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f o g = I /\ g o f = I ==> inverse f = g
% Assm: ~F <=> T
% Assm: !n p. swapseq n p ==> (?q. swapseq n q /\ p o q = I /\ q o p = I)
% Assm: T
% Goal: !n p. swapseq n p ==> swapseq n (inverse p)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq145363, type, q145363 : $tType).
%  CONSTS
thf(cswapseq, type, swapseq : (num > (q145363 > q145363) > $o)).
thf(co, type, o : ((q145363 > q145363) > (q145363 > q145363) > q145363 > q145363)).
thf(ci, type, i : (q145363 > q145363)).
thf(cinverse, type, inverse : ((q145363 > q145363) > q145363 > q145363)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINVERSEu_UNIQUEu_o, axiom, ![F:(q145363 > q145363),G:(q145363 > q145363)]:((((o @ F @ G) = i) & ((o @ G @ F) = i)) => ((inverse @ F) = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSWAPSEQu_INVERSEu_EXISTS, axiom, ![N:num,P:(q145363 > q145363)]:((swapseq @ N @ P) => ?[Q:(q145363 > q145363)]:((swapseq @ N @ Q) & ((o @ P @ Q) = i) & ((o @ Q @ P) = i)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![N:num,P:(q145363 > q145363)]:((swapseq @ N @ P) => (swapseq @ N @ (inverse @ P)))).
