%   ORIGINAL: PRODUCT_SING_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NUMSEG_SING: !n. n..n = {n}
% Assm: PRODUCT_SING: !f x. product {x} f = f x
% Assm: TRUTH: T
% Goal: !f n. product (n..n) f = f n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. n..n = {n}
% Assm: !f x. product {x} f = f x
% Assm: T
% Goal: !f n. product (n..n) f = f n
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cproduct, type, product : ((num > $o) > (num > real) > real)).
thf(cinsert, type, insert : (num > (num > $o) > num > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cempty, type, empty : (num > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNUMSEGu_SING, axiom, ![N:num]:((o_o_ @ N @ N) = (insert @ N @ empty))).
thf(aPRODUCTu_SING, axiom, ![F:(num > real),X:num]:((product @ (insert @ X @ empty) @ F) = (F @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(num > real),N:num]:((product @ (o_o_ @ N @ N) @ F) = (F @ N))).
