%   ORIGINAL: PRODUCT_ONE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PRODUCT_EQ_1: !f s. (!x. x IN s ==> f x = &1) ==> product s f = &1
% Assm: TRUTH: T
% Goal: !s. product s (\n. &1) = &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. (!x. x IN s ==> f x = &1) ==> product s f = &1
% Assm: T
% Goal: !s. product s (\n. &1) = &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq151846, type, q151846 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin, type, in : (q151846 > (q151846 > $o) > $o)).
thf(cproduct, type, product : ((q151846 > $o) > (q151846 > real) > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPRODUCTu_EQu_1, axiom, ![F:(q151846 > real),S:(q151846 > $o)]:(![X:q151846]:((in @ X @ S) => ((F @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((product @ S @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(q151846 > $o)]:((product @ S @ ^[N:q151846]:(realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
