%   ORIGINAL: DET_PERMUTE_ROWS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: I_THM: !x. I x = x
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTATION_PERMUTES: !p. permutation p <=> (?s. FINITE s /\ p permutes s)
% Assm: PERMUTES_INVERSE: !p s. p permutes s ==> inverse p permutes s
% Assm: PERMUTES_INVERSES: !p s. p permutes s ==> (!x. p (inverse p x) = x) /\ (!x. inverse p (p x) = x)
% Assm: PRODUCT_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> product s f = product s g
% Assm: PRODUCT_PERMUTE_NUMSEG: !f p m n. p permutes m..n ==> product (m..n) f = product (m..n) (f o p)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: SIGN_COMPOSE: !p q. permutation p /\ permutation q ==> sign (p o q) = sign p * sign q
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: SUM_LMUL: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: SUM_PERMUTATIONS_COMPOSE_R: !f m n q. q permutes m..n ==> sum {p | p permutes m..n} f = sum {p | p permutes m..n} (\p. f (p o q))
% Assm: TRUTH: T
% Assm: det: !A. det A = sum {p | p permutes 1..dimindex (:N)} (\p. sign p * product (1..dimindex (:N)) (\i. A$i$p i))
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !A p. p permutes 1..dimindex (:N) ==> det (lambda i. A$p i) = sign p * det A
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !m n. FINITE (m..n)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !x. I x = x
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: ~F <=> T
% Assm: !p. permutation p <=> (?s. FINITE s /\ p permutes s)
% Assm: !p s. p permutes s ==> inverse p permutes s
% Assm: !p s. p permutes s ==> (!x. p (inverse p x) = x) /\ (!x. inverse p (p x) = x)
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> product s f = product s g
% Assm: !f p m n. p permutes m..n ==> product (m..n) f = product (m..n) (f o p)
% Assm: !x y. x * y = y * x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !p q. permutation p /\ permutation q ==> sign (p o q) = sign p * sign q
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: !f m n q. q permutes m..n ==> sum {p | p permutes m..n} f = sum {p | p permutes m..n} (\p. f (p o q))
% Assm: T
% Assm: !A. det A = sum {p | p permutes 1..dimindex (:N)} (\p. sign p * product (1..dimindex (:N)) (\i. A$i$p i))
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !A p. p permutes 1..dimindex (:N) ==> det (lambda i. A$p i) = sign p * det A
%  TYPES
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tnum, type, num : $tType).
thf(tq151227, type, q151227 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq70972, type, q70972 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(cgspec0, type, gspec0 : (((num > num) > $o) > (num > num) > $o)).
thf(csum1, type, sum1 : (((num > num) > $o) > ((num > num) > real) > real)).
thf(csum0, type, sum0 : ((a > $o) > (a > real) > real)).
thf(csum, type, sum : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin2, type, in2 : (q70972 > (q70972 > $o) > $o)).
thf(cproduct0, type, product0 : ((num > $o) > (num > real) > real)).
thf(cproduct, type, product : ((q151227 > $o) > (q151227 > real) > real)).
thf(cin1, type, in1 : (q151227 > (q151227 > $o) > $o)).
thf(cinverse, type, inverse : ((num > num) > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(csign, type, sign : ((num > num) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdet, type, det : (cartcartrealnn > real)).
thf(cpermutes, type, permutes : ((num > num) > (num > $o) > $o)).
thf(co1, type, o1 : ((b > real) > (a > b) > a > real)).
thf(csetspec0, type, setspec0 : ((num > num) > $o > (num > num) > $o)).
thf(co0, type, o0 : ((num > num) > (num > num) > num > num)).
thf(co, type, o : ((num > real) > (num > num) > num > real)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cdu_, type, d_ : (cartcartrealnn > num > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cpermutation, type, permutation : ((num > num) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(clambda0, type, lambda0 : ((num > cartrealn) > cartcartrealnn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTATIONu_PERMUTES, axiom, ![P:(num > num)]:((permutation @ P) <=> ?[S:(num > $o)]:((finite @ S) & (permutes @ P @ S)))).
thf(aPERMUTESu_INVERSE, axiom, ![P:(num > num),S:(num > $o)]:((permutes @ P @ S) => (permutes @ (inverse @ P) @ S))).
thf(aPERMUTESu_INVERSES, axiom, ![P:(num > num),S:(num > $o)]:((permutes @ P @ S) => (![X:num]:((P @ (inverse @ P @ X)) = X) & ![X:num]:((inverse @ P @ (P @ X)) = X)))).
thf(aPRODUCTu_EQ, axiom, ![F:(q151227 > real),G:(q151227 > real),S:(q151227 > $o)]:(![X:q151227]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((product @ S @ F) = (product @ S @ G)))).
thf(aPRODUCTu_PERMUTEu_NUMSEG, axiom, ![F:(num > real),P:(num > num),M:num,N:num]:((permutes @ P @ (o_o_ @ M @ N)) => ((product0 @ (o_o_ @ M @ N) @ F) = (product0 @ (o_o_ @ M @ N) @ (o @ F @ P))))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aSIGNu_COMPOSE, axiom, ![P:(num > num),Q:(num > num)]:(((permutation @ P) & (permutation @ Q)) => ((sign @ (o0 @ P @ Q)) = (realu_mul @ (sign @ P) @ (sign @ Q))))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in2 @ X @ S) => ((F @ X) = (G @ X))) => ((sum @ S @ F) = (sum @ S @ G)))).
thf(aSUMu_LMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum0 @ S @ ^[X:a]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum0 @ S @ F)))).
thf(aSUMu_PERMUTATIONSu_COMPOSEu_R, axiom, ![F:((num > num) > real),M:num,N:num,Q:(num > num)]:((permutes @ Q @ (o_o_ @ M @ N)) => ((sum1 @ (gspec0 @ ^[GENR_PVARR_388:(num > num)]:?[P:(num > num)]:(setspec0 @ GENR_PVARR_388 @ (permutes @ P @ (o_o_ @ M @ N)) @ P)) @ F) = (sum1 @ (gspec0 @ ^[GENR_PVARR_389:(num > num)]:?[P:(num > num)]:(setspec0 @ GENR_PVARR_389 @ (permutes @ P @ (o_o_ @ M @ N)) @ P)) @ ^[P:(num > num)]:(F @ (o0 @ P @ Q)))))).
thf(aTRUTH, axiom, $true).
thf(adet, axiom, ![A:cartcartrealnn]:((det @ A) = (sum1 @ (gspec0 @ ^[GENR_PVARR_409:(num > num)]:?[P:(num > num)]:(setspec0 @ GENR_PVARR_409 @ (permutes @ P @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ))) @ P)) @ ^[P:(num > num)]:(realu_mul @ (sign @ P) @ (product0 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(d_0 @ (d_ @ A @ I) @ (P @ I))))))).
thf(aou_THM, axiom, ![F:(b > real),G:(a > b),X:a]:((o1 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![A:cartcartrealnn,P:(num > num)]:((permutes @ P @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ))) => ((det @ (lambda0 @ ^[I:num]:(d_ @ A @ (P @ I)))) = (realu_mul @ (sign @ P) @ (det @ A))))).
