%   ORIGINAL: ORTHOGONAL_TRANSFORMATION_EXISTS_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: MATRIX_OF_MATRIX_VECTOR_MUL: !A. matrix (\x. A ** x) = A
% Assm: MATRIX_VECTOR_MUL_ASSOC: !A B x. A ** B ** x = (A ** B) ** x
% Assm: MATRIX_VECTOR_MUL_LID: !x. mat 1 ** x = x
% Assm: MATRIX_VECTOR_MUL_LINEAR: !A. linear (\x. A ** x)
% Assm: ORTHOGONAL_MATRIX: orthogonal_matrix Q <=> transp Q ** Q = mat 1
% Assm: ORTHOGONAL_MATRIX_EXISTS_BASIS: !a. norm a = &1 ==> (?A. orthogonal_matrix A /\ A ** basis 1 = a)
% Assm: ORTHOGONAL_MATRIX_MUL: !A B. orthogonal_matrix A /\ orthogonal_matrix B ==> orthogonal_matrix (A ** B)
% Assm: ORTHOGONAL_MATRIX_TRANSP: !A. orthogonal_matrix (transp A) <=> orthogonal_matrix A
% Assm: ORTHOGONAL_TRANSFORMATION_MATRIX: !f. orthogonal_transformation f <=> linear f /\ orthogonal_matrix (matrix f)
% Assm: TRUTH: T
% Goal: !a b. norm a = &1 /\ norm b = &1 ==> (?f. orthogonal_transformation f /\ f a = b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !A. matrix (\x. A ** x) = A
% Assm: !A B x. A ** B ** x = (A ** B) ** x
% Assm: !x. mat 1 ** x = x
% Assm: !A. linear (\x. A ** x)
% Assm: !Q. orthogonal_matrix Q <=> transp Q ** Q = mat 1
% Assm: !a. norm a = &1 ==> (?A. orthogonal_matrix A /\ A ** basis 1 = a)
% Assm: !A B. orthogonal_matrix A /\ orthogonal_matrix B ==> orthogonal_matrix (A ** B)
% Assm: !A. orthogonal_matrix (transp A) <=> orthogonal_matrix A
% Assm: !f. orthogonal_transformation f <=> linear f /\ orthogonal_matrix (matrix f)
% Assm: T
% Goal: !a b. norm a = &1 /\ norm b = &1 ==> (?f. orthogonal_transformation f /\ f a = b)
%  TYPES
thf(tcartcartrealpn, type, cartcartrealpn : $tType).
thf(tp, type, p : $tType).
thf(tcartcartrealnn, type, cartcartrealnn : $tType).
thf(tcartcartrealq158875q158875, type, cartcartrealq158875q158875 : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq158875, type, cartrealq158875 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealp, type, cartrealp : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tq158875, type, q158875 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cmatrixuu_mul1, type, matrixu_mul1 : (cartcartrealq158875q158875 > cartcartrealq158875q158875 > cartcartrealq158875q158875)).
thf(cmatrixuu_mul0, type, matrixu_mul0 : (cartcartrealnn > cartcartrealnn > cartcartrealnn)).
thf(cmatrixuu_mul, type, matrixu_mul : (cartcartrealnn > cartcartrealpn > cartcartrealpn)).
thf(cmatrixuu_vectoruu_mul1, type, matrixu_vectoru_mul1 : (cartcartrealpn > cartrealp > cartrealn)).
thf(cmatrixuu_vectoruu_mul0, type, matrixu_vectoru_mul0 : (cartcartrealnn > cartrealn > cartrealn)).
thf(cmatrixuu_vectoruu_mul, type, matrixu_vectoru_mul : (cartcartrealnm > cartrealn > cartrealm)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(clinear0, type, linear0 : ((cartrealn > cartrealn) > $o)).
thf(corthogonaluu_matrix0, type, orthogonalu_matrix0 : (cartcartrealq158875q158875 > $o)).
thf(corthogonaluu_matrix, type, orthogonalu_matrix : (cartcartrealnn > $o)).
thf(clinear, type, linear : ((cartrealn > cartrealm) > $o)).
thf(corthogonaluu_transformation, type, orthogonalu_transformation : ((cartrealn > cartrealn) > $o)).
thf(cmatrix, type, matrix : ((cartrealn > cartrealm) > cartcartrealnm)).
thf(cmatrix0, type, matrix0 : ((cartrealn > cartrealn) > cartcartrealnn)).
thf(cbasis, type, basis : (num > cartrealn)).
thf(ctransp, type, transp : (cartcartrealnn > cartcartrealnn)).
thf(cmat, type, mat : (num > cartcartrealnn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aMATRIXu_OFu_MATRIXu_VECTORu_MUL, axiom, ![A:cartcartrealnm]:((matrix @ ^[X:cartrealn]:(matrixu_vectoru_mul @ A @ X)) = A)).
thf(aMATRIXu_VECTORu_MULu_ASSOC, axiom, ![A:cartcartrealnn,B:cartcartrealpn,X:cartrealp]:((matrixu_vectoru_mul0 @ A @ (matrixu_vectoru_mul1 @ B @ X)) = (matrixu_vectoru_mul1 @ (matrixu_mul @ A @ B) @ X))).
thf(aMATRIXu_VECTORu_MULu_LID, axiom, ![X:cartrealn]:((matrixu_vectoru_mul0 @ (mat @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aMATRIXu_VECTORu_MULu_LINEAR, axiom, ![A:cartcartrealnm]:(linear @ ^[X:cartrealn]:(matrixu_vectoru_mul @ A @ X))).
thf(aORTHOGONALu_MATRIX, axiom, ![Q:cartcartrealnn]:((orthogonalu_matrix @ Q) <=> ((matrixu_mul0 @ (transp @ Q) @ Q) = (mat @ (numeral @ (bit1 @ u_0)))))).
thf(aORTHOGONALu_MATRIXu_EXISTSu_BASIS, axiom, ![A:cartrealn]:(((vectoru_norm @ A) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => ?[A0:cartcartrealnn]:((orthogonalu_matrix @ A0) & ((matrixu_vectoru_mul0 @ A0 @ (basis @ (numeral @ (bit1 @ u_0)))) = A)))).
thf(aORTHOGONALu_MATRIXu_MUL, axiom, ![A:cartcartrealq158875q158875,B:cartcartrealq158875q158875]:(((orthogonalu_matrix0 @ A) & (orthogonalu_matrix0 @ B)) => (orthogonalu_matrix0 @ (matrixu_mul1 @ A @ B)))).
thf(aORTHOGONALu_MATRIXu_TRANSP, axiom, ![A:cartcartrealnn]:((orthogonalu_matrix @ (transp @ A)) <=> (orthogonalu_matrix @ A))).
thf(aORTHOGONALu_TRANSFORMATIONu_MATRIX, axiom, ![F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) <=> ((linear0 @ F) & (orthogonalu_matrix @ (matrix0 @ F))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn]:((((vectoru_norm @ A) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((vectoru_norm @ B) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ?[F:(cartrealn > cartrealn)]:((orthogonalu_transformation @ F) & ((F @ A) = B)))).
