%   ORIGINAL: OPEN_IN_UNION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: OPEN_IN_UNIONS: !top k. (!s. s IN k ==> open_in top s) ==> open_in top (UNIONS k)
% Assm: TRUTH: T
% Assm: UNIONS_2: UNIONS {s, t} = s UNION t
% Goal: !top s t. open_in top s /\ open_in top t ==> open_in top (s UNION t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !top k. (!s. s IN k ==> open_in top s) ==> open_in top (UNIONS k)
% Assm: T
% Assm: !s t. UNIONS {s, t} = s UNION t
% Goal: !top s t. open_in top s /\ open_in top t ==> open_in top (s UNION t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(ttopologyq167056, type, topologyq167056 : $tType).
thf(tq167056, type, q167056 : $tType).
%  CONSTS
thf(cunions, type, unions : (((q167056 > $o) > $o) > q167056 > $o)).
thf(cin0, type, in0 : ((q167056 > $o) > ((q167056 > $o) > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologyq167056 > (q167056 > $o) > $o)).
thf(cinsert0, type, insert0 : ((q167056 > $o) > ((q167056 > $o) > $o) > (q167056 > $o) > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cunion, type, union : ((q167056 > $o) > (q167056 > $o) > q167056 > $o)).
thf(cempty0, type, empty0 : ((q167056 > $o) > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aOPENu_INu_UNIONS, axiom, ![TOP:topologyq167056,K:((q167056 > $o) > $o)]:(![S:(q167056 > $o)]:((in0 @ S @ K) => (openu_in @ TOP @ S)) => (openu_in @ TOP @ (unions @ K)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_2, axiom, ![S:(q167056 > $o),T:(q167056 > $o)]:((unions @ (insert0 @ S @ (insert0 @ T @ empty0))) = (union @ S @ T))).
thf(conjecture, conjecture, ![TOP:topologyq167056,S:(q167056 > $o),T:(q167056 > $o)]:(((openu_in @ TOP @ S) & (openu_in @ TOP @ T)) => (openu_in @ TOP @ (union @ S @ T)))).
