%   ORIGINAL: SUBSET_BALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_BALL: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LTE_TRANS: !x y z. x < y /\ y <= z ==> x < z
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !x d e. d <= e ==> ball (x,d) SUBSET ball (x,e)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: ~F <=> T
% Assm: !x y z. x < y /\ y <= z ==> x < z
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !x d e. d <= e ==> ball (x,d) SUBSET ball (x,e)
%  TYPES
thf(tq168639, type, q168639 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealq168639cartrealq168639, type, prodcartrealq168639cartrealq168639 : $tType).
thf(tprodcartrealq168639real, type, prodcartrealq168639real : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq168639, type, cartrealq168639 : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealq168639cartrealq168639 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealq168639 > (cartrealq168639 > $o) > $o)).
thf(cball, type, ball : (prodcartrealq168639real > cartrealq168639 > $o)).
thf(csubset, type, subset : ((cartrealq168639 > $o) > (cartrealq168639 > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccu_0, type, c_0 : (cartrealq168639 > cartrealq168639 > prodcartrealq168639cartrealq168639)).
thf(ccu_, type, c_ : (cartrealq168639 > real > prodcartrealq168639real)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_BALL, axiom, ![X:cartrealq168639,Y:cartrealq168639,E:real]:((in @ Y @ (ball @ (c_ @ X @ E))) <=> (realu_lt @ (distance @ (c_0 @ X @ Y)) @ E))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LTEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ X @ Y) & (realu_le @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aSUBSET, axiom, ![S:(cartrealq168639 > $o),T:(cartrealq168639 > $o)]:((subset @ S @ T) <=> ![X:cartrealq168639]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealq168639,D:real,E:real]:((realu_le @ D @ E) => (subset @ (ball @ (c_ @ X @ D)) @ (ball @ (c_ @ X @ E))))).
