%   ORIGINAL: BALL_EMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: BALL_EQ_EMPTY: !x e. ball (x,e) = {} <=> e <= &0
% Assm: TRUTH: T
% Goal: !x e. e <= &0 ==> ball (x,e) = {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x e. ball (x,e) = {} <=> e <= &0
% Assm: T
% Goal: !x e. e <= &0 ==> ball (x,e) = {}
%  TYPES
thf(tcartrealq169441, type, cartrealq169441 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tprodcartrealq169441real, type, prodcartrealq169441real : $tType).
thf(treal, type, real : $tType).
thf(tq169441, type, q169441 : $tType).
%  CONSTS
thf(cball, type, ball : (prodcartrealq169441real > cartrealq169441 > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccu_, type, c_ : (cartrealq169441 > real > prodcartrealq169441real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (cartrealq169441 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq169441 > $o),G:(a > cartrealq169441 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aBALLu_EQu_EMPTY, axiom, ![X:cartrealq169441,E:real]:(((ball @ (c_ @ X @ E)) = empty) <=> (realu_le @ E @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealq169441,E:real]:((realu_le @ E @ (realu_ofu_num @ (numeral @ u_0))) => ((ball @ (c_ @ X @ E)) = empty))).
