%   ORIGINAL: CONNECTED_CLOPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_IN_CLOSED: !s u. closed_in (subtopology euclidean u) s <=> (?t. closed t /\ s = u INTER t)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_DIFF: (?s. P ((:A) DIFF s)) <=> (?s. P s)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: OPEN_IN_OPEN: !s u. open_in (subtopology euclidean u) s <=> (?t. open t /\ s = u INTER t)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: closed: !s. closed s <=> open ((:real^N) DIFF s)
% Assm: connected: !s. connected s <=> ~(?e1 e2. open e1 /\ open e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 INTER s = {} /\ ~(e1 INTER s = {}) /\ ~(e2 INTER s = {}))
% Goal: !s. connected s <=> (!t. open_in (subtopology euclidean s) t /\ closed_in (subtopology euclidean s) t ==> t = {} \/ t = s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s u. closed_in (subtopology euclidean u) s <=> (?t. closed t /\ s = u INTER t)
% Assm: !t. (\x. t x) = t
% Assm: !P. (?s. P ((:A) DIFF s)) <=> (?s. P s)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. x IN (:A)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s u. open_in (subtopology euclidean u) s <=> (?t. open t /\ s = u INTER t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. closed s <=> open ((:real^N) DIFF s)
% Assm: !s. connected s <=> ~(?e1 e2. open e1 /\ open e2 /\ s SUBSET e1 UNION e2 /\ e1 INTER e2 INTER s = {} /\ ~(e1 INTER s = {}) /\ ~(e2 INTER s = {}))
% Goal: !s. connected s <=> (!t. open_in (subtopology euclidean s) t /\ closed_in (subtopology euclidean s) t ==> t = {} \/ t = s)
%  TYPES
thf(tcartrealq170847, type, cartrealq170847 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq170847, type, q170847 : $tType).
thf(ttopologycartrealq170847, type, topologycartrealq170847 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((cartrealq170847 > $o) > (cartrealq170847 > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealq170847 > (cartrealq170847 > $o) > $o)).
thf(ccloseduu_in, type, closedu_in : (topologycartrealq170847 > (cartrealq170847 > $o) > $o)).
thf(copenuu_in, type, openu_in : (topologycartrealq170847 > (cartrealq170847 > $o) > $o)).
thf(cunion0, type, union0 : ((cartrealq170847 > $o) > (cartrealq170847 > $o) > cartrealq170847 > $o)).
thf(cdiff0, type, diff0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((a > $o) > (a > $o) > a > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((cartrealq170847 > $o) > (cartrealq170847 > $o) > cartrealq170847 > $o)).
thf(csubtopology, type, subtopology : (topologycartrealq170847 > (cartrealq170847 > $o) > topologycartrealq170847)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(copen0, type, open0 : ((cartrealn > $o) > $o)).
thf(cclosed0, type, closed0 : ((cartrealn > $o) > $o)).
thf(copen, type, open : ((cartrealq170847 > $o) > $o)).
thf(cclosed, type, closed : ((cartrealq170847 > $o) > $o)).
thf(cempty, type, empty : (cartrealq170847 > $o)).
thf(cconnected, type, connected : ((cartrealq170847 > $o) > $o)).
thf(ceuclidean, type, euclidean : topologycartrealq170847).
thf(cuniv, type, univ : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealq170847 > $o),G:(cartrealq170847 > $o)]:(![X:cartrealq170847]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_INu_CLOSED, axiom, ![S:(cartrealq170847 > $o),U:(cartrealq170847 > $o)]:((closedu_in @ (subtopology @ euclidean @ U) @ S) <=> ?[T:(cartrealq170847 > $o)]:((closed @ T) & (S = (inter @ U @ T))))).
thf(aETAu_AX, axiom, ![T:(cartrealq170847 > $o)]:(^[X:cartrealq170847]:(T @ X) = T)).
thf(aEXISTSu_DIFF, axiom, ![P:((a > $o) > $o)]:(?[S:(a > $o)]:(P @ (diff @ univ @ S)) <=> ?[S:(a > $o)]:(P @ S))).
thf(aEXTENSION, axiom, ![S:(cartrealq170847 > $o),T:(cartrealq170847 > $o)]:((S = T) <=> ![X:cartrealq170847]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (inter0 @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (union @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:a]:(in0 @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq170847]:~ ((in @ X @ empty))).
thf(aOPENu_INu_OPEN, axiom, ![S:(cartrealq170847 > $o),U:(cartrealq170847 > $o)]:((openu_in @ (subtopology @ euclidean @ U) @ S) <=> ?[T:(cartrealq170847 > $o)]:((open @ T) & (S = (inter @ U @ T))))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aclosed, axiom, ![S:(cartrealn > $o)]:((closed0 @ S) <=> (open0 @ (diff0 @ univ0 @ S)))).
thf(aconnected, axiom, ![S:(cartrealq170847 > $o)]:((connected @ S) <=> ~ (?[E1:(cartrealq170847 > $o),E2:(cartrealq170847 > $o)]:((open @ E1) & (open @ E2) & (subset0 @ S @ (union0 @ E1 @ E2)) & ((inter @ E1 @ (inter @ E2 @ S)) = empty) & ~ (((inter @ E1 @ S) = empty)) & ~ (((inter @ E2 @ S) = empty)))))).
thf(conjecture, conjecture, ![S:(cartrealq170847 > $o)]:((connected @ S) <=> ![T:(cartrealq170847 > $o)]:(((openu_in @ (subtopology @ euclidean @ S) @ T) & (closedu_in @ (subtopology @ euclidean @ S) @ T)) => ((T = empty) | (T = S))))).
