%   ORIGINAL: LIMPT_APPROACHABLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CENTRE_IN_BALL: !x e. x IN ball (x,e) <=> &0 < e
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_BALL: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: TRUTH: T
% Assm: limit_point_of: !x s. x limit_point_of s <=> (!t. x IN t /\ open t ==> (?y. ~(y = x) /\ y IN s /\ y IN t))
% Assm: open_def: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ (!x'. dist (x',x) < e ==> x' IN s)))
% Goal: !x s. x limit_point_of s <=> (!e. &0 < e ==> (?x'. x' IN s /\ ~(x' = x) /\ dist (x',x) < e))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. x IN ball (x,e) <=> &0 < e
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !t. (\x. t x) = t
% Assm: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: ~F <=> T
% Assm: !x e. open (ball (x,e))
% Assm: T
% Assm: !x s. x limit_point_of s <=> (!t. x IN t /\ open t ==> (?y. ~(y = x) /\ y IN s /\ y IN t))
% Assm: !s. open s <=> (!x. x IN s ==> (?e. &0 < e /\ (!x'. dist (x',x) < e ==> x' IN s)))
% Goal: !x s. x limit_point_of s <=> (!e. &0 < e ==> (?x'. x' IN s /\ ~(x' = x) /\ dist (x',x) < e))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealq169289real, type, prodcartrealq169289real : $tType).
thf(tprodcartrealq171382real, type, prodcartrealq171382real : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq169289, type, cartrealq169289 : $tType).
thf(tq169289, type, q169289 : $tType).
thf(tprodcartrealq171382cartrealq171382, type, prodcartrealq171382cartrealq171382 : $tType).
thf(tcartrealq171382, type, cartrealq171382 : $tType).
thf(tq171382, type, q171382 : $tType).
%  CONSTS
thf(cball0, type, ball0 : (prodcartrealq169289real > cartrealq169289 > $o)).
thf(cball, type, ball : (prodcartrealq171382real > cartrealq171382 > $o)).
thf(cdistance, type, distance : (prodcartrealq171382cartrealq171382 > real)).
thf(cin, type, in : (cartrealq171382 > (cartrealq171382 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealq171382 > (cartrealq171382 > $o) > $o)).
thf(ccu_1, type, c_1 : (cartrealq169289 > real > prodcartrealq169289real)).
thf(ccu_0, type, c_0 : (cartrealq171382 > real > prodcartrealq171382real)).
thf(ccu_, type, c_ : (cartrealq171382 > cartrealq171382 > prodcartrealq171382cartrealq171382)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(copen0, type, open0 : ((cartrealq171382 > $o) > $o)).
thf(copen, type, open : ((cartrealq169289 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealq171382),G:(a > cartrealq171382)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCENTREu_INu_BALL, axiom, ![X:cartrealq171382,E:real]:((in @ X @ (ball @ (c_0 @ X @ E))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aDISTu_SYM, axiom, ![X:cartrealq171382,Y:cartrealq171382]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_BALL, axiom, ![X:cartrealq171382,Y:cartrealq171382,E:real]:((in @ Y @ (ball @ (c_0 @ X @ E))) <=> (realu_lt @ (distance @ (c_ @ X @ Y)) @ E))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_BALL, axiom, ![X:cartrealq169289,E:real]:(open @ (ball0 @ (c_1 @ X @ E)))).
thf(aTRUTH, axiom, $true).
thf(alimitu_pointu_of, axiom, ![X:cartrealq171382,S:(cartrealq171382 > $o)]:((limitu_pointu_of @ X @ S) <=> ![T:(cartrealq171382 > $o)]:(((in @ X @ T) & (open0 @ T)) => ?[Y:cartrealq171382]:(~ ((Y = X)) & (in @ Y @ S) & (in @ Y @ T))))).
thf(aopenu_def, axiom, ![S:(cartrealq171382 > $o)]:((open0 @ S) <=> ![X:cartrealq171382]:((in @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![XI_:cartrealq171382]:((realu_lt @ (distance @ (c_ @ XI_ @ X)) @ E) => (in @ XI_ @ S)))))).
thf(conjecture, conjecture, ![X:cartrealq171382,S:(cartrealq171382 > $o)]:((limitu_pointu_of @ X @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[XI_:cartrealq171382]:((in @ XI_ @ S) & ~ ((XI_ = X)) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ E))))).
