%   ORIGINAL: LIMPT_APPROACHABLE_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: APPROACHABLE_LT_LE: !P f. (?d. &0 < d /\ (!x. f x < d ==> P x)) <=> (?d. &0 < d /\ (!x. f x <= d ==> P x))
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: LIMPT_APPROACHABLE: !x s. x limit_point_of s <=> (!e. &0 < e ==> (?x'. x' IN s /\ ~(x' = x) /\ dist (x',x) < e))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !x s. x limit_point_of s <=> (!e. &0 < e ==> (?x'. x' IN s /\ ~(x' = x) /\ dist (x',x) <= e))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !P f. (?d. &0 < d /\ (!x. f x < d ==> P x)) <=> (?d. &0 < d /\ (!x. f x <= d ==> P x))
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x s. x limit_point_of s <=> (!e. &0 < e ==> (?x'. x' IN s /\ ~(x' = x) /\ dist (x',x) < e))
% Assm: ~F <=> T
% Assm: T
% Goal: !x s. x limit_point_of s <=> (!e. &0 < e ==> (?x'. x' IN s /\ ~(x' = x) /\ dist (x',x) <= e))
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq171455, type, cartrealq171455 : $tType).
thf(tq171455, type, q171455 : $tType).
thf(ta, type, a : $tType).
thf(tprodcartrealq171455cartrealq171455, type, prodcartrealq171455cartrealq171455 : $tType).
thf(treal, type, real : $tType).
thf(tq93991, type, q93991 : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealq171455cartrealq171455 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealq171455 > (cartrealq171455 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(climituu_pointuu_of, type, limitu_pointu_of : (cartrealq171455 > (cartrealq171455 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealq171455 > cartrealq171455 > prodcartrealq171455cartrealq171455)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealq171455),G:(a > cartrealq171455)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aAPPROACHABLEu_LTu_LE, axiom, ![P:(q93991 > $o),F:(q93991 > real)]:(?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:q93991]:((realu_lt @ (F @ X) @ D) => (P @ X))) <=> ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:q93991]:((realu_le @ (F @ X) @ D) => (P @ X))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLIMPTu_APPROACHABLE, axiom, ![X:cartrealq171455,S:(cartrealq171455 > $o)]:((limitu_pointu_of @ X @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[XI_:cartrealq171455]:((in @ XI_ @ S) & ~ ((XI_ = X)) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ E))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealq171455,S:(cartrealq171455 > $o)]:((limitu_pointu_of @ X @ S) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[XI_:cartrealq171455]:((in @ XI_ @ S) & ~ ((XI_ = X)) & (realu_le @ (distance @ (c_ @ XI_ @ X)) @ E))))).
