%   ORIGINAL: SUBSET_CLOSURE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSURE_HULL: !s. closure s = closed hull s
% Assm: HULL_MONO: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: TRUTH: T
% Goal: !s t. s SUBSET t ==> closure s SUBSET closure t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. closure s = closed hull s
% Assm: !P s t. s SUBSET t ==> P hull s SUBSET P hull t
% Assm: T
% Goal: !s t. s SUBSET t ==> closure s SUBSET closure t
%  TYPES
thf(tq172664, type, q172664 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq172664, type, cartrealq172664 : $tType).
%  CONSTS
thf(cclosure, type, closure : ((cartrealq172664 > $o) > cartrealq172664 > $o)).
thf(csubset, type, subset : ((cartrealq172664 > $o) > (cartrealq172664 > $o) > $o)).
thf(chull, type, hull : (((cartrealq172664 > $o) > $o) > (cartrealq172664 > $o) > cartrealq172664 > $o)).
thf(cclosed, type, closed : ((cartrealq172664 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSUREu_HULL, axiom, ![S:(cartrealq172664 > $o)]:((closure @ S) = (hull @ closed @ S))).
thf(aHULLu_MONO, axiom, ![P:((cartrealq172664 > $o) > $o),S:(cartrealq172664 > $o),T:(cartrealq172664 > $o)]:((subset @ S @ T) => (subset @ (hull @ P @ S) @ (hull @ P @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq172664 > $o),T:(cartrealq172664 > $o)]:((subset @ S @ T) => (subset @ (closure @ S) @ (closure @ T)))).
