%   ORIGINAL: FRONTIER_COMPLEMENT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_COMPLEMENT: !s. closure ((:real^?173152) DIFF s) = (:real^?173152) DIFF interior s
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERIOR_COMPLEMENT: !s. interior ((:real^?173189) DIFF s) = (:real^?173189) DIFF closure s
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: frontier: !s. frontier s = closure s DIFF interior s
% Goal: !s. frontier ((:real^?173545) DIFF s) = frontier s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. closure ((:real^?173545) DIFF s) = (:real^?173545) DIFF interior s
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s. interior ((:real^?173545) DIFF s) = (:real^?173545) DIFF closure s
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x. x IN (:real^?173545)
% Assm: ~F <=> T
% Assm: T
% Assm: !s. frontier s = closure s DIFF interior s
% Goal: !s. frontier ((:real^?173545) DIFF s) = frontier s
%  TYPES
thf(tq173545, type, q173545 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq173545, type, cartrealq173545 : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealq173545 > (cartrealq173545 > $o) > $o)).
thf(cinterior, type, interior : ((cartrealq173545 > $o) > cartrealq173545 > $o)).
thf(cclosure, type, closure : ((cartrealq173545 > $o) > cartrealq173545 > $o)).
thf(cfrontier, type, frontier : ((cartrealq173545 > $o) > cartrealq173545 > $o)).
thf(cdiff, type, diff : ((cartrealq173545 > $o) > (cartrealq173545 > $o) > cartrealq173545 > $o)).
thf(cuniv, type, univ : (cartrealq173545 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq173545 > $o),G:(a > cartrealq173545 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_COMPLEMENT, axiom, ![S:(cartrealq173545 > $o)]:((closure @ (diff @ univ @ S)) = (diff @ univ @ (interior @ S)))).
thf(aEXTENSION, axiom, ![S:(cartrealq173545 > $o),T:(cartrealq173545 > $o)]:((S = T) <=> ![X:cartrealq173545]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINTERIORu_COMPLEMENT, axiom, ![S:(cartrealq173545 > $o)]:((interior @ (diff @ univ @ S)) = (diff @ univ @ (closure @ S)))).
thf(aINu_DIFF, axiom, ![S:(cartrealq173545 > $o),T:(cartrealq173545 > $o),X:cartrealq173545]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_UNIV, axiom, ![X:cartrealq173545]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(afrontier, axiom, ![S:(cartrealq173545 > $o)]:((frontier @ S) = (diff @ (closure @ S) @ (interior @ S)))).
thf(conjecture, conjecture, ![S:(cartrealq173545 > $o)]:((frontier @ (diff @ univ @ S)) = (frontier @ S))).
