%   ORIGINAL: ALWAYS_EVENTUALLY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: eventually: !net p. eventually p net <=> trivial_limit net \/ (?y. (?x. netord net x y) /\ (!x. netord net x y ==> p x))
% Assm: trivial_limit: !net. trivial_limit net <=> (!a b. a = b) \/ (?a b. ~(a = b) /\ (!x. ~netord net x a /\ ~netord net x b))
% Goal: (!x. p x) ==> eventually p net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !net p. eventually p net <=> trivial_limit net \/ (?y. (?x. netord net x y) /\ (!x. netord net x y ==> p x))
% Assm: !net. trivial_limit net <=> (!a b. a = b) \/ (?a b. ~(a = b) /\ (!x. ~netord net x a /\ ~netord net x b))
% Goal: !net p. (!x. p x) ==> eventually p net
%  TYPES
thf(tnetq174927, type, netq174927 : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq174927, type, q174927 : $tType).
%  CONSTS
thf(ceventually, type, eventually : ((q174927 > $o) > netq174927 > $o)).
thf(cnetord0, type, netord0 : (neta > a > a > $o)).
thf(cnetord, type, netord : (netq174927 > q174927 > q174927 > $o)).
thf(ctrivialuu_limit0, type, trivialu_limit0 : (neta > $o)).
thf(ctrivialuu_limit, type, trivialu_limit : (netq174927 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aeventually, axiom, ![NET:netq174927,P:(q174927 > $o)]:((eventually @ P @ NET) <=> ((trivialu_limit @ NET) | ?[Y:q174927]:(?[X:q174927]:(netord @ NET @ X @ Y) & ![X:q174927]:((netord @ NET @ X @ Y) => (P @ X)))))).
thf(atrivialu_limit, axiom, ![NET:neta]:((trivialu_limit0 @ NET) <=> (![A:a,B:a]:(A = B) | ?[A:a,B:a]:(~ ((A = B)) & ![X:a]:(~ ((netord0 @ NET @ X @ A)) & ~ ((netord0 @ NET @ X @ B))))))).
thf(conjecture, conjecture, ![NET:netq174927,P:(q174927 > $o)]:(![X:q174927]:(P @ X) => (eventually @ P @ NET))).
