%   ORIGINAL: CBALL_EMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CBALL_EQ_EMPTY: !x e. cball (x,e) = {} <=> e < &0
% Assm: TRUTH: T
% Goal: !x e. e < &0 ==> cball (x,e) = {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x e. cball (x,e) = {} <=> e < &0
% Assm: T
% Goal: !x e. e < &0 ==> cball (x,e) = {}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq181339, type, cartrealq181339 : $tType).
thf(tprodcartrealq181339real, type, prodcartrealq181339real : $tType).
thf(treal, type, real : $tType).
thf(tq181339, type, q181339 : $tType).
%  CONSTS
thf(ccball, type, cball : (prodcartrealq181339real > cartrealq181339 > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccu_, type, c_ : (cartrealq181339 > real > prodcartrealq181339real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (cartrealq181339 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq181339 > $o),G:(a > cartrealq181339 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCBALLu_EQu_EMPTY, axiom, ![X:cartrealq181339,E:real]:(((cball @ (c_ @ X @ E)) = empty) <=> (realu_lt @ E @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealq181339,E:real]:((realu_lt @ E @ (realu_ofu_num @ (numeral @ u_0))) => ((cball @ (c_ @ X @ E)) = empty))).
