%   ORIGINAL: CBALL_SING
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CBALL_EQ_SING: !x e. cball (x,e) = {x} <=> e = &0
% Assm: TRUTH: T
% Goal: !x e. e = &0 ==> cball (x,e) = {x}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x e. cball (x,e) = {x} <=> e = &0
% Assm: T
% Goal: !x e. e = &0 ==> cball (x,e) = {x}
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq181464, type, cartrealq181464 : $tType).
thf(tq181464, type, q181464 : $tType).
thf(ta, type, a : $tType).
thf(tprodcartrealq181464real, type, prodcartrealq181464real : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(ccball, type, cball : (prodcartrealq181464real > cartrealq181464 > $o)).
thf(cinsert, type, insert : (cartrealq181464 > (cartrealq181464 > $o) > cartrealq181464 > $o)).
thf(ccu_, type, c_ : (cartrealq181464 > real > prodcartrealq181464real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cempty, type, empty : (cartrealq181464 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealq181464 > $o),G:(a > cartrealq181464 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCBALLu_EQu_SING, axiom, ![X:cartrealq181464,E:real]:(((cball @ (c_ @ X @ E)) = (insert @ X @ empty)) <=> (E = (realu_ofu_num @ (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealq181464,E:real]:((E = (realu_ofu_num @ (numeral @ u_0))) => ((cball @ (c_ @ X @ E)) = (insert @ X @ empty)))).
