%   ORIGINAL: CONTINUOUS_AT_IMP_CONTINUOUS_ON
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: continuous_at: f continuous at x <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. dist (x',x) < d ==> dist (f x',f x) < e)))
% Assm: continuous_on: !s f. f continuous_on s <=> (!x. x IN s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e))))
% Goal: !f s. (!x. x IN s ==> f continuous at x) ==> f continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !f x. f continuous at x <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. dist (x',x) < d ==> dist (f x',f x) < e)))
% Assm: !s f. f continuous_on s <=> (!x. x IN s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e))))
% Goal: !f s. (!x. x IN s ==> f continuous at x) ==> f continuous_on s
%  TYPES
thf(tnum, type, num : $tType).
thf(tq188648, type, q188648 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq188641, type, cartrealq188641 : $tType).
thf(tb, type, b : $tType).
thf(tprodcartrealq188648cartrealq188648, type, prodcartrealq188648cartrealq188648 : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealq188648, type, netcartrealq188648 : $tType).
thf(tcartrealq188648, type, cartrealq188648 : $tType).
thf(tprodcartrealq188641cartrealq188641, type, prodcartrealq188641cartrealq188641 : $tType).
thf(tq188641, type, q188641 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealq188648 > netcartrealq188648)).
thf(cdistance0, type, distance0 : (prodcartrealq188641cartrealq188641 > real)).
thf(cdistance, type, distance : (prodcartrealq188648cartrealq188648 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealq188648 > cartrealq188641) > (cartrealq188648 > $o) > $o)).
thf(ccontinuous, type, continuous : ((cartrealq188648 > cartrealq188641) > netcartrealq188648 > $o)).
thf(cin, type, in : (cartrealq188648 > (cartrealq188648 > $o) > $o)).
thf(ccu_0, type, c_0 : (cartrealq188641 > cartrealq188641 > prodcartrealq188641cartrealq188641)).
thf(ccu_, type, c_ : (cartrealq188648 > cartrealq188648 > prodcartrealq188648cartrealq188648)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acontinuousu_at, axiom, ![F:(cartrealq188648 > cartrealq188641),X:cartrealq188648]:((continuous @ F @ (at @ X)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealq188648]:((realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D) => (realu_lt @ (distance0 @ (c_0 @ (F @ XI_) @ (F @ X))) @ E)))))).
thf(acontinuousu_on, axiom, ![S:(cartrealq188648 > $o),F:(cartrealq188648 > cartrealq188641)]:((continuousu_on @ F @ S) <=> ![X:cartrealq188648]:((in @ X @ S) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealq188648]:(((in @ XI_ @ S) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D)) => (realu_lt @ (distance0 @ (c_0 @ (F @ XI_) @ (F @ X))) @ E))))))).
thf(conjecture, conjecture, ![F:(cartrealq188648 > cartrealq188641),S:(cartrealq188648 > $o)]:(![X:cartrealq188648]:((in @ X @ S) => (continuous @ F @ (at @ X))) => (continuousu_on @ F @ S))).
