%   ORIGINAL: CONTINUOUS_ON
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_ON_EQ_CONTINUOUS_WITHIN: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: CONTINUOUS_WITHIN: !f x. f continuous at x within s <=> (f --> f x) (at x within s)
% Assm: TRUTH: T
% Goal: !f s. f continuous_on s <=> (!x. x IN s ==> (f --> f x) (at x within s))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: !s f x. f continuous at x within s <=> (f --> f x) (at x within s)
% Assm: T
% Goal: !f s. f continuous_on s <=> (!x. x IN s ==> (f --> f x) (at x within s))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq188695, type, cartrealq188695 : $tType).
thf(treal, type, real : $tType).
thf(tq188695, type, q188695 : $tType).
thf(tnetcartrealn, type, netcartrealn : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn > netcartrealn)).
thf(ccontinuous, type, continuous : ((cartrealn > cartrealq188695) > netcartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealq188695) > (cartrealn > $o) > $o)).
thf(cwithin, type, within : (netcartrealn > (cartrealn > $o) > netcartrealn)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealn > cartrealq188695) > cartrealq188695 > netcartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ONu_EQu_CONTINUOUSu_WITHIN, axiom, ![F:(cartrealn > cartrealq188695),S:(cartrealn > $o)]:((continuousu_on @ F @ S) <=> ![X:cartrealn]:((in @ X @ S) => (continuous @ F @ (within @ (at @ X) @ S))))).
thf(aCONTINUOUSu_WITHIN, axiom, ![S:(cartrealn > $o),F:(cartrealn > cartrealq188695),X:cartrealn]:((continuous @ F @ (within @ (at @ X) @ S)) <=> (m_m_g_ @ F @ (F @ X) @ (within @ (at @ X) @ S)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealn > cartrealq188695),S:(cartrealn > $o)]:((continuousu_on @ F @ S) <=> ![X:cartrealn]:((in @ X @ S) => (m_m_g_ @ F @ (F @ X) @ (within @ (at @ X) @ S))))).
