%   ORIGINAL: CONTINUOUS_ON_CONST
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_CONST: !net c. (\x. c) continuous net
% Assm: CONTINUOUS_ON_EQ_CONTINUOUS_WITHIN: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: TRUTH: T
% Goal: !s c. (\x. c) continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net c. (\x. c) continuous net
% Assm: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: T
% Goal: !s c. (\x. c) continuous_on s
%  TYPES
thf(tq189746, type, q189746 : $tType).
thf(tcartrealq189747, type, cartrealq189747 : $tType).
thf(tq189747, type, q189747 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetq189413, type, netq189413 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq189746, type, cartrealq189746 : $tType).
thf(tcartrealq189410, type, cartrealq189410 : $tType).
thf(tnetcartrealq189747, type, netcartrealq189747 : $tType).
thf(tq189410, type, q189410 : $tType).
thf(tq189413, type, q189413 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealq189747 > netcartrealq189747)).
thf(ccontinuous0, type, continuous0 : ((cartrealq189747 > cartrealq189746) > netcartrealq189747 > $o)).
thf(cin, type, in : (cartrealq189747 > (cartrealq189747 > $o) > $o)).
thf(ccontinuous, type, continuous : ((q189413 > cartrealq189410) > netq189413 > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealq189747 > cartrealq189746) > (cartrealq189747 > $o) > $o)).
thf(cwithin, type, within : (netcartrealq189747 > (cartrealq189747 > $o) > netcartrealq189747)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_CONST, axiom, ![NET:netq189413,C:cartrealq189410]:(continuous @ ^[X:q189413]:C @ NET)).
thf(aCONTINUOUSu_ONu_EQu_CONTINUOUSu_WITHIN, axiom, ![F:(cartrealq189747 > cartrealq189746),S:(cartrealq189747 > $o)]:((continuousu_on @ F @ S) <=> ![X:cartrealq189747]:((in @ X @ S) => (continuous0 @ F @ (within @ (at @ X) @ S))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq189747 > $o),C:cartrealq189746]:(continuousu_on @ ^[X:cartrealq189747]:C @ S)).
