%   ORIGINAL: CONTINUOUS_ON_VSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_ON_EQ_CONTINUOUS_WITHIN: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: CONTINUOUS_VSUM: !net f s. FINITE s /\ (!a. a IN s ==> f a continuous net) ==> (\x. vsum s (\a. f a x)) continuous net
% Assm: TRUTH: T
% Goal: !t f s. FINITE s /\ (!a. a IN s ==> f a continuous_on t) ==> (\x. vsum s (\a. f a x)) continuous_on t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: !net f s. FINITE s /\ (!a. a IN s ==> f a continuous net) ==> (\x. vsum s (\a. f a x)) continuous net
% Assm: T
% Goal: !t f s. FINITE s /\ (!a. a IN s ==> f a continuous_on t) ==> (\x. vsum s (\a. f a x)) continuous_on t
%  TYPES
thf(tq189733, type, q189733 : $tType).
thf(tq190054, type, q190054 : $tType).
thf(tnetcartrealq190060, type, netcartrealq190060 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetq189733, type, netq189733 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq190054, type, cartrealq190054 : $tType).
thf(tcartrealq190060, type, cartrealq190060 : $tType).
thf(tq190070, type, q190070 : $tType).
thf(tq190060, type, q190060 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealq190060 > netcartrealq190060)).
thf(ccontinuous0, type, continuous0 : ((q189733 > cartrealq190054) > netq189733 > $o)).
thf(ccontinuous, type, continuous : ((cartrealq190060 > cartrealq190054) > netcartrealq190060 > $o)).
thf(cin0, type, in0 : (cartrealq190060 > (cartrealq190060 > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealq190060 > cartrealq190054) > (cartrealq190060 > $o) > $o)).
thf(cin, type, in : (q190070 > (q190070 > $o) > $o)).
thf(cwithin, type, within : (netcartrealq190060 > (cartrealq190060 > $o) > netcartrealq190060)).
thf(cvsum, type, vsum : ((q190070 > $o) > (q190070 > cartrealq190054) > cartrealq190054)).
thf(cfinite, type, finite : ((q190070 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ONu_EQu_CONTINUOUSu_WITHIN, axiom, ![F:(cartrealq190060 > cartrealq190054),S:(cartrealq190060 > $o)]:((continuousu_on @ F @ S) <=> ![X:cartrealq190060]:((in0 @ X @ S) => (continuous @ F @ (within @ (at @ X) @ S))))).
thf(aCONTINUOUSu_VSUM, axiom, ![NET:netq189733,F:(q190070 > q189733 > cartrealq190054),S:(q190070 > $o)]:(((finite @ S) & ![A:q190070]:((in @ A @ S) => (continuous0 @ (F @ A) @ NET))) => (continuous0 @ ^[X:q189733]:(vsum @ S @ ^[A:q190070]:(F @ A @ X)) @ NET))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![T:(cartrealq190060 > $o),F:(q190070 > cartrealq190060 > cartrealq190054),S:(q190070 > $o)]:(((finite @ S) & ![A:q190070]:((in @ A @ S) => (continuousu_on @ (F @ A) @ T))) => (continuousu_on @ ^[X:cartrealq190060]:(vsum @ S @ ^[A:q190070]:(F @ A @ X)) @ T))).
