%   ORIGINAL: CONTINUOUS_ON_ID
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: continuous_on: !s f. f continuous_on s <=> (!x. x IN s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e))))
% Goal: !s. (\x. x) continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !s f. f continuous_on s <=> (!x. x IN s ==> (!e. &0 < e ==> (?d. &0 < d /\ (!x'. x' IN s /\ dist (x',x) < d ==> dist (f x',f x) < e))))
% Goal: !s. (\x. x) continuous_on s
%  TYPES
thf(tcartrealq190317, type, cartrealq190317 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq190317, type, q190317 : $tType).
thf(tprodcartrealq190317cartrealq190317, type, prodcartrealq190317cartrealq190317 : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealq190317cartrealq190317 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealq190317 > (cartrealq190317 > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealq190317 > cartrealq190317) > (cartrealq190317 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealq190317 > cartrealq190317 > prodcartrealq190317cartrealq190317)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acontinuousu_on, axiom, ![S:(cartrealq190317 > $o),F:(cartrealq190317 > cartrealq190317)]:((continuousu_on @ F @ S) <=> ![X:cartrealq190317]:((in @ X @ S) => ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![XI_:cartrealq190317]:(((in @ XI_ @ S) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D)) => (realu_lt @ (distance @ (c_ @ (F @ XI_) @ (F @ X))) @ E))))))).
thf(conjecture, conjecture, ![S:(cartrealq190317 > $o)]:(continuousu_on @ ^[X:cartrealq190317]:X @ S)).
