%   ORIGINAL: CONTINUOUS_AT_AVOID
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_WITHIN_AVOID: !f x s a. f continuous at x within s /\ x IN s /\ ~(f x = a) ==> (?e. &0 < e /\ (!y. y IN s /\ dist (x,y) < e ==> ~(f y = a)))
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: TRUTH: T
% Assm: WITHIN_UNIV: !x. at x within (:real^N) = at x
% Goal: !f x a. f continuous at x /\ ~(f x = a) ==> (?e. &0 < e /\ (!y. dist (x,y) < e ==> ~(f y = a)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f x s a. f continuous at x within s /\ x IN s /\ ~(f x = a) ==> (?e. &0 < e /\ (!y. y IN s /\ dist (x,y) < e ==> ~(f y = a)))
% Assm: !x. x IN (:A)
% Assm: T
% Assm: !x. at x within (:real^M) = at x
% Goal: !f x a. f continuous at x /\ ~(f x = a) ==> (?e. &0 < e /\ (!y. dist (x,y) < e ==> ~(f y = a)))
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cdistance, type, distance : (prodcartrealmcartrealm > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccontinuous, type, continuous : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv0, type, univ0 : (cartrealm > $o)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_WITHINu_AVOID, axiom, ![F:(cartrealm > cartrealn),X:cartrealm,S:(cartrealm > $o),A:cartrealn]:(((continuous @ F @ (within @ (at @ X) @ S)) & (in @ X @ S) & ~ (((F @ X) = A))) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![Y:cartrealm]:(((in @ Y @ S) & (realu_lt @ (distance @ (c_ @ X @ Y)) @ E)) => ~ (((F @ Y) = A)))))).
thf(aINu_UNIV, axiom, ![X:a]:(in0 @ X @ univ)).
thf(aTRUTH, axiom, $true).
thf(aWITHINu_UNIV, axiom, ![X:cartrealm]:((within @ (at @ X) @ univ0) = (at @ X))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),X:cartrealm,A:cartrealn]:(((continuous @ F @ (at @ X)) & ~ (((F @ X) = A))) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![Y:cartrealm]:((realu_lt @ (distance @ (c_ @ X @ Y)) @ E) => ~ (((F @ Y) = A)))))).
