%   ORIGINAL: CONTINUOUS_ON_AVOID
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_ON_EQ_CONTINUOUS_WITHIN: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: CONTINUOUS_WITHIN_AVOID: !f x s a. f continuous at x within s /\ x IN s /\ ~(f x = a) ==> (?e. &0 < e /\ (!y. y IN s /\ dist (x,y) < e ==> ~(f y = a)))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f x s a. f continuous_on s /\ x IN s /\ ~(f x = a) ==> (?e. &0 < e /\ (!y. y IN s /\ dist (x,y) < e ==> ~(f y = a)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: !f x s a. f continuous at x within s /\ x IN s /\ ~(f x = a) ==> (?e. &0 < e /\ (!y. y IN s /\ dist (x,y) < e ==> ~(f y = a)))
% Assm: ~F <=> T
% Assm: T
% Goal: !f x s a. f continuous_on s /\ x IN s /\ ~(f x = a) ==> (?e. &0 < e /\ (!y. y IN s /\ dist (x,y) < e ==> ~(f y = a)))
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tnetcartrealm, type, netcartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cat, type, at : (cartrealm > netcartrealm)).
thf(ccontinuous, type, continuous : ((cartrealm > cartrealn) > netcartrealm > $o)).
thf(cdistance, type, distance : (prodcartrealmcartrealm > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cwithin, type, within : (netcartrealm > (cartrealm > $o) > netcartrealm)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ONu_EQu_CONTINUOUSu_WITHIN, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((continuousu_on @ F @ S) <=> ![X:cartrealm]:((in @ X @ S) => (continuous @ F @ (within @ (at @ X) @ S))))).
thf(aCONTINUOUSu_WITHINu_AVOID, axiom, ![F:(cartrealm > cartrealn),X:cartrealm,S:(cartrealm > $o),A:cartrealn]:(((continuous @ F @ (within @ (at @ X) @ S)) & (in @ X @ S) & ~ (((F @ X) = A))) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![Y:cartrealm]:(((in @ Y @ S) & (realu_lt @ (distance @ (c_ @ X @ Y)) @ E)) => ~ (((F @ Y) = A)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),X:cartrealm,S:(cartrealm > $o),A:cartrealn]:(((continuousu_on @ F @ S) & (in @ X @ S) & ~ (((F @ X) = A))) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![Y:cartrealm]:(((in @ Y @ S) & (realu_lt @ (distance @ (c_ @ X @ Y)) @ E)) => ~ (((F @ Y) = A)))))).
