%   ORIGINAL: CONNECTED_COMPONENT_EMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_COMPONENT_EQ_EMPTY: !s x. connected_component s x = {} <=> ~(x IN s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !x. connected_component {} x = {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x. connected_component s x = {} <=> ~(x IN s)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !x. connected_component {} x = {}
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq198651, type, cartrealq198651 : $tType).
thf(tq198651, type, q198651 : $tType).
%  CONSTS
thf(cin, type, in : (cartrealq198651 > (cartrealq198651 > $o) > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealq198651 > $o) > cartrealq198651 > cartrealq198651 > $o)).
thf(cempty, type, empty : (cartrealq198651 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq198651 > $o),G:(a > cartrealq198651 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_COMPONENTu_EQu_EMPTY, axiom, ![S:(cartrealq198651 > $o),X:cartrealq198651]:(((connectedu_component @ S @ X) = empty) <=> ~ ((in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq198651]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealq198651]:((connectedu_component @ empty @ X) = empty)).
