%   ORIGINAL: CLOSED_COMPONENTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_CONNECTED_COMPONENT: !s x. closed s ==> closed (connected_component s x)
% Assm: FORALL_IN_GSPEC_conjunct0: !P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: TRUTH: T
% Assm: components: !s. components s = {connected_component s x | x | x IN s}
% Goal: !s c. closed s /\ c IN components s ==> closed c
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s x. closed s ==> closed (connected_component s x)
% Assm: !Q P f. (!z. z IN {f x | P x} ==> Q z) <=> (!x. P x ==> Q (f x))
% Assm: T
% Assm: !s. components s = {connected_component s x | x | x IN s}
% Goal: !s c. closed s /\ c IN components s ==> closed c
%  TYPES
thf(tcartrealq199820, type, cartrealq199820 : $tType).
thf(tq199820, type, q199820 : $tType).
thf(tq48167, type, q48167 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(cin0, type, in0 : (cartrealq199820 > (cartrealq199820 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealq199820 > $o) > $o) > (cartrealq199820 > $o) > $o)).
thf(ccomponents, type, components : ((cartrealq199820 > $o) > (cartrealq199820 > $o) > $o)).
thf(cin, type, in : ((cartrealq199820 > $o) > ((cartrealq199820 > $o) > $o) > $o)).
thf(csetspec, type, setspec : ((cartrealq199820 > $o) > $o > (cartrealq199820 > $o) > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealq199820 > $o) > cartrealq199820 > cartrealq199820 > $o)).
thf(cclosed, type, closed : ((cartrealq199820 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_CONNECTEDu_COMPONENT, axiom, ![S:(cartrealq199820 > $o),X:cartrealq199820]:((closed @ S) => (closed @ (connectedu_component @ S @ X)))).
thf(aFORALLu_INu_GSPECu_conjunct0, axiom, ![Q:((cartrealq199820 > $o) > $o),P:(q48167 > $o),F:(q48167 > cartrealq199820 > $o)]:(![Z:(cartrealq199820 > $o)]:((in @ Z @ (gspec @ ^[GENR_PVARR_20:(cartrealq199820 > $o)]:?[X:q48167]:(setspec @ GENR_PVARR_20 @ (P @ X) @ (F @ X)))) => (Q @ Z)) <=> ![X:q48167]:((P @ X) => (Q @ (F @ X))))).
thf(aTRUTH, axiom, $true).
thf(acomponents, axiom, ![S:(cartrealq199820 > $o)]:((components @ S) = (gspec @ ^[GENR_PVARR_594:(cartrealq199820 > $o)]:?[X:cartrealq199820]:(setspec @ GENR_PVARR_594 @ (in0 @ X @ S) @ (connectedu_component @ S @ X))))).
thf(conjecture, conjecture, ![S:(cartrealq199820 > $o),C:(cartrealq199820 > $o)]:(((closed @ S) & (in @ C @ (components @ S))) => (closed @ C))).
