%   ORIGINAL: LIM_VMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIM_CONST: !net a. ((\x. a) --> a) net
% Assm: LIM_MUL: !net f l c d. (lift o c --> lift d) net /\ (f --> l) net ==> ((\x. c x % f x) --> d % l) net
% Assm: TRUTH: T
% Goal: !net c d v. (lift o c --> lift d) net ==> ((\x. c x % v) --> d % v) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net a. ((\x. a) --> a) net
% Assm: !net a. ((\x. a) --> a) net
% Assm: !net f l c d. (lift o c --> lift d) net /\ (f --> l) net ==> ((\x. c x % f x) --> d % l) net
% Assm: T
% Goal: !net c d v. (lift o c --> lift d) net ==> ((\x. c x % v) --> d % v) net
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tneta, type, neta : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clift, type, lift : (real > cartrealn1)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((a > cartrealn) > cartrealn > neta > $o)).
thf(co, type, o : ((real > cartrealn1) > (a > real) > a > cartrealn1)).
thf(cmu_mu_gu_, type, m_m_g_ : ((a > cartrealn1) > cartrealn1 > neta > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIMu_CONSTu_monomorphized1, axiom, ![NET:neta,A:cartrealn1]:(m_m_g_ @ ^[X:a]:A @ A @ NET)).
thf(aLIMu_CONSTu_monomorphized0, axiom, ![NET:neta,A:cartrealn]:(m_m_g_0 @ ^[X:a]:A @ A @ NET)).
thf(aLIMu_MUL, axiom, ![NET:neta,F:(a > cartrealn),L:cartrealn,C:(a > real),D:real]:(((m_m_g_ @ (o @ lift @ C) @ (lift @ D) @ NET) & (m_m_g_0 @ F @ L @ NET)) => (m_m_g_0 @ ^[X:a]:(r_ @ (C @ X) @ (F @ X)) @ (r_ @ D @ L) @ NET))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![NET:neta,C:(a > real),D:real,V:cartrealn]:((m_m_g_ @ (o @ lift @ C) @ (lift @ D) @ NET) => (m_m_g_0 @ ^[X:a]:(r_ @ (C @ X) @ V) @ (r_ @ D @ V) @ NET))).
