%   ORIGINAL: FINITE_INTERVAL_1_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_IMAGE_INJ_EQ: !f s. (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y) ==> (FINITE (IMAGE f s) <=> FINITE s)
% Assm: FINITE_REAL_INTERVAL_conjunct7: !a b. FINITE {x | a <= x /\ x <= b} <=> b <= a
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTERVAL_1: !a b x. (x IN interval [a,b] <=> drop a <= drop x /\ drop x <= drop b) /\ (x IN interval (a,b) <=> drop a < drop x /\ drop x < drop b)
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: LIFT_EQ: !x y. lift x = lift y <=> x = y
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SURJECTIVE_IMAGE_EQ: !s t. (!y. y IN t ==> (?x. f x = y)) /\ (!x. f x IN t <=> x IN s) ==> IMAGE f s = t
% Assm: TRUTH: T
% Goal: !a b. FINITE (interval [a,b]) <=> drop b <= drop a
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s. (!x y. x IN s /\ y IN s /\ (f x <=> f y) ==> (x <=> y)) ==> (FINITE (IMAGE f s) <=> FINITE s)
% Assm: !a b. FINITE {x | a <= x /\ x <= b} <=> b <= a
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !a b x. (x IN interval [a,b] <=> drop a <= drop x /\ drop x <= drop b) /\ (x IN interval (a,b) <=> drop a < drop x /\ drop x < drop b)
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: !x y. lift x = lift y <=> x = y
% Assm: ~F <=> T
% Assm: !f s t. (!y. y IN t ==> (?x. f x <=> y)) /\ (!x. f x IN t <=> x IN s) ==> IMAGE f s = t
% Assm: T
% Goal: !a b. FINITE (interval [a,b]) <=> drop b <= drop a
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn1, type, n1 : $tType).
thf(tq47949, type, q47949 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cin2, type, in2 : (q47949 > (q47949 > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin1, type, in1 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(cin, type, in : ($o > ($o > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cimage0, type, image0 : ((q47949 > $o) > (q47949 > $o) > $o > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(cimage, type, image : (($o > $o) > ($o > $o) > $o > $o)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cfinite1, type, finite1 : ((real > $o) > $o)).
thf(cfinite0, type, finite0 : (($o > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn1 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_IMAGEu_INJu_EQ, axiom, ![F:($o > $o),S:($o > $o)]:(![X:$o,Y:$o]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) <=> (F @ Y))) => (X <=> Y)) => ((finite0 @ (image @ F @ S)) <=> (finite0 @ S)))).
thf(aFINITEu_REALu_INTERVALu_conjunct7, axiom, ![A:real,B:real]:((finite1 @ (gspec @ ^[GENR_PVARR_128:real]:?[X:real]:(setspec @ GENR_PVARR_128 @ ((realu_le @ A @ X) & (realu_le @ X @ B)) @ X))) <=> (realu_le @ B @ A))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTERVALu_1, axiom, ![A:cartrealn1,B:cartrealn1,X:cartrealn1]:(((in1 @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ((realu_le @ (drop @ A) @ (drop @ X)) & (realu_le @ (drop @ X) @ (drop @ B)))) & ((in1 @ X @ (openu_interval @ (c_ @ A @ B))) <=> ((realu_lt @ (drop @ A) @ (drop @ X)) & (realu_lt @ (drop @ X) @ (drop @ B)))))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aLIFTu_EQ, axiom, ![X:real,Y:real]:(((lift @ X) = (lift @ Y)) <=> (X = Y))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSURJECTIVEu_IMAGEu_EQ, axiom, ![F:(q47949 > $o),S:(q47949 > $o),T:($o > $o)]:((![Y:$o]:((in @ Y @ T) => ?[X:q47949]:((F @ X) <=> Y)) & ![X:q47949]:((in @ (F @ X) @ T) <=> (in2 @ X @ S))) => ((image0 @ F @ S) = T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn1,B:cartrealn1]:((finite @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> (realu_le @ (drop @ B) @ (drop @ A)))).
