%   ORIGINAL: SUMMABLE_NEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SERIES_NEG: !x x0 s. (x sums x0) s ==> ((\n. --x n) sums --x0) s
% Assm: TRUTH: T
% Assm: summable: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !x s. summable s x ==> summable s (\n. --x n)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x x0 s. (x sums x0) s ==> ((\n. --x n) sums --x0) s
% Assm: T
% Assm: !f s. summable s f <=> (?l. (f sums l) s)
% Goal: !x s. summable s x ==> summable s (\n. --x n)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq230020, type, cartrealq230020 : $tType).
thf(treal, type, real : $tType).
thf(tq230020, type, q230020 : $tType).
%  CONSTS
thf(cvectoruu_neg, type, vectoru_neg : (cartrealq230020 > cartrealq230020)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealq230020) > $o)).
thf(csums, type, sums : ((num > cartrealq230020) > cartrealq230020 > (num > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSERIESu_NEG, axiom, ![X:(num > cartrealq230020),X0:cartrealq230020,S:(num > $o)]:((sums @ X @ X0 @ S) => (sums @ ^[N:num]:(vectoru_neg @ (X @ N)) @ (vectoru_neg @ X0) @ S))).
thf(aTRUTH, axiom, $true).
thf(asummable, axiom, ![F:(num > cartrealq230020),S:(num > $o)]:((summable @ S @ F) <=> ?[L:cartrealq230020]:(sums @ F @ L @ S))).
thf(conjecture, conjecture, ![X:(num > cartrealq230020),S:(num > $o)]:((summable @ S @ X) => (summable @ S @ ^[N:num]:(vectoru_neg @ (X @ N))))).
