%   ORIGINAL: PARTIAL_SUMS_DROP_LE_INFSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: LE_REFL: !n. n <= n
% Assm: PARTIAL_SUMS_COMPONENT_LE_INFSUM: !f s k n. 1 <= k /\ k <= dimindex (:N) /\ (!i. i IN s ==> &0 <= f i$k) /\ summable s f ==> vsum (s INTER (0..n)) f$k <= infsum s f$k
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Goal: !f s n. (!i. i IN s ==> &0 <= drop (f i)) /\ summable s f ==> drop (vsum (s INTER (0..n)) f) <= drop (infsum s f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: dimindex (:1) = 1
% Assm: !n. n <= n
% Assm: !f s k n. 1 <= k /\ k <= dimindex (:1) /\ (!i. i IN s ==> &0 <= f i$k) /\ summable s f ==> vsum (s INTER (0..n)) f$k <= infsum s f$k
% Assm: T
% Assm: !x. drop x = x$1
% Goal: !f s n. (!i. i IN s ==> &0 <= drop (f i)) /\ summable s f ==> drop (vsum (s INTER (0..n)) f) <= drop (infsum s f)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn1) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(cinfsum, type, infsum : ((num > $o) > (num > cartrealn1) > cartrealn1)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn1) > cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv, type, univ : (n1 > $o)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aPARTIALu_SUMSu_COMPONENTu_LEu_INFSUM, axiom, ![F:(num > cartrealn1),S:(num > $o),K:num,N:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & ![I:num]:((in @ I @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (d_ @ (F @ I) @ K))) & (summable @ S @ F)) => (realu_le @ (d_ @ (vsum @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ K) @ (d_ @ (infsum @ S @ F) @ K)))).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_ @ X @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![F:(num > cartrealn1),S:(num > $o),N:num]:((![I:num]:((in @ I @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (drop @ (F @ I)))) & (summable @ S @ F)) => (realu_le @ (drop @ (vsum @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F)) @ (drop @ (infsum @ S @ F))))).
