%   ORIGINAL: TIETZE_CLOSED_INTERVAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: CONTINUOUS_ON_COMPONENTWISE_LIFT: !f s. f continuous_on s <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (f x$i)) continuous_on s)
% Assm: CONTINUOUS_ON_COMPOSE: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: CONTINUOUS_ON_LIFT_COMPONENT: !i s. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (x$i)) continuous_on s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INTERVAL_NE_EMPTY_conjunct0: ~(interval [a,b] = {}) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i)
% Assm: IN_INTERVAL_1: !a b x. (x IN interval [a,b] <=> drop a <= drop x /\ drop x <= drop b) /\ (x IN interval (a,b) <=> drop a < drop x /\ drop x < drop b)
% Assm: IN_INTERVAL_conjunct1: !x. x IN interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: TIETZE_CLOSED_INTERVAL_1: !f s a b. drop a <= drop b /\ closed s /\ f continuous_on s /\ (!x. x IN s ==> f x IN interval [a,b]) ==> (?g. g continuous_on (:real^N) /\ (!x. x IN s ==> g x = f x) /\ (!x. g x IN interval [a,b]))
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f s a b. ~(interval [a,b] = {}) /\ closed s /\ f continuous_on s /\ (!x. x IN s ==> f x IN interval [a,b]) ==> (?g. g continuous_on (:real^M) /\ (!x. x IN s ==> g x = f x) /\ (!x. g x IN interval [a,b]))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !f s. f continuous_on s <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (f x$i)) continuous_on s)
% Assm: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: !i s. 1 <= i /\ i <= dimindex (:real^M) ==> (\x. lift (x$i)) continuous_on s
% Assm: !t. (\x. t x) = t
% Assm: !a b. ~(interval [a,b] = {}) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i)
% Assm: !a b x. (x IN interval [a,b] <=> drop a <= drop x /\ drop x <= drop b) /\ (x IN interval (a,b) <=> drop a < drop x /\ drop x < drop b)
% Assm: !a b x. x IN interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:real^M) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:real^M) ==> (lambda) g$i = g i
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: !f s a b. drop a <= drop b /\ closed s /\ f continuous_on s /\ (!x. x IN s ==> f x IN interval [a,b]) ==> (?g. g continuous_on (:real^M) /\ (!x. x IN s ==> g x = f x) /\ (!x. g x IN interval [a,b]))
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f s a b. ~(interval [a,b] = {}) /\ closed s /\ f continuous_on s /\ (!x. x IN s ==> f x IN interval [a,b]) ==> (?g. g continuous_on (:real^M) /\ (!x. x IN s ==> g x = f x) /\ (!x. g x IN interval [a,b]))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tcartcartrealncartrealm, type, cartcartrealncartrealm : $tType).
thf(tcartfuncartrealnboolcartrealm, type, cartfuncartrealnboolcartrealm : $tType).
thf(tcartrealcartrealm, type, cartrealcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listprodcartrealn1cartrealn1).
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cuniv0, type, univ0 : (n > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(ccloseduu_interval0, type, closedu_interval0 : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin1, type, in1 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdu_0, type, d_0 : (cartrealcartrealm > num > real)).
thf(ccontinuousuu_on2, type, continuousu_on2 : ((cartrealcartrealm > cartrealn1) > (cartrealcartrealm > $o) > $o)).
thf(ccontinuousuu_on1, type, continuousu_on1 : ((cartrealn > cartrealn) > (cartrealn > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(co0, type, o0 : ((b > $o) > (cartrealn > b) > cartrealn > $o)).
thf(clambda1, type, lambda1 : ((num > cartrealn) > cartcartrealncartrealm)).
thf(cdu_2, type, d_2 : (cartcartrealncartrealm > num > cartrealn)).
thf(clambda0, type, lambda0 : ((num > cartrealn > $o) > cartfuncartrealnboolcartrealm)).
thf(cdu_1, type, d_1 : (cartfuncartrealnboolcartrealm > num > cartrealn > $o)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons0, type, cons0 : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(co, type, o : ((cartrealn > cartrealn) > (cartrealm > cartrealn) > cartrealm > cartrealn)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cuniv, type, univ : (cartrealm > $o)).
thf(cclosed, type, closed : ((cartrealm > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cdimindex0, type, dimindex0 : ((cartrealm > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ0))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONTINUOUSu_ONu_COMPONENTWISEu_LIFT, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((continuousu_on @ F @ S) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ0))) => (continuousu_on0 @ ^[X:cartrealm]:(lift @ (d_ @ (F @ X) @ I)) @ S)))).
thf(aCONTINUOUSu_ONu_COMPOSE, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealn),S:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (continuousu_on1 @ G @ (image @ F @ S))) => (continuousu_on @ (o @ G @ F) @ S))).
thf(aCONTINUOUSu_ONu_LIFTu_COMPONENT, axiom, ![I:num,S:(cartrealcartrealm > $o)]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ))) => (continuousu_on2 @ ^[X:cartrealcartrealm]:(lift @ (d_0 @ X @ I)) @ S))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aINTERVALu_NEu_EMPTYu_conjunct0, axiom, ![A:cartrealn,B:cartrealn]:(~ (((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty)) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ0))) => (realu_le @ (d_ @ A @ I) @ (d_ @ B @ I))))).
thf(aINu_INTERVALu_1, axiom, ![A:cartrealn1,B:cartrealn1,X:cartrealn1]:(((in1 @ X @ (closedu_interval0 @ (cons0 @ (c_0 @ A @ B) @ nil0))) <=> ((realu_le @ (drop @ A) @ (drop @ X)) & (realu_le @ (drop @ X) @ (drop @ B)))) & ((in1 @ X @ (openu_interval @ (c_0 @ A @ B))) <=> ((realu_lt @ (drop @ A) @ (drop @ X)) & (realu_lt @ (drop @ X) @ (drop @ B)))))).
thf(aINu_INTERVALu_conjunct1, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn]:((in0 @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ0))) => ((realu_le @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_le @ (d_ @ X @ I) @ (d_ @ B @ I)))))).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > cartrealn > $o),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ))) => ((d_1 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ))) => ((d_2 @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aTIETZEu_CLOSEDu_INTERVALu_1, axiom, ![F:(cartrealm > cartrealn1),S:(cartrealm > $o),A:cartrealn1,B:cartrealn1]:(((realu_le @ (drop @ A) @ (drop @ B)) & (closed @ S) & (continuousu_on0 @ F @ S) & ![X:cartrealm]:((in @ X @ S) => (in1 @ (F @ X) @ (closedu_interval0 @ (cons0 @ (c_0 @ A @ B) @ nil0))))) => ?[G:(cartrealm > cartrealn1)]:((continuousu_on0 @ G @ univ) & ![X:cartrealm]:((in @ X @ S) => ((G @ X) = (F @ X))) & ![X:cartrealm]:(in1 @ (G @ X) @ (closedu_interval0 @ (cons0 @ (c_0 @ A @ B) @ nil0)))))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > $o),G:(cartrealn > b)]:((o0 @ F @ G) = ^[X:cartrealn]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),A:cartrealn,B:cartrealn]:((~ (((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty)) & (closed @ S) & (continuousu_on @ F @ S) & ![X:cartrealm]:((in @ X @ S) => (in0 @ (F @ X) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))) => ?[G:(cartrealm > cartrealn)]:((continuousu_on @ G @ univ) & ![X:cartrealm]:((in @ X @ S) => ((G @ X) = (F @ X))) & ![X:cartrealm]:(in0 @ (G @ X) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
