%   ORIGINAL: CONIC_INTERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: conic: !s. conic s <=> (!x c. x IN s /\ &0 <= c ==> c % x IN s)
% Goal: (!s. s IN f ==> conic s) ==> conic (INTERS f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: ~F <=> T
% Assm: T
% Assm: !s. conic s <=> (!x c. x IN s /\ &0 <= c ==> c % x IN s)
% Goal: !f. (!s. s IN f ==> conic s) ==> conic (INTERS f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq254649, type, q254649 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq254649, type, cartrealq254649 : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin1, type, in1 : (cartrealq254649 > (cartrealq254649 > $o) > $o)).
thf(cin0, type, in0 : (((cartrealq254649 > $o) > $o) > (((cartrealq254649 > $o) > $o) > $o) > $o)).
thf(cinters0, type, inters0 : ((((cartrealq254649 > $o) > $o) > $o) > (cartrealq254649 > $o) > $o)).
thf(cinters, type, inters : (((cartrealq254649 > $o) > $o) > cartrealq254649 > $o)).
thf(cin, type, in : ((cartrealq254649 > $o) > ((cartrealq254649 > $o) > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealq254649 > cartrealq254649)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cconic, type, conic : ((cartrealq254649 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aINu_INTERS, axiom, ![S:(((cartrealq254649 > $o) > $o) > $o),X:(cartrealq254649 > $o)]:((in @ X @ (inters0 @ S)) <=> ![T:((cartrealq254649 > $o) > $o)]:((in0 @ T @ S) => (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aconic, axiom, ![S:(cartrealq254649 > $o)]:((conic @ S) <=> ![X:cartrealq254649,C:real]:(((in1 @ X @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ C)) => (in1 @ (r_ @ C @ X) @ S)))).
thf(conjecture, conjecture, ![F:((cartrealq254649 > $o) > $o)]:(![S:(cartrealq254649 > $o)]:((in @ S @ F) => (conic @ S)) => (conic @ (inters @ F)))).
