%   ORIGINAL: CONVEX_CONNECTED_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IS_INTERVAL_CONNECTED_1: !s. is_interval s <=> connected s
% Assm: IS_INTERVAL_CONVEX_1: !s. is_interval s <=> convex s
% Assm: TRUTH: T
% Goal: !s. convex s <=> connected s
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. is_interval s <=> connected s
% Assm: !s. is_interval s <=> convex s
% Assm: T
% Goal: !s. convex s <=> connected s
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
%  CONSTS
thf(cisuu_interval, type, isu_interval : ((cartrealn1 > $o) > $o)).
thf(cconnected, type, connected : ((cartrealn1 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn1 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aISu_INTERVALu_CONNECTEDu_1, axiom, ![S:(cartrealn1 > $o)]:((isu_interval @ S) <=> (connected @ S))).
thf(aISu_INTERVALu_CONVEXu_1, axiom, ![S:(cartrealn1 > $o)]:((isu_interval @ S) <=> (convex @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn1 > $o)]:((convex @ S) <=> (connected @ S))).
