%   ORIGINAL: SPAN_CONVEX_CONE_ALLSIGNS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_CONE_CONVEX_CONE_HULL: !s. convex_cone (convex_cone hull s)
% Assm: CONVEX_CONE_NEGATIONS: !s. convex_cone s ==> convex_cone (IMAGE (--) s)
% Assm: CONVEX_CONE_SPAN: !s. convex_cone (span s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: HULL_INC: !P s x. x IN s ==> x IN P hull s
% Assm: HULL_INDUCT: !P p s. (!x. x IN s ==> p x) /\ P {x | p x} ==> (!x. x IN P hull s ==> p x)
% Assm: HULL_MINIMAL: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: HULL_SUBSET: !P s. s SUBSET P hull s
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SPAN_INC: !s. s SUBSET span s
% Assm: SPAN_NEG: !x s. x IN span s ==> --x IN span s
% Assm: SPAN_SUBSET_SUBSPACE: !s t. s SUBSET t /\ subspace t ==> span s SUBSET t
% Assm: SPAN_SUPERSET: !x. x IN s ==> x IN span s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: SUBSET_UNION_conjunct0: !s t. s SUBSET s UNION t
% Assm: SUBSET_UNION_conjunct1: !s t. s SUBSET t UNION s
% Assm: SUBSPACE_CONVEX_CONE_SYMMETRIC: !s. subspace s <=> convex_cone s /\ (!x. x IN s ==> --x IN s)
% Assm: SURJECTIVE_IMAGE_EQ: !s t. (!y. y IN t ==> (?x. f x = y)) /\ (!x. f x IN t <=> x IN s) ==> IMAGE f s = t
% Assm: TRUTH: T
% Assm: UNION_SUBSET: !s t u. s UNION t SUBSET u <=> s SUBSET u /\ t SUBSET u
% Assm: VECTOR_NEG_NEG: -- --x = x
% Goal: !s. span s = convex_cone hull (s UNION IMAGE (--) s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. convex_cone (convex_cone hull s)
% Assm: !s. convex_cone s ==> convex_cone (IMAGE (--) s)
% Assm: !s. convex_cone (span s)
% Assm: !t. (\x. t x) = t
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P s x. x IN s ==> x IN P hull s
% Assm: !P p s. (!x. x IN s ==> p x) /\ P {x | p x} ==> (!x. x IN P hull s ==> p x)
% Assm: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: !P s. s SUBSET P hull s
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !s. s SUBSET span s
% Assm: !x s. x IN span s ==> --x IN span s
% Assm: !s t. s SUBSET t /\ subspace t ==> span s SUBSET t
% Assm: !s x. x IN s ==> x IN span s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: !s t. s SUBSET s UNION t
% Assm: !s t. s SUBSET t UNION s
% Assm: !s. subspace s <=> convex_cone s /\ (!x. x IN s ==> --x IN s)
% Assm: !f s t. (!y. y IN t ==> (?x. f x = y)) /\ (!x. f x IN t <=> x IN s) ==> IMAGE f s = t
% Assm: T
% Assm: !s t u. s UNION t SUBSET u <=> s SUBSET u /\ t SUBSET u
% Assm: !x. -- --x = x
% Goal: !s. span s = convex_cone hull (s UNION IMAGE (--) s)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq47949, type, q47949 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin3, type, in3 : (q47949 > (q47949 > $o) > $o)).
thf(cin2, type, in2 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cspan, type, span : ((cartrealn > $o) > cartrealn > $o)).
thf(cimage0, type, image0 : ((q47949 > cartrealn > $o) > (q47949 > $o) > (cartrealn > $o) > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csubspace, type, subspace : ((cartrealn > $o) > $o)).
thf(cconvexuu_cone, type, convexu_cone : ((cartrealn > $o) > $o)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_CONEu_CONVEXu_CONEu_HULL, axiom, ![S:(cartrealn > $o)]:(convexu_cone @ (hull @ convexu_cone @ S))).
thf(aCONVEXu_CONEu_NEGATIONS, axiom, ![S:(cartrealn > $o)]:((convexu_cone @ S) => (convexu_cone @ (image @ vectoru_neg @ S)))).
thf(aCONVEXu_CONEu_SPAN, axiom, ![S:(cartrealn > $o)]:(convexu_cone @ (span @ S))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealn > $o),F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(![Y:cartrealn]:((in @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealn]:((in @ X @ S) => (P @ (F @ X))))).
thf(aHULLu_INC, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (in @ X @ (hull @ P @ S)))).
thf(aHULLu_INDUCT, axiom, ![P:((cartrealn > $o) > $o),P0:(cartrealn > $o),S:(cartrealn > $o)]:((![X:cartrealn]:((in @ X @ S) => (P0 @ X)) & (P @ (gspec @ ^[GENR_PVARR_248:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_248 @ (P0 @ X) @ X)))) => ![X:cartrealn]:((in @ X @ (hull @ P @ S)) => (P0 @ X)))).
thf(aHULLu_MINIMAL, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (P @ T)) => (subset @ (hull @ P @ S) @ T))).
thf(aHULLu_SUBSET, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o)]:(subset @ S @ (hull @ P @ S))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealn > $o),F:(cartrealn > cartrealn)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealn]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSPANu_INC, axiom, ![S:(cartrealn > $o)]:(subset @ S @ (span @ S))).
thf(aSPANu_NEG, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((in @ X @ (span @ S)) => (in @ (vectoru_neg @ X) @ (span @ S)))).
thf(aSPANu_SUBSETu_SUBSPACE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subspace @ T)) => (subset @ (span @ S) @ T))).
thf(aSPANu_SUPERSET, axiom, ![S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (in @ X @ (span @ S)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aSUBSETu_TRANS, axiom, ![S:(a > $o),T:(a > $o),U:(a > $o)]:(((subset0 @ S @ T) & (subset0 @ T @ U)) => (subset0 @ S @ U))).
thf(aSUBSETu_UNIONu_conjunct0, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(subset @ S @ (union @ S @ T))).
thf(aSUBSETu_UNIONu_conjunct1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(subset @ S @ (union @ T @ S))).
thf(aSUBSPACEu_CONVEXu_CONEu_SYMMETRIC, axiom, ![S:(cartrealn > $o)]:((subspace @ S) <=> ((convexu_cone @ S) & ![X:cartrealn]:((in @ X @ S) => (in @ (vectoru_neg @ X) @ S))))).
thf(aSURJECTIVEu_IMAGEu_EQ, axiom, ![F:(q47949 > cartrealn > $o),S:(q47949 > $o),T:((cartrealn > $o) > $o)]:((![Y:(cartrealn > $o)]:((in2 @ Y @ T) => ?[X:q47949]:((F @ X) = Y)) & ![X:q47949]:((in2 @ (F @ X) @ T) <=> (in3 @ X @ S))) => ((image0 @ F @ S) = T))).
thf(aTRUTH, axiom, $true).
thf(aUNIONu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:((subset @ (union @ S @ T) @ U) <=> ((subset @ S @ U) & (subset @ T @ U)))).
thf(aVECTORu_NEGu_NEG, axiom, ![X:cartrealn]:((vectoru_neg @ (vectoru_neg @ X)) = X)).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((span @ S) = (hull @ convexu_cone @ (union @ S @ (image @ vectoru_neg @ S))))).
