%   ORIGINAL: RELATIVE_INTERIOR_EMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN_EMPTY: !top. open_in top {}
% Assm: RELATIVE_INTERIOR_OPEN_IN: !s. open_in (subtopology euclidean (affine hull s)) s ==> relative_interior s = s
% Assm: TRUTH: T
% Goal: relative_interior {} = {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !top. open_in top {}
% Assm: !s. open_in (subtopology euclidean (affine hull s)) s ==> relative_interior s = s
% Assm: T
% Goal: relative_interior {} = {}
%  TYPES
thf(tcartrealq291062, type, cartrealq291062 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(ttopologycartrealq291062, type, topologycartrealq291062 : $tType).
thf(tq291062, type, q291062 : $tType).
%  CONSTS
thf(copenuu_in, type, openu_in : (topologycartrealq291062 > (cartrealq291062 > $o) > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealq291062 > $o) > cartrealq291062 > $o)).
thf(chull, type, hull : (((cartrealq291062 > $o) > $o) > (cartrealq291062 > $o) > cartrealq291062 > $o)).
thf(csubtopology, type, subtopology : (topologycartrealq291062 > (cartrealq291062 > $o) > topologycartrealq291062)).
thf(caffine, type, affine : ((cartrealq291062 > $o) > $o)).
thf(cempty, type, empty : (cartrealq291062 > $o)).
thf(ceuclidean, type, euclidean : topologycartrealq291062).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq291062 > $o),G:(a > cartrealq291062 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INu_EMPTY, axiom, ![TOP:topologycartrealq291062]:(openu_in @ TOP @ empty)).
thf(aRELATIVEu_INTERIORu_OPENu_IN, axiom, ![S:(cartrealq291062 > $o)]:((openu_in @ (subtopology @ euclidean @ (hull @ affine @ S)) @ S) => ((relativeu_interior @ S) = S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ((relativeu_interior @ empty) = empty)).
