%   ORIGINAL: ENDS_IN_UNIT_INTERVAL_conjunct3
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ENDS_IN_INTERVAL_conjunct0: !a b. a IN interval [a,b] <=> ~(interval [a,b] = {})
% Assm: ENDS_IN_INTERVAL_conjunct1: !a b. b IN interval [a,b] <=> ~(interval [a,b] = {})
% Assm: ENDS_IN_INTERVAL_conjunct2: !a b. ~(a IN interval (a,b))
% Assm: ENDS_IN_INTERVAL_conjunct3: !a b. ~(b IN interval (a,b))
% Assm: INTERVAL_NE_EMPTY_conjunct0: ~(interval [a,b] = {}) <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_POS: !n. &0 <= &n
% Assm: TRUTH: T
% Assm: VEC_COMPONENT: !k i. vec k$i = &k
% Goal: ~(vec 1 IN interval (vec 0,vec 1))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. a IN interval [a,b] <=> ~(interval [a,b] = {})
% Assm: !a b. b IN interval [a,b] <=> ~(interval [a,b] = {})
% Assm: !a b. ~(a IN interval (a,b))
% Assm: !a b. ~(b IN interval (a,b))
% Assm: !a b. ~(interval [a,b] = {}) <=> (!i. 1 <= i /\ i <= dimindex (:?208539) ==> a$i <= b$i)
% Assm: ~F <=> T
% Assm: !n. &0 <= &n
% Assm: T
% Assm: !k i. vec k$i = &k
% Goal: ~(vec 1 IN interval (vec 0,vec 1))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq208539, type, cartrealq208539 : $tType).
thf(treal, type, real : $tType).
thf(tprodcartrealq208539cartrealq208539, type, prodcartrealq208539cartrealq208539 : $tType).
thf(tq208539, type, q208539 : $tType).
thf(tlistprodcartrealq208539cartrealq208539, type, listprodcartrealq208539cartrealq208539 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq208539cartrealq208539).
thf(cdu_, type, d_ : (cartrealq208539 > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealq208539cartrealq208539 > cartrealq208539 > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealq208539cartrealq208539 > cartrealq208539 > $o)).
thf(cin, type, in : (cartrealq208539 > (cartrealq208539 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccons, type, cons : (prodcartrealq208539cartrealq208539 > listprodcartrealq208539cartrealq208539 > listprodcartrealq208539cartrealq208539)).
thf(ccu_, type, c_ : (cartrealq208539 > cartrealq208539 > prodcartrealq208539cartrealq208539)).
thf(cempty, type, empty : (cartrealq208539 > $o)).
thf(cuniv, type, univ : (q208539 > $o)).
thf(cdimindex, type, dimindex : ((q208539 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cvec, type, vec : (num > cartrealq208539)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aENDSu_INu_INTERVALu_conjunct0, axiom, ![A:cartrealq208539,B:cartrealq208539]:((in @ A @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ~ (((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty)))).
thf(aENDSu_INu_INTERVALu_conjunct1, axiom, ![A:cartrealq208539,B:cartrealq208539]:((in @ B @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ~ (((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty)))).
thf(aENDSu_INu_INTERVALu_conjunct2, axiom, ![A:cartrealq208539,B:cartrealq208539]:~ ((in @ A @ (openu_interval @ (c_ @ A @ B))))).
thf(aENDSu_INu_INTERVALu_conjunct3, axiom, ![A:cartrealq208539,B:cartrealq208539]:~ ((in @ B @ (openu_interval @ (c_ @ A @ B))))).
thf(aINTERVALu_NEu_EMPTYu_conjunct0, axiom, ![A:cartrealq208539,B:cartrealq208539]:(~ (((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty)) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (d_ @ A @ I) @ (d_ @ B @ I))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aTRUTH, axiom, $true).
thf(aVECu_COMPONENT, axiom, ![K:num,I:num]:((d_ @ (vec @ K) @ I) = (realu_ofu_num @ K))).
thf(conjecture, conjecture, ~ ((in @ (vec @ (numeral @ (bit1 @ u_0))) @ (openu_interval @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))))))).
