%   ORIGINAL: PATH_COMPONENT_EQ_EMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: PATH_COMPONENT_IN: !s x y. path_component s x y ==> x IN s /\ y IN s
% Assm: PATH_COMPONENT_REFL: !s x. x IN s ==> path_component s x x
% Assm: TRUTH: T
% Goal: !s x. path_component s x = {} <=> ~(x IN s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s x y. path_component s x y ==> x IN s /\ y IN s
% Assm: !s x. x IN s ==> path_component s x x
% Assm: T
% Goal: !s x. path_component s x = {} <=> ~(x IN s)
%  TYPES
thf(tq310206, type, q310206 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq310206, type, cartrealq310206 : $tType).
%  CONSTS
thf(ci, type, i : ((cartrealq310206 > $o) > cartrealq310206 > $o)).
thf(cin, type, in : (cartrealq310206 > (cartrealq310206 > $o) > $o)).
thf(cpathuu_component, type, pathu_component : ((cartrealq310206 > $o) > cartrealq310206 > cartrealq310206 > $o)).
thf(ci0, type, i0 : ($o > $o)).
thf(cempty, type, empty : (cartrealq310206 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(cartrealq310206 > $o),G:(cartrealq310206 > $o)]:(![X:cartrealq310206]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq310206 > $o)]:(^[X:cartrealq310206]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq310206 > $o),T:(cartrealq310206 > $o)]:((S = T) <=> ![X:cartrealq310206]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealq310206 > $o),X:cartrealq310206]:((in @ X @ P) <=> (P @ X))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(cartrealq310206 > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq310206]:~ ((in @ X @ empty))).
thf(aPATHu_COMPONENTu_IN, axiom, ![S:(cartrealq310206 > $o),X:cartrealq310206,Y:cartrealq310206]:((pathu_component @ S @ X @ Y) => ((in @ X @ S) & (in @ Y @ S)))).
thf(aPATHu_COMPONENTu_REFL, axiom, ![S:(cartrealq310206 > $o),X:cartrealq310206]:((in @ X @ S) => (pathu_component @ S @ X @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq310206 > $o),X:cartrealq310206]:(((pathu_component @ S @ X) = empty) <=> ~ ((in @ X @ S)))).
