%   ORIGINAL: PATH_CONNECTED_PASTECART
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_ON_CONST: !s c. (\x. c) continuous_on s
% Assm: CONTINUOUS_ON_PASTECART: !f g s. f continuous_on s /\ g continuous_on s ==> (\x. pastecart (f x) (g x)) continuous_on s
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FORALL_PASTECART: (!p. P p) <=> (!x y. P (pastecart x y))
% Assm: IN_ELIM_PASTECART_THM: !P a b. pastecart a b IN {pastecart x y | P x y} <=> P a b
% Assm: PATHFINISH_JOIN: !g1 g2. pathfinish (g1 ++ g2) = pathfinish g2
% Assm: PATHSTART_JOIN: !g1 g2. pathstart (g1 ++ g2) = pathstart g1
% Assm: PATH_JOIN_IMP: !g1 g2. path g1 /\ path g2 /\ pathfinish g1 = pathstart g2 ==> path (g1 ++ g2)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_PATH_IMAGE_JOIN: !g1 g2 s. path_image g1 SUBSET s /\ path_image g2 SUBSET s ==> path_image (g1 ++ g2) SUBSET s
% Assm: TRUTH: T
% Assm: path: !g. path g <=> g continuous_on interval [vec 0,vec 1]
% Assm: path_connected: !s. path_connected s <=> (!x y. x IN s /\ y IN s ==> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y))
% Assm: path_image: !g. path_image g = IMAGE g (interval [vec 0,vec 1])
% Assm: pathfinish: !g. pathfinish g = g (vec 1)
% Assm: pathstart: !g. pathstart g = g (vec 0)
% Goal: !s t. path_connected s /\ path_connected t ==> path_connected {pastecart x y | x IN s /\ y IN t}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s c. (\x. c) continuous_on s
% Assm: !f g s. f continuous_on s /\ g continuous_on s ==> (\x. pastecart (f x) (g x)) continuous_on s
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P. (!p. P p) <=> (!x y. P (pastecart x y))
% Assm: !P a b. pastecart a b IN {pastecart x y | P x y} <=> P a b
% Assm: !g1 g2. pathfinish (g1 ++ g2) = pathfinish g2
% Assm: !g1 g2. pathstart (g1 ++ g2) = pathstart g1
% Assm: !g1 g2. path g1 /\ path g2 /\ pathfinish g1 = pathstart g2 ==> path (g1 ++ g2)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !g1 g2 s. path_image g1 SUBSET s /\ path_image g2 SUBSET s ==> path_image (g1 ++ g2) SUBSET s
% Assm: T
% Assm: !g. path g <=> g continuous_on interval [vec 0,vec 1]
% Assm: !s. path_connected s <=> (!x y. x IN s /\ y IN s ==> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y))
% Assm: !s. path_connected s <=> (!x y. x IN s /\ y IN s ==> (?g. path g /\ path_image g SUBSET s /\ pathstart g = x /\ pathfinish g = y))
% Assm: !g. path_image g = IMAGE g (interval [vec 0,vec 1])
% Assm: !g. pathfinish g = g (vec 1)
% Assm: !g. pathstart g = g (vec 0)
% Goal: !s t. path_connected s /\ path_connected t ==> path_connected {pastecart x y | x IN s /\ y IN t}
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartrealfiniteu_summn, type, cartrealfinite_summn : $tType).
thf(tq189746, type, q189746 : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq301789, type, cartrealq301789 : $tType).
thf(tcartrealq189747, type, cartrealq189747 : $tType).
thf(tq189747, type, q189747 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq301808, type, q301808 : $tType).
thf(tfiniteu_summn, type, finite_summn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq189746, type, cartrealq189746 : $tType).
thf(tcartrealq301808, type, cartrealq301808 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
thf(tq301789, type, q301789 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealq301808) > cartrealq301808)).
thf(cpathuu_image0, type, pathu_image0 : ((cartrealn1 > cartrealm) > cartrealm > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(ccontinuousuu_on3, type, continuousu_on3 : ((cartrealn1 > cartrealn) > (cartrealn1 > $o) > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(csubset0, type, subset0 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin1, type, in1 : (cartrealfinite_summn > (cartrealfinite_summn > $o) > $o)).
thf(ccontinuousuu_on2, type, continuousu_on2 : ((cartrealm > cartrealfinite_summn) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on1, type, continuousu_on1 : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealm > cartrealm) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealq189747 > cartrealq189746) > (cartrealq189747 > $o) > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealfinite_summn > $o) > cartrealfinite_summn > $o)).
thf(cimage3, type, image3 : ((cartrealn1 > cartrealn) > (cartrealn1 > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cpu_pu_1, type, p_p_1 : ((cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > cartrealn1 > cartrealn)).
thf(cpu_pu_0, type, p_p_0 : ((cartrealn1 > cartrealq301789) > (cartrealn1 > cartrealq301789) > cartrealn1 > cartrealq301789)).
thf(cpu_pu_, type, p_p_ : ((cartrealn1 > cartrealq301808) > (cartrealn1 > cartrealq301808) > cartrealn1 > cartrealq301808)).
thf(cimage2, type, image2 : ((cartrealm > cartrealm) > (cartrealm > $o) > cartrealm > $o)).
thf(cimage1, type, image1 : ((cartrealn > cartrealm) > (cartrealn > $o) > cartrealm > $o)).
thf(cimage0, type, image0 : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cpastecart, type, pastecart : (cartrealm > cartrealn > cartrealfinite_summn)).
thf(csetspec, type, setspec : (cartrealfinite_summn > $o > cartrealfinite_summn > $o)).
thf(cpath0, type, path0 : ((cartrealn1 > cartrealm) > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(cpathuu_connected1, type, pathu_connected1 : ((cartrealfinite_summn > $o) > $o)).
thf(cpathuu_connected0, type, pathu_connected0 : ((cartrealn > $o) > $o)).
thf(cpathuu_connected, type, pathu_connected : ((cartrealm > $o) > $o)).
thf(cpathfinish1, type, pathfinish1 : ((cartrealn1 > cartrealm) > cartrealm)).
thf(cpathstart1, type, pathstart1 : ((cartrealn1 > cartrealm) > cartrealm)).
thf(cpathstart0, type, pathstart0 : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathfinish0, type, pathfinish0 : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealq301789) > cartrealq301789)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ONu_CONST, axiom, ![S:(cartrealq189747 > $o),C:cartrealq189746]:(continuousu_on @ ^[X:cartrealq189747]:C @ S)).
thf(aCONTINUOUSu_ONu_PASTECART, axiom, ![F:(cartrealm > cartrealm),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((continuousu_on0 @ F @ S) & (continuousu_on1 @ G @ S)) => (continuousu_on2 @ ^[X:cartrealm]:(pastecart @ (F @ X) @ (G @ X)) @ S))).
thf(aFORALLu_INu_IMAGEu_monomorphized3, axiom, ![P:(cartrealn > $o),F:(cartrealn > cartrealn),S:(cartrealn > $o)]:(![Y:cartrealn]:((in0 @ Y @ (image @ F @ S)) => (P @ Y)) <=> ![X:cartrealn]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aFORALLu_INu_IMAGEu_monomorphized2, axiom, ![P:(cartrealn > $o),F:(cartrealm > cartrealn),S:(cartrealm > $o)]:(![Y:cartrealn]:((in0 @ Y @ (image0 @ F @ S)) => (P @ Y)) <=> ![X:cartrealm]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFORALLu_INu_IMAGEu_monomorphized1, axiom, ![P:(cartrealm > $o),F:(cartrealn > cartrealm),S:(cartrealn > $o)]:(![Y:cartrealm]:((in @ Y @ (image1 @ F @ S)) => (P @ Y)) <=> ![X:cartrealn]:((in0 @ X @ S) => (P @ (F @ X))))).
thf(aFORALLu_INu_IMAGEu_monomorphized0, axiom, ![P:(cartrealm > $o),F:(cartrealm > cartrealm),S:(cartrealm > $o)]:(![Y:cartrealm]:((in @ Y @ (image2 @ F @ S)) => (P @ Y)) <=> ![X:cartrealm]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFORALLu_PASTECART, axiom, ![P:(cartrealfinite_summn > $o)]:(![P0:cartrealfinite_summn]:(P @ P0) <=> ![X:cartrealm,Y:cartrealn]:(P @ (pastecart @ X @ Y)))).
thf(aINu_ELIMu_PASTECARTu_THM, axiom, ![P:(cartrealm > cartrealn > $o),A:cartrealm,B:cartrealn]:((in1 @ (pastecart @ A @ B) @ (gspec @ ^[GENR_PVARR_212:cartrealfinite_summn]:?[X:cartrealm,Y:cartrealn]:(setspec @ GENR_PVARR_212 @ (P @ X @ Y) @ (pastecart @ X @ Y)))) <=> (P @ A @ B))).
thf(aPATHFINISHu_JOIN, axiom, ![G1:(cartrealn1 > cartrealq301808),G2:(cartrealn1 > cartrealq301808)]:((pathfinish @ (p_p_ @ G1 @ G2)) = (pathfinish @ G2))).
thf(aPATHSTARTu_JOIN, axiom, ![G1:(cartrealn1 > cartrealq301789),G2:(cartrealn1 > cartrealq301789)]:((pathstart @ (p_p_0 @ G1 @ G2)) = (pathstart @ G1))).
thf(aPATHu_JOINu_IMP, axiom, ![G1:(cartrealn1 > cartrealn),G2:(cartrealn1 > cartrealn)]:(((path @ G1) & (path @ G2) & ((pathfinish0 @ G1) = (pathstart0 @ G2))) => (path @ (p_p_1 @ G1 @ G2)))).
thf(aSUBSETu_monomorphized1, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_monomorphized0, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset0 @ S @ T) <=> ![X:cartrealm]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_PATHu_IMAGEu_JOIN, axiom, ![G1:(cartrealn1 > cartrealn),G2:(cartrealn1 > cartrealn),S:(cartrealn > $o)]:(((subset @ (pathu_image @ G1) @ S) & (subset @ (pathu_image @ G2) @ S)) => (subset @ (pathu_image @ (p_p_1 @ G1 @ G2)) @ S))).
thf(aTRUTH, axiom, $true).
thf(apath, axiom, ![G:(cartrealn1 > cartrealn)]:((path @ G) <=> (continuousu_on3 @ G @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))))).
thf(apathu_connectedu_monomorphized1, axiom, ![S:(cartrealn > $o)]:((pathu_connected0 @ S) <=> ![X:cartrealn,Y:cartrealn]:(((in0 @ X @ S) & (in0 @ Y @ S)) => ?[G:(cartrealn1 > cartrealn)]:((path @ G) & (subset @ (pathu_image @ G) @ S) & ((pathstart0 @ G) = X) & ((pathfinish0 @ G) = Y))))).
thf(apathu_connectedu_monomorphized0, axiom, ![S:(cartrealm > $o)]:((pathu_connected @ S) <=> ![X:cartrealm,Y:cartrealm]:(((in @ X @ S) & (in @ Y @ S)) => ?[G:(cartrealn1 > cartrealm)]:((path0 @ G) & (subset0 @ (pathu_image0 @ G) @ S) & ((pathstart1 @ G) = X) & ((pathfinish1 @ G) = Y))))).
thf(apathu_image, axiom, ![G:(cartrealn1 > cartrealn)]:((pathu_image @ G) = (image3 @ G @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))))).
thf(apathfinish, axiom, ![G:(cartrealn1 > cartrealn)]:((pathfinish0 @ G) = (G @ (vec @ (numeral @ (bit1 @ u_0)))))).
thf(apathstart, axiom, ![G:(cartrealn1 > cartrealn)]:((pathstart0 @ G) = (G @ (vec @ (numeral @ u_0))))).
thf(conjecture, conjecture, ![S:(cartrealm > $o),T:(cartrealn > $o)]:(((pathu_connected @ S) & (pathu_connected0 @ T)) => (pathu_connected1 @ (gspec @ ^[GENR_PVARR_1069:cartrealfinite_summn]:?[X:cartrealm,Y:cartrealn]:(setspec @ GENR_PVARR_1069 @ ((in @ X @ S) & (in0 @ Y @ T)) @ (pastecart @ X @ Y)))))).
