%   ORIGINAL: CLOSURE_SEGMENT_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_SEGMENT: !a b. closed (segment [a,b])
% Assm: CLOSURE_EQ: !s. closure s = s <=> closed s
% Assm: CLOSURE_SEGMENT_conjunct1: !a b. closure (segment (a,b)) = (if a = b then {} else segment [a,b])
% Assm: TRUTH: T
% Goal: !a b. closure (segment [a,b]) = segment [a,b]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. closed (segment [a,b])
% Assm: !s. closure s = s <=> closed s
% Assm: !a b. closure (segment (a,b)) = (if a = b then {} else segment [a,b])
% Assm: T
% Goal: !a b. closure (segment [a,b]) = segment [a,b]
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(copenuu_segment, type, openu_segment : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(ccond, type, cond : ($o > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_SEGMENT, axiom, ![A:cartrealn,B:cartrealn]:(closed @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)))).
thf(aCLOSUREu_EQ, axiom, ![S:(cartrealn > $o)]:(((closure @ S) = S) <=> (closed @ S))).
thf(aCLOSUREu_SEGMENTu_conjunct1, axiom, ![A:cartrealn,B:cartrealn]:((closure @ (openu_segment @ (c_ @ A @ B))) = (cond @ (A = B) @ empty @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,B:cartrealn]:((closure @ (closedu_segment @ (cons @ (c_ @ A @ B) @ nil))) = (closedu_segment @ (cons @ (c_ @ A @ B) @ nil)))).
