%   ORIGINAL: CARD_EQ_EUCLIDEAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CARD_EQ_CART: INFINITE (:A) ==> (:A^N) =_c (:A)
% Assm: TRUTH: T
% Assm: real_INFINITE: INFINITE (:real)
% Goal: (:real^N) =_c (:real)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: INFINITE (:real) ==> (:real^N) =_c (:real)
% Assm: T
% Assm: INFINITE (:real)
% Goal: (:real^N) =_c (:real)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cau_uu_c, type, a_u_c : ((cartrealn > $o) > (real > $o) > $o)).
thf(cinfinite, type, infinite : ((real > $o) > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(cuniv0, type, univ0 : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARDu_EQu_CART, axiom, ((infinite @ univ0) => (a_u_c @ univ @ univ0))).
thf(aTRUTH, axiom, $true).
thf(arealu_INFINITE, axiom, (infinite @ univ0)).
thf(conjecture, conjecture, (a_u_c @ univ @ univ0)).
