%   ORIGINAL: HOMOTOPIC_WITH_MONO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_ON_COMPOSE: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: CONTINUOUS_ON_CONST: !s c. (\x. c) continuous_on s
% Assm: CONTINUOUS_ON_ID: !s. (\x. x) continuous_on s
% Assm: CONTINUOUS_ON_PASTECART: !f g s. f continuous_on s /\ g continuous_on s ==> (\x. pastecart (f x) (g x)) continuous_on s
% Assm: CONTINUOUS_ON_SUBSET: !f s t. f continuous_on s /\ t SUBSET s ==> f continuous_on t
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: homotopic_with: !X Y p q P. homotopic_with P (X,Y) p q <=> (?h. h continuous_on {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} /\ IMAGE h {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} SUBSET Y /\ (!x. h (pastecart (vec 0) x) = p x) /\ (!x. h (pastecart (vec 1) x) = q x) /\ (!t. t IN interval [vec 0,vec 1] ==> P (\x. h (pastecart t x))))
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !P Q X Y f g. homotopic_with P (X,Y) f g /\ (!h. h continuous_on X /\ IMAGE h X SUBSET Y /\ P h ==> Q h) ==> homotopic_with Q (X,Y) f g
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: !s c. (\x. c) continuous_on s
% Assm: !s. (\x. x) continuous_on s
% Assm: !f g s. f continuous_on s /\ g continuous_on s ==> (\x. pastecart (f x) (g x)) continuous_on s
% Assm: !f s t. f continuous_on s /\ t SUBSET s ==> f continuous_on t
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !X Y p q P. homotopic_with P (X,Y) p q <=> (?h. h continuous_on {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} /\ IMAGE h {pastecart t x | t IN interval [vec 0,vec 1] /\ x IN X} SUBSET Y /\ (!x. h (pastecart (vec 0) x) = p x) /\ (!x. h (pastecart (vec 1) x) = q x) /\ (!t. t IN interval [vec 0,vec 1] ==> P (\x. h (pastecart t x))))
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !P Q X Y f g. homotopic_with P (X,Y) f g /\ (!h. h continuous_on X /\ IMAGE h X SUBSET Y /\ P h ==> Q h) ==> homotopic_with Q (X,Y) f g
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartrealfiniteu_sumnn, type, cartrealfinite_sumnn : $tType).
thf(tcartrealq190317, type, cartrealq190317 : $tType).
thf(tcartrealfiniteu_sumn1m, type, cartrealfinite_sumn1m : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tfiniteu_sumnn, type, finite_sumnn : $tType).
thf(tq43820, type, q43820 : $tType).
thf(tq190317, type, q190317 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodfuncartrealmboolfuncartrealnbool, type, prodfuncartrealmboolfuncartrealnbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tfiniteu_sumn1m, type, finite_sumn1m : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cvec, type, vec : (num > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin3, type, in3 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealfinite_sumn1m > $o) > cartrealfinite_sumn1m > $o)).
thf(ccontinuousuu_on3, type, continuousu_on3 : ((cartrealfinite_sumn1m > cartrealn) > (cartrealfinite_sumn1m > $o) > $o)).
thf(cin2, type, in2 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin1, type, in1 : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((q43820 > $o) > q43820 > $o)).
thf(cin0, type, in0 : (q43820 > (q43820 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset0, type, subset0 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on2, type, continuousu_on2 : ((cartrealm > cartrealfinite_sumnn) > (cartrealm > $o) > $o)).
thf(ccontinuousuu_on1, type, continuousu_on1 : ((cartrealq190317 > cartrealq190317) > (cartrealq190317 > $o) > $o)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealn > cartrealn) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(cimage0, type, image0 : ((cartrealfinite_sumn1m > cartrealn) > (cartrealfinite_sumn1m > $o) > cartrealn > $o)).
thf(cpastecart0, type, pastecart0 : (cartrealn1 > cartrealm > cartrealfinite_sumn1m)).
thf(ccu_0, type, c_0 : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(csetspec0, type, setspec0 : (cartrealfinite_sumn1m > $o > cartrealfinite_sumn1m > $o)).
thf(csetspec, type, setspec : (q43820 > $o > q43820 > $o)).
thf(cpastecart, type, pastecart : (cartrealn > cartrealn > cartrealfinite_sumnn)).
thf(co, type, o : ((cartrealn > cartrealn) > (cartrealm > cartrealn) > cartrealm > cartrealn)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : ((cartrealm > $o) > (cartrealn > $o) > prodfuncartrealmboolfuncartrealnbool)).
thf(chomotopicuu_with, type, homotopicu_with : (((cartrealm > cartrealn) > $o) > prodfuncartrealmboolfuncartrealnbool > (cartrealm > cartrealn) > (cartrealm > cartrealn) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_ONu_COMPOSE, axiom, ![F:(cartrealm > cartrealn),G:(cartrealn > cartrealn),S:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (continuousu_on0 @ G @ (image @ F @ S))) => (continuousu_on @ (o @ G @ F) @ S))).
thf(aCONTINUOUSu_ONu_CONST, axiom, ![S:(cartrealm > $o),C:cartrealn]:(continuousu_on @ ^[X:cartrealm]:C @ S)).
thf(aCONTINUOUSu_ONu_ID, axiom, ![S:(cartrealq190317 > $o)]:(continuousu_on1 @ ^[X:cartrealq190317]:X @ S)).
thf(aCONTINUOUSu_ONu_PASTECART, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (continuousu_on @ G @ S)) => (continuousu_on2 @ ^[X:cartrealm]:(pastecart @ (F @ X) @ (G @ X)) @ S))).
thf(aCONTINUOUSu_ONu_SUBSET, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((continuousu_on @ F @ S) & (subset0 @ T @ S)) => (continuousu_on @ F @ T))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > q43820 > $o) > $o),X:q43820]:((in0 @ X @ (gspec @ ^[V:q43820]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:q43820]:(P0 & (X = T))))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn,S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((in1 @ Y @ (image @ F @ S)) <=> ?[X:cartrealm]:((Y = (F @ X)) & (in2 @ X @ S)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(ahomotopicu_with, axiom, ![X:(cartrealm > $o),Y:(cartrealn > $o),P:(cartrealm > cartrealn),Q:(cartrealm > cartrealn),P0:((cartrealm > cartrealn) > $o)]:((homotopicu_with @ P0 @ (c_ @ X @ Y) @ P @ Q) <=> ?[H:(cartrealfinite_sumn1m > cartrealn)]:((continuousu_on3 @ H @ (gspec0 @ ^[GENR_PVARR_1130:cartrealfinite_sumn1m]:?[T:cartrealn1,X0:cartrealm]:(setspec0 @ GENR_PVARR_1130 @ ((in3 @ T @ (closedu_interval @ (cons @ (c_0 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & (in2 @ X0 @ X)) @ (pastecart0 @ T @ X0)))) & (subset @ (image0 @ H @ (gspec0 @ ^[GENR_PVARR_1131:cartrealfinite_sumn1m]:?[T:cartrealn1,X0:cartrealm]:(setspec0 @ GENR_PVARR_1131 @ ((in3 @ T @ (closedu_interval @ (cons @ (c_0 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & (in2 @ X0 @ X)) @ (pastecart0 @ T @ X0)))) @ Y) & ![X0:cartrealm]:((H @ (pastecart0 @ (vec @ (numeral @ u_0)) @ X0)) = (P @ X0)) & ![X0:cartrealm]:((H @ (pastecart0 @ (vec @ (numeral @ (bit1 @ u_0))) @ X0)) = (Q @ X0)) & ![T:cartrealn1]:((in3 @ T @ (closedu_interval @ (cons @ (c_0 @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) => (P0 @ ^[X0:cartrealm]:(H @ (pastecart0 @ T @ X0))))))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![P:((cartrealm > cartrealn) > $o),Q:((cartrealm > cartrealn) > $o),X:(cartrealm > $o),Y:(cartrealn > $o),F:(cartrealm > cartrealn),G:(cartrealm > cartrealn)]:(((homotopicu_with @ P @ (c_ @ X @ Y) @ F @ G) & ![H:(cartrealm > cartrealn)]:(((continuousu_on @ H @ X) & (subset @ (image @ H @ X) @ Y) & (P @ H)) => (Q @ H))) => (homotopicu_with @ Q @ (c_ @ X @ Y) @ F @ G))).
