%   ORIGINAL: HOMOTOPIC_NEARBY_PATHS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPACT_PATH_IMAGE: !g. path g ==> compact (path_image g)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: HOMOTOPIC_PATHS_NEARBY_EXPLICIT: !g s h. path g /\ path h /\ pathstart h = pathstart g /\ pathfinish h = pathfinish g /\ (!t x. t IN interval [vec 0,vec 1] /\ ~(x IN s) ==> norm (h t - g t) < norm (g t - x)) ==> homotopic_paths s g h
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: OPEN_CLOSED: !s. open s <=> closed ((:real^N) DIFF s)
% Assm: REAL_LTE_TRANS: !x y z. x < y /\ y <= z ==> x < z
% Assm: SEPARATE_COMPACT_CLOSED: !s t. compact s /\ closed t /\ s INTER t = {} ==> (?d. &0 < d /\ (!x y. x IN s /\ y IN t ==> d <= dist (x,y)))
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: path_image: !g. path_image g = IMAGE g (interval [vec 0,vec 1])
% Goal: !g s. path g /\ open s /\ path_image g SUBSET s ==> (?e. &0 < e /\ (!h. path h /\ pathstart h = pathstart g /\ pathfinish h = pathfinish g /\ (!t. t IN interval [vec 0,vec 1] ==> norm (h t - g t) < e) ==> homotopic_paths s g h))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !g. path g ==> compact (path_image g)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !g s h. path g /\ path h /\ pathstart h = pathstart g /\ pathfinish h = pathfinish g /\ (!t x. t IN interval [vec 0,vec 1] /\ ~(x IN s) ==> norm (h t - g t) < norm (g t - x)) ==> homotopic_paths s g h
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. x IN (:real^1)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s. open s <=> closed ((:real^N) DIFF s)
% Assm: !x y z. x < y /\ y <= z ==> x < z
% Assm: !s t. compact s /\ closed t /\ s INTER t = {} ==> (?d. &0 < d /\ (!x y. x IN s /\ y IN t ==> d <= dist (x,y)))
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !g. path_image g = IMAGE g (interval [vec 0,vec 1])
% Goal: !g s. path g /\ open s /\ path_image g SUBSET s ==> (?e. &0 < e /\ (!h. path h /\ pathstart h = pathstart g /\ pathfinish h = pathfinish g /\ (!t. t IN interval [vec 0,vec 1] ==> norm (h t - g t) < e) ==> homotopic_paths s g h))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn1 > real)).
thf(cdistance, type, distance : (prodcartrealn1cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cimage0, type, image0 : ((cartrealn1 > cartrealn) > (cartrealn1 > $o) > cartrealn > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(cdiff0, type, diff0 : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn1 > $o) > (cartrealn1 > $o) > cartrealn1 > $o)).
thf(cimage, type, image : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > cartrealn1 > $o)).
thf(cdiff, type, diff : ((cartrealn1 > $o) > (cartrealn1 > $o) > cartrealn1 > $o)).
thf(chomotopicuu_paths, type, homotopicu_paths : ((cartrealn > $o) > (cartrealn1 > cartrealn) > (cartrealn1 > cartrealn) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cclosed0, type, closed0 : ((cartrealn1 > $o) > $o)).
thf(ccompact0, type, compact0 : ((cartrealn1 > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn1 > $o)).
thf(cuniv, type, univ : (cartrealn1 > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(copen, type, open : ((cartrealn > $o) > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(ci, type, i : (cartrealn > cartrealn)).
thf(cpathfinish, type, pathfinish : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cpathstart, type, pathstart : ((cartrealn1 > cartrealn) > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPACTu_PATHu_IMAGE, axiom, ![G:(cartrealn1 > cartrealn)]:((path @ G) => (compact @ (pathu_image @ G)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn1 > $o),T:(cartrealn1 > $o)]:((S = T) <=> ![X:cartrealn1]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHOMOTOPICu_PATHSu_NEARBYu_EXPLICIT, axiom, ![G:(cartrealn1 > cartrealn),S:(cartrealn > $o),H:(cartrealn1 > cartrealn)]:(((path @ G) & (path @ H) & ((pathstart @ H) = (pathstart @ G)) & ((pathfinish @ H) = (pathfinish @ G)) & ![T:cartrealn1,X:cartrealn]:(((in @ T @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & ~ ((in0 @ X @ S))) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (H @ T) @ (G @ T))) @ (vectoru_norm @ (vectoru_sub @ (G @ T) @ X))))) => (homotopicu_paths @ S @ G @ H))).
thf(aIN, axiom, ![P:(cartrealn1 > $o),X:cartrealn1]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(cartrealn1 > $o),T:(cartrealn1 > $o),X:cartrealn1]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn1,S:(cartrealn1 > $o),F:(cartrealn1 > cartrealn1)]:((in @ Y @ (image @ F @ S)) <=> ?[X:cartrealn1]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(cartrealn1 > $o),T:(cartrealn1 > $o),X:cartrealn1]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:cartrealn1]:(in @ X @ univ)).
thf(aIu_THM, axiom, ![X:cartrealn]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn1]:~ ((in @ X @ empty))).
thf(aOPENu_CLOSED, axiom, ![S:(cartrealn > $o)]:((open @ S) <=> (closed @ (diff0 @ univ0 @ S)))).
thf(aREALu_LTEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ X @ Y) & (realu_le @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aSEPARATEu_COMPACTu_CLOSED, axiom, ![S:(cartrealn1 > $o),T:(cartrealn1 > $o)]:(((compact0 @ S) & (closed0 @ T) & ((inter @ S @ T) = empty)) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:cartrealn1,Y:cartrealn1]:(((in @ X @ S) & (in @ Y @ T)) => (realu_le @ D @ (distance @ (c_ @ X @ Y))))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(adist, axiom, ![X:cartrealn1,Y:cartrealn1]:((distance @ (c_ @ X @ Y)) = (vectoru_norm0 @ (vectoru_sub0 @ X @ Y)))).
thf(apathu_image, axiom, ![G:(cartrealn1 > cartrealn)]:((pathu_image @ G) = (image0 @ G @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))))).
thf(conjecture, conjecture, ![G:(cartrealn1 > cartrealn),S:(cartrealn > $o)]:(((path @ G) & (open @ S) & (subset @ (pathu_image @ G) @ S)) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![H:(cartrealn1 > cartrealn)]:(((path @ H) & ((pathstart @ H) = (pathstart @ G)) & ((pathfinish @ H) = (pathfinish @ G)) & ![T:cartrealn1]:((in @ T @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) => (realu_lt @ (vectoru_norm @ (vectoru_sub @ (H @ T) @ (G @ T))) @ E))) => (homotopicu_paths @ S @ G @ H))))).
