%   ORIGINAL: KREIN_MILMAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSED_CLOSURE: !s. closed (closure s)
% Assm: CLOSED_HYPERPLANE: !a b. closed {x | a dot x = b}
% Assm: CLOSURE_EMPTY: closure {} = {}
% Assm: CLOSURE_MINIMAL: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: COMPACT_IMP_CLOSED: !s. compact s ==> closed s
% Assm: COMPACT_INTER_CLOSED: !s t. compact s /\ closed t ==> compact (s INTER t)
% Assm: CONTINUOUS_ATTAINS_INF: !f s. compact s /\ ~(s = {}) /\ lift o f continuous_on s ==> (?x. x IN s /\ (!y. y IN s ==> f x <= f y))
% Assm: CONTINUOUS_ON_LIFT_DOT: !s. lift o (\y. a dot y) continuous_on s
% Assm: CONVEX_CLOSURE: !s. convex s ==> convex (closure s)
% Assm: CONVEX_CONVEX_HULL: !s. convex (convex hull s)
% Assm: CONVEX_HULL_EMPTY: convex hull {} = {}
% Assm: CONVEX_HYPERPLANE: !a b. convex {x | a dot x = b}
% Assm: CONVEX_INTER: !s t. convex s /\ convex t ==> convex (s INTER t)
% Assm: EMPTY_GSPEC: {x | F} = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: EXTREME_POINT_EXISTS_CONVEX: !s. compact s /\ convex s /\ ~(s = {}) ==> (?x. x extreme_point_of s)
% Assm: FACE_OF_INTER_SUPPORTING_HYPERPLANE_GE: !s a b. convex s /\ (!x. x IN s ==> a dot x >= b) ==> s INTER {x | a dot x = b} face_of s
% Assm: FACE_OF_SING: !x s. {x} face_of s <=> x extreme_point_of s
% Assm: FACE_OF_TRANS: !s t u. s face_of t /\ t face_of u ==> s face_of u
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HULL_INC: !P s x. x IN s ==> x IN P hull s
% Assm: HULL_MINIMAL: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: I_THM: !x. I x = x
% Assm: MEMBER_NOT_EMPTY: !s. (?x. x IN s) <=> ~(s = {})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: SEPARATING_HYPERPLANE_CLOSED_POINT: !s z. convex s /\ closed s /\ ~(z IN s) ==> (?a b. a dot z < b /\ (!x. x IN s ==> a dot x > b))
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_ANTISYM: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: TRUTH: T
% Assm: extreme_point_of: !s x. x extreme_point_of s <=> x IN s /\ (!a b. a IN s /\ b IN s ==> ~(x IN segment (a,b)))
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Goal: !s. convex s /\ compact s ==> s = closure (convex hull {x | x extreme_point_of s})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. closed (closure s)
% Assm: !a b. closed {x | a dot x = b}
% Assm: closure {} = {}
% Assm: !s t. s SUBSET t /\ closed t ==> closure s SUBSET t
% Assm: !s. s SUBSET closure s
% Assm: !s. compact s ==> closed s
% Assm: !s t. compact s /\ closed t ==> compact (s INTER t)
% Assm: !f s. compact s /\ ~(s = {}) /\ lift o f continuous_on s ==> (?x. x IN s /\ (!y. y IN s ==> f x <= f y))
% Assm: !a s. lift o (\y. a dot y) continuous_on s
% Assm: !s. convex s ==> convex (closure s)
% Assm: !s. convex (convex hull s)
% Assm: convex hull {} = {}
% Assm: !a b. convex {x | a dot x = b}
% Assm: !s t. convex s /\ convex t ==> convex (s INTER t)
% Assm: {x | F} = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s. compact s /\ convex s /\ ~(s = {}) ==> (?x. x extreme_point_of s)
% Assm: !s a b. convex s /\ (!x. x IN s ==> a dot x >= b) ==> s INTER {x | a dot x = b} face_of s
% Assm: !x s. {x} face_of s <=> x extreme_point_of s
% Assm: !s t u. s face_of t /\ t face_of u ==> s face_of u
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !P s x. x IN s ==> x IN P hull s
% Assm: !P s t. s SUBSET t /\ P t ==> P hull s SUBSET t
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. I x = x
% Assm: !s. (?x. x IN s) <=> ~(s = {})
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x. x <= x
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !x y. x < y ==> x <= y
% Assm: !s z. convex s /\ closed s /\ ~(z IN s) ==> (?a b. a dot z < b /\ (!x. x IN s ==> a dot x > b))
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t /\ t SUBSET s ==> s = t
% Assm: T
% Assm: !s x. x extreme_point_of s <=> x IN s /\ (!a b. a IN s /\ b IN s ==> ~(x IN segment (a,b)))
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Goal: !s. convex s /\ compact s ==> s = closure (convex hull {x | x extreme_point_of s})
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tq191399, type, q191399 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq191399, type, cartrealq191399 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq351661, type, cartrealq351661 : $tType).
thf(tq351661, type, q351661 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(copenuu_segment, type, openu_segment : (prodcartrealncartrealn > cartrealn > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ci, type, i : ((cartrealn > $o) > cartrealn > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cfaceuu_of0, type, faceu_of0 : ((cartrealq351661 > $o) > (cartrealq351661 > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cdot0, type, dot0 : (cartrealq191399 > cartrealq191399 > real)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealq191399 > cartrealn1) > (cartrealq191399 > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealn1) > (cartrealn > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cdot, type, dot : (cartrealn > cartrealn > real)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cclosure, type, closure : ((cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(co0, type, o0 : ((real > cartrealn1) > (cartrealq191399 > real) > cartrealq191399 > cartrealn1)).
thf(co, type, o : ((real > cartrealn1) > (cartrealn > real) > cartrealn > cartrealn1)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cclosed, type, closed : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty0, type, empty0 : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSEDu_CLOSURE, axiom, ![S:(cartrealn > $o)]:(closed @ (closure @ S))).
thf(aCLOSEDu_HYPERPLANE, axiom, ![A:cartrealn,B:real]:(closed @ (gspec @ ^[GENR_PVARR_520:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_520 @ ((dot @ A @ X) = B) @ X)))).
thf(aCLOSUREu_EMPTY, axiom, ((closure @ empty) = empty)).
thf(aCLOSUREu_MINIMAL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (closed @ T)) => (subset @ (closure @ S) @ T))).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ S @ (closure @ S))).
thf(aCOMPACTu_IMPu_CLOSED, axiom, ![S:(cartrealn > $o)]:((compact @ S) => (closed @ S))).
thf(aCOMPACTu_INTERu_CLOSED, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((compact @ S) & (closed @ T)) => (compact @ (inter @ S @ T)))).
thf(aCONTINUOUSu_ATTAINSu_INF, axiom, ![F:(cartrealn > real),S:(cartrealn > $o)]:(((compact @ S) & ~ ((S = empty)) & (continuousu_on @ (o @ lift @ F) @ S)) => ?[X:cartrealn]:((in @ X @ S) & ![Y:cartrealn]:((in @ Y @ S) => (realu_le @ (F @ X) @ (F @ Y)))))).
thf(aCONTINUOUSu_ONu_LIFTu_DOT, axiom, ![A:cartrealq191399,S:(cartrealq191399 > $o)]:(continuousu_on0 @ (o0 @ lift @ ^[Y:cartrealq191399]:(dot0 @ A @ Y)) @ S)).
thf(aCONVEXu_CLOSURE, axiom, ![S:(cartrealn > $o)]:((convex @ S) => (convex @ (closure @ S)))).
thf(aCONVEXu_CONVEXu_HULL, axiom, ![S:(cartrealn > $o)]:(convex @ (hull @ convex @ S))).
thf(aCONVEXu_HULLu_EMPTY, axiom, ((hull @ convex @ empty) = empty)).
thf(aCONVEXu_HYPERPLANE, axiom, ![A:cartrealn,B:real]:(convex @ (gspec @ ^[GENR_PVARR_825:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_825 @ ((dot @ A @ X) = B) @ X)))).
thf(aCONVEXu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((convex @ S) & (convex @ T)) => (convex @ (inter @ S @ T)))).
thf(aEMPTYu_GSPEC, axiom, ((gspec @ ^[GENR_PVARR_14:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_14 @ $false @ X)) = empty)).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aEXTREMEu_POINTu_EXISTSu_CONVEX, axiom, ![S:(cartrealn > $o)]:(((compact @ S) & (convex @ S) & ~ ((S = empty))) => ?[X:cartrealn]:(extremeu_pointu_of @ X @ S))).
thf(aFACEu_OFu_INTERu_SUPPORTINGu_HYPERPLANEu_GE, axiom, ![S:(cartrealn > $o),A:cartrealn,B:real]:(((convex @ S) & ![X:cartrealn]:((in @ X @ S) => (realu_ge @ (dot @ A @ X) @ B))) => (faceu_of @ (inter @ S @ (gspec @ ^[GENR_PVARR_1174:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1174 @ ((dot @ A @ X) = B) @ X))) @ S))).
thf(aFACEu_OFu_SING, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((faceu_of @ (insert @ X @ empty) @ S) <=> (extremeu_pointu_of @ X @ S))).
thf(aFACEu_OFu_TRANS, axiom, ![S:(cartrealq351661 > $o),T:(cartrealq351661 > $o),U:(cartrealq351661 > $o)]:(((faceu_of0 @ S @ T) & (faceu_of0 @ T @ U)) => (faceu_of0 @ S @ U))).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:((F = G) <=> ![X:cartrealn]:((F @ X) <=> (G @ X)))).
thf(aHULLu_INC, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),X:cartrealn]:((in @ X @ S) => (in @ X @ (hull @ P @ S)))).
thf(aHULLu_MINIMAL, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (P @ T)) => (subset @ (hull @ P @ S) @ T))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (inter0 @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aIu_THM, axiom, ![X:(cartrealn > $o)]:((i @ X) = X)).
thf(aMEMBERu_NOTu_EMPTY, axiom, ![S:(cartrealn > $o)]:(?[X:cartrealn]:(in @ X @ S) <=> ~ ((S = empty)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in0 @ X @ empty0))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aSEPARATINGu_HYPERPLANEu_CLOSEDu_POINT, axiom, ![S:(cartrealn > $o),Z:cartrealn]:(((convex @ S) & (closed @ S) & ~ ((in @ Z @ S))) => ?[A:cartrealn,B:real]:((realu_lt @ (dot @ A @ Z) @ B) & ![X:cartrealn]:((in @ X @ S) => (realu_gt @ (dot @ A @ X) @ B))))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_ANTISYM, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) => (S = T))).
thf(aTRUTH, axiom, $true).
thf(aextremeu_pointu_of, axiom, ![S:(cartrealn > $o),X:cartrealn]:((extremeu_pointu_of @ X @ S) <=> ((in @ X @ S) & ![A:cartrealn,B:cartrealn]:(((in @ A @ S) & (in @ B @ S)) => ~ ((in @ X @ (openu_segment @ (c_ @ A @ B)))))))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((convex @ S) & (compact @ S)) => (S = (closure @ (hull @ convex @ (gspec @ ^[GENR_PVARR_1225:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1225 @ (extremeu_pointu_of @ X @ S) @ X))))))).
