%   ORIGINAL: POINTWISE_ANTISYM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: TRUTH: T
% Goal: !x y. (!j. x j <= y j) /\ (!j. y j <= x j) <=> x = y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: T
% Goal: !x y. (!j. x j <= y j) /\ (!j. y j <= x j) <=> x = y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num > num),G:(a > num > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFUNu_EQu_THM, axiom, ![F:(num > num),G:(num > num)]:((F = G) <=> ![X:num]:((F @ X) = (G @ X)))).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:(num > num),Y:(num > num)]:((![J:num]:(l_a_ @ (X @ J) @ (Y @ J)) & ![J:num]:(l_a_ @ (Y @ J) @ (X @ J))) <=> (X = Y))).
