%   ORIGINAL: RETRACTION_ARC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DROP_VEC: !n. drop (vec n) = &n
% Assm: INTERVAL_EQ_EMPTY_1: !a b. (interval [a,b] = {} <=> drop b < drop a) /\ (interval (a,b) = {} <=> drop b <= drop a)
% Assm: REAL_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: REAL_POS: !n. &0 <= &n
% Assm: RETRACTION_INJECTIVE_IMAGE_INTERVAL: !p a b. ~(interval [a,b] = {}) /\ p continuous_on interval [a,b] /\ (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ p x = p y ==> x = y) ==> (?f. f continuous_on (:real^N) /\ IMAGE f (:real^N) SUBSET IMAGE p (interval [a,b]) /\ (!x. x IN IMAGE p (interval [a,b]) ==> f x = x))
% Assm: TRUTH: T
% Assm: arc: !g. arc g <=> path g /\ (!x y. x IN interval [vec 0,vec 1] /\ y IN interval [vec 0,vec 1] /\ g x = g y ==> x = y)
% Assm: path: !g. path g <=> g continuous_on interval [vec 0,vec 1]
% Assm: path_image: !g. path_image g = IMAGE g (interval [vec 0,vec 1])
% Goal: !p. arc p ==> (?f. f continuous_on (:real^N) /\ IMAGE f (:real^N) SUBSET path_image p /\ (!x. x IN path_image p ==> f x = x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. drop (vec n) = &n
% Assm: !a b. (interval [a,b] = {} <=> drop b < drop a) /\ (interval (a,b) = {} <=> drop b <= drop a)
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !n. &0 <= &n
% Assm: !p a b. ~(interval [a,b] = {}) /\ p continuous_on interval [a,b] /\ (!x y. x IN interval [a,b] /\ y IN interval [a,b] /\ p x = p y ==> x = y) ==> (?f. f continuous_on (:real^N) /\ IMAGE f (:real^N) SUBSET IMAGE p (interval [a,b]) /\ (!x. x IN IMAGE p (interval [a,b]) ==> f x = x))
% Assm: T
% Assm: !g. arc g <=> path g /\ (!x y. x IN interval [vec 0,vec 1] /\ y IN interval [vec 0,vec 1] /\ g x = g y ==> x = y)
% Assm: !g. path g <=> g continuous_on interval [vec 0,vec 1]
% Assm: !g. path_image g = IMAGE g (interval [vec 0,vec 1])
% Goal: !p. arc p ==> (?f. f continuous_on (:real^N) /\ IMAGE f (:real^N) SUBSET path_image p /\ (!x. x IN path_image p ==> f x = x))
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil0, type, nil0 : listprodcartrealncartrealn).
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealn1 > cartrealn) > (cartrealn1 > $o) > $o)).
thf(cin0, type, in0 : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(ccloseduu_interval0, type, closedu_interval0 : (listprodcartrealncartrealn > cartrealn > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(copenuu_interval, type, openu_interval : (prodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(cvec, type, vec : (num > cartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cpathuu_image, type, pathu_image : ((cartrealn1 > cartrealn) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn > cartrealn) > (cartrealn > $o) > $o)).
thf(cimage0, type, image0 : ((cartrealn1 > cartrealn) > (cartrealn1 > $o) > cartrealn > $o)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons0, type, cons0 : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cimage, type, image : ((cartrealn > cartrealn) > (cartrealn > $o) > cartrealn > $o)).
thf(cpath, type, path : ((cartrealn1 > cartrealn) > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(cempty, type, empty : (cartrealn1 > $o)).
thf(cuniv, type, univ : (cartrealn > $o)).
thf(carc, type, arc : ((cartrealn1 > cartrealn) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDROPu_VEC, axiom, ![N:num]:((drop @ (vec @ N)) = (realu_ofu_num @ N))).
thf(aINTERVALu_EQu_EMPTYu_1, axiom, ![A:cartrealn1,B:cartrealn1]:((((closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) = empty) <=> (realu_lt @ (drop @ B) @ (drop @ A))) & (((openu_interval @ (c_ @ A @ B)) = empty) <=> (realu_le @ (drop @ B) @ (drop @ A))))).
thf(aREALu_NOTu_LT, axiom, ![X:real,Y:real]:(~ ((realu_lt @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aRETRACTIONu_INJECTIVEu_IMAGEu_INTERVAL, axiom, ![P:(cartrealn > cartrealn),A:cartrealn,B:cartrealn]:((~ (((closedu_interval0 @ (cons0 @ (c_0 @ A @ B) @ nil0)) = empty0)) & (continuousu_on @ P @ (closedu_interval0 @ (cons0 @ (c_0 @ A @ B) @ nil0))) & ![X:cartrealn,Y:cartrealn]:(((in @ X @ (closedu_interval0 @ (cons0 @ (c_0 @ A @ B) @ nil0))) & (in @ Y @ (closedu_interval0 @ (cons0 @ (c_0 @ A @ B) @ nil0))) & ((P @ X) = (P @ Y))) => (X = Y))) => ?[F:(cartrealn > cartrealn)]:((continuousu_on @ F @ univ) & (subset @ (image @ F @ univ) @ (image @ P @ (closedu_interval0 @ (cons0 @ (c_0 @ A @ B) @ nil0)))) & ![X:cartrealn]:((in @ X @ (image @ P @ (closedu_interval0 @ (cons0 @ (c_0 @ A @ B) @ nil0)))) => ((F @ X) = X))))).
thf(aTRUTH, axiom, $true).
thf(aarc, axiom, ![G:(cartrealn1 > cartrealn)]:((arc @ G) <=> ((path @ G) & ![X:cartrealn1,Y:cartrealn1]:(((in0 @ X @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & (in0 @ Y @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))) & ((G @ X) = (G @ Y))) => (X = Y))))).
thf(apath, axiom, ![G:(cartrealn1 > cartrealn)]:((path @ G) <=> (continuousu_on0 @ G @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))))).
thf(apathu_image, axiom, ![G:(cartrealn1 > cartrealn)]:((pathu_image @ G) = (image0 @ G @ (closedu_interval @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ (vec @ (numeral @ (bit1 @ u_0)))) @ nil))))).
thf(conjecture, conjecture, ![P:(cartrealn1 > cartrealn)]:((arc @ P) => ?[F:(cartrealn > cartrealn)]:((continuousu_on @ F @ univ) & (subset @ (image @ F @ univ) @ (pathu_image @ P)) & ![X:cartrealn]:((in @ X @ (pathu_image @ P)) => ((F @ X) = X))))).
