%   ORIGINAL: HAS_DERIVATIVE_CONST
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: LIM_CONST: !net a. ((\x. a) --> a) net
% Assm: TRUTH: T
% Assm: VECTOR_ADD_RID: !x. x + vec 0 = x
% Assm: VECTOR_MUL_RZERO: c % vec 0 = vec 0
% Assm: VECTOR_SUB_REFL: !x. x - x = vec 0
% Assm: has_derivative: !f f' net. (f has_derivative f') net <=> linear f' /\ ((\y. inv (norm (y - netlimit net)) % (f y - (f (netlimit net) + f' (y - netlimit net)))) --> vec 0) net
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !c net. ((\x. c) has_derivative (\h. vec 0)) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net a. ((\x. a) --> a) net
% Assm: T
% Assm: !x. x + vec 0 = x
% Assm: !c. c % vec 0 = vec 0
% Assm: !x. x - x = vec 0
% Assm: !f f' net. (f has_derivative f') net <=> linear f' /\ ((\y. inv (norm (y - netlimit net)) % (f y - (f (netlimit net) + f' (y - netlimit net)))) --> vec 0) net
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !c net. ((\x. c) has_derivative (\h. vec 0)) net
%  TYPES
thf(tnetq176172, type, netq176172 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tq409940, type, q409940 : $tType).
thf(treal, type, real : $tType).
thf(tq176172, type, q176172 : $tType).
thf(tnetcartrealq409934, type, netcartrealq409934 : $tType).
thf(tq409934, type, q409934 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartrealq409934, type, cartrealq409934 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tcartrealq409940, type, cartrealq409940 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealq409940)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq409934 > real)).
thf(cru_1, type, r_1 : (real > cartrealn > cartrealn)).
thf(cru_0, type, r_0 : (real > cartrealm > cartrealm)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealm > cartrealm > cartrealm)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq409934 > cartrealq409934 > cartrealq409934)).
thf(cmu_mu_gu_0, type, m_m_g_0 : ((cartrealq409934 > cartrealq409940) > cartrealq409940 > netcartrealq409934 > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq409940 > cartrealq409940 > cartrealq409940)).
thf(cru_, type, r_ : (real > cartrealq409940 > cartrealq409940)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq409940 > cartrealq409940 > cartrealq409940)).
thf(cmu_mu_gu_, type, m_m_g_ : ((q176172 > cartrealn) > cartrealn > netq176172 > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq409934 > cartrealq409940) > (cartrealq409934 > cartrealq409940) > netcartrealq409934 > $o)).
thf(clinear0, type, linear0 : ((cartrealm > cartrealn) > $o)).
thf(clinear, type, linear : ((cartrealq409934 > cartrealq409940) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnetlimit, type, netlimit : (netcartrealq409934 > cartrealq409934)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLIMu_CONST, axiom, ![NET:netq176172,A:cartrealn]:(m_m_g_ @ ^[X:q176172]:A @ A @ NET)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_RID, axiom, ![X:cartrealq409940]:((vectoru_add @ X @ (vec @ (numeral @ u_0))) = X)).
thf(aVECTORu_MULu_RZERO, axiom, ![C:real]:((r_ @ C @ (vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0)))).
thf(aVECTORu_SUBu_REFL, axiom, ![X:cartrealq409940]:((vectoru_sub @ X @ X) = (vec @ (numeral @ u_0)))).
thf(ahasu_derivative, axiom, ![F:(cartrealq409934 > cartrealq409940),FI_:(cartrealq409934 > cartrealq409940),NET:netcartrealq409934]:((hasu_derivative @ F @ FI_ @ NET) <=> ((linear @ FI_) & (m_m_g_0 @ ^[Y:cartrealq409934]:(r_ @ (realu_inv @ (vectoru_norm @ (vectoru_sub0 @ Y @ (netlimit @ NET)))) @ (vectoru_sub @ (F @ Y) @ (vectoru_add @ (F @ (netlimit @ NET)) @ (FI_ @ (vectoru_sub0 @ Y @ (netlimit @ NET)))))) @ (vec @ (numeral @ u_0)) @ NET)))).
thf(alinear, axiom, ![F:(cartrealm > cartrealn)]:((linear0 @ F) <=> (![X:cartrealm,Y:cartrealm]:((F @ (vectoru_add0 @ X @ Y)) = (vectoru_add1 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealm]:((F @ (r_0 @ C @ X)) = (r_1 @ C @ (F @ X)))))).
thf(conjecture, conjecture, ![C:cartrealq409940,NET:netcartrealq409934]:(hasu_derivative @ ^[X:cartrealq409934]:C @ ^[H:cartrealq409934]:(vec @ (numeral @ u_0)) @ NET)).
