%   ORIGINAL: DIFFERENTIABLE_VSUM_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIFFERENTIABLE_VSUM: !f net s. FINITE s /\ (!a. a IN s ==> f a differentiable net) ==> (\x. vsum s (\a. f a x)) differentiable net
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: TRUTH: T
% Goal: !f net m n. FINITE s /\ (!i. m <= i /\ i <= n ==> f i differentiable net) ==> (\x. vsum (m..n) (\a. f a x)) differentiable net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f net s. FINITE s /\ (!a. a IN s ==> f a differentiable net) ==> (\x. vsum s (\a. f a x)) differentiable net
% Assm: !m n. FINITE (m..n)
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: T
% Goal: !s f net m n. FINITE s /\ (!i. m <= i /\ i <= n ==> f i differentiable net) ==> (\x. vsum (m..n) (\a. f a x)) differentiable net
%  TYPES
thf(tcartrealq413062, type, cartrealq413062 : $tType).
thf(tcartrealq413056, type, cartrealq413056 : $tType).
thf(tnum, type, num : $tType).
thf(tnetcartrealq413062, type, netcartrealq413062 : $tType).
thf(ta, type, a : $tType).
thf(tq413062, type, q413062 : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq413056, type, q413056 : $tType).
thf(tq413039, type, q413039 : $tType).
%  CONSTS
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cin, type, in : (q413039 > (q413039 > $o) > $o)).
thf(cdifferentiable, type, differentiable : ((cartrealq413062 > cartrealq413056) > netcartrealq413062 > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cvsum0, type, vsum0 : ((q413039 > $o) > (q413039 > cartrealq413056) > cartrealq413056)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealq413056) > cartrealq413056)).
thf(cfinite0, type, finite0 : ((num > $o) > $o)).
thf(cfinite, type, finite : ((q413039 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIFFERENTIABLEu_VSUM, axiom, ![F:(q413039 > cartrealq413062 > cartrealq413056),NET:netcartrealq413062,S:(q413039 > $o)]:(((finite @ S) & ![A:q413039]:((in @ A @ S) => (differentiable @ (F @ A) @ NET))) => (differentiable @ ^[X:cartrealq413062]:(vsum0 @ S @ ^[A:q413039]:(F @ A @ X)) @ NET))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite0 @ (o_o_ @ M @ N))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(q413039 > $o),F:(num > cartrealq413062 > cartrealq413056),NET:netcartrealq413062,M:num,N:num]:(((finite @ S) & ![I:num]:(((l_a_ @ M @ I) & (l_a_ @ I @ N)) => (differentiable @ (F @ I) @ NET))) => (differentiable @ ^[X:cartrealq413062]:(vsum @ (o_o_ @ M @ N) @ ^[A:num]:(F @ A @ X)) @ NET))).
