%   ORIGINAL: DIFFERENTIABLE_ON_ADD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIFFERENTIABLE_ADD: !f g net. f differentiable net /\ g differentiable net ==> (\z. f z + g z) differentiable net
% Assm: TRUTH: T
% Assm: differentiable_on: !f s. f differentiable_on s <=> (!x. x IN s ==> f differentiable at x within s)
% Goal: !f g s. f differentiable_on s /\ g differentiable_on s ==> (\z. f z + g z) differentiable_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g net. f differentiable net /\ g differentiable net ==> (\z. f z + g z) differentiable net
% Assm: T
% Assm: !f s. f differentiable_on s <=> (!x. x IN s ==> f differentiable at x within s)
% Goal: !f g s. f differentiable_on s /\ g differentiable_on s ==> (\z. f z + g z) differentiable_on s
%  TYPES
thf(tnetcartrealq412914, type, netcartrealq412914 : $tType).
thf(tcartrealq412914, type, cartrealq412914 : $tType).
thf(tq412914, type, q412914 : $tType).
thf(tcartrealq413306, type, cartrealq413306 : $tType).
thf(tnetcartrealq413296, type, netcartrealq413296 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq413296, type, q413296 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq413296, type, cartrealq413296 : $tType).
thf(tq413306, type, q413306 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealq413296 > netcartrealq413296)).
thf(cdifferentiable0, type, differentiable0 : ((cartrealq413296 > cartrealq413306) > netcartrealq413296 > $o)).
thf(cin, type, in : (cartrealq413296 > (cartrealq413296 > $o) > $o)).
thf(cdifferentiable, type, differentiable : ((cartrealq412914 > cartrealq413306) > netcartrealq412914 > $o)).
thf(cdifferentiableuu_on, type, differentiableu_on : ((cartrealq413296 > cartrealq413306) > (cartrealq413296 > $o) > $o)).
thf(cwithin, type, within : (netcartrealq413296 > (cartrealq413296 > $o) > netcartrealq413296)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq413306 > cartrealq413306 > cartrealq413306)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIFFERENTIABLEu_ADD, axiom, ![F:(cartrealq412914 > cartrealq413306),G:(cartrealq412914 > cartrealq413306),NET:netcartrealq412914]:(((differentiable @ F @ NET) & (differentiable @ G @ NET)) => (differentiable @ ^[Z:cartrealq412914]:(vectoru_add @ (F @ Z) @ (G @ Z)) @ NET))).
thf(aTRUTH, axiom, $true).
thf(adifferentiableu_on, axiom, ![F:(cartrealq413296 > cartrealq413306),S:(cartrealq413296 > $o)]:((differentiableu_on @ F @ S) <=> ![X:cartrealq413296]:((in @ X @ S) => (differentiable0 @ F @ (within @ (at @ X) @ S))))).
thf(conjecture, conjecture, ![F:(cartrealq413296 > cartrealq413306),G:(cartrealq413296 > cartrealq413306),S:(cartrealq413296 > $o)]:(((differentiableu_on @ F @ S) & (differentiableu_on @ G @ S)) => (differentiableu_on @ ^[Z:cartrealq413296]:(vectoru_add @ (F @ Z) @ (G @ Z)) @ S))).
