%   ORIGINAL: HAS_VECTOR_DERIVATIVE_TRANSFORM_WITHIN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_DERIVATIVE_TRANSFORM_WITHIN: !f f' g x s d. &0 < d /\ x IN s /\ (!x'. x' IN s /\ dist (x',x) < d ==> f x' = g x') /\ (f has_derivative f') (at x within s) ==> (g has_derivative f') (at x within s)
% Assm: TRUTH: T
% Assm: has_vector_derivative: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Goal: !f f' g x s d. &0 < d /\ x IN s /\ (!x'. x' IN s /\ dist (x',x) < d ==> f x' = g x') /\ (f has_vector_derivative f') (at x within s) ==> (g has_vector_derivative f') (at x within s)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f' g x s d. &0 < d /\ x IN s /\ (!x'. x' IN s /\ dist (x',x) < d ==> f x' = g x') /\ (f has_derivative f') (at x within s) ==> (g has_derivative f') (at x within s)
% Assm: T
% Assm: !f f' net. (f has_vector_derivative f') net <=> (f has_derivative (\x. drop x % f')) net
% Goal: !f f' g x s d. &0 < d /\ x IN s /\ (!x'. x' IN s /\ dist (x',x) < d ==> f x' = g x') /\ (f has_vector_derivative f') (at x within s) ==> (g has_vector_derivative f') (at x within s)
%  TYPES
thf(tq423703, type, q423703 : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq423703, type, cartrealq423703 : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn1 > netcartrealn1)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cdistance, type, distance : (prodcartrealn1cartrealn1 > real)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cru_, type, r_ : (real > cartrealq423703 > cartrealq423703)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealn1 > cartrealq423703) > (cartrealn1 > cartrealq423703) > netcartrealn1 > $o)).
thf(cwithin, type, within : (netcartrealn1 > (cartrealn1 > $o) > netcartrealn1)).
thf(chasuu_vectoruu_derivative, type, hasu_vectoru_derivative : ((cartrealn1 > cartrealq423703) > cartrealq423703 > netcartrealn1 > $o)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq423703),G:(a > cartrealq423703)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_DERIVATIVEu_TRANSFORMu_WITHIN, axiom, ![F:(cartrealn1 > cartrealq423703),FI_:(cartrealn1 > cartrealq423703),G:(cartrealn1 > cartrealq423703),X:cartrealn1,S:(cartrealn1 > $o),D:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & (in @ X @ S) & ![XI_:cartrealn1]:(((in @ XI_ @ S) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D)) => ((F @ XI_) = (G @ XI_))) & (hasu_derivative @ F @ FI_ @ (within @ (at @ X) @ S))) => (hasu_derivative @ G @ FI_ @ (within @ (at @ X) @ S)))).
thf(aTRUTH, axiom, $true).
thf(ahasu_vectoru_derivative, axiom, ![F:(cartrealn1 > cartrealq423703),FI_:cartrealq423703,NET:netcartrealn1]:((hasu_vectoru_derivative @ F @ FI_ @ NET) <=> (hasu_derivative @ F @ ^[X:cartrealn1]:(r_ @ (drop @ X) @ FI_) @ NET))).
thf(conjecture, conjecture, ![F:(cartrealn1 > cartrealq423703),FI_:cartrealq423703,G:(cartrealn1 > cartrealq423703),X:cartrealn1,S:(cartrealn1 > $o),D:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & (in @ X @ S) & ![XI_:cartrealn1]:(((in @ XI_ @ S) & (realu_lt @ (distance @ (c_ @ XI_ @ X)) @ D)) => ((F @ XI_) = (G @ XI_))) & (hasu_vectoru_derivative @ F @ FI_ @ (within @ (at @ X) @ S))) => (hasu_vectoru_derivative @ G @ FI_ @ (within @ (at @ X) @ S)))).
