%   ORIGINAL: CONTENT_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTENT_CLOSED_INTERVAL: !a b. (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i) ==> content (interval [a,b]) = product (1..dimindex (:N)) (\i. b$i - a$i)
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: FORALL_1: (!i. 1 <= i /\ i <= 1 ==> P i) <=> P 1
% Assm: PRODUCT_SING_NUMSEG: !f n. product (n..n) f = f n
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Goal: !a b. drop a <= drop b ==> content (interval [a,b]) = drop b - drop a
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a b. (!i. 1 <= i /\ i <= dimindex (:1) ==> a$i <= b$i) ==> content (interval [a,b]) = product (1..dimindex (:1)) (\i. b$i - a$i)
% Assm: dimindex (:1) = 1
% Assm: !P. (!i. 1 <= i /\ i <= 1 ==> P i) <=> P 1
% Assm: !f n. product (n..n) f = f n
% Assm: T
% Assm: !x. drop x = x$1
% Goal: !a b. drop a <= drop b ==> content (interval [a,b]) = drop b - drop a
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tprodcartrealn1cartrealn1, type, prodcartrealn1cartrealn1 : $tType).
thf(tlistprodcartrealn1cartrealn1, type, listprodcartrealn1cartrealn1 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealn1cartrealn1).
thf(cproduct, type, product : ((num > $o) > (num > real) > real)).
thf(cdu_, type, d_ : (cartrealn1 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealn1cartrealn1 > cartrealn1 > $o)).
thf(ccontent, type, content : ((cartrealn1 > $o) > real)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(ccu_, type, c_ : (cartrealn1 > cartrealn1 > prodcartrealn1cartrealn1)).
thf(ccons, type, cons : (prodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1 > listprodcartrealn1cartrealn1)).
thf(cuniv, type, univ : (n1 > $o)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTENTu_CLOSEDu_INTERVAL, axiom, ![A:cartrealn1,B:cartrealn1]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (d_ @ A @ I) @ (d_ @ B @ I))) => ((content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (product @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(realu_sub @ (d_ @ B @ I) @ (d_ @ A @ I)))))).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))).
thf(aFORALLu_1, axiom, ![P:(num > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit1 @ u_0)))) => (P @ I)) <=> (P @ (numeral @ (bit1 @ u_0))))).
thf(aPRODUCTu_SINGu_NUMSEG, axiom, ![F:(num > real),N:num]:((product @ (o_o_ @ N @ N) @ F) = (F @ N))).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_ @ X @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![A:cartrealn1,B:cartrealn1]:((realu_le @ (drop @ A) @ (drop @ B)) => ((content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (realu_sub @ (drop @ B) @ (drop @ A))))).
