%   ORIGINAL: CONTENT_EQ_0_GEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPONENT_LE_NORM: !x i. 1 <= i /\ i <= dimindex (:N) ==> abs (x$i) <= norm x
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: DIMINDEX_GE_1: !s. 1 <= dimindex s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_THM: !x. I x = x
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LE_REFL: !n. n <= n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: PRODUCT_EQ_0_NUMSEG: !f m n. product (m..n) f = &0 <=> (?x. m <= x /\ x <= n /\ f x = &0)
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUP_EQ_INF: !s. ~(s = {}) /\ (?B. !x. x IN s ==> abs x <= B) ==> (sup s = inf s <=> (?a. s = {a}))
% Assm: TRUTH: T
% Assm: bounded: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Assm: content: !s. content s = (if s = {} then &0 else product (1..dimindex (:M)) (\i. interval_upperbound s$i - interval_lowerbound s$i))
% Assm: interval_lowerbound: !s. interval_lowerbound s = (lambda i. inf {a | ?x. x IN s /\ x$i = a})
% Assm: interval_upperbound: !s. interval_upperbound s = (lambda i. sup {a | ?x. x IN s /\ x$i = a})
% Goal: !s. bounded s ==> (content s = &0 <=> (?i a. 1 <= i /\ i <= dimindex (:N) /\ (!x. x IN s ==> x$i = a)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x i. 1 <= i /\ i <= dimindex (:N) ==> abs (x$i) <= norm x
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !s. 1 <= dimindex s
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: !g i. 1 <= i /\ i <= dimindex (:N) ==> (lambda) g$i = g i
% Assm: !n. n <= n
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !f m n. product (m..n) f = &0 <=> (?x. m <= x /\ x <= n /\ f x = &0)
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !s. ~(s = {}) /\ (?B. !x. x IN s ==> abs x <= B) ==> (sup s = inf s <=> (?a. s = {a}))
% Assm: T
% Assm: !s. bounded s <=> (?a. !x. x IN s ==> norm x <= a)
% Assm: !s. content s = (if s = {} then &0 else product (1..dimindex (:N)) (\i. interval_upperbound s$i - interval_lowerbound s$i))
% Assm: !s. interval_lowerbound s = (lambda i. inf {a | ?x. x IN s /\ x$i = a})
% Assm: !s. interval_upperbound s = (lambda i. sup {a | ?x. x IN s /\ x$i = a})
% Goal: !s. bounded s ==> (content s = &0 <=> (?i a. 1 <= i /\ i <= dimindex (:N) /\ (!x. x IN s ==> x$i = a)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(cgspec0, type, gspec0 : ((real > $o) > real > $o)).
thf(cinf, type, inf : ((real > $o) > real)).
thf(csup, type, sup : ((real > $o) > real)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cproduct, type, product : ((num > $o) > (num > real) > real)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ccontent, type, content : ((cartrealn > $o) > real)).
thf(csetspec0, type, setspec0 : (real > $o > real > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(cinsert0, type, insert0 : (real > (real > $o) > real > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ci0, type, i0 : ($o > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cbounded, type, bounded : ((cartrealn > $o) > $o)).
thf(cintervaluu_lowerbound, type, intervalu_lowerbound : ((cartrealn > $o) > cartrealn)).
thf(cintervaluu_upperbound, type, intervalu_upperbound : ((cartrealn > $o) > cartrealn)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (real > $o)).
thf(ci, type, i : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPONENTu_LEu_NORM, axiom, ![X:cartrealn,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (realu_abs @ (d_ @ X @ I)) @ (vectoru_norm @ X)))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aDIMINDEXu_GEu_1, axiom, ![S:(n > $o)]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFUNu_EQu_THMu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFUNu_EQu_THMu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aLAMBDAu_BETA, axiom, ![G:(num > real),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aPRODUCTu_EQu_0u_NUMSEG, axiom, ![F:(num > real),M:num,N:num]:(((product @ (o_o_ @ M @ N) @ F) = (realu_ofu_num @ (numeral @ u_0))) <=> ?[X:num]:((l_a_ @ M @ X) & (l_a_ @ X @ N) & ((F @ X) = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUPu_EQu_INF, axiom, ![S:(real > $o)]:((~ ((S = empty0)) & ?[B:real]:![X:real]:((in0 @ X @ S) => (realu_le @ (realu_abs @ X) @ B))) => (((sup @ S) = (inf @ S)) <=> ?[A:real]:(S = (insert0 @ A @ empty0))))).
thf(aTRUTH, axiom, $true).
thf(abounded, axiom, ![S:(cartrealn > $o)]:((bounded @ S) <=> ?[A:real]:![X:cartrealn]:((in @ X @ S) => (realu_le @ (vectoru_norm @ X) @ A)))).
thf(acontent, axiom, ![S:(cartrealn > $o)]:((content @ S) = (cond0 @ (S = empty) @ (realu_ofu_num @ (numeral @ u_0)) @ (product @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(realu_sub @ (d_ @ (intervalu_upperbound @ S) @ I) @ (d_ @ (intervalu_lowerbound @ S) @ I)))))).
thf(aintervalu_lowerbound, axiom, ![S:(cartrealn > $o)]:((intervalu_lowerbound @ S) = (lambda0 @ ^[I:num]:(inf @ (gspec0 @ ^[GENR_PVARR_1583:real]:?[A:real]:(setspec0 @ GENR_PVARR_1583 @ ?[X:cartrealn]:((in @ X @ S) & ((d_ @ X @ I) = A)) @ A)))))).
thf(aintervalu_upperbound, axiom, ![S:(cartrealn > $o)]:((intervalu_upperbound @ S) = (lambda0 @ ^[I:num]:(sup @ (gspec0 @ ^[GENR_PVARR_1582:real]:?[A:real]:(setspec0 @ GENR_PVARR_1582 @ ?[X:cartrealn]:((in @ X @ S) & ((d_ @ X @ I) = A)) @ A)))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((bounded @ S) => (((content @ S) = (realu_ofu_num @ (numeral @ u_0))) <=> ?[I:num,A:real]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & ![X:cartrealn]:((in @ X @ S) => ((d_ @ X @ I) = A)))))).
