%   ORIGINAL: TAGGED_DIVISION_UNIONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FINITE_UNIONS: !s. FINITE (UNIONS s) <=> FINITE s /\ (!t. t IN s ==> FINITE t)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_INTERIOR: !s t. s SUBSET t ==> interior s SUBSET interior t
% Assm: TRUTH: T
% Assm: tagged_division_of: !s i. s tagged_division_of i <=> s tagged_partial_division_of i /\ UNIONS {k | ?x. x,k IN s} = i
% Assm: tagged_partial_division_of: !i s. s tagged_partial_division_of i <=> FINITE s /\ (!x k. x,k IN s ==> x IN k /\ k SUBSET i /\ (?a b. k = interval [a,b])) /\ (!x1 k1 x2 k2. x1,k1 IN s /\ x2,k2 IN s /\ ~(x1,k1 = x2,k2) ==> interior k1 INTER interior k2 = {})
% Goal: !iset pfn. FINITE iset /\ (!i. i IN iset ==> pfn i tagged_division_of i) /\ (!i1 i2. i1 IN iset /\ i2 IN iset /\ ~(i1 = i2) ==> interior i1 INTER interior i2 = {}) ==> UNIONS (IMAGE pfn iset) tagged_division_of UNIONS iset
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !s. FINITE (UNIONS s) <=> FINITE s /\ (!t. t IN s ==> FINITE t)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t ==> interior s SUBSET interior t
% Assm: T
% Assm: !s i. s tagged_division_of i <=> s tagged_partial_division_of i /\ UNIONS {k | ?x. x,k IN s} = i
% Assm: !i s. s tagged_partial_division_of i <=> FINITE s /\ (!x k. x,k IN s ==> x IN k /\ k SUBSET i /\ (?a b. k = interval [a,b])) /\ (!x1 k1 x2 k2. x1,k1 IN s /\ x2,k2 IN s /\ ~(x1,k1 = x2,k2) ==> interior k1 INTER interior k2 = {})
% Goal: !iset pfn. FINITE iset /\ (!i. i IN iset ==> pfn i tagged_division_of i) /\ (!i1 i2. i1 IN iset /\ i2 IN iset /\ ~(i1 = i2) ==> interior i1 INTER interior i2 = {}) ==> UNIONS (IMAGE pfn iset) tagged_division_of UNIONS iset
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodcartrealmfuncartrealmbool, type, prodcartrealmfuncartrealmbool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tm, type, m : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cin2, type, in2 : (prodcartrealmfuncartrealmbool > (prodcartrealmfuncartrealmbool > $o) > $o)).
thf(ctaggeduu_partialuu_divisionuu_of, type, taggedu_partialu_divisionu_of : ((prodcartrealmfuncartrealmbool > $o) > (cartrealm > $o) > $o)).
thf(csubset0, type, subset0 : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(csubset, type, subset : (((cartrealm > $o) > $o) > ((cartrealm > $o) > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(cin1, type, in1 : (((cartrealm > $o) > $o) > (((cartrealm > $o) > $o) > $o) > $o)).
thf(cunions1, type, unions1 : ((((cartrealm > $o) > $o) > $o) > (cartrealm > $o) > $o)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cunions0, type, unions0 : (((cartrealm > $o) > $o) > cartrealm > $o)).
thf(cunions, type, unions : (((prodcartrealmfuncartrealmbool > $o) > $o) > prodcartrealmfuncartrealmbool > $o)).
thf(cinterior, type, interior : ((cartrealm > $o) > cartrealm > $o)).
thf(ctaggeduu_divisionuu_of, type, taggedu_divisionu_of : ((prodcartrealmfuncartrealmbool > $o) > (cartrealm > $o) > $o)).
thf(cin, type, in : ((cartrealm > $o) > ((cartrealm > $o) > $o) > $o)).
thf(ccu_0, type, c_0 : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(ccu_, type, c_ : (cartrealm > (cartrealm > $o) > prodcartrealmfuncartrealmbool)).
thf(cinter0, type, inter0 : (((cartrealm > $o) > $o) > ((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(csetspec, type, setspec : ((cartrealm > $o) > $o > (cartrealm > $o) > $o)).
thf(cimage0, type, image0 : (((cartrealm > $o) > cartrealm > $o) > ((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(cimage, type, image : (((cartrealm > $o) > prodcartrealmfuncartrealmbool > $o) > ((cartrealm > $o) > $o) > (prodcartrealmfuncartrealmbool > $o) > $o)).
thf(cinter, type, inter : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cfinite1, type, finite1 : ((prodcartrealmfuncartrealmbool > $o) > $o)).
thf(cempty0, type, empty0 : ((cartrealm > $o) > $o)).
thf(cfinite0, type, finite0 : ((((cartrealm > $o) > $o) > $o) > $o)).
thf(cempty, type, empty : (cartrealm > $o)).
thf(cfinite, type, finite : (((cartrealm > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealm > $o),G:(a > cartrealm > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealm > $o)]:(^[X:cartrealm]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((S = T) <=> ![X:cartrealm]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFINITEu_IMAGE, axiom, ![F:((cartrealm > $o) > cartrealm > $o),S:((cartrealm > $o) > $o)]:((finite @ S) => (finite @ (image0 @ F @ S)))).
thf(aFINITEu_UNIONS, axiom, ![S:(((cartrealm > $o) > $o) > $o)]:((finite @ (unions1 @ S)) <=> ((finite0 @ S) & ![T:((cartrealm > $o) > $o)]:((in1 @ T @ S) => (finite @ T))))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:((cartrealm > $o) > $o),F:((cartrealm > $o) > cartrealm > $o),S:((cartrealm > $o) > $o)]:(![Y:(cartrealm > $o)]:((in @ Y @ (image0 @ F @ S)) => (P @ Y)) <=> ![X:(cartrealm > $o)]:((in @ X @ S) => (P @ (F @ X))))).
thf(aIN, axiom, ![P:((cartrealm > $o) > $o),X:(cartrealm > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((cartrealm > $o) > $o),X:(cartrealm > $o)]:((in @ X @ (gspec @ ^[V:(cartrealm > $o)]:?[Y:(cartrealm > $o)]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:(cartrealm > $o),S:((cartrealm > $o) > $o),F:((cartrealm > $o) > cartrealm > $o)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:(cartrealm > $o)]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:((cartrealm > $o) > $o),T:((cartrealm > $o) > $o),X:(cartrealm > $o)]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNIONS, axiom, ![S:(((cartrealm > $o) > $o) > $o),X:(cartrealm > $o)]:((in @ X @ (unions1 @ S)) <=> ?[T:((cartrealm > $o) > $o)]:((in1 @ T @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:(cartrealm > $o)]:~ ((in @ X @ empty0))).
thf(aSUBSET, axiom, ![S:((cartrealm > $o) > $o),T:((cartrealm > $o) > $o)]:((subset @ S @ T) <=> ![X:(cartrealm > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_INTERIOR, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset0 @ S @ T) => (subset0 @ (interior @ S) @ (interior @ T)))).
thf(aTRUTH, axiom, $true).
thf(ataggedu_divisionu_of, axiom, ![S:(prodcartrealmfuncartrealmbool > $o),I:(cartrealm > $o)]:((taggedu_divisionu_of @ S @ I) <=> ((taggedu_partialu_divisionu_of @ S @ I) & ((unions0 @ (gspec @ ^[GENR_PVARR_1605:(cartrealm > $o)]:?[K:(cartrealm > $o)]:(setspec @ GENR_PVARR_1605 @ ?[X:cartrealm]:(in2 @ (c_ @ X @ K) @ S) @ K))) = I)))).
thf(ataggedu_partialu_divisionu_of, axiom, ![I:(cartrealm > $o),S:(prodcartrealmfuncartrealmbool > $o)]:((taggedu_partialu_divisionu_of @ S @ I) <=> ((finite1 @ S) & ![X:cartrealm,K:(cartrealm > $o)]:((in2 @ (c_ @ X @ K) @ S) => ((in0 @ X @ K) & (subset0 @ K @ I) & ?[A:cartrealm,B:cartrealm]:(K = (closedu_interval @ (cons @ (c_0 @ A @ B) @ nil))))) & ![X1:cartrealm,K1:(cartrealm > $o),X2:cartrealm,K2:(cartrealm > $o)]:(((in2 @ (c_ @ X1 @ K1) @ S) & (in2 @ (c_ @ X2 @ K2) @ S) & ~ (((c_ @ X1 @ K1) = (c_ @ X2 @ K2)))) => ((inter @ (interior @ K1) @ (interior @ K2)) = empty))))).
thf(conjecture, conjecture, ![ISET:((cartrealm > $o) > $o),PFN:((cartrealm > $o) > prodcartrealmfuncartrealmbool > $o)]:(((finite @ ISET) & ![I:(cartrealm > $o)]:((in @ I @ ISET) => (taggedu_divisionu_of @ (PFN @ I) @ I)) & ![I1:(cartrealm > $o),I2:(cartrealm > $o)]:(((in @ I1 @ ISET) & (in @ I2 @ ISET) & ~ ((I1 = I2))) => ((inter @ (interior @ I1) @ (interior @ I2)) = empty))) => (taggedu_divisionu_of @ (unions @ (image @ PFN @ ISET)) @ (unions0 @ ISET)))).
