%   ORIGINAL: INTEGRABLE_ON_REFL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HAS_INTEGRAL_REFL: !f a. (f has_integral vec 0) (interval [a,a])
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: integrable_on: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f a. f integrable_on interval [a,a]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f a. (f has_integral vec 0) (interval [a,a])
% Assm: ~F <=> T
% Assm: T
% Assm: !f i. f integrable_on i <=> (?y. (f has_integral y) i)
% Goal: !f a. f integrable_on interval [a,a]
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq439604, type, cartrealq439604 : $tType).
thf(tprodcartrealq439640cartrealq439640, type, prodcartrealq439640cartrealq439640 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq439640, type, q439640 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq439628, type, cartrealq439628 : $tType).
thf(tq439604, type, q439604 : $tType).
thf(tq439628, type, q439628 : $tType).
thf(tlistprodcartrealq439640cartrealq439640, type, listprodcartrealq439640cartrealq439640 : $tType).
thf(tcartrealq439640, type, cartrealq439640 : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealq439640cartrealq439640).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealq439640cartrealq439640 > cartrealq439640 > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealq439640 > cartrealq439628) > (cartrealq439640 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealq439604)).
thf(chasuu_integral0, type, hasu_integral0 : ((cartrealq439640 > cartrealq439628) > cartrealq439628 > (cartrealq439640 > $o) > $o)).
thf(chasuu_integral, type, hasu_integral : ((cartrealq439640 > cartrealq439604) > cartrealq439604 > (cartrealq439640 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealq439640 > cartrealq439640 > prodcartrealq439640cartrealq439640)).
thf(ccons, type, cons : (prodcartrealq439640cartrealq439640 > listprodcartrealq439640cartrealq439640 > listprodcartrealq439640cartrealq439640)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHASu_INTEGRALu_REFL, axiom, ![F:(cartrealq439640 > cartrealq439604),A:cartrealq439640]:(hasu_integral @ F @ (vec @ (numeral @ u_0)) @ (closedu_interval @ (cons @ (c_ @ A @ A) @ nil)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aintegrableu_on, axiom, ![F:(cartrealq439640 > cartrealq439628),I:(cartrealq439640 > $o)]:((integrableu_on @ F @ I) <=> ?[Y:cartrealq439628]:(hasu_integral0 @ F @ Y @ I))).
thf(conjecture, conjecture, ![F:(cartrealq439640 > cartrealq439628),A:cartrealq439640]:(integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ A) @ nil)))).
