%   ORIGINAL: DIVISION_SPLIT_LEFT_INJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTENT_EQ_0_INTERIOR: !a b. content (interval [a,b]) = &0 <=> interior (interval [a,b]) = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTERVAL_SPLIT: !a b c k. 1 <= k /\ k <= dimindex (:N) ==> interval [a,b] INTER {x | x$k <= c} = interval [a,(lambda i. if i = k then min (b$k) c else b$i)] /\ interval [a,b] INTER {x | x$k >= c} = interval [(lambda i. if i = k then max (a$k) c else a$i),b]
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_INTERIOR: !s t. s SUBSET t ==> interior s SUBSET interior t
% Assm: TRUTH: T
% Assm: division_of: !s i. s division_of i <=> FINITE s /\ (!k. k IN s ==> k SUBSET i /\ ~(k = {}) /\ (?a b. k = interval [a,b])) /\ (!k1 k2. k1 IN s /\ k2 IN s /\ ~(k1 = k2) ==> interior k1 INTER interior k2 = {}) /\ UNIONS s = i
% Goal: !d i k1 k2 k c. d division_of i /\ 1 <= k /\ k <= dimindex (:N) /\ k1 IN d /\ k2 IN d /\ ~(k1 = k2) /\ k1 INTER {x | x$k <= c} = k2 INTER {x | x$k <= c} ==> content (k1 INTER {x | x$k <= c}) = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. content (interval [a,b]) = &0 <=> interior (interval [a,b]) = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !a b c k. 1 <= k /\ k <= dimindex (:N) ==> interval [a,b] INTER {x | x$k <= c} = interval [a,(lambda i. if i = k then min (b$k) c else b$i)] /\ interval [a,b] INTER {x | x$k >= c} = interval [(lambda i. if i = k then max (a$k) c else a$i),b]
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t ==> interior s SUBSET interior t
% Assm: T
% Assm: !s i. s division_of i <=> FINITE s /\ (!k. k IN s ==> k SUBSET i /\ ~(k = {}) /\ (?a b. k = interval [a,b])) /\ (!k1 k2. k1 IN s /\ k2 IN s /\ ~(k1 = k2) ==> interior k1 INTER interior k2 = {}) /\ UNIONS s = i
% Goal: !d i k1 k2 k c. d division_of i /\ 1 <= k /\ k <= dimindex (:N) /\ k1 IN d /\ k2 IN d /\ ~(k1 = k2) /\ k1 INTER {x | x$k <= c} = k2 INTER {x | x$k <= c} ==> content (k1 INTER {x | x$k <= c}) = &0
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tq172102, type, q172102 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq172102, type, cartrealq172102 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cuniv, type, univ : (n > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(csubset1, type, subset1 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cinterior0, type, interior0 : ((cartrealq172102 > $o) > cartrealq172102 > $o)).
thf(csubset0, type, subset0 : ((cartrealq172102 > $o) > (cartrealq172102 > $o) > $o)).
thf(csubset, type, subset : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > $o)).
thf(ci0, type, i0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cgspec0, type, gspec0 : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cinterior, type, interior : ((cartrealn > $o) > cartrealn > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(ccontent, type, content : ((cartrealn > $o) > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : ((cartrealn > $o) > ((cartrealn > $o) > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(cinter0, type, inter0 : (((cartrealn > $o) > $o) > ((cartrealn > $o) > $o) > (cartrealn > $o) > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn > $o) > $o > (cartrealn > $o) > $o)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cfinite, type, finite : (((cartrealn > $o) > $o) > $o)).
thf(cempty0, type, empty0 : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTENTu_EQu_0u_INTERIOR, axiom, ![A:cartrealn,B:cartrealn]:(((content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = (realu_ofu_num @ (numeral @ u_0))) <=> ((interior @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) = empty))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aIN, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINTERVALu_SPLIT, axiom, ![A:cartrealn,B:cartrealn,C:real,K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ))) => (((inter @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (gspec @ ^[GENR_PVARR_1617:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1617 @ (realu_le @ (d_ @ X @ K) @ C) @ X))) = (closedu_interval @ (cons @ (c_ @ A @ (lambda0 @ ^[I:num]:(cond @ (I = K) @ (realu_min @ (d_ @ B @ K) @ C) @ (d_ @ B @ I)))) @ nil))) & ((inter @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ (gspec @ ^[GENR_PVARR_1618:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1618 @ (realu_ge @ (d_ @ X @ K) @ C) @ X))) = (closedu_interval @ (cons @ (c_ @ (lambda0 @ ^[I:num]:(cond @ (I = K) @ (realu_max @ (d_ @ A @ K) @ C) @ (d_ @ A @ I))) @ B) @ nil)))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (gspec0 @ ^[V:(cartrealn > $o)]:?[Y:(cartrealn > $o)]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o),X:(cartrealn > $o)]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:(cartrealn > $o)]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:(cartrealn > $o)]:~ ((in @ X @ empty0))).
thf(aSUBSET, axiom, ![S:((cartrealn > $o) > $o),T:((cartrealn > $o) > $o)]:((subset @ S @ T) <=> ![X:(cartrealn > $o)]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_INTERIOR, axiom, ![S:(cartrealq172102 > $o),T:(cartrealq172102 > $o)]:((subset0 @ S @ T) => (subset0 @ (interior0 @ S) @ (interior0 @ T)))).
thf(aTRUTH, axiom, $true).
thf(adivisionu_of, axiom, ![S:((cartrealn > $o) > $o),I:(cartrealn > $o)]:((divisionu_of @ S @ I) <=> ((finite @ S) & ![K:(cartrealn > $o)]:((in @ K @ S) => ((subset1 @ K @ I) & ~ ((K = empty)) & ?[A:cartrealn,B:cartrealn]:(K = (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))) & ![K1:(cartrealn > $o),K2:(cartrealn > $o)]:(((in @ K1 @ S) & (in @ K2 @ S) & ~ ((K1 = K2))) => ((inter @ (interior @ K1) @ (interior @ K2)) = empty)) & ((unions @ S) = I)))).
thf(conjecture, conjecture, ![D:((cartrealn > $o) > $o),I:(cartrealn > $o),K1:(cartrealn > $o),K2:(cartrealn > $o),K:num,C:real]:(((divisionu_of @ D @ I) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex @ univ)) & (in @ K1 @ D) & (in @ K2 @ D) & ~ ((K1 = K2)) & ((inter @ K1 @ (gspec @ ^[GENR_PVARR_1625:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1625 @ (realu_le @ (d_ @ X @ K) @ C) @ X))) = (inter @ K2 @ (gspec @ ^[GENR_PVARR_1626:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1626 @ (realu_le @ (d_ @ X @ K) @ C) @ X))))) => ((content @ (inter @ K1 @ (gspec @ ^[GENR_PVARR_1627:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_1627 @ (realu_le @ (d_ @ X @ K) @ C) @ X)))) = (realu_ofu_num @ (numeral @ u_0))))).
