%   ORIGINAL: SUBADDITIVE_CONTENT_DIVISION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADDITIVE_CONTENT_DIVISION: !d a b. d division_of interval [a,b] ==> sum d content = content (interval [a,b])
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTENT_POS_LE: !a b. &0 <= content (interval [a,b])
% Assm: DIVISION_OF_UNION_SELF: !p s. p division_of s ==> p division_of UNIONS p
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PARTIAL_DIVISION_EXTEND_INTERVAL: !p a b. p division_of UNIONS p /\ UNIONS p SUBSET interval [a,b] ==> (?q. p SUBSET q /\ q division_of interval [a,b])
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: SUM_SUBSET_SIMPLE: !u v f. FINITE v /\ u SUBSET v /\ (!x. x IN v DIFF u ==> &0 <= f x) ==> sum u f <= sum v f
% Assm: TRUTH: T
% Assm: UNIONS_SUBSET: !f t. UNIONS f SUBSET t <=> (!s. s IN f ==> s SUBSET t)
% Assm: division_of: !s i. s division_of i <=> FINITE s /\ (!k. k IN s ==> k SUBSET i /\ ~(k = {}) /\ (?a b. k = interval [a,b])) /\ (!k1 k2. k1 IN s /\ k2 IN s /\ ~(k1 = k2) ==> interior k1 INTER interior k2 = {}) /\ UNIONS s = i
% Goal: !d s a b. d division_of s /\ s SUBSET interval [a,b] ==> sum d content <= content (interval [a,b])
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !d a b. d division_of interval [a,b] ==> sum d content = content (interval [a,b])
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. &0 <= content (interval [a,b])
% Assm: !p s. p division_of s ==> p division_of UNIONS p
% Assm: !t. (\x. t x) = t
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !p a b. p division_of UNIONS p /\ UNIONS p SUBSET interval [a,b] ==> (?q. p SUBSET q /\ q division_of interval [a,b])
% Assm: !x. x <= x
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: !u v f. FINITE v /\ u SUBSET v /\ (!x. x IN v DIFF u ==> &0 <= f x) ==> sum u f <= sum v f
% Assm: T
% Assm: !f t. UNIONS f SUBSET t <=> (!s. s IN f ==> s SUBSET t)
% Assm: !s i. s division_of i <=> FINITE s /\ (!k. k IN s ==> k SUBSET i /\ ~(k = {}) /\ (?a b. k = interval [a,b])) /\ (!k1 k2. k1 IN s /\ k2 IN s /\ ~(k1 = k2) ==> interior k1 INTER interior k2 = {}) /\ UNIONS s = i
% Goal: !d s a b. d division_of s /\ s SUBSET interval [a,b] ==> sum d content <= content (interval [a,b])
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(cinterior, type, interior : ((cartrealm > $o) > cartrealm > $o)).
thf(cin1, type, in1 : ((cartrealm > $o) > ((cartrealm > $o) > $o) > $o)).
thf(csum0, type, sum0 : ((cartrealm > $o) > (cartrealm > real) > real)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(csubset0, type, subset0 : (((cartrealm > $o) > $o) > ((cartrealm > $o) > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cunions, type, unions : (((cartrealm > $o) > $o) > cartrealm > $o)).
thf(ccontent, type, content : ((cartrealm > $o) > real)).
thf(csum, type, sum : (((cartrealm > $o) > $o) > ((cartrealm > $o) > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(cinter, type, inter : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cdiff0, type, diff0 : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(cempty, type, empty : (cartrealm > $o)).
thf(cfinite0, type, finite0 : (((cartrealm > $o) > $o) > $o)).
thf(cfinite, type, finite : ((cartrealm > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDITIVEu_CONTENTu_DIVISION, axiom, ![D:((cartrealm > $o) > $o),A:cartrealm,B:cartrealm]:((divisionu_of @ D @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) => ((sum @ D @ content) = (content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTENTu_POSu_LE, axiom, ![A:cartrealm,B:cartrealm]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aDIVISIONu_OFu_UNIONu_SELF, axiom, ![P:((cartrealm > $o) > $o),S:(cartrealm > $o)]:((divisionu_of @ P @ S) => (divisionu_of @ P @ (unions @ P)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPARTIALu_DIVISIONu_EXTENDu_INTERVAL, axiom, ![P:((cartrealm > $o) > $o),A:cartrealm,B:cartrealm]:(((divisionu_of @ P @ (unions @ P)) & (subset @ (unions @ P) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => ?[Q:((cartrealm > $o) > $o)]:((subset0 @ P @ Q) & (divisionu_of @ Q @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aSUBSETu_TRANS, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),U:(cartrealm > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aSUMu_SUBSETu_SIMPLE, axiom, ![U:(cartrealm > $o),V:(cartrealm > $o),F:(cartrealm > real)]:(((finite @ V) & (subset @ U @ V) & ![X:cartrealm]:((in0 @ X @ (diff0 @ V @ U)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X)))) => (realu_le @ (sum0 @ U @ F) @ (sum0 @ V @ F)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONSu_SUBSET, axiom, ![F:((cartrealm > $o) > $o),T:(cartrealm > $o)]:((subset @ (unions @ F) @ T) <=> ![S:(cartrealm > $o)]:((in1 @ S @ F) => (subset @ S @ T)))).
thf(adivisionu_of, axiom, ![S:((cartrealm > $o) > $o),I:(cartrealm > $o)]:((divisionu_of @ S @ I) <=> ((finite0 @ S) & ![K:(cartrealm > $o)]:((in1 @ K @ S) => ((subset @ K @ I) & ~ ((K = empty)) & ?[A:cartrealm,B:cartrealm]:(K = (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))) & ![K1:(cartrealm > $o),K2:(cartrealm > $o)]:(((in1 @ K1 @ S) & (in1 @ K2 @ S) & ~ ((K1 = K2))) => ((inter @ (interior @ K1) @ (interior @ K2)) = empty)) & ((unions @ S) = I)))).
thf(conjecture, conjecture, ![D:((cartrealm > $o) > $o),S:(cartrealm > $o),A:cartrealm,B:cartrealm]:(((divisionu_of @ D @ S) & (subset @ S @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (realu_le @ (sum @ D @ content) @ (content @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
