%   ORIGINAL: NEGLIGIBLE_EMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: NEGLIGIBLE_SING: !a. negligible {a}
% Assm: NEGLIGIBLE_SUBSET: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: negligible {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. {} SUBSET s
% Assm: !a. negligible {a}
% Assm: !s t. negligible s /\ t SUBSET s ==> negligible t
% Assm: ~F <=> T
% Assm: T
% Goal: negligible {}
%  TYPES
thf(tcartrealq453251, type, cartrealq453251 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq453251, type, q453251 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealq453251 > $o) > (cartrealq453251 > $o) > $o)).
thf(cinsert, type, insert : (cartrealq453251 > (cartrealq453251 > $o) > cartrealq453251 > $o)).
thf(cempty, type, empty : (cartrealq453251 > $o)).
thf(cnegligible, type, negligible : ((cartrealq453251 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEMPTYu_SUBSET, axiom, ![S:(cartrealq453251 > $o)]:(subset @ empty @ S)).
thf(aNEGLIGIBLEu_SING, axiom, ![A:cartrealq453251]:(negligible @ (insert @ A @ empty))).
thf(aNEGLIGIBLEu_SUBSET, axiom, ![S:(cartrealq453251 > $o),T:(cartrealq453251 > $o)]:(((negligible @ S) & (subset @ T @ S)) => (negligible @ T))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, (negligible @ empty)).
