%   ORIGINAL: INTEGRABLE_ON_LITTLE_SUBINTERVALS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIVISION_OF_TAGGED_DIVISION: !s i. s tagged_division_of i ==> IMAGE SND s division_of i
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINE_DIVISION_EXISTS: !g a b. gauge g ==> (?p. p tagged_division_of interval [a,b] /\ g fine p)
% Assm: FORALL_IN_IMAGE: !f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: FORALL_PAIR_THM: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: GAUGE_BALL_DEPENDENT: !e. (!x. &0 < e x) ==> gauge (\x. ball (x,e x))
% Assm: GAUGE_EXISTENCE_LEMMA: (!x. ?d. p x ==> &0 < d /\ q d x) <=> (!x. ?d. &0 < d /\ (p x ==> q d x))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPERATIVE_DIVISION_AND: !P d a b. operative (/\) P /\ d division_of interval [a,b] ==> ((!i. i IN d ==> P i) <=> P (interval [a,b]))
% Assm: OPERATIVE_INTEGRABLE: !f. operative (/\) (\i. f integrable_on i)
% Assm: SND: !x y. SND (x,y) = y
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TAGGED_DIVISION_OF: s tagged_division_of i <=> FINITE s /\ (!x k. x,k IN s ==> x IN k /\ k SUBSET i /\ (?a b. k = interval [a,b])) /\ (!x1 k1 x2 k2. x1,k1 IN s /\ x2,k2 IN s /\ ~(x1,k1 = x2,k2) ==> interior k1 INTER interior k2 = {}) /\ UNIONS {k | ?x. x,k IN s} = i
% Assm: TRUTH: T
% Assm: fine: !s d. d fine s <=> (!x k. x,k IN s ==> k SUBSET d x)
% Goal: !f a b. (!x. x IN interval [a,b] ==> (?d. &0 < d /\ (!u v. x IN interval [u,v] /\ interval [u,v] SUBSET ball (x,d) /\ interval [u,v] SUBSET interval [a,b] ==> f integrable_on interval [u,v]))) ==> f integrable_on interval [a,b]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s i. s tagged_division_of i ==> IMAGE SND s division_of i
% Assm: !t. (\x. t x) = t
% Assm: !g a b. gauge g ==> (?p. p tagged_division_of interval [a,b] /\ g fine p)
% Assm: !P f s. (!y. y IN IMAGE f s ==> P y) <=> (!x. x IN s ==> P (f x))
% Assm: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: !e. (!x. &0 < e x) ==> gauge (\x. ball (x,e x))
% Assm: !p q. (!x. ?d. p x ==> &0 < d /\ q d x) <=> (!x. ?d. &0 < d /\ (p x ==> q d x))
% Assm: ~F <=> T
% Assm: !P d a b. operative (/\) P /\ d division_of interval [a,b] ==> ((!i. i IN d ==> P i) <=> P (interval [a,b]))
% Assm: !f. operative (/\) (\i. f integrable_on i)
% Assm: !x y. SND (x,y) = y
% Assm: !x y. SND (x,y) = y
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s i. s tagged_division_of i <=> FINITE s /\ (!x k. x,k IN s ==> x IN k /\ k SUBSET i /\ (?a b. k = interval [a,b])) /\ (!x1 k1 x2 k2. x1,k1 IN s /\ x2,k2 IN s /\ ~(x1,k1 = x2,k2) ==> interior k1 INTER interior k2 = {}) /\ UNIONS {k | ?x. x,k IN s} = i
% Assm: T
% Assm: !s d. d fine s <=> (!x k. x,k IN s ==> k SUBSET d x)
% Goal: !f a b. (!x. x IN interval [a,b] ==> (?d. &0 < d /\ (!u v. x IN interval [u,v] /\ interval [u,v] SUBSET ball (x,d) /\ interval [u,v] SUBSET interval [a,b] ==> f integrable_on interval [u,v]))) ==> f integrable_on interval [a,b]
%  TYPES
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tq428064, type, q428064 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq433150, type, q433150 : $tType).
thf(tprodcartrealmreal, type, prodcartrealmreal : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq433150, type, cartrealq433150 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tprodq434523funcartrealmbool, type, prodq434523funcartrealmbool : $tType).
thf(tprodcartrealmfuncartrealmbool, type, prodcartrealmfuncartrealmbool : $tType).
thf(tfuncartrealmbool, type, funcartrealmbool : $tType).
thf(tprodcartrealq433150funcartrealq433150bool, type, prodcartrealq433150funcartrealq433150bool : $tType).
thf(tfuncartrealq433150bool, type, funcartrealq433150bool : $tType).
thf(tq434523, type, q434523 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(cin2, type, in2 : (prodq434523funcartrealmbool > (prodq434523funcartrealmbool > $o) > $o)).
thf(cfine0, type, fine0 : ((q434523 > cartrealm > $o) > (prodq434523funcartrealmbool > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(cunions, type, unions : (((cartrealm > $o) > $o) > cartrealm > $o)).
thf(cinterior, type, interior : ((cartrealm > $o) > cartrealm > $o)).
thf(cin1, type, in1 : (prodcartrealmfuncartrealmbool > (prodcartrealmfuncartrealmbool > $o) > $o)).
thf(csnd0, type, snd0 : (prodcartrealmreal > real)).
thf(cin0, type, in0 : ((cartrealm > $o) > ((cartrealm > $o) > $o) > $o)).
thf(cdivisionuu_of0, type, divisionu_of0 : (((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(csu_bu_, type, s_b_ : ($o > $o > $o)).
thf(coperative, type, operative : (($o > $o > $o) > ((cartrealm > $o) > $o) > $o)).
thf(cfine, type, fine : ((cartrealm > cartrealm > $o) > (prodcartrealmfuncartrealmbool > $o) > $o)).
thf(ctaggeduu_divisionuu_of0, type, taggedu_divisionu_of0 : ((prodcartrealmfuncartrealmbool > $o) > (cartrealm > $o) > $o)).
thf(csnd, type, snd : (prodcartrealq433150funcartrealq433150bool > cartrealq433150 > $o)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealq433150 > $o) > $o) > (cartrealq433150 > $o) > $o)).
thf(ctaggeduu_divisionuu_of, type, taggedu_divisionu_of : ((prodcartrealq433150funcartrealq433150bool > $o) > (cartrealq433150 > $o) > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cball, type, ball : (prodcartrealmreal > cartrealm > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(ccu_2, type, c_2 : (q434523 > (cartrealm > $o) > prodq434523funcartrealmbool)).
thf(csetspec, type, setspec : ((cartrealm > $o) > $o > (cartrealm > $o) > $o)).
thf(cinter, type, inter : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(ccu_1, type, c_1 : (cartrealm > (cartrealm > $o) > prodcartrealmfuncartrealmbool)).
thf(cimage0, type, image0 : ((cartrealm > cartrealm) > (cartrealm > $o) > cartrealm > $o)).
thf(cimage, type, image : ((prodcartrealq433150funcartrealq433150bool > cartrealq433150 > $o) > (prodcartrealq433150funcartrealq433150bool > $o) > (cartrealq433150 > $o) > $o)).
thf(ccu_0, type, c_0 : (cartrealm > real > prodcartrealmreal)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(cempty, type, empty : (cartrealm > $o)).
thf(cfinite, type, finite : ((prodcartrealmfuncartrealmbool > $o) > $o)).
thf(cgauge, type, gauge : ((cartrealm > cartrealm > $o) > $o)).
thf(csnd1, type, snd1 : (prodcartrealmcartrealm > cartrealm)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIVISIONu_OFu_TAGGEDu_DIVISION, axiom, ![S:(prodcartrealq433150funcartrealq433150bool > $o),I:(cartrealq433150 > $o)]:((taggedu_divisionu_of @ S @ I) => (divisionu_of @ (image @ snd @ S) @ I))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINEu_DIVISIONu_EXISTS, axiom, ![G:(cartrealm > cartrealm > $o),A:cartrealm,B:cartrealm]:((gauge @ G) => ?[P:(prodcartrealmfuncartrealmbool > $o)]:((taggedu_divisionu_of0 @ P @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (fine @ G @ P)))).
thf(aFORALLu_INu_IMAGE, axiom, ![P:(cartrealm > $o),F:(cartrealm > cartrealm),S:(cartrealm > $o)]:(![Y:cartrealm]:((in @ Y @ (image0 @ F @ S)) => (P @ Y)) <=> ![X:cartrealm]:((in @ X @ S) => (P @ (F @ X))))).
thf(aFORALLu_PAIRu_THMu_monomorphized1, axiom, ![P:(prodcartrealmreal > $o)]:(![P0:prodcartrealmreal]:(P @ P0) <=> ![P1:cartrealm,P2:real]:(P @ (c_0 @ P1 @ P2)))).
thf(aFORALLu_PAIRu_THMu_monomorphized0, axiom, ![P:(prodcartrealmcartrealm > $o)]:(![P0:prodcartrealmcartrealm]:(P @ P0) <=> ![P1:cartrealm,P2:cartrealm]:(P @ (c_ @ P1 @ P2)))).
thf(aGAUGEu_BALLu_DEPENDENT, axiom, ![E:(cartrealm > real)]:(![X:cartrealm]:(realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (E @ X)) => (gauge @ ^[X:cartrealm]:(ball @ (c_0 @ X @ (E @ X)))))).
thf(aGAUGEu_EXISTENCEu_LEMMA, axiom, ![P:(q428064 > $o),Q:(real > q428064 > $o)]:(![X:q428064]:?[D:real]:((P @ X) => ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & (Q @ D @ X))) <=> ![X:q428064]:?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ((P @ X) => (Q @ D @ X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPERATIVEu_DIVISIONu_AND, axiom, ![P:((cartrealm > $o) > $o),D:((cartrealm > $o) > $o),A:cartrealm,B:cartrealm]:(((operative @ s_b_ @ P) & (divisionu_of0 @ D @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (![I:(cartrealm > $o)]:((in0 @ I @ D) => (P @ I)) <=> (P @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
thf(aOPERATIVEu_INTEGRABLE, axiom, ![F:(cartrealm > cartrealn)]:(operative @ s_b_ @ ^[I:(cartrealm > $o)]:(integrableu_on @ F @ I))).
thf(aSNDu_monomorphized1, axiom, ![X:cartrealm,Y:real]:((snd0 @ (c_0 @ X @ Y)) = Y)).
thf(aSNDu_monomorphized0, axiom, ![X:cartrealm,Y:cartrealm]:((snd1 @ (c_ @ X @ Y)) = Y)).
thf(aSUBSET, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o)]:((subset @ S @ T) <=> ![X:cartrealm]:((in @ X @ S) => (in @ X @ T)))).
thf(aTAGGEDu_DIVISIONu_OF, axiom, ![S:(prodcartrealmfuncartrealmbool > $o),I:(cartrealm > $o)]:((taggedu_divisionu_of0 @ S @ I) <=> ((finite @ S) & ![X:cartrealm,K:(cartrealm > $o)]:((in1 @ (c_1 @ X @ K) @ S) => ((in @ X @ K) & (subset @ K @ I) & ?[A:cartrealm,B:cartrealm]:(K = (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))) & ![X1:cartrealm,K1:(cartrealm > $o),X2:cartrealm,K2:(cartrealm > $o)]:(((in1 @ (c_1 @ X1 @ K1) @ S) & (in1 @ (c_1 @ X2 @ K2) @ S) & ~ (((c_1 @ X1 @ K1) = (c_1 @ X2 @ K2)))) => ((inter @ (interior @ K1) @ (interior @ K2)) = empty)) & ((unions @ (gspec @ ^[GENR_PVARR_1606:(cartrealm > $o)]:?[K:(cartrealm > $o)]:(setspec @ GENR_PVARR_1606 @ ?[X:cartrealm]:(in1 @ (c_1 @ X @ K) @ S) @ K))) = I)))).
thf(aTRUTH, axiom, $true).
thf(afine, axiom, ![S:(prodq434523funcartrealmbool > $o),D:(q434523 > cartrealm > $o)]:((fine0 @ D @ S) <=> ![X:q434523,K:(cartrealm > $o)]:((in2 @ (c_2 @ X @ K) @ S) => (subset @ K @ (D @ X))))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),A:cartrealm,B:cartrealm]:(![X:cartrealm]:((in @ X @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![U:cartrealm,V:cartrealm]:(((in @ X @ (closedu_interval @ (cons @ (c_ @ U @ V) @ nil))) & (subset @ (closedu_interval @ (cons @ (c_ @ U @ V) @ nil)) @ (ball @ (c_0 @ X @ D))) & (subset @ (closedu_interval @ (cons @ (c_ @ U @ V) @ nil)) @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ U @ V) @ nil)))))) => (integrableu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
