%   ORIGINAL: HAS_BOUNDED_SETVARIATION_ON_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: TRUTH: T
% Assm: has_bounded_setvariation_on: !s f. has_bounded_setvariation_on f s <=> (?B. !d t. d division_of t /\ t SUBSET s ==> sum d (\k. norm (f k)) <= B)
% Goal: !f s t. has_bounded_setvariation_on f s /\ t SUBSET s ==> has_bounded_setvariation_on f t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: T
% Assm: !s f. has_bounded_setvariation_on f s <=> (?B. !d t. d division_of t /\ t SUBSET s ==> sum d (\k. norm (f k)) <= B)
% Goal: !f s t. has_bounded_setvariation_on f s /\ t SUBSET s ==> has_bounded_setvariation_on f t
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(csum, type, sum : (((cartrealm > $o) > $o) > ((cartrealm > $o) > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(csubset, type, subset : ((cartrealm > $o) > (cartrealm > $o) > $o)).
thf(chasuu_boundeduu_setvariationuu_on, type, hasu_boundedu_setvariationu_on : (((cartrealm > $o) > cartrealn) > (cartrealm > $o) > $o)).
thf(ci, type, i : (a > a)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_TRANS, axiom, ![S:(cartrealm > $o),T:(cartrealm > $o),U:(cartrealm > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aTRUTH, axiom, $true).
thf(ahasu_boundedu_setvariationu_on, axiom, ![S:(cartrealm > $o),F:((cartrealm > $o) > cartrealn)]:((hasu_boundedu_setvariationu_on @ F @ S) <=> ?[B:real]:![D:((cartrealm > $o) > $o),T:(cartrealm > $o)]:(((divisionu_of @ D @ T) & (subset @ T @ S)) => (realu_le @ (sum @ D @ ^[K:(cartrealm > $o)]:(vectoru_norm @ (F @ K))) @ B)))).
thf(conjecture, conjecture, ![F:((cartrealm > $o) > cartrealn),S:(cartrealm > $o),T:(cartrealm > $o)]:(((hasu_boundedu_setvariationu_on @ F @ S) & (subset @ T @ S)) => (hasu_boundedu_setvariationu_on @ F @ T))).
