%   ORIGINAL: SET_VARIATION_ON_DIVISION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct5: !n. _0 = BIT1 n <=> F
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: DIVISION_OF_FINITE: !s i. s division_of i ==> FINITE s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: ITERATE_CLAUSES: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: I_THM: !x. I x = x
% Assm: MONOIDAL_LIFTED: !op. monoidal op ==> monoidal (lifted op)
% Assm: MONOIDAL_REAL_ADD: monoidal (+)
% Assm: NEUTRAL_LIFTED: !op. monoidal op ==> neutral (lifted op) = SOME (neutral op)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPERATIVE_DIVISION: !op d a b f. monoidal op /\ operative op f /\ d division_of interval [a,b] ==> iterate op d f = f (interval [a,b])
% Assm: OPERATIVE_LIFTED_SETVARIATION: !f. operative (+) f ==> operative (lifted (+)) (\i. if has_bounded_setvariation_on f i then SOME (set_variation i f) else NONE)
% Assm: TRUTH: T
% Assm: lifted_conjunct0: lifted op NONE _ = NONE
% Assm: lifted_conjunct1: lifted op _ NONE = NONE
% Assm: lifted_conjunct2: lifted op (SOME x) (SOME y) = SOME (op x y)
% Assm: option_INDUCT: !P. P NONE /\ (!a. P (SOME a)) ==> (!x. P x)
% Assm: option_RECURSION: !NONE' SOME'. ?fn. fn NONE = NONE' /\ (!a. fn (SOME a) = SOME' a)
% Assm: sum: sum = iterate (+)
% Goal: !f a b d. operative (+) f /\ d division_of interval [a,b] /\ has_bounded_setvariation_on f (interval [a,b]) ==> sum d (\k. set_variation k f) = set_variation (interval [a,b]) f
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. _0 = BIT1 n <=> F
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !s i. s division_of i ==> FINITE s
% Assm: !t. (\x. t x) = t
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !op. monoidal op ==> (!f. iterate op {} f = neutral op) /\ (!f x s. FINITE s ==> iterate op (x INSERT s) f = (if x IN s then iterate op s f else op (f x) (iterate op s f)))
% Assm: !x. I x = x
% Assm: !op. monoidal op ==> monoidal (lifted op)
% Assm: monoidal (+)
% Assm: !op. monoidal op ==> neutral (lifted op) = SOME (neutral op)
% Assm: ~F <=> T
% Assm: !op d a b f. monoidal op /\ operative op f /\ d division_of interval [a,b] ==> iterate op d f = f (interval [a,b])
% Assm: !f. operative (+) f ==> operative (lifted (+)) (\i. if has_bounded_setvariation_on f i then SOME (set_variation i f) else NONE)
% Assm: T
% Assm: !op _. lifted op NONE _ = NONE
% Assm: !op _. lifted op _ NONE = NONE
% Assm: !op x y. lifted op (SOME x) (SOME y) = SOME (op x y)
% Assm: !P. P NONE /\ (!a. P (SOME a)) ==> (!x. P x)
% Assm: !NONE' SOME'. ?fn. fn NONE = NONE' /\ (!a. fn (SOME a) = SOME' a)
% Assm: sum = iterate (+)
% Goal: !f a b d. operative (+) f /\ d division_of interval [a,b] /\ has_bounded_setvariation_on f (interval [a,b]) ==> sum d (\k. set_variation k f) = set_variation (interval [a,b]) f
%  TYPES
thf(toptionq444225, type, optionq444225 : $tType).
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tnum, type, num : $tType).
thf(tq444192, type, q444192 : $tType).
thf(toptionq444213, type, optionq444213 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq444194, type, q444194 : $tType).
thf(treal, type, real : $tType).
thf(toptionq444192, type, optionq444192 : $tType).
thf(toptionq444194, type, optionq444194 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(toptiona, type, optiona : $tType).
thf(toptionreal, type, optionreal : $tType).
thf(tq444213, type, q444213 : $tType).
thf(tq444225, type, q444225 : $tType).
thf(tq63449, type, q63449 : $tType).
thf(tq63405, type, q63405 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealmcartrealm, type, listprodcartrealmcartrealm : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealmcartrealm).
thf(cneutral1, type, neutral1 : ((q444213 > q444213 > q444213) > q444213)).
thf(csome3, type, some3 : (a > optiona)).
thf(coperative0, type, operative0 : ((optionreal > optionreal > optionreal) > ((cartrealm > $o) > optionreal) > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cin0, type, in0 : (q63449 > (q63449 > $o) > $o)).
thf(cneutral, type, neutral : ((real > real > real) > real)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csetuu_variation, type, setu_variation : ((cartrealm > $o) > ((cartrealm > $o) > cartrealn) > real)).
thf(csum, type, sum : (((cartrealm > $o) > $o) > ((cartrealm > $o) > real) > real)).
thf(chasuu_boundeduu_setvariationuu_on, type, hasu_boundedu_setvariationu_on : (((cartrealm > $o) > cartrealn) > (cartrealm > $o) > $o)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealmcartrealm > cartrealm > $o)).
thf(cdivisionuu_of, type, divisionu_of : (((cartrealm > $o) > $o) > (cartrealm > $o) > $o)).
thf(coperative, type, operative : ((cartrealn > cartrealn > cartrealn) > ((cartrealm > $o) > cartrealn) > $o)).
thf(cnone2, type, none2 : optiona).
thf(citerate2, type, iterate2 : ((real > real > real) > ((cartrealm > $o) > $o) > ((cartrealm > $o) > real) > real)).
thf(cnone0, type, none0 : optionq444194).
thf(clifted2, type, lifted2 : ((q444194 > q444194 > q444192) > optionq444194 > optionq444194 > optionq444192)).
thf(ccond1, type, cond1 : ($o > optionreal > optionreal > optionreal)).
thf(clifted1, type, lifted1 : ((real > real > real) > optionreal > optionreal > optionreal)).
thf(citerate1, type, iterate1 : ((cartrealn > cartrealn > cartrealn) > ((cartrealm > $o) > $o) > ((cartrealm > $o) > cartrealn) > cartrealn)).
thf(clifted0, type, lifted0 : ((q444213 > q444213 > q444213) > optionq444213 > optionq444213 > optionq444213)).
thf(clifted, type, lifted : ((q444225 > q444225 > q444225) > optionq444225 > optionq444225 > optionq444225)).
thf(cinsert0, type, insert0 : (q63449 > (q63449 > $o) > q63449 > $o)).
thf(citerate0, type, iterate0 : ((real > real > real) > (q63449 > $o) > (q63449 > real) > real)).
thf(citerate, type, iterate : ((real > real > real) > (q63405 > $o) > (q63405 > real) > real)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(ccond0, type, cond0 : ($o > a > a > a)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(ccu_, type, c_ : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccons, type, cons : (prodcartrealmcartrealm > listprodcartrealmcartrealm > listprodcartrealmcartrealm)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cmonoidal3, type, monoidal3 : ((cartrealn > cartrealn > cartrealn) > $o)).
thf(cmonoidal2, type, monoidal2 : ((q444213 > q444213 > q444213) > $o)).
thf(cmonoidal1, type, monoidal1 : ((optionq444225 > optionq444225 > optionq444225) > $o)).
thf(cmonoidal0, type, monoidal0 : ((q444225 > q444225 > q444225) > $o)).
thf(cfinite1, type, finite1 : ((q63449 > $o) > $o)).
thf(cmonoidal, type, monoidal : ((real > real > real) > $o)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cfinite, type, finite : (((cartrealm > $o) > $o) > $o)).
thf(csome0, type, some0 : (real > optionreal)).
thf(csome, type, some : (q444213 > optionq444213)).
thf(cneutral0, type, neutral0 : ((optionq444213 > optionq444213 > optionq444213) > optionq444213)).
thf(csome2, type, some2 : (q444192 > optionq444192)).
thf(cuu_0, type, u_0 : num).
thf(cempty0, type, empty0 : (q63405 > $o)).
thf(cempty, type, empty : (a > $o)).
thf(cnone1, type, none1 : optionq444192).
thf(cnone, type, none : optionreal).
thf(ci, type, i : (real > real)).
thf(csome1, type, some1 : (q444194 > optionq444194)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct5, axiom, ![N:num]:((u_0 = (bit1 @ N)) <=> $false)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond0 @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aDIVISIONu_OFu_FINITE, axiom, ![S:((cartrealm > $o) > $o),I:(cartrealm > $o)]:((divisionu_of @ S @ I) => (finite @ S))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((a > $o) > $o)]:(((P @ empty) & ![X:a,S:(a > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite0 @ S)) => (P @ (insert @ X @ S)))) => ![S:(a > $o)]:((finite0 @ S) => (P @ S)))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > real),G:(a > real)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aITERATEu_CLAUSES, axiom, ![OP:(real > real > real)]:((monoidal @ OP) => (![F:(q63405 > real)]:((iterate @ OP @ empty0 @ F) = (neutral @ OP)) & ![F:(q63449 > real),X:q63449,S:(q63449 > $o)]:((finite1 @ S) => ((iterate0 @ OP @ (insert0 @ X @ S) @ F) = (cond @ (in0 @ X @ S) @ (iterate0 @ OP @ S @ F) @ (OP @ (F @ X) @ (iterate0 @ OP @ S @ F)))))))).
thf(aIu_THM, axiom, ![X:real]:((i @ X) = X)).
thf(aMONOIDALu_LIFTED, axiom, ![OP:(q444225 > q444225 > q444225)]:((monoidal0 @ OP) => (monoidal1 @ (lifted @ OP)))).
thf(aMONOIDALu_REALu_ADD, axiom, (monoidal @ realu_add)).
thf(aNEUTRALu_LIFTED, axiom, ![OP:(q444213 > q444213 > q444213)]:((monoidal2 @ OP) => ((neutral0 @ (lifted0 @ OP)) = (some @ (neutral1 @ OP))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPERATIVEu_DIVISION, axiom, ![OP:(cartrealn > cartrealn > cartrealn),D:((cartrealm > $o) > $o),A:cartrealm,B:cartrealm,F:((cartrealm > $o) > cartrealn)]:(((monoidal3 @ OP) & (operative @ OP @ F) & (divisionu_of @ D @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => ((iterate1 @ OP @ D @ F) = (F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))))).
thf(aOPERATIVEu_LIFTEDu_SETVARIATION, axiom, ![F:((cartrealm > $o) > cartrealn)]:((operative @ vectoru_add @ F) => (operative0 @ (lifted1 @ realu_add) @ ^[I:(cartrealm > $o)]:(cond1 @ (hasu_boundedu_setvariationu_on @ F @ I) @ (some0 @ (setu_variation @ I @ F)) @ none)))).
thf(aTRUTH, axiom, $true).
thf(aliftedu_conjunct0, axiom, ![OP:(q444194 > q444194 > q444192),U_:optionq444194]:((lifted2 @ OP @ none0 @ U_) = none1)).
thf(aliftedu_conjunct1, axiom, ![OP:(q444194 > q444194 > q444192),U_:optionq444194]:((lifted2 @ OP @ U_ @ none0) = none1)).
thf(aliftedu_conjunct2, axiom, ![OP:(q444194 > q444194 > q444192),X:q444194,Y:q444194]:((lifted2 @ OP @ (some1 @ X) @ (some1 @ Y)) = (some2 @ (OP @ X @ Y)))).
thf(aoptionu_INDUCT, axiom, ![P:(optiona > $o)]:(((P @ none2) & ![A:a]:(P @ (some3 @ A))) => ![X:optiona]:(P @ X))).
thf(aoptionu_RECURSION, axiom, ![NONEI_:real,SOMEI_:(a > real)]:?[FN:(optiona > real)]:(((FN @ none2) = NONEI_) & ![A:a]:((FN @ (some3 @ A)) = (SOMEI_ @ A)))).
thf(asum, axiom, (sum = (iterate2 @ realu_add))).
thf(conjecture, conjecture, ![F:((cartrealm > $o) > cartrealn),A:cartrealm,B:cartrealm,D:((cartrealm > $o) > $o)]:(((operative @ vectoru_add @ F) & (divisionu_of @ D @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil))) & (hasu_boundedu_setvariationu_on @ F @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)))) => ((sum @ D @ ^[K:(cartrealm > $o)]:(setu_variation @ K @ F)) = (setu_variation @ (closedu_interval @ (cons @ (c_ @ A @ B) @ nil)) @ F)))).
