%   ORIGINAL: ABSOLUTELY_INTEGRABLE_COMPONENTWISE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ABSOLUTELY_INTEGRABLE_INTEGRABLE_BOUND: !f g s. (!x. x IN s ==> norm (f x) <= drop (g x)) /\ f integrable_on s /\ g integrable_on s ==> f absolutely_integrable_on s
% Assm: ABS_DROP: !x. norm x = abs (drop x)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPONENT_LE_NORM: !x i. 1 <= i /\ i <= dimindex (:N) ==> abs (x$i) <= norm x
% Assm: DROP_VSUM: !k x. FINITE k ==> drop (vsum k x) = sum k (drop o x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: INTEGRABLE_COMPONENTWISE: !f s. f integrable_on s <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (f x$i)) integrable_on s)
% Assm: INTEGRABLE_VSUM: !f s t. FINITE t /\ (!a. a IN t ==> f a integrable_on s) ==> (\x. vsum t (\a. f a x)) integrable_on s
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: NORM_LE_L1: !x. norm x <= sum (1..dimindex (:N)) (\i. abs (x$i))
% Assm: NORM_LIFT: !x. norm (lift x) = abs x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: absolutely_integrable_on: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lift (norm (f x))) integrable_on s
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f s. f absolutely_integrable_on s <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (f x$i)) absolutely_integrable_on s)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !f g s. (!x. x IN s ==> norm (f x) <= drop (g x)) /\ f integrable_on s /\ g integrable_on s ==> f absolutely_integrable_on s
% Assm: !f g s. (!x. x IN s ==> norm (f x) <= drop (g x)) /\ f integrable_on s /\ g integrable_on s ==> f absolutely_integrable_on s
% Assm: !x. norm x = abs (drop x)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x i. 1 <= i /\ i <= dimindex (:N) ==> abs (x$i) <= norm x
% Assm: !k x. FINITE k ==> drop (vsum k x) = sum k (drop o x)
% Assm: !t. (\x. t x) = t
% Assm: !m n. FINITE (m..n)
% Assm: !f s. f integrable_on s <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (f x$i)) integrable_on s)
% Assm: !f s t. FINITE t /\ (!a. a IN t ==> f a integrable_on s) ==> (\x. vsum t (\a. f a x)) integrable_on s
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !x. drop (lift x) = x
% Assm: !x. norm x <= sum (1..dimindex (:N)) (\i. abs (x$i))
% Assm: !x. norm (lift x) = abs x
% Assm: ~F <=> T
% Assm: T
% Assm: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lift (norm (f x))) integrable_on s
% Assm: !f s. f absolutely_integrable_on s <=> f integrable_on s /\ (\x. lift (norm (f x))) integrable_on s
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f s. f absolutely_integrable_on s <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> (\x. lift (f x$i)) absolutely_integrable_on s)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tq116731, type, q116731 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (n > $o)).
thf(csum0, type, sum0 : ((num > $o) > (num > real) > real)).
thf(cin1, type, in1 : (num > (num > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(csum, type, sum : ((q116731 > $o) > (q116731 > real) > real)).
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn > real)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn1 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(cabsolutelyuu_integrableuu_on0, type, absolutelyu_integrableu_on0 : ((cartrealm > cartrealn1) > (cartrealm > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cabsolutelyuu_integrableuu_on, type, absolutelyu_integrableu_on : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(cvsum0, type, vsum0 : ((a > $o) > (a > cartrealn) > cartrealn)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(co, type, o : ((cartrealn1 > real) > (q116731 > cartrealn1) > q116731 > real)).
thf(cvsum, type, vsum : ((q116731 > $o) > (q116731 > cartrealn1) > cartrealn1)).
thf(cfinite1, type, finite1 : ((a > $o) > $o)).
thf(cfinite0, type, finite0 : ((num > $o) > $o)).
thf(cfinite, type, finite : ((q116731 > $o) > $o)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aABSOLUTELYu_INTEGRABLEu_INTEGRABLEu_BOUNDu_monomorphized1, axiom, ![F:(cartrealm > cartrealn1),G:(cartrealm > cartrealn1),S:(cartrealm > $o)]:((![X:cartrealm]:((in @ X @ S) => (realu_le @ (vectoru_norm @ (F @ X)) @ (drop @ (G @ X)))) & (integrableu_on @ F @ S) & (integrableu_on @ G @ S)) => (absolutelyu_integrableu_on0 @ F @ S))).
thf(aABSOLUTELYu_INTEGRABLEu_INTEGRABLEu_BOUNDu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn1),S:(cartrealm > $o)]:((![X:cartrealm]:((in @ X @ S) => (realu_le @ (vectoru_norm0 @ (F @ X)) @ (drop @ (G @ X)))) & (integrableu_on0 @ F @ S) & (integrableu_on @ G @ S)) => (absolutelyu_integrableu_on @ F @ S))).
thf(aABSu_DROP, axiom, ![X:cartrealn1]:((vectoru_norm @ X) = (realu_abs @ (drop @ X)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPONENTu_LEu_NORM, axiom, ![X:cartrealn,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (realu_abs @ (d_ @ X @ I)) @ (vectoru_norm0 @ X)))).
thf(aDROPu_VSUM, axiom, ![K:(q116731 > $o),X:(q116731 > cartrealn1)]:((finite @ K) => ((drop @ (vsum @ K @ X)) = (sum @ K @ (o @ drop @ X))))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite0 @ (o_o_ @ M @ N))).
thf(aINTEGRABLEu_COMPONENTWISE, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((integrableu_on0 @ F @ S) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (integrableu_on @ ^[X:cartrealm]:(lift @ (d_ @ (F @ X) @ I)) @ S)))).
thf(aINTEGRABLEu_VSUM, axiom, ![F:(a > cartrealm > cartrealn),S:(cartrealm > $o),T:(a > $o)]:(((finite1 @ T) & ![A:a]:((in0 @ A @ T) => (integrableu_on0 @ (F @ A) @ S))) => (integrableu_on0 @ ^[X:cartrealm]:(vsum0 @ T @ ^[A:a]:(F @ A @ X)) @ S))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in1 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aNORMu_LEu_L1, axiom, ![X:cartrealn]:(realu_le @ (vectoru_norm0 @ X) @ (sum0 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(realu_abs @ (d_ @ X @ I))))).
thf(aNORMu_LIFT, axiom, ![X:real]:((vectoru_norm @ (lift @ X)) = (realu_abs @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aabsolutelyu_integrableu_onu_monomorphized1, axiom, ![F:(cartrealm > cartrealn1),S:(cartrealm > $o)]:((absolutelyu_integrableu_on0 @ F @ S) <=> ((integrableu_on @ F @ S) & (integrableu_on @ ^[X:cartrealm]:(lift @ (vectoru_norm @ (F @ X))) @ S)))).
thf(aabsolutelyu_integrableu_onu_monomorphized0, axiom, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((absolutelyu_integrableu_on @ F @ S) <=> ((integrableu_on0 @ F @ S) & (integrableu_on @ ^[X:cartrealm]:(lift @ (vectoru_norm0 @ (F @ X))) @ S)))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o)]:((absolutelyu_integrableu_on @ F @ S) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (absolutelyu_integrableu_on0 @ ^[X:cartrealm]:(lift @ (d_ @ (F @ X) @ I)) @ S)))).
