%   ORIGINAL: MEASURE_NEGLIGIBLE_UNIONS_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: HAS_MEASURE_NEGLIGIBLE_UNIONS_IMAGE: !f s. FINITE s /\ (!x. x IN s ==> measurable (f x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> negligible (f x INTER f y)) ==> UNIONS (IMAGE f s) has_measure sum s (\x. measure (f x))
% Assm: MEASURE_UNIQUE: !s m. s has_measure m ==> measure s = m
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f s. FINITE s /\ (!x. x IN s ==> measurable (f x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> negligible (f x INTER f y)) ==> measure (UNIONS (IMAGE f s)) = sum s (\x. measure (f x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f s. FINITE s /\ (!x. x IN s ==> measurable (f x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> negligible (f x INTER f y)) ==> UNIONS (IMAGE f s) has_measure sum s (\x. measure (f x))
% Assm: !s m. s has_measure m ==> measure s = m
% Assm: ~F <=> T
% Assm: T
% Goal: !f s. FINITE s /\ (!x. x IN s ==> measurable (f x)) /\ (!x y. x IN s /\ y IN s /\ ~(x = y) ==> negligible (f x INTER f y)) ==> measure (UNIONS (IMAGE f s)) = sum s (\x. measure (f x))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(chasuu_measure, type, hasu_measure : ((cartrealn > $o) > real > $o)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cimage, type, image : ((a > cartrealn > $o) > (a > $o) > (cartrealn > $o) > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHASu_MEASUREu_NEGLIGIBLEu_UNIONSu_IMAGE, axiom, ![F:(a > cartrealn > $o),S:(a > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (measurable @ (F @ X))) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => (negligible @ (inter @ (F @ X) @ (F @ Y))))) => (hasu_measure @ (unions @ (image @ F @ S)) @ (sum @ S @ ^[X:a]:(measure @ (F @ X)))))).
thf(aMEASUREu_UNIQUE, axiom, ![S:(cartrealn > $o),M:real]:((hasu_measure @ S @ M) => ((measure @ S) = M))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > cartrealn > $o),S:(a > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (measurable @ (F @ X))) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => (negligible @ (inter @ (F @ X) @ (F @ Y))))) => ((measure @ (unions @ (image @ F @ S))) = (sum @ S @ ^[X:a]:(measure @ (F @ X)))))).
