%   ORIGINAL: MEASURABLE_SMALL_IMP_NEGLIGIBLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_EQ_IMP_LE: !s t. s =_c t ==> s <=_c t
% Assm: CARD_EQ_SYM: !s t. s =_c t <=> t =_c s
% Assm: MEASURABLE_MEASURE_POS_LT: !s. measurable s ==> (&0 < measure s <=> ~negligible s)
% Assm: MEASURABLE_NONNEGLIGIBLE_IMP_LARGE: !s. measurable s /\ &0 < measure s ==> s =_c (:real)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: lt_c: !t s. s <_c t <=> s <=_c t /\ ~(t <=_c s)
% Goal: !s. measurable s /\ s <_c (:real) ==> negligible s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s =_c t ==> s <=_c t
% Assm: !s t. s =_c t <=> t =_c s
% Assm: !s. measurable s ==> (&0 < measure s <=> ~negligible s)
% Assm: !s. measurable s /\ &0 < measure s ==> s =_c (:real)
% Assm: ~F <=> T
% Assm: T
% Assm: !t s. s <_c t <=> s <=_c t /\ ~(t <=_c s)
% Goal: !s. measurable s /\ s <_c (:real) ==> negligible s
%  TYPES
thf(tnum, type, num : $tType).
thf(tq87098, type, q87098 : $tType).
thf(ta, type, a : $tType).
thf(tq87099, type, q87099 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq87117, type, q87117 : $tType).
thf(tq87118, type, q87118 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clu_au_uu_c1, type, l_a_u_c1 : ((real > $o) > (cartrealn > $o) > $o)).
thf(clu_au_uu_c0, type, l_a_u_c0 : ((cartrealn > $o) > (real > $o) > $o)).
thf(cau_uu_c2, type, a_u_c2 : ((cartrealn > $o) > (real > $o) > $o)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cau_uu_c1, type, a_u_c1 : ((q87099 > $o) > (q87098 > $o) > $o)).
thf(cau_uu_c0, type, a_u_c0 : ((q87098 > $o) > (q87099 > $o) > $o)).
thf(clu_au_uu_c, type, l_a_u_c : ((q87117 > $o) > (q87118 > $o) > $o)).
thf(cau_uu_c, type, a_u_c : ((q87117 > $o) > (q87118 > $o) > $o)).
thf(clu_uu_c, type, l_u_c : ((cartrealn > $o) > (real > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (real > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_EQu_IMPu_LE, axiom, ![S:(q87117 > $o),T:(q87118 > $o)]:((a_u_c @ S @ T) => (l_a_u_c @ S @ T))).
thf(aCARDu_EQu_SYM, axiom, ![S:(q87098 > $o),T:(q87099 > $o)]:((a_u_c0 @ S @ T) <=> (a_u_c1 @ T @ S))).
thf(aMEASURABLEu_MEASUREu_POSu_LT, axiom, ![S:(cartrealn > $o)]:((measurable @ S) => ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ S)) <=> ~ ((negligible @ S))))).
thf(aMEASURABLEu_NONNEGLIGIBLEu_IMPu_LARGE, axiom, ![S:(cartrealn > $o)]:(((measurable @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ S))) => (a_u_c2 @ S @ univ))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(altu_c, axiom, ![T:(real > $o),S:(cartrealn > $o)]:((l_u_c @ S @ T) <=> ((l_a_u_c0 @ S @ T) & ~ ((l_a_u_c1 @ T @ S))))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:(((measurable @ S) & (l_u_c @ S @ univ)) => (negligible @ S))).
