%   ORIGINAL: VSUM_CX_NUMSEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: TRUTH: T
% Assm: VSUM_CX: !f s. FINITE s ==> vsum s (\a. Cx (f a)) = Cx (sum s f)
% Goal: !f m n. vsum (m..n) (\a. Cx (f a)) = Cx (sum (m..n) f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. FINITE (m..n)
% Assm: T
% Assm: !f s. FINITE s ==> vsum s (\a. Cx (f a)) = Cx (sum s f)
% Goal: !f m n. vsum (m..n) (\a. Cx (f a)) = Cx (sum (m..n) f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cvsum, type, vsum : ((num > $o) > (num > cartrealn2) > cartrealn2)).
thf(cfinite, type, finite : ((num > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_CX, axiom, ![F:(num > real),S:(num > $o)]:((finite @ S) => ((vsum @ S @ ^[A:num]:(cx @ (F @ A))) = (cx @ (sum @ S @ F))))).
thf(conjecture, conjecture, ![F:(num > real),M:num,N:num]:((vsum @ (o_o_ @ M @ N) @ ^[A:num]:(cx @ (F @ A))) = (cx @ (sum @ (o_o_ @ M @ N) @ F)))).
