%   ORIGINAL: COMPLEX_IN_BALL_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_VEC_0: vec 0 = Cx (&0)
% Assm: IN_BALL_0: !x e. x IN ball (vec 0,e) <=> norm x < e
% Assm: TRUTH: T
% Goal: !v r. v IN ball (Cx (&0),r) <=> norm v < r
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: vec 0 = Cx (&0)
% Assm: !x e. x IN ball (vec 0,e) <=> norm x < e
% Assm: T
% Goal: !v r. v IN ball (Cx (&0),r) <=> norm v < r
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tprodcartrealn2real, type, prodcartrealn2real : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cball, type, ball : (prodcartrealn2real > cartrealn2 > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn2 > real > prodcartrealn2real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_VECu_0, axiom, ((vec @ (numeral @ u_0)) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aINu_BALLu_0, axiom, ![X:cartrealn2,E:real]:((in @ X @ (ball @ (c_ @ (vec @ (numeral @ u_0)) @ E))) <=> (realu_lt @ (vectoru_norm @ X) @ E))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:cartrealn2,R:real]:((in @ V @ (ball @ (c_ @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ R))) <=> (realu_lt @ (vectoru_norm @ V) @ R))).
