%   ORIGINAL: CONTINUOUS_COMPLEX_INV_AT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONTINUOUS_COMPLEX_INV: !net f. f continuous net /\ ~(f (netlimit net) = Cx (&0)) ==> (\x. inv (f x)) continuous net
% Assm: NETLIMIT_AT: !a. netlimit (at a) = a
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f a. f continuous at a /\ ~(f a = Cx (&0)) ==> (\x. inv (f x)) continuous at a
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !net f. f continuous net /\ ~(f (netlimit net) = Cx (&0)) ==> (\x. inv (f x)) continuous net
% Assm: !a. netlimit (at a) = a
% Assm: ~F <=> T
% Assm: T
% Goal: !f a. f continuous at a /\ ~(f a = Cx (&0)) ==> (\x. inv (f x)) continuous at a
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq571625, type, cartrealq571625 : $tType).
thf(tq571625, type, q571625 : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tnetcartrealq571625, type, netcartrealq571625 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealq571625 > netcartrealq571625)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccontinuous, type, continuous : ((cartrealq571625 > cartrealn2) > netcartrealq571625 > $o)).
thf(cnetlimit, type, netlimit : (netcartrealq571625 > cartrealq571625)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONTINUOUSu_COMPLEXu_INV, axiom, ![NET:netcartrealq571625,F:(cartrealq571625 > cartrealn2)]:(((continuous @ F @ NET) & ~ (((F @ (netlimit @ NET)) = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => (continuous @ ^[X:cartrealq571625]:(complexu_inv @ (F @ X)) @ NET))).
thf(aNETLIMITu_AT, axiom, ![A:cartrealq571625]:((netlimit @ (at @ A)) = A)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealq571625 > cartrealn2),A:cartrealq571625]:(((continuous @ F @ (at @ A)) & ~ (((F @ A) = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => (continuous @ ^[X:cartrealq571625]:(complexu_inv @ (F @ X)) @ (at @ A)))).
