%   ORIGINAL: HAS_COMPLEX_DERIVATIVE_CONST
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_MUL_LZERO: !x. Cx (&0) * x = Cx (&0)
% Assm: COMPLEX_VEC_0: vec 0 = Cx (&0)
% Assm: HAS_DERIVATIVE_CONST: !c net. ((\x. c) has_derivative (\h. vec 0)) net
% Assm: TRUTH: T
% Assm: has_complex_derivative: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Goal: !c net. ((\x. c) has_complex_derivative Cx (&0)) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. Cx (&0) * x = Cx (&0)
% Assm: vec 0 = Cx (&0)
% Assm: !c net. ((\x. c) has_derivative (\h. vec 0)) net
% Assm: T
% Assm: !f f' net. (f has_complex_derivative f') net <=> (f has_derivative (\x. f' * x)) net
% Goal: !c net. ((\x. c) has_complex_derivative Cx (&0)) net
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq409940, type, q409940 : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tnetcartrealq409934, type, netcartrealq409934 : $tType).
thf(tn2, type, n2 : $tType).
thf(tq409934, type, q409934 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tcartrealq409934, type, cartrealq409934 : $tType).
thf(tcartrealq409940, type, cartrealq409940 : $tType).
%  CONSTS
thf(cvec0, type, vec0 : (num > cartrealq409940)).
thf(cvec, type, vec : (num > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(chasuu_derivative0, type, hasu_derivative0 : ((cartrealn2 > cartrealn2) > (cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(chasuu_derivative, type, hasu_derivative : ((cartrealq409934 > cartrealq409940) > (cartrealq409934 > cartrealq409940) > netcartrealq409934 > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_MULu_LZERO, axiom, ![X:cartrealn2]:((complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ X) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCOMPLEXu_VECu_0, axiom, ((vec @ (numeral @ u_0)) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aHASu_DERIVATIVEu_CONST, axiom, ![C:cartrealq409940,NET:netcartrealq409934]:(hasu_derivative @ ^[X:cartrealq409934]:C @ ^[H:cartrealq409934]:(vec0 @ (numeral @ u_0)) @ NET)).
thf(aTRUTH, axiom, $true).
thf(ahasu_complexu_derivative, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,NET:netcartrealn2]:((hasu_complexu_derivative @ F @ FI_ @ NET) <=> (hasu_derivative0 @ F @ ^[X:cartrealn2]:(complexu_mul @ FI_ @ X) @ NET))).
thf(conjecture, conjecture, ![C:cartrealn2,NET:netcartrealn2]:(hasu_complexu_derivative @ ^[X:cartrealn2]:C @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ NET)).
