%   ORIGINAL: ANALYTIC_ON_INV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BALL_MIN_INTER: !a r s. ball (a,min r s) = ball (a,r) INTER ball (a,s)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CENTRE_IN_BALL: !x e. x IN ball (x,e) <=> &0 < e
% Assm: CONTINUOUS_ON_OPEN_AVOID: !f x s a. f continuous_on s /\ open s /\ x IN s /\ ~(f x = a) ==> (?e. &0 < e /\ (!y. dist (x,y) < e ==> ~(f y = a)))
% Assm: HOLOMORPHIC_ON_IMP_CONTINUOUS_ON: !f s. f holomorphic_on s ==> f continuous_on s
% Assm: HOLOMORPHIC_ON_INV: !f s. f holomorphic_on s /\ (!z. z IN s ==> ~(f z = Cx (&0))) ==> (\z. inv (f z)) holomorphic_on s
% Assm: HOLOMORPHIC_ON_SUBSET: !f s t. f holomorphic_on s /\ t SUBSET s ==> f holomorphic_on t
% Assm: INTER_SUBSET_conjunct0: !s t. s INTER t SUBSET s
% Assm: INTER_SUBSET_conjunct1: !s t. t INTER s SUBSET s
% Assm: IN_BALL: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: REAL_LT_MIN: !x y z. z < min x y <=> z < x /\ z < y
% Assm: TRUTH: T
% Assm: analytic_on: !s f. f analytic_on s <=> (!x. x IN s ==> (?e. &0 < e /\ f holomorphic_on ball (x,e)))
% Goal: !f s. f analytic_on s /\ (!z. z IN s ==> ~(f z = Cx (&0))) ==> (\z. inv (f z)) analytic_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !a r s. ball (a,min r s) = ball (a,r) INTER ball (a,s)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. x IN ball (x,e) <=> &0 < e
% Assm: !f x s a. f continuous_on s /\ open s /\ x IN s /\ ~(f x = a) ==> (?e. &0 < e /\ (!y. dist (x,y) < e ==> ~(f y = a)))
% Assm: !f s. f holomorphic_on s ==> f continuous_on s
% Assm: !f s. f holomorphic_on s /\ (!z. z IN s ==> ~(f z = Cx (&0))) ==> (\z. inv (f z)) holomorphic_on s
% Assm: !f s t. f holomorphic_on s /\ t SUBSET s ==> f holomorphic_on t
% Assm: !s t. s INTER t SUBSET s
% Assm: !s t. t INTER s SUBSET s
% Assm: !x y e. y IN ball (x,e) <=> dist (x,y) < e
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x e. open (ball (x,e))
% Assm: !x y z. z < min x y <=> z < x /\ z < y
% Assm: T
% Assm: !s f. f analytic_on s <=> (!x. x IN s ==> (?e. &0 < e /\ f holomorphic_on ball (x,e)))
% Goal: !f s. f analytic_on s /\ (!z. z IN s ==> ~(f z = Cx (&0))) ==> (\z. inv (f z)) analytic_on s
%  TYPES
thf(tcartrealq168752, type, cartrealq168752 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tprodcartrealq169289real, type, prodcartrealq169289real : $tType).
thf(tprodcartrealn2real, type, prodcartrealn2real : $tType).
thf(tprodcartrealq168752real, type, prodcartrealq168752real : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq169289, type, cartrealq169289 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tq169289, type, q169289 : $tType).
thf(tq168752, type, q168752 : $tType).
thf(tprodcartrealn2cartrealn2, type, prodcartrealn2cartrealn2 : $tType).
%  CONSTS
thf(cball1, type, ball1 : (prodcartrealq169289real > cartrealq169289 > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(cholomorphicuu_on, type, holomorphicu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(cdistance, type, distance : (prodcartrealn2cartrealn2 > real)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cball0, type, ball0 : (prodcartrealn2real > cartrealn2 > $o)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(cball, type, ball : (prodcartrealq168752real > cartrealq168752 > $o)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(canalyticuu_on, type, analyticu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(ccu_2, type, c_2 : (cartrealq169289 > real > prodcartrealq169289real)).
thf(cinter1, type, inter1 : ((cartrealn2 > $o) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(cinter0, type, inter0 : ((a > $o) > (a > $o) > a > $o)).
thf(ccu_1, type, c_1 : (cartrealn2 > cartrealn2 > prodcartrealn2cartrealn2)).
thf(ccu_0, type, c_0 : (cartrealn2 > real > prodcartrealn2real)).
thf(cinter, type, inter : ((cartrealq168752 > $o) > (cartrealq168752 > $o) > cartrealq168752 > $o)).
thf(ccu_, type, c_ : (cartrealq168752 > real > prodcartrealq168752real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(copen0, type, open0 : ((cartrealq169289 > $o) > $o)).
thf(copen, type, open : ((cartrealn2 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBALLu_MINu_INTER, axiom, ![A:cartrealq168752,R:real,S:real]:((ball @ (c_ @ A @ (realu_min @ R @ S))) = (inter @ (ball @ (c_ @ A @ R)) @ (ball @ (c_ @ A @ S))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCENTREu_INu_BALL, axiom, ![X:cartrealn2,E:real]:((in @ X @ (ball0 @ (c_0 @ X @ E))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E))).
thf(aCONTINUOUSu_ONu_OPENu_AVOID, axiom, ![F:(cartrealn2 > cartrealn2),X:cartrealn2,S:(cartrealn2 > $o),A:cartrealn2]:(((continuousu_on @ F @ S) & (open @ S) & (in @ X @ S) & ~ (((F @ X) = A))) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![Y:cartrealn2]:((realu_lt @ (distance @ (c_1 @ X @ Y)) @ E) => ~ (((F @ Y) = A)))))).
thf(aHOLOMORPHICu_ONu_IMPu_CONTINUOUSu_ON, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:((holomorphicu_on @ F @ S) => (continuousu_on @ F @ S))).
thf(aHOLOMORPHICu_ONu_INV, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:(((holomorphicu_on @ F @ S) & ![Z:cartrealn2]:((in @ Z @ S) => ~ (((F @ Z) = (cx @ (realu_ofu_num @ (numeral @ u_0))))))) => (holomorphicu_on @ ^[Z:cartrealn2]:(complexu_inv @ (F @ Z)) @ S))).
thf(aHOLOMORPHICu_ONu_SUBSET, axiom, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o),T:(cartrealn2 > $o)]:(((holomorphicu_on @ F @ S) & (subset @ T @ S)) => (holomorphicu_on @ F @ T))).
thf(aINTERu_SUBSETu_conjunct0, axiom, ![S:(a > $o),T:(a > $o)]:(subset0 @ (inter0 @ S @ T) @ S)).
thf(aINTERu_SUBSETu_conjunct1, axiom, ![S:(a > $o),T:(a > $o)]:(subset0 @ (inter0 @ T @ S) @ S)).
thf(aINu_BALL, axiom, ![X:cartrealn2,Y:cartrealn2,E:real]:((in @ Y @ (ball0 @ (c_0 @ X @ E))) <=> (realu_lt @ (distance @ (c_1 @ X @ Y)) @ E))).
thf(aINu_INTER, axiom, ![S:(cartrealn2 > $o),T:(cartrealn2 > $o),X:cartrealn2]:((in @ X @ (inter1 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_BALL, axiom, ![X:cartrealq169289,E:real]:(open0 @ (ball1 @ (c_2 @ X @ E)))).
thf(aREALu_LTu_MIN, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ Z @ (realu_min @ X @ Y)) <=> ((realu_lt @ Z @ X) & (realu_lt @ Z @ Y)))).
thf(aTRUTH, axiom, $true).
thf(aanalyticu_on, axiom, ![S:(cartrealn2 > $o),F:(cartrealn2 > cartrealn2)]:((analyticu_on @ F @ S) <=> ![X:cartrealn2]:((in @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & (holomorphicu_on @ F @ (ball0 @ (c_0 @ X @ E))))))).
thf(conjecture, conjecture, ![F:(cartrealn2 > cartrealn2),S:(cartrealn2 > $o)]:(((analyticu_on @ F @ S) & ![Z:cartrealn2]:((in @ Z @ S) => ~ (((F @ Z) = (cx @ (realu_ofu_num @ (numeral @ u_0))))))) => (analyticu_on @ ^[Z:cartrealn2]:(complexu_inv @ (F @ Z)) @ S))).
