%   ORIGINAL: ABEL_LIMIT_THEOREM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ABEL_POWER_SERIES_CONTINUOUS: !M s a. summable s a /\ &0 < M ==> (\z. infsum s (\i. a i * z pow i)) continuous_on {z | norm (Cx (&1) - z) <= M * (&1 - norm z)}
% Assm: COMPLEX_MUL_LZERO: !x. Cx (&0) * x = Cx (&0)
% Assm: COMPLEX_MUL_RID: !x. x * Cx (&1) = x
% Assm: COMPLEX_NORM_0: norm (Cx (&0)) = &0
% Assm: COMPLEX_NORM_CX: !x. norm (Cx x) = abs x
% Assm: COMPLEX_POW_ONE: !n. Cx (&1) pow n = Cx (&1)
% Assm: COMPLEX_SUB_REFL: !x. x - x = Cx (&0)
% Assm: COMPLEX_VEC_0: vec 0 = Cx (&0)
% Assm: COND_RAND: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: COND_RATOR: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: CONTINUOUS_ON_EQ_CONTINUOUS_WITHIN: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: CONTINUOUS_WITHIN: !f x. f continuous at x within s <=> (f --> f x) (at x within s)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INFSUM_RESTRICT: !k a. infsum (:num) (\n. if n IN k then a n else vec 0) = infsum k a
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: POWER_SERIES_CONV_IMP_ABSCONV: !a k w z. summable k (\n. a n * z pow n) /\ norm w < norm z ==> summable k (\n. Cx (norm (a n * w pow n)))
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: REAL_SUB_REFL: !x. x - x = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SERIES_ABSCONV_IMP_CONV: !x k. summable k (\n. Cx (norm (x n))) ==> summable k x
% Assm: SUMMABLE_RESTRICT: !f k. summable (:num) (\n. if n IN k then f n else vec 0) <=> summable k f
% Assm: TRUTH: T
% Assm: Trigonometry2.ABS_1: abs (&1) = &1
% Goal: !M s a. summable s a /\ &0 < M ==> (!z. norm z < &1 ==> summable s (\i. a i * z pow i)) /\ ((\z. infsum s (\i. a i * z pow i)) --> infsum s a) (at (Cx (&1)) within {z | norm (Cx (&1) - z) <= M * (&1 - norm z)})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !M s a. summable s a /\ &0 < M ==> (\z. infsum s (\i. a i * z pow i)) continuous_on {z | norm (Cx (&1) - z) <= M * (&1 - norm z)}
% Assm: !x. Cx (&0) * x = Cx (&0)
% Assm: !x. x * Cx (&1) = x
% Assm: norm (Cx (&0)) = &0
% Assm: !x. norm (Cx x) = abs x
% Assm: !n. Cx (&1) pow n = Cx (&1)
% Assm: !x. x - x = Cx (&0)
% Assm: vec 0 = Cx (&0)
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: !f s. f continuous_on s <=> (!x. x IN s ==> f continuous at x within s)
% Assm: !s f x. f continuous at x within s <=> (f --> f x) (at x within s)
% Assm: !t. (\x. t x) = t
% Assm: !k a. infsum (:num) (\n. if n IN k then a n else vec 0) = infsum k a
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !a k w z. summable k (\n. a n * z pow n) /\ norm w < norm z ==> summable k (\n. Cx (norm (a n * w pow n)))
% Assm: !x. x <= x
% Assm: !x. x - x = &0
% Assm: !x. x * &0 = &0
% Assm: !x k. summable k (\n. Cx (norm (x n))) ==> summable k x
% Assm: !f k. summable (:num) (\n. if n IN k then f n else vec 0) <=> summable k f
% Assm: T
% Assm: abs (&1) = &1
% Goal: !M s a. summable s a /\ &0 < M ==> (!z. norm z < &1 ==> summable s (\i. a i * z pow i)) /\ ((\z. infsum s (\i. a i * z pow i)) --> infsum s a) (at (Cx (&1)) within {z | norm (Cx (&1) - z) <= M * (&1 - norm z)})
%  TYPES
thf(tcartrealq188662, type, cartrealq188662 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tq188662, type, q188662 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(ccontinuous0, type, continuous0 : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(ccontinuous, type, continuous : ((cartrealn2 > cartrealq188662) > netcartrealn2 > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealn2 > cartrealq188662) > (cartrealn2 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn2)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csummable, type, summable : ((num > $o) > (num > cartrealn2) > $o)).
thf(ccond2, type, cond2 : ($o > cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccond1, type, cond1 : ($o > (a > b) > (a > b) > a > b)).
thf(ccond0, type, cond0 : ($o > b > b > b)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(cinfsum, type, infsum : ((num > $o) > (num > cartrealn2) > cartrealn2)).
thf(cmu_mu_gu_, type, m_m_g_ : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv, type, univ : (num > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aABELu_POWERu_SERIESu_CONTINUOUS, axiom, ![M:real,S:(num > $o),A:(num > cartrealn2)]:(((summable @ S @ A) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ M)) => (continuousu_on @ ^[Z:cartrealn2]:(infsum @ S @ ^[I:num]:(complexu_mul @ (A @ I) @ (complexu_pow @ Z @ I))) @ (gspec @ ^[GENR_PVARR_2279:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2279 @ (realu_le @ (vectoru_norm @ (vectoru_sub @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Z)) @ (realu_mul @ M @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (vectoru_norm @ Z)))) @ Z))))).
thf(aCOMPLEXu_MULu_LZERO, axiom, ![X:cartrealn2]:((complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ u_0))) @ X) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCOMPLEXu_MULu_RID, axiom, ![X:cartrealn2]:((complexu_mul @ X @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) = X)).
thf(aCOMPLEXu_NORMu_0, axiom, ((vectoru_norm @ (cx @ (realu_ofu_num @ (numeral @ u_0)))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aCOMPLEXu_NORMu_CX, axiom, ![X:real]:((vectoru_norm @ (cx @ X)) = (realu_abs @ X))).
thf(aCOMPLEXu_POWu_ONE, axiom, ![N:num]:((complexu_pow @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ N) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aCOMPLEXu_SUBu_REFL, axiom, ![X:cartrealn2]:((vectoru_sub @ X @ X) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCOMPLEXu_VECu_0, axiom, ((vec @ (numeral @ u_0)) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCONDu_RAND, axiom, ![B:$o,F:(a > b),X:a,Y:a]:((F @ (cond @ B @ X @ Y)) = (cond0 @ B @ (F @ X) @ (F @ Y)))).
thf(aCONDu_RATOR, axiom, ![B:$o,F:(a > b),G:(a > b),X:a]:((cond1 @ B @ F @ G @ X) = (cond0 @ B @ (F @ X) @ (G @ X)))).
thf(aCONTINUOUSu_ONu_EQu_CONTINUOUSu_WITHIN, axiom, ![F:(cartrealn2 > cartrealq188662),S:(cartrealn2 > $o)]:((continuousu_on0 @ F @ S) <=> ![X:cartrealn2]:((in @ X @ S) => (continuous @ F @ (within @ (at @ X) @ S))))).
thf(aCONTINUOUSu_WITHIN, axiom, ![S:(cartrealn2 > $o),F:(cartrealn2 > cartrealn2),X:cartrealn2]:((continuous0 @ F @ (within @ (at @ X) @ S)) <=> (m_m_g_ @ F @ (F @ X) @ (within @ (at @ X) @ S)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINFSUMu_RESTRICT, axiom, ![K:(num > $o),A:(num > cartrealn2)]:((infsum @ univ @ ^[N:num]:(cond2 @ (in0 @ N @ K) @ (A @ N) @ (vec @ (numeral @ u_0)))) = (infsum @ K @ A))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn2 > $o),X:cartrealn2]:((in @ X @ (gspec @ ^[V:cartrealn2]:?[Y:cartrealn2]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aPOWERu_SERIESu_CONVu_IMPu_ABSCONV, axiom, ![A:(num > cartrealn2),K:(num > $o),W:cartrealn2,Z:cartrealn2]:(((summable @ K @ ^[N:num]:(complexu_mul @ (A @ N) @ (complexu_pow @ Z @ N))) & (realu_lt @ (vectoru_norm @ W) @ (vectoru_norm @ Z))) => (summable @ K @ ^[N:num]:(cx @ (vectoru_norm @ (complexu_mul @ (A @ N) @ (complexu_pow @ W @ N))))))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aREALu_SUBu_REFL, axiom, ![X:real]:((realu_sub @ X @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSERIESu_ABSCONVu_IMPu_CONV, axiom, ![X:(num > cartrealn2),K:(num > $o)]:((summable @ K @ ^[N:num]:(cx @ (vectoru_norm @ (X @ N)))) => (summable @ K @ X))).
thf(aSUMMABLEu_RESTRICT, axiom, ![F:(num > cartrealn2),K:(num > $o)]:((summable @ univ @ ^[N:num]:(cond2 @ (in0 @ N @ K) @ (F @ N) @ (vec @ (numeral @ u_0)))) <=> (summable @ K @ F))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ABSu_1, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![M:real,S:(num > $o),A:(num > cartrealn2)]:(((summable @ S @ A) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ M)) => (![Z:cartrealn2]:((realu_lt @ (vectoru_norm @ Z) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => (summable @ S @ ^[I:num]:(complexu_mul @ (A @ I) @ (complexu_pow @ Z @ I)))) & (m_m_g_ @ ^[Z:cartrealn2]:(infsum @ S @ ^[I:num]:(complexu_mul @ (A @ I) @ (complexu_pow @ Z @ I))) @ (infsum @ S @ A) @ (within @ (at @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ (gspec @ ^[GENR_PVARR_2281:cartrealn2]:?[Z:cartrealn2]:(setspec @ GENR_PVARR_2281 @ (realu_le @ (vectoru_norm @ (vectoru_sub @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Z)) @ (realu_mul @ M @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (vectoru_norm @ Z)))) @ Z))))))).
