%   ORIGINAL: REAL_OPEN_SUBREAL_OPEN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_IN_SUBOPEN: !top s. open_in top s <=> (!x. x IN s ==> (?t. open_in top t /\ x IN t /\ t SUBSET s))
% Assm: REAL_OPEN_IN: !s. real_open s <=> open_in euclideanreal s
% Assm: TRUTH: T
% Goal: !s. real_open s <=> (!x. x IN s ==> (?t. real_open t /\ x IN t /\ t SUBSET s))
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !top s. open_in top s <=> (!x. x IN s ==> (?t. open_in top t /\ x IN t /\ t SUBSET s))
% Assm: !s. real_open s <=> open_in euclideanreal s
% Assm: T
% Goal: !s. real_open s <=> (!x. x IN s ==> (?t. real_open t /\ x IN t /\ t SUBSET s))
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(ttopologyreal, type, topologyreal : $tType).
%  CONSTS
thf(copenuu_in, type, openu_in : (topologyreal > (real > $o) > $o)).
thf(csubset, type, subset : ((real > $o) > (real > $o) > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(ceuclideanreal, type, euclideanreal : topologyreal).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_INu_SUBOPEN, axiom, ![TOP:topologyreal,S:(real > $o)]:((openu_in @ TOP @ S) <=> ![X:real]:((in @ X @ S) => ?[T:(real > $o)]:((openu_in @ TOP @ T) & (in @ X @ T) & (subset @ T @ S))))).
thf(aREALu_OPENu_IN, axiom, ![S:(real > $o)]:((realu_open @ S) <=> (openu_in @ euclideanreal @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(real > $o)]:((realu_open @ S) <=> ![X:real]:((in @ X @ S) => ?[T:(real > $o)]:((realu_open @ T) & (in @ X @ T) & (subset @ T @ S))))).
