%   ORIGINAL: REALLIM_RE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_NORM_CX: !x. norm (Cx x) = abs x
% Assm: COMPLEX_NORM_GE_RE_IM: !z. abs (Re z) <= norm z /\ abs (Im z) <= norm z
% Assm: CX_SUB: !x y. Cx (x - y) = Cx x - Cx y
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REALLIM_COMPLEX: (s ---> l) = (Cx o s --> Cx l)
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: RE_SUB: !x y. Re (x - y) = Re x - Re y
% Assm: TRUTH: T
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: eventually: !net p. eventually p net <=> trivial_limit net \/ (?y. (?x. netord net x y) /\ (!x. netord net x y ==> p x))
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: tendsto: !f l net. (f --> l) net <=> (!e. &0 < e ==> eventually (\x. dist (f x,l) < e) net)
% Goal: !net f l. (f --> l) net ==> (Re o f ---> Re l) net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. norm (Cx x) = abs x
% Assm: !z. abs (Re z) <= norm z /\ abs (Im z) <= norm z
% Assm: !x y. Cx (x - y) = Cx x - Cx y
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: !s l. (s ---> l) = (Cx o s --> Cx l)
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: !x y. Re (x - y) = Re x - Re y
% Assm: T
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !net p. eventually p net <=> trivial_limit net \/ (?y. (?x. netord net x y) /\ (!x. netord net x y ==> p x))
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !f l net. (f --> l) net <=> (!e. &0 < e ==> eventually (\x. dist (f x,l) < e) net)
% Goal: !net f l. (f --> l) net ==> (Re o f ---> Re l) net
%  TYPES
thf(tcartrealq98293, type, cartrealq98293 : $tType).
thf(tq174576, type, q174576 : $tType).
thf(tprodcartrealq98293cartrealq98293, type, prodcartrealq98293cartrealq98293 : $tType).
thf(tq98293, type, q98293 : $tType).
thf(tnum, type, num : $tType).
thf(tnetq619616, type, netq619616 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetq174576, type, netq174576 : $tType).
thf(tn2, type, n2 : $tType).
thf(tq619616, type, q619616 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tprodcartrealn2cartrealn2, type, prodcartrealn2cartrealn2 : $tType).
%  CONSTS
thf(cdistance0, type, distance0 : (prodcartrealn2cartrealn2 > real)).
thf(ceventually0, type, eventually0 : ((q619616 > $o) > netq619616 > $o)).
thf(ceventually, type, eventually : ((q174576 > $o) > netq174576 > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq98293 > real)).
thf(cdistance, type, distance : (prodcartrealq98293cartrealq98293 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cim, type, im : (cartrealn2 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(ccu_0, type, c_0 : (cartrealn2 > cartrealn2 > prodcartrealn2cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cnetord, type, netord : (netq174576 > q174576 > q174576 > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq98293 > cartrealq98293 > cartrealq98293)).
thf(ccu_, type, c_ : (cartrealq98293 > cartrealq98293 > prodcartrealq98293cartrealq98293)).
thf(co0, type, o0 : ((real > cartrealn2) > (q619616 > real) > q619616 > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(co, type, o : ((cartrealn2 > real) > (q619616 > cartrealn2) > q619616 > real)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((q619616 > real) > real > netq619616 > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((q619616 > cartrealn2) > cartrealn2 > netq619616 > $o)).
thf(ctrivialuu_limit, type, trivialu_limit : (netq174576 > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_NORMu_CX, axiom, ![X:real]:((vectoru_norm @ (cx @ X)) = (realu_abs @ X))).
thf(aCOMPLEXu_NORMu_GEu_REu_IM, axiom, ![Z:cartrealn2]:((realu_le @ (realu_abs @ (re @ Z)) @ (vectoru_norm @ Z)) & (realu_le @ (realu_abs @ (im @ Z)) @ (vectoru_norm @ Z)))).
thf(aCXu_SUB, axiom, ![X:real,Y:real]:((cx @ (realu_sub @ X @ Y)) = (vectoru_sub @ (cx @ X) @ (cx @ Y)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALLIMu_COMPLEX, axiom, ![S:(q619616 > real),L:real]:((m_m_m_g_ @ S @ L) = (m_m_g_ @ (o0 @ cx @ S) @ (cx @ L)))).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREu_SUB, axiom, ![X:cartrealn2,Y:cartrealn2]:((re @ (vectoru_sub @ X @ Y)) = (realu_sub @ (re @ X) @ (re @ Y)))).
thf(aTRUTH, axiom, $true).
thf(adist, axiom, ![X:cartrealq98293,Y:cartrealq98293]:((distance @ (c_ @ X @ Y)) = (vectoru_norm0 @ (vectoru_sub0 @ X @ Y)))).
thf(aeventually, axiom, ![NET:netq174576,P:(q174576 > $o)]:((eventually @ P @ NET) <=> ((trivialu_limit @ NET) | ?[Y:q174576]:(?[X:q174576]:(netord @ NET @ X @ Y) & ![X:q174576]:((netord @ NET @ X @ Y) => (P @ X)))))).
thf(aou_THM, axiom, ![F:(cartrealn2 > real),G:(q619616 > cartrealn2),X:q619616]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(atendsto, axiom, ![F:(q619616 > cartrealn2),L:cartrealn2,NET:netq619616]:((m_m_g_ @ F @ L @ NET) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (eventually0 @ ^[X:q619616]:(realu_lt @ (distance0 @ (c_0 @ (F @ X) @ L)) @ E) @ NET)))).
thf(conjecture, conjecture, ![NET:netq619616,F:(q619616 > cartrealn2),L:cartrealn2]:((m_m_g_ @ F @ L @ NET) => (m_m_m_g_ @ (o @ re @ F) @ (re @ L) @ NET))).
