%   ORIGINAL: REAL_SERIES_NEG
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REALLIM_NEG: !net f l. (f ---> l) net ==> ((\x. --f x) ---> --l) net
% Assm: SUM_NEG: !f s. sum s (\x. --f x) = --sum s f
% Assm: TRUTH: T
% Assm: real_sums: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !x x0 s. (x real_sums x0) s ==> ((\n. --x n) real_sums --x0) s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net f l. (f ---> l) net ==> ((\x. --f x) ---> --l) net
% Assm: !f s. sum s (\x. --f x) = --sum s f
% Assm: T
% Assm: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !x x0 s. (x real_sums x0) s ==> ((\n. --x n) real_sums --x0) s
%  TYPES
thf(tq70735, type, q70735 : $tType).
thf(tnum, type, num : $tType).
thf(tnetq618856, type, netq618856 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tq618856, type, q618856 : $tType).
%  CONSTS
thf(csum0, type, sum0 : ((num > $o) > (num > real) > real)).
thf(csum, type, sum : ((q70735 > $o) > (q70735 > real) > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(cmu_mu_mu_gu_0, type, m_m_m_g_0 : ((num > real) > real > netnum > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((q618856 > real) > real > netq618856 > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALLIMu_NEG, axiom, ![NET:netq618856,F:(q618856 > real),L:real]:((m_m_m_g_ @ F @ L @ NET) => (m_m_m_g_ @ ^[X:q618856]:(realu_neg @ (F @ X)) @ (realu_neg @ L) @ NET))).
thf(aSUMu_NEG, axiom, ![F:(q70735 > real),S:(q70735 > $o)]:((sum @ S @ ^[X:q70735]:(realu_neg @ (F @ X))) = (realu_neg @ (sum @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(arealu_sums, axiom, ![S:(num > $o),F:(num > real),L:real]:((realu_sums @ F @ L @ S) <=> (m_m_m_g_0 @ ^[N:num]:(sum0 @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![X:(num > real),X0:real,S:(num > $o)]:((realu_sums @ X @ X0 @ S) => (realu_sums @ ^[N:num]:(realu_neg @ (X @ N)) @ (realu_neg @ X0) @ S))).
