%   ORIGINAL: REAL_INFSUM_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_INFSUM_UNIQUE: !f l s. (f real_sums l) s ==> real_infsum s f = l
% Assm: REAL_SERIES_0: !s. ((\n. &0) real_sums &0) s
% Assm: TRUTH: T
% Goal: real_infsum s (\i. &0) = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f l s. (f real_sums l) s ==> real_infsum s f = l
% Assm: !s. ((\n. &0) real_sums &0) s
% Assm: T
% Goal: !s. real_infsum s (\i. &0) = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_infsum, type, realu_infsum : ((num > $o) > (num > real) > real)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_INFSUMu_UNIQUE, axiom, ![F:(num > real),L:real,S:(num > $o)]:((realu_sums @ F @ L @ S) => ((realu_infsum @ S @ F) = L))).
thf(aREALu_SERIESu_0, axiom, ![S:(num > $o)]:(realu_sums @ ^[N:num]:(realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ u_0)) @ S)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(num > $o)]:((realu_infsum @ S @ ^[I:num]:(realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
