%   ORIGINAL: REAL_CONTINUOUS_LMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REALLIM_LMUL: !f l c. (f ---> l) net ==> ((\x. c * f x) ---> c * l) net
% Assm: TRUTH: T
% Assm: real_continuous: !f net. f real_continuous net <=> (f ---> f (netlimit net)) net
% Goal: !f c net. f real_continuous net ==> (\x. c * f x) real_continuous net
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !net f l c. (f ---> l) net ==> ((\x. c * f x) ---> c * l) net
% Assm: T
% Assm: !f net. f real_continuous net <=> (f ---> f (netlimit net)) net
% Goal: !f c net. f real_continuous net ==> (\x. c * f x) real_continuous net
%  TYPES
thf(tnetq618702, type, netq618702 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq618702, type, q618702 : $tType).
thf(tq627768, type, q627768 : $tType).
thf(tnetq627768, type, netq627768 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_continuous, type, realu_continuous : ((q627768 > real) > netq627768 > $o)).
thf(cnetlimit, type, netlimit : (netq627768 > q627768)).
thf(cmu_mu_mu_gu_0, type, m_m_m_g_0 : ((q627768 > real) > real > netq627768 > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((q618702 > real) > real > netq618702 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALLIMu_LMUL, axiom, ![NET:netq618702,F:(q618702 > real),L:real,C:real]:((m_m_m_g_ @ F @ L @ NET) => (m_m_m_g_ @ ^[X:q618702]:(realu_mul @ C @ (F @ X)) @ (realu_mul @ C @ L) @ NET))).
thf(aTRUTH, axiom, $true).
thf(arealu_continuous, axiom, ![F:(q627768 > real),NET:netq627768]:((realu_continuous @ F @ NET) <=> (m_m_m_g_0 @ F @ (F @ (netlimit @ NET)) @ NET))).
thf(conjecture, conjecture, ![F:(q627768 > real),C:real,NET:netq627768]:((realu_continuous @ F @ NET) => (realu_continuous @ ^[X:q627768]:(realu_mul @ C @ (F @ X)) @ NET))).
