%   ORIGINAL: REAL_CONTINUOUS_ON_RMUL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_CONTINUOUS_ON_EQ_CONTINUOUS_WITHIN: !f s. f real_continuous_on s <=> (!x. x IN s ==> f real_continuous atreal x within s)
% Assm: REAL_CONTINUOUS_RMUL: !f c net. f real_continuous net ==> (\x. f x * c) real_continuous net
% Assm: TRUTH: T
% Goal: !f c s. f real_continuous_on s ==> (\x. f x * c) real_continuous_on s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. f real_continuous_on s <=> (!x. x IN s ==> f real_continuous atreal x within s)
% Assm: !f c net. f real_continuous net ==> (\x. f x * c) real_continuous net
% Assm: T
% Goal: !f c s. f real_continuous_on s ==> (\x. f x * c) real_continuous_on s
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(tnetq627795, type, netq627795 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq627795, type, q627795 : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_continuous0, type, realu_continuous0 : ((q627795 > real) > netq627795 > $o)).
thf(crealuu_continuous, type, realu_continuous : ((real > real) > netreal > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_continuousuu_on, type, realu_continuousu_on : ((real > real) > (real > $o) > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(catreal, type, atreal : (real > netreal)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_CONTINUOUSu_ONu_EQu_CONTINUOUSu_WITHIN, axiom, ![F:(real > real),S:(real > $o)]:((realu_continuousu_on @ F @ S) <=> ![X:real]:((in @ X @ S) => (realu_continuous @ F @ (within @ (atreal @ X) @ S))))).
thf(aREALu_CONTINUOUSu_RMUL, axiom, ![F:(q627795 > real),C:real,NET:netq627795]:((realu_continuous0 @ F @ NET) => (realu_continuous0 @ ^[X:q627795]:(realu_mul @ (F @ X) @ C) @ NET))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),C:real,S:(real > $o)]:((realu_continuousu_on @ F @ S) => (realu_continuousu_on @ ^[X:real]:(realu_mul @ (F @ X) @ C) @ S))).
