%   ORIGINAL: HAS_REAL_DERIVATIVE_IMP_CONTINUOUS_ATREAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: HAS_COMPLEX_DERIVATIVE_IMP_CONTINUOUS_WITHIN: !f f' x s. (f has_complex_derivative f') (at x within s) ==> f continuous at x within s
% Assm: HAS_REAL_COMPLEX_DERIVATIVE_AT: (f has_real_derivative f') (atreal a) <=> (Cx o f o Re has_complex_derivative Cx f') (at (Cx a) within real)
% Assm: REAL_COMPLEX_CONTINUOUS_ATREAL: f real_continuous atreal x <=> Cx o f o Re continuous at (Cx x) within real
% Assm: TRUTH: T
% Goal: !f f' x. (f has_real_derivative f') (atreal x) ==> f real_continuous atreal x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f f' x s. (f has_complex_derivative f') (at x within s) ==> f continuous at x within s
% Assm: !f f' a. (f has_real_derivative f') (atreal a) <=> (Cx o f o Re has_complex_derivative Cx f') (at (Cx a) within real)
% Assm: !f x. f real_continuous atreal x <=> Cx o f o Re continuous at (Cx x) within real
% Assm: T
% Goal: !f f' x. (f has_real_derivative f') (atreal x) ==> f real_continuous atreal x
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tnetcartrealn2, type, netcartrealn2 : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cat, type, at : (cartrealn2 > netcartrealn2)).
thf(cre, type, re : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccontinuous, type, continuous : ((cartrealn2 > cartrealn2) > netcartrealn2 > $o)).
thf(crealuu_continuous, type, realu_continuous : ((real > real) > netreal > $o)).
thf(co0, type, o0 : ((real > real) > (cartrealn2 > real) > cartrealn2 > real)).
thf(co, type, o : ((real > cartrealn2) > (cartrealn2 > real) > cartrealn2 > cartrealn2)).
thf(cwithin, type, within : (netcartrealn2 > (cartrealn2 > $o) > netcartrealn2)).
thf(chasuu_complexuu_derivative, type, hasu_complexu_derivative : ((cartrealn2 > cartrealn2) > cartrealn2 > netcartrealn2 > $o)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(creal0, type, real0 : (cartrealn2 > $o)).
thf(catreal, type, atreal : (real > netreal)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHASu_COMPLEXu_DERIVATIVEu_IMPu_CONTINUOUSu_WITHIN, axiom, ![F:(cartrealn2 > cartrealn2),FI_:cartrealn2,X:cartrealn2,S:(cartrealn2 > $o)]:((hasu_complexu_derivative @ F @ FI_ @ (within @ (at @ X) @ S)) => (continuous @ F @ (within @ (at @ X) @ S)))).
thf(aHASu_REALu_COMPLEXu_DERIVATIVEu_AT, axiom, ![F:(real > real),FI_:real,A:real]:((hasu_realu_derivative @ F @ FI_ @ (atreal @ A)) <=> (hasu_complexu_derivative @ (o @ cx @ (o0 @ F @ re)) @ (cx @ FI_) @ (within @ (at @ (cx @ A)) @ real0)))).
thf(aREALu_COMPLEXu_CONTINUOUSu_ATREAL, axiom, ![F:(real > real),X:real]:((realu_continuous @ F @ (atreal @ X)) <=> (continuous @ (o @ cx @ (o0 @ F @ re)) @ (within @ (at @ (cx @ X)) @ real0)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(real > real),FI_:real,X:real]:((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) => (realu_continuous @ F @ (atreal @ X)))).
