%   ORIGINAL: HAS_REAL_DERIVATIVE_SERIES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FINITE_INTER_NUMSEG: !s m n. FINITE (s INTER (m..n))
% Assm: HAS_REAL_DERIVATIVE_SEQUENCE: !s f f' g'. is_realinterval s /\ (!n x. x IN s ==> (f n has_real_derivative f' n x) (atreal x within s)) /\ (!e. &0 < e ==> (?N. !n x. n >= N /\ x IN s ==> abs (f' n x - g' x) <= e)) /\ (?x l. x IN s /\ ((\n. f n x) ---> l) sequentially) ==> (?g. !x. x IN s ==> ((\n. f n x) ---> g x) sequentially /\ (g has_real_derivative g' x) (atreal x within s))
% Assm: HAS_REAL_DERIVATIVE_SUM: !f net s. FINITE s /\ (!a. a IN s ==> (f a has_real_derivative f' a) net) ==> ((\x. sum s (\a. f a x)) has_real_derivative sum s f') net
% Assm: TRUTH: T
% Assm: real_sums: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !s f f' g' k. is_realinterval s /\ (!n x. x IN s ==> (f n has_real_derivative f' n x) (atreal x within s)) /\ (!e. &0 < e ==> (?N. !n x. n >= N /\ x IN s ==> abs (sum (k INTER (0..n)) (\i. f' i x) - g' x) <= e)) /\ (?x l. x IN s /\ ((\n. f n x) real_sums l) k) ==> (?g. !x. x IN s ==> ((\n. f n x) real_sums g x) k /\ (g has_real_derivative g' x) (atreal x within s))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s m n. FINITE (s INTER (m..n))
% Assm: !s f f' g'. is_realinterval s /\ (!n x. x IN s ==> (f n has_real_derivative f' n x) (atreal x within s)) /\ (!e. &0 < e ==> (?N. !n x. n >= N /\ x IN s ==> abs (f' n x - g' x) <= e)) /\ (?x l. x IN s /\ ((\n. f n x) ---> l) sequentially) ==> (?g. !x. x IN s ==> ((\n. f n x) ---> g x) sequentially /\ (g has_real_derivative g' x) (atreal x within s))
% Assm: !f' f net s. FINITE s /\ (!a. a IN s ==> (f a has_real_derivative f' a) net) ==> ((\x. sum s (\a. f a x)) has_real_derivative sum s f') net
% Assm: T
% Assm: !s f l. (f real_sums l) s <=> ((\n. sum (s INTER (0..n)) f) ---> l) sequentially
% Goal: !s f f' g' k. is_realinterval s /\ (!n x. x IN s ==> (f n has_real_derivative f' n x) (atreal x within s)) /\ (!e. &0 < e ==> (?N. !n x. n >= N /\ x IN s ==> abs (sum (k INTER (0..n)) (\i. f' i x) - g' x) <= e)) /\ (?x l. x IN s /\ ((\n. f n x) real_sums l) k) ==> (?g. !x. x IN s ==> ((\n. f n x) real_sums g x) k /\ (g has_real_derivative g' x) (atreal x within s))
%  TYPES
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csum0, type, sum0 : ((real > $o) > (real > real) > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((num > real) > real > netnum > $o)).
thf(crealuu_sums, type, realu_sums : ((num > real) > real > (num > $o) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cinter, type, inter : ((num > $o) > (num > $o) > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(cfinite0, type, finite0 : ((real > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(cisuu_realinterval, type, isu_realinterval : ((real > $o) > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(csequentially, type, sequentially : netnum).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFINITEu_INTERu_NUMSEG, axiom, ![S:(num > $o),M:num,N:num]:(finite @ (inter @ S @ (o_o_ @ M @ N)))).
thf(aHASu_REALu_DERIVATIVEu_SEQUENCE, axiom, ![S:(real > $o),F:(num > real > real),FI_:(num > real > real),GI_:(real > real)]:(((isu_realinterval @ S) & ![N:num,X:real]:((in @ X @ S) => (hasu_realu_derivative @ (F @ N) @ (FI_ @ N @ X) @ (within @ (atreal @ X) @ S))) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num,X:real]:(((g_a_ @ N0 @ N) & (in @ X @ S)) => (realu_le @ (realu_abs @ (realu_sub @ (FI_ @ N0 @ X) @ (GI_ @ X))) @ E))) & ?[X:real,L:real]:((in @ X @ S) & (m_m_m_g_ @ ^[N:num]:(F @ N @ X) @ L @ sequentially))) => ?[G:(real > real)]:![X:real]:((in @ X @ S) => ((m_m_m_g_ @ ^[N:num]:(F @ N @ X) @ (G @ X) @ sequentially) & (hasu_realu_derivative @ G @ (GI_ @ X) @ (within @ (atreal @ X) @ S)))))).
thf(aHASu_REALu_DERIVATIVEu_SUM, axiom, ![FI_:(real > real),F:(real > real > real),NET:netreal,S:(real > $o)]:(((finite0 @ S) & ![A:real]:((in @ A @ S) => (hasu_realu_derivative @ (F @ A) @ (FI_ @ A) @ NET))) => (hasu_realu_derivative @ ^[X:real]:(sum0 @ S @ ^[A:real]:(F @ A @ X)) @ (sum0 @ S @ FI_) @ NET))).
thf(aTRUTH, axiom, $true).
thf(arealu_sums, axiom, ![S:(num > $o),F:(num > real),L:real]:((realu_sums @ F @ L @ S) <=> (m_m_m_g_ @ ^[N:num]:(sum @ (inter @ S @ (o_o_ @ (numeral @ u_0) @ N)) @ F) @ L @ sequentially))).
thf(conjecture, conjecture, ![S:(real > $o),F:(num > real > real),FI_:(num > real > real),GI_:(real > real),K:(num > $o)]:(((isu_realinterval @ S) & ![N:num,X:real]:((in @ X @ S) => (hasu_realu_derivative @ (F @ N) @ (FI_ @ N @ X) @ (within @ (atreal @ X) @ S))) & ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[N:num]:![N0:num,X:real]:(((g_a_ @ N0 @ N) & (in @ X @ S)) => (realu_le @ (realu_abs @ (realu_sub @ (sum @ (inter @ K @ (o_o_ @ (numeral @ u_0) @ N0)) @ ^[I:num]:(FI_ @ I @ X)) @ (GI_ @ X))) @ E))) & ?[X:real,L:real]:((in @ X @ S) & (realu_sums @ ^[N:num]:(F @ N @ X) @ L @ K))) => ?[G:(real > real)]:![X:real]:((in @ X @ S) => ((realu_sums @ ^[N:num]:(F @ N @ X) @ (G @ X) @ K) & (hasu_realu_derivative @ G @ (GI_ @ X) @ (within @ (atreal @ X) @ S)))))).
