%   ORIGINAL: DROPOUT_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ID: !b t. (if b then t else t) = t
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VEC_COMPONENT: !k i. vec k$i = &k
% Assm: dropout: !k x. dropout k x = (lambda i. if i < k then x$i else x$(i + 1))
% Goal: dropout k (vec 0) = vec 0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:?662729) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !b t. (if b then t else t) = t
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: ~F <=> T
% Assm: T
% Assm: !k i. vec k$i = &k
% Assm: !k i. vec k$i = &k
% Assm: !k x. dropout k x = (lambda i. if i < k then x$i else x$(i + 1))
% Goal: !k. dropout k (vec 0) = vec 0
%  TYPES
thf(tcartrealq662729, type, cartrealq662729 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq662729, type, q662729 : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealq662729b, type, cartcartrealq662729b : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv0, type, univ0 : (b > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cdu_1, type, d_1 : (cartrealn > num > real)).
thf(cdu_, type, d_ : (cartrealq662729 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clambda0, type, lambda0 : ((num > cartrealq662729) > cartcartrealq662729b)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealq662729)).
thf(cvec0, type, vec0 : (num > cartrealq662729)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdu_0, type, d_0 : (cartcartrealq662729b > num > cartrealq662729)).
thf(ccond, type, cond : ($o > cartrealq662729 > cartrealq662729 > cartrealq662729)).
thf(cdropout, type, dropout : (num > cartrealn > cartrealq662729)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((q662729 > $o) > num)).
thf(cuniv, type, univ : (q662729 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq662729),G:(a > cartrealq662729)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealq662729,Y:cartrealq662729]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealq662729,T2:cartrealq662729]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ID, axiom, ![B:$o,T:cartrealq662729]:((cond @ B @ T @ T) = T)).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealq662729),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECu_COMPONENTu_monomorphized1, axiom, ![K:num,I:num]:((d_1 @ (vec @ K) @ I) = (realu_ofu_num @ K))).
thf(aVECu_COMPONENTu_monomorphized0, axiom, ![K:num,I:num]:((d_ @ (vec0 @ K) @ I) = (realu_ofu_num @ K))).
thf(adropout, axiom, ![K:num,X:cartrealn]:((dropout @ K @ X) = (lambda1 @ ^[I:num]:(cond0 @ (l_ @ I @ K) @ (d_1 @ X @ I) @ (d_1 @ X @ (p_ @ I @ (numeral @ (bit1 @ u_0)))))))).
thf(conjecture, conjecture, ![K:num]:((dropout @ K @ (vec @ (numeral @ u_0))) = (vec0 @ (numeral @ u_0)))).
