%   ORIGINAL: REAL_MEASURABLE_ON_PREIMAGE_OPEN_HALFSPACE_GE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_1: (!i. 1 <= i /\ i <= 1 ==> P i) <=> P 1
% Assm: IMAGE_LIFT_UNIV: IMAGE lift (:real) = (:real^1)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: LIFT_DROP_conjunct0: !x. lift (drop x) = x
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: MEASURABLE_ON_PREIMAGE_OPEN_HALFSPACE_COMPONENT_GE: !f. measurable_on f (:real^M) <=> (!a k. 1 <= k /\ k <= dimindex (:N) ==> lebesgue_measurable {x | f x$k >= a})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LEBESGUE_MEASURABLE: !s. real_lebesgue_measurable s <=> lebesgue_measurable (IMAGE lift s)
% Assm: SURJECTIVE_IMAGE_EQ: !s t. (!y. y IN t ==> (?x. f x = y)) /\ (!x. f x IN t <=> x IN s) ==> IMAGE f s = t
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Assm: real_measurable_on: !f s. real_measurable_on f s <=> measurable_on (lift o f o drop) (IMAGE lift s)
% Goal: !f. real_measurable_on f (:real) <=> (!a. real_lebesgue_measurable {x | f x >= a})
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: dimindex (:1) = 1
% Assm: !t. (\x. t x) = t
% Assm: !P. (!i. 1 <= i /\ i <= 1 ==> P i) <=> P 1
% Assm: IMAGE lift (:real) = (:real^1)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. lift (drop x) = x
% Assm: !x. drop (lift x) = x
% Assm: !f. measurable_on f (:real^M) <=> (!a k. 1 <= k /\ k <= dimindex (:real) ==> lebesgue_measurable {x | f x$k >= a})
% Assm: ~F <=> T
% Assm: !s. real_lebesgue_measurable s <=> lebesgue_measurable (IMAGE lift s)
% Assm: !f s t. (!y. y IN t ==> (?x. f x <=> y)) /\ (!x. f x IN t <=> x IN s) ==> IMAGE f s = t
% Assm: T
% Assm: !x. drop x = x$1
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !f s. real_measurable_on f s <=> measurable_on (lift o f o drop) (IMAGE lift s)
% Goal: !f. real_measurable_on f (:real) <=> (!a. real_lebesgue_measurable {x | f x >= a})
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tc, type, c : $tType).
thf(tcartrealreal, type, cartrealreal : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tq47949, type, q47949 : $tType).
thf(tm, type, m : $tType).
%  CONSTS
thf(cmeasurableuu_on0, type, measurableu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cdu_0, type, d_0 : (cartrealn1 > num > real)).
thf(cin1, type, in1 : (q47949 > (q47949 > $o) > $o)).
thf(cin0, type, in0 : ($o > ($o > $o) > $o)).
thf(cdu_, type, d_ : (cartrealreal > num > real)).
thf(cgspec0, type, gspec0 : ((cartrealm > $o) > cartrealm > $o)).
thf(cmeasurableuu_on, type, measurableu_on : ((cartrealm > cartrealreal) > (cartrealm > $o) > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(crealuu_measurableuu_on, type, realu_measurableu_on : ((real > real) > (real > $o) > $o)).
thf(co1, type, o1 : ((real > real) > (cartrealn1 > real) > cartrealn1 > real)).
thf(co0, type, o0 : ((real > cartrealn1) > (cartrealn1 > real) > cartrealn1 > cartrealn1)).
thf(co, type, o : ((b > c) > (a > b) > a > c)).
thf(cimage0, type, image0 : ((q47949 > $o) > (q47949 > $o) > $o > $o)).
thf(csetspec0, type, setspec0 : (cartrealm > $o > cartrealm > $o)).
thf(cimage, type, image : ((real > cartrealn1) > (real > $o) > cartrealn1 > $o)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(cuniv0, type, univ0 : (n1 > $o)).
thf(clebesgueuu_measurable0, type, lebesgueu_measurable0 : ((cartrealn1 > $o) > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealm > $o) > $o)).
thf(cuniv2, type, univ2 : (cartrealm > $o)).
thf(cuniv1, type, univ1 : (cartrealn1 > $o)).
thf(crealuu_lebesgueuu_measurable, type, realu_lebesgueu_measurable : ((real > $o) > $o)).
thf(cdimindex0, type, dimindex0 : ((real > $o) > num)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cuniv, type, univ : (real > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ0) = (numeral @ (bit1 @ u_0)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFORALLu_1, axiom, ![P:(num > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (numeral @ (bit1 @ u_0)))) => (P @ I)) <=> (P @ (numeral @ (bit1 @ u_0))))).
thf(aIMAGEu_LIFTu_UNIV, axiom, ((image @ lift @ univ) = univ1)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(real > $o),X:real]:((in @ X @ (gspec @ ^[V:real]:?[Y:real]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aLIFTu_DROPu_conjunct0, axiom, ![X:cartrealn1]:((lift @ (drop @ X)) = X)).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aMEASURABLEu_ONu_PREIMAGEu_OPENu_HALFSPACEu_COMPONENTu_GE, axiom, ![F:(cartrealm > cartrealreal)]:((measurableu_on @ F @ univ2) <=> ![A:real,K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (dimindex0 @ univ))) => (lebesgueu_measurable @ (gspec0 @ ^[GENR_PVARR_2195:cartrealm]:?[X:cartrealm]:(setspec0 @ GENR_PVARR_2195 @ (realu_ge @ (d_ @ (F @ X) @ K) @ A) @ X)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEBESGUEu_MEASURABLE, axiom, ![S:(real > $o)]:((realu_lebesgueu_measurable @ S) <=> (lebesgueu_measurable0 @ (image @ lift @ S)))).
thf(aSURJECTIVEu_IMAGEu_EQ, axiom, ![F:(q47949 > $o),S:(q47949 > $o),T:($o > $o)]:((![Y:$o]:((in0 @ Y @ T) => ?[X:q47949]:((F @ X) <=> Y)) & ![X:q47949]:((in0 @ (F @ X) @ T) <=> (in1 @ X @ S))) => ((image0 @ F @ S) = T))).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_0 @ X @ (numeral @ (bit1 @ u_0))))).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(arealu_measurableu_on, axiom, ![F:(real > real),S:(real > $o)]:((realu_measurableu_on @ F @ S) <=> (measurableu_on0 @ (o0 @ lift @ (o1 @ F @ drop)) @ (image @ lift @ S)))).
thf(conjecture, conjecture, ![F:(real > real)]:((realu_measurableu_on @ F @ univ) <=> ![A:real]:(realu_lebesgueu_measurable @ (gspec @ ^[GENR_PVARR_2498:real]:?[X:real]:(setspec @ GENR_PVARR_2498 @ (realu_ge @ (F @ X) @ A) @ X))))).
