%   ORIGINAL: LEBESGUE_DENSITY_THEOREM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ABSOLUTELY_INTEGRABLE_IMP_INTEGRABLE: !f s. f absolutely_integrable_on s ==> f integrable_on s
% Assm: ABSOLUTELY_INTEGRABLE_INTEGRABLE_BOUND: !f g s. (!x. x IN s ==> norm (f x) <= drop (g x)) /\ f integrable_on s /\ g integrable_on s ==> f absolutely_integrable_on s
% Assm: ABSOLUTELY_INTEGRABLE_LEBESGUE_POINTS: !f. (!a b. f absolutely_integrable_on interval [a,b]) ==> (?k. negligible k /\ (!x e. ~(x IN k) /\ &0 < e ==> (?d. &0 < d /\ (!h. &0 < h /\ h < d ==> norm (inv (content (interval [x - h % vec 1,x + h % vec 1])) % integral (interval [x - h % vec 1,x + h % vec 1]) (\t. lift (norm (f t - f x)))) < e))))
% Assm: ABSOLUTELY_INTEGRABLE_NORM: !f s. f absolutely_integrable_on s ==> (\x. lift (norm (f x))) absolutely_integrable_on s
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: ARITH_ADD_conjunct1: _0 + _0 = _0
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct1: _0 <= _0 <=> T
% Assm: ARITH_LE_conjunct5: !n. _0 <= BIT1 n <=> T
% Assm: ARITH_LE_conjunct9: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_NUMSEG_1: !n. CARD (1..n) = n
% Assm: COMPONENT_LE_NORM: !x i. 1 <= i /\ i <= dimindex (:N) ==> abs (x$i) <= norm x
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: COND_RAND: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: COND_RATOR: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: CONTENT_CLOSED_INTERVAL_CASES: !a b. content (interval [a,b]) = (if !i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i then product (1..dimindex (:N)) (\i. b$i - a$i) else &0)
% Assm: CONTENT_EQ_0: !a b. content (interval [a,b]) = &0 <=> (?i. 1 <= i /\ i <= dimindex (:N) /\ b$i <= a$i)
% Assm: CONTENT_POS_LE: !a b. &0 <= content (interval [a,b])
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: DIMINDEX_GE_1: !s. 1 <= dimindex s
% Assm: DIMINDEX_NONZERO: !s. ~(dimindex s = 0)
% Assm: DROP_CMUL: !x c. drop (c % x) = c * drop x
% Assm: DROP_SUB: !x y. drop (x - y) = drop x - drop y
% Assm: DROP_VEC: !n. drop (vec n) = &n
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: Float.ABS_MUL: !x y. abs (x * y) = abs x * abs y
% Assm: INTEGRABLE_ON_CONST: !c. (\x. c) integrable_on s <=> c = vec 0 \/ measurable s
% Assm: INTEGRABLE_RESTRICT_INTER: !f s t. (\x. if x IN s then f x else vec 0) integrable_on t <=> f integrable_on s INTER t
% Assm: INTEGRABLE_RESTRICT_UNIV: !f s. (\x. if x IN s then f x else vec 0) integrable_on (:real^M) <=> f integrable_on s
% Assm: INTEGRABLE_SUB: !f g s. f integrable_on s /\ g integrable_on s ==> (\x. f x - g x) integrable_on s
% Assm: INTEGRAL_CMUL: !f c s. f integrable_on s ==> integral s (\x. c % f x) = c % integral s f
% Assm: INTEGRAL_NORM_BOUND_INTEGRAL: !f g s. f integrable_on s /\ g integrable_on s /\ (!x. x IN s ==> norm (f x) <= drop (g x)) ==> norm (integral s f) <= drop (integral s g)
% Assm: INTEGRAL_RESTRICT_INTER: !f s t. integral t (\x. if x IN s then f x else vec 0) = integral (s INTER t) f
% Assm: INTEGRAL_SUB: !f g k l s. f integrable_on s /\ g integrable_on s ==> integral s (\x. f x - g x) = integral s f - integral s g
% Assm: INTEGRAL_SUBSET_DROP_LE: !f s t. s SUBSET t /\ f integrable_on s /\ f integrable_on t /\ (!x. x IN t ==> &0 <= drop (f x)) ==> drop (integral s f) <= drop (integral t f)
% Assm: IN_CBALL: !x y e. y IN cball (x,e) <=> dist (x,y) <= e
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTERVAL_conjunct1: !x. x IN interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i)
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: LE_0: !n. 0 <= n
% Assm: LE_1_conjunct4: !n. 1 <= n ==> 0 < n
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: LIFT_DROP_conjunct1: !x. drop (lift x) = x
% Assm: MEASURABLE: !s. measurable s <=> (\x. vec 1) integrable_on s
% Assm: MEASURABLE_CBALL: !a r. measurable (cball (a,r))
% Assm: MEASURABLE_INTEGRABLE: measurable s <=> (\x. if x IN s then vec 1 else vec 0) integrable_on (:real^?518250)
% Assm: MEASURABLE_INTERVAL_conjunct0: !a b. measurable (interval [a,b])
% Assm: MEASURABLE_LEGESGUE_MEASURABLE_INTER_MEASURABLE: !s t. lebesgue_measurable s /\ measurable t ==> measurable (s INTER t)
% Assm: MEASURE_CBALL_POS: !x e. &0 < e ==> &0 < measure (cball (x,e))
% Assm: MEASURE_INTEGRAL: !s. measurable s ==> measure s = drop (integral s (\x. vec 1))
% Assm: MEASURE_INTERVAL_conjunct0: !a b. measure (interval [a,b]) = content (interval [a,b])
% Assm: MEASURE_POS_LE: !s. measurable s ==> &0 <= measure s
% Assm: MEASURE_SUBSET: !s t. measurable s /\ measurable t /\ s SUBSET t ==> measure s <= measure t
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NONNEGATIVE_ABSOLUTELY_INTEGRABLE: !f s. (!x i. x IN s /\ 1 <= i /\ i <= dimindex (:N) ==> &0 <= f x$i) /\ f integrable_on s ==> f absolutely_integrable_on s
% Assm: NORM_LE_L1: !x. norm x <= sum (1..dimindex (:N)) (\i. abs (x$i))
% Assm: NORM_MUL: !a x. norm (a % x) = abs a * norm x
% Assm: NORM_REAL: !x. norm x = abs (x$1)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: NUMSEG_EMPTY: !m n. m..n = {} <=> n < m
% Assm: ONE: 1 = SUC 0
% Assm: PRODUCT_CONST_NUMSEG_1: !c n. product (1..n) (\x. c) = c pow n
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REALLIM_WITHINREAL: !f l a s. (f ---> l) (atreal a within s) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. x IN s /\ &0 < abs (x - a) /\ abs (x - a) < d ==> abs (f x - l) < e)))
% Assm: REAL_ABS_DIV: !x y. abs (x / y) = abs x / abs y
% Assm: REAL_ABS_INV: !x. abs (inv x) = inv (abs x)
% Assm: REAL_ABS_NEG: !x. abs (--x) = abs x
% Assm: REAL_ABS_NUM: !n. abs (&n) = &n
% Assm: REAL_ABS_NZ: !x. ~(x = &0) <=> &0 < abs x
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_DIV_RMUL: !x y. ~(y = &0) ==> x / y * y = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_EQ_ADD_LCANCEL: !x y z. x + y = x + z <=> y = z
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LET_TRANS: !x y z. x <= y /\ y < z ==> x < z
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_DIV: !x y. &0 <= x /\ &0 <= y ==> &0 <= x / y
% Assm: REAL_LE_INV2: !x y. &0 < x /\ x <= y ==> inv y <= inv x
% Assm: REAL_LE_LDIV_EQ: !x y z. &0 < z ==> (x / z <= y <=> x <= y * z)
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RMUL: !x y z. x <= y /\ &0 <= z ==> x * z <= y * z
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_DIV: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_LT_RDIV_EQ: !x y z. &0 < z ==> (x < y / z <=> x * z < y)
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: REAL_MUL_RINV: !x. ~(x = &0) ==> x * inv x = &1
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_POS: !n. &0 <= &n
% Assm: REAL_POW_DIV: !x y n. (x / y) pow n = x pow n / y pow n
% Assm: REAL_POW_EQ_0: !x n. x pow n = &0 <=> x = &0 /\ ~(n = 0)
% Assm: REAL_POW_LT: !x n. &0 < x ==> &0 < x pow n
% Assm: REAL_POW_MUL: !x y n. (x * y) pow n = x pow n * y pow n
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: REAL_SUB_RZERO: !x. x - &0 = x
% Assm: Real_ext.ABS_POS: !x. &0 <= abs x
% Assm: Real_ext.REAL_PROP_LE_LRMUL: !w x y z. &0 <= w /\ w <= x /\ &0 <= y /\ y <= z ==> w * y <= x * z
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: Real_ext.REAL_PROP_NN_POW: !x n. &0 <= x ==> &0 <= x pow n
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_ABS_0: abs (&0) = &0
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUM_BOUND_GEN: !s f b. FINITE s /\ ~(s = {}) /\ (!x. x IN s ==> f x <= b / &(CARD s)) ==> sum s f <= b
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: Trigonometry2.ABS_1: abs (&1) = &1
% Assm: VECTOR_ADD_COMPONENT: !x y i. (x + y)$i = x$i + y$i
% Assm: VECTOR_MUL_COMPONENT: !c x i. (c % x)$i = c * x$i
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: VECTOR_MUL_LZERO: !x. &0 % x = vec 0
% Assm: VECTOR_SUB_COMPONENT: !x y i. (x - y)$i = x$i - y$i
% Assm: VEC_COMPONENT: !k i. vec k$i = &k
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: drop: !x. drop x = x$1
% Assm: indicator: !s. indicator s = (\x. if x IN s then vec 1 else vec 0)
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: real_max: !n m. max m n = (if m <= n then n else m)
% Assm: real_min: !m n. min m n = (if m <= n then m else n)
% Assm: real_sub: !x y. x - y = x + --y
% Goal: !s. lebesgue_measurable s ==> (?k. negligible k /\ (!x. ~(x IN k) ==> ((\e. measure (s INTER cball (x,e)) / measure (cball (x,e))) ---> (if x IN s then &1 else &0)) (atreal (&0) within {e | &0 < e})))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f s. f absolutely_integrable_on s ==> f integrable_on s
% Assm: !f g s. (!x. x IN s ==> norm (f x) <= drop (g x)) /\ f integrable_on s /\ g integrable_on s ==> f absolutely_integrable_on s
% Assm: !f. (!a b. f absolutely_integrable_on interval [a,b]) ==> (?k. negligible k /\ (!x e. ~(x IN k) /\ &0 < e ==> (?d. &0 < d /\ (!h. &0 < h /\ h < d ==> norm (inv (content (interval [x - h % vec 1,x + h % vec 1])) % integral (interval [x - h % vec 1,x + h % vec 1]) (\t. lift (norm (f t - f x)))) < e))))
% Assm: !f s. f absolutely_integrable_on s ==> (\x. lift (norm (f x))) absolutely_integrable_on s
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: _0 + _0 = _0
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: _0 <= _0 <=> T
% Assm: !n. _0 <= BIT1 n <=> T
% Assm: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !n. CARD (1..n) = n
% Assm: !x i. 1 <= i /\ i <= dimindex (:N) ==> abs (x$i) <= norm x
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !b f x y. f (if b then x else y) = (if b then f x else f y)
% Assm: !b f g x. (if b then f else g) x = (if b then f x else g x)
% Assm: !a b. content (interval [a,b]) = (if !i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= b$i then product (1..dimindex (:N)) (\i. b$i - a$i) else &0)
% Assm: !a b. content (interval [a,b]) = &0 <=> (?i. 1 <= i /\ i <= dimindex (:N) /\ b$i <= a$i)
% Assm: !a b. &0 <= content (interval [a,b])
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !s. 1 <= dimindex s
% Assm: !s. ~(dimindex s = 0)
% Assm: !x c. drop (c % x) = c * drop x
% Assm: !x y. drop (x - y) = drop x - drop y
% Assm: !n. drop (vec n) = &n
% Assm: !t. (\x. t x) = t
% Assm: !m n. FINITE (m..n)
% Assm: !x y. abs (x * y) = abs x * abs y
% Assm: !s c. (\x. c) integrable_on s <=> c = vec 0 \/ measurable s
% Assm: !f s t. (\x. if x IN s then f x else vec 0) integrable_on t <=> f integrable_on s INTER t
% Assm: !f s. (\x. if x IN s then f x else vec 0) integrable_on (:real^N) <=> f integrable_on s
% Assm: !f g s. f integrable_on s /\ g integrable_on s ==> (\x. f x - g x) integrable_on s
% Assm: !f c s. f integrable_on s ==> integral s (\x. c % f x) = c % integral s f
% Assm: !f g s. f integrable_on s /\ g integrable_on s /\ (!x. x IN s ==> norm (f x) <= drop (g x)) ==> norm (integral s f) <= drop (integral s g)
% Assm: !f s t. integral t (\x. if x IN s then f x else vec 0) = integral (s INTER t) f
% Assm: !f g k l s. f integrable_on s /\ g integrable_on s ==> integral s (\x. f x - g x) = integral s f - integral s g
% Assm: !f s t. s SUBSET t /\ f integrable_on s /\ f integrable_on t /\ (!x. x IN t ==> &0 <= drop (f x)) ==> drop (integral s f) <= drop (integral t f)
% Assm: !x y e. y IN cball (x,e) <=> dist (x,y) <= e
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !a b x. x IN interval [a,b] <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> a$i <= x$i /\ x$i <= b$i)
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !n. 0 <= n
% Assm: !n. 1 <= n ==> 0 < n
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !x. drop (lift x) = x
% Assm: !s. measurable s <=> (\x. vec 1) integrable_on s
% Assm: !a r. measurable (cball (a,r))
% Assm: !s. measurable s <=> (\x. if x IN s then vec 1 else vec 0) integrable_on (:real^N)
% Assm: !a b. measurable (interval [a,b])
% Assm: !s t. lebesgue_measurable s /\ measurable t ==> measurable (s INTER t)
% Assm: !x e. &0 < e ==> &0 < measure (cball (x,e))
% Assm: !s. measurable s ==> measure s = drop (integral s (\x. vec 1))
% Assm: !a b. measure (interval [a,b]) = content (interval [a,b])
% Assm: !s. measurable s ==> &0 <= measure s
% Assm: !s t. measurable s /\ measurable t /\ s SUBSET t ==> measure s <= measure t
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: !f s. (!x i. x IN s /\ 1 <= i /\ i <= dimindex (:N) ==> &0 <= f x$i) /\ f integrable_on s ==> f absolutely_integrable_on s
% Assm: !x. norm x <= sum (1..dimindex (:N)) (\i. abs (x$i))
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: !x. norm x = abs (x$1)
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: !n. NUMERAL n = n
% Assm: !m n. m..n = {} <=> n < m
% Assm: 1 = SUC 0
% Assm: !c n. product (1..n) (\x. c) = c pow n
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !f l a s. (f ---> l) (atreal a within s) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. x IN s /\ &0 < abs (x - a) /\ abs (x - a) < d ==> abs (f x - l) < e)))
% Assm: !x y. abs (x / y) = abs x / abs y
% Assm: !x. abs (inv x) = inv (abs x)
% Assm: !x. abs (--x) = abs x
% Assm: !n. abs (&n) = &n
% Assm: !x. ~(x = &0) <=> &0 < abs x
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. ~(y = &0) ==> x / y * y = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y z. x + y = x + z <=> y = z
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y z. x <= y /\ y < z ==> x < z
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x / y
% Assm: !x y. &0 < x /\ x <= y ==> inv y <= inv x
% Assm: !x y z. &0 < z ==> (x / z <= y <=> x <= y * z)
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y z. x <= y /\ &0 <= z ==> x * z <= y * z
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: &0 < &1
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x / y
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !x y z. &0 < z ==> (x < y / z <=> x * z < y)
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x. x * &1 = x
% Assm: !x. ~(x = &0) ==> x * inv x = &1
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m = &n <=> m = n
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m < &n <=> m < n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !n. &0 <= &n
% Assm: !x y n. (x / y) pow n = x pow n / y pow n
% Assm: !x n. x pow n = &0 <=> x = &0 /\ ~(n = 0)
% Assm: !x n. &0 < x ==> &0 < x pow n
% Assm: !x y n. (x * y) pow n = x pow n * y pow n
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x. x - &0 = x
% Assm: !x. &0 <= abs x
% Assm: !w x y z. &0 <= w /\ w <= x /\ &0 <= y /\ y <= z ==> w * y <= x * z
% Assm: !x y. x < y ==> x <= y
% Assm: !x n. &0 <= x ==> &0 <= x pow n
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: abs (&0) = &0
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s f b. FINITE s /\ ~(s = {}) /\ (!x. x IN s ==> f x <= b / &(CARD s)) ==> sum s f <= b
% Assm: T
% Assm: 2 = SUC 1
% Assm: abs (&1) = &1
% Assm: !x y i. (x + y)$i = x$i + y$i
% Assm: !c x i. (c % x)$i = c * x$i
% Assm: !x. &1 % x = x
% Assm: !x. &0 % x = vec 0
% Assm: !x y i. (x - y)$i = x$i - y$i
% Assm: !k i. vec k$i = &k
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !x. drop x = x$1
% Assm: !s. indicator s = (\x. if x IN s then vec 1 else vec 0)
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !n m. max m n = (if m <= n then n else m)
% Assm: !m n. min m n = (if m <= n then m else n)
% Assm: !x y. x - y = x + --y
% Goal: !s. lebesgue_measurable s ==> (?k. negligible k /\ (!x. ~(x IN k) ==> ((\e. measure (s INTER cball (x,e)) / measure (cball (x,e))) ---> (if x IN s then &1 else &0)) (atreal (&0) within {e | &0 < e})))
%  TYPES
thf(tcartrealq98293, type, cartrealq98293 : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tcartrealq483921, type, cartrealq483921 : $tType).
thf(tprodcartrealq98293cartrealq98293, type, prodcartrealq98293cartrealq98293 : $tType).
thf(tcartrealq518237, type, cartrealq518237 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tq98293, type, q98293 : $tType).
thf(tcartrealq99791, type, cartrealq99791 : $tType).
thf(tq480015, type, q480015 : $tType).
thf(tq483920, type, q483920 : $tType).
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(tq99791, type, q99791 : $tType).
thf(tq483921, type, q483921 : $tType).
thf(ta, type, a : $tType).
thf(tq97340, type, q97340 : $tType).
thf(tq438671, type, q438671 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq463508, type, cartrealq463508 : $tType).
thf(tq463508, type, q463508 : $tType).
thf(tprodcartrealnreal, type, prodcartrealnreal : $tType).
thf(tq518237, type, q518237 : $tType).
thf(treal, type, real : $tType).
thf(tq438675, type, q438675 : $tType).
thf(tn1, type, n1 : $tType).
thf(tcartrealq483920, type, cartrealq483920 : $tType).
thf(tq97357, type, q97357 : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tcartrealq97357, type, cartrealq97357 : $tType).
thf(tcartrealq480010, type, cartrealq480010 : $tType).
thf(tcartrealq480015, type, cartrealq480015 : $tType).
thf(tcartrealq97340, type, cartrealq97340 : $tType).
thf(tm, type, m : $tType).
thf(tq480010, type, q480010 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cvectoruu_norm3, type, vectoru_norm3 : (cartrealq98293 > real)).
thf(cdistance0, type, distance0 : (prodcartrealq98293cartrealq98293 > real)).
thf(cvectoruu_norm2, type, vectoru_norm2 : (cartrealq99791 > real)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cvectoruu_norm1, type, vectoru_norm1 : (cartrealq480010 > real)).
thf(ccontent, type, content : ((cartrealn > $o) > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealn1 > real)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cmeasure, type, measure : ((cartrealn > $o) > real)).
thf(catreal, type, atreal : (real > netreal)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cempty, type, empty : (num > $o)).
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cvec, type, vec : (num > cartrealn)).
thf(cvec2, type, vec2 : (num > cartrealq97357)).
thf(cbit0, type, bit0 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(csum0, type, sum0 : ((cartrealn > $o) > (cartrealn > real) > real)).
thf(cin1, type, in1 : (real > (real > $o) > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cdu_0, type, d_0 : (cartrealn1 > num > real)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cintegrableuu_on4, type, integrableu_on4 : ((cartrealq518237 > cartrealn1) > (cartrealq518237 > $o) > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cintegrableuu_on3, type, integrableu_on3 : ((cartrealn > cartrealq463508) > (cartrealn > $o) > $o)).
thf(cintegrableuu_on2, type, integrableu_on2 : ((cartrealm > cartrealn) > (cartrealm > $o) > $o)).
thf(cvec0, type, vec0 : (num > cartrealn1)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cproduct, type, product : ((num > $o) > (num > real) > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cabsolutelyuu_integrableuu_on2, type, absolutelyu_integrableu_on2 : ((cartrealq480015 > cartrealn1) > (cartrealq480015 > $o) > $o)).
thf(cabsolutelyuu_integrableuu_on1, type, absolutelyu_integrableu_on1 : ((cartrealq480015 > cartrealq480010) > (cartrealq480015 > $o) > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccloseduu_interval, type, closedu_interval : (listprodcartrealncartrealn > cartrealn > $o)).
thf(cabsolutelyuu_integrableuu_on0, type, absolutelyu_integrableu_on0 : ((cartrealn > cartrealn) > (cartrealn > $o) > $o)).
thf(cintegrableuu_on1, type, integrableu_on1 : ((cartrealn > cartrealn1) > (cartrealn > $o) > $o)).
thf(cintegrableuu_on0, type, integrableu_on0 : ((cartrealn > cartrealn) > (cartrealn > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cintegrableuu_on, type, integrableu_on : ((cartrealq483921 > cartrealq483920) > (cartrealq483921 > $o) > $o)).
thf(cabsolutelyuu_integrableuu_on, type, absolutelyu_integrableu_on : ((cartrealq483921 > cartrealq483920) > (cartrealq483921 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec, type, gspec : ((real > $o) > real > $o)).
thf(ccball, type, cball : (prodcartrealnreal > cartrealn > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cvec1, type, vec1 : (num > cartrealq463508)).
thf(cindicator, type, indicator : ((cartrealn > $o) > cartrealn > cartrealn1)).
thf(cvectoruu_sub1, type, vectoru_sub1 : (cartrealq98293 > cartrealq98293 > cartrealq98293)).
thf(ccu_1, type, c_1 : (cartrealq98293 > cartrealq98293 > prodcartrealq98293cartrealq98293)).
thf(cuu_0, type, u_0 : num).
thf(cru_3, type, r_3 : (real > cartrealq97357 > cartrealq97357)).
thf(cru_2, type, r_2 : (real > cartrealq97340 > cartrealq97340)).
thf(cru_1, type, r_1 : (real > cartrealq99791 > cartrealq99791)).
thf(ccond3, type, cond3 : ($o > cartrealn1 > cartrealn1 > cartrealn1)).
thf(csetspec0, type, setspec0 : (cartrealn > $o > cartrealn > $o)).
thf(cintegral1, type, integral1 : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(cintegral0, type, integral0 : ((cartrealm > $o) > (cartrealm > cartrealn) > cartrealn)).
thf(ccond2, type, cond2 : ($o > cartrealq463508 > cartrealq463508 > cartrealq463508)).
thf(ccond1, type, cond1 : ($o > cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(ccond0, type, cond0 : ($o > (a > real) > (a > real) > a > real)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cintegral, type, integral : ((cartrealn > $o) > (cartrealn > cartrealn1) > cartrealn1)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cru_0, type, r_0 : (real > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cru_, type, r_ : (real > cartrealn1 > cartrealn1)).
thf(ccu_0, type, c_0 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(csetspec, type, setspec : (real > $o > real > $o)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(ccu_, type, c_ : (cartrealn > real > prodcartrealnreal)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((real > real) > real > netreal > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv, type, univ : (n > $o)).
thf(ccard0, type, card0 : ((cartrealn > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((a > $o) > num)).
thf(cdimindex, type, dimindex : ((n > $o) > num)).
thf(ccard, type, card : ((num > $o) > num)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(cfinite0, type, finite0 : ((cartrealn > $o) > $o)).
thf(cmeasurable1, type, measurable1 : ((cartrealn > $o) > $o)).
thf(cmeasurable0, type, measurable0 : ((cartrealq518237 > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn > $o)).
thf(cmeasurable, type, measurable : ((cartrealm > $o) > $o)).
thf(cfinite, type, finite : ((num > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn > $o) > $o)).
thf(clebesgueuu_measurable, type, lebesgueu_measurable : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aABSOLUTELYu_INTEGRABLEu_IMPu_INTEGRABLE, axiom, ![F:(cartrealq483921 > cartrealq483920),S:(cartrealq483921 > $o)]:((absolutelyu_integrableu_on @ F @ S) => (integrableu_on @ F @ S))).
thf(aABSOLUTELYu_INTEGRABLEu_INTEGRABLEu_BOUND, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn1),S:(cartrealn > $o)]:((![X:cartrealn]:((in @ X @ S) => (realu_le @ (vectoru_norm @ (F @ X)) @ (drop @ (G @ X)))) & (integrableu_on0 @ F @ S) & (integrableu_on1 @ G @ S)) => (absolutelyu_integrableu_on0 @ F @ S))).
thf(aABSOLUTELYu_INTEGRABLEu_LEBESGUEu_POINTS, axiom, ![F:(cartrealn > cartrealn)]:(![A:cartrealn,B:cartrealn]:(absolutelyu_integrableu_on0 @ F @ (closedu_interval @ (cons @ (c_0 @ A @ B) @ nil))) => ?[K:(cartrealn > $o)]:((negligible @ K) & ![X:cartrealn,E:real]:((~ ((in @ X @ K)) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E)) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![H:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ H) & (realu_lt @ H @ D)) => (realu_lt @ (vectoru_norm0 @ (r_ @ (realu_inv @ (content @ (closedu_interval @ (cons @ (c_0 @ (vectoru_sub @ X @ (r_0 @ H @ (vec @ (numeral @ (bit1 @ u_0))))) @ (vectoru_add @ X @ (r_0 @ H @ (vec @ (numeral @ (bit1 @ u_0)))))) @ nil)))) @ (integral @ (closedu_interval @ (cons @ (c_0 @ (vectoru_sub @ X @ (r_0 @ H @ (vec @ (numeral @ (bit1 @ u_0))))) @ (vectoru_add @ X @ (r_0 @ H @ (vec @ (numeral @ (bit1 @ u_0)))))) @ nil)) @ ^[T:cartrealn]:(lift @ (vectoru_norm @ (vectoru_sub @ (F @ T) @ (F @ X))))))) @ E))))))).
thf(aABSOLUTELYu_INTEGRABLEu_NORM, axiom, ![F:(cartrealq480015 > cartrealq480010),S:(cartrealq480015 > $o)]:((absolutelyu_integrableu_on1 @ F @ S) => (absolutelyu_integrableu_on2 @ ^[X:cartrealq480015]:(lift @ (vectoru_norm1 @ (F @ X))) @ S))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct1, axiom, ((p_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct1, axiom, ((l_a_ @ u_0 @ u_0) <=> $true)).
thf(aARITHu_LEu_conjunct5, axiom, ![N:num]:((l_a_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_LEu_conjunct9, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_NUMSEGu_1, axiom, ![N:num]:((card @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) = N)).
thf(aCOMPONENTu_LEu_NORM, axiom, ![X:cartrealn,I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (realu_abs @ (d_ @ X @ I)) @ (vectoru_norm @ X)))).
thf(aCONDu_CLAUSES, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:real,C:$o,P:(real > $o),Y:real]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCONDu_RAND, axiom, ![B:$o,F:(real > real),X:real,Y:real]:((F @ (cond @ B @ X @ Y)) = (cond @ B @ (F @ X) @ (F @ Y)))).
thf(aCONDu_RATOR, axiom, ![B:$o,F:(a > real),G:(a > real),X:a]:((cond0 @ B @ F @ G @ X) = (cond @ B @ (F @ X) @ (G @ X)))).
thf(aCONTENTu_CLOSEDu_INTERVALu_CASES, axiom, ![A:cartrealn,B:cartrealn]:((content @ (closedu_interval @ (cons @ (c_0 @ A @ B) @ nil))) = (cond @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (d_ @ A @ I) @ (d_ @ B @ I))) @ (product @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(realu_sub @ (d_ @ B @ I) @ (d_ @ A @ I))) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCONTENTu_EQu_0, axiom, ![A:cartrealn,B:cartrealn]:(((content @ (closedu_interval @ (cons @ (c_0 @ A @ B) @ nil))) = (realu_ofu_num @ (numeral @ u_0))) <=> ?[I:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ)) & (realu_le @ (d_ @ B @ I) @ (d_ @ A @ I))))).
thf(aCONTENTu_POSu_LE, axiom, ![A:cartrealn,B:cartrealn]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (content @ (closedu_interval @ (cons @ (c_0 @ A @ B) @ nil))))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDIMINDEXu_GEu_1, axiom, ![S:(a > $o)]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (dimindex0 @ S))).
thf(aDIMINDEXu_NONZERO, axiom, ![S:(a > $o)]:~ (((dimindex0 @ S) = (numeral @ u_0)))).
thf(aDROPu_CMUL, axiom, ![X:cartrealn1,C:real]:((drop @ (r_ @ C @ X)) = (realu_mul @ C @ (drop @ X)))).
thf(aDROPu_SUB, axiom, ![X:cartrealn1,Y:cartrealn1]:((drop @ (vectoru_sub0 @ X @ Y)) = (realu_sub @ (drop @ X) @ (drop @ Y)))).
thf(aDROPu_VEC, axiom, ![N:num]:((drop @ (vec0 @ N)) = (realu_ofu_num @ N))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite @ (o_o_ @ M @ N))).
thf(aFloato_ABSu_MUL, axiom, ![X:real,Y:real]:((realu_abs @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_abs @ X) @ (realu_abs @ Y)))).
thf(aINTEGRABLEu_ONu_CONST, axiom, ![S:(cartrealm > $o),C:cartrealn]:((integrableu_on2 @ ^[X:cartrealm]:C @ S) <=> ((C = (vec @ (numeral @ u_0))) | (measurable @ S)))).
thf(aINTEGRABLEu_RESTRICTu_INTER, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o),T:(cartrealn > $o)]:((integrableu_on0 @ ^[X:cartrealn]:(cond1 @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0))) @ T) <=> (integrableu_on0 @ F @ (inter @ S @ T)))).
thf(aINTEGRABLEu_RESTRICTu_UNIV, axiom, ![F:(cartrealn > cartrealq463508),S:(cartrealn > $o)]:((integrableu_on3 @ ^[X:cartrealn]:(cond2 @ (in @ X @ S) @ (F @ X) @ (vec1 @ (numeral @ u_0))) @ univ0) <=> (integrableu_on3 @ F @ S))).
thf(aINTEGRABLEu_SUB, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),S:(cartrealm > $o)]:(((integrableu_on2 @ F @ S) & (integrableu_on2 @ G @ S)) => (integrableu_on2 @ ^[X:cartrealm]:(vectoru_sub @ (F @ X) @ (G @ X)) @ S))).
thf(aINTEGRALu_CMUL, axiom, ![F:(cartrealm > cartrealn),C:real,S:(cartrealm > $o)]:((integrableu_on2 @ F @ S) => ((integral0 @ S @ ^[X:cartrealm]:(r_0 @ C @ (F @ X))) = (r_0 @ C @ (integral0 @ S @ F))))).
thf(aINTEGRALu_NORMu_BOUNDu_INTEGRAL, axiom, ![F:(cartrealn > cartrealn),G:(cartrealn > cartrealn1),S:(cartrealn > $o)]:(((integrableu_on0 @ F @ S) & (integrableu_on1 @ G @ S) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (vectoru_norm @ (F @ X)) @ (drop @ (G @ X))))) => (realu_le @ (vectoru_norm @ (integral1 @ S @ F)) @ (drop @ (integral @ S @ G))))).
thf(aINTEGRALu_RESTRICTu_INTER, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o),T:(cartrealn > $o)]:((integral1 @ T @ ^[X:cartrealn]:(cond1 @ (in @ X @ S) @ (F @ X) @ (vec @ (numeral @ u_0)))) = (integral1 @ (inter @ S @ T) @ F))).
thf(aINTEGRALu_SUB, axiom, ![F:(cartrealm > cartrealn),G:(cartrealm > cartrealn),K:q438671,L:q438675,S:(cartrealm > $o)]:(((integrableu_on2 @ F @ S) & (integrableu_on2 @ G @ S)) => ((integral0 @ S @ ^[X:cartrealm]:(vectoru_sub @ (F @ X) @ (G @ X))) = (vectoru_sub @ (integral0 @ S @ F) @ (integral0 @ S @ G))))).
thf(aINTEGRALu_SUBSETu_DROPu_LE, axiom, ![F:(cartrealn > cartrealn1),S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (integrableu_on1 @ F @ S) & (integrableu_on1 @ F @ T) & ![X:cartrealn]:((in @ X @ T) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (drop @ (F @ X))))) => (realu_le @ (drop @ (integral @ S @ F)) @ (drop @ (integral @ T @ F))))).
thf(aINu_CBALL, axiom, ![X:cartrealn,Y:cartrealn,E:real]:((in @ Y @ (cball @ (c_ @ X @ E))) <=> (realu_le @ (distance @ (c_0 @ X @ Y)) @ E))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec0 @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTERVALu_conjunct1, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn]:((in @ X @ (closedu_interval @ (cons @ (c_0 @ A @ B) @ nil))) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((realu_le @ (d_ @ A @ I) @ (d_ @ X @ I)) & (realu_le @ (d_ @ X @ I) @ (d_ @ B @ I)))))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_1u_conjunct4, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => (l_ @ (numeral @ u_0) @ N))).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aLIFTu_DROPu_conjunct1, axiom, ![X:real]:((drop @ (lift @ X)) = X)).
thf(aMEASURABLE, axiom, ![S:(cartrealq518237 > $o)]:((measurable0 @ S) <=> (integrableu_on4 @ ^[X:cartrealq518237]:(vec0 @ (numeral @ (bit1 @ u_0))) @ S))).
thf(aMEASURABLEu_CBALL, axiom, ![A:cartrealn,R:real]:(measurable1 @ (cball @ (c_ @ A @ R)))).
thf(aMEASURABLEu_INTEGRABLE, axiom, ![S:(cartrealn > $o)]:((measurable1 @ S) <=> (integrableu_on1 @ ^[X:cartrealn]:(cond3 @ (in @ X @ S) @ (vec0 @ (numeral @ (bit1 @ u_0))) @ (vec0 @ (numeral @ u_0))) @ univ0))).
thf(aMEASURABLEu_INTERVALu_conjunct0, axiom, ![A:cartrealn,B:cartrealn]:(measurable1 @ (closedu_interval @ (cons @ (c_0 @ A @ B) @ nil)))).
thf(aMEASURABLEu_LEGESGUEu_MEASURABLEu_INTERu_MEASURABLE, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((lebesgueu_measurable @ S) & (measurable1 @ T)) => (measurable1 @ (inter @ S @ T)))).
thf(aMEASUREu_CBALLu_POS, axiom, ![X:cartrealn,E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ (cball @ (c_ @ X @ E)))))).
thf(aMEASUREu_INTEGRAL, axiom, ![S:(cartrealn > $o)]:((measurable1 @ S) => ((measure @ S) = (drop @ (integral @ S @ ^[X:cartrealn]:(vec0 @ (numeral @ (bit1 @ u_0)))))))).
thf(aMEASUREu_INTERVALu_conjunct0, axiom, ![A:cartrealn,B:cartrealn]:((measure @ (closedu_interval @ (cons @ (c_0 @ A @ B) @ nil))) = (content @ (closedu_interval @ (cons @ (c_0 @ A @ B) @ nil))))).
thf(aMEASUREu_POSu_LE, axiom, ![S:(cartrealn > $o)]:((measurable1 @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (measure @ S)))).
thf(aMEASUREu_SUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((measurable1 @ S) & (measurable1 @ T) & (subset @ S @ T)) => (realu_le @ (measure @ S) @ (measure @ T)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNONNEGATIVEu_ABSOLUTELYu_INTEGRABLE, axiom, ![F:(cartrealn > cartrealn),S:(cartrealn > $o)]:((![X:cartrealn,I:num]:(((in @ X @ S) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (d_ @ (F @ X) @ I))) & (integrableu_on0 @ F @ S)) => (absolutelyu_integrableu_on0 @ F @ S))).
thf(aNORMu_LEu_L1, axiom, ![X:cartrealn]:(realu_le @ (vectoru_norm @ X) @ (sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(realu_abs @ (d_ @ X @ I))))).
thf(aNORMu_MUL, axiom, ![A:real,X:cartrealq99791]:((vectoru_norm2 @ (r_1 @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm2 @ X)))).
thf(aNORMu_REAL, axiom, ![X:cartrealn1]:((vectoru_norm0 @ X) = (realu_abs @ (d_0 @ X @ (numeral @ (bit1 @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aNUMSEGu_EMPTY, axiom, ![M:num,N:num]:(((o_o_ @ M @ N) = empty) <=> (l_ @ N @ M))).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aPRODUCTu_CONSTu_NUMSEGu_1, axiom, ![C:real,N:num]:((product @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N) @ ^[X:num]:C) = (realu_pow @ C @ N))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALLIMu_WITHINREAL, axiom, ![F:(real > real),L:real,A:real,S:(real > $o)]:((m_m_m_g_ @ F @ L @ (within @ (atreal @ A) @ S)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:real]:(((in1 @ X @ S) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ (realu_sub @ X @ A))) & (realu_lt @ (realu_abs @ (realu_sub @ X @ A)) @ D)) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ L)) @ E)))))).
thf(aREALu_ABSu_DIV, axiom, ![X:real,Y:real]:((realu_abs @ (realu_div @ X @ Y)) = (realu_div @ (realu_abs @ X) @ (realu_abs @ Y)))).
thf(aREALu_ABSu_INV, axiom, ![X:real]:((realu_abs @ (realu_inv @ X)) = (realu_inv @ (realu_abs @ X)))).
thf(aREALu_ABSu_NEG, axiom, ![X:real]:((realu_abs @ (realu_neg @ X)) = (realu_abs @ X))).
thf(aREALu_ABSu_NUM, axiom, ![N:num]:((realu_abs @ (realu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aREALu_ABSu_NZ, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) <=> (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ X)))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_DIVu_RMUL, axiom, ![X:real,Y:real]:(~ ((Y = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_div @ X @ Y) @ Y) = X))).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_EQu_ADDu_LCANCEL, axiom, ![X:real,Y:real,Z:real]:(((realu_add @ X @ Y) = (realu_add @ X @ Z)) <=> (Y = Z))).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LETu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_lt @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_DIV, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ X @ Y)))).
thf(aREALu_LEu_INV2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ Y)) => (realu_le @ (realu_inv @ Y) @ (realu_inv @ X)))).
thf(aREALu_LEu_LDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_le @ (realu_div @ X @ Z) @ Y) <=> (realu_le @ X @ (realu_mul @ Y @ Z))))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RMUL, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Z)) => (realu_le @ (realu_mul @ X @ Z) @ (realu_mul @ Y @ Z)))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_DIV, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ X @ Y)))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_LTu_RDIVu_EQ, axiom, ![X:real,Y:real,Z:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) => ((realu_lt @ X @ (realu_div @ Y @ Z)) <=> (realu_lt @ (realu_mul @ X @ Z) @ Y)))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_MULu_RINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ X @ (realu_inv @ X)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((realu_ofu_num @ M) = (realu_ofu_num @ N)) <=> (M = N))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((realu_lt @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_POS, axiom, ![N:num]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ N))).
thf(aREALu_POWu_DIV, axiom, ![X:real,Y:real,N:num]:((realu_pow @ (realu_div @ X @ Y) @ N) = (realu_div @ (realu_pow @ X @ N) @ (realu_pow @ Y @ N)))).
thf(aREALu_POWu_EQu_0, axiom, ![X:real,N:num]:(((realu_pow @ X @ N) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) & ~ ((N = (numeral @ u_0)))))).
thf(aREALu_POWu_LT, axiom, ![X:real,N:num]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ X @ N)))).
thf(aREALu_POWu_MUL, axiom, ![X:real,Y:real,N:num]:((realu_pow @ (realu_mul @ X @ Y) @ N) = (realu_mul @ (realu_pow @ X @ N) @ (realu_pow @ Y @ N)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_SUBu_RZERO, axiom, ![X:real]:((realu_sub @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aRealu_exto_ABSu_POS, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ X))).
thf(aRealu_exto_REALu_PROPu_LEu_LRMUL, axiom, ![W:real,X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ W) & (realu_le @ W @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y) & (realu_le @ Y @ Z)) => (realu_le @ (realu_mul @ W @ Y) @ (realu_mul @ X @ Z)))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aRealu_exto_REALu_PROPu_NNu_POW, axiom, ![X:real,N:num]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ X @ N)))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_ABSu_0, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUMu_BOUNDu_GEN, axiom, ![S:(cartrealn > $o),F:(cartrealn > real),B:real]:(((finite0 @ S) & ~ ((S = empty0)) & ![X:cartrealn]:((in @ X @ S) => (realu_le @ (F @ X) @ (realu_div @ B @ (realu_ofu_num @ (card0 @ S)))))) => (realu_le @ (sum0 @ S @ F) @ B))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometry2o_ABSu_1, axiom, ((realu_abs @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aVECTORu_ADDu_COMPONENT, axiom, ![X:cartrealn,Y:cartrealn,I:num]:((d_ @ (vectoru_add @ X @ Y) @ I) = (realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(aVECTORu_MULu_COMPONENT, axiom, ![C:real,X:cartrealn,I:num]:((d_ @ (r_0 @ C @ X) @ I) = (realu_mul @ C @ (d_ @ X @ I)))).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealq97340]:((r_2 @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aVECTORu_MULu_LZERO, axiom, ![X:cartrealq97357]:((r_3 @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (vec2 @ (numeral @ u_0)))).
thf(aVECTORu_SUBu_COMPONENT, axiom, ![X:cartrealn,Y:cartrealn,I:num]:((d_ @ (vectoru_sub @ X @ Y) @ I) = (realu_sub @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(aVECu_COMPONENT, axiom, ![K:num,I:num]:((d_ @ (vec @ K) @ I) = (realu_ofu_num @ K))).
thf(adist, axiom, ![X:cartrealq98293,Y:cartrealq98293]:((distance0 @ (c_1 @ X @ Y)) = (vectoru_norm3 @ (vectoru_sub1 @ X @ Y)))).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_0 @ X @ (numeral @ (bit1 @ u_0))))).
thf(aindicator, axiom, ![S:(cartrealn > $o)]:((indicator @ S) = ^[X:cartrealn]:(cond3 @ (in @ X @ S) @ (vec0 @ (numeral @ (bit1 @ u_0))) @ (vec0 @ (numeral @ u_0))))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(arealu_max, axiom, ![N:real,M:real]:((realu_max @ M @ N) = (cond @ (realu_le @ M @ N) @ N @ M))).
thf(arealu_min, axiom, ![M:real,N:real]:((realu_min @ M @ N) = (cond @ (realu_le @ M @ N) @ M @ N))).
thf(arealu_sub, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_neg @ Y)))).
thf(conjecture, conjecture, ![S:(cartrealn > $o)]:((lebesgueu_measurable @ S) => ?[K:(cartrealn > $o)]:((negligible @ K) & ![X:cartrealn]:(~ ((in @ X @ K)) => (m_m_m_g_ @ ^[E:real]:(realu_div @ (measure @ (inter @ S @ (cball @ (c_ @ X @ E)))) @ (measure @ (cball @ (c_ @ X @ E)))) @ (cond @ (in @ X @ S) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_ofu_num @ (numeral @ u_0))) @ (within @ (atreal @ (realu_ofu_num @ (numeral @ u_0))) @ (gspec @ ^[GENR_PVARR_2515:real]:?[E:real]:(setspec @ GENR_PVARR_2515 @ (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) @ E)))))))).
