%   ORIGINAL: VECTOR_ANGLE_EQ_0_LEFT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_ANGLE_EQ_0_RIGHT: !x y z. vector_angle x y = &0 ==> vector_angle x z = vector_angle y z
% Assm: VECTOR_ANGLE_SYM: !x y. vector_angle x y = vector_angle y x
% Goal: !x y z. vector_angle x y = &0 ==> vector_angle z x = vector_angle z y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !x y z. vector_angle x y = &0 ==> vector_angle x z = vector_angle y z
% Assm: !x y. vector_angle x y = vector_angle y x
% Goal: !x y z. vector_angle x y = &0 ==> vector_angle z x = vector_angle z y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_angle, type, vectoru_angle : (cartrealn > cartrealn > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ANGLEu_EQu_0u_RIGHT, axiom, ![X:cartrealn,Y:cartrealn,Z:cartrealn]:(((vectoru_angle @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) => ((vectoru_angle @ X @ Z) = (vectoru_angle @ Y @ Z)))).
thf(aVECTORu_ANGLEu_SYM, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_angle @ X @ Y) = (vectoru_angle @ Y @ X))).
thf(conjecture, conjecture, ![X:cartrealn,Y:cartrealn,Z:cartrealn]:(((vectoru_angle @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) => ((vectoru_angle @ Z @ X) = (vectoru_angle @ Z @ Y)))).
