%   ORIGINAL: COPLANAR_SPECIAL_SCALE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_AFFINE_HULL_SPECIAL_SCALE: !a x s t. ~(a = &0) ==> (vec 0 INSERT (a % x) INSERT s SUBSET affine hull t <=> vec 0 INSERT x INSERT s SUBSET affine hull t)
% Assm: TRUTH: T
% Assm: Trigonometry2.coplanar: !s. coplanar s <=> (?u v w. s SUBSET affine hull {u, v, w})
% Goal: !a x y z. ~(a = &0) ==> (coplanar {vec 0, a % x, y, z} <=> coplanar {vec 0, x, y, z})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !a x s t. ~(a = &0) ==> (vec 0 INSERT (a % x) INSERT s SUBSET affine hull t <=> vec 0 INSERT x INSERT s SUBSET affine hull t)
% Assm: T
% Assm: !s. coplanar s <=> (?u v w. s SUBSET affine hull {u, v, w})
% Goal: !a x y z. ~(a = &0) ==> (coplanar {vec 0, a % x, y, z} <=> coplanar {vec 0, x, y, z})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq697943, type, cartrealq697943 : $tType).
thf(tq697943, type, q697943 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealq697943 > $o) > (cartrealq697943 > $o) > $o)).
thf(chull, type, hull : (((cartrealq697943 > $o) > $o) > (cartrealq697943 > $o) > cartrealq697943 > $o)).
thf(cru_, type, r_ : (real > cartrealq697943 > cartrealq697943)).
thf(cinsert, type, insert : (cartrealq697943 > (cartrealq697943 > $o) > cartrealq697943 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(caffine, type, affine : ((cartrealq697943 > $o) > $o)).
thf(cempty, type, empty : (cartrealq697943 > $o)).
thf(ccoplanar, type, coplanar : ((cartrealq697943 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealq697943)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_AFFINEu_HULLu_SPECIALu_SCALE, axiom, ![A:real,X:cartrealq697943,S:(cartrealq697943 > $o),T:(cartrealq697943 > $o)]:(~ ((A = (realu_ofu_num @ (numeral @ u_0)))) => ((subset @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (r_ @ A @ X) @ S)) @ (hull @ affine @ T)) <=> (subset @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ S)) @ (hull @ affine @ T))))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_coplanar, axiom, ![S:(cartrealq697943 > $o)]:((coplanar @ S) <=> ?[U:cartrealq697943,V:cartrealq697943,W:cartrealq697943]:(subset @ S @ (hull @ affine @ (insert @ U @ (insert @ V @ (insert @ W @ empty))))))).
thf(conjecture, conjecture, ![A:real,X:cartrealq697943,Y:cartrealq697943,Z:cartrealq697943]:(~ ((A = (realu_ofu_num @ (numeral @ u_0)))) => ((coplanar @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (r_ @ A @ X) @ (insert @ Y @ (insert @ Z @ empty))))) <=> (coplanar @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty)))))))).
