%   ORIGINAL: AFFSIGN_DISJOINT_DIFF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFSIGN: affsign sgn s t = {y | ?f. y = vsum (s UNION t) (\v. f v % v) /\ (!w. w IN t ==> sgn (f w)) /\ sum (s UNION t) f = &1}
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !s t. affsign sgn s t = affsign sgn (s DIFF t) t
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !sgn s t. affsign sgn s t = {y | ?f. y = vsum (s UNION t) (\v. f v % v) /\ (!w. w IN t ==> sgn (f w)) /\ sum (s UNION t) f = &1}
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: T
% Goal: !sgn s t. affsign sgn s t = affsign sgn (s DIFF t) t
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tq701451, type, q701451 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq701451, type, cartrealq701451 : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(csum, type, sum : ((cartrealq701451 > $o) > (cartrealq701451 > real) > real)).
thf(cin, type, in : (cartrealq701451 > (cartrealq701451 > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealq701451 > $o) > cartrealq701451 > $o)).
thf(cunion0, type, union0 : ((a > $o) > (a > $o) > a > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealq701451 > cartrealq701451)).
thf(cunion, type, union : ((cartrealq701451 > $o) > (cartrealq701451 > $o) > cartrealq701451 > $o)).
thf(cvsum, type, vsum : ((cartrealq701451 > $o) > (cartrealq701451 > cartrealq701451) > cartrealq701451)).
thf(csetspec, type, setspec : (cartrealq701451 > $o > cartrealq701451 > $o)).
thf(cdiff, type, diff : ((cartrealq701451 > $o) > (cartrealq701451 > $o) > cartrealq701451 > $o)).
thf(caffsign, type, affsign : ((real > $o) > (cartrealq701451 > $o) > (cartrealq701451 > $o) > cartrealq701451 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq701451 > $o),G:(a > cartrealq701451 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFSIGN, axiom, ![SGN:(real > $o),S:(cartrealq701451 > $o),T:(cartrealq701451 > $o)]:((affsign @ SGN @ S @ T) = (gspec @ ^[GENR_PVARR_2540:cartrealq701451]:?[Y:cartrealq701451]:(setspec @ GENR_PVARR_2540 @ ?[F:(cartrealq701451 > real)]:((Y = (vsum @ (union @ S @ T) @ ^[V:cartrealq701451]:(r_ @ (F @ V) @ V))) & ![W:cartrealq701451]:((in @ W @ T) => (SGN @ (F @ W))) & ((sum @ (union @ S @ T) @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ Y)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(cartrealq701451 > $o),T:(cartrealq701451 > $o)]:((S = T) <=> ![X:cartrealq701451]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(cartrealq701451 > $o),T:(cartrealq701451 > $o),X:cartrealq701451]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_UNION, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (union0 @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![SGN:(real > $o),S:(cartrealq701451 > $o),T:(cartrealq701451 > $o)]:((affsign @ SGN @ S @ T) = (affsign @ SGN @ (diff @ S @ T) @ T))).
