%   ORIGINAL: CONVEX_AFFSIGN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFSIGN: affsign sgn s t = {y | ?f. y = vsum (s UNION t) (\v. f v % v) /\ (!w. w IN t ==> sgn (f w)) /\ sum (s UNION t) f = &1}
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct5: !n. _0 = BIT1 n <=> F
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: CONVEX_ALT: convex s <=> (!x y u. x IN s /\ y IN s /\ &0 <= u /\ u <= &1 ==> (&1 - u) % x + u % y IN s)
% Assm: FINITE_SUBSET: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NEUTRAL_REAL_ADD: neutral (+) = &0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: REAL_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: REAL_SUB_ADD: !x y. x - y + y = x
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUM_ADD_GEN: !f g s. FINITE {x | x IN s /\ ~(f x = &0)} /\ FINITE {x | x IN s /\ ~(g x = &0)} ==> sum s (\x. f x + g x) = sum s f + sum s g
% Assm: SUM_LMUL: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: TRUTH: T
% Assm: VECTOR_ADD_RDISTRIB: (a + b) % x = a % x + b % x
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_MUL_LZERO: !x. &0 % x = vec 0
% Assm: VECTOR_MUL_RZERO: c % vec 0 = vec 0
% Assm: VSUM_ADD_GEN: !f g s. FINITE {x | x IN s /\ ~(f x = vec 0)} /\ FINITE {x | x IN s /\ ~(g x = vec 0)} ==> vsum s (\x. f x + g x) = vsum s f + vsum s g
% Assm: VSUM_LMUL: !f c s. vsum s (\x. c % f x) = c % vsum s f
% Assm: iterate: !f s op. iterate op s f = (if FINITE (support op f s) then ITSET (\x a. op (f x) a) (support op f s) (neutral op) else neutral op)
% Assm: sum: sum = iterate (+)
% Assm: support: !s f op. support op f s = {x | x IN s /\ ~(f x = neutral op)}
% Goal: !sgn. (!x y u. sgn x /\ sgn y /\ &0 <= u /\ u <= &1 ==> sgn ((&1 - u) * x + u * y)) ==> (!s t. convex (affsign sgn s t))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !sgn s t. affsign sgn s t = {y | ?f. y = vsum (s UNION t) (\v. f v % v) /\ (!w. w IN t ==> sgn (f w)) /\ sum (s UNION t) f = &1}
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. _0 = BIT1 n <=> F
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !s. convex s <=> (!x y u. x IN s /\ y IN s /\ &0 <= u /\ u <= &1 ==> (&1 - u) % x + u % y IN s)
% Assm: !s t. FINITE t /\ s SUBSET t ==> FINITE s
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: neutral (+) = &0
% Assm: ~F <=> T
% Assm: !x. x * &1 = x
% Assm: !m n. &m = &n <=> m = n
% Assm: !x y. x - y + y = x
% Assm: !x. x * &0 = &0
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !f g s. FINITE {x | x IN s /\ ~(f x = &0)} /\ FINITE {x | x IN s /\ ~(g x = &0)} ==> sum s (\x. f x + g x) = sum s f + sum s g
% Assm: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: T
% Assm: !a b x. (a + b) % x = a % x + b % x
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !x. &0 % x = vec 0
% Assm: !c. c % vec 0 = vec 0
% Assm: !f g s. FINITE {x | x IN s /\ ~(f x = vec 0)} /\ FINITE {x | x IN s /\ ~(g x = vec 0)} ==> vsum s (\x. f x + g x) = vsum s f + vsum s g
% Assm: !f c s. vsum s (\x. c % f x) = c % vsum s f
% Assm: !f s op. iterate op s f = (if FINITE (support op f s) then ITSET (\x a. op (f x) a) (support op f s) (neutral op) else neutral op)
% Assm: sum = iterate (+)
% Assm: !s f op. support op f s = {x | x IN s /\ ~(f x = neutral op)}
% Goal: !sgn. (!x y u. sgn x /\ sgn y /\ &0 <= u /\ u <= &1 ==> sgn ((&1 - u) * x + u * y)) ==> (!s t. convex (affsign sgn s t))
%  TYPES
thf(tnum, type, num : $tType).
thf(tq107041, type, q107041 : $tType).
thf(tcartrealq97543, type, cartrealq97543 : $tType).
thf(tcartrealq97451, type, cartrealq97451 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq103212, type, cartrealq103212 : $tType).
thf(tq107054, type, q107054 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tq97451, type, q97451 : $tType).
thf(tq70172, type, q70172 : $tType).
thf(tcartrealq97326, type, cartrealq97326 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq97543, type, q97543 : $tType).
thf(tq97357, type, q97357 : $tType).
thf(tq103212, type, q103212 : $tType).
thf(tcartrealq97357, type, cartrealq97357 : $tType).
thf(tq97326, type, q97326 : $tType).
thf(tq103205, type, q103205 : $tType).
thf(tcartrealq107054, type, cartrealq107054 : $tType).
thf(tn, type, n : $tType).
thf(tq62703, type, q62703 : $tType).
thf(tq70535, type, q70535 : $tType).
%  CONSTS
thf(cvec0, type, vec0 : (num > cartrealq97543)).
thf(cvec, type, vec : (num > cartrealq97357)).
thf(cgspec3, type, gspec3 : ((a > $o) > a > $o)).
thf(csum2, type, sum2 : ((q70172 > $o) > (q70172 > real) > real)).
thf(cin3, type, in3 : (q107041 > (q107041 > $o) > $o)).
thf(cgspec2, type, gspec2 : ((q107041 > $o) > q107041 > $o)).
thf(csum1, type, sum1 : ((a > $o) > (a > real) > real)).
thf(csum0, type, sum0 : ((q70535 > $o) > (q70535 > real) > real)).
thf(cin2, type, in2 : (q70535 > (q70535 > $o) > $o)).
thf(cgspec1, type, gspec1 : ((q70535 > $o) > q70535 > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cneutral, type, neutral : ((real > real > real) > real)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(csum, type, sum : ((cartrealn > $o) > (cartrealn > real) > real)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvec1, type, vec1 : (num > cartrealq107054)).
thf(csetspec3, type, setspec3 : (a > $o > a > $o)).
thf(csupport0, type, support0 : ((b > b > b) > (a > b) > (a > $o) > a > $o)).
thf(citerate0, type, iterate0 : ((real > real > real) > (q70172 > $o) > (q70172 > real) > real)).
thf(citset, type, itset : ((a > q62703 > q62703) > (a > $o) > q62703 > q62703)).
thf(csupport, type, support : ((q62703 > q62703 > q62703) > (a > q62703) > (a > $o) > a > $o)).
thf(ccond0, type, cond0 : ($o > q62703 > q62703 > q62703)).
thf(citerate, type, iterate : ((q62703 > q62703 > q62703) > (a > $o) > (a > q62703) > q62703)).
thf(cru_4, type, r_4 : (real > cartrealq103212 > cartrealq103212)).
thf(cvsum1, type, vsum1 : ((q103205 > $o) > (q103205 > cartrealq103212) > cartrealq103212)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealq107054 > cartrealq107054 > cartrealq107054)).
thf(cvsum0, type, vsum0 : ((q107041 > $o) > (q107041 > cartrealq107054) > cartrealq107054)).
thf(csetspec2, type, setspec2 : (q107041 > $o > q107041 > $o)).
thf(cru_3, type, r_3 : (real > cartrealq97543 > cartrealq97543)).
thf(cru_2, type, r_2 : (real > cartrealq97357 > cartrealq97357)).
thf(cru_1, type, r_1 : (real > cartrealq97326 > cartrealq97326)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq97451 > cartrealq97451 > cartrealq97451)).
thf(cru_0, type, r_0 : (real > cartrealq97451 > cartrealq97451)).
thf(csetspec1, type, setspec1 : (q70535 > $o > q70535 > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cvsum, type, vsum : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(caffsign, type, affsign : ((real > $o) > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cfinite1, type, finite1 : ((q107041 > $o) > $o)).
thf(cfinite0, type, finite0 : ((q70535 > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cneutral1, type, neutral1 : ((b > b > b) > b)).
thf(cuu_0, type, u_0 : num).
thf(cneutral0, type, neutral0 : ((q62703 > q62703 > q62703) > q62703)).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFSIGN, axiom, ![SGN:(real > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:((affsign @ SGN @ S @ T) = (gspec @ ^[GENR_PVARR_2540:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_2540 @ ?[F:(cartrealn > real)]:((Y = (vsum @ (union @ S @ T) @ ^[V:cartrealn]:(r_ @ (F @ V) @ V))) & ![W:cartrealn]:((in @ W @ T) => (SGN @ (F @ W))) & ((sum @ (union @ S @ T) @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ Y)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct5, axiom, ![N:num]:((u_0 = (bit1 @ N)) <=> $false)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCONVEXu_ALT, axiom, ![S:(cartrealn > $o)]:((convex @ S) <=> ![X:cartrealn,Y:cartrealn,U:real]:(((in @ X @ S) & (in @ Y @ S) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ U @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in @ (vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ U) @ X) @ (r_ @ U @ Y)) @ S)))).
thf(aFINITEu_SUBSET, axiom, ![S:(a > $o),T:(a > $o)]:(((finite @ T) & (subset @ S @ T)) => (finite @ S))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNEUTRALu_REALu_ADD, axiom, ((neutral @ realu_add) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((realu_ofu_num @ M) = (realu_ofu_num @ N)) <=> (M = N))).
thf(aREALu_SUBu_ADD, axiom, ![X:real,Y:real]:((realu_add @ (realu_sub @ X @ Y) @ Y) = X)).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset @ S @ T) <=> ![X:a]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aSUMu_ADDu_GEN, axiom, ![F:(q70535 > real),G:(q70535 > real),S:(q70535 > $o)]:(((finite0 @ (gspec1 @ ^[GENR_PVARR_175:q70535]:?[X:q70535]:(setspec1 @ GENR_PVARR_175 @ ((in2 @ X @ S) & ~ (((F @ X) = (realu_ofu_num @ (numeral @ u_0))))) @ X))) & (finite0 @ (gspec1 @ ^[GENR_PVARR_176:q70535]:?[X:q70535]:(setspec1 @ GENR_PVARR_176 @ ((in2 @ X @ S) & ~ (((G @ X) = (realu_ofu_num @ (numeral @ u_0))))) @ X)))) => ((sum0 @ S @ ^[X:q70535]:(realu_add @ (F @ X) @ (G @ X))) = (realu_add @ (sum0 @ S @ F) @ (sum0 @ S @ G))))).
thf(aSUMu_LMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum1 @ S @ ^[X:a]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum1 @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_RDISTRIB, axiom, ![A:real,B:real,X:cartrealq97451]:((r_0 @ (realu_add @ A @ B) @ X) = (vectoru_add0 @ (r_0 @ A @ X) @ (r_0 @ B @ X)))).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealq97326]:((r_1 @ A @ (r_1 @ B @ X)) = (r_1 @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_LZERO, axiom, ![X:cartrealq97357]:((r_2 @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (vec @ (numeral @ u_0)))).
thf(aVECTORu_MULu_RZERO, axiom, ![C:real]:((r_3 @ C @ (vec0 @ (numeral @ u_0))) = (vec0 @ (numeral @ u_0)))).
thf(aVSUMu_ADDu_GEN, axiom, ![F:(q107041 > cartrealq107054),G:(q107041 > cartrealq107054),S:(q107041 > $o)]:(((finite1 @ (gspec2 @ ^[GENR_PVARR_260:q107041]:?[X:q107041]:(setspec2 @ GENR_PVARR_260 @ ((in3 @ X @ S) & ~ (((F @ X) = (vec1 @ (numeral @ u_0))))) @ X))) & (finite1 @ (gspec2 @ ^[GENR_PVARR_261:q107041]:?[X:q107041]:(setspec2 @ GENR_PVARR_261 @ ((in3 @ X @ S) & ~ (((G @ X) = (vec1 @ (numeral @ u_0))))) @ X)))) => ((vsum0 @ S @ ^[X:q107041]:(vectoru_add1 @ (F @ X) @ (G @ X))) = (vectoru_add1 @ (vsum0 @ S @ F) @ (vsum0 @ S @ G))))).
thf(aVSUMu_LMUL, axiom, ![F:(q103205 > cartrealq103212),C:real,S:(q103205 > $o)]:((vsum1 @ S @ ^[X:q103205]:(r_4 @ C @ (F @ X))) = (r_4 @ C @ (vsum1 @ S @ F)))).
thf(aiterate, axiom, ![F:(a > q62703),S:(a > $o),OP:(q62703 > q62703 > q62703)]:((iterate @ OP @ S @ F) = (cond0 @ (finite @ (support @ OP @ F @ S)) @ (itset @ ^[X:a,A:q62703]:(OP @ (F @ X) @ A) @ (support @ OP @ F @ S) @ (neutral0 @ OP)) @ (neutral0 @ OP)))).
thf(asum, axiom, (sum2 = (iterate0 @ realu_add))).
thf(asupport, axiom, ![S:(a > $o),F:(a > b),OP:(b > b > b)]:((support0 @ OP @ F @ S) = (gspec3 @ ^[GENR_PVARR_143:a]:?[X:a]:(setspec3 @ GENR_PVARR_143 @ ((in1 @ X @ S) & ~ (((F @ X) = (neutral1 @ OP)))) @ X)))).
thf(conjecture, conjecture, ![SGN:(real > $o)]:(![X:real,Y:real,U:real]:(((SGN @ X) & (SGN @ Y) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ U @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (SGN @ (realu_add @ (realu_mul @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ U) @ X) @ (realu_mul @ U @ Y)))) => ![S:(cartrealn > $o),T:(cartrealn > $o)]:(convex @ (affsign @ SGN @ S @ T)))).
