%   ORIGINAL: AFF_LE_EQ_AFFINE_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AFFSIGN_EQ_AFFINE_HULL: !sgn s t. affsign sgn s {} = affine hull s
% Assm: TRUTH: T
% Assm: aff_le_def: aff_le = affsign sgn_le
% Goal: !s t. aff_le s {} = affine hull s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !sgn s t. affsign sgn s {} = affine hull s
% Assm: T
% Assm: aff_le = affsign sgn_le
% Goal: !s t. aff_le s {} = affine hull s
%  TYPES
thf(tcartrealq703804, type, cartrealq703804 : $tType).
thf(ta, type, a : $tType).
thf(tq703793, type, q703793 : $tType).
thf(tq703752, type, q703752 : $tType).
thf(treal, type, real : $tType).
thf(tq703804, type, q703804 : $tType).
%  CONSTS
thf(caffsign, type, affsign : ((real > $o) > (cartrealq703804 > $o) > (cartrealq703804 > $o) > cartrealq703804 > $o)).
thf(chull, type, hull : (((cartrealq703804 > $o) > $o) > (cartrealq703804 > $o) > cartrealq703804 > $o)).
thf(caffuu_le, type, affu_le : ((cartrealq703804 > $o) > (cartrealq703804 > $o) > cartrealq703804 > $o)).
thf(caffine, type, affine : ((cartrealq703804 > $o) > $o)).
thf(cempty, type, empty : (cartrealq703804 > $o)).
thf(csgnuu_le, type, sgnu_le : (real > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq703804 > $o),G:(a > cartrealq703804 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAFFSIGNu_EQu_AFFINEu_HULL, axiom, ![SGN:(real > $o),S:(cartrealq703804 > $o),T:q703752]:((affsign @ SGN @ S @ empty) = (hull @ affine @ S))).
thf(aTRUTH, axiom, $true).
thf(aaffu_leu_def, axiom, (affu_le = (affsign @ sgnu_le))).
thf(conjecture, conjecture, ![S:(cartrealq703804 > $o),T:q703793]:((affu_le @ S @ empty) = (hull @ affine @ S))).
