%   ORIGINAL: AZIM_EQ_ALT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AZIM_EQ: !v0 v1 w x y. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} /\ ~collinear {v0, v1, y} ==> (azim v0 v1 w x = azim v0 v1 w y <=> y IN aff_gt {v0, v1} {x})
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !v0 v1 w x y. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} /\ ~collinear {v0, v1, y} ==> (azim v0 v1 w x = azim v0 v1 w y <=> x IN aff_gt {v0, v1} {y})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !v0 v1 w x y. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} /\ ~collinear {v0, v1, y} ==> (azim v0 v1 w x = azim v0 v1 w y <=> y IN aff_gt {v0, v1} {x})
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Goal: !v0 v1 w x y. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} /\ ~collinear {v0, v1, y} ==> (azim v0 v1 w x = azim v0 v1 w y <=> x IN aff_gt {v0, v1} {y})
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aAZIMu_EQ, axiom, ![V0:cartrealn3,V1:cartrealn3,W:cartrealn3,X:cartrealn3,Y:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ X @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ Y @ empty)))))) => (((azim @ V0 @ V1 @ W @ X) = (azim @ V0 @ V1 @ W @ Y)) <=> (in @ Y @ (affu_gt @ (insert @ V0 @ (insert @ V1 @ empty)) @ (insert @ X @ empty)))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V0:cartrealn3,V1:cartrealn3,W:cartrealn3,X:cartrealn3,Y:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ X @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ Y @ empty)))))) => (((azim @ V0 @ V1 @ W @ X) = (azim @ V0 @ V1 @ W @ Y)) <=> (in @ X @ (affu_gt @ (insert @ V0 @ (insert @ V1 @ empty)) @ (insert @ Y @ empty)))))).
