%   ORIGINAL: WEDGE_LUNE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AZIM_EQ_0_PI_IMP_COPLANAR: !v0 v1 w1 w2. azim v0 v1 w1 w2 = &0 \/ azim v0 v1 w1 w2 = pi ==> coplanar {v0, v1, w1, w2}
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_COPLANAR_NOT_COLLINEAR: !v1 v2 v3 w. ~coplanar {v1, v2, v3, w} ==> ~collinear {v1, v2, v3}
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: TRUTH: T
% Assm: Trigonometry.azim: !v w w1 w2. &0 <= azim v w w1 w2 /\ azim v w w1 w2 < &2 * pi /\ (?h1 h2. !e1 e2 e3. orthonormal e1 e2 e3 /\ dist (w,v) % e3 = w - v /\ ~(w = v) ==> (?psi r1 r2. w1 - v = (r1 * cos psi) % e1 + (r1 * sin psi) % e2 + h1 % (w - v) /\ w2 - v = (r2 * cos (psi + azim v w w1 w2)) % e1 + (r2 * sin (psi + azim v w w1 w2)) % e2 + h2 % (w - v) /\ (~collinear {v, w, w1} ==> &0 < r1) /\ (~collinear {v, w, w2} ==> &0 < r2)))
% Assm: WEDGE_LUNE_GT: !v0 v1 w1 w2. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} /\ &0 < azim v0 v1 w1 w2 /\ azim v0 v1 w1 w2 < pi ==> wedge v0 v1 w1 w2 = aff_gt {v0, v1} {w1, w2}
% Goal: !v0 v1 w1 w2. ~coplanar {v0, v1, w1, w2} /\ azim v0 v1 w1 w2 < pi ==> wedge v0 v1 w1 w2 = aff_gt {v0, v1} {w1, w2}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !v0 v1 w1 w2. azim v0 v1 w1 w2 = &0 \/ azim v0 v1 w1 w2 = pi ==> coplanar {v0, v1, w1, w2}
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !v1 v2 v3 w. ~coplanar {v1, v2, v3, w} ==> ~collinear {v1, v2, v3}
% Assm: !x. ~(x IN {})
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: T
% Assm: !v w w1 w2. &0 <= azim v w w1 w2 /\ azim v w w1 w2 < &2 * pi /\ (?h1 h2. !e1 e2 e3. orthonormal e1 e2 e3 /\ dist (w,v) % e3 = w - v /\ ~(w = v) ==> (?psi r1 r2. w1 - v = (r1 * cos psi) % e1 + (r1 * sin psi) % e2 + h1 % (w - v) /\ w2 - v = (r2 * cos (psi + azim v w w1 w2)) % e1 + (r2 * sin (psi + azim v w w1 w2)) % e2 + h2 % (w - v) /\ (~collinear {v, w, w1} ==> &0 < r1) /\ (~collinear {v, w, w2} ==> &0 < r2)))
% Assm: !v0 v1 w1 w2. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} /\ &0 < azim v0 v1 w1 w2 /\ azim v0 v1 w1 w2 < pi ==> wedge v0 v1 w1 w2 = aff_gt {v0, v1} {w1, w2}
% Goal: !v0 v1 w1 w2. ~coplanar {v0, v1, w1, w2} /\ azim v0 v1 w1 w2 < pi ==> wedge v0 v1 w1 w2 = aff_gt {v0, v1} {w1, w2}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpi, type, pi : real).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(corthonormal, type, orthonormal : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(caffuu_gt, type, affu_gt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cwedge, type, wedge : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccoplanar, type, coplanar : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(csin, type, sin : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAZIMu_EQu_0u_PIu_IMPu_COPLANAR, axiom, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((((azim @ V0 @ V1 @ W1 @ W2) = (realu_ofu_num @ (numeral @ u_0))) | ((azim @ V0 @ V1 @ W1 @ W2) = pi)) => (coplanar @ (insert @ V0 @ (insert @ V1 @ (insert @ W1 @ (insert @ W2 @ empty))))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_COPLANARu_NOTu_COLLINEAR, axiom, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,W:cartrealn3]:(~ ((coplanar @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ W @ empty)))))) => ~ ((collinear @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))))).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_azim, axiom, ![V:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ V @ W @ W1 @ W2)) & (realu_lt @ (azim @ V @ W @ W1 @ W2) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & ?[H1:real,H2:real]:![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:(((orthonormal @ E1 @ E2 @ E3) & ((r_ @ (distance @ (c_ @ W @ V)) @ E3) = (vectoru_sub @ W @ V)) & ~ ((W = V))) => ?[PSI:real,R1:real,R2:real]:(((vectoru_sub @ W1 @ V) = (vectoru_add @ (r_ @ (realu_mul @ R1 @ (cos @ PSI)) @ E1) @ (vectoru_add @ (r_ @ (realu_mul @ R1 @ (sin @ PSI)) @ E2) @ (r_ @ H1 @ (vectoru_sub @ W @ V))))) & ((vectoru_sub @ W2 @ V) = (vectoru_add @ (r_ @ (realu_mul @ R2 @ (cos @ (realu_add @ PSI @ (azim @ V @ W @ W1 @ W2)))) @ E1) @ (vectoru_add @ (r_ @ (realu_mul @ R2 @ (sin @ (realu_add @ PSI @ (azim @ V @ W @ W1 @ W2)))) @ E2) @ (r_ @ H2 @ (vectoru_sub @ W @ V))))) & (~ ((collinear @ (insert @ V @ (insert @ W @ (insert @ W1 @ empty))))) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R1)) & (~ ((collinear @ (insert @ V @ (insert @ W @ (insert @ W2 @ empty))))) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R2)))))).
thf(aWEDGEu_LUNEu_GT, axiom, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W1 @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W2 @ empty))))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ V0 @ V1 @ W1 @ W2)) & (realu_lt @ (azim @ V0 @ V1 @ W1 @ W2) @ pi)) => ((wedge @ V0 @ V1 @ W1 @ W2) = (affu_gt @ (insert @ V0 @ (insert @ V1 @ empty)) @ (insert @ W1 @ (insert @ W2 @ empty)))))).
thf(conjecture, conjecture, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((~ ((coplanar @ (insert @ V0 @ (insert @ V1 @ (insert @ W1 @ (insert @ W2 @ empty)))))) & (realu_lt @ (azim @ V0 @ V1 @ W1 @ W2) @ pi)) => ((wedge @ V0 @ V1 @ W1 @ W2) = (affu_gt @ (insert @ V0 @ (insert @ V1 @ empty)) @ (insert @ W1 @ (insert @ W2 @ empty)))))).
