%   ORIGINAL: MEASURABLE_CONIC_CAP
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_BALL: !x e. bounded (ball (x,e))
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: MEASURABLE_OPEN: !s. bounded s /\ open s ==> measurable s
% Assm: NORMBALL_BALL: !z r. normball z r = ball (z,r)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: OPEN_INTER: !s t. open s /\ open t ==> open (s INTER t)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Urrphbz2.OPEN_RCONE_GT: !v0 v1 a. open (rcone_gt v0 v1 a)
% Assm: conic_cap: !r v0 v1 a. conic_cap v0 v1 r a = normball v0 r INTER rcone_gt v0 v1 a
% Goal: !v0 v1 r a. measurable (conic_cap v0 v1 r a)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. bounded (ball (x,e))
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s. bounded s /\ open s ==> measurable s
% Assm: !z r. normball z r = ball (z,r)
% Assm: ~F <=> T
% Assm: !x e. open (ball (x,e))
% Assm: !s t. open s /\ open t ==> open (s INTER t)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !v0 v1 a. open (rcone_gt v0 v1 a)
% Assm: !r v0 v1 a. conic_cap v0 v1 r a = normball v0 r INTER rcone_gt v0 v1 a
% Goal: !v0 v1 r a. measurable (conic_cap v0 v1 r a)
%  TYPES
thf(tq181630, type, q181630 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealq721339, type, cartrealq721339 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealq169289real, type, prodcartrealq169289real : $tType).
thf(tprodcartrealq721339real, type, prodcartrealq721339real : $tType).
thf(tprodcartrealq181707real, type, prodcartrealq181707real : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq169289, type, cartrealq169289 : $tType).
thf(tcartrealq181707, type, cartrealq181707 : $tType).
thf(tcartrealq181630, type, cartrealq181630 : $tType).
thf(tn3, type, n3 : $tType).
thf(tq169289, type, q169289 : $tType).
thf(tq181707, type, q181707 : $tType).
thf(tcartrealq168015, type, cartrealq168015 : $tType).
thf(tq168015, type, q168015 : $tType).
thf(tn, type, n : $tType).
thf(tq721339, type, q721339 : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cball1, type, ball1 : (prodcartrealq169289real > cartrealq169289 > $o)).
thf(cball0, type, ball0 : (prodcartrealq721339real > cartrealq721339 > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealq181630 > $o) > (cartrealq181630 > $o) > $o)).
thf(cball, type, ball : (prodcartrealq181707real > cartrealq181707 > $o)).
thf(crconeuu_gt0, type, rconeu_gt0 : (cartrealn3 > cartrealn3 > real > cartrealn3 > $o)).
thf(cnormball0, type, normball0 : (cartrealn3 > real > cartrealn3 > $o)).
thf(cinter1, type, inter1 : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(crconeuu_gt, type, rconeu_gt : (cartrealn > cartrealn > real > cartrealn > $o)).
thf(cinter0, type, inter0 : ((cartrealq168015 > $o) > (cartrealq168015 > $o) > cartrealq168015 > $o)).
thf(ccu_1, type, c_1 : (cartrealq169289 > real > prodcartrealq169289real)).
thf(ccu_0, type, c_0 : (cartrealq721339 > real > prodcartrealq721339real)).
thf(cnormball, type, normball : (cartrealq721339 > real > cartrealq721339 > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(ccu_, type, c_ : (cartrealq181707 > real > prodcartrealq181707real)).
thf(cconicuu_cap, type, conicu_cap : (cartrealn3 > cartrealn3 > real > real > cartrealn3 > $o)).
thf(copen2, type, open2 : ((cartrealn > $o) > $o)).
thf(copen1, type, open1 : ((cartrealq168015 > $o) > $o)).
thf(copen0, type, open0 : ((cartrealq169289 > $o) > $o)).
thf(copen, type, open : ((cartrealn3 > $o) > $o)).
thf(cbounded1, type, bounded1 : ((cartrealn3 > $o) > $o)).
thf(cbounded0, type, bounded0 : ((cartrealq181630 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealq181707 > $o) > $o)).
thf(cmeasurable, type, measurable : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_BALL, axiom, ![X:cartrealq181707,E:real]:(bounded @ (ball @ (c_ @ X @ E)))).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealq181630 > $o),T:(cartrealq181630 > $o)]:(((bounded0 @ T) & (subset @ S @ T)) => (bounded0 @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aMEASURABLEu_OPEN, axiom, ![S:(cartrealn3 > $o)]:(((bounded1 @ S) & (open @ S)) => (measurable @ S))).
thf(aNORMBALLu_BALL, axiom, ![Z:cartrealq721339,R:real]:((normball @ Z @ R) = (ball0 @ (c_0 @ Z @ R)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aOPENu_BALL, axiom, ![X:cartrealq169289,E:real]:(open0 @ (ball1 @ (c_1 @ X @ E)))).
thf(aOPENu_INTER, axiom, ![S:(cartrealq168015 > $o),T:(cartrealq168015 > $o)]:(((open1 @ S) & (open1 @ T)) => (open1 @ (inter0 @ S @ T)))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUrrphbz2o_OPENu_RCONEu_GT, axiom, ![V0:cartrealn,V1:cartrealn,A:real]:(open2 @ (rconeu_gt @ V0 @ V1 @ A))).
thf(aconicu_cap, axiom, ![R:real,V0:cartrealn3,V1:cartrealn3,A:real]:((conicu_cap @ V0 @ V1 @ R @ A) = (inter1 @ (normball0 @ V0 @ R) @ (rconeu_gt0 @ V0 @ V1 @ A)))).
thf(conjecture, conjecture, ![V0:cartrealn3,V1:cartrealn3,R:real,A:real]:(measurable @ (conicu_cap @ V0 @ V1 @ R @ A))).
