%   ORIGINAL: Sphere.dihV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: dihV: !w1 w3 w2 w0. dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in arcV (vec 0) vap vbp)
% Goal: !w1 w3 w2 w0. dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in arcV (vec 0) vap vbp)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !w1 w3 w2 w0. dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in arcV (vec 0) vap vbp)
% Goal: !w1 w3 w2 w0. dihV w0 w1 w2 w3 = (let va = w2 - w0 in let vb = w3 - w0 in let vc = w1 - w0 in let vap = (vc dot vc) % va - (va dot vc) % vc in let vbp = (vc dot vc) % vb - (vb dot vc) % vc in arcV (vec 0) vap vbp)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq737107, type, cartrealq737107 : $tType).
thf(tq737107, type, q737107 : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealq737107 > cartrealq737107 > real)).
thf(clet, type, let : ((cartrealq737107 > real) > cartrealq737107 > real)).
thf(cru_, type, r_ : (real > cartrealq737107 > cartrealq737107)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealq737107 > cartrealq737107 > cartrealq737107)).
thf(carcv, type, arcv : (cartrealq737107 > cartrealq737107 > cartrealq737107 > real)).
thf(cdihv, type, dihv : (cartrealq737107 > cartrealq737107 > cartrealq737107 > cartrealq737107 > real)).
thf(cuu_0, type, u_0 : num).
thf(cvec, type, vec : (num > cartrealq737107)).
thf(cletuu_end, type, letu_end : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(adihV, axiom, ![W1:cartrealq737107,W3:cartrealq737107,W2:cartrealq737107,W0:cartrealq737107]:((dihv @ W0 @ W1 @ W2 @ W3) = (let @ ^[VA:cartrealq737107]:(letu_end @ (let @ ^[VB:cartrealq737107]:(letu_end @ (let @ ^[VC:cartrealq737107]:(letu_end @ (let @ ^[VAP:cartrealq737107]:(letu_end @ (let @ ^[VBP:cartrealq737107]:(letu_end @ (arcv @ (vec @ (numeral @ u_0)) @ VAP @ VBP)) @ (vectoru_sub @ (r_ @ (dot @ VC @ VC) @ VB) @ (r_ @ (dot @ VB @ VC) @ VC)))) @ (vectoru_sub @ (r_ @ (dot @ VC @ VC) @ VA) @ (r_ @ (dot @ VA @ VC) @ VC)))) @ (vectoru_sub @ W1 @ W0))) @ (vectoru_sub @ W3 @ W0))) @ (vectoru_sub @ W2 @ W0)))).
thf(conjecture, conjecture, ![W1:cartrealq737107,W3:cartrealq737107,W2:cartrealq737107,W0:cartrealq737107]:((dihv @ W0 @ W1 @ W2 @ W3) = (let @ ^[VA:cartrealq737107]:(letu_end @ (let @ ^[VB:cartrealq737107]:(letu_end @ (let @ ^[VC:cartrealq737107]:(letu_end @ (let @ ^[VAP:cartrealq737107]:(letu_end @ (let @ ^[VBP:cartrealq737107]:(letu_end @ (arcv @ (vec @ (numeral @ u_0)) @ VAP @ VBP)) @ (vectoru_sub @ (r_ @ (dot @ VC @ VC) @ VB) @ (r_ @ (dot @ VB @ VC) @ VC)))) @ (vectoru_sub @ (r_ @ (dot @ VC @ VC) @ VA) @ (r_ @ (dot @ VA @ VC) @ VC)))) @ (vectoru_sub @ W1 @ W0))) @ (vectoru_sub @ W3 @ W0))) @ (vectoru_sub @ W2 @ W0)))).
