%   ORIGINAL: Geomdetail.VSUM_DIS2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FINITE_RULES_conjunct0: FINITE {}
% Assm: FINITE_RULES_conjunct1: !x s. FINITE s ==> FINITE (x INSERT s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: VSUM_CLAUSES_conjunct0: !f. vsum {} f = vec 0
% Assm: VSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Assm: VSUM_SING: !f x. vsum {x} f = f x
% Goal: !x y f. ~(x = y) ==> vsum {x, y} f = f x + f y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: FINITE {}
% Assm: !x s. FINITE s ==> FINITE (x INSERT s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: !f. vsum {} f = vec 0
% Assm: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Assm: !f x. vsum {x} f = f x
% Goal: !x y f. ~(x = y) ==> vsum {x, y} f = f x + f y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq751689, type, cartrealq751689 : $tType).
thf(tq751688, type, q751688 : $tType).
thf(tq751689, type, q751689 : $tType).
%  CONSTS
thf(cin, type, in : (q751688 > (q751688 > $o) > $o)).
thf(cempty, type, empty : (q751688 > $o)).
thf(ccond0, type, cond0 : ($o > q751688 > q751688 > q751688)).
thf(ccond, type, cond : ($o > cartrealq751689 > cartrealq751689 > cartrealq751689)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq751689 > cartrealq751689 > cartrealq751689)).
thf(cinsert, type, insert : (q751688 > (q751688 > $o) > q751688 > $o)).
thf(cvsum, type, vsum : ((q751688 > $o) > (q751688 > cartrealq751689) > cartrealq751689)).
thf(ci0, type, i0 : (q751688 > q751688)).
thf(cfinite, type, finite : ((q751688 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cvec, type, vec : (num > cartrealq751689)).
thf(ci, type, i : (cartrealq751689 > cartrealq751689)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealq751689),G:(a > cartrealq751689)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > q751688),G:(a > q751688)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:cartrealq751689,T2:cartrealq751689]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:q751688,T2:q751688]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFINITEu_RULESu_conjunct0, axiom, (finite @ empty)).
thf(aFINITEu_RULESu_conjunct1, axiom, ![X:q751688,S:(q751688 > $o)]:((finite @ S) => (finite @ (insert @ X @ S)))).
thf(aINu_INSERT, axiom, ![X:q751688,Y:q751688,S:(q751688 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:cartrealq751689]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:q751688]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:q751688]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_CLAUSESu_conjunct0, axiom, ![F:(q751688 > cartrealq751689)]:((vsum @ empty @ F) = (vec @ (numeral @ u_0)))).
thf(aVSUMu_CLAUSESu_conjunct1, axiom, ![X:q751688,F:(q751688 > cartrealq751689),S:(q751688 > $o)]:((finite @ S) => ((vsum @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (vsum @ S @ F) @ (vectoru_add @ (F @ X) @ (vsum @ S @ F)))))).
thf(aVSUMu_SING, axiom, ![F:(q751688 > cartrealq751689),X:q751688]:((vsum @ (insert @ X @ empty) @ F) = (F @ X))).
thf(conjecture, conjecture, ![X:q751688,Y:q751688,F:(q751688 > cartrealq751689)]:(~ ((X = Y)) => ((vsum @ (insert @ X @ (insert @ Y @ empty)) @ F) = (vectoru_add @ (F @ X) @ (F @ Y))))).
