%   ORIGINAL: Geomdetail.SET_OF_4
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ALL_conjunct0: ALL P [] <=> T
% Assm: ALL_conjunct1: ALL P (CONS h t) <=> P h /\ ALL P t
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Geomdetail.HAS_SIZE_SET_OF_LIST_4: !a b c d. {a, b, c, d} HAS_SIZE 4 <=> PAIRWISE (\x y. ~(x = y)) [a; b; c; d]
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTER_EMPTY_conjunct0: !s. {} INTER s = {}
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: PAIRWISE_conjunct0: PAIRWISE r [] <=> T
% Assm: PAIRWISE_conjunct1: PAIRWISE r (CONS h t) <=> ALL (r h) t /\ PAIRWISE r t
% Assm: TRUTH: T
% Goal: !a b c d. (?v1 v2 v3 v4. ~(v1 = v2 \/ v3 = v4) /\ {v1, v2} INTER {v3, v4} = {} /\ {a, b, c, d} = {v1, v2, v3, v4}) <=> ~(a = b \/ a = c \/ a = d \/ b = c \/ b = d \/ c = d)
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !P. ALL P [] <=> T
% Assm: !h P t. ALL P (CONS h t) <=> P h /\ ALL P t
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !a b c d. {a, b, c, d} HAS_SIZE 4 <=> PAIRWISE (\x y. ~(x = y)) [a; b; c; d]
% Assm: !P x. x IN P <=> P x
% Assm: !s. {} INTER s = {}
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !r. PAIRWISE r [] <=> T
% Assm: !h r t. PAIRWISE r (CONS h t) <=> ALL (r h) t /\ PAIRWISE r t
% Assm: T
% Goal: !a b c d. (?v1 v2 v3 v4. ~(v1 = v2 \/ v3 = v4) /\ {v1, v2} INTER {v3, v4} = {} /\ {a, b, c, d} = {v1, v2, v3, v4}) <=> ~(a = b \/ a = c \/ a = d \/ b = c \/ b = d \/ c = d)
%  TYPES
thf(tnum, type, num : $tType).
thf(tlista, type, lista : $tType).
thf(tlistq18393, type, listq18393 : $tType).
thf(ta, type, a : $tType).
thf(tq18393, type, q18393 : $tType).
%  CONSTS
thf(call0, type, all0 : ((a > $o) > lista > $o)).
thf(cpairwise, type, pairwise : ((a > a > $o) > lista > $o)).
thf(chasuu_size, type, hasu_size : ((a > $o) > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(call, type, all : ((q18393 > $o) > listq18393 > $o)).
thf(ccons0, type, cons0 : (a > lista > lista)).
thf(ccons, type, cons : (q18393 > listq18393 > listq18393)).
thf(cnil, type, nil : listq18393).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnil0, type, nil0 : lista).
thf(cempty, type, empty : (a > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aALLu_conjunct0, axiom, ![P:(q18393 > $o)]:((all @ P @ nil) <=> $true)).
thf(aALLu_conjunct1, axiom, ![H:q18393,P:(q18393 > $o),T:listq18393]:((all @ P @ (cons @ H @ T)) <=> ((P @ H) & (all @ P @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aGeomdetailo_HASu_SIZEu_SETu_OFu_LISTu_4, axiom, ![A:a,B:a,C:a,D:a]:((hasu_size @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty)))) @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0))))) <=> (pairwise @ ^[X:a,Y:a]:~ ((X = Y)) @ (cons0 @ A @ (cons0 @ B @ (cons0 @ C @ (cons0 @ D @ nil0))))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINTERu_EMPTYu_conjunct0, axiom, ![S:(a > $o)]:((inter @ empty @ S) = empty)).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aPAIRWISEu_conjunct0, axiom, ![R:(a > a > $o)]:((pairwise @ R @ nil0) <=> $true)).
thf(aPAIRWISEu_conjunct1, axiom, ![H:a,R:(a > a > $o),T:lista]:((pairwise @ R @ (cons0 @ H @ T)) <=> ((all0 @ (R @ H) @ T) & (pairwise @ R @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:a,B:a,C:a,D:a]:(?[V1:a,V2:a,V3:a,V4:a]:(~ (((V1 = V2) | (V3 = V4))) & ((inter @ (insert @ V1 @ (insert @ V2 @ empty)) @ (insert @ V3 @ (insert @ V4 @ empty))) = empty) & ((insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty)))) = (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ V4 @ empty)))))) <=> ~ (((A = B) | (A = C) | (A = D) | (B = C) | (B = D) | (C = D))))).
