%   ORIGINAL: Geomdetail.FOUR_IN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !a b c d. a IN {a, b, c, d} /\ b IN {a, b, c, d} /\ c IN {a, b, c, d} /\ d IN {a, b, c, d}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !a b c d. a IN {a, b, c, d} /\ b IN {a, b, c, d} /\ c IN {a, b, c, d} /\ d IN {a, b, c, d}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq771919, type, q771919 : $tType).
%  CONSTS
thf(cempty, type, empty : (q771919 > $o)).
thf(cin, type, in : (q771919 > (q771919 > $o) > $o)).
thf(cinsert, type, insert : (q771919 > (q771919 > $o) > q771919 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_INSERT, axiom, ![X:q771919,Y:q771919,S:(q771919 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_INu_EMPTY, axiom, ![X:q771919]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:q771919,B:q771919,C:q771919,D:q771919]:((in @ A @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty))))) & (in @ B @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty))))) & (in @ C @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty))))) & (in @ D @ (insert @ A @ (insert @ B @ (insert @ C @ (insert @ D @ empty))))))).
