%   ORIGINAL: Collect_geom.lemma_cm3
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct1: _0 <= _0 <=> T
% Assm: ARITH_LE_conjunct5: !n. _0 <= BIT1 n <=> T
% Assm: ARITH_LE_conjunct7: !m n. BIT0 m <= BIT1 n <=> m <= n
% Assm: ARITH_LE_conjunct8: !m n. BIT1 m <= BIT0 n <=> m < n
% Assm: ARITH_LE_conjunct9: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIMINDEX_3: dimindex (:3) = 3
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VECTOR_SUB_COMPONENT: !x y i. (x - y)$i = x$i - y$i
% Goal: !x y. (x - y)$1 = x$1 - y$1 /\ (x - y)$2 = x$2 - y$2 /\ (x - y)$3 = x$3 - y$3
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: _0 <= _0 <=> T
% Assm: !n. _0 <= BIT1 n <=> T
% Assm: !m n. BIT0 m <= BIT1 n <=> m <= n
% Assm: !m n. BIT1 m <= BIT0 n <=> m < n
% Assm: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: dimindex (:3) = 3
% Assm: ~F <=> T
% Assm: T
% Assm: !x y i. (x - y)$i = x$i - y$i
% Goal: !x y. (x - y)$1 = x$1 - y$1 /\ (x - y)$2 = x$2 - y$2 /\ (x - y)$3 = x$3 - y$3
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cdu_, type, d_ : (cartrealn3 > num > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cuniv, type, univ : (n3 > $o)).
thf(cdimindex, type, dimindex : ((n3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct1, axiom, ((l_a_ @ u_0 @ u_0) <=> $true)).
thf(aARITHu_LEu_conjunct5, axiom, ![N:num]:((l_a_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_LEu_conjunct7, axiom, ![M:num,N:num]:((l_a_ @ (bit0 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct8, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit0 @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LEu_conjunct9, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDIMINDEXu_3, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ (bit1 @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_COMPONENT, axiom, ![X:cartrealn3,Y:cartrealn3,I:num]:((d_ @ (vectoru_sub @ X @ Y) @ I) = (realu_sub @ (d_ @ X @ I) @ (d_ @ Y @ I)))).
thf(conjecture, conjecture, ![X:cartrealn3,Y:cartrealn3]:(((d_ @ (vectoru_sub @ X @ Y) @ (numeral @ (bit1 @ u_0))) = (realu_sub @ (d_ @ X @ (numeral @ (bit1 @ u_0))) @ (d_ @ Y @ (numeral @ (bit1 @ u_0))))) & ((d_ @ (vectoru_sub @ X @ Y) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_sub @ (d_ @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (d_ @ Y @ (numeral @ (bit0 @ (bit1 @ u_0)))))) & ((d_ @ (vectoru_sub @ X @ Y) @ (numeral @ (bit1 @ (bit1 @ u_0)))) = (realu_sub @ (d_ @ X @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ (d_ @ Y @ (numeral @ (bit1 @ (bit1 @ u_0)))))))).
