%   ORIGINAL: Collect_geom.REDUCE_T2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !P Q. (!v1 v2 v3 t1 t2 t3. P v1 t1 v2 t2 v3 t3 <=> P v2 t2 v1 t1 v3 t3) /\ (!v1 v2 v3. Q v1 v2 v3 <=> Q v2 v1 v3) /\ (!v1 v2 v3 t1 t2 t3. ~(t1 = &0 /\ t3 = &0) /\ P v1 t1 v2 t2 v3 t3 ==> Q v1 v2 v3) ==> (!v1 v2 v3 t1 t2 t3. ~(t1 = &0 /\ t2 = &0 /\ t3 = &0) /\ P v1 t1 v2 t2 v3 t3 ==> Q v1 v2 v3)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Goal: !P Q. (!v1 v2 v3 t1 t2 t3. P v1 t1 v2 t2 v3 t3 <=> P v2 t2 v1 t1 v3 t3) /\ (!v1 v2 v3. Q v1 v2 v3 <=> Q v2 v1 v3) /\ (!v1 v2 v3 t1 t2 t3. ~(t1 = &0 /\ t3 = &0) /\ P v1 t1 v2 t2 v3 t3 ==> Q v1 v2 v3) ==> (!v1 v2 v3 t1 t2 t3. ~(t1 = &0 /\ t2 = &0 /\ t3 = &0) /\ P v1 t1 v2 t2 v3 t3 ==> Q v1 v2 v3)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq788432, type, q788432 : $tType).
thf(tq788433, type, q788433 : $tType).
%  CONSTS
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(q788433 > real > q788433 > real > q788432 > real > $o),Q:(q788433 > q788433 > q788432 > $o)]:((![V1:q788433,V2:q788433,V3:q788432,T1:real,T2:real,T3:real]:((P @ V1 @ T1 @ V2 @ T2 @ V3 @ T3) <=> (P @ V2 @ T2 @ V1 @ T1 @ V3 @ T3)) & ![V1:q788433,V2:q788433,V3:q788432]:((Q @ V1 @ V2 @ V3) <=> (Q @ V2 @ V1 @ V3)) & ![V1:q788433,V2:q788433,V3:q788432,T1:real,T2:real,T3:real]:((~ (((T1 = (realu_ofu_num @ (numeral @ u_0))) & (T3 = (realu_ofu_num @ (numeral @ u_0))))) & (P @ V1 @ T1 @ V2 @ T2 @ V3 @ T3)) => (Q @ V1 @ V2 @ V3))) => ![V1:q788433,V2:q788433,V3:q788432,T1:real,T2:real,T3:real]:((~ (((T1 = (realu_ofu_num @ (numeral @ u_0))) & (T2 = (realu_ofu_num @ (numeral @ u_0))) & (T3 = (realu_ofu_num @ (numeral @ u_0))))) & (P @ V1 @ T1 @ V2 @ T2 @ V3 @ T3)) => (Q @ V1 @ V2 @ V3)))).
