%   ORIGINAL: Collect_geom.LAMBDA_TRIPLED_THM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FORALL_PAIR_THM: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: FST: !x y. FST (x,y) = x
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: SND: !x y. SND (x,y) = y
% Assm: TRUTH: T
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !t. (\(x,y,z). t x y z) = (\p. t (FST p) (FST (SND p)) (SND (SND p)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !t. (\x. t x) = t
% Assm: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: !P. (!p. P p) <=> (!p1 p2. P (p1,p2))
% Assm: !x y. FST (x,y) = x
% Assm: !x y. FST (x,y) = x
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a = b
% Assm: !P x. P x ==> P ((@) P)
% Assm: !x y. SND (x,y) = y
% Assm: !x y. SND (x,y) = y
% Assm: T
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !t. (\(x,y,z). t x y z) = (\p. t (FST p) (FST (SND p)) (SND (SND p)))
%  TYPES
thf(ta, type, a : $tType).
thf(tprodq798235q798229, type, prodq798235q798229 : $tType).
thf(tq798220, type, q798220 : $tType).
thf(tprodq798224prodq798235q798229, type, prodq798224prodq798235q798229 : $tType).
thf(tq798235, type, q798235 : $tType).
thf(tq798224, type, q798224 : $tType).
thf(tq798229, type, q798229 : $tType).
%  CONSTS
thf(cfst, type, fst : (prodq798224prodq798235q798229 > q798224)).
thf(cfst0, type, fst0 : (prodq798235q798229 > q798235)).
thf(cgeq, type, geq : (q798220 > q798220 > $o)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(chu_, type, h_ : (((prodq798224prodq798235q798229 > q798220) > $o) > prodq798224prodq798235q798229 > q798220)).
thf(ccu_0, type, c_0 : (q798235 > q798229 > prodq798235q798229)).
thf(ccu_, type, c_ : (q798224 > prodq798235q798229 > prodq798224prodq798235q798229)).
thf(cgabs, type, gabs : (((prodq798224prodq798235q798229 > q798220) > $o) > prodq798224prodq798235q798229 > q798220)).
thf(csnd, type, snd : (prodq798224prodq798235q798229 > prodq798235q798229)).
thf(csnd0, type, snd0 : (prodq798235q798229 > q798229)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > prodq798224prodq798235q798229 > q798220),G:(a > prodq798224prodq798235q798229 > q798220)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aETAu_AX, axiom, ![T:(prodq798224prodq798235q798229 > q798220)]:(^[X:prodq798224prodq798235q798229]:(T @ X) = T)).
thf(aFORALLu_PAIRu_THMu_monomorphized1, axiom, ![P:(prodq798235q798229 > $o)]:(![P0:prodq798235q798229]:(P @ P0) <=> ![P1:q798235,P2:q798229]:(P @ (c_0 @ P1 @ P2)))).
thf(aFORALLu_PAIRu_THMu_monomorphized0, axiom, ![P:(prodq798224prodq798235q798229 > $o)]:(![P0:prodq798224prodq798235q798229]:(P @ P0) <=> ![P1:q798224,P2:prodq798235q798229]:(P @ (c_ @ P1 @ P2)))).
thf(aFSTu_monomorphized1, axiom, ![X:q798235,Y:q798229]:((fst0 @ (c_0 @ X @ Y)) = X)).
thf(aFSTu_monomorphized0, axiom, ![X:q798224,Y:prodq798235q798229]:((fst @ (c_ @ X @ Y)) = X)).
thf(aFUNu_EQu_THM, axiom, ![F:(prodq798224prodq798235q798229 > q798220),G:(prodq798224prodq798235q798229 > q798220)]:((F = G) <=> ![X:prodq798224prodq798235q798229]:((F @ X) = (G @ X)))).
thf(aGABSu_DEF, axiom, ![P:((prodq798224prodq798235q798229 > q798220) > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:q798220,B:q798220]:((geq @ A @ B) <=> (A = B))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aSNDu_monomorphized1, axiom, ![X:q798235,Y:q798229]:((snd0 @ (c_0 @ X @ Y)) = Y)).
thf(aSNDu_monomorphized0, axiom, ![X:q798224,Y:prodq798235q798229]:((snd @ (c_ @ X @ Y)) = Y)).
thf(aTRUTH, axiom, $true).
thf(apairu_RECURSIONu_monomorphized1, axiom, ![PAIRI_:(q798235 > q798229 > prodq798224prodq798235q798229 > q798220)]:?[FN:(prodq798235q798229 > prodq798224prodq798235q798229 > q798220)]:![A0:q798235,A1:q798229]:((FN @ (c_0 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized0, axiom, ![PAIRI_:(q798224 > prodq798235q798229 > prodq798224prodq798235q798229 > q798220)]:?[FN:(prodq798224prodq798235q798229 > prodq798224prodq798235q798229 > q798220)]:![A0:q798224,A1:prodq798235q798229]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![T:(q798224 > q798235 > q798229 > q798220)]:((gabs @ ^[F:(prodq798224prodq798235q798229 > q798220)]:![X:q798224,Y:q798235,Z:q798229]:(geq @ (F @ (c_ @ X @ (c_0 @ Y @ Z))) @ (T @ X @ Y @ Z))) = ^[P:prodq798224prodq798235q798229]:(T @ (fst @ P) @ (fst0 @ (snd @ P)) @ (snd0 @ (snd @ P))))).
