%   ORIGINAL: Collect_geom.AFFINE_CONTAIN_LINE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.AFF_2POINTS_INTERPRET: !a b. aff {a, b} = {x | ?ta tb. ta + tb = &1 /\ x = ta % a + tb % b}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: affine: !s. affine s <=> (!x y u v. x IN s /\ y IN s /\ u + v = &1 ==> u % x + v % y IN s)
% Goal: !a b s. affine s /\ {a, b} SUBSET s ==> aff {a, b} SUBSET s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. aff {a, b} = {x | ?ta tb. ta + tb = &1 /\ x = ta % a + tb % b}
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. affine s <=> (!x y u v. x IN s /\ y IN s /\ u + v = &1 ==> u % x + v % y IN s)
% Goal: !a b s. affine s /\ {a, b} SUBSET s ==> aff {a, b} SUBSET s
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq800995, type, cartrealq800995 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq800995, type, q800995 : $tType).
%  CONSTS
thf(cin1, type, in1 : (cartrealq800995 > (cartrealq800995 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cgspec, type, gspec : ((cartrealq800995 > $o) > cartrealq800995 > $o)).
thf(caff, type, aff : ((cartrealq800995 > $o) > cartrealq800995 > $o)).
thf(csubset, type, subset : ((cartrealq800995 > $o) > (cartrealq800995 > $o) > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(cru_, type, r_ : (real > cartrealq800995 > cartrealq800995)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq800995 > cartrealq800995 > cartrealq800995)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealq800995 > $o > cartrealq800995 > $o)).
thf(cinsert, type, insert : (cartrealq800995 > (cartrealq800995 > $o) > cartrealq800995 > $o)).
thf(cempty, type, empty : (cartrealq800995 > $o)).
thf(caffine, type, affine : ((cartrealq800995 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_AFFu_2POINTSu_INTERPRET, axiom, ![A:cartrealq800995,B:cartrealq800995]:((aff @ (insert @ A @ (insert @ B @ empty))) = (gspec @ ^[GENR_PVARR_72:cartrealq800995]:?[X:cartrealq800995]:(setspec @ GENR_PVARR_72 @ ?[TA:real,TB:real]:(((realu_add @ TA @ TB) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (X = (vectoru_add @ (r_ @ TA @ A) @ (r_ @ TB @ B)))) @ X)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealq800995,Y:cartrealq800995,S:(cartrealq800995 > $o)]:((in1 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in1 @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq800995]:~ ((in1 @ X @ empty))).
thf(aSUBSET, axiom, ![S:(cartrealq800995 > $o),T:(cartrealq800995 > $o)]:((subset @ S @ T) <=> ![X:cartrealq800995]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aaffine, axiom, ![S:(cartrealq800995 > $o)]:((affine @ S) <=> ![X:cartrealq800995,Y:cartrealq800995,U:real,V:real]:(((in1 @ X @ S) & (in1 @ Y @ S) & ((realu_add @ U @ V) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => (in1 @ (vectoru_add @ (r_ @ U @ X) @ (r_ @ V @ Y)) @ S)))).
thf(conjecture, conjecture, ![A:cartrealq800995,B:cartrealq800995,S:(cartrealq800995 > $o)]:(((affine @ S) & (subset @ (insert @ A @ (insert @ B @ empty)) @ S)) => (subset @ (aff @ (insert @ A @ (insert @ B @ empty))) @ S))).
