%   ORIGINAL: Collect_geom2.LEMMA3
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Collect_geom.UPS_X_POS: &0 <= ups_x (norm (x1 - x2) pow 2) (norm (x1 - x3) pow 2) (norm (x2 - x3) pow 2)
% Assm: Collect_geom2.CAYLEYR_5POINTS: !x1 x2 x3 x4 x5. let x12 = dist (x1,x2) pow 2 in let x13 = dist (x1,x3) pow 2 in let x14 = dist (x1,x4) pow 2 in let x15 = dist (x1,x5) pow 2 in let x23 = dist (x2,x3) pow 2 in let x24 = dist (x2,x4) pow 2 in let x25 = dist (x2,x5) pow 2 in let x34 = dist (x3,x4) pow 2 in let x35 = dist (x3,x5) pow 2 in let x45 = dist (x4,x5) pow 2 in cayleyR x12 x13 x14 x15 x23 x24 x25 x34 x35 x45 = &0
% Assm: Collect_geom2.DELTA_POS_4POINTS: !x1 x2 x3 x4. &0 <= delta (dist (x1,x2) pow 2) (dist (x1,x3) pow 2) (dist (x1,x4) pow 2) (dist (x2,x3) pow 2) (dist (x2,x4) pow 2) (dist (x3,x4) pow 2)
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: TRUTH: T
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !x1 x2 x3 x4 x5. let x12 = dist (x1,x2) pow 2 in let x13 = dist (x1,x3) pow 2 in let x14 = dist (x1,x4) pow 2 in let x15 = dist (x1,x5) pow 2 in let x23 = dist (x2,x3) pow 2 in let x24 = dist (x2,x4) pow 2 in let x25 = dist (x2,x5) pow 2 in let x34 = dist (x3,x4) pow 2 in let x35 = dist (x3,x5) pow 2 in let x45 = dist (x4,x5) pow 2 in &0 <= ups_x x12 x13 x23 /\ &0 <= delta x12 x13 x14 x23 x24 x34 /\ cayleyR x12 x13 x14 x15 x23 x24 x25 x34 x35 x45 = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x1 x2 x3. &0 <= ups_x (norm (x1 - x2) pow 2) (norm (x1 - x3) pow 2) (norm (x2 - x3) pow 2)
% Assm: !x1 x2 x3 x4 x5. let x12 = dist (x1,x2) pow 2 in let x13 = dist (x1,x3) pow 2 in let x14 = dist (x1,x4) pow 2 in let x15 = dist (x1,x5) pow 2 in let x23 = dist (x2,x3) pow 2 in let x24 = dist (x2,x4) pow 2 in let x25 = dist (x2,x5) pow 2 in let x34 = dist (x3,x4) pow 2 in let x35 = dist (x3,x5) pow 2 in let x45 = dist (x4,x5) pow 2 in cayleyR x12 x13 x14 x15 x23 x24 x25 x34 x35 x45 = &0
% Assm: !x1 x2 x3 x4. &0 <= delta (dist (x1,x2) pow 2) (dist (x1,x3) pow 2) (dist (x1,x4) pow 2) (dist (x2,x3) pow 2) (dist (x2,x4) pow 2) (dist (x3,x4) pow 2)
% Assm: !f x. LET f x <=> f x
% Assm: !t. LET_END t <=> t
% Assm: T
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !x1 x2 x3 x4 x5. let x12 = dist (x1,x2) pow 2 in let x13 = dist (x1,x3) pow 2 in let x14 = dist (x1,x4) pow 2 in let x15 = dist (x1,x5) pow 2 in let x23 = dist (x2,x3) pow 2 in let x24 = dist (x2,x4) pow 2 in let x25 = dist (x2,x5) pow 2 in let x34 = dist (x3,x4) pow 2 in let x35 = dist (x3,x5) pow 2 in let x45 = dist (x4,x5) pow 2 in &0 <= ups_x x12 x13 x23 /\ &0 <= delta x12 x13 x14 x23 x24 x34 /\ cayleyR x12 x13 x14 x15 x23 x24 x25 x34 x35 x45 = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clet, type, let : ((real > $o) > real > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccayleyr, type, cayleyr : (real > real > real > real > real > real > real > real > real > real > real)).
thf(cdelta, type, delta : (real > real > real > real > real > real > real)).
thf(cupsuu_x, type, upsu_x : (real > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cletuu_end, type, letu_end : ($o > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCollectu_geomo_UPSu_Xu_POS, axiom, ![X1:cartrealn3,X2:cartrealn3,X3:cartrealn3]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (upsu_x @ (realu_pow @ (vectoru_norm @ (vectoru_sub @ X1 @ X2)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (vectoru_norm @ (vectoru_sub @ X1 @ X3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (vectoru_norm @ (vectoru_sub @ X2 @ X3)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aCollectu_geom2o_CAYLEYRu_5POINTS, axiom, ![X1:cartrealn3,X2:cartrealn3,X3:cartrealn3,X4:cartrealn3,X5:cartrealn3]:(let @ ^[X12:real]:(letu_end @ (let @ ^[X13:real]:(letu_end @ (let @ ^[X14:real]:(letu_end @ (let @ ^[X15:real]:(letu_end @ (let @ ^[X23:real]:(letu_end @ (let @ ^[X24:real]:(letu_end @ (let @ ^[X25:real]:(letu_end @ (let @ ^[X34:real]:(letu_end @ (let @ ^[X35:real]:(letu_end @ (let @ ^[X45:real]:(letu_end @ ((cayleyr @ X12 @ X13 @ X14 @ X15 @ X23 @ X24 @ X25 @ X34 @ X35 @ X45) = (realu_ofu_num @ (numeral @ u_0)))) @ (realu_pow @ (distance @ (c_ @ X4 @ X5)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ X3 @ X5)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ X3 @ X4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ X2 @ X5)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ X2 @ X4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ X2 @ X3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ X1 @ X5)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ X1 @ X4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ X1 @ X3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ X1 @ X2)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(aCollectu_geom2o_DELTAu_POSu_4POINTS, axiom, ![X1:cartrealn3,X2:cartrealn3,X3:cartrealn3,X4:cartrealn3]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (delta @ (realu_pow @ (distance @ (c_ @ X1 @ X2)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (distance @ (c_ @ X1 @ X3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (distance @ (c_ @ X1 @ X4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (distance @ (c_ @ X2 @ X3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (distance @ (c_ @ X2 @ X4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (distance @ (c_ @ X3 @ X4)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aLETu_DEF, axiom, ![F:(real > $o),X:real]:((let @ F @ X) <=> (F @ X))).
thf(aLETu_ENDu_DEF, axiom, ![T:$o]:((letu_end @ T) <=> T)).
thf(aTRUTH, axiom, $true).
thf(adist, axiom, ![X:cartrealn3,Y:cartrealn3]:((distance @ (c_ @ X @ Y)) = (vectoru_norm @ (vectoru_sub @ X @ Y)))).
thf(conjecture, conjecture, ![X1:cartrealn3,X2:cartrealn3,X3:cartrealn3,X4:cartrealn3,X5:cartrealn3]:(let @ ^[X12:real]:(letu_end @ (let @ ^[X13:real]:(letu_end @ (let @ ^[X14:real]:(letu_end @ (let @ ^[X15:real]:(letu_end @ (let @ ^[X23:real]:(letu_end @ (let @ ^[X24:real]:(letu_end @ (let @ ^[X25:real]:(letu_end @ (let @ ^[X34:real]:(letu_end @ (let @ ^[X35:real]:(letu_end @ (let @ ^[X45:real]:(letu_end @ ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (upsu_x @ X12 @ X13 @ X23)) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (delta @ X12 @ X13 @ X14 @ X23 @ X24 @ X34)) & ((cayleyr @ X12 @ X13 @ X14 @ X15 @ X23 @ X24 @ X25 @ X34 @ X35 @ X45) = (realu_ofu_num @ (numeral @ u_0))))) @ (realu_pow @ (distance @ (c_ @ X4 @ X5)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ X3 @ X5)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ X3 @ X4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ X2 @ X5)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ X2 @ X4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ X2 @ X3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ X1 @ X5)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ X1 @ X4)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ X1 @ X3)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_pow @ (distance @ (c_ @ X1 @ X2)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
