%   ORIGINAL: Trigonometry2.ABS_LE_1_IMP_SIN_ACS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry2.ABS_BOUNDS: !x k. abs x <= k <=> --k <= x /\ x <= k
% Assm: Trigonometry2.sin_acs_t: !y. -- &1 <= y /\ y <= &1 ==> sin (acs y) = sqrt (&1 - y pow 2)
% Goal: !y. abs y <= &1 ==> sin (acs y) = sqrt (&1 - y pow 2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !x k. abs x <= k <=> --k <= x /\ x <= k
% Assm: !y. -- &1 <= y /\ y <= &1 ==> sin (acs y) = sqrt (&1 - y pow 2)
% Goal: !y. abs y <= &1 ==> sin (acs y) = sqrt (&1 - y pow 2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(csqrt, type, sqrt : (real > real)).
thf(cacs, type, acs : (real > real)).
thf(csin, type, sin : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ABSu_BOUNDS, axiom, ![X:real,K:real]:((realu_le @ (realu_abs @ X) @ K) <=> ((realu_le @ (realu_neg @ K) @ X) & (realu_le @ X @ K)))).
thf(aTrigonometry2o_sinu_acsu_t, axiom, ![Y:real]:(((realu_le @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y) & (realu_le @ Y @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((sin @ (acs @ Y)) = (sqrt @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
thf(conjecture, conjecture, ![Y:real]:((realu_le @ (realu_abs @ Y) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => ((sin @ (acs @ Y)) = (sqrt @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
