%   ORIGINAL: Trigonometry2.INSERT_INTER_EMPTY_conjunct0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: {} INTER s = {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !s. {} INTER s = {}
%  TYPES
thf(ta, type, a : $tType).
thf(tq926216, type, q926216 : $tType).
%  CONSTS
thf(cin1, type, in1 : ((q926216 > $o) > ((q926216 > $o) > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (q926216 > (q926216 > $o) > $o)).
thf(cinsert, type, insert : ((q926216 > $o) > ((q926216 > $o) > $o) > (q926216 > $o) > $o)).
thf(cinter, type, inter : ((q926216 > $o) > (q926216 > $o) > q926216 > $o)).
thf(cempty, type, empty : (q926216 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q926216 > $o),G:(a > q926216 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(q926216 > $o)]:(^[X:q926216]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(q926216 > $o),T:(q926216 > $o)]:((S = T) <=> ![X:q926216]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:(q926216 > $o),Y:(q926216 > $o),S:((q926216 > $o) > $o)]:((in1 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in1 @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(q926216 > $o),T:(q926216 > $o),X:q926216]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:q926216]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(q926216 > $o)]:((inter @ empty @ S) = empty)).
