%   ORIGINAL: Trigonometry.UIVNNRR1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: Sphere.affsign: !v sgn s t. affsign sgn s t v <=> (?f. v = lin_combo (s UNION t) f /\ (!w. t w ==> sgn (f w)) /\ sum (s UNION t) f = &1)
% Assm: TRUTH: T
% Assm: aff_ge_def: aff_ge = affsign sgn_ge
% Assm: aff_gt_def: aff_gt = affsign sgn_gt
% Goal: !V. aff_ge V {} = aff_gt V {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !P x. x IN P <=> P x
% Assm: !x. ~(x IN {})
% Assm: !v sgn s t. affsign sgn s t v <=> (?f. v = lin_combo (s UNION t) f /\ (!w. t w ==> sgn (f w)) /\ sum (s UNION t) f = &1)
% Assm: T
% Assm: aff_ge = affsign sgn_ge
% Assm: aff_gt = affsign sgn_gt
% Goal: !V. aff_ge V {} = aff_gt V {}
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartrealq1081199, type, cartrealq1081199 : $tType).
thf(tcartreala, type, cartreala : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq1081199, type, q1081199 : $tType).
%  CONSTS
thf(csum, type, sum : ((cartreala > $o) > (cartreala > real) > real)).
thf(cin0, type, in0 : (cartrealq1081199 > (cartrealq1081199 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(caffsign0, type, affsign0 : ((real > $o) > (cartrealq1081199 > $o) > (cartrealq1081199 > $o) > cartrealq1081199 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cunion, type, union : ((cartreala > $o) > (cartreala > $o) > cartreala > $o)).
thf(clinuu_combo, type, linu_combo : ((cartreala > $o) > (cartreala > real) > cartreala)).
thf(caffsign, type, affsign : ((real > $o) > (cartreala > $o) > (cartreala > $o) > cartreala > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealq1081199 > $o) > (cartrealq1081199 > $o) > cartrealq1081199 > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealq1081199 > $o) > (cartrealq1081199 > $o) > cartrealq1081199 > $o)).
thf(cempty, type, empty : (cartrealq1081199 > $o)).
thf(cuu_0, type, u_0 : num).
thf(csgnuu_gt, type, sgnu_gt : (real > $o)).
thf(csgnuu_ge, type, sgnu_ge : (real > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq1081199 > $o),G:(a > cartrealq1081199 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealq1081199 > $o),G:(cartrealq1081199 > $o)]:((F = G) <=> ![X:cartrealq1081199]:((F @ X) <=> (G @ X)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealq1081199]:~ ((in0 @ X @ empty))).
thf(aSphereo_affsign, axiom, ![V:cartreala,SGN:(real > $o),S:(cartreala > $o),T:(cartreala > $o)]:((affsign @ SGN @ S @ T @ V) <=> ?[F:(cartreala > real)]:((V = (linu_combo @ (union @ S @ T) @ F)) & ![W:cartreala]:((T @ W) => (SGN @ (F @ W))) & ((sum @ (union @ S @ T) @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aTRUTH, axiom, $true).
thf(aaffu_geu_def, axiom, (affu_ge = (affsign0 @ sgnu_ge))).
thf(aaffu_gtu_def, axiom, (affu_gt = (affsign0 @ sgnu_gt))).
thf(conjecture, conjecture, ![V:(cartrealq1081199 > $o)]:((affu_ge @ V @ empty) = (affu_gt @ V @ empty))).
