%   ORIGINAL: Vol1.trans_normball
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: TRUTH: T
% Assm: VECTOR_ADD_SUB: (x + y) - x = y
% Assm: VECTOR_SUB_ADD2: y + x - y = x
% Assm: VECTOR_SUB_RZERO: x - vec 0 = x
% Assm: Vol1.SET_EQ: A = B <=> (!a. a IN A ==> a IN B) /\ (!a. a IN B ==> a IN A)
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Assm: normball: !x r. normball x r = {y | dist (y,x) < r}
% Goal: !x r. normball x r = IMAGE ((+) x) (normball (vec 0) r)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: T
% Assm: !x y. (x + y) - x = y
% Assm: !y x. y + x - y = x
% Assm: !x. x - vec 0 = x
% Assm: !B A. A = B <=> (!a. a IN A ==> a IN B) /\ (!a. a IN B ==> a IN A)
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !x r. normball x r = {y | dist (y,x) < r}
% Goal: !x r. normball x r = IMAGE ((+) x) (normball (vec 0) r)
%  TYPES
thf(tcartrealq98293, type, cartrealq98293 : $tType).
thf(tprodcartrealq98293cartrealq98293, type, prodcartrealq98293cartrealq98293 : $tType).
thf(tq98293, type, q98293 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(cdistance0, type, distance0 : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealq98293 > real)).
thf(cdistance, type, distance : (prodcartrealq98293cartrealq98293 > real)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(ccu_0, type, c_0 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq98293 > cartrealq98293 > cartrealq98293)).
thf(ccu_, type, c_ : (cartrealq98293 > cartrealq98293 > prodcartrealq98293cartrealq98293)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cimage, type, image : ((cartrealn3 > cartrealn3) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cnormball, type, normball : (cartrealn3 > real > cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGE, axiom, ![Y:cartrealn3,S:(cartrealn3 > $o),F:(cartrealn3 > cartrealn3)]:((in0 @ Y @ (image @ F @ S)) <=> ?[X:cartrealn3]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_SUB, axiom, ![X:cartrealn3,Y:cartrealn3]:((vectoru_sub @ (vectoru_add @ X @ Y) @ X) = Y)).
thf(aVECTORu_SUBu_ADD2, axiom, ![Y:cartrealn3,X:cartrealn3]:((vectoru_add @ Y @ (vectoru_sub @ X @ Y)) = X)).
thf(aVECTORu_SUBu_RZERO, axiom, ![X:cartrealn3]:((vectoru_sub @ X @ (vec @ (numeral @ u_0))) = X)).
thf(aVol1o_SETu_EQ, axiom, ![B:(cartrealn3 > $o),A:(cartrealn3 > $o)]:((A = B) <=> (![A0:cartrealn3]:((in0 @ A0 @ A) => (in0 @ A0 @ B)) & ![A0:cartrealn3]:((in0 @ A0 @ B) => (in0 @ A0 @ A))))).
thf(adist, axiom, ![X:cartrealq98293,Y:cartrealq98293]:((distance @ (c_ @ X @ Y)) = (vectoru_norm @ (vectoru_sub0 @ X @ Y)))).
thf(anormball, axiom, ![X:cartrealn3,R:real]:((normball @ X @ R) = (gspec0 @ ^[GENR_PVARR_2597:cartrealn3]:?[Y:cartrealn3]:(setspec0 @ GENR_PVARR_2597 @ (realu_lt @ (distance0 @ (c_0 @ Y @ X)) @ R) @ Y)))).
thf(conjecture, conjecture, ![X:cartrealn3,R:real]:((normball @ X @ R) = (image @ (vectoru_add @ X) @ (normball @ (vec @ (numeral @ u_0)) @ R)))).
