%   ORIGINAL: Vol1.hinhcau_ball
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Assm: Vol1.hinhcau: !x r. hinhcau x r = {y | norm (x - y) < r}
% Assm: ball: !x e. ball (x,e) = {y | dist (x,y) < e}
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !x r. hinhcau x r = ball (x,r)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Assm: !x r. hinhcau x r = {y | norm (x - y) < r}
% Assm: !x e. ball (x,e) = {y | dist (x,y) < e}
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !x r. hinhcau x r = ball (x,r)
%  TYPES
thf(tcartrealq98293, type, cartrealq98293 : $tType).
thf(tprodcartrealq98293cartrealq98293, type, prodcartrealq98293cartrealq98293 : $tType).
thf(tq98293, type, q98293 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealn3real, type, prodcartrealn3real : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealq98293 > real)).
thf(cdistance0, type, distance0 : (prodcartrealq98293cartrealq98293 > real)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cball, type, ball : (prodcartrealn3real > cartrealn3 > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealq98293 > cartrealq98293 > cartrealq98293)).
thf(ccu_1, type, c_1 : (cartrealq98293 > cartrealq98293 > prodcartrealq98293cartrealq98293)).
thf(ccu_0, type, c_0 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(ccu_, type, c_ : (cartrealn3 > real > prodcartrealn3real)).
thf(chinhcau, type, hinhcau : (cartrealn3 > real > cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(aVol1o_hinhcau, axiom, ![X:cartrealn3,R:real]:((hinhcau @ X @ R) = (gspec0 @ ^[GENR_PVARR_214:cartrealn3]:?[Y:cartrealn3]:(setspec0 @ GENR_PVARR_214 @ (realu_lt @ (vectoru_norm @ (vectoru_sub @ X @ Y)) @ R) @ Y)))).
thf(aball, axiom, ![X:cartrealn3,E:real]:((ball @ (c_ @ X @ E)) = (gspec0 @ ^[GENR_PVARR_459:cartrealn3]:?[Y:cartrealn3]:(setspec0 @ GENR_PVARR_459 @ (realu_lt @ (distance @ (c_0 @ X @ Y)) @ E) @ Y)))).
thf(adist, axiom, ![X:cartrealq98293,Y:cartrealq98293]:((distance0 @ (c_1 @ X @ Y)) = (vectoru_norm0 @ (vectoru_sub0 @ X @ Y)))).
thf(conjecture, conjecture, ![X:cartrealn3,R:real]:((hinhcau @ X @ R) = (ball @ (c_ @ X @ R)))).
