%   ORIGINAL: Vol1.surj2_map1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IMAGE: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: TRUTH: T
% Assm: Vol1.map1: !x. map1 x = ccube x
% Assm: Vol1.set_of_ccube: !S. set_of_ccube S = {ccube x | x IN S}
% Goal: !x r. IMAGE map1 (int_ball x r) = set_of_ccube (int_ball x r)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: T
% Assm: !x. map1 x = ccube x
% Assm: !S. set_of_ccube S = {ccube x | x IN S}
% Goal: !x r. IMAGE map1 (int_ball x r) = set_of_ccube (int_ball x r)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cccube, type, ccube : (cartrealn3 > cartrealn3 > $o)).
thf(cgspec1, type, gspec1 : ((q43851 > $o) > q43851 > $o)).
thf(cin2, type, in2 : (q43851 > (q43851 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((((cartrealn3 > $o) > $o) > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cin1, type, in1 : (((cartrealn3 > $o) > $o) > (((cartrealn3 > $o) > $o) > $o) > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(csetuu_ofuu_ccube, type, setu_ofu_ccube : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cmap1, type, map1 : (cartrealn3 > cartrealn3 > $o)).
thf(csetspec1, type, setspec1 : (q43851 > $o > q43851 > $o)).
thf(csetspec0, type, setspec0 : (((cartrealn3 > $o) > $o) > $o > ((cartrealn3 > $o) > $o) > $o)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cintuu_ball, type, intu_ball : (cartrealn3 > real > cartrealn3 > $o)).
thf(cimage, type, image : ((cartrealn3 > cartrealn3 > $o) > (cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > (cartrealn3 > $o) > $o),G:(a > (cartrealn3 > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o)]:((S = T) <=> ![X:(cartrealn3 > $o)]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIMAGE, axiom, ![S:(cartrealn3 > $o),F:(cartrealn3 > cartrealn3 > $o)]:((image @ F @ S) = (gspec @ ^[GENR_PVARR_7:(cartrealn3 > $o)]:?[Y:(cartrealn3 > $o)]:(setspec @ GENR_PVARR_7 @ ?[X:cartrealn3]:((in0 @ X @ S) & (Y = (F @ X))) @ Y)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > ((cartrealn3 > $o) > $o) > $o) > $o),X:((cartrealn3 > $o) > $o)]:((in1 @ X @ (gspec0 @ ^[V:((cartrealn3 > $o) > $o)]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:((cartrealn3 > $o) > $o)]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in2 @ X @ (gspec1 @ ^[V:q43851]:?[Y:q43851]:(setspec1 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aTRUTH, axiom, $true).
thf(aVol1o_map1, axiom, ![X:cartrealn3]:((map1 @ X) = (ccube @ X))).
thf(aVol1o_setu_ofu_ccube, axiom, ![S:(cartrealn3 > $o)]:((setu_ofu_ccube @ S) = (gspec @ ^[GENR_PVARR_224:(cartrealn3 > $o)]:?[X:cartrealn3]:(setspec @ GENR_PVARR_224 @ (in0 @ X @ S) @ (ccube @ X))))).
thf(conjecture, conjecture, ![X:cartrealn3,R:real]:((image @ map1 @ (intu_ball @ X @ R)) = (setu_ofu_ccube @ (intu_ball @ X @ R)))).
