%   ORIGINAL: Hypermap.PERMUTES_COMPOSITION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: permutes: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. ?!x. p x = y)
% Goal: !p q s. p permutes s /\ q permutes s ==> q o p permutes s
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: ~F <=> T
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !s p. p permutes s <=> (!x. ~(x IN s) ==> p x = x) /\ (!y. (?x. p x = y) /\ (!x x'. p x = y /\ p x' = y ==> x = x'))
% Goal: !p q s. p permutes s /\ q permutes s ==> q o p permutes s
%  TYPES
thf(tq1106991, type, q1106991 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin, type, in : (q1106991 > (q1106991 > $o) > $o)).
thf(cpermutes, type, permutes : ((q1106991 > q1106991) > (q1106991 > $o) > $o)).
thf(co, type, o : ((q1106991 > q1106991) > (q1106991 > q1106991) > q1106991 > q1106991)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(q1106991 > q1106991),G:(q1106991 > q1106991),X:q1106991]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(apermutes, axiom, ![S:(q1106991 > $o),P:(q1106991 > q1106991)]:((permutes @ P @ S) <=> (![X:q1106991]:(~ ((in @ X @ S)) => ((P @ X) = X)) & ![Y:q1106991]:(?[X:q1106991]:((P @ X) = Y) & ![X:q1106991,XI_:q1106991]:((((P @ X) = Y) & ((P @ XI_) = Y)) => (X = XI_)))))).
thf(conjecture, conjecture, ![P:(q1106991 > q1106991),Q:(q1106991 > q1106991),S:(q1106991 > $o)]:(((permutes @ P @ S) & (permutes @ Q @ S)) => (permutes @ (o @ Q @ P) @ S))).
