%   ORIGINAL: Hypermap.lemma_sub_inj_orbit
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.lemma_inj_orbit_via_list: !p x n. inj_orbit p x n <=> is_inj_list (power_list p x) n
% Assm: Hypermap.lemma_sub_list: !p n. is_inj_list p n ==> (!i. i <= n ==> is_inj_list p i)
% Assm: TRUTH: T
% Goal: !p x n. inj_orbit p x n ==> (!m. m <= n ==> inj_orbit p x m)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p x n. inj_orbit p x n <=> is_inj_list (power_list p x) n
% Assm: !p n. is_inj_list p n ==> (!i. i <= n ==> is_inj_list p i)
% Assm: T
% Goal: !p x n. inj_orbit p x n ==> (!m. m <= n ==> inj_orbit p x m)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cisuu_injuu_list, type, isu_inju_list : ((num > a) > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpoweruu_list, type, poweru_list : ((a > a) > a > num > a)).
thf(cinjuu_orbit, type, inju_orbit : ((a > a) > a > num > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_lemmau_inju_orbitu_viau_list, axiom, ![P:(a > a),X:a,N:num]:((inju_orbit @ P @ X @ N) <=> (isu_inju_list @ (poweru_list @ P @ X) @ N))).
thf(aHypermapo_lemmau_subu_list, axiom, ![P:(num > a),N:num]:((isu_inju_list @ P @ N) => ![I:num]:((l_a_ @ I @ N) => (isu_inju_list @ P @ I)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(a > a),X:a,N:num]:((inju_orbit @ P @ X @ N) => ![M:num]:((l_a_ @ M @ N) => (inju_orbit @ P @ X @ M)))).
