%   ORIGINAL: Hypermap.double_node_walkup_plain_hypermap
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Hypermap.FACE_OF_SIZE_2: !H x. CARD (face H x) = 2 <=> ~(face_map H x = x) /\ face_map H (face_map H x) = x
% Assm: Hypermap.double_edge_walkup: !H x y. double_edge_walkup H x y = edge_walkup (edge_walkup H x) y
% Assm: Hypermap.edge: !H x. edge H x = orbit_map (edge_map H) x
% Assm: Hypermap.face: !H x. face H x = orbit_map (face_map H) x
% Assm: Hypermap.face_map_walkup: !H x y. face_map (edge_walkup H x) x = x /\ face_map (edge_walkup H x) (inverse (face_map H) x) = face_map H x /\ (~(y = x) /\ ~(y = inverse (face_map H) x) ==> face_map (edge_walkup H x) y = face_map H y)
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.inverse_function: !s p x y. p permutes s /\ p x = y ==> x = inverse p y
% Assm: Hypermap.lemma_convolution_map: !s p. FINITE s /\ p permutes s ==> (p o p = I <=> (!x. x IN s ==> CARD (orbit_map p x) <= 2))
% Assm: Hypermap.lemma_dart_invariant: !H x. x IN dart H ==> edge_map H x IN dart H /\ node_map H x IN dart H /\ face_map H x IN dart H
% Assm: Hypermap.lemma_edge_walkup: !H x. dart (edge_walkup H x) = dart H DELETE x /\ edge_map (edge_walkup H x) = inverse (swap (x,face_map H x) o face_map H) o inverse (swap (x,node_map H x) o node_map H) /\ node_map (edge_walkup H x) = swap (x,node_map H x) o node_map H /\ face_map (edge_walkup H x) = swap (x,face_map H x) o face_map H
% Assm: Hypermap.lemma_face_representation: !H u. u IN face_set H ==> (?x. x IN dart H /\ u = face H x)
% Assm: Hypermap.lemma_in_face_set: !H x. x IN dart H <=> face H x IN face_set H
% Assm: Hypermap.lemma_in_walkup_dart: !H x y. x IN dart H /\ y IN dart H /\ ~(y = x) ==> y IN dart (edge_walkup H x)
% Assm: Hypermap.lemma_representaion_Wn: !H x y. double_node_walkup H x y = shift (shift (double_edge_walkup (shift H) x y))
% Assm: Hypermap.lemma_walkup_faces: !H x. x IN dart H ==> face_set H DELETE face H x = face_set (edge_walkup H x) DELETE face (edge_walkup H x) (inverse (face_map H) x)
% Assm: Hypermap.plain_hypermap: !H. plain_hypermap H <=> edge_map H o edge_map H = I
% Assm: Hypermap.shift_lemma: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H x. x IN dart H /\ plain_hypermap H /\ CARD (edge H x) = 2 ==> plain_hypermap (double_node_walkup H x (edge_map H x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !H x. CARD (face H x) = 2 <=> ~(face_map H x = x) /\ face_map H (face_map H x) = x
% Assm: !H x y. double_edge_walkup H x y = edge_walkup (edge_walkup H x) y
% Assm: !H x. edge H x = orbit_map (edge_map H) x
% Assm: !H x. face H x = orbit_map (face_map H) x
% Assm: !H x y. face_map (edge_walkup H x) x = x /\ face_map (edge_walkup H x) (inverse (face_map H) x) = face_map H x /\ (~(y = x) /\ ~(y = inverse (face_map H) x) ==> face_map (edge_walkup H x) y = face_map H y)
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !s p x y. p permutes s /\ p x = y ==> x = inverse p y
% Assm: !s p. FINITE s /\ p permutes s ==> (p o p = I <=> (!x. x IN s ==> CARD (orbit_map p x) <= 2))
% Assm: !H x. x IN dart H ==> edge_map H x IN dart H /\ node_map H x IN dart H /\ face_map H x IN dart H
% Assm: !H x. dart (edge_walkup H x) = dart H DELETE x /\ edge_map (edge_walkup H x) = inverse (swap (x,face_map H x) o face_map H) o inverse (swap (x,node_map H x) o node_map H) /\ node_map (edge_walkup H x) = swap (x,node_map H x) o node_map H /\ face_map (edge_walkup H x) = swap (x,face_map H x) o face_map H
% Assm: !H u. u IN face_set H ==> (?x. x IN dart H /\ u = face H x)
% Assm: !H x. x IN dart H <=> face H x IN face_set H
% Assm: !H x y. x IN dart H /\ y IN dart H /\ ~(y = x) ==> y IN dart (edge_walkup H x)
% Assm: !H x y. double_node_walkup H x y = shift (shift (double_edge_walkup (shift H) x y))
% Assm: !H x. x IN dart H ==> face_set H DELETE face H x = face_set (edge_walkup H x) DELETE face (edge_walkup H x) (inverse (face_map H) x)
% Assm: !H. plain_hypermap H <=> edge_map H o edge_map H = I
% Assm: !H. dart H = dart (shift H) /\ edge_map H = face_map (shift H) /\ node_map H = edge_map (shift H) /\ face_map H = node_map (shift H)
% Assm: !P x. x IN P <=> P x
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: ~F <=> T
% Assm: T
% Goal: !H x. x IN dart H /\ plain_hypermap H /\ CARD (edge H x) = 2 ==> plain_hypermap (double_node_walkup H x (edge_map H x))
%  TYPES
thf(tnum, type, num : $tType).
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(thypermapnum, type, hypermapnum : $tType).
%  CONSTS
thf(cshift, type, shift : (hypermapa > hypermapa)).
thf(cfaceuu_set, type, faceu_set : (hypermapa > (a > $o) > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpermutes0, type, permutes0 : ((num > num) > (num > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cinverse, type, inverse : ((num > num) > num > num)).
thf(cfaceuu_map0, type, faceu_map0 : (hypermapnum > num > num)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cswap, type, swap : (prodaa > a > a)).
thf(cinverse0, type, inverse0 : ((a > a) > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cdelete0, type, delete0 : (((a > $o) > $o) > (a > $o) > (a > $o) > $o)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(cdelete, type, delete : ((a > $o) > a > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cedgeuu_walkup0, type, edgeu_walkup0 : (hypermapnum > num > hypermapnum)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cedgeuu_walkup, type, edgeu_walkup : (hypermapa > a > hypermapa)).
thf(cdoubleuu_edgeuu_walkup, type, doubleu_edgeu_walkup : (hypermapa > a > a > hypermapa)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cdoubleuu_nodeuu_walkup, type, doubleu_nodeu_walkup : (hypermapa > a > a > hypermapa)).
thf(cedge, type, edge : (hypermapa > a > a > $o)).
thf(cplainuu_hypermap, type, plainu_hypermap : (hypermapa > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHypermapo_FACEu_OFu_SIZEu_2, axiom, ![H:hypermapa,X:a]:(((card @ (face @ H @ X)) = (numeral @ (bit0 @ (bit1 @ u_0)))) <=> (~ (((faceu_map @ H @ X) = X)) & ((faceu_map @ H @ (faceu_map @ H @ X)) = X)))).
thf(aHypermapo_doubleu_edgeu_walkup, axiom, ![H:hypermapa,X:a,Y:a]:((doubleu_edgeu_walkup @ H @ X @ Y) = (edgeu_walkup @ (edgeu_walkup @ H @ X) @ Y))).
thf(aHypermapo_edge, axiom, ![H:hypermapa,X:a]:((edge @ H @ X) = (orbitu_map @ (edgeu_map @ H) @ X))).
thf(aHypermapo_face, axiom, ![H:hypermapa,X:a]:((face @ H @ X) = (orbitu_map @ (faceu_map @ H) @ X))).
thf(aHypermapo_faceu_mapu_walkup, axiom, ![H:hypermapnum,X:num,Y:num]:(((faceu_map0 @ (edgeu_walkup0 @ H @ X) @ X) = X) & ((faceu_map0 @ (edgeu_walkup0 @ H @ X) @ (inverse @ (faceu_map0 @ H) @ X)) = (faceu_map0 @ H @ X)) & ((~ ((Y = X)) & ~ ((Y = (inverse @ (faceu_map0 @ H) @ X)))) => ((faceu_map0 @ (edgeu_walkup0 @ H @ X) @ Y) = (faceu_map0 @ H @ Y))))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_inverseu_function, axiom, ![S:(num > $o),P:(num > num),X:num,Y:num]:(((permutes0 @ P @ S) & ((P @ X) = Y)) => (X = (inverse @ P @ Y)))).
thf(aHypermapo_lemmau_convolutionu_map, axiom, ![S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => (((o @ P @ P) = i) <=> ![X:a]:((in @ X @ S) => (l_a_ @ (card @ (orbitu_map @ P @ X)) @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(aHypermapo_lemmau_dartu_invariant, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => ((in @ (edgeu_map @ H @ X) @ (dart @ H)) & (in @ (nodeu_map @ H @ X) @ (dart @ H)) & (in @ (faceu_map @ H @ X) @ (dart @ H))))).
thf(aHypermapo_lemmau_edgeu_walkup, axiom, ![H:hypermapa,X:a]:(((dart @ (edgeu_walkup @ H @ X)) = (delete @ (dart @ H) @ X)) & ((edgeu_map @ (edgeu_walkup @ H @ X)) = (o @ (inverse0 @ (o @ (swap @ (c_ @ X @ (faceu_map @ H @ X))) @ (faceu_map @ H))) @ (inverse0 @ (o @ (swap @ (c_ @ X @ (nodeu_map @ H @ X))) @ (nodeu_map @ H))))) & ((nodeu_map @ (edgeu_walkup @ H @ X)) = (o @ (swap @ (c_ @ X @ (nodeu_map @ H @ X))) @ (nodeu_map @ H))) & ((faceu_map @ (edgeu_walkup @ H @ X)) = (o @ (swap @ (c_ @ X @ (faceu_map @ H @ X))) @ (faceu_map @ H))))).
thf(aHypermapo_lemmau_faceu_representation, axiom, ![H:hypermapa,U:(a > $o)]:((in0 @ U @ (faceu_set @ H)) => ?[X:a]:((in @ X @ (dart @ H)) & (U = (face @ H @ X))))).
thf(aHypermapo_lemmau_inu_faceu_set, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) <=> (in0 @ (face @ H @ X) @ (faceu_set @ H)))).
thf(aHypermapo_lemmau_inu_walkupu_dart, axiom, ![H:hypermapa,X:a,Y:a]:(((in @ X @ (dart @ H)) & (in @ Y @ (dart @ H)) & ~ ((Y = X))) => (in @ Y @ (dart @ (edgeu_walkup @ H @ X))))).
thf(aHypermapo_lemmau_representaionu_Wn, axiom, ![H:hypermapa,X:a,Y:a]:((doubleu_nodeu_walkup @ H @ X @ Y) = (shift @ (shift @ (doubleu_edgeu_walkup @ (shift @ H) @ X @ Y))))).
thf(aHypermapo_lemmau_walkupu_faces, axiom, ![H:hypermapa,X:a]:((in @ X @ (dart @ H)) => ((delete0 @ (faceu_set @ H) @ (face @ H @ X)) = (delete0 @ (faceu_set @ (edgeu_walkup @ H @ X)) @ (face @ (edgeu_walkup @ H @ X) @ (inverse0 @ (faceu_map @ H) @ X)))))).
thf(aHypermapo_plainu_hypermap, axiom, ![H:hypermapa]:((plainu_hypermap @ H) <=> ((o @ (edgeu_map @ H) @ (edgeu_map @ H)) = i))).
thf(aHypermapo_shiftu_lemma, axiom, ![H:hypermapa]:(((dart @ H) = (dart @ (shift @ H))) & ((edgeu_map @ H) = (faceu_map @ (shift @ H))) & ((nodeu_map @ H) = (edgeu_map @ (shift @ H))) & ((faceu_map @ H) = (nodeu_map @ (shift @ H))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DELETE, axiom, ![S:(a > $o),X:a,Y:a]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,X:a]:(((in @ X @ (dart @ H)) & (plainu_hypermap @ H) & ((card @ (edge @ H @ X)) = (numeral @ (bit0 @ (bit1 @ u_0))))) => (plainu_hypermap @ (doubleu_nodeu_walkup @ H @ X @ (edgeu_map @ H @ X))))).
