%   ORIGINAL: Hypermap.lemma_quotient
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.emap: !H NF. emap H NF = inverse (fmap H NF) o inverse (nmap H NF)
% Assm: Hypermap.emap_permute: !H NF. is_normal H NF ==> emap H NF permutes quotient_darts H NF
% Assm: Hypermap.fmap_permute: !H NF. is_normal H NF ==> fmap H NF permutes quotient_darts H NF
% Assm: Hypermap.lemma_4functions: !f g h r. f o g o h o r = f o (g o h) o r
% Assm: Hypermap.lemma_finite_quotient_darts: !H NF. is_normal H NF ==> FINITE (quotient_darts H NF)
% Assm: Hypermap.lemma_hypermap_rep: !D e n f. FINITE D /\ e permutes D /\ n permutes D /\ f permutes D /\ e o n o f = I ==> dart (hypermap (D,e,n,f)) = D /\ edge_map (hypermap (D,e,n,f)) = e /\ node_map (hypermap (D,e,n,f)) = n /\ face_map (hypermap (D,e,n,f)) = f
% Assm: Hypermap.nmap_permute: !H NF. is_normal H NF ==> nmap H NF permutes quotient_darts H NF
% Assm: Hypermap.quotient: !H NF. quotient H NF = hypermap (quotient_darts H NF,emap H NF,nmap H NF,fmap H NF)
% Assm: I_O_ID: !f. I o f = f /\ f o I = f
% Assm: PERMUTES_INVERSES_o: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: TRUTH: T
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Goal: !H NF. is_normal H NF ==> dart (quotient H NF) = quotient_darts H NF /\ edge_map (quotient H NF) = emap H NF /\ node_map (quotient H NF) = nmap H NF /\ face_map (quotient H NF) = fmap H NF
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H NF. emap H NF = inverse (fmap H NF) o inverse (nmap H NF)
% Assm: !H NF. is_normal H NF ==> emap H NF permutes quotient_darts H NF
% Assm: !H NF. is_normal H NF ==> fmap H NF permutes quotient_darts H NF
% Assm: !f g h r. f o g o h o r = f o (g o h) o r
% Assm: !f g h r. f o g o h o r = f o (g o h) o r
% Assm: !H NF. is_normal H NF ==> FINITE (quotient_darts H NF)
% Assm: !D e n f. FINITE D /\ e permutes D /\ n permutes D /\ f permutes D /\ e o n o f = I ==> dart (hypermap (D,e,n,f)) = D /\ edge_map (hypermap (D,e,n,f)) = e /\ node_map (hypermap (D,e,n,f)) = n /\ face_map (hypermap (D,e,n,f)) = f
% Assm: !H NF. is_normal H NF ==> nmap H NF permutes quotient_darts H NF
% Assm: !H NF. quotient H NF = hypermap (quotient_darts H NF,emap H NF,nmap H NF,fmap H NF)
% Assm: !f. I o f = f /\ f o I = f
% Assm: !f. I o f = f /\ f o I = f
% Assm: !p s. p permutes s ==> p o inverse p = I /\ inverse p o p = I
% Assm: T
% Assm: !f g h. f o g o h = (f o g) o h
% Assm: !f g h. f o g o h = (f o g) o h
% Goal: !H NF. is_normal H NF ==> dart (quotient H NF) = quotient_darts H NF /\ edge_map (quotient H NF) = emap H NF /\ node_map (quotient H NF) = nmap H NF /\ face_map (quotient H NF) = fmap H NF
%  TYPES
thf(tq1099409, type, q1099409 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq1099392, type, q1099392 : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tc, type, c : $tType).
thf(tq1099394, type, q1099394 : $tType).
thf(tloopa, type, loopa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tfunfunaboolfunabool, type, funfunaboolfunabool : $tType).
thf(tfunfunaboolbool, type, funfunaboolbool : $tType).
thf(tprodfunfunaboolboolprodfunfunaboolfunaboolprodfunfunaboolfunaboolfunfunaboolfunabool, type, prodfunfunaboolboolprodfunfunaboolfunaboolprodfunfunaboolfunaboolfunfunaboolfunabool : $tType).
thf(tprodfunfunaboolfunaboolprodfunfunaboolfunaboolfunfunaboolfunabool, type, prodfunfunaboolfunaboolprodfunfunaboolfunaboolfunfunaboolfunabool : $tType).
thf(tprodfunfunaboolfunaboolfunfunaboolfunabool, type, prodfunfunaboolfunaboolfunfunaboolfunabool : $tType).
thf(thypermapfunabool, type, hypermapfunabool : $tType).
%  CONSTS
thf(chypermap, type, hypermap : (prodfunfunaboolboolprodfunfunaboolfunaboolprodfunfunaboolfunaboolfunfunaboolfunabool > hypermapfunabool)).
thf(ci, type, i : ((a > $o) > a > $o)).
thf(cpermutes, type, permutes : (((a > $o) > a > $o) > ((a > $o) > $o) > $o)).
thf(cdart, type, dart : (hypermapfunabool > (a > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(co14, type, o14 : ((c > $o) > (b > c) > b > $o)).
thf(co13, type, o13 : ((b > $o) > ((a > $o) > b) > (a > $o) > $o)).
thf(co12, type, o12 : ((c > $o) > ((a > $o) > c) > (a > $o) > $o)).
thf(co11, type, o11 : ((c > a > $o) > (b > c) > b > a > $o)).
thf(co10, type, o10 : ((b > a > $o) > ((a > $o) > b) > (a > $o) > a > $o)).
thf(co9, type, o9 : ((b > c) > ((a > $o) > b) > (a > $o) > c)).
thf(co8, type, o8 : ((c > a > $o) > ((a > $o) > c) > (a > $o) > a > $o)).
thf(co7, type, o7 : (((a > $o) > $o) > ((a > $o) > a > $o) > (a > $o) > $o)).
thf(co6, type, o6 : (($o > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(ccu_1, type, c_1 : (((a > $o) > a > $o) > ((a > $o) > a > $o) > prodfunfunaboolfunaboolfunfunaboolfunabool)).
thf(ccu_0, type, c_0 : (((a > $o) > a > $o) > prodfunfunaboolfunaboolfunfunaboolfunabool > prodfunfunaboolfunaboolprodfunfunaboolfunaboolfunfunaboolfunabool)).
thf(ccu_, type, c_ : (((a > $o) > $o) > prodfunfunaboolfunaboolprodfunfunaboolfunaboolfunfunaboolfunabool > prodfunfunaboolboolprodfunfunaboolfunaboolprodfunfunaboolfunaboolfunfunaboolfunabool)).
thf(co5, type, o5 : ((q1099409 > $o) > ((a > $o) > q1099409) > (a > $o) > $o)).
thf(co4, type, o4 : ((q1099394 > q1099409) > (q1099392 > q1099394) > q1099392 > q1099409)).
thf(co3, type, o3 : ((q1099392 > q1099409) > ((a > $o) > q1099392) > (a > $o) > q1099409)).
thf(co2, type, o2 : ((q1099392 > q1099394) > ((a > $o) > q1099392) > (a > $o) > q1099394)).
thf(co1, type, o1 : ((q1099394 > q1099409) > ((a > $o) > q1099394) > (a > $o) > q1099409)).
thf(co0, type, o0 : ((q1099409 > a > $o) > ((a > $o) > q1099409) > (a > $o) > a > $o)).
thf(cinverse, type, inverse : (((a > $o) > a > $o) > (a > $o) > a > $o)).
thf(co, type, o : (((a > $o) > a > $o) > ((a > $o) > a > $o) > (a > $o) > a > $o)).
thf(cfmap, type, fmap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cnmap, type, nmap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cemap, type, emap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cedgeuu_map, type, edgeu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cquotientuu_darts, type, quotientu_darts : (hypermapa > (loopa > $o) > (a > $o) > $o)).
thf(cquotient, type, quotient : (hypermapa > (loopa > $o) > hypermapfunabool)).
thf(ci0, type, i0 : ($o > $o)).
thf(cfinite, type, finite : (((a > $o) > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > (a > $o) > a > $o),G:(a > (a > $o) > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > (a > $o) > $o),G:(a > (a > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_emap, axiom, ![H:hypermapa,NF:(loopa > $o)]:((emap @ H @ NF) = (o @ (inverse @ (fmap @ H @ NF)) @ (inverse @ (nmap @ H @ NF))))).
thf(aHypermapo_emapu_permute, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => (permutes @ (emap @ H @ NF) @ (quotientu_darts @ H @ NF)))).
thf(aHypermapo_fmapu_permute, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => (permutes @ (fmap @ H @ NF) @ (quotientu_darts @ H @ NF)))).
thf(aHypermapo_lemmau_4functionsu_monomorphized1, axiom, ![F:(q1099409 > a > $o),G:(q1099394 > q1099409),H:(q1099392 > q1099394),R:((a > $o) > q1099392)]:((o0 @ F @ (o1 @ G @ (o2 @ H @ R))) = (o0 @ F @ (o3 @ (o4 @ G @ H) @ R)))).
thf(aHypermapo_lemmau_4functionsu_monomorphized0, axiom, ![F:(q1099409 > $o),G:(q1099394 > q1099409),H:(q1099392 > q1099394),R:((a > $o) > q1099392)]:((o5 @ F @ (o1 @ G @ (o2 @ H @ R))) = (o5 @ F @ (o3 @ (o4 @ G @ H) @ R)))).
thf(aHypermapo_lemmau_finiteu_quotientu_darts, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => (finite @ (quotientu_darts @ H @ NF)))).
thf(aHypermapo_lemmau_hypermapu_rep, axiom, ![D:((a > $o) > $o),E:((a > $o) > a > $o),N:((a > $o) > a > $o),F:((a > $o) > a > $o)]:(((finite @ D) & (permutes @ E @ D) & (permutes @ N @ D) & (permutes @ F @ D) & ((o @ E @ (o @ N @ F)) = i)) => (((dart @ (hypermap @ (c_ @ D @ (c_0 @ E @ (c_1 @ N @ F))))) = D) & ((edgeu_map @ (hypermap @ (c_ @ D @ (c_0 @ E @ (c_1 @ N @ F))))) = E) & ((nodeu_map @ (hypermap @ (c_ @ D @ (c_0 @ E @ (c_1 @ N @ F))))) = N) & ((faceu_map @ (hypermap @ (c_ @ D @ (c_0 @ E @ (c_1 @ N @ F))))) = F)))).
thf(aHypermapo_nmapu_permute, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => (permutes @ (nmap @ H @ NF) @ (quotientu_darts @ H @ NF)))).
thf(aHypermapo_quotient, axiom, ![H:hypermapa,NF:(loopa > $o)]:((quotient @ H @ NF) = (hypermap @ (c_ @ (quotientu_darts @ H @ NF) @ (c_0 @ (emap @ H @ NF) @ (c_1 @ (nmap @ H @ NF) @ (fmap @ H @ NF))))))).
thf(aIu_Ou_IDu_monomorphized1, axiom, ![F:((a > $o) > a > $o)]:(((o @ i @ F) = F) & ((o @ F @ i) = F))).
thf(aIu_Ou_IDu_monomorphized0, axiom, ![F:((a > $o) > $o)]:(((o6 @ i0 @ F) = F) & ((o7 @ F @ i) = F))).
thf(aPERMUTESu_INVERSESu_o, axiom, ![P:((a > $o) > a > $o),S:((a > $o) > $o)]:((permutes @ P @ S) => (((o @ P @ (inverse @ P)) = i) & ((o @ (inverse @ P) @ P) = i)))).
thf(aTRUTH, axiom, $true).
thf(aou_ASSOCu_monomorphized1, axiom, ![F:(c > a > $o),G:(b > c),H:((a > $o) > b)]:((o8 @ F @ (o9 @ G @ H)) = (o10 @ (o11 @ F @ G) @ H))).
thf(aou_ASSOCu_monomorphized0, axiom, ![F:(c > $o),G:(b > c),H:((a > $o) > b)]:((o12 @ F @ (o9 @ G @ H)) = (o13 @ (o14 @ F @ G) @ H))).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => (((dart @ (quotient @ H @ NF)) = (quotientu_darts @ H @ NF)) & ((edgeu_map @ (quotient @ H @ NF)) = (emap @ H @ NF)) & ((nodeu_map @ (quotient @ H @ NF)) = (nmap @ H @ NF)) & ((faceu_map @ (quotient @ H @ NF)) = (fmap @ H @ NF))))).
