%   ORIGINAL: Hypermap.lemma_atom_on_inside_dart
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.heading: !H NF L x. heading H NF L x = (face_map H POWER SUC (mInside H NF L x)) x
% Assm: Hypermap.is_split_condition: !H NF L x. is_split_condition H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L /\ head H NF x = x
% Assm: Hypermap.lemma_face_contour_on_loop: !H NF L x m. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L /\ head H NF x = x /\ (!i. i <= SUC m ==> (next L POWER i) x = (face_map H POWER i) x) ==> (!i. 1 <= i /\ i <= m ==> atom H L ((next L POWER i) x) = {(face_map H POWER i) x}) /\ (!i. 1 <= i /\ i <= m ==> (face_map (quotient H NF) POWER i) (atom H L x) = {(face_map H POWER i) x}) /\ (face_map (quotient H NF) POWER SUC m) (atom H L x) = atom H L ((face_map H POWER SUC m) x)
% Assm: Hypermap.lemma_mInside: !H NF L x. is_split_condition H NF L x ==> (!i. i <= SUC (mInside H NF L x) ==> (next L POWER i) x = (face_map H POWER i) x) /\ ~((next L POWER SUC (SUC (mInside H NF L x))) x = (face_map H POWER SUC (SUC (mInside H NF L x))) x)
% Assm: TRUTH: T
% Goal: !H NF L x. is_split_condition H NF L x ==> (!i. 1 <= i /\ i <= mInside H NF L x ==> (face_map (quotient H NF) POWER i) (atom H L x) = {(face_map H POWER i) x}) /\ (face_map (quotient H NF) POWER SUC (mInside H NF L x)) (atom H L x) = atom H L (heading H NF L x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H NF L x. heading H NF L x = (face_map H POWER SUC (mInside H NF L x)) x
% Assm: !H NF L x. is_split_condition H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L /\ head H NF x = x
% Assm: !H NF L x m. is_restricted H /\ is_normal H NF /\ L IN NF /\ belong x L /\ head H NF x = x /\ (!i. i <= SUC m ==> (next L POWER i) x = (face_map H POWER i) x) ==> (!i. 1 <= i /\ i <= m ==> atom H L ((next L POWER i) x) = {(face_map H POWER i) x}) /\ (!i. 1 <= i /\ i <= m ==> (face_map (quotient H NF) POWER i) (atom H L x) = {(face_map H POWER i) x}) /\ (face_map (quotient H NF) POWER SUC m) (atom H L x) = atom H L ((face_map H POWER SUC m) x)
% Assm: !H NF L x. is_split_condition H NF L x ==> (!i. i <= SUC (mInside H NF L x) ==> (next L POWER i) x = (face_map H POWER i) x) /\ ~((next L POWER SUC (SUC (mInside H NF L x))) x = (face_map H POWER SUC (SUC (mInside H NF L x))) x)
% Assm: T
% Goal: !H NF L x. is_split_condition H NF L x ==> (!i. 1 <= i /\ i <= mInside H NF L x ==> (face_map (quotient H NF) POWER i) (atom H L x) = {(face_map H POWER i) x}) /\ (face_map (quotient H NF) POWER SUC (mInside H NF L x)) (atom H L x) = atom H L (heading H NF L x)
%  TYPES
thf(thypermapfunfunaboolbool, type, hypermapfunfunaboolbool : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tfunfunaboolbool, type, funfunaboolbool : $tType).
thf(tloopfunabool, type, loopfunabool : $tType).
thf(thypermapfunabool, type, hypermapfunabool : $tType).
%  CONSTS
thf(cbelong0, type, belong0 : ((a > $o) > loopfunabool > $o)).
thf(cin0, type, in0 : (loopfunabool > (loopfunabool > $o) > $o)).
thf(cisuu_normal0, type, isu_normal0 : (hypermapfunabool > (loopfunabool > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cnext0, type, next0 : (loopa > a > a)).
thf(cfaceuu_map0, type, faceu_map0 : (hypermapa > a > a)).
thf(cquotient0, type, quotient0 : (hypermapfunabool > (loopfunabool > $o) > hypermapfunfunaboolbool)).
thf(cfaceuu_map1, type, faceu_map1 : (hypermapfunfunaboolbool > ((a > $o) > $o) > (a > $o) > $o)).
thf(cpower1, type, power1 : ((((a > $o) > $o) > (a > $o) > $o) > num > ((a > $o) > $o) > (a > $o) > $o)).
thf(cinsert0, type, insert0 : ((a > $o) > ((a > $o) > $o) > (a > $o) > $o)).
thf(catom0, type, atom0 : (hypermapfunabool > loopfunabool > (a > $o) > (a > $o) > $o)).
thf(cnext, type, next : (loopfunabool > (a > $o) > a > $o)).
thf(chead0, type, head0 : (hypermapfunabool > (loopfunabool > $o) > (a > $o) > a > $o)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
thf(ccanon, type, canon : (hypermapa > (loopa > $o) > loopa > $o)).
thf(cheading, type, heading : (hypermapa > (loopa > $o) > loopa > a > a)).
thf(cpower0, type, power0 : ((a > a) > num > a > a)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cquotient, type, quotient : (hypermapa > (loopa > $o) > hypermapfunabool)).
thf(cfaceuu_map, type, faceu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cpower, type, power : (((a > $o) > a > $o) > num > (a > $o) > a > $o)).
thf(cminside, type, minside : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(cisuu_splituu_condition, type, isu_splitu_condition : (hypermapa > (loopa > $o) > loopa > a > $o)).
thf(cisuu_restricted0, type, isu_restricted0 : (hypermapfunabool > $o)).
thf(cisuu_restricted, type, isu_restricted : (hypermapa > $o)).
thf(cempty0, type, empty0 : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_heading, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((heading @ H @ NF @ L @ X) = (power0 @ (faceu_map0 @ H) @ (suc @ (minside @ H @ NF @ L @ X)) @ X))).
thf(aHypermapo_isu_splitu_condition, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) <=> ((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & ~ ((in @ L @ (canon @ H @ NF))) & (belong @ X @ L) & ((head @ H @ NF @ X) = X)))).
thf(aHypermapo_lemmau_faceu_contouru_onu_loop, axiom, ![H:hypermapfunabool,NF:(loopfunabool > $o),L:loopfunabool,X:(a > $o),M:num]:(((isu_restricted0 @ H) & (isu_normal0 @ H @ NF) & (in0 @ L @ NF) & (belong0 @ X @ L) & ((head0 @ H @ NF @ X) = X) & ![I:num]:((l_a_ @ I @ (suc @ M)) => ((power @ (next @ L) @ I @ X) = (power @ (faceu_map @ H) @ I @ X)))) => (![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ M)) => ((atom0 @ H @ L @ (power @ (next @ L) @ I @ X)) = (insert0 @ (power @ (faceu_map @ H) @ I @ X) @ empty0))) & ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ M)) => ((power1 @ (faceu_map1 @ (quotient0 @ H @ NF)) @ I @ (atom0 @ H @ L @ X)) = (insert0 @ (power @ (faceu_map @ H) @ I @ X) @ empty0))) & ((power1 @ (faceu_map1 @ (quotient0 @ H @ NF)) @ (suc @ M) @ (atom0 @ H @ L @ X)) = (atom0 @ H @ L @ (power @ (faceu_map @ H) @ (suc @ M) @ X)))))).
thf(aHypermapo_lemmau_mInside, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) => (![I:num]:((l_a_ @ I @ (suc @ (minside @ H @ NF @ L @ X))) => ((power0 @ (next0 @ L) @ I @ X) = (power0 @ (faceu_map0 @ H) @ I @ X))) & ~ (((power0 @ (next0 @ L) @ (suc @ (suc @ (minside @ H @ NF @ L @ X))) @ X) = (power0 @ (faceu_map0 @ H) @ (suc @ (suc @ (minside @ H @ NF @ L @ X))) @ X)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) => (![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (minside @ H @ NF @ L @ X))) => ((power @ (faceu_map @ (quotient @ H @ NF)) @ I @ (atom @ H @ L @ X)) = (insert @ (power0 @ (faceu_map0 @ H) @ I @ X) @ empty))) & ((power @ (faceu_map @ (quotient @ H @ NF)) @ (suc @ (minside @ H @ NF @ L @ X)) @ (atom @ H @ L @ X)) = (atom @ H @ L @ (heading @ H @ NF @ L @ X)))))).
