%   ORIGINAL: Hypermap.lemma_route_exists
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.CARD_ATLEAST_2: !s x y. FINITE s /\ x IN s /\ y IN s /\ ~(x = y) ==> 2 <= CARD s
% Assm: Hypermap.GE_1: !n. 1 <= SUC n
% Assm: Hypermap.LE_PLUS: !n. n <= SUC n
% Assm: Hypermap.LE_SUC_PRE: !n. 1 <= n ==> SUC (PRE n) = n
% Assm: Hypermap.LT_PLUS: !n. n < SUC n
% Assm: Hypermap.atom_reflect: !H L x. x IN atom H L x
% Assm: Hypermap.face_map_and_darts: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: Hypermap.is_split_condition: !H NF L x. is_split_condition H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L /\ head H NF x = x
% Assm: Hypermap.lemmaHQYMRTX: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> belong (attach H NF L x) L /\ (!k. 1 <= k /\ k <= SUC (mInside H NF L x) ==> ~(attach H NF L x = (face_map H POWER k) x))
% Assm: Hypermap.lemma_atom_on_inside_dart: !H NF L x. is_split_condition H NF L x ==> (!i. 1 <= i /\ i <= mInside H NF L x ==> (face_map (quotient H NF) POWER i) (atom H L x) = {(face_map H POWER i) x}) /\ (face_map (quotient H NF) POWER SUC (mInside H NF L x)) (atom H L x) = atom H L (heading H NF L x)
% Assm: Hypermap.lemma_atom_sub_node: !H L x. atom H L x SUBSET node H x
% Assm: Hypermap.lemma_cycle_finite: !H NF L. is_normal H NF /\ L IN NF ==> FINITE (cycle H L)
% Assm: Hypermap.lemma_cycle_is_face: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> cycle H L = orbit_map (fmap H NF) (atom H L x)
% Assm: Hypermap.lemma_cycle_orbit: !s p x. FINITE s /\ p permutes s ==> (p POWER CARD (orbit_map p x)) x = x
% Assm: Hypermap.lemma_in_cycle2: !H L x. belong x L ==> atom H L x IN cycle H L
% Assm: Hypermap.lemma_in_subset: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: Hypermap.lemma_index_on_orbit: !s p x y. FINITE s /\ p permutes s /\ y IN orbit_map p x ==> (?n. n < CARD (orbit_map p x) /\ y = (p POWER n) x)
% Assm: Hypermap.lemma_mInside_and_length_cycle: !H NF L x. is_split_condition H NF L x ==> SUC (mInside H NF L x) < CARD (cycle H L)
% Assm: Hypermap.lemma_node_identity: !H x y. y IN node H x ==> node H x = node H y
% Assm: Hypermap.lemma_on_attach: !H NF L x. is_split_condition H NF L x ==> ~(node H (heading H NF L x) = node H (attach H NF L x)) /\ SUC (mAdd H NF L x) < CARD (face H x)
% Assm: Hypermap.lemma_on_heading: !H NF L x. is_split_condition H NF L x ==> belong (heading H NF L x) L /\ next L (heading H NF L x) = inverse (node_map H) (heading H NF L x) /\ ~(node H (heading H NF L x) = node H x)
% Assm: Hypermap.lemma_quotient: !H NF. is_normal H NF ==> dart (quotient H NF) = quotient_darts H NF /\ edge_map (quotient H NF) = emap H NF /\ node_map (quotient H NF) = nmap H NF /\ face_map (quotient H NF) = fmap H NF
% Assm: Hypermap.lemma_split_marked_loop: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_split_condition H NF L x
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: I_THM: !x. I x = x
% Assm: LE_LT: !m n. m <= n <=> m < n \/ m = n
% Assm: LE_SUC_LT: !m n. SUC m <= n <=> m < n
% Assm: LE_TRANS: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: LT_EXISTS: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: LT_IMP_LE: !m n. m < n ==> m <= n
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: LT_SUC: !m n. SUC m < SUC n <=> m < n
% Assm: LT_TRANS: !m n p. m < n /\ n < p ==> m < p
% Assm: NOT_LT: !m n. ~(m < n) <=> n <= m
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Goal: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> (?q. mInside H NF L x < q /\ q < CARD (cycle H L) /\ (face_map (quotient H NF) POWER SUC q) (atom H L x) = atom H L (attach H NF L x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !n. 0 + n = n
% Assm: !f. f POWER 0 = I
% Assm: !s x y. FINITE s /\ x IN s /\ y IN s /\ ~(x = y) ==> 2 <= CARD s
% Assm: !n. 1 <= SUC n
% Assm: !n. n <= SUC n
% Assm: !n. 1 <= n ==> SUC (PRE n) = n
% Assm: !n. n < SUC n
% Assm: !H L x. x IN atom H L x
% Assm: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: !H NF L x. is_split_condition H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L /\ head H NF x = x
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> belong (attach H NF L x) L /\ (!k. 1 <= k /\ k <= SUC (mInside H NF L x) ==> ~(attach H NF L x = (face_map H POWER k) x))
% Assm: !H NF L x. is_split_condition H NF L x ==> (!i. 1 <= i /\ i <= mInside H NF L x ==> (face_map (quotient H NF) POWER i) (atom H L x) = {(face_map H POWER i) x}) /\ (face_map (quotient H NF) POWER SUC (mInside H NF L x)) (atom H L x) = atom H L (heading H NF L x)
% Assm: !H L x. atom H L x SUBSET node H x
% Assm: !H NF L. is_normal H NF /\ L IN NF ==> FINITE (cycle H L)
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> cycle H L = orbit_map (fmap H NF) (atom H L x)
% Assm: !s p x. FINITE s /\ p permutes s ==> (p POWER CARD (orbit_map p x)) x = x
% Assm: !H L x. belong x L ==> atom H L x IN cycle H L
% Assm: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: !s p x y. FINITE s /\ p permutes s /\ y IN orbit_map p x ==> (?n. n < CARD (orbit_map p x) /\ y = (p POWER n) x)
% Assm: !H NF L x. is_split_condition H NF L x ==> SUC (mInside H NF L x) < CARD (cycle H L)
% Assm: !H x y. y IN node H x ==> node H x = node H y
% Assm: !H NF L x. is_split_condition H NF L x ==> ~(node H (heading H NF L x) = node H (attach H NF L x)) /\ SUC (mAdd H NF L x) < CARD (face H x)
% Assm: !H NF L x. is_split_condition H NF L x ==> belong (heading H NF L x) L /\ next L (heading H NF L x) = inverse (node_map H) (heading H NF L x) /\ ~(node H (heading H NF L x) = node H x)
% Assm: !H NF. is_normal H NF ==> dart (quotient H NF) = quotient_darts H NF /\ edge_map (quotient H NF) = emap H NF /\ node_map (quotient H NF) = nmap H NF /\ face_map (quotient H NF) = fmap H NF
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_split_condition H NF L x
% Assm: !x y. x IN {y} <=> x = y
% Assm: !x. I x = x
% Assm: !m n. m <= n <=> m < n \/ m = n
% Assm: !m n. SUC m <= n <=> m < n
% Assm: !m n p. m <= n /\ n <= p ==> m <= p
% Assm: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: !m n. m < n ==> m <= n
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: !m n. SUC m < SUC n <=> m < n
% Assm: !m n p. m < n /\ n < p ==> m < p
% Assm: !m n. ~(m < n) <=> n <= m
% Assm: T
% Assm: 2 = SUC 1
% Goal: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> (?q. mInside H NF L x < q /\ q < CARD (cycle H L) /\ (face_map (quotient H NF) POWER SUC q) (atom H L x) = atom H L (attach H NF L x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tlooploopa, type, looploopa : $tType).
thf(thypermaploopa, type, hypermaploopa : $tType).
thf(tloopa, type, loopa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tloopfunabool, type, loopfunabool : $tType).
thf(thypermapfunabool, type, hypermapfunabool : $tType).
%  CONSTS
thf(cbelong0, type, belong0 : ((a > $o) > loopfunabool > $o)).
thf(cpermutes0, type, permutes0 : ((loopa > loopa) > (loopa > $o) > $o)).
thf(csubset0, type, subset0 : ((loopa > $o) > (loopa > $o) > $o)).
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cpermutes, type, permutes : (((a > $o) > a > $o) > ((a > $o) > $o) > $o)).
thf(cdart, type, dart : (hypermapfunabool > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ci, type, i : ((a > $o) > a > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cfaceuu_map0, type, faceu_map0 : (hypermapa > a > a)).
thf(cinsert0, type, insert0 : (loopa > (loopa > $o) > loopa > $o)).
thf(cnmap, type, nmap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cemap, type, emap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(cedgeuu_map, type, edgeu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cquotientuu_darts, type, quotientu_darts : (hypermapa > (loopa > $o) > (a > $o) > $o)).
thf(cnode1, type, node1 : (hypermapfunabool > (a > $o) > (a > $o) > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cinverse, type, inverse : (((a > $o) > a > $o) > (a > $o) > a > $o)).
thf(cnext, type, next : (loopfunabool > (a > $o) > a > $o)).
thf(cheading0, type, heading0 : (hypermapfunabool > (loopfunabool > $o) > loopfunabool > (a > $o) > a > $o)).
thf(cisuu_splituu_condition0, type, isu_splitu_condition0 : (hypermapfunabool > (loopfunabool > $o) > loopfunabool > (a > $o) > $o)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cmadd, type, madd : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(cnode0, type, node0 : (hypermaploopa > loopa > loopa > $o)).
thf(cpower1, type, power1 : ((loopa > loopa) > num > loopa > loopa)).
thf(corbituu_map0, type, orbitu_map0 : ((loopa > loopa) > loopa > loopa > $o)).
thf(cfmap, type, fmap : (hypermapa > (loopa > $o) > (a > $o) > a > $o)).
thf(corbituu_map, type, orbitu_map : (((a > $o) > a > $o) > (a > $o) > (a > $o) > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cheading, type, heading : (hypermapa > (loopa > $o) > loopa > a > a)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cpower0, type, power0 : ((a > a) > num > a > a)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
thf(cisuu_splituu_condition, type, isu_splitu_condition : (hypermapa > (loopa > $o) > loopa > a > $o)).
thf(catom0, type, atom0 : (hypermaploopa > looploopa > loopa > loopa > $o)).
thf(cattach, type, attach : (hypermapa > (loopa > $o) > loopa > a > a)).
thf(catom, type, atom : (hypermapa > loopa > a > a > $o)).
thf(cquotient, type, quotient : (hypermapa > (loopa > $o) > hypermapfunabool)).
thf(cfaceuu_map, type, faceu_map : (hypermapfunabool > (a > $o) > a > $o)).
thf(cpower, type, power : (((a > $o) > a > $o) > num > (a > $o) > a > $o)).
thf(ccycle, type, cycle : (hypermapa > loopa > (a > $o) > $o)).
thf(cminside, type, minside : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(ccanon, type, canon : (hypermapa > (loopa > $o) > loopa > $o)).
thf(cisuu_marked, type, isu_marked : (hypermapa > (loopa > $o) > loopa > a > $o)).
thf(cempty0, type, empty0 : (loopa > $o)).
thf(cisuu_restricted, type, isu_restricted : (hypermapa > $o)).
thf(cfinite0, type, finite0 : (((a > $o) > $o) > $o)).
thf(cfinite, type, finite : ((loopa > $o) > $o)).
thf(ccard1, type, card1 : ((a > $o) > num)).
thf(ccard0, type, card0 : ((loopa > $o) > num)).
thf(ccard, type, card : (((a > $o) > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (a > $o)).
thf(cpre, type, pre : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aFano_POWERu_conjunct0, axiom, ![F:((a > $o) > a > $o)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_CARDu_ATLEASTu_2, axiom, ![S:(loopa > $o),X:loopa,Y:loopa]:(((finite @ S) & (in @ X @ S) & (in @ Y @ S) & ~ ((X = Y))) => (l_a_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (card0 @ S)))).
thf(aHypermapo_GEu_1, axiom, ![N:num]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (suc @ N))).
thf(aHypermapo_LEu_PLUS, axiom, ![N:num]:(l_a_ @ N @ (suc @ N))).
thf(aHypermapo_LEu_SUCu_PRE, axiom, ![N:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ N) => ((suc @ (pre @ N)) = N))).
thf(aHypermapo_LTu_PLUS, axiom, ![N:num]:(l_ @ N @ (suc @ N))).
thf(aHypermapo_atomu_reflect, axiom, ![H:hypermaploopa,L:looploopa,X:loopa]:(in @ X @ (atom0 @ H @ L @ X))).
thf(aHypermapo_faceu_mapu_andu_darts, axiom, ![H:hypermapfunabool]:((finite0 @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)))).
thf(aHypermapo_isu_splitu_condition, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) <=> ((isu_restricted @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & ~ ((in @ L @ (canon @ H @ NF))) & (belong @ X @ L) & ((head @ H @ NF @ X) = X)))).
thf(aHypermapo_lemmaHQYMRTX, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => ((belong @ (attach @ H @ NF @ L @ X) @ L) & ![K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (suc @ (minside @ H @ NF @ L @ X)))) => ~ (((attach @ H @ NF @ L @ X) = (power0 @ (faceu_map0 @ H) @ K @ X))))))).
thf(aHypermapo_lemmau_atomu_onu_insideu_dart, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) => (![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (minside @ H @ NF @ L @ X))) => ((power @ (faceu_map @ (quotient @ H @ NF)) @ I @ (atom @ H @ L @ X)) = (insert @ (power0 @ (faceu_map0 @ H) @ I @ X) @ empty))) & ((power @ (faceu_map @ (quotient @ H @ NF)) @ (suc @ (minside @ H @ NF @ L @ X)) @ (atom @ H @ L @ X)) = (atom @ H @ L @ (heading @ H @ NF @ L @ X)))))).
thf(aHypermapo_lemmau_atomu_subu_node, axiom, ![H:hypermapa,L:loopa,X:a]:(subset @ (atom @ H @ L @ X) @ (node @ H @ X))).
thf(aHypermapo_lemmau_cycleu_finite, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa]:(((isu_normal @ H @ NF) & (in @ L @ NF)) => (finite0 @ (cycle @ H @ L)))).
thf(aHypermapo_lemmau_cycleu_isu_face, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => ((cycle @ H @ L) = (orbitu_map @ (fmap @ H @ NF) @ (atom @ H @ L @ X))))).
thf(aHypermapo_lemmau_cycleu_orbit, axiom, ![S:((a > $o) > $o),P:((a > $o) > a > $o),X:(a > $o)]:(((finite0 @ S) & (permutes @ P @ S)) => ((power @ P @ (card @ (orbitu_map @ P @ X)) @ X) = X))).
thf(aHypermapo_lemmau_inu_cycle2, axiom, ![H:hypermapa,L:loopa,X:a]:((belong @ X @ L) => (in0 @ (atom @ H @ L @ X) @ (cycle @ H @ L)))).
thf(aHypermapo_lemmau_inu_subset, axiom, ![S:(loopa > $o),T:(loopa > $o),X:loopa]:(((subset0 @ S @ T) & (in @ X @ S)) => (in @ X @ T))).
thf(aHypermapo_lemmau_indexu_onu_orbit, axiom, ![S:(loopa > $o),P:(loopa > loopa),X:loopa,Y:loopa]:(((finite @ S) & (permutes0 @ P @ S) & (in @ Y @ (orbitu_map0 @ P @ X))) => ?[N:num]:((l_ @ N @ (card0 @ (orbitu_map0 @ P @ X))) & (Y = (power1 @ P @ N @ X))))).
thf(aHypermapo_lemmau_mInsideu_andu_lengthu_cycle, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) => (l_ @ (suc @ (minside @ H @ NF @ L @ X)) @ (card @ (cycle @ H @ L))))).
thf(aHypermapo_lemmau_nodeu_identity, axiom, ![H:hypermaploopa,X:loopa,Y:loopa]:((in @ Y @ (node0 @ H @ X)) => ((node0 @ H @ X) = (node0 @ H @ Y)))).
thf(aHypermapo_lemmau_onu_attach, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) => (~ (((node @ H @ (heading @ H @ NF @ L @ X)) = (node @ H @ (attach @ H @ NF @ L @ X)))) & (l_ @ (suc @ (madd @ H @ NF @ L @ X)) @ (card1 @ (face @ H @ X)))))).
thf(aHypermapo_lemmau_onu_heading, axiom, ![H:hypermapfunabool,NF:(loopfunabool > $o),L:loopfunabool,X:(a > $o)]:((isu_splitu_condition0 @ H @ NF @ L @ X) => ((belong0 @ (heading0 @ H @ NF @ L @ X) @ L) & ((next @ L @ (heading0 @ H @ NF @ L @ X)) = (inverse @ (nodeu_map @ H) @ (heading0 @ H @ NF @ L @ X))) & ~ (((node1 @ H @ (heading0 @ H @ NF @ L @ X)) = (node1 @ H @ X)))))).
thf(aHypermapo_lemmau_quotient, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) => (((dart @ (quotient @ H @ NF)) = (quotientu_darts @ H @ NF)) & ((edgeu_map @ (quotient @ H @ NF)) = (emap @ H @ NF)) & ((nodeu_map @ (quotient @ H @ NF)) = (nmap @ H @ NF)) & ((faceu_map @ (quotient @ H @ NF)) = (fmap @ H @ NF))))).
thf(aHypermapo_lemmau_splitu_markedu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => (isu_splitu_condition @ H @ NF @ L @ X))).
thf(aINu_SING, axiom, ![X:loopa,Y:loopa]:((in @ X @ (insert0 @ Y @ empty0)) <=> (X = Y))).
thf(aIu_THM, axiom, ![X:(a > $o)]:((i @ X) = X)).
thf(aLEu_LT, axiom, ![M:num,N:num]:((l_a_ @ M @ N) <=> ((l_ @ M @ N) | (M = N)))).
thf(aLEu_SUCu_LT, axiom, ![M:num,N:num]:((l_a_ @ (suc @ M) @ N) <=> (l_ @ M @ N))).
thf(aLEu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ P)) => (l_a_ @ M @ P))).
thf(aLTu_EXISTS, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ (suc @ D))))).
thf(aLTu_IMPu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) => (l_a_ @ M @ N))).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aLTu_SUC, axiom, ![M:num,N:num]:((l_ @ (suc @ M) @ (suc @ N)) <=> (l_ @ M @ N))).
thf(aLTu_TRANS, axiom, ![M:num,N:num,P:num]:(((l_ @ M @ N) & (l_ @ N @ P)) => (l_ @ M @ P))).
thf(aNOTu_LT, axiom, ![M:num,N:num]:(~ ((l_ @ M @ N)) <=> (l_a_ @ N @ M))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => ?[Q:num]:((l_ @ (minside @ H @ NF @ L @ X) @ Q) & (l_ @ Q @ (card @ (cycle @ H @ L))) & ((power @ (faceu_map @ (quotient @ H @ NF)) @ (suc @ Q) @ (atom @ H @ L @ X)) = (atom @ H @ L @ (attach @ H @ NF @ L @ X)))))).
