%   ORIGINAL: Hypermap.lemma_node_outside_support_darts
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.is_split_condition: !H NF L x. is_split_condition H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L /\ head H NF x = x
% Assm: Hypermap.lemma_in_subset: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: Hypermap.lemma_in_support: !NF x. x IN support_darts NF <=> (?L. L IN NF /\ belong x L)
% Assm: Hypermap.lemma_in_support2: !NF L x. belong x L /\ L IN NF ==> x IN support_darts NF
% Assm: Hypermap.lemma_mAdd: !H NF L x. is_split_condition H NF L x ==> (!i. 1 <= i /\ i <= mAdd H NF L x ==> ~((face_map H POWER i) (heading H NF L x) IN support_darts NF)) /\ (face_map H POWER SUC (mAdd H NF L x)) (heading H NF L x) IN support_darts NF
% Assm: Hypermap.lemma_node_identity: !H x y. y IN node H x ==> node H x = node H y
% Assm: Hypermap.lemma_node_sub_support_darts: !H NF x. is_normal H NF /\ x IN support_darts NF ==> node H x SUBSET support_darts NF
% Assm: Hypermap.node_refl: !H x. x IN node H x
% Assm: TRUTH: T
% Goal: !H NF L x i. is_split_condition H NF L x /\ 1 <= i /\ i <= mAdd H NF L x ==> (!y. y IN node H ((face_map H POWER i) (heading H NF L x)) ==> ~(y IN support_darts NF))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H NF L x. is_split_condition H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L /\ head H NF x = x
% Assm: !s t x. s SUBSET t /\ x IN s ==> x IN t
% Assm: !NF x. x IN support_darts NF <=> (?L. L IN NF /\ belong x L)
% Assm: !NF L x. belong x L /\ L IN NF ==> x IN support_darts NF
% Assm: !H NF L x. is_split_condition H NF L x ==> (!i. 1 <= i /\ i <= mAdd H NF L x ==> ~((face_map H POWER i) (heading H NF L x) IN support_darts NF)) /\ (face_map H POWER SUC (mAdd H NF L x)) (heading H NF L x) IN support_darts NF
% Assm: !H x y. y IN node H x ==> node H x = node H y
% Assm: !H NF x. is_normal H NF /\ x IN support_darts NF ==> node H x SUBSET support_darts NF
% Assm: !H x. x IN node H x
% Assm: T
% Goal: !H NF L x i. is_split_condition H NF L x /\ 1 <= i /\ i <= mAdd H NF L x ==> (!y. y IN node H ((face_map H POWER i) (heading H NF L x)) ==> ~(y IN support_darts NF))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tloopa, type, loopa : $tType).
%  CONSTS
thf(csubset, type, subset : ((a > $o) > (a > $o) > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cin0, type, in0 : (loopa > (loopa > $o) > $o)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(csupportuu_darts, type, supportu_darts : ((loopa > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
thf(ccanon, type, canon : (hypermapa > (loopa > $o) > loopa > $o)).
thf(cheading, type, heading : (hypermapa > (loopa > $o) > loopa > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cmadd, type, madd : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(cisuu_splituu_condition, type, isu_splitu_condition : (hypermapa > (loopa > $o) > loopa > a > $o)).
thf(cisuu_restricted, type, isu_restricted : (hypermapa > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_isu_splitu_condition, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) <=> ((isu_restricted @ H) & (isu_normal @ H @ NF) & (in0 @ L @ NF) & ~ ((in0 @ L @ (canon @ H @ NF))) & (belong @ X @ L) & ((head @ H @ NF @ X) = X)))).
thf(aHypermapo_lemmau_inu_subset, axiom, ![S:(a > $o),T:(a > $o),X:a]:(((subset @ S @ T) & (in @ X @ S)) => (in @ X @ T))).
thf(aHypermapo_lemmau_inu_support, axiom, ![NF:(loopa > $o),X:a]:((in @ X @ (supportu_darts @ NF)) <=> ?[L:loopa]:((in0 @ L @ NF) & (belong @ X @ L)))).
thf(aHypermapo_lemmau_inu_support2, axiom, ![NF:(loopa > $o),L:loopa,X:a]:(((belong @ X @ L) & (in0 @ L @ NF)) => (in @ X @ (supportu_darts @ NF)))).
thf(aHypermapo_lemmau_mAdd, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) => (![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (madd @ H @ NF @ L @ X))) => ~ ((in @ (power @ (faceu_map @ H) @ I @ (heading @ H @ NF @ L @ X)) @ (supportu_darts @ NF)))) & (in @ (power @ (faceu_map @ H) @ (suc @ (madd @ H @ NF @ L @ X)) @ (heading @ H @ NF @ L @ X)) @ (supportu_darts @ NF))))).
thf(aHypermapo_lemmau_nodeu_identity, axiom, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (node @ H @ X)) => ((node @ H @ X) = (node @ H @ Y)))).
thf(aHypermapo_lemmau_nodeu_subu_supportu_darts, axiom, ![H:hypermapa,NF:(loopa > $o),X:a]:(((isu_normal @ H @ NF) & (in @ X @ (supportu_darts @ NF))) => (subset @ (node @ H @ X) @ (supportu_darts @ NF)))).
thf(aHypermapo_nodeu_refl, axiom, ![H:hypermapa,X:a]:(in @ X @ (node @ H @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,I:num]:(((isu_splitu_condition @ H @ NF @ L @ X) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (madd @ H @ NF @ L @ X))) => ![Y:a]:((in @ Y @ (node @ H @ (power @ (faceu_map @ H) @ I @ (heading @ H @ NF @ L @ X)))) => ~ ((in @ Y @ (supportu_darts @ NF)))))).
