%   ORIGINAL: Hypermap.lemma_normal_genesis
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_SUB2: !m n. (m + n) - m = n
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Fan.POWER_1: !f. f POWER 1 = f
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Hypermap.GE_1: !n. 1 <= SUC n
% Assm: Hypermap.LT0_LE1: !n. 0 < n <=> 1 <= n
% Assm: Hypermap.attach: !H NF L x. attach H NF L x = (face_map H POWER SUC (mAdd H NF L x)) (heading H NF L x)
% Assm: Hypermap.complement_index: !H x m k. is_node_nondegenerate H /\ x IN dart H /\ 1 <= k /\ k <= ind H x m ==> (?i j. i < m /\ 1 <= j /\ j < CARD (node H ((inverse (face_map H) POWER SUC i) x)) /\ k = ind H x i + j)
% Assm: Hypermap.disjoint_loops: !H NF L L' x. is_normal H NF /\ L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L'
% Assm: Hypermap.dnax: !H NF L x. dnax H NF L x = loop (support_list (genex H NF L x) (tpx H NF L x),samsara (genex H NF L x) (tpx H NF L x))
% Assm: Hypermap.dnay: !H NF L x. dnay H NF L x = loop (support_list (geney H NF L x) (tpy H NF L x),samsara (geney H NF L x) (tpy H NF L x))
% Assm: Hypermap.face_map_and_darts: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: Hypermap.genesis: !H NF L x. genesis H NF L x = NF DELETE L UNION {dnax H NF L x, dnay H NF L x}
% Assm: Hypermap.is_normal: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: Hypermap.is_restricted: !H. is_restricted H <=> ~(dart H = {}) /\ planar_hypermap H /\ plain_hypermap H /\ connected_hypermap H /\ simple_hypermap H /\ is_no_double_joins H /\ is_edge_nondegenerate H /\ is_node_nondegenerate H /\ (!x. x IN dart H ==> 3 <= CARD (face H x))
% Assm: Hypermap.is_split_condition: !H NF L x. is_split_condition H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L /\ head H NF x = x
% Assm: Hypermap.lemmaHQYMRTX: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> belong (attach H NF L x) L /\ (!k. 1 <= k /\ k <= SUC (mInside H NF L x) ==> ~(attach H NF L x = (face_map H POWER k) x))
% Assm: Hypermap.lemma_back_in_loop: !L x. belong x L ==> belong (back L x) L
% Assm: Hypermap.lemma_complement_path: !H x. plain_hypermap H /\ is_node_nondegenerate H /\ x IN dart H ==> (!i. complement H x (ind H x i) = node_map H ((inverse (face_map H) POWER i) x)) /\ (!i. complement H x (SUC (ind H x i)) = inverse (node_map H) ((inverse (face_map H) POWER SUC i) x)) /\ (!i. face_map H (complement H x (ind H x i)) = complement H x (SUC (ind H x i))) /\ (!i j. 1 <= j /\ j < CARD (node H ((inverse (face_map H) POWER SUC i) x)) ==> complement H x (ind H x i + j) = (inverse (node_map H) POWER j) ((inverse (face_map H) POWER SUC i) x)) /\ (!n. is_contour H (complement H x) n)
% Assm: Hypermap.lemma_disjoint_new_loops: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> index L (inverse (node_map H) (heading H NF L x)) (node_map H (attach H NF L x)) + SUC (index L (attach H NF L x) (heading H NF L x)) = top L /\ (!u. belong u (dnax H NF L x) ==> ~belong u (dnay H NF L x)) /\ (!u. belong u (dnay H NF L x) ==> ~belong u (dnax H NF L x)) /\ ~(dnax H NF L x IN NF) /\ ~(dnay H NF L x IN NF) /\ (!u. belong u L ==> belong u (dnax H NF L x) \/ belong u (dnay H NF L x))
% Assm: Hypermap.lemma_genex_loop: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_inj_contour H (genex H NF L x) (tpx H NF L x) /\ face_map H (genex H NF L x (tpx H NF L x)) = genex H NF L x 0
% Assm: Hypermap.lemma_geney_loop: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_inj_contour H (geney H NF L x) (tpy H NF L x) /\ face_map H (geney H NF L x (tpy H NF L x)) = geney H NF L x 0
% Assm: Hypermap.lemma_in_couple: !x a b. x IN {a, b} <=> x = a \/ x = b
% Assm: Hypermap.lemma_in_dart: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> x IN dart H
% Assm: Hypermap.lemma_in_dnax: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> (!y. belong y (dnax H NF L x) <=> (?i. i <= index L (attach H NF L x) (heading H NF L x) /\ y = (next L POWER i) (attach H NF L x)) \/ (?i. 1 <= i /\ i <= mAdd H NF L x /\ y = (face_map H POWER i) (heading H NF L x)))
% Assm: Hypermap.lemma_in_dnax2: !H NF L x y i. is_marked H NF L x /\ ~(L IN canon H NF) /\ 1 <= i /\ i <= mAdd H NF L x /\ y = (face_map H POWER i) (heading H NF L x) ==> belong y (dnax H NF L x)
% Assm: Hypermap.lemma_in_dnay: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> (!y. belong y (dnay H NF L x) <=> (?i. i <= index L (inverse (node_map H) (heading H NF L x)) (node_map H (attach H NF L x)) /\ y = (next L POWER i) (inverse (node_map H) (heading H NF L x))) \/ (?i j. 1 <= i /\ i <= mAdd H NF L x /\ 1 <= j /\ j < CARD (node H ((face_map H POWER i) (heading H NF L x))) /\ y = (inverse (node_map H) POWER j) ((face_map H POWER i) (heading H NF L x))))
% Assm: Hypermap.lemma_in_dnay2: !H NF L x y i j. is_marked H NF L x /\ ~(L IN canon H NF) /\ 1 <= i /\ i <= mAdd H NF L x /\ 1 <= j /\ j < CARD (node H ((face_map H POWER i) (heading H NF L x))) /\ y = (inverse (node_map H) POWER j) ((face_map H POWER i) (heading H NF L x)) ==> belong y (dnay H NF L x)
% Assm: Hypermap.lemma_in_node2: !H x n. (node_map H POWER n) x IN node H x
% Assm: Hypermap.lemma_in_support2: !NF L x. belong x L /\ L IN NF ==> x IN support_darts NF
% Assm: Hypermap.lemma_loop_index: !L x y. belong x L /\ belong y L ==> index L x y <= top L /\ y = (next L POWER index L x y) x
% Assm: Hypermap.lemma_make_contour_loop: !H p n. is_inj_contour H p n /\ one_step_contour H (p n) (p 0) ==> is_loop H (loop (support_list p n,samsara p n))
% Assm: Hypermap.lemma_next_in_loop: !L x. belong x L ==> belong (next L x) L
% Assm: Hypermap.lemma_node_identity: !H x y. y IN node H x ==> node H x = node H y
% Assm: Hypermap.lemma_node_outside_support_darts: !H NF L x i. is_split_condition H NF L x /\ 1 <= i /\ i <= mAdd H NF L x ==> (!y. y IN node H ((face_map H POWER i) (heading H NF L x)) ==> ~(y IN support_darts NF))
% Assm: Hypermap.lemma_on_adding_darts: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> next L (heading H NF L x) = inverse (node_map H) (heading H NF L x) /\ back L (attach H NF L x) = node_map H (attach H NF L x)
% Assm: Hypermap.lemma_on_attach: !H NF L x. is_split_condition H NF L x ==> ~(node H (heading H NF L x) = node H (attach H NF L x)) /\ SUC (mAdd H NF L x) < CARD (face H x)
% Assm: Hypermap.lemma_on_dnax: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> genex H NF L x 0 = attach H NF L x /\ belong (attach H NF L x) (dnax H NF L x) /\ top (dnax H NF L x) = tpx H NF L x /\ (!i. i <= index L (attach H NF L x) (heading H NF L x) ==> (next (dnax H NF L x) POWER i) (attach H NF L x) = (next L POWER i) (attach H NF L x)) /\ (!i. i <= mAdd H NF L x ==> (next (dnax H NF L x) POWER (index L (attach H NF L x) (heading H NF L x) + i)) (attach H NF L x) = (face_map H POWER i) (heading H NF L x))
% Assm: Hypermap.lemma_on_dnay: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> geney H NF L x 0 = inverse (node_map H) (heading H NF L x) /\ belong (inverse (node_map H) (heading H NF L x)) (dnay H NF L x) /\ top (dnay H NF L x) = tpy H NF L x /\ (!i. i <= index L (inverse (node_map H) (heading H NF L x)) (node_map H (attach H NF L x)) ==> (next (dnay H NF L x) POWER i) (inverse (node_map H) (heading H NF L x)) = (next L POWER i) (inverse (node_map H) (heading H NF L x))) /\ (!i. i <= ind H (attach H NF L x) (mAdd H NF L x) ==> (next (dnay H NF L x) POWER (index L (inverse (node_map H) (heading H NF L x)) (node_map H (attach H NF L x)) + i)) (inverse (node_map H) (heading H NF L x)) = complement H (attach H NF L x) i)
% Assm: Hypermap.lemma_on_heading: !H NF L x. is_split_condition H NF L x ==> belong (heading H NF L x) L /\ next L (heading H NF L x) = inverse (node_map H) (heading H NF L x) /\ ~(node H (heading H NF L x) = node H x)
% Assm: Hypermap.lemma_power_inverse_in_node2: !H x n. (inverse (node_map H) POWER n) x IN node H x
% Assm: Hypermap.lemma_power_next_in_loop: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: Hypermap.lemma_split_marked_loop: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_split_condition H NF L x
% Assm: Hypermap.lemma_via_inverse_node_map: !H x y. y IN node H x ==> (?j. j < CARD (node H x) /\ y = (inverse (node_map H) POWER j) x)
% Assm: Hypermap.node_refl: !H x. x IN node H x
% Assm: Hypermap.one_step_contour: !y H x. one_step_contour H x y <=> y = face_map H x \/ y = inverse (node_map H) x
% Assm: Hypermap.reduce_exponent: !s p m n x. p permutes s /\ m <= n ==> (inverse p POWER m) ((p POWER n) x) = (p POWER (n - m)) x
% Assm: Hypermap.tpx: !H NF L x. tpx H NF L x = index L (attach H NF L x) (heading H NF L x) + mAdd H NF L x
% Assm: Hypermap.tpy: !H NF L x. tpy H NF L x = index L (inverse (node_map H) (heading H NF L x)) (node_map H (attach H NF L x)) + ind H (attach H NF L x) (mAdd H NF L x)
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: LE_ADDR: !m n. n <= m + n
% Assm: LE_ADD_LCANCEL: !m n p. m + n <= m + p <=> n <= p
% Assm: LE_REFL: !n. n <= n
% Assm: LT_EXISTS: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: LT_IMP_LE: !m n. m < n ==> m <= n
% Assm: LT_NZ: !n. 0 < n <=> ~(n = 0)
% Assm: LT_SUC: !m n. SUC m < SUC n <=> m < n
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: SUB_SUC: !m n. SUC m - SUC n = m - n
% Assm: TRUTH: T
% Goal: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_normal H (genesis H NF L x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n. (m + n) - m = n
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f. f POWER 1 = f
% Assm: !f. f POWER 0 = I
% Assm: !n. 1 <= SUC n
% Assm: !n. 0 < n <=> 1 <= n
% Assm: !H NF L x. attach H NF L x = (face_map H POWER SUC (mAdd H NF L x)) (heading H NF L x)
% Assm: !H x m k. is_node_nondegenerate H /\ x IN dart H /\ 1 <= k /\ k <= ind H x m ==> (?i j. i < m /\ 1 <= j /\ j < CARD (node H ((inverse (face_map H) POWER SUC i) x)) /\ k = ind H x i + j)
% Assm: !H NF L L' x. is_normal H NF /\ L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L'
% Assm: !H NF L x. dnax H NF L x = loop (support_list (genex H NF L x) (tpx H NF L x),samsara (genex H NF L x) (tpx H NF L x))
% Assm: !H NF L x. dnay H NF L x = loop (support_list (geney H NF L x) (tpy H NF L x),samsara (geney H NF L x) (tpy H NF L x))
% Assm: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: !H NF L x. genesis H NF L x = NF DELETE L UNION {dnax H NF L x, dnay H NF L x}
% Assm: !H NF. is_normal H NF <=> (!L. L IN NF ==> is_loop H L /\ (?x. x IN dart H /\ belong x L)) /\ (!L. L IN NF ==> (?y z. belong y L /\ belong z L /\ ~(node H y = node H z))) /\ (!L L' x. L IN NF /\ L' IN NF /\ belong x L /\ belong x L' ==> L = L') /\ (!L x y. L IN NF /\ belong x L /\ y IN node H x ==> (?L'. L' IN NF /\ belong y L'))
% Assm: !H. is_restricted H <=> ~(dart H = {}) /\ planar_hypermap H /\ plain_hypermap H /\ connected_hypermap H /\ simple_hypermap H /\ is_no_double_joins H /\ is_edge_nondegenerate H /\ is_node_nondegenerate H /\ (!x. x IN dart H ==> 3 <= CARD (face H x))
% Assm: !H NF L x. is_split_condition H NF L x <=> is_restricted H /\ is_normal H NF /\ L IN NF /\ ~(L IN canon H NF) /\ belong x L /\ head H NF x = x
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> belong (attach H NF L x) L /\ (!k. 1 <= k /\ k <= SUC (mInside H NF L x) ==> ~(attach H NF L x = (face_map H POWER k) x))
% Assm: !L x. belong x L ==> belong (back L x) L
% Assm: !H x. plain_hypermap H /\ is_node_nondegenerate H /\ x IN dart H ==> (!i. complement H x (ind H x i) = node_map H ((inverse (face_map H) POWER i) x)) /\ (!i. complement H x (SUC (ind H x i)) = inverse (node_map H) ((inverse (face_map H) POWER SUC i) x)) /\ (!i. face_map H (complement H x (ind H x i)) = complement H x (SUC (ind H x i))) /\ (!i j. 1 <= j /\ j < CARD (node H ((inverse (face_map H) POWER SUC i) x)) ==> complement H x (ind H x i + j) = (inverse (node_map H) POWER j) ((inverse (face_map H) POWER SUC i) x)) /\ (!n. is_contour H (complement H x) n)
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> index L (inverse (node_map H) (heading H NF L x)) (node_map H (attach H NF L x)) + SUC (index L (attach H NF L x) (heading H NF L x)) = top L /\ (!u. belong u (dnax H NF L x) ==> ~belong u (dnay H NF L x)) /\ (!u. belong u (dnay H NF L x) ==> ~belong u (dnax H NF L x)) /\ ~(dnax H NF L x IN NF) /\ ~(dnay H NF L x IN NF) /\ (!u. belong u L ==> belong u (dnax H NF L x) \/ belong u (dnay H NF L x))
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_inj_contour H (genex H NF L x) (tpx H NF L x) /\ face_map H (genex H NF L x (tpx H NF L x)) = genex H NF L x 0
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_inj_contour H (geney H NF L x) (tpy H NF L x) /\ face_map H (geney H NF L x (tpy H NF L x)) = geney H NF L x 0
% Assm: !x a b. x IN {a, b} <=> x = a \/ x = b
% Assm: !H NF L x. is_normal H NF /\ L IN NF /\ belong x L ==> x IN dart H
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> (!y. belong y (dnax H NF L x) <=> (?i. i <= index L (attach H NF L x) (heading H NF L x) /\ y = (next L POWER i) (attach H NF L x)) \/ (?i. 1 <= i /\ i <= mAdd H NF L x /\ y = (face_map H POWER i) (heading H NF L x)))
% Assm: !H NF L x y i. is_marked H NF L x /\ ~(L IN canon H NF) /\ 1 <= i /\ i <= mAdd H NF L x /\ y = (face_map H POWER i) (heading H NF L x) ==> belong y (dnax H NF L x)
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> (!y. belong y (dnay H NF L x) <=> (?i. i <= index L (inverse (node_map H) (heading H NF L x)) (node_map H (attach H NF L x)) /\ y = (next L POWER i) (inverse (node_map H) (heading H NF L x))) \/ (?i j. 1 <= i /\ i <= mAdd H NF L x /\ 1 <= j /\ j < CARD (node H ((face_map H POWER i) (heading H NF L x))) /\ y = (inverse (node_map H) POWER j) ((face_map H POWER i) (heading H NF L x))))
% Assm: !H NF L x y i j. is_marked H NF L x /\ ~(L IN canon H NF) /\ 1 <= i /\ i <= mAdd H NF L x /\ 1 <= j /\ j < CARD (node H ((face_map H POWER i) (heading H NF L x))) /\ y = (inverse (node_map H) POWER j) ((face_map H POWER i) (heading H NF L x)) ==> belong y (dnay H NF L x)
% Assm: !H x n. (node_map H POWER n) x IN node H x
% Assm: !NF L x. belong x L /\ L IN NF ==> x IN support_darts NF
% Assm: !L x y. belong x L /\ belong y L ==> index L x y <= top L /\ y = (next L POWER index L x y) x
% Assm: !H p n. is_inj_contour H p n /\ one_step_contour H (p n) (p 0) ==> is_loop H (loop (support_list p n,samsara p n))
% Assm: !L x. belong x L ==> belong (next L x) L
% Assm: !H x y. y IN node H x ==> node H x = node H y
% Assm: !H NF L x i. is_split_condition H NF L x /\ 1 <= i /\ i <= mAdd H NF L x ==> (!y. y IN node H ((face_map H POWER i) (heading H NF L x)) ==> ~(y IN support_darts NF))
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> next L (heading H NF L x) = inverse (node_map H) (heading H NF L x) /\ back L (attach H NF L x) = node_map H (attach H NF L x)
% Assm: !H NF L x. is_split_condition H NF L x ==> ~(node H (heading H NF L x) = node H (attach H NF L x)) /\ SUC (mAdd H NF L x) < CARD (face H x)
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> genex H NF L x 0 = attach H NF L x /\ belong (attach H NF L x) (dnax H NF L x) /\ top (dnax H NF L x) = tpx H NF L x /\ (!i. i <= index L (attach H NF L x) (heading H NF L x) ==> (next (dnax H NF L x) POWER i) (attach H NF L x) = (next L POWER i) (attach H NF L x)) /\ (!i. i <= mAdd H NF L x ==> (next (dnax H NF L x) POWER (index L (attach H NF L x) (heading H NF L x) + i)) (attach H NF L x) = (face_map H POWER i) (heading H NF L x))
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> geney H NF L x 0 = inverse (node_map H) (heading H NF L x) /\ belong (inverse (node_map H) (heading H NF L x)) (dnay H NF L x) /\ top (dnay H NF L x) = tpy H NF L x /\ (!i. i <= index L (inverse (node_map H) (heading H NF L x)) (node_map H (attach H NF L x)) ==> (next (dnay H NF L x) POWER i) (inverse (node_map H) (heading H NF L x)) = (next L POWER i) (inverse (node_map H) (heading H NF L x))) /\ (!i. i <= ind H (attach H NF L x) (mAdd H NF L x) ==> (next (dnay H NF L x) POWER (index L (inverse (node_map H) (heading H NF L x)) (node_map H (attach H NF L x)) + i)) (inverse (node_map H) (heading H NF L x)) = complement H (attach H NF L x) i)
% Assm: !H NF L x. is_split_condition H NF L x ==> belong (heading H NF L x) L /\ next L (heading H NF L x) = inverse (node_map H) (heading H NF L x) /\ ~(node H (heading H NF L x) = node H x)
% Assm: !H x n. (inverse (node_map H) POWER n) x IN node H x
% Assm: !L x k. belong x L ==> belong ((next L POWER k) x) L
% Assm: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_split_condition H NF L x
% Assm: !H x y. y IN node H x ==> (?j. j < CARD (node H x) /\ y = (inverse (node_map H) POWER j) x)
% Assm: !H x. x IN node H x
% Assm: !y H x. one_step_contour H x y <=> y = face_map H x \/ y = inverse (node_map H) x
% Assm: !s p m n x. p permutes s /\ m <= n ==> (inverse p POWER m) ((p POWER n) x) = (p POWER (n - m)) x
% Assm: !H NF L x. tpx H NF L x = index L (attach H NF L x) (heading H NF L x) + mAdd H NF L x
% Assm: !H NF L x. tpy H NF L x = index L (inverse (node_map H) (heading H NF L x)) (node_map H (attach H NF L x)) + ind H (attach H NF L x) (mAdd H NF L x)
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: !m n. n <= m + n
% Assm: !m n p. m + n <= m + p <=> n <= p
% Assm: !n. n <= n
% Assm: !m n. m < n <=> (?d. n = m + SUC d)
% Assm: !m n. m < n ==> m <= n
% Assm: !n. 0 < n <=> ~(n = 0)
% Assm: !m n. SUC m < SUC n <=> m < n
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !m n. SUC m - SUC n = m - n
% Assm: T
% Goal: !H NF L x. is_marked H NF L x /\ ~(L IN canon H NF) ==> is_normal H (genesis H NF L x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tlooploopa, type, looploopa : $tType).
thf(thypermaploopa, type, hypermaploopa : $tType).
thf(tloopa, type, loopa : $tType).
thf(tprodfunaboolfunaa, type, prodfunaboolfunaa : $tType).
thf(tfunabool, type, funabool : $tType).
thf(tfunaa, type, funaa : $tType).
%  CONSTS
thf(cloop, type, loop : (prodfunaboolfunaa > loopa)).
thf(csupportuu_darts0, type, supportu_darts0 : ((looploopa > $o) > loopa > $o)).
thf(csupportuu_darts, type, supportu_darts : ((loopa > $o) > a > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cisuu_loop, type, isu_loop : (hypermapa > loopa > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart0, type, dart0 : (hypermapa > a > $o)).
thf(cbelong, type, belong : (a > loopa > $o)).
thf(cdart, type, dart : (hypermaploopa > loopa > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cmu_, type, m_ : (num > num > num)).
thf(cisuu_normal, type, isu_normal : (hypermapa > (loopa > $o) > $o)).
thf(cin, type, in : (loopa > (loopa > $o) > $o)).
thf(cnext, type, next : (loopa > a > a)).
thf(cnodeuu_map0, type, nodeu_map0 : (hypermapa > a > a)).
thf(cinverse0, type, inverse0 : ((a > a) > a > a)).
thf(cback, type, back : (loopa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(ccomplement0, type, complement0 : (hypermapa > a > num > a)).
thf(cind0, type, ind0 : (hypermapa > a > num > num)).
thf(cface0, type, face0 : (hypermapa > a > a > $o)).
thf(cheading0, type, heading0 : (hypermaploopa > (looploopa > $o) > looploopa > loopa > loopa)).
thf(cmadd0, type, madd0 : (hypermaploopa > (looploopa > $o) > looploopa > loopa > num)).
thf(cisuu_splituu_condition0, type, isu_splitu_condition0 : (hypermaploopa > (looploopa > $o) > looploopa > loopa > $o)).
thf(coneuu_stepuu_contour, type, oneu_stepu_contour : (hypermapa > a > a > $o)).
thf(cisuu_injuu_contour, type, isu_inju_contour : (hypermapa > (num > a) > num > $o)).
thf(cindex, type, index : (loopa > a > a > num)).
thf(cisuu_contour, type, isu_contour : (hypermaploopa > (num > loopa) > num > $o)).
thf(cnodeuu_map, type, nodeu_map : (hypermaploopa > loopa > loopa)).
thf(ccomplement, type, complement : (hypermaploopa > loopa > num > loopa)).
thf(cminside, type, minside : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(chead, type, head : (hypermapa > (loopa > $o) > a > a)).
thf(cisuu_splituu_condition, type, isu_splitu_condition : (hypermapa > (loopa > $o) > loopa > a > $o)).
thf(cface, type, face : (hypermaploopa > loopa > loopa > $o)).
thf(cnode0, type, node0 : (hypermapa > a > a > $o)).
thf(cinsert, type, insert : (loopa > (loopa > $o) > loopa > $o)).
thf(cdelete, type, delete : ((loopa > $o) > loopa > loopa > $o)).
thf(cunion, type, union : ((loopa > $o) > (loopa > $o) > loopa > $o)).
thf(ctpy, type, tpy : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(cgeney, type, geney : (hypermapa > (loopa > $o) > loopa > a > num > a)).
thf(cdnay, type, dnay : (hypermapa > (loopa > $o) > loopa > a > loopa)).
thf(csamsara, type, samsara : ((num > a) > num > a > a)).
thf(ctpx, type, tpx : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(cgenex, type, genex : (hypermapa > (loopa > $o) > loopa > a > num > a)).
thf(csupportuu_list, type, supportu_list : ((num > a) > num > a > $o)).
thf(ccu_, type, c_ : ((a > $o) > (a > a) > prodfunaboolfunaa)).
thf(cdnax, type, dnax : (hypermapa > (loopa > $o) > loopa > a > loopa)).
thf(cfaceuu_map0, type, faceu_map0 : (hypermaploopa > loopa > loopa)).
thf(cinverse, type, inverse : ((loopa > loopa) > loopa > loopa)).
thf(cpower0, type, power0 : ((loopa > loopa) > num > loopa > loopa)).
thf(cnode, type, node : (hypermaploopa > loopa > loopa > $o)).
thf(cind, type, ind : (hypermaploopa > loopa > num > num)).
thf(cheading, type, heading : (hypermapa > (loopa > $o) > loopa > a > a)).
thf(cmadd, type, madd : (hypermapa > (loopa > $o) > loopa > a > num)).
thf(cattach, type, attach : (hypermapa > (loopa > $o) > loopa > a > a)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cgenesis, type, genesis : (hypermapa > (loopa > $o) > loopa > a > loopa > $o)).
thf(ccanon, type, canon : (hypermapa > (loopa > $o) > loopa > $o)).
thf(cisuu_marked, type, isu_marked : (hypermapa > (loopa > $o) > loopa > a > $o)).
thf(cisuu_restricted0, type, isu_restricted0 : (hypermapa > $o)).
thf(cisuu_edgeuu_nondegenerate, type, isu_edgeu_nondegenerate : (hypermaploopa > $o)).
thf(cisuu_nouu_doubleuu_joins, type, isu_nou_doubleu_joins : (hypermaploopa > $o)).
thf(csimpleuu_hypermap, type, simpleu_hypermap : (hypermaploopa > $o)).
thf(cconnecteduu_hypermap, type, connectedu_hypermap : (hypermaploopa > $o)).
thf(cplainuu_hypermap, type, plainu_hypermap : (hypermaploopa > $o)).
thf(cplanaruu_hypermap, type, planaru_hypermap : (hypermaploopa > $o)).
thf(cisuu_restricted, type, isu_restricted : (hypermaploopa > $o)).
thf(cempty, type, empty : (loopa > $o)).
thf(cisuu_nodeuu_nondegenerate, type, isu_nodeu_nondegenerate : (hypermaploopa > $o)).
thf(ctop, type, top : (loopa > num)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard0, type, card0 : ((a > $o) > num)).
thf(ccard, type, card : ((loopa > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_SUB2, axiom, ![M:num,N:num]:((m_ @ (p_ @ M @ N) @ M) = N)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFano_POWERu_1, axiom, ![F:(a > a)]:((power @ F @ (numeral @ (bit1 @ u_0))) = F)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aHypermapo_GEu_1, axiom, ![N:num]:(l_a_ @ (numeral @ (bit1 @ u_0)) @ (suc @ N))).
thf(aHypermapo_LT0u_LE1, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> (l_a_ @ (numeral @ (bit1 @ u_0)) @ N))).
thf(aHypermapo_attach, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((attach @ H @ NF @ L @ X) = (power @ (faceu_map @ H) @ (suc @ (madd @ H @ NF @ L @ X)) @ (heading @ H @ NF @ L @ X)))).
thf(aHypermapo_complementu_index, axiom, ![H:hypermaploopa,X:loopa,M:num,K:num]:(((isu_nodeu_nondegenerate @ H) & (in @ X @ (dart @ H)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (ind @ H @ X @ M))) => ?[I:num,J:num]:((l_ @ I @ M) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_ @ J @ (card @ (node @ H @ (power0 @ (inverse @ (faceu_map0 @ H)) @ (suc @ I) @ X)))) & (K = (p_ @ (ind @ H @ X @ I) @ J))))).
thf(aHypermapo_disjointu_loops, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,LI_:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (in @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_))).
thf(aHypermapo_dnax, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((dnax @ H @ NF @ L @ X) = (loop @ (c_ @ (supportu_list @ (genex @ H @ NF @ L @ X) @ (tpx @ H @ NF @ L @ X)) @ (samsara @ (genex @ H @ NF @ L @ X) @ (tpx @ H @ NF @ L @ X)))))).
thf(aHypermapo_dnay, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((dnay @ H @ NF @ L @ X) = (loop @ (c_ @ (supportu_list @ (geney @ H @ NF @ L @ X) @ (tpy @ H @ NF @ L @ X)) @ (samsara @ (geney @ H @ NF @ L @ X) @ (tpy @ H @ NF @ L @ X)))))).
thf(aHypermapo_faceu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart0 @ H)) & (permutes @ (faceu_map @ H) @ (dart0 @ H)))).
thf(aHypermapo_genesis, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((genesis @ H @ NF @ L @ X) = (union @ (delete @ NF @ L) @ (insert @ (dnax @ H @ NF @ L @ X) @ (insert @ (dnay @ H @ NF @ L @ X) @ empty))))).
thf(aHypermapo_isu_normal, axiom, ![H:hypermapa,NF:(loopa > $o)]:((isu_normal @ H @ NF) <=> (![L:loopa]:((in @ L @ NF) => ((isu_loop @ H @ L) & ?[X:a]:((in0 @ X @ (dart0 @ H)) & (belong @ X @ L)))) & ![L:loopa]:((in @ L @ NF) => ?[Y:a,Z:a]:((belong @ Y @ L) & (belong @ Z @ L) & ~ (((node0 @ H @ Y) = (node0 @ H @ Z))))) & ![L:loopa,LI_:loopa,X:a]:(((in @ L @ NF) & (in @ LI_ @ NF) & (belong @ X @ L) & (belong @ X @ LI_)) => (L = LI_)) & ![L:loopa,X:a,Y:a]:(((in @ L @ NF) & (belong @ X @ L) & (in0 @ Y @ (node0 @ H @ X))) => ?[LI_:loopa]:((in @ LI_ @ NF) & (belong @ Y @ LI_)))))).
thf(aHypermapo_isu_restricted, axiom, ![H:hypermaploopa]:((isu_restricted @ H) <=> (~ (((dart @ H) = empty)) & (planaru_hypermap @ H) & (plainu_hypermap @ H) & (connectedu_hypermap @ H) & (simpleu_hypermap @ H) & (isu_nou_doubleu_joins @ H) & (isu_edgeu_nondegenerate @ H) & (isu_nodeu_nondegenerate @ H) & ![X:loopa]:((in @ X @ (dart @ H)) => (l_a_ @ (numeral @ (bit1 @ (bit1 @ u_0))) @ (card @ (face @ H @ X))))))).
thf(aHypermapo_isu_splitu_condition, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) <=> ((isu_restricted0 @ H) & (isu_normal @ H @ NF) & (in @ L @ NF) & ~ ((in @ L @ (canon @ H @ NF))) & (belong @ X @ L) & ((head @ H @ NF @ X) = X)))).
thf(aHypermapo_lemmaHQYMRTX, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => ((belong @ (attach @ H @ NF @ L @ X) @ L) & ![K:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ K) & (l_a_ @ K @ (suc @ (minside @ H @ NF @ L @ X)))) => ~ (((attach @ H @ NF @ L @ X) = (power @ (faceu_map @ H) @ K @ X))))))).
thf(aHypermapo_lemmau_backu_inu_loop, axiom, ![L:loopa,X:a]:((belong @ X @ L) => (belong @ (back @ L @ X) @ L))).
thf(aHypermapo_lemmau_complementu_path, axiom, ![H:hypermaploopa,X:loopa]:(((plainu_hypermap @ H) & (isu_nodeu_nondegenerate @ H) & (in @ X @ (dart @ H))) => (![I:num]:((complement @ H @ X @ (ind @ H @ X @ I)) = (nodeu_map @ H @ (power0 @ (inverse @ (faceu_map0 @ H)) @ I @ X))) & ![I:num]:((complement @ H @ X @ (suc @ (ind @ H @ X @ I))) = (inverse @ (nodeu_map @ H) @ (power0 @ (inverse @ (faceu_map0 @ H)) @ (suc @ I) @ X))) & ![I:num]:((faceu_map0 @ H @ (complement @ H @ X @ (ind @ H @ X @ I))) = (complement @ H @ X @ (suc @ (ind @ H @ X @ I)))) & ![I:num,J:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_ @ J @ (card @ (node @ H @ (power0 @ (inverse @ (faceu_map0 @ H)) @ (suc @ I) @ X))))) => ((complement @ H @ X @ (p_ @ (ind @ H @ X @ I) @ J)) = (power0 @ (inverse @ (nodeu_map @ H)) @ J @ (power0 @ (inverse @ (faceu_map0 @ H)) @ (suc @ I) @ X)))) & ![N:num]:(isu_contour @ H @ (complement @ H @ X) @ N)))).
thf(aHypermapo_lemmau_disjointu_newu_loops, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => (((p_ @ (index @ L @ (inverse0 @ (nodeu_map0 @ H) @ (heading @ H @ NF @ L @ X)) @ (nodeu_map0 @ H @ (attach @ H @ NF @ L @ X))) @ (suc @ (index @ L @ (attach @ H @ NF @ L @ X) @ (heading @ H @ NF @ L @ X)))) = (top @ L)) & ![U:a]:((belong @ U @ (dnax @ H @ NF @ L @ X)) => ~ ((belong @ U @ (dnay @ H @ NF @ L @ X)))) & ![U:a]:((belong @ U @ (dnay @ H @ NF @ L @ X)) => ~ ((belong @ U @ (dnax @ H @ NF @ L @ X)))) & ~ ((in @ (dnax @ H @ NF @ L @ X) @ NF)) & ~ ((in @ (dnay @ H @ NF @ L @ X) @ NF)) & ![U:a]:((belong @ U @ L) => ((belong @ U @ (dnax @ H @ NF @ L @ X)) | (belong @ U @ (dnay @ H @ NF @ L @ X))))))).
thf(aHypermapo_lemmau_genexu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => ((isu_inju_contour @ H @ (genex @ H @ NF @ L @ X) @ (tpx @ H @ NF @ L @ X)) & ((faceu_map @ H @ (genex @ H @ NF @ L @ X @ (tpx @ H @ NF @ L @ X))) = (genex @ H @ NF @ L @ X @ (numeral @ u_0)))))).
thf(aHypermapo_lemmau_geneyu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => ((isu_inju_contour @ H @ (geney @ H @ NF @ L @ X) @ (tpy @ H @ NF @ L @ X)) & ((faceu_map @ H @ (geney @ H @ NF @ L @ X @ (tpy @ H @ NF @ L @ X))) = (geney @ H @ NF @ L @ X @ (numeral @ u_0)))))).
thf(aHypermapo_lemmau_inu_couple, axiom, ![X:loopa,A:loopa,B:loopa]:((in @ X @ (insert @ A @ (insert @ B @ empty))) <=> ((X = A) | (X = B)))).
thf(aHypermapo_lemmau_inu_dart, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_normal @ H @ NF) & (in @ L @ NF) & (belong @ X @ L)) => (in0 @ X @ (dart0 @ H)))).
thf(aHypermapo_lemmau_inu_dnax, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => ![Y:a]:((belong @ Y @ (dnax @ H @ NF @ L @ X)) <=> (?[I:num]:((l_a_ @ I @ (index @ L @ (attach @ H @ NF @ L @ X) @ (heading @ H @ NF @ L @ X))) & (Y = (power @ (next @ L) @ I @ (attach @ H @ NF @ L @ X)))) | ?[I:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (madd @ H @ NF @ L @ X)) & (Y = (power @ (faceu_map @ H) @ I @ (heading @ H @ NF @ L @ X)))))))).
thf(aHypermapo_lemmau_inu_dnax2, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a,I:num]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF))) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (madd @ H @ NF @ L @ X)) & (Y = (power @ (faceu_map @ H) @ I @ (heading @ H @ NF @ L @ X)))) => (belong @ Y @ (dnax @ H @ NF @ L @ X)))).
thf(aHypermapo_lemmau_inu_dnay, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => ![Y:a]:((belong @ Y @ (dnay @ H @ NF @ L @ X)) <=> (?[I:num]:((l_a_ @ I @ (index @ L @ (inverse0 @ (nodeu_map0 @ H) @ (heading @ H @ NF @ L @ X)) @ (nodeu_map0 @ H @ (attach @ H @ NF @ L @ X)))) & (Y = (power @ (next @ L) @ I @ (inverse0 @ (nodeu_map0 @ H) @ (heading @ H @ NF @ L @ X))))) | ?[I:num,J:num]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (madd @ H @ NF @ L @ X)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_ @ J @ (card0 @ (node0 @ H @ (power @ (faceu_map @ H) @ I @ (heading @ H @ NF @ L @ X))))) & (Y = (power @ (inverse0 @ (nodeu_map0 @ H)) @ J @ (power @ (faceu_map @ H) @ I @ (heading @ H @ NF @ L @ X))))))))).
thf(aHypermapo_lemmau_inu_dnay2, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a,Y:a,I:num,J:num]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF))) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (madd @ H @ NF @ L @ X)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ J) & (l_ @ J @ (card0 @ (node0 @ H @ (power @ (faceu_map @ H) @ I @ (heading @ H @ NF @ L @ X))))) & (Y = (power @ (inverse0 @ (nodeu_map0 @ H)) @ J @ (power @ (faceu_map @ H) @ I @ (heading @ H @ NF @ L @ X))))) => (belong @ Y @ (dnay @ H @ NF @ L @ X)))).
thf(aHypermapo_lemmau_inu_node2, axiom, ![H:hypermaploopa,X:loopa,N:num]:(in @ (power0 @ (nodeu_map @ H) @ N @ X) @ (node @ H @ X))).
thf(aHypermapo_lemmau_inu_support2, axiom, ![NF:(loopa > $o),L:loopa,X:a]:(((belong @ X @ L) & (in @ L @ NF)) => (in0 @ X @ (supportu_darts @ NF)))).
thf(aHypermapo_lemmau_loopu_index, axiom, ![L:loopa,X:a,Y:a]:(((belong @ X @ L) & (belong @ Y @ L)) => ((l_a_ @ (index @ L @ X @ Y) @ (top @ L)) & (Y = (power @ (next @ L) @ (index @ L @ X @ Y) @ X))))).
thf(aHypermapo_lemmau_makeu_contouru_loop, axiom, ![H:hypermapa,P:(num > a),N:num]:(((isu_inju_contour @ H @ P @ N) & (oneu_stepu_contour @ H @ (P @ N) @ (P @ (numeral @ u_0)))) => (isu_loop @ H @ (loop @ (c_ @ (supportu_list @ P @ N) @ (samsara @ P @ N)))))).
thf(aHypermapo_lemmau_nextu_inu_loop, axiom, ![L:loopa,X:a]:((belong @ X @ L) => (belong @ (next @ L @ X) @ L))).
thf(aHypermapo_lemmau_nodeu_identity, axiom, ![H:hypermaploopa,X:loopa,Y:loopa]:((in @ Y @ (node @ H @ X)) => ((node @ H @ X) = (node @ H @ Y)))).
thf(aHypermapo_lemmau_nodeu_outsideu_supportu_darts, axiom, ![H:hypermaploopa,NF:(looploopa > $o),L:looploopa,X:loopa,I:num]:(((isu_splitu_condition0 @ H @ NF @ L @ X) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (madd0 @ H @ NF @ L @ X))) => ![Y:loopa]:((in @ Y @ (node @ H @ (power0 @ (faceu_map0 @ H) @ I @ (heading0 @ H @ NF @ L @ X)))) => ~ ((in @ Y @ (supportu_darts0 @ NF)))))).
thf(aHypermapo_lemmau_onu_addingu_darts, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => (((next @ L @ (heading @ H @ NF @ L @ X)) = (inverse0 @ (nodeu_map0 @ H) @ (heading @ H @ NF @ L @ X))) & ((back @ L @ (attach @ H @ NF @ L @ X)) = (nodeu_map0 @ H @ (attach @ H @ NF @ L @ X)))))).
thf(aHypermapo_lemmau_onu_attach, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) => (~ (((node0 @ H @ (heading @ H @ NF @ L @ X)) = (node0 @ H @ (attach @ H @ NF @ L @ X)))) & (l_ @ (suc @ (madd @ H @ NF @ L @ X)) @ (card0 @ (face0 @ H @ X)))))).
thf(aHypermapo_lemmau_onu_dnax, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => (((genex @ H @ NF @ L @ X @ (numeral @ u_0)) = (attach @ H @ NF @ L @ X)) & (belong @ (attach @ H @ NF @ L @ X) @ (dnax @ H @ NF @ L @ X)) & ((top @ (dnax @ H @ NF @ L @ X)) = (tpx @ H @ NF @ L @ X)) & ![I:num]:((l_a_ @ I @ (index @ L @ (attach @ H @ NF @ L @ X) @ (heading @ H @ NF @ L @ X))) => ((power @ (next @ (dnax @ H @ NF @ L @ X)) @ I @ (attach @ H @ NF @ L @ X)) = (power @ (next @ L) @ I @ (attach @ H @ NF @ L @ X)))) & ![I:num]:((l_a_ @ I @ (madd @ H @ NF @ L @ X)) => ((power @ (next @ (dnax @ H @ NF @ L @ X)) @ (p_ @ (index @ L @ (attach @ H @ NF @ L @ X) @ (heading @ H @ NF @ L @ X)) @ I) @ (attach @ H @ NF @ L @ X)) = (power @ (faceu_map @ H) @ I @ (heading @ H @ NF @ L @ X))))))).
thf(aHypermapo_lemmau_onu_dnay, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => (((geney @ H @ NF @ L @ X @ (numeral @ u_0)) = (inverse0 @ (nodeu_map0 @ H) @ (heading @ H @ NF @ L @ X))) & (belong @ (inverse0 @ (nodeu_map0 @ H) @ (heading @ H @ NF @ L @ X)) @ (dnay @ H @ NF @ L @ X)) & ((top @ (dnay @ H @ NF @ L @ X)) = (tpy @ H @ NF @ L @ X)) & ![I:num]:((l_a_ @ I @ (index @ L @ (inverse0 @ (nodeu_map0 @ H) @ (heading @ H @ NF @ L @ X)) @ (nodeu_map0 @ H @ (attach @ H @ NF @ L @ X)))) => ((power @ (next @ (dnay @ H @ NF @ L @ X)) @ I @ (inverse0 @ (nodeu_map0 @ H) @ (heading @ H @ NF @ L @ X))) = (power @ (next @ L) @ I @ (inverse0 @ (nodeu_map0 @ H) @ (heading @ H @ NF @ L @ X))))) & ![I:num]:((l_a_ @ I @ (ind0 @ H @ (attach @ H @ NF @ L @ X) @ (madd @ H @ NF @ L @ X))) => ((power @ (next @ (dnay @ H @ NF @ L @ X)) @ (p_ @ (index @ L @ (inverse0 @ (nodeu_map0 @ H) @ (heading @ H @ NF @ L @ X)) @ (nodeu_map0 @ H @ (attach @ H @ NF @ L @ X))) @ I) @ (inverse0 @ (nodeu_map0 @ H) @ (heading @ H @ NF @ L @ X))) = (complement0 @ H @ (attach @ H @ NF @ L @ X) @ I)))))).
thf(aHypermapo_lemmau_onu_heading, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((isu_splitu_condition @ H @ NF @ L @ X) => ((belong @ (heading @ H @ NF @ L @ X) @ L) & ((next @ L @ (heading @ H @ NF @ L @ X)) = (inverse0 @ (nodeu_map0 @ H) @ (heading @ H @ NF @ L @ X))) & ~ (((node0 @ H @ (heading @ H @ NF @ L @ X)) = (node0 @ H @ X)))))).
thf(aHypermapo_lemmau_poweru_inverseu_inu_node2, axiom, ![H:hypermaploopa,X:loopa,N:num]:(in @ (power0 @ (inverse @ (nodeu_map @ H)) @ N @ X) @ (node @ H @ X))).
thf(aHypermapo_lemmau_poweru_nextu_inu_loop, axiom, ![L:loopa,X:a,K:num]:((belong @ X @ L) => (belong @ (power @ (next @ L) @ K @ X) @ L))).
thf(aHypermapo_lemmau_splitu_markedu_loop, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => (isu_splitu_condition @ H @ NF @ L @ X))).
thf(aHypermapo_lemmau_viau_inverseu_nodeu_map, axiom, ![H:hypermaploopa,X:loopa,Y:loopa]:((in @ Y @ (node @ H @ X)) => ?[J:num]:((l_ @ J @ (card @ (node @ H @ X))) & (Y = (power0 @ (inverse @ (nodeu_map @ H)) @ J @ X))))).
thf(aHypermapo_nodeu_refl, axiom, ![H:hypermaploopa,X:loopa]:(in @ X @ (node @ H @ X))).
thf(aHypermapo_oneu_stepu_contour, axiom, ![Y:a,H:hypermapa,X:a]:((oneu_stepu_contour @ H @ X @ Y) <=> ((Y = (faceu_map @ H @ X)) | (Y = (inverse0 @ (nodeu_map0 @ H) @ X))))).
thf(aHypermapo_reduceu_exponent, axiom, ![S:(a > $o),P:(a > a),M:num,N:num,X:a]:(((permutes @ P @ S) & (l_a_ @ M @ N)) => ((power @ (inverse0 @ P) @ M @ (power @ P @ N @ X)) = (power @ P @ (m_ @ N @ M) @ X)))).
thf(aHypermapo_tpx, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((tpx @ H @ NF @ L @ X) = (p_ @ (index @ L @ (attach @ H @ NF @ L @ X) @ (heading @ H @ NF @ L @ X)) @ (madd @ H @ NF @ L @ X)))).
thf(aHypermapo_tpy, axiom, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:((tpy @ H @ NF @ L @ X) = (p_ @ (index @ L @ (inverse0 @ (nodeu_map0 @ H) @ (heading @ H @ NF @ L @ X)) @ (nodeu_map0 @ H @ (attach @ H @ NF @ L @ X))) @ (ind0 @ H @ (attach @ H @ NF @ L @ X) @ (madd @ H @ NF @ L @ X))))).
thf(aINu_DELETE, axiom, ![S:(loopa > $o),X:loopa,Y:loopa]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_UNION, axiom, ![S:(loopa > $o),T:(loopa > $o),X:loopa]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLEu_ADDR, axiom, ![M:num,N:num]:(l_a_ @ N @ (p_ @ M @ N))).
thf(aLEu_ADDu_LCANCEL, axiom, ![M:num,N:num,P:num]:((l_a_ @ (p_ @ M @ N) @ (p_ @ M @ P)) <=> (l_a_ @ N @ P))).
thf(aLEu_REFL, axiom, ![N:num]:(l_a_ @ N @ N)).
thf(aLTu_EXISTS, axiom, ![M:num,N:num]:((l_ @ M @ N) <=> ?[D:num]:(N = (p_ @ M @ (suc @ D))))).
thf(aLTu_IMPu_LE, axiom, ![M:num,N:num]:((l_ @ M @ N) => (l_a_ @ M @ N))).
thf(aLTu_NZ, axiom, ![N:num]:((l_ @ (numeral @ u_0) @ N) <=> ~ ((N = (numeral @ u_0))))).
thf(aLTu_SUC, axiom, ![M:num,N:num]:((l_ @ (suc @ M) @ (suc @ N)) <=> (l_ @ M @ N))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aSUBu_SUC, axiom, ![M:num,N:num]:((m_ @ (suc @ M) @ (suc @ N)) = (m_ @ M @ N))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa,NF:(loopa > $o),L:loopa,X:a]:(((isu_marked @ H @ NF @ L @ X) & ~ ((in @ L @ (canon @ H @ NF)))) => (isu_normal @ H @ (genesis @ H @ NF @ L @ X)))).
