%   ORIGINAL: Hypermap.square_edge_convolution2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.node_map_injective: !H x y. node_map H x = node_map H y <=> x = y
% Assm: Hypermap.square_edge_convolution: !H. plain_hypermap H ==> (!x. node_map H (face_map H (node_map H (face_map H x))) = x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !H. plain_hypermap H ==> (!x. face_map H (node_map H (face_map H (node_map H x))) = x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H x y. node_map H x = node_map H y <=> x = y
% Assm: !H. plain_hypermap H ==> (!x. node_map H (face_map H (node_map H (face_map H x))) = x)
% Assm: ~F <=> T
% Assm: T
% Goal: !H. plain_hypermap H ==> (!x. face_map H (node_map H (face_map H (node_map H x))) = x)
%  TYPES
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cplainuu_hypermap, type, plainu_hypermap : (hypermapa > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_nodeu_mapu_injective, axiom, ![H:hypermapa,X:a,Y:a]:(((nodeu_map @ H @ X) = (nodeu_map @ H @ Y)) <=> (X = Y))).
thf(aHypermapo_squareu_edgeu_convolution, axiom, ![H:hypermapa]:((plainu_hypermap @ H) => ![X:a]:((nodeu_map @ H @ (faceu_map @ H @ (nodeu_map @ H @ (faceu_map @ H @ X)))) = X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:hypermapa]:((plainu_hypermap @ H) => ![X:a]:((faceu_map @ H @ (nodeu_map @ H @ (faceu_map @ H @ (nodeu_map @ H @ X)))) = X))).
