%   ORIGINAL: SC_CLOSED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SC_EXPLICIT: !R. SC R x y <=> R x y \/ R y x
% Assm: TRUTH: T
% Goal: !R. SC R = R <=> (!x y. R x y ==> R y x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: ~F <=> T
% Assm: !y x R. SC R x y <=> R x y \/ R y x
% Assm: T
% Goal: !R. SC R = R <=> (!x y. R x y ==> R y x)
%  TYPES
thf(ta, type, a : $tType).
%  CONSTS
thf(csc, type, sc : ((a > a > $o) > a > a > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > a > $o),G:(a > a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > a > $o),G:(a > a > $o)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSCu_EXPLICIT, axiom, ![Y:a,X:a,R:(a > a > $o)]:((sc @ R @ X @ Y) <=> ((R @ X @ Y) | (R @ Y @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![R:(a > a > $o)]:(((sc @ R) = R) <=> ![X:a,Y:a]:((R @ X @ Y) => (R @ Y @ X)))).
