%   ORIGINAL: Fan_defs.HYPERMAP_OF_FAN_ALT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan_defs.E_FAN_PAIR_EXT: !V E. e_fan_pair_ext (V,E) = res (e_fan_pair (V,E)) (dart1_of_fan (V,E))
% Assm: Fan_defs.F_FAN_PAIR_EXT: !V E. f_fan_pair_ext (V,E) = res (f_fan_pair (V,E)) (dart1_of_fan (V,E))
% Assm: Fan_defs.N_FAN_PAIR_EXT: !V E. n_fan_pair_ext (V,E) = res (n_fan_pair (V,E)) (dart1_of_fan (V,E))
% Assm: Fan_defs.hypermap_of_fan: !V E. hypermap_of_fan (V,E) = (let p = (\t. res (t (V,E)) (dart1_of_fan (V,E))) in hypermap (dart_of_fan (V,E),p e_fan_pair,p n_fan_pair,p f_fan_pair))
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: TRUTH: T
% Goal: !V E. hypermap_of_fan (V,E) = hypermap (dart_of_fan (V,E),e_fan_pair_ext (V,E),n_fan_pair_ext (V,E),f_fan_pair_ext (V,E))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !V E. e_fan_pair_ext (V,E) = res (e_fan_pair (V,E)) (dart1_of_fan (V,E))
% Assm: !V E. f_fan_pair_ext (V,E) = res (f_fan_pair (V,E)) (dart1_of_fan (V,E))
% Assm: !V E. n_fan_pair_ext (V,E) = res (n_fan_pair (V,E)) (dart1_of_fan (V,E))
% Assm: !V E. hypermap_of_fan (V,E) = (let p = (\t. res (t (V,E)) (dart1_of_fan (V,E))) in hypermap (dart_of_fan (V,E),p e_fan_pair,p n_fan_pair,p f_fan_pair))
% Assm: !f x. LET f x = f x
% Assm: !t. LET_END t = t
% Assm: T
% Goal: !V E. hypermap_of_fan (V,E) = hypermap (dart_of_fan (V,E),e_fan_pair_ext (V,E),n_fan_pair_ext (V,E),f_fan_pair_ext (V,E))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tfunprodcartrealn3cartrealn3bool, type, funprodcartrealn3cartrealn3bool : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tprodfunprodcartrealn3cartrealn3boolprodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3, type, prodfunprodcartrealn3cartrealn3boolprodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3, type, prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3, type, prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3, type, funprodcartrealn3cartrealn3prodcartrealn3cartrealn3 : $tType).
thf(thypermapprodcartrealn3cartrealn3, type, hypermapprodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(cletuu_end, type, letu_end : (hypermapprodcartrealn3cartrealn3 > hypermapprodcartrealn3cartrealn3)).
thf(chypermap, type, hypermap : (prodfunprodcartrealn3cartrealn3boolprodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3 > hypermapprodcartrealn3cartrealn3)).
thf(chypermapuu_ofuu_fan, type, hypermapu_ofu_fan : (prodfuncartrealn3boolfunfuncartrealn3boolbool > hypermapprodcartrealn3cartrealn3)).
thf(cdart1uu_ofuu_fan, type, dart1u_ofu_fan : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > $o)).
thf(cdartuu_ofuu_fan, type, dartu_ofu_fan : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > $o)).
thf(clet0, type, let0 : ((a > hypermapprodcartrealn3cartrealn3) > a > hypermapprodcartrealn3cartrealn3)).
thf(clet, type, let : ((((prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > hypermapprodcartrealn3cartrealn3) > ((prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > hypermapprodcartrealn3cartrealn3)).
thf(cnuu_fanuu_pair, type, nu_fanu_pair : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cfuu_fanuu_pair, type, fu_fanu_pair : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(ceuu_fanuu_pair, type, eu_fanu_pair : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cres, type, res : ((prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > (prodcartrealn3cartrealn3 > $o) > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cfuu_fanuu_pairuu_ext, type, fu_fanu_pairu_ext : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cnuu_fanuu_pairuu_ext, type, nu_fanu_pairu_ext : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccu_2, type, c_2 : ((prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > (prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3)).
thf(ceuu_fanuu_pairuu_ext, type, eu_fanu_pairu_ext : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccu_1, type, c_1 : ((prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3 > prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3)).
thf(ccu_0, type, c_0 : ((prodcartrealn3cartrealn3 > $o) > prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3 > prodfunprodcartrealn3cartrealn3boolprodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3prodfunprodcartrealn3cartrealn3prodcartrealn3cartrealn3funprodcartrealn3cartrealn3prodcartrealn3cartrealn3)).
thf(ccu_, type, c_ : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > hypermapprodcartrealn3cartrealn3),G:(a > hypermapprodcartrealn3cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFanu_defso_Eu_FANu_PAIRu_EXT, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((eu_fanu_pairu_ext @ (c_ @ V @ E)) = (res @ (eu_fanu_pair @ (c_ @ V @ E)) @ (dart1u_ofu_fan @ (c_ @ V @ E))))).
thf(aFanu_defso_Fu_FANu_PAIRu_EXT, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fu_fanu_pairu_ext @ (c_ @ V @ E)) = (res @ (fu_fanu_pair @ (c_ @ V @ E)) @ (dart1u_ofu_fan @ (c_ @ V @ E))))).
thf(aFanu_defso_Nu_FANu_PAIRu_EXT, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((nu_fanu_pairu_ext @ (c_ @ V @ E)) = (res @ (nu_fanu_pair @ (c_ @ V @ E)) @ (dart1u_ofu_fan @ (c_ @ V @ E))))).
thf(aFanu_defso_hypermapu_ofu_fan, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((hypermapu_ofu_fan @ (c_ @ V @ E)) = (let @ ^[P:((prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)]:(letu_end @ (hypermap @ (c_0 @ (dartu_ofu_fan @ (c_ @ V @ E)) @ (c_1 @ (P @ eu_fanu_pair) @ (c_2 @ (P @ nu_fanu_pair) @ (P @ fu_fanu_pair)))))) @ ^[T:(prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)]:(res @ (T @ (c_ @ V @ E)) @ (dart1u_ofu_fan @ (c_ @ V @ E)))))).
thf(aLETu_DEF, axiom, ![F:(a > hypermapprodcartrealn3cartrealn3),X:a]:((let0 @ F @ X) = (F @ X))).
thf(aLETu_ENDu_DEF, axiom, ![T:hypermapprodcartrealn3cartrealn3]:((letu_end @ T) = T)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((hypermapu_ofu_fan @ (c_ @ V @ E)) = (hypermap @ (c_0 @ (dartu_ofu_fan @ (c_ @ V @ E)) @ (c_1 @ (eu_fanu_pairu_ext @ (c_ @ V @ E)) @ (c_2 @ (nu_fanu_pairu_ext @ (c_ @ V @ E)) @ (fu_fanu_pairu_ext @ (c_ @ V @ E)))))))).
