%   ORIGINAL: Fan.set_of_edge
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Fan_defs.set_of_edge: !v E V. set_of_edge v V E = {w | {v, w} IN E /\ w IN V}
% Assm: TRUTH: T
% Goal: !v E V. set_of_edge v V E = {w | {v, w} IN E /\ w IN V}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !v E V. set_of_edge v V E = {w | {v, w} IN E /\ w IN V}
% Assm: T
% Goal: !v E V. set_of_edge v V E = {w | {v, w} IN E /\ w IN V}
%  TYPES
thf(tq1162923, type, q1162923 : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cin0, type, in0 : (q1162923 > (q1162923 > $o) > $o)).
thf(cin, type, in : ((q1162923 > $o) > ((q1162923 > $o) > $o) > $o)).
thf(cgspec, type, gspec : ((q1162923 > $o) > q1162923 > $o)).
thf(cinsert, type, insert : (q1162923 > (q1162923 > $o) > q1162923 > $o)).
thf(csetspec, type, setspec : (q1162923 > $o > q1162923 > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (q1162923 > (q1162923 > $o) > ((q1162923 > $o) > $o) > q1162923 > $o)).
thf(cempty, type, empty : (q1162923 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q1162923 > $o),G:(a > q1162923 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFanu_defso_setu_ofu_edge, axiom, ![V:q1162923,E:((q1162923 > $o) > $o),V0:(q1162923 > $o)]:((setu_ofu_edge @ V @ V0 @ E) = (gspec @ ^[GENR_PVARR_283:q1162923]:?[W:q1162923]:(setspec @ GENR_PVARR_283 @ ((in @ (insert @ V @ (insert @ W @ empty)) @ E) & (in0 @ W @ V0)) @ W)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:q1162923,E:((q1162923 > $o) > $o),V0:(q1162923 > $o)]:((setu_ofu_edge @ V @ V0 @ E) = (gspec @ ^[GENR_PVARR_292:q1162923]:?[W:q1162923]:(setspec @ GENR_PVARR_292 @ ((in @ (insert @ V @ (insert @ W @ empty)) @ E) & (in0 @ W @ V0)) @ W)))).
