%   ORIGINAL: Fan.UNIQUE_AZIM_0_POINT_FAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AZIM_EQ_0_ALT: !v0 v1 w x. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} ==> (azim v0 v1 w x = &0 <=> x IN aff_gt {v0, v1} {w})
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan.FAN: !x V E. FAN (x,V,E) <=> UNIONS E SUBSET V /\ graph E /\ fan1 (x,V,E) /\ fan2 (x,V,E) /\ fan6 (x,V,E) /\ fan7 (x,V,E)
% Assm: Fan.UNIQUE1_POINT_FAN: !x V E v u w. FAN (x,V,E) /\ {v, u} IN E /\ {v, w} IN E /\ w IN aff_gt {x, v} {u} ==> u = w
% Assm: Fan.fan6: !V E x. fan6 (x,V,E) <=> (!e. e IN E ==> ~collinear ({x} UNION e))
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !x V E v u w. FAN (x,V,E) /\ {v, u} IN E /\ {v, w} IN E /\ azim x v u w = &0 ==> u = w
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !v0 v1 w x. ~collinear {v0, v1, w} /\ ~collinear {v0, v1, x} ==> (azim v0 v1 w x = &0 <=> x IN aff_gt {v0, v1} {w})
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x V E. FAN (x,V,E) <=> UNIONS E SUBSET V /\ graph E /\ fan1 (x,V,E) /\ fan2 (x,V,E) /\ fan6 (x,V,E) /\ fan7 (x,V,E)
% Assm: !x V E v u w. FAN (x,V,E) /\ {v, u} IN E /\ {v, w} IN E /\ w IN aff_gt {x, v} {u} ==> u = w
% Assm: !V E x. fan6 (x,V,E) <=> (!e. e IN E ==> ~collinear ({x} UNION e))
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !x V E v u w. FAN (x,V,E) /\ {v, u} IN E /\ {v, w} IN E /\ azim x v u w = &0 ==> u = w
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(cunions, type, unions : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cunion0, type, union0 : (((cartrealn3 > $o) > $o) > ((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cinsert0, type, insert0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cunion, type, union : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cempty0, type, empty0 : ((cartrealn3 > $o) > $o)).
thf(cfan7, type, fan7 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan6, type, fan6 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan2, type, fan2 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan1, type, fan1 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cgraph, type, graph : (((cartrealn3 > $o) > $o) > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAZIMu_EQu_0u_ALT, axiom, ![V0:cartrealn3,V1:cartrealn3,W:cartrealn3,X:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ X @ empty)))))) => (((azim @ V0 @ V1 @ W @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (in0 @ X @ (affu_gt @ (insert @ V0 @ (insert @ V1 @ empty)) @ (insert @ W @ empty)))))).
thf(aEXTENSION, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o)]:((S = T) <=> ![X:(cartrealn3 > $o)]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFano_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan @ (c_ @ X @ (c_0 @ V @ E))) <=> ((subset @ (unions @ E) @ V) & (graph @ E) & (fan1 @ (c_ @ X @ (c_0 @ V @ E))) & (fan2 @ (c_ @ X @ (c_0 @ V @ E))) & (fan6 @ (c_ @ X @ (c_0 @ V @ E))) & (fan7 @ (c_ @ X @ (c_0 @ V @ E)))))).
thf(aFano_UNIQUE1u_POINTu_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3,W:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E) & (in @ (insert @ V0 @ (insert @ W @ empty)) @ E) & (in0 @ W @ (affu_gt @ (insert @ X @ (insert @ V0 @ empty)) @ (insert @ U @ empty)))) => (U = W))).
thf(aFano_fan6, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:cartrealn3]:((fan6 @ (c_ @ X @ (c_0 @ V @ E))) <=> ![E0:(cartrealn3 > $o)]:((in @ E0 @ E) => ~ ((collinear @ (union @ (insert @ X @ empty) @ E0)))))).
thf(aINu_INSERT, axiom, ![X:(cartrealn3 > $o),Y:(cartrealn3 > $o),S:((cartrealn3 > $o) > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_UNION, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (union0 @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:(cartrealn3 > $o)]:~ ((in @ X @ empty0))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3,W:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E) & (in @ (insert @ V0 @ (insert @ W @ empty)) @ E) & ((azim @ X @ V0 @ U @ W) = (realu_ofu_num @ (numeral @ u_0)))) => (U = W))).
