%   ORIGINAL: Fan_misc.INVERSE_SIGMA_FAN_EQ_INVERSE1_SIGMA_FAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Fan.INVERSE1_SIGMA_FAN: !x V E v. FAN (x,V,E) ==> (!w. {v, w} IN E ==> {v, inverse1_sigma_fan x V E v w} IN E) /\ (!w. {v, w} IN E ==> sigma_fan x V E v (inverse1_sigma_fan x V E v w) = w) /\ (!w. {v, w} IN E ==> inverse1_sigma_fan x V E v (sigma_fan x V E v w) = w)
% Assm: Fan.extension_sigma_fan: !x V E v u. extension_sigma_fan x V E v u = (if ~(u IN set_of_edge v V E) then u else sigma_fan x V E v u)
% Assm: Fan.set_of_edge: !v E V. set_of_edge v V E = {w | {v, w} IN E /\ w IN V}
% Assm: Fan_misc.EXTENSION_SIGMA_FAN_INJECTIVE: !x V E v. FAN (x,V,E) ==> (!u w. extension_sigma_fan x V E v u = extension_sigma_fan x V E v w ==> u = w)
% Assm: Fan_misc.FAN_IN_SET_OF_EDGE: !x V E v w. FAN (x,V,E) /\ {v, w} IN E ==> v IN V /\ w IN V /\ w IN set_of_edge v V E /\ v IN set_of_edge w V E
% Assm: Fan_misc.INVERSE_SIGMA_FAN: !x V E v. FAN (x,V,E) ==> extension_sigma_fan x V E v o inverse_sigma_fan x V E v = I /\ inverse_sigma_fan x V E v o extension_sigma_fan x V E v = I
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !x V E v w. FAN (x,V,E) /\ {v, w} IN E ==> inverse1_sigma_fan x V E v w = inverse_sigma_fan x V E v w
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !x V E v. FAN (x,V,E) ==> (!w. {v, w} IN E ==> {v, inverse1_sigma_fan x V E v w} IN E) /\ (!w. {v, w} IN E ==> sigma_fan x V E v (inverse1_sigma_fan x V E v w) = w) /\ (!w. {v, w} IN E ==> inverse1_sigma_fan x V E v (sigma_fan x V E v w) = w)
% Assm: !x V E v u. extension_sigma_fan x V E v u = (if ~(u IN set_of_edge v V E) then u else sigma_fan x V E v u)
% Assm: !v E V. set_of_edge v V E = {w | {v, w} IN E /\ w IN V}
% Assm: !x V E v. FAN (x,V,E) ==> (!u w. extension_sigma_fan x V E v u = extension_sigma_fan x V E v w ==> u = w)
% Assm: !x V E v w. FAN (x,V,E) /\ {v, w} IN E ==> v IN V /\ w IN V /\ w IN set_of_edge v V E /\ v IN set_of_edge w V E
% Assm: !x V E v. FAN (x,V,E) ==> extension_sigma_fan x V E v o inverse_sigma_fan x V E v = I /\ inverse_sigma_fan x V E v o extension_sigma_fan x V E v = I
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !x V E v w. FAN (x,V,E) /\ {v, w} IN E ==> inverse1_sigma_fan x V E v w = inverse_sigma_fan x V E v w
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(ci, type, i : (cartrealn3 > cartrealn3)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(co0, type, o0 : ((b > cartrealn3) > (a > b) > a > cartrealn3)).
thf(csetspec0, type, setspec0 : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(co, type, o : ((cartrealn3 > cartrealn3) > (cartrealn3 > cartrealn3) > cartrealn3 > cartrealn3)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(cextensionuu_sigmauu_fan, type, extensionu_sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccond, type, cond : ($o > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinverseuu_sigmauu_fan, type, inverseu_sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinverse1uu_sigmauu_fan, type, inverse1u_sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn3,T2:cartrealn3]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aFano_INVERSE1u_SIGMAu_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3]:((fan @ (c_ @ X @ (c_0 @ V @ E))) => (![W:cartrealn3]:((in @ (insert @ V0 @ (insert @ W @ empty)) @ E) => (in @ (insert @ V0 @ (insert @ (inverse1u_sigmau_fan @ X @ V @ E @ V0 @ W) @ empty)) @ E)) & ![W:cartrealn3]:((in @ (insert @ V0 @ (insert @ W @ empty)) @ E) => ((sigmau_fan @ X @ V @ E @ V0 @ (inverse1u_sigmau_fan @ X @ V @ E @ V0 @ W)) = W)) & ![W:cartrealn3]:((in @ (insert @ V0 @ (insert @ W @ empty)) @ E) => ((inverse1u_sigmau_fan @ X @ V @ E @ V0 @ (sigmau_fan @ X @ V @ E @ V0 @ W)) = W))))).
thf(aFano_extensionu_sigmau_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:((extensionu_sigmau_fan @ X @ V @ E @ V0 @ U) = (cond @ ~ ((in0 @ U @ (setu_ofu_edge @ V0 @ V @ E))) @ U @ (sigmau_fan @ X @ V @ E @ V0 @ U)))).
thf(aFano_setu_ofu_edge, axiom, ![V:cartrealn3,E:((cartrealn3 > $o) > $o),V0:(cartrealn3 > $o)]:((setu_ofu_edge @ V @ V0 @ E) = (gspec @ ^[GENR_PVARR_292:cartrealn3]:?[W:cartrealn3]:(setspec @ GENR_PVARR_292 @ ((in @ (insert @ V @ (insert @ W @ empty)) @ E) & (in0 @ W @ V0)) @ W)))).
thf(aFanu_misco_EXTENSIONu_SIGMAu_FANu_INJECTIVE, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3]:((fan @ (c_ @ X @ (c_0 @ V @ E))) => ![U:cartrealn3,W:cartrealn3]:(((extensionu_sigmau_fan @ X @ V @ E @ V0 @ U) = (extensionu_sigmau_fan @ X @ V @ E @ V0 @ W)) => (U = W)))).
thf(aFanu_misco_FANu_INu_SETu_OFu_EDGE, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,W:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ W @ empty)) @ E)) => ((in0 @ V0 @ V) & (in0 @ W @ V) & (in0 @ W @ (setu_ofu_edge @ V0 @ V @ E)) & (in0 @ V0 @ (setu_ofu_edge @ W @ V @ E))))).
thf(aFanu_misco_INVERSEu_SIGMAu_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3]:((fan @ (c_ @ X @ (c_0 @ V @ E))) => (((o @ (extensionu_sigmau_fan @ X @ V @ E @ V0) @ (inverseu_sigmau_fan @ X @ V @ E @ V0)) = i) & ((o @ (inverseu_sigmau_fan @ X @ V @ E @ V0) @ (extensionu_sigmau_fan @ X @ V @ E @ V0)) = i)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (gspec0 @ ^[V:(cartrealn3 > $o)]:?[Y:(cartrealn3 > $o)]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:cartrealn3]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > cartrealn3),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,W:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ W @ empty)) @ E)) => ((inverse1u_sigmau_fan @ X @ V @ E @ V0 @ W) = (inverseu_sigmau_fan @ X @ V @ E @ V0 @ W)))).
