%   ORIGINAL: Planarity.collinear_continuous_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct1: _0 <= _0 <=> T
% Assm: ARITH_LE_conjunct9: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: CONTINUOUS_ADD: !f g net. f continuous net /\ g continuous net ==> (\x. f x + g x) continuous net
% Assm: CONTINUOUS_CONST: !net c. (\x. c) continuous net
% Assm: CONTINUOUS_ON_EQ_CONTINUOUS_AT: !f s. open s ==> (f continuous_on s <=> (!x. x IN s ==> f continuous at x))
% Assm: CONTINUOUS_SUB: !f g net. f continuous net /\ g continuous net ==> (\x. f x - g x) continuous net
% Assm: CONTINUOUS_VMUL: !net c v. lift o c continuous net ==> (\x. c x % v) continuous net
% Assm: DIMINDEX_1: dimindex (:1) = 1
% Assm: OPEN_UNIV: open (:real^N)
% Assm: REAL_CONTINUOUS_AT_COMPONENT: !i a. 1 <= i /\ i <= dimindex (:N) ==> (\x. x$i) real_continuous at a
% Assm: REAL_CONTINUOUS_CONST: !net c. (\x. c) real_continuous net
% Assm: REAL_CONTINUOUS_CONTINUOUS1: f real_continuous net <=> lift o f continuous net
% Assm: REAL_CONTINUOUS_SUB: !f g net. f real_continuous net /\ g real_continuous net ==> (\x. f x - g x) real_continuous net
% Assm: TRUTH: T
% Assm: drop: !x. drop x = x$1
% Goal: !x v u w c. (\t. (&1 - drop t) % u + drop t % w - (&1 - c) % x - c % v) continuous_on (:real^1)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: _0 <= _0 <=> T
% Assm: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: !f g net. f continuous net /\ g continuous net ==> (\x. f x + g x) continuous net
% Assm: !net c. (\x. c) continuous net
% Assm: !f s. open s ==> (f continuous_on s <=> (!x. x IN s ==> f continuous at x))
% Assm: !f g net. f continuous net /\ g continuous net ==> (\x. f x - g x) continuous net
% Assm: !net c v. lift o c continuous net ==> (\x. c x % v) continuous net
% Assm: dimindex (:1) = 1
% Assm: open (:real^1)
% Assm: !i a. 1 <= i /\ i <= dimindex (:real^1) ==> (\x. x$i) real_continuous at a
% Assm: !net c. (\x. c) real_continuous net
% Assm: !f net. f real_continuous net <=> lift o f continuous net
% Assm: !f g net. f real_continuous net /\ g real_continuous net ==> (\x. f x - g x) real_continuous net
% Assm: T
% Assm: !x. drop x = x$1
% Goal: !x v u w c. (\t. (&1 - drop t) % u + drop t % w - (&1 - c) % x - c % v) continuous_on (:real^1)
%  TYPES
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(tnetq189508, type, netq189508 : $tType).
thf(tnum, type, num : $tType).
thf(tnetq627741, type, netq627741 : $tType).
thf(tnetq627883, type, netq627883 : $tType).
thf(ta, type, a : $tType).
thf(tq189508, type, q189508 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tq627883, type, q627883 : $tType).
thf(tq627741, type, q627741 : $tType).
thf(tnetq189413, type, netq189413 : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tnetq633701, type, netq633701 : $tType).
thf(tnetcartrealn1, type, netcartrealn1 : $tType).
thf(tcartrealq189410, type, cartrealq189410 : $tType).
thf(tn3, type, n3 : $tType).
thf(tq189550, type, q189550 : $tType).
thf(tq201641, type, q201641 : $tType).
thf(tnetq189550, type, netq189550 : $tType).
thf(tcartrealcartrealn1, type, cartrealcartrealn1 : $tType).
thf(tq189410, type, q189410 : $tType).
thf(tq633701, type, q633701 : $tType).
thf(tnetq201641, type, netq201641 : $tType).
thf(tnetcartrealcartrealn1, type, netcartrealcartrealn1 : $tType).
thf(tq189413, type, q189413 : $tType).
%  CONSTS
thf(cat0, type, at0 : (cartrealcartrealn1 > netcartrealcartrealn1)).
thf(cat, type, at : (cartrealn1 > netcartrealn1)).
thf(cdu_0, type, d_0 : (cartrealn1 > num > real)).
thf(crealuu_continuous2, type, realu_continuous2 : ((q627883 > real) > netq627883 > $o)).
thf(ccontinuous5, type, continuous5 : ((q633701 > cartrealn1) > netq633701 > $o)).
thf(crealuu_continuous1, type, realu_continuous1 : ((q633701 > real) > netq633701 > $o)).
thf(crealuu_continuous0, type, realu_continuous0 : ((q627741 > real) > netq627741 > $o)).
thf(cdu_, type, d_ : (cartrealcartrealn1 > num > real)).
thf(crealuu_continuous, type, realu_continuous : ((cartrealcartrealn1 > real) > netcartrealcartrealn1 > $o)).
thf(ccontinuous4, type, continuous4 : ((q201641 > cartrealn3) > netq201641 > $o)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuous3, type, continuous3 : ((q201641 > cartrealn1) > netq201641 > $o)).
thf(ccontinuous2, type, continuous2 : ((q189550 > cartrealn3) > netq189550 > $o)).
thf(ccontinuous1, type, continuous1 : ((cartrealn1 > cartrealn3) > netcartrealn1 > $o)).
thf(cin, type, in : (cartrealn1 > (cartrealn1 > $o) > $o)).
thf(ccontinuous0, type, continuous0 : ((q189413 > cartrealq189410) > netq189413 > $o)).
thf(ccontinuous, type, continuous : ((q189508 > cartrealn3) > netq189508 > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdrop, type, drop : (cartrealn1 > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn1 > cartrealn3) > (cartrealn1 > $o) > $o)).
thf(co0, type, o0 : ((real > cartrealn1) > (q633701 > real) > q633701 > cartrealn1)).
thf(co, type, o : ((real > cartrealn1) > (q201641 > real) > q201641 > cartrealn1)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cuniv0, type, univ0 : (n1 > $o)).
thf(copen, type, open : ((cartrealn1 > $o) > $o)).
thf(cuniv, type, univ : (cartrealn1 > $o)).
thf(cdimindex0, type, dimindex0 : ((cartrealn1 > $o) > num)).
thf(cdimindex, type, dimindex : ((n1 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct1, axiom, ((l_a_ @ u_0 @ u_0) <=> $true)).
thf(aARITHu_LEu_conjunct9, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aCONTINUOUSu_ADD, axiom, ![F:(q189508 > cartrealn3),G:(q189508 > cartrealn3),NET:netq189508]:(((continuous @ F @ NET) & (continuous @ G @ NET)) => (continuous @ ^[X:q189508]:(vectoru_add @ (F @ X) @ (G @ X)) @ NET))).
thf(aCONTINUOUSu_CONST, axiom, ![NET:netq189413,C:cartrealq189410]:(continuous0 @ ^[X:q189413]:C @ NET)).
thf(aCONTINUOUSu_ONu_EQu_CONTINUOUSu_AT, axiom, ![F:(cartrealn1 > cartrealn3),S:(cartrealn1 > $o)]:((open @ S) => ((continuousu_on @ F @ S) <=> ![X:cartrealn1]:((in @ X @ S) => (continuous1 @ F @ (at @ X)))))).
thf(aCONTINUOUSu_SUB, axiom, ![F:(q189550 > cartrealn3),G:(q189550 > cartrealn3),NET:netq189550]:(((continuous2 @ F @ NET) & (continuous2 @ G @ NET)) => (continuous2 @ ^[X:q189550]:(vectoru_sub @ (F @ X) @ (G @ X)) @ NET))).
thf(aCONTINUOUSu_VMUL, axiom, ![NET:netq201641,C:(q201641 > real),V:cartrealn3]:((continuous3 @ (o @ lift @ C) @ NET) => (continuous4 @ ^[X:q201641]:(r_ @ (C @ X) @ V) @ NET))).
thf(aDIMINDEXu_1, axiom, ((dimindex @ univ0) = (numeral @ (bit1 @ u_0)))).
thf(aOPENu_UNIV, axiom, (open @ univ)).
thf(aREALu_CONTINUOUSu_ATu_COMPONENT, axiom, ![I:num,A:cartrealcartrealn1]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ))) => (realu_continuous @ ^[X:cartrealcartrealn1]:(d_ @ X @ I) @ (at0 @ A)))).
thf(aREALu_CONTINUOUSu_CONST, axiom, ![NET:netq627741,C:real]:(realu_continuous0 @ ^[X:q627741]:C @ NET)).
thf(aREALu_CONTINUOUSu_CONTINUOUS1, axiom, ![F:(q633701 > real),NET:netq633701]:((realu_continuous1 @ F @ NET) <=> (continuous5 @ (o0 @ lift @ F) @ NET))).
thf(aREALu_CONTINUOUSu_SUB, axiom, ![F:(q627883 > real),G:(q627883 > real),NET:netq627883]:(((realu_continuous2 @ F @ NET) & (realu_continuous2 @ G @ NET)) => (realu_continuous2 @ ^[X:q627883]:(realu_sub @ (F @ X) @ (G @ X)) @ NET))).
thf(aTRUTH, axiom, $true).
thf(adrop, axiom, ![X:cartrealn1]:((drop @ X) = (d_0 @ X @ (numeral @ (bit1 @ u_0))))).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W:cartrealn3,C:real]:(continuousu_on @ ^[T:cartrealn1]:(vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (drop @ T)) @ U) @ (vectoru_sub @ (vectoru_sub @ (r_ @ (drop @ T) @ W) @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ C) @ X)) @ (r_ @ C @ V))) @ univ)).
