%   ORIGINAL: Planarity.norm_origin_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CONTINUOUS_ON_COMPOSE: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: CONTINUOUS_ON_CONST: !s c. (\x. c) continuous_on s
% Assm: CONTINUOUS_ON_ID: !s. (\x. x) continuous_on s
% Assm: CONTINUOUS_ON_LIFT_NORM: !s. lift o norm continuous_on s
% Assm: CONTINUOUS_ON_SUB: !f g s. f continuous_on s /\ g continuous_on s ==> (\x. f x - g x) continuous_on s
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !x. (\y. lift (norm (y - x))) continuous_on (:real^3)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f g s. f continuous_on s /\ g continuous_on IMAGE f s ==> g o f continuous_on s
% Assm: !s c. (\x. c) continuous_on s
% Assm: !s. (\x. x) continuous_on s
% Assm: !s. lift o norm continuous_on s
% Assm: !f g s. f continuous_on s /\ g continuous_on s ==> (\x. f x - g x) continuous_on s
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !x. (\y. lift (norm (y - x))) continuous_on (:real^3)
%  TYPES
thf(tcartrealq190317, type, cartrealq190317 : $tType).
thf(tcartrealn1, type, cartrealn1 : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tc, type, c : $tType).
thf(treal, type, real : $tType).
thf(tn1, type, n1 : $tType).
thf(tq190317, type, q190317 : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(ccontinuousuu_on1, type, continuousu_on1 : ((cartrealq190317 > cartrealq190317) > (cartrealq190317 > $o) > $o)).
thf(ccontinuousuu_on0, type, continuousu_on0 : ((cartrealn1 > cartrealn1) > (cartrealn1 > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(clift, type, lift : (real > cartrealn1)).
thf(ccontinuousuu_on, type, continuousu_on : ((cartrealn3 > cartrealn1) > (cartrealn3 > $o) > $o)).
thf(co1, type, o1 : ((b > c) > (a > b) > a > c)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn1 > cartrealn1 > cartrealn1)).
thf(co0, type, o0 : ((real > cartrealn1) > (cartrealn3 > real) > cartrealn3 > cartrealn1)).
thf(co, type, o : ((cartrealn1 > cartrealn1) > (cartrealn3 > cartrealn1) > cartrealn3 > cartrealn1)).
thf(cimage, type, image : ((cartrealn3 > cartrealn1) > (cartrealn3 > $o) > cartrealn1 > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cuniv, type, univ : (cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONTINUOUSu_ONu_COMPOSE, axiom, ![F:(cartrealn3 > cartrealn1),G:(cartrealn1 > cartrealn1),S:(cartrealn3 > $o)]:(((continuousu_on @ F @ S) & (continuousu_on0 @ G @ (image @ F @ S))) => (continuousu_on @ (o @ G @ F) @ S))).
thf(aCONTINUOUSu_ONu_CONST, axiom, ![S:(cartrealn3 > $o),C:cartrealn1]:(continuousu_on @ ^[X:cartrealn3]:C @ S)).
thf(aCONTINUOUSu_ONu_ID, axiom, ![S:(cartrealq190317 > $o)]:(continuousu_on1 @ ^[X:cartrealq190317]:X @ S)).
thf(aCONTINUOUSu_ONu_LIFTu_NORM, axiom, ![S:(cartrealn3 > $o)]:(continuousu_on @ (o0 @ lift @ vectoru_norm) @ S)).
thf(aCONTINUOUSu_ONu_SUB, axiom, ![F:(cartrealn3 > cartrealn1),G:(cartrealn3 > cartrealn1),S:(cartrealn3 > $o)]:(((continuousu_on @ F @ S) & (continuousu_on @ G @ S)) => (continuousu_on @ ^[X:cartrealn3]:(vectoru_sub0 @ (F @ X) @ (G @ X)) @ S))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o1 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![X:cartrealn3]:(continuousu_on @ ^[Y:cartrealn3]:(lift @ (vectoru_norm @ (vectoru_sub @ Y @ X))) @ univ)).
