%   ORIGINAL: Planarity.exists_cut_rcone_fan_with_edge_run_fan
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: AZIM_EQ_0_PI_EQ_COPLANAR: !v0 v1 w1 w2. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} ==> (azim v0 v1 w1 w2 = &0 \/ azim v0 v1 w1 w2 = pi <=> coplanar {v0, v1, w1, w2})
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COLLINEAR_3: !x y z. collinear {x, y, z} <=> collinear {vec 0, x - y, z - y}
% Assm: COLLINEAR_SPECIAL_SCALE: !a x y. ~(a = &0) ==> (collinear {vec 0, a % x, y} <=> collinear {vec 0, x, y})
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: CROSS_LAGRANGE: !x y z. x cross y cross z = (x dot z) % y - (x dot y) % z
% Assm: CROSS_SKEW: !x y. x cross y = --(y cross x)
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: DOT_LNEG: !x y. --x dot y = --(x dot y)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan.remark1_fan: !x V E u v. FAN (x,V,E) ==> FINITE (set_of_edge v V E) /\ ({v, u} IN E <=> u IN set_of_edge v V E) /\ ({v, u} IN E ==> ~collinear {x, v, u} /\ ~(x = v) /\ ~(x = u) /\ ~(v = u) /\ DISJOINT {x, v} {u} /\ DISJOINT {x, u} {v} /\ DISJOINT {x} {v, u} /\ ~(u IN aff {x, v}) /\ v IN V /\ (~collinear {x, v, u} <=> ~(u IN aff {x, v})))
% Assm: Fan.sum4_azim_fan: !x v u w1 w2. azim x v u w1 <= azim x v u w2 /\ ~collinear {x, v, w1} /\ ~collinear {x, v, w2} /\ ~collinear {x, v, u} ==> azim x v u w2 = azim x v u w1 + azim x v w1 w2
% Assm: Fan.th3: !x v u. ~collinear {x, v, u} ==> ~(x = v) /\ ~(x = u) /\ DISJOINT {x, v} {u} /\ DISJOINT {x, u} {v} /\ DISJOINT {x} {v, u} /\ ~(u IN aff {x, v})
% Assm: Fan_defs.rw_dart_fan: !V E y w w1 x v h. rw_dart_fan x V E (y,v,w,w1) h = w_dart_fan x V E (y,v,w,w1) INTER rcone_fan x v h
% Assm: Fan_defs.w_dart_fan: !y w1 w V E x v. w_dart_fan x V E (y,v,w,w1) = (if CARD (set_of_edge v V E) > 1 then wedge x v w (sigma_fan x V E v w) else if set_of_edge v V E = {w} then (:real^3) DIFF aff_ge {x, v} {w} else if set_of_edge v V E = {} then (:real^3) DIFF aff {x, v} else {})
% Assm: Float.REAL_INV_POS: !x. &0 < x ==> &0 < inv x
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTER: !s t. s INTER t = {x | x IN s /\ x IN t}
% Assm: INT_GT: !x y. x > y <=> y < x
% Assm: INT_LT_DISCRETE: !x y. x < y <=> x + &1 <= y
% Assm: INT_NOT_EQ: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: INT_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: INT_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: INT_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: INT_OF_NUM_GT: !m n. &m > &n <=> m > n
% Assm: INT_POS: !n. &0 <= &n
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: LE_0: !n. 0 <= n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_COPLANAR_NOT_COLLINEAR: !v1 v2 v3 w. ~coplanar {v1, v2, v3, w} ==> ~collinear {v1, v2, v3}
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: Planarity.AFF_GT_1_2: !x v w. DISJOINT {x} {v, w} ==> aff_gt {x} {v, w} = {y | ?t1 t2 t3. &0 < t2 /\ &0 < t3 /\ t1 + t2 + t3 = &1 /\ y = t1 % x + t2 % v + t3 % w}
% Assm: Planarity.aff_gt_1_2_scale_fan: !x v u w a. &0 < a /\ a % (u - x) = w - x /\ ~collinear {x, w, v} ==> aff_gt {x} {u, v} = aff_gt {x} {w, v}
% Assm: Planarity.angle_is_smallpi_fan: !x V E v u w. FAN (x,V,E) /\ {v, u} IN E /\ {u, w} IN E /\ sigma_fan x V E u w = v /\ fan80 (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) ==> &0 < azim x v u w /\ azim x v u w < pi
% Assm: Planarity.continuous_coplanar_fan: !x v u w. ~coplanar {x, v, u, w} ==> (!t. ~(t = &0) ==> ~coplanar {x, v, u, (&1 - t) % u + t % w})
% Assm: Planarity.cross_dot_fully_surrounded_fan: !x v1 u1 v. ~collinear {x, v1, u1} /\ ~collinear {x, v1, v} /\ &0 < azim x v1 v u1 /\ azim x v1 v u1 < pi ==> &0 < ((v1 - x) cross (v - x)) dot (u1 - x)
% Assm: Planarity.cut_in_angle_fan: !x v u w y. ~coplanar {x, v, u, w} /\ ~collinear {x, u, y} /\ &0 < azim x u w v /\ azim x u w v < pi /\ azim x u w y < azim x u w v /\ &0 < azim x u w y ==> (let a1 = v - x in let a2 = w - x in let a3 = y - x in let a4 = u - x in let va = a1 cross a2 in let vb = a3 cross a4 in let v3 = vb cross va + x in v3 IN aff_gt {x} {v, w})
% Assm: Planarity.exists_point_inside_domain_cone_fan: !x V E v u w s. FAN (x,V,E) /\ {v, u} IN E /\ {u, w} IN E /\ sigma_fan x V E u w = v /\ &0 < s /\ s < pi / &2 /\ fan80 (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) ==> (?y. y IN rw_dart_fan x V E (x,u,w,w2) (cos s) /\ azim x v u y < azim x v u w)
% Assm: Planarity.fan80: !x V E. fan80 (x,V,E) <=> (!v u. {v, u} IN E ==> &0 < azim x v u (sigma_fan x V E v u) /\ azim x v u (sigma_fan x V E v u) < pi)
% Assm: Planarity.inequality3_aim_in_convex_fan: !x V E v u w. FAN (x,V,E) /\ {v, u} IN E /\ {u, w} IN E /\ &0 < azim x u w v /\ azim x u w v < pi ==> (!t. &0 < t /\ t < &1 ==> (!t1 t2 t3. &0 < t3 /\ &0 < t2 /\ t1 + t2 + t3 = &1 ==> &0 < azim x u w (t1 % x + t2 % v + t3 % ((&1 - t) % u + t % w)) /\ azim x u w (t1 % x + t2 % v + t3 % ((&1 - t) % u + t % w)) < azim x u w v))
% Assm: Planarity.notcoplanar_imp_notcollinear_fan: !x v u w. ~coplanar {x, v, u, w} ==> ~collinear {x, u, w} /\ ~collinear {x, v, u} /\ ~collinear {x, v, w}
% Assm: Planarity.properties_fully_surrounded: !x V E v u w. FAN (x,V,E) /\ {v, u} IN E /\ {u, w} IN E /\ &0 < azim x u w v /\ azim x u w v < pi ==> ~coplanar {x, v, u, w}
% Assm: Planarity.scale_in_edges_fan: !x v u w. DISJOINT {x} {v, u} /\ w IN aff_gt {x} {v, u} ==> (?a t. &0 < a /\ &0 < t /\ t < &1 /\ a % (w - x) = (&1 - t) % v + t % u - x)
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SUM_LMUL: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: SUM_NEG: !f s. sum s (\x. --f x) = --sum s f
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: Topology.CARD_SING: !x s. FINITE s /\ s = {x} ==> CARD s = 1
% Assm: Trigonometry.azim: !v w w1 w2. &0 <= azim v w w1 w2 /\ azim v w w1 w2 < &2 * pi /\ (?h1 h2. !e1 e2 e3. orthonormal e1 e2 e3 /\ dist (w,v) % e3 = w - v /\ ~(w = v) ==> (?psi r1 r2. w1 - v = (r1 * cos psi) % e1 + (r1 * sin psi) % e2 + h1 % (w - v) /\ w2 - v = (r2 * cos (psi + azim v w w1 w2)) % e1 + (r2 * sin (psi + azim v w w1 w2)) % e2 + h2 % (w - v) /\ (~collinear {v, w, w1} ==> &0 < r1) /\ (~collinear {v, w, w2} ==> &0 < r2)))
% Assm: dot: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Assm: int_add_th: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: vector_add: !x y. x + y = (lambda i. x$i + y$i)
% Assm: vector_mul: !c x. c % x = (lambda i. c * x$i)
% Assm: vector_neg: !x. --x = (lambda i. --(x$i))
% Assm: vector_sub: !x y. x - y = (lambda i. x$i - y$i)
% Assm: wedge: !v0 v1 w1 w2. wedge v0 v1 w1 w2 = {y | ~collinear {v0, v1, y} /\ &0 < azim v0 v1 w1 y /\ azim v0 v1 w1 y < azim v0 v1 w1 w2}
% Goal: !x V E v u w s. FAN (x,V,E) /\ {v, u} IN E /\ {u, w} IN E /\ sigma_fan x V E u w = v /\ &0 < s /\ s < pi / &2 /\ fan80 (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) ==> (?t. &0 < t /\ t < &1 /\ ~(rw_dart_fan x V E (x,u,w,sigma_fan x V E u w) (cos s) INTER aff_gt {x} {v, (&1 - t) % u + t % w} = {}))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: !v0 v1 w1 w2. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} ==> (azim v0 v1 w1 w2 = &0 \/ azim v0 v1 w1 w2 = pi <=> coplanar {v0, v1, w1, w2})
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:3) ==> x$i = y$i)
% Assm: !x y z. collinear {x, y, z} <=> collinear {vec 0, x - y, z - y}
% Assm: !a x y. ~(a = &0) ==> (collinear {vec 0, a % x, y} <=> collinear {vec 0, x, y})
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x y z. x cross y cross z = (x dot z) % y - (x dot y) % z
% Assm: !x y. x cross y = --(y cross x)
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !x y. --x dot y = --(x dot y)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x V E u v. FAN (x,V,E) ==> FINITE (set_of_edge v V E) /\ ({v, u} IN E <=> u IN set_of_edge v V E) /\ ({v, u} IN E ==> ~collinear {x, v, u} /\ ~(x = v) /\ ~(x = u) /\ ~(v = u) /\ DISJOINT {x, v} {u} /\ DISJOINT {x, u} {v} /\ DISJOINT {x} {v, u} /\ ~(u IN aff {x, v}) /\ v IN V /\ (~collinear {x, v, u} <=> ~(u IN aff {x, v})))
% Assm: !x v u w1 w2. azim x v u w1 <= azim x v u w2 /\ ~collinear {x, v, w1} /\ ~collinear {x, v, w2} /\ ~collinear {x, v, u} ==> azim x v u w2 = azim x v u w1 + azim x v w1 w2
% Assm: !x v u. ~collinear {x, v, u} ==> ~(x = v) /\ ~(x = u) /\ DISJOINT {x, v} {u} /\ DISJOINT {x, u} {v} /\ DISJOINT {x} {v, u} /\ ~(u IN aff {x, v})
% Assm: !V E y w w1 x v h. rw_dart_fan x V E (y,v,w,w1) h = w_dart_fan x V E (y,v,w,w1) INTER rcone_fan x v h
% Assm: !y w1 w V E x v. w_dart_fan x V E (y,v,w,w1) = (if CARD (set_of_edge v V E) > 1 then wedge x v w (sigma_fan x V E v w) else if set_of_edge v V E = {w} then (:real^3) DIFF aff_ge {x, v} {w} else if set_of_edge v V E = {} then (:real^3) DIFF aff {x, v} else {})
% Assm: !x. &0 < x ==> &0 < inv x
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !s t. s INTER t = {x | x IN s /\ x IN t}
% Assm: !x y. x > y <=> y < x
% Assm: !x y. x < y <=> x + &1 <= y
% Assm: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !m n. &m = &n <=> m = n
% Assm: !m n. &m > &n <=> m > n
% Assm: !n. &0 <= &n
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !f x. LET f x = f x
% Assm: !f x. LET f x = f x
% Assm: !t. LET_END t = t
% Assm: !t. LET_END t = t
% Assm: !n. 0 <= n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: ~F <=> T
% Assm: !v1 v2 v3 w. ~coplanar {v1, v2, v3, w} ==> ~collinear {v1, v2, v3}
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !x v w. DISJOINT {x} {v, w} ==> aff_gt {x} {v, w} = {y | ?t1 t2 t3. &0 < t2 /\ &0 < t3 /\ t1 + t2 + t3 = &1 /\ y = t1 % x + t2 % v + t3 % w}
% Assm: !x v u w a. &0 < a /\ a % (u - x) = w - x /\ ~collinear {x, w, v} ==> aff_gt {x} {u, v} = aff_gt {x} {w, v}
% Assm: !x V E v u w. FAN (x,V,E) /\ {v, u} IN E /\ {u, w} IN E /\ sigma_fan x V E u w = v /\ fan80 (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) ==> &0 < azim x v u w /\ azim x v u w < pi
% Assm: !x v u w. ~coplanar {x, v, u, w} ==> (!t. ~(t = &0) ==> ~coplanar {x, v, u, (&1 - t) % u + t % w})
% Assm: !x v1 u1 v. ~collinear {x, v1, u1} /\ ~collinear {x, v1, v} /\ &0 < azim x v1 v u1 /\ azim x v1 v u1 < pi ==> &0 < ((v1 - x) cross (v - x)) dot (u1 - x)
% Assm: !x v u w y. ~coplanar {x, v, u, w} /\ ~collinear {x, u, y} /\ &0 < azim x u w v /\ azim x u w v < pi /\ azim x u w y < azim x u w v /\ &0 < azim x u w y ==> (let a1 = v - x in let a2 = w - x in let a3 = y - x in let a4 = u - x in let va = a1 cross a2 in let vb = a3 cross a4 in let v3 = vb cross va + x in v3 IN aff_gt {x} {v, w})
% Assm: !w2 x V E v u w s. FAN (x,V,E) /\ {v, u} IN E /\ {u, w} IN E /\ sigma_fan x V E u w = v /\ &0 < s /\ s < pi / &2 /\ fan80 (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) ==> (?y. y IN rw_dart_fan x V E (x,u,w,w2) (cos s) /\ azim x v u y < azim x v u w)
% Assm: !x V E. fan80 (x,V,E) <=> (!v u. {v, u} IN E ==> &0 < azim x v u (sigma_fan x V E v u) /\ azim x v u (sigma_fan x V E v u) < pi)
% Assm: !x V E v u w. FAN (x,V,E) /\ {v, u} IN E /\ {u, w} IN E /\ &0 < azim x u w v /\ azim x u w v < pi ==> (!t. &0 < t /\ t < &1 ==> (!t1 t2 t3. &0 < t3 /\ &0 < t2 /\ t1 + t2 + t3 = &1 ==> &0 < azim x u w (t1 % x + t2 % v + t3 % ((&1 - t) % u + t % w)) /\ azim x u w (t1 % x + t2 % v + t3 % ((&1 - t) % u + t % w)) < azim x u w v))
% Assm: !x v u w. ~coplanar {x, v, u, w} ==> ~collinear {x, u, w} /\ ~collinear {x, v, u} /\ ~collinear {x, v, w}
% Assm: !x V E v u w. FAN (x,V,E) /\ {v, u} IN E /\ {u, w} IN E /\ &0 < azim x u w v /\ azim x u w v < pi ==> ~coplanar {x, v, u, w}
% Assm: !x v u w. DISJOINT {x} {v, u} /\ w IN aff_gt {x} {v, u} ==> (?a t. &0 < a /\ &0 < t /\ t < &1 /\ a % (w - x) = (&1 - t) % v + t % u - x)
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !f c s. sum s (\x. c * f x) = c * sum s f
% Assm: !f s. sum s (\x. --f x) = --sum s f
% Assm: T
% Assm: 2 = SUC 1
% Assm: !x s. FINITE s /\ s = {x} ==> CARD s = 1
% Assm: !v w w1 w2. &0 <= azim v w w1 w2 /\ azim v w w1 w2 < &2 * pi /\ (?h1 h2. !e1 e2 e3. orthonormal e1 e2 e3 /\ dist (w,v) % e3 = w - v /\ ~(w = v) ==> (?psi r1 r2. w1 - v = (r1 * cos psi) % e1 + (r1 * sin psi) % e2 + h1 % (w - v) /\ w2 - v = (r2 * cos (psi + azim v w w1 w2)) % e1 + (r2 * sin (psi + azim v w w1 w2)) % e2 + h2 % (w - v) /\ (~collinear {v, w, w1} ==> &0 < r1) /\ (~collinear {v, w, w2} ==> &0 < r2)))
% Assm: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Assm: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !x y. x + y = (lambda i. x$i + y$i)
% Assm: !c x. c % x = (lambda i. c * x$i)
% Assm: !x. --x = (lambda i. --(x$i))
% Assm: !x y. x - y = (lambda i. x$i - y$i)
% Assm: !v0 v1 w1 w2. wedge v0 v1 w1 w2 = {y | ~collinear {v0, v1, y} /\ &0 < azim v0 v1 w1 y /\ azim v0 v1 w1 y < azim v0 v1 w1 w2}
% Goal: !x V E v u w s. FAN (x,V,E) /\ {v, u} IN E /\ {u, w} IN E /\ sigma_fan x V E u w = v /\ &0 < s /\ s < pi / &2 /\ fan80 (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) ==> (?t. &0 < t /\ t < &1 /\ ~(rw_dart_fan x V E (x,u,w,sigma_fan x V E u w) (cos s) INTER aff_gt {x} {v, (&1 - t) % u + t % w} = {}))
%  TYPES
thf(tq70735, type, q70735 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tq98014, type, q98014 : $tType).
thf(treal, type, real : $tType).
thf(tint, type, int : $tType).
thf(tn3, type, n3 : $tType).
thf(tcartrealq98014, type, cartrealq98014 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tcartcartrealn3b, type, cartcartrealn3b : $tType).
thf(tcartfuncartrealn3boolb, type, cartfuncartrealn3boolb : $tType).
thf(tn, type, n : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3, type, prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodcartrealn3cartrealn3, type, prodcartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(clambda1, type, lambda1 : ((num > cartrealn3) > cartcartrealn3b)).
thf(clambda0, type, lambda0 : ((num > cartrealn3 > $o) > cartfuncartrealn3boolb)).
thf(csin, type, sin : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn3)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cdu_2, type, d_2 : (cartrealn > num > real)).
thf(csum1, type, sum1 : ((num > $o) > (num > real) > real)).
thf(cdot1, type, dot1 : (cartrealn > cartrealn > real)).
thf(csum0, type, sum0 : ((q70735 > $o) > (q70735 > real) > real)).
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(clet1, type, let1 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cletuu_end0, type, letu_end0 : (cartrealn3 > cartrealn3)).
thf(cletuu_end, type, letu_end : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cgspec0, type, gspec0 : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(cintuu_gt, type, intu_gt : (int > int > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(caff, type, aff : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cdot0, type, dot0 : (cartrealq98014 > cartrealq98014 > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn3 > cartrealn3)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cdu_, type, d_ : (cartrealn3 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cgu_, type, g_ : (num > num > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cpi, type, pi : real).
thf(cuu_0, type, u_0 : num).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(corthonormal, type, orthonormal : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(clet0, type, let0 : ((a > cartrealn3) > a > cartrealn3)).
thf(clet, type, let : ((a > cartrealn3 > $o) > a > cartrealn3 > $o)).
thf(cdu_1, type, d_1 : (cartcartrealn3b > num > cartrealn3)).
thf(cdu_0, type, d_0 : (cartfuncartrealn3boolb > num > cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdiff, type, diff : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cwedge, type, wedge : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(crconeuu_fan, type, rconeu_fan : (cartrealn3 > cartrealn3 > real > cartrealn3 > $o)).
thf(cwuu_dartuu_fan, type, wu_dartu_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > cartrealn3 > $o)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccond0, type, cond0 : ($o > cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccond, type, cond : ($o > (cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(caffuu_gt, type, affu_gt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_3, type, c_3 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccu_2, type, c_2 : (cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3cartrealn3)).
thf(ccu_1, type, c_1 : (cartrealn3 > prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(crwuu_dartuu_fan, type, rwu_dartu_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > real > cartrealn3 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cletuu_end1, type, letu_end1 : ($o > $o)).
thf(cuniv, type, univ : (n3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv2, type, univ2 : (n > $o)).
thf(cvectoruu_neg0, type, vectoru_neg0 : (cartrealq98014 > cartrealq98014)).
thf(cuniv1, type, univ1 : (b > $o)).
thf(cdimindex1, type, dimindex1 : ((n > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((b > $o) > num)).
thf(cdimindex, type, dimindex : ((n3 > $o) > num)).
thf(ccard, type, card : ((cartrealn3 > $o) > num)).
thf(cuniv0, type, univ0 : (cartrealn3 > $o)).
thf(cfinite, type, finite : ((cartrealn3 > $o) > $o)).
thf(ccoplanar, type, coplanar : ((cartrealn3 > $o) > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cfan80, type, fan80 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aAZIMu_EQu_0u_PIu_EQu_COPLANAR, axiom, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W1 @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W2 @ empty)))))) => ((((azim @ V0 @ V1 @ W1 @ W2) = (realu_ofu_num @ (numeral @ u_0))) | ((azim @ V0 @ V1 @ W1 @ W2) = pi)) <=> (coplanar @ (insert @ V0 @ (insert @ V1 @ (insert @ W1 @ (insert @ W2 @ empty)))))))).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartrealn3,Y:cartrealn3]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCOLLINEARu_3, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((collinear @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty)))) <=> (collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ X @ Y) @ (insert @ (vectoru_sub @ Z @ Y) @ empty)))))).
thf(aCOLLINEARu_SPECIALu_SCALE, axiom, ![A:real,X:cartrealn3,Y:cartrealn3]:(~ ((A = (realu_ofu_num @ (numeral @ u_0)))) => ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (r_ @ A @ X) @ (insert @ Y @ empty)))) <=> (collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ empty))))))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:(cartrealn3 > $o),T2:(cartrealn3 > $o)]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:cartrealn3,T2:cartrealn3]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aCROSSu_LAGRANGE, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((cross @ X @ (cross @ Y @ Z)) = (vectoru_sub @ (r_ @ (dot @ X @ Z) @ Y) @ (r_ @ (dot @ X @ Y) @ Z)))).
thf(aCROSSu_SKEW, axiom, ![X:cartrealn3,Y:cartrealn3]:((cross @ X @ Y) = (vectoru_neg @ (cross @ Y @ X)))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDOTu_LNEG, axiom, ![X:cartrealq98014,Y:cartrealq98014]:((dot0 @ (vectoru_neg0 @ X) @ Y) = (realu_neg @ (dot0 @ X @ Y)))).
thf(aETAu_AX, axiom, ![T:(cartrealn3 > $o)]:(^[X:cartrealn3]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFano_remark1u_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),U:cartrealn3,V0:cartrealn3]:((fan @ (c_ @ X @ (c_0 @ V @ E))) => ((finite @ (setu_ofu_edge @ V0 @ V @ E)) & ((in @ (insert @ V0 @ (insert @ U @ empty)) @ E) <=> (in0 @ U @ (setu_ofu_edge @ V0 @ V @ E))) & ((in @ (insert @ V0 @ (insert @ U @ empty)) @ E) => (~ ((collinear @ (insert @ X @ (insert @ V0 @ (insert @ U @ empty))))) & ~ ((X = V0)) & ~ ((X = U)) & ~ ((V0 = U)) & (disjoint @ (insert @ X @ (insert @ V0 @ empty)) @ (insert @ U @ empty)) & (disjoint @ (insert @ X @ (insert @ U @ empty)) @ (insert @ V0 @ empty)) & (disjoint @ (insert @ X @ empty) @ (insert @ V0 @ (insert @ U @ empty))) & ~ ((in0 @ U @ (aff @ (insert @ X @ (insert @ V0 @ empty))))) & (in0 @ V0 @ V) & (~ ((collinear @ (insert @ X @ (insert @ V0 @ (insert @ U @ empty))))) <=> ~ ((in0 @ U @ (aff @ (insert @ X @ (insert @ V0 @ empty))))))))))).
thf(aFano_sum4u_azimu_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W1:cartrealn3,W2:cartrealn3]:(((realu_le @ (azim @ X @ V @ U @ W1) @ (azim @ X @ V @ U @ W2)) & ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W1 @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W2 @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty)))))) => ((azim @ X @ V @ U @ W2) = (realu_add @ (azim @ X @ V @ U @ W1) @ (azim @ X @ V @ W1 @ W2))))).
thf(aFano_th3, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) => (~ ((X = V)) & ~ ((X = U)) & (disjoint @ (insert @ X @ (insert @ V @ empty)) @ (insert @ U @ empty)) & (disjoint @ (insert @ X @ (insert @ U @ empty)) @ (insert @ V @ empty)) & (disjoint @ (insert @ X @ empty) @ (insert @ V @ (insert @ U @ empty))) & ~ ((in0 @ U @ (aff @ (insert @ X @ (insert @ V @ empty)))))))).
thf(aFanu_defso_rwu_dartu_fan, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),Y:cartrealn3,W:cartrealn3,W1:cartrealn3,X:cartrealn3,V0:cartrealn3,H:real]:((rwu_dartu_fan @ X @ V @ E @ (c_1 @ Y @ (c_2 @ V0 @ (c_3 @ W @ W1))) @ H) = (inter @ (wu_dartu_fan @ X @ V @ E @ (c_1 @ Y @ (c_2 @ V0 @ (c_3 @ W @ W1)))) @ (rconeu_fan @ X @ V0 @ H)))).
thf(aFanu_defso_wu_dartu_fan, axiom, ![Y:cartrealn3,W1:cartrealn3,W:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:cartrealn3,V0:cartrealn3]:((wu_dartu_fan @ X @ V @ E @ (c_1 @ Y @ (c_2 @ V0 @ (c_3 @ W @ W1)))) = (cond @ (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0))) @ (wedge @ X @ V0 @ W @ (sigmau_fan @ X @ V @ E @ V0 @ W)) @ (cond @ ((setu_ofu_edge @ V0 @ V @ E) = (insert @ W @ empty)) @ (diff @ univ0 @ (affu_ge @ (insert @ X @ (insert @ V0 @ empty)) @ (insert @ W @ empty))) @ (cond @ ((setu_ofu_edge @ V0 @ V @ E) = empty) @ (diff @ univ0 @ (aff @ (insert @ X @ (insert @ V0 @ empty)))) @ empty))))).
thf(aFloato_REALu_INVu_POS, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)))).
thf(aINu_monomorphized1, axiom, ![P:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in0 @ X @ P) <=> (P @ X))).
thf(aINTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((inter @ S @ T) = (gspec @ ^[GENR_PVARR_2:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_2 @ ((in0 @ X @ S) & (in0 @ X @ T)) @ X)))).
thf(aINTu_GT, axiom, ![X:int,Y:int]:((intu_gt @ X @ Y) <=> (intu_lt @ Y @ X))).
thf(aINTu_LTu_DISCRETE, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (intu_le @ (intu_add @ X @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y))).
thf(aINTu_NOTu_EQ, axiom, ![X:int,Y:int]:(~ ((X = Y)) <=> ((intu_lt @ X @ Y) | (intu_lt @ Y @ X)))).
thf(aINTu_NOTu_LE, axiom, ![X:int,Y:int]:(~ ((intu_le @ X @ Y)) <=> (intu_lt @ Y @ X))).
thf(aINTu_NOTu_LT, axiom, ![X:int,Y:int]:(~ ((intu_lt @ X @ Y)) <=> (intu_le @ Y @ X))).
thf(aINTu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((intu_ofu_num @ M) = (intu_ofu_num @ N)) <=> (M = N))).
thf(aINTu_OFu_NUMu_GT, axiom, ![M:num,N:num]:((intu_gt @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (g_ @ M @ N))).
thf(aINTu_POS, axiom, ![N:num]:(intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_ofu_num @ N))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized1, axiom, ![P:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (gspec0 @ ^[V:(cartrealn3 > $o)]:?[Y:(cartrealn3 > $o)]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized0, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in0 @ X @ (gspec @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aLAMBDAu_BETAu_monomorphized1, axiom, ![G:(num > cartrealn3 > $o),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ1))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLAMBDAu_BETAu_monomorphized0, axiom, ![G:(num > cartrealn3),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ1))) => ((d_1 @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aLETu_DEFu_monomorphized1, axiom, ![F:(a > cartrealn3 > $o),X:a]:((let @ F @ X) = (F @ X))).
thf(aLETu_DEFu_monomorphized0, axiom, ![F:(a > cartrealn3),X:a]:((let0 @ F @ X) = (F @ X))).
thf(aLETu_ENDu_DEFu_monomorphized1, axiom, ![T:(cartrealn3 > $o)]:((letu_end @ T) = T)).
thf(aLETu_ENDu_DEFu_monomorphized0, axiom, ![T:cartrealn3]:((letu_end0 @ T) = T)).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_COPLANARu_NOTu_COLLINEAR, axiom, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,W:cartrealn3]:(~ ((coplanar @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ W @ empty)))))) => ~ ((collinear @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))))).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in0 @ X @ empty))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aPlanarityo_AFFu_GTu_1u_2, axiom, ![X:cartrealn3,V:cartrealn3,W:cartrealn3]:((disjoint @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty))) => ((affu_gt @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty))) = (gspec @ ^[GENR_PVARR_391:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_391 @ ?[T1:real,T2:real,T3:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T2) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T3) & ((realu_add @ T1 @ (realu_add @ T2 @ T3)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (Y = (vectoru_add @ (r_ @ T1 @ X) @ (vectoru_add @ (r_ @ T2 @ V) @ (r_ @ T3 @ W))))) @ Y))))).
thf(aPlanarityo_affu_gtu_1u_2u_scaleu_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W:cartrealn3,A:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ A) & ((r_ @ A @ (vectoru_sub @ U @ X)) = (vectoru_sub @ W @ X)) & ~ ((collinear @ (insert @ X @ (insert @ W @ (insert @ V @ empty)))))) => ((affu_gt @ (insert @ X @ empty) @ (insert @ U @ (insert @ V @ empty))) = (affu_gt @ (insert @ X @ empty) @ (insert @ W @ (insert @ V @ empty)))))).
thf(aPlanarityo_angleu_isu_smallpiu_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3,W:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E) & (in @ (insert @ U @ (insert @ W @ empty)) @ E) & ((sigmau_fan @ X @ V @ E @ U @ W) = V0) & (fan80 @ (c_ @ X @ (c_0 @ V @ E))) & ![V0:cartrealn3]:((in0 @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0))))) => ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ X @ V0 @ U @ W)) & (realu_lt @ (azim @ X @ V0 @ U @ W) @ pi)))).
thf(aPlanarityo_continuousu_coplanaru_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W:cartrealn3]:(~ ((coplanar @ (insert @ X @ (insert @ V @ (insert @ U @ (insert @ W @ empty)))))) => ![T:real]:(~ ((T = (realu_ofu_num @ (numeral @ u_0)))) => ~ ((coplanar @ (insert @ X @ (insert @ V @ (insert @ U @ (insert @ (vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ T) @ U) @ (r_ @ T @ W)) @ empty))))))))).
thf(aPlanarityo_crossu_dotu_fullyu_surroundedu_fan, axiom, ![X:cartrealn3,V1:cartrealn3,U1:cartrealn3,V:cartrealn3]:((~ ((collinear @ (insert @ X @ (insert @ V1 @ (insert @ U1 @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V1 @ (insert @ V @ empty))))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ X @ V1 @ V @ U1)) & (realu_lt @ (azim @ X @ V1 @ V @ U1) @ pi)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (dot @ (cross @ (vectoru_sub @ V1 @ X) @ (vectoru_sub @ V @ X)) @ (vectoru_sub @ U1 @ X))))).
thf(aPlanarityo_cutu_inu_angleu_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W:cartrealn3,Y:cartrealn3]:((~ ((coplanar @ (insert @ X @ (insert @ V @ (insert @ U @ (insert @ W @ empty)))))) & ~ ((collinear @ (insert @ X @ (insert @ U @ (insert @ Y @ empty))))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ X @ U @ W @ V)) & (realu_lt @ (azim @ X @ U @ W @ V) @ pi) & (realu_lt @ (azim @ X @ U @ W @ Y) @ (azim @ X @ U @ W @ V)) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ X @ U @ W @ Y))) => (let1 @ ^[A1:cartrealn3]:(letu_end1 @ (let1 @ ^[A2:cartrealn3]:(letu_end1 @ (let1 @ ^[A3:cartrealn3]:(letu_end1 @ (let1 @ ^[A4:cartrealn3]:(letu_end1 @ (let1 @ ^[VA:cartrealn3]:(letu_end1 @ (let1 @ ^[VB:cartrealn3]:(letu_end1 @ (let1 @ ^[V3:cartrealn3]:(letu_end1 @ (in0 @ V3 @ (affu_gt @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty))))) @ (vectoru_add @ (cross @ VB @ VA) @ X))) @ (cross @ A3 @ A4))) @ (cross @ A1 @ A2))) @ (vectoru_sub @ U @ X))) @ (vectoru_sub @ Y @ X))) @ (vectoru_sub @ W @ X))) @ (vectoru_sub @ V @ X)))).
thf(aPlanarityo_existsu_pointu_insideu_domainu_coneu_fan, axiom, ![W2:cartrealn3,X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3,W:cartrealn3,S:real]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E) & (in @ (insert @ U @ (insert @ W @ empty)) @ E) & ((sigmau_fan @ X @ V @ E @ U @ W) = V0) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ S) & (realu_lt @ S @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) & (fan80 @ (c_ @ X @ (c_0 @ V @ E))) & ![V0:cartrealn3]:((in0 @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0))))) => ?[Y:cartrealn3]:((in0 @ Y @ (rwu_dartu_fan @ X @ V @ E @ (c_1 @ X @ (c_2 @ U @ (c_3 @ W @ W2))) @ (cos @ S))) & (realu_lt @ (azim @ X @ V0 @ U @ Y) @ (azim @ X @ V0 @ U @ W))))).
thf(aPlanarityo_fan80, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan80 @ (c_ @ X @ (c_0 @ V @ E))) <=> ![V0:cartrealn3,U:cartrealn3]:((in @ (insert @ V0 @ (insert @ U @ empty)) @ E) => ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ X @ V0 @ U @ (sigmau_fan @ X @ V @ E @ V0 @ U))) & (realu_lt @ (azim @ X @ V0 @ U @ (sigmau_fan @ X @ V @ E @ V0 @ U)) @ pi))))).
thf(aPlanarityo_inequality3u_aimu_inu_convexu_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3,W:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E) & (in @ (insert @ U @ (insert @ W @ empty)) @ E) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ X @ U @ W @ V0)) & (realu_lt @ (azim @ X @ U @ W @ V0) @ pi)) => ![T:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (realu_lt @ T @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ![T1:real,T2:real,T3:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T3) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T2) & ((realu_add @ T1 @ (realu_add @ T2 @ T3)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ X @ U @ W @ (vectoru_add @ (r_ @ T1 @ X) @ (vectoru_add @ (r_ @ T2 @ V0) @ (r_ @ T3 @ (vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ T) @ U) @ (r_ @ T @ W))))))) & (realu_lt @ (azim @ X @ U @ W @ (vectoru_add @ (r_ @ T1 @ X) @ (vectoru_add @ (r_ @ T2 @ V0) @ (r_ @ T3 @ (vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ T) @ U) @ (r_ @ T @ W)))))) @ (azim @ X @ U @ W @ V0))))))).
thf(aPlanarityo_notcoplanaru_impu_notcollinearu_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W:cartrealn3]:(~ ((coplanar @ (insert @ X @ (insert @ V @ (insert @ U @ (insert @ W @ empty)))))) => (~ ((collinear @ (insert @ X @ (insert @ U @ (insert @ W @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W @ empty)))))))).
thf(aPlanarityo_propertiesu_fullyu_surrounded, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3,W:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E) & (in @ (insert @ U @ (insert @ W @ empty)) @ E) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ X @ U @ W @ V0)) & (realu_lt @ (azim @ X @ U @ W @ V0) @ pi)) => ~ ((coplanar @ (insert @ X @ (insert @ V0 @ (insert @ U @ (insert @ W @ empty)))))))).
thf(aPlanarityo_scaleu_inu_edgesu_fan, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W:cartrealn3]:(((disjoint @ (insert @ X @ empty) @ (insert @ V @ (insert @ U @ empty))) & (in0 @ W @ (affu_gt @ (insert @ X @ empty) @ (insert @ V @ (insert @ U @ empty))))) => ?[A:real,T:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ A) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (realu_lt @ T @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((r_ @ A @ (vectoru_sub @ W @ X)) = (vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ T) @ V) @ (vectoru_sub @ (r_ @ T @ U) @ X)))))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSUMu_LMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum @ S @ ^[X:a]:(realu_mul @ C @ (F @ X))) = (realu_mul @ C @ (sum @ S @ F)))).
thf(aSUMu_NEG, axiom, ![F:(q70735 > real),S:(q70735 > $o)]:((sum0 @ S @ ^[X:q70735]:(realu_neg @ (F @ X))) = (realu_neg @ (sum0 @ S @ F)))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aTopologyo_CARDu_SING, axiom, ![X:cartrealn3,S:(cartrealn3 > $o)]:(((finite @ S) & (S = (insert @ X @ empty))) => ((card @ S) = (numeral @ (bit1 @ u_0))))).
thf(aTrigonometryo_azim, axiom, ![V:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ V @ W @ W1 @ W2)) & (realu_lt @ (azim @ V @ W @ W1 @ W2) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & ?[H1:real,H2:real]:![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:(((orthonormal @ E1 @ E2 @ E3) & ((r_ @ (distance @ (c_3 @ W @ V)) @ E3) = (vectoru_sub @ W @ V)) & ~ ((W = V))) => ?[PSI:real,R1:real,R2:real]:(((vectoru_sub @ W1 @ V) = (vectoru_add @ (r_ @ (realu_mul @ R1 @ (cos @ PSI)) @ E1) @ (vectoru_add @ (r_ @ (realu_mul @ R1 @ (sin @ PSI)) @ E2) @ (r_ @ H1 @ (vectoru_sub @ W @ V))))) & ((vectoru_sub @ W2 @ V) = (vectoru_add @ (r_ @ (realu_mul @ R2 @ (cos @ (realu_add @ PSI @ (azim @ V @ W @ W1 @ W2)))) @ E1) @ (vectoru_add @ (r_ @ (realu_mul @ R2 @ (sin @ (realu_add @ PSI @ (azim @ V @ W @ W1 @ W2)))) @ E2) @ (r_ @ H2 @ (vectoru_sub @ W @ V))))) & (~ ((collinear @ (insert @ V @ (insert @ W @ (insert @ W1 @ empty))))) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R1)) & (~ ((collinear @ (insert @ V @ (insert @ W @ (insert @ W2 @ empty))))) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R2)))))).
thf(adot, axiom, ![X:cartrealn,Y:cartrealn]:((dot1 @ X @ Y) = (sum1 @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex1 @ univ2)) @ ^[I:num]:(realu_mul @ (d_2 @ X @ I) @ (d_2 @ Y @ I))))).
thf(aintu_addu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_add @ X @ Y)) = (realu_add @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(avectoru_add, axiom, ![X:cartrealn3,Y:cartrealn3]:((vectoru_add @ X @ Y) = (lambda2 @ ^[I:num]:(realu_add @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(avectoru_mul, axiom, ![C:real,X:cartrealn3]:((r_ @ C @ X) = (lambda2 @ ^[I:num]:(realu_mul @ C @ (d_ @ X @ I))))).
thf(avectoru_neg, axiom, ![X:cartrealn3]:((vectoru_neg @ X) = (lambda2 @ ^[I:num]:(realu_neg @ (d_ @ X @ I))))).
thf(avectoru_sub, axiom, ![X:cartrealn3,Y:cartrealn3]:((vectoru_sub @ X @ Y) = (lambda2 @ ^[I:num]:(realu_sub @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(awedge, axiom, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((wedge @ V0 @ V1 @ W1 @ W2) = (gspec @ ^[GENR_PVARR_2569:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_2569 @ (~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ Y @ empty))))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ V0 @ V1 @ W1 @ Y)) & (realu_lt @ (azim @ V0 @ V1 @ W1 @ Y) @ (azim @ V0 @ V1 @ W1 @ W2))) @ Y)))).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3,W:cartrealn3,S:real]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ (insert @ V0 @ (insert @ U @ empty)) @ E) & (in @ (insert @ U @ (insert @ W @ empty)) @ E) & ((sigmau_fan @ X @ V @ E @ U @ W) = V0) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ S) & (realu_lt @ S @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) & (fan80 @ (c_ @ X @ (c_0 @ V @ E))) & ![V0:cartrealn3]:((in0 @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0))))) => ?[T:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T) & (realu_lt @ T @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ~ (((inter @ (rwu_dartu_fan @ X @ V @ E @ (c_1 @ X @ (c_2 @ U @ (c_3 @ W @ (sigmau_fan @ X @ V @ E @ U @ W)))) @ (cos @ S)) @ (affu_gt @ (insert @ X @ empty) @ (insert @ V0 @ (insert @ (vectoru_add @ (r_ @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ T) @ U) @ (r_ @ T @ W)) @ empty)))) = empty))))).
