%   ORIGINAL: Hypermap_and_fan.INVERSE_F_FAN_PAIR_EXT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.cyclic_maps: !D e n f. FINITE D /\ e permutes D /\ n permutes D /\ f permutes D /\ e o n o f = I ==> n o f o e = I /\ f o e o n = I
% Assm: Hypermap_and_fan.E_FAN_PAIR_EXT_PERMUTES_DART_OF_FAN: !V E. e_fan_pair_ext (V,E) permutes dart_of_fan (V,E)
% Assm: Hypermap_and_fan.E_N_F_EQ_I: !V E. FAN (vec 0,V,E) ==> e_fan_pair_ext (V,E) o n_fan_pair_ext (V,E) o f_fan_pair_ext (V,E) = I
% Assm: Hypermap_and_fan.FINITE_DART_OF_FAN: !x V E. FAN (x,V,E) ==> FINITE (dart_of_fan (V,E))
% Assm: Hypermap_and_fan.F_FAN_PAIR_EXT_PERMUTES_DART_OF_FAN: !V E. FAN (vec 0,V,E) ==> f_fan_pair_ext (V,E) permutes dart_of_fan (V,E)
% Assm: Hypermap_and_fan.N_FAN_PAIR_EXT_PERMUTES_DART_OF_FAN: !V E. FAN (vec 0,V,E) ==> n_fan_pair_ext (V,E) permutes dart_of_fan (V,E)
% Assm: INVERSE_UNIQUE_o: !f g. f o g = I /\ g o f = I ==> inverse f = g
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_ASSOC: !f g h. f o g o h = (f o g) o h
% Goal: !V E. FAN (vec 0,V,E) ==> inverse (f_fan_pair_ext (V,E)) = e_fan_pair_ext (V,E) o n_fan_pair_ext (V,E)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !D e n f. FINITE D /\ e permutes D /\ n permutes D /\ f permutes D /\ e o n o f = I ==> n o f o e = I /\ f o e o n = I
% Assm: !V E. e_fan_pair_ext (V,E) permutes dart_of_fan (V,E)
% Assm: !V E. FAN (vec 0,V,E) ==> e_fan_pair_ext (V,E) o n_fan_pair_ext (V,E) o f_fan_pair_ext (V,E) = I
% Assm: !x V E. FAN (x,V,E) ==> FINITE (dart_of_fan (V,E))
% Assm: !V E. FAN (vec 0,V,E) ==> f_fan_pair_ext (V,E) permutes dart_of_fan (V,E)
% Assm: !V E. FAN (vec 0,V,E) ==> n_fan_pair_ext (V,E) permutes dart_of_fan (V,E)
% Assm: !f g. f o g = I /\ g o f = I ==> inverse f = g
% Assm: ~F <=> T
% Assm: T
% Assm: !f g h. f o g o h = (f o g) o h
% Goal: !V E. FAN (vec 0,V,E) ==> inverse (f_fan_pair_ext (V,E)) = e_fan_pair_ext (V,E) o n_fan_pair_ext (V,E)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(cdartuu_ofuu_fan, type, dartu_ofu_fan : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > $o)).
thf(cpermutes, type, permutes : ((prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(ci, type, i : (prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cnuu_fanuu_pairuu_ext, type, nu_fanu_pairu_ext : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(ceuu_fanuu_pairuu_ext, type, eu_fanu_pairu_ext : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(co, type, o : ((prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > (prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cfuu_fanuu_pairuu_ext, type, fu_fanu_pairu_ext : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cinverse, type, inverse : ((prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cfinite, type, finite : ((prodcartrealn3cartrealn3 > $o) > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3),G:(a > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_cyclicu_maps, axiom, ![D:(prodcartrealn3cartrealn3 > $o),E:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3),N:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3),F:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)]:(((finite @ D) & (permutes @ E @ D) & (permutes @ N @ D) & (permutes @ F @ D) & ((o @ E @ (o @ N @ F)) = i)) => (((o @ N @ (o @ F @ E)) = i) & ((o @ F @ (o @ E @ N)) = i)))).
thf(aHypermapu_andu_fano_Eu_FANu_PAIRu_EXTu_PERMUTESu_DARTu_OFu_FAN, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:(permutes @ (eu_fanu_pairu_ext @ (c_0 @ V @ E)) @ (dartu_ofu_fan @ (c_0 @ V @ E)))).
thf(aHypermapu_andu_fano_Eu_Nu_Fu_EQu_I, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) => ((o @ (eu_fanu_pairu_ext @ (c_0 @ V @ E)) @ (o @ (nu_fanu_pairu_ext @ (c_0 @ V @ E)) @ (fu_fanu_pairu_ext @ (c_0 @ V @ E)))) = i))).
thf(aHypermapu_andu_fano_FINITEu_DARTu_OFu_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan @ (c_ @ X @ (c_0 @ V @ E))) => (finite @ (dartu_ofu_fan @ (c_0 @ V @ E))))).
thf(aHypermapu_andu_fano_Fu_FANu_PAIRu_EXTu_PERMUTESu_DARTu_OFu_FAN, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) => (permutes @ (fu_fanu_pairu_ext @ (c_0 @ V @ E)) @ (dartu_ofu_fan @ (c_0 @ V @ E))))).
thf(aHypermapu_andu_fano_Nu_FANu_PAIRu_EXTu_PERMUTESu_DARTu_OFu_FAN, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) => (permutes @ (nu_fanu_pairu_ext @ (c_0 @ V @ E)) @ (dartu_ofu_fan @ (c_0 @ V @ E))))).
thf(aINVERSEu_UNIQUEu_o, axiom, ![F:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3),G:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)]:((((o @ F @ G) = i) & ((o @ G @ F) = i)) => ((inverse @ F) = G))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_ASSOC, axiom, ![F:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3),G:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3),H:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)]:((o @ F @ (o @ G @ H)) = (o @ (o @ F @ G) @ H))).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) => ((inverse @ (fu_fanu_pairu_ext @ (c_0 @ V @ E))) = (o @ (eu_fanu_pairu_ext @ (c_0 @ V @ E)) @ (nu_fanu_pairu_ext @ (c_0 @ V @ E)))))).
