%   ORIGINAL: Hypermap_and_fan.E_HAS_NO_FIXED_POINTS_IN_D1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Fan_defs.e_fan_pair: !V E w v. e_fan_pair (V,E) (v,w) = w,v
% Assm: Hypermap_and_fan.PAIR_IN_DART1_OF_FAN_IMP_NOT_EQ: !V E v w. FAN (vec 0,V,E) /\ v,w IN dart1_of_fan (V,E) ==> ~(v = w)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PAIR_EQ: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: PAIR_SURJECTIVE: !p. ?x y. p = x,y
% Assm: TRUTH: T
% Goal: !V E x. FAN (vec 0,V,E) /\ x IN dart1_of_fan (V,E) ==> ~(e_fan_pair (V,E) x = x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !V E w v. e_fan_pair (V,E) (v,w) = w,v
% Assm: !V E v w. FAN (vec 0,V,E) /\ v,w IN dart1_of_fan (V,E) ==> ~(v = w)
% Assm: ~F <=> T
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: !p. ?x y. p = x,y
% Assm: !p. ?x y. p = x,y
% Assm: T
% Goal: !V E x. FAN (vec 0,V,E) /\ x IN dart1_of_fan (V,E) ==> ~(e_fan_pair (V,E) x = x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(cdart1uu_ofuu_fan, type, dart1u_ofu_fan : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > $o)).
thf(cin, type, in : (prodcartrealn3cartrealn3 > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(ccu_1, type, c_1 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(ceuu_fanuu_pair, type, eu_fanu_pair : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > prodcartrealn3cartrealn3),G:(a > prodcartrealn3cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFanu_defso_eu_fanu_pair, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),W:cartrealn3,V0:cartrealn3]:((eu_fanu_pair @ (c_0 @ V @ E) @ (c_1 @ V0 @ W)) = (c_1 @ W @ V0))).
thf(aHypermapu_andu_fano_PAIRu_INu_DART1u_OFu_FANu_IMPu_NOTu_EQ, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,W:cartrealn3]:(((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) & (in @ (c_1 @ V0 @ W) @ (dart1u_ofu_fan @ (c_0 @ V @ E)))) => ~ ((V0 = W)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPAIRu_EQu_monomorphized1, axiom, ![X:(cartrealn3 > $o),Y:((cartrealn3 > $o) > $o),A:(cartrealn3 > $o),B:((cartrealn3 > $o) > $o)]:(((c_0 @ X @ Y) = (c_0 @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aPAIRu_EQu_monomorphized0, axiom, ![X:cartrealn3,Y:prodfuncartrealn3boolfunfuncartrealn3boolbool,A:cartrealn3,B:prodfuncartrealn3boolfunfuncartrealn3boolbool]:(((c_ @ X @ Y) = (c_ @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aPAIRu_SURJECTIVEu_monomorphized1, axiom, ![P:prodfuncartrealn3boolfunfuncartrealn3boolbool]:?[X:(cartrealn3 > $o),Y:((cartrealn3 > $o) > $o)]:(P = (c_0 @ X @ Y))).
thf(aPAIRu_SURJECTIVEu_monomorphized0, axiom, ![P:prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool]:?[X:cartrealn3,Y:prodfuncartrealn3boolfunfuncartrealn3boolbool]:(P = (c_ @ X @ Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:prodcartrealn3cartrealn3]:(((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) & (in @ X @ (dart1u_ofu_fan @ (c_0 @ V @ E)))) => ~ (((eu_fanu_pair @ (c_0 @ V @ E) @ X) = X)))).
