%   ORIGINAL: Hypermap_and_fan.NODE_HYPERMAP_OF_FAN_ALT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan_misc.dart1_of_fan: !V E. dart1_of_fan (V,E) = {v,w | {v, w} IN E}
% Assm: Hypermap_and_fan.NODE_HYPERMAP_OF_FAN_lemma: !V E v u. FAN (vec 0,V,E) /\ v,u IN dart1_of_fan (V,E) ==> node (hypermap_of_fan (V,E)) (v,u) = {v,power_map_points sigma_fan (vec 0) V E v u i | 0 <= i}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PAIR_EQ: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: TRUTH: T
% Assm: Topology.ORBITS_EQ_SET_EDGE_FAN: !x V E v u. FAN (x,V,E) /\ {v, u} IN E ==> set_of_edge v V E = set_of_orbits_points_fan x V E v u
% Assm: Topology.set_of_orbits_points_fan: !x V E v u. set_of_orbits_points_fan x V E v u = {power_map_points sigma_fan x V E v u i | 0 <= i}
% Goal: !V E v w. FAN (vec 0,V,E) /\ v,w IN dart1_of_fan (V,E) ==> node (hypermap_of_fan (V,E)) (v,w) = {v,u | u | u IN set_of_edge v V E}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !V E. dart1_of_fan (V,E) = {v,w | {v, w} IN E}
% Assm: !V E v u. FAN (vec 0,V,E) /\ v,u IN dart1_of_fan (V,E) ==> node (hypermap_of_fan (V,E)) (v,u) = {v,power_map_points sigma_fan (vec 0) V E v u i | 0 <= i}
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: ~F <=> T
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: T
% Assm: !x V E v u. FAN (x,V,E) /\ {v, u} IN E ==> set_of_edge v V E = set_of_orbits_points_fan x V E v u
% Assm: !x V E v u. set_of_orbits_points_fan x V E v u = {power_map_points sigma_fan x V E v u i | 0 <= i}
% Goal: !V E v w. FAN (vec 0,V,E) /\ v,w IN dart1_of_fan (V,E) ==> node (hypermap_of_fan (V,E)) (v,w) = {v,u | u | u IN set_of_edge v V E}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(thypermapprodcartrealn3cartrealn3, type, hypermapprodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(chypermapuu_ofuu_fan, type, hypermapu_ofu_fan : (prodfuncartrealn3boolfunfuncartrealn3boolbool > hypermapprodcartrealn3cartrealn3)).
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin1, type, in1 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : ((prodcartrealn3cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(cdart1uu_ofuu_fan, type, dart1u_ofu_fan : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > $o)).
thf(cin, type, in : (prodcartrealn3cartrealn3 > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(csetuu_ofuu_orbitsuu_pointsuu_fan, type, setu_ofu_orbitsu_pointsu_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cpoweruu_mapuu_points, type, poweru_mapu_points : ((cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3) > cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > num > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csetspec, type, setspec : (prodcartrealn3cartrealn3 > $o > prodcartrealn3cartrealn3 > $o)).
thf(cnode, type, node : (hypermapprodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > $o)).
thf(ccu_1, type, c_1 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > prodcartrealn3cartrealn3 > $o),G:(a > prodcartrealn3cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(prodcartrealn3cartrealn3 > $o)]:(^[X:prodcartrealn3cartrealn3]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(prodcartrealn3cartrealn3 > $o),T:(prodcartrealn3cartrealn3 > $o)]:((S = T) <=> ![X:prodcartrealn3cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFanu_misco_dart1u_ofu_fan, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((dart1u_ofu_fan @ (c_0 @ V @ E)) = (gspec @ ^[GENR_PVARR_381:prodcartrealn3cartrealn3]:?[V0:cartrealn3,W:cartrealn3]:(setspec @ GENR_PVARR_381 @ (in1 @ (insert @ V0 @ (insert @ W @ empty)) @ E) @ (c_1 @ V0 @ W))))).
thf(aHypermapu_andu_fano_NODEu_HYPERMAPu_OFu_FANu_lemma, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) & (in @ (c_1 @ V0 @ U) @ (dart1u_ofu_fan @ (c_0 @ V @ E)))) => ((node @ (hypermapu_ofu_fan @ (c_0 @ V @ E)) @ (c_1 @ V0 @ U)) = (gspec @ ^[GENR_PVARR_474:prodcartrealn3cartrealn3]:?[I:num]:(setspec @ GENR_PVARR_474 @ (l_a_ @ (numeral @ u_0) @ I) @ (c_1 @ V0 @ (poweru_mapu_points @ sigmau_fan @ (vec @ (numeral @ u_0)) @ V @ E @ V0 @ U @ I))))))).
thf(aINu_monomorphized1, axiom, ![P:(prodcartrealn3cartrealn3 > $o),X:prodcartrealn3cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > prodcartrealn3cartrealn3 > $o) > $o),X:prodcartrealn3cartrealn3]:((in @ X @ (gspec @ ^[V:prodcartrealn3cartrealn3]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:prodcartrealn3cartrealn3]:(P0 & (X = T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPAIRu_EQu_monomorphized2, axiom, ![X:(cartrealn3 > $o),Y:((cartrealn3 > $o) > $o),A:(cartrealn3 > $o),B:((cartrealn3 > $o) > $o)]:(((c_0 @ X @ Y) = (c_0 @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aPAIRu_EQu_monomorphized1, axiom, ![X:cartrealn3,Y:prodfuncartrealn3boolfunfuncartrealn3boolbool,A:cartrealn3,B:prodfuncartrealn3boolfunfuncartrealn3boolbool]:(((c_ @ X @ Y) = (c_ @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aPAIRu_EQu_monomorphized0, axiom, ![X:cartrealn3,Y:cartrealn3,A:cartrealn3,B:cartrealn3]:(((c_1 @ X @ Y) = (c_1 @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aTRUTH, axiom, $true).
thf(aTopologyo_ORBITSu_EQu_SETu_EDGEu_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in1 @ (insert @ V0 @ (insert @ U @ empty)) @ E)) => ((setu_ofu_edge @ V0 @ V @ E) = (setu_ofu_orbitsu_pointsu_fan @ X @ V @ E @ V0 @ U)))).
thf(aTopologyo_setu_ofu_orbitsu_pointsu_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:((setu_ofu_orbitsu_pointsu_fan @ X @ V @ E @ V0 @ U) = (gspec0 @ ^[GENR_PVARR_319:cartrealn3]:?[I:num]:(setspec0 @ GENR_PVARR_319 @ (l_a_ @ (numeral @ u_0) @ I) @ (poweru_mapu_points @ sigmau_fan @ X @ V @ E @ V0 @ U @ I))))).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,W:cartrealn3]:(((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) & (in @ (c_1 @ V0 @ W) @ (dart1u_ofu_fan @ (c_0 @ V @ E)))) => ((node @ (hypermapu_ofu_fan @ (c_0 @ V @ E)) @ (c_1 @ V0 @ W)) = (gspec @ ^[GENR_PVARR_475:prodcartrealn3cartrealn3]:?[U:cartrealn3]:(setspec @ GENR_PVARR_475 @ (in0 @ U @ (setu_ofu_edge @ V0 @ V @ E)) @ (c_1 @ V0 @ U)))))).
