%   ORIGINAL: Hypermap_and_fan.HYPERMAP_OF_FAN_NODE_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FST: !x y. FST (x,y) = x
% Assm: Fan_defs.dart_of_fan: !V E. dart_of_fan (V,E) = {v,v | v IN V /\ set_of_edge v V E = {}} UNION {v,w | {v, w} IN E}
% Assm: Fan_misc.dart1_of_fan: !V E. dart1_of_fan (V,E) = {v,w | {v, w} IN E}
% Assm: Hypermap_and_fan.NODE_HYPERMAP_OF_FAN_ALT: !V E v w. FAN (vec 0,V,E) /\ v,w IN dart1_of_fan (V,E) ==> node (hypermap_of_fan (V,E)) (v,w) = {v,u | u | u IN set_of_edge v V E}
% Assm: Hypermap_and_fan.PAIR_IN_DART1_OF_FAN: !V E v w. FAN (vec 0,V,E) /\ v,w IN dart1_of_fan (V,E) ==> v IN V /\ w IN V /\ w IN set_of_edge v V E /\ v IN set_of_edge w V E
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: PAIR_EQ: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: PAIR_SURJECTIVE: !p. ?x y. p = x,y
% Assm: TRUTH: T
% Goal: !V E x y. FAN (vec 0,V,E) /\ x IN dart_of_fan (V,E) /\ y IN dart_of_fan (V,E) /\ FST x = FST y ==> node (hypermap_of_fan (V,E)) x = node (hypermap_of_fan (V,E)) y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. FST (x,y) = x
% Assm: !V E. dart_of_fan (V,E) = {v,v | v IN V /\ set_of_edge v V E = {}} UNION {v,w | {v, w} IN E}
% Assm: !V E. dart1_of_fan (V,E) = {v,w | {v, w} IN E}
% Assm: !V E v w. FAN (vec 0,V,E) /\ v,w IN dart1_of_fan (V,E) ==> node (hypermap_of_fan (V,E)) (v,w) = {v,u | u | u IN set_of_edge v V E}
% Assm: !V E v w. FAN (vec 0,V,E) /\ v,w IN dart1_of_fan (V,E) ==> v IN V /\ w IN V /\ w IN set_of_edge v V E /\ v IN set_of_edge w V E
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: !p. ?x y. p = x,y
% Assm: !p. ?x y. p = x,y
% Assm: T
% Goal: !V E x y. FAN (vec 0,V,E) /\ x IN dart_of_fan (V,E) /\ y IN dart_of_fan (V,E) /\ FST x = FST y ==> node (hypermap_of_fan (V,E)) x = node (hypermap_of_fan (V,E)) y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(thypermapprodcartrealn3cartrealn3, type, hypermapprodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(chypermapuu_ofuu_fan, type, hypermapu_ofu_fan : (prodfuncartrealn3boolfunfuncartrealn3boolbool > hypermapprodcartrealn3cartrealn3)).
thf(cdart1uu_ofuu_fan, type, dart1u_ofu_fan : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > $o)).
thf(cin1, type, in1 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : ((prodcartrealn3cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(cfst, type, fst : (prodcartrealn3cartrealn3 > cartrealn3)).
thf(cdartuu_ofuu_fan, type, dartu_ofu_fan : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > $o)).
thf(cin, type, in : (prodcartrealn3cartrealn3 > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csetspec, type, setspec : (prodcartrealn3cartrealn3 > $o > prodcartrealn3cartrealn3 > $o)).
thf(cunion, type, union : ((prodcartrealn3cartrealn3 > $o) > (prodcartrealn3cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(ccu_1, type, c_1 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cnode, type, node : (hypermapprodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cempty0, type, empty0 : (prodcartrealn3cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > prodcartrealn3cartrealn3 > $o),G:(a > prodcartrealn3cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFST, axiom, ![X:cartrealn3,Y:cartrealn3]:((fst @ (c_1 @ X @ Y)) = X)).
thf(aFanu_defso_dartu_ofu_fan, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((dartu_ofu_fan @ (c_0 @ V @ E)) = (union @ (gspec @ ^[GENR_PVARR_285:prodcartrealn3cartrealn3]:?[V0:cartrealn3]:(setspec @ GENR_PVARR_285 @ ((in0 @ V0 @ V) & ((setu_ofu_edge @ V0 @ V @ E) = empty)) @ (c_1 @ V0 @ V0))) @ (gspec @ ^[GENR_PVARR_286:prodcartrealn3cartrealn3]:?[V0:cartrealn3,W:cartrealn3]:(setspec @ GENR_PVARR_286 @ (in1 @ (insert @ V0 @ (insert @ W @ empty)) @ E) @ (c_1 @ V0 @ W)))))).
thf(aFanu_misco_dart1u_ofu_fan, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((dart1u_ofu_fan @ (c_0 @ V @ E)) = (gspec @ ^[GENR_PVARR_381:prodcartrealn3cartrealn3]:?[V0:cartrealn3,W:cartrealn3]:(setspec @ GENR_PVARR_381 @ (in1 @ (insert @ V0 @ (insert @ W @ empty)) @ E) @ (c_1 @ V0 @ W))))).
thf(aHypermapu_andu_fano_NODEu_HYPERMAPu_OFu_FANu_ALT, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,W:cartrealn3]:(((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) & (in @ (c_1 @ V0 @ W) @ (dart1u_ofu_fan @ (c_0 @ V @ E)))) => ((node @ (hypermapu_ofu_fan @ (c_0 @ V @ E)) @ (c_1 @ V0 @ W)) = (gspec @ ^[GENR_PVARR_475:prodcartrealn3cartrealn3]:?[U:cartrealn3]:(setspec @ GENR_PVARR_475 @ (in0 @ U @ (setu_ofu_edge @ V0 @ V @ E)) @ (c_1 @ V0 @ U)))))).
thf(aHypermapu_andu_fano_PAIRu_INu_DART1u_OFu_FAN, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,W:cartrealn3]:(((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) & (in @ (c_1 @ V0 @ W) @ (dart1u_ofu_fan @ (c_0 @ V @ E)))) => ((in0 @ V0 @ V) & (in0 @ W @ V) & (in0 @ W @ (setu_ofu_edge @ V0 @ V @ E)) & (in0 @ V0 @ (setu_ofu_edge @ W @ V @ E))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > prodcartrealn3cartrealn3 > $o) > $o),X:prodcartrealn3cartrealn3]:((in @ X @ (gspec @ ^[V:prodcartrealn3cartrealn3]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:prodcartrealn3cartrealn3]:(P0 & (X = T))))).
thf(aINu_UNION, axiom, ![S:(prodcartrealn3cartrealn3 > $o),T:(prodcartrealn3cartrealn3 > $o),X:prodcartrealn3cartrealn3]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:prodcartrealn3cartrealn3]:~ ((in @ X @ empty0))).
thf(aPAIRu_EQ, axiom, ![X:cartrealn3,Y:prodfuncartrealn3boolfunfuncartrealn3boolbool,A:cartrealn3,B:prodfuncartrealn3boolfunfuncartrealn3boolbool]:(((c_ @ X @ Y) = (c_ @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aPAIRu_SURJECTIVEu_monomorphized1, axiom, ![P:prodfuncartrealn3boolfunfuncartrealn3boolbool]:?[X:(cartrealn3 > $o),Y:((cartrealn3 > $o) > $o)]:(P = (c_0 @ X @ Y))).
thf(aPAIRu_SURJECTIVEu_monomorphized0, axiom, ![P:prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool]:?[X:cartrealn3,Y:prodfuncartrealn3boolfunfuncartrealn3boolbool]:(P = (c_ @ X @ Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:prodcartrealn3cartrealn3,Y:prodcartrealn3cartrealn3]:(((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) & (in @ X @ (dartu_ofu_fan @ (c_0 @ V @ E))) & (in @ Y @ (dartu_ofu_fan @ (c_0 @ V @ E))) & ((fst @ X) = (fst @ Y))) => ((node @ (hypermapu_ofu_fan @ (c_0 @ V @ E)) @ X) = (node @ (hypermapu_ofu_fan @ (c_0 @ V @ E)) @ Y)))).
