%   ORIGINAL: Hypermap_and_fan.SUM_AZIM_DART_FULLY_SURROUNDED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap_and_fan.FULLY_SURROUNDED_NODE_DECOMPOSITION: !V E x. FAN (vec 0,V,E) /\ fully_surrounded (V,E) /\ x IN dart_of_fan (V,E) ==> (let H = hypermap_of_fan (V,E) in let A = {y | y IN node H x /\ CARD (face H y) = 3} in let B = {y | y IN node H x /\ CARD (face H y) = 4} in let C = {y | y IN node H x /\ CARD (face H y) >= 5} in let D = {y | y IN node H x /\ CARD (face H y) >= 4} in node H x = A UNION D /\ DISJOINT A D /\ D = B UNION C /\ DISJOINT B C /\ FINITE D /\ FINITE A)
% Assm: Hypermap_and_fan.SUM_AZIM_DART: !V E x. FAN (vec 0,V,E) /\ x IN dart_of_fan (V,E) ==> sum (node (hypermap_of_fan (V,E)) x) (azim_dart (V,E)) = &2 * pi
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: PAIR_SURJECTIVE: !p. ?x y. p = x,y
% Assm: SUM_UNION: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> sum (s UNION t) f = sum s f + sum t f
% Assm: TRUTH: T
% Goal: !V E x. FAN (vec 0,V,E) /\ fully_surrounded (V,E) /\ x IN dart_of_fan (V,E) ==> (let H = hypermap_of_fan (V,E) in let A = {y | y IN node H x /\ CARD (face H y) = 3} in let B = {y | y IN node H x /\ CARD (face H y) >= 4} in sum A (azim_dart (V,E)) + sum B (azim_dart (V,E)) = &2 * pi)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !V E x. FAN (vec 0,V,E) /\ fully_surrounded (V,E) /\ x IN dart_of_fan (V,E) ==> (let H = hypermap_of_fan (V,E) in let A = {y | y IN node H x /\ CARD (face H y) = 3} in let B = {y | y IN node H x /\ CARD (face H y) = 4} in let C = {y | y IN node H x /\ CARD (face H y) >= 5} in let D = {y | y IN node H x /\ CARD (face H y) >= 4} in node H x = A UNION D /\ DISJOINT A D /\ D = B UNION C /\ DISJOINT B C /\ FINITE D /\ FINITE A)
% Assm: !V E x. FAN (vec 0,V,E) /\ x IN dart_of_fan (V,E) ==> sum (node (hypermap_of_fan (V,E)) x) (azim_dart (V,E)) = &2 * pi
% Assm: !f x. LET f x <=> f x
% Assm: !f x. LET f x <=> f x
% Assm: !t. LET_END t <=> t
% Assm: !p. ?x y. p = x,y
% Assm: !p. ?x y. p = x,y
% Assm: !f s t. FINITE s /\ FINITE t /\ DISJOINT s t ==> sum (s UNION t) f = sum s f + sum t f
% Assm: T
% Goal: !V E x. FAN (vec 0,V,E) /\ fully_surrounded (V,E) /\ x IN dart_of_fan (V,E) ==> (let H = hypermap_of_fan (V,E) in let A = {y | y IN node H x /\ CARD (face H y) = 3} in let B = {y | y IN node H x /\ CARD (face H y) >= 4} in sum A (azim_dart (V,E)) + sum B (azim_dart (V,E)) = &2 * pi)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(thypermapprodcartrealn3cartrealn3, type, hypermapprodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(chypermapuu_ofuu_fan, type, hypermapu_ofu_fan : (prodfuncartrealn3boolfunfuncartrealn3boolbool > hypermapprodcartrealn3cartrealn3)).
thf(cdisjoint, type, disjoint : ((prodcartrealn3cartrealn3 > $o) > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((prodcartrealn3cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cazimuu_dart, type, azimu_dart : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > real)).
thf(csum, type, sum : ((prodcartrealn3cartrealn3 > $o) > (prodcartrealn3cartrealn3 > real) > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(clet0, type, let0 : (((prodcartrealn3cartrealn3 > $o) > $o) > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(clet, type, let : ((hypermapprodcartrealn3cartrealn3 > $o) > hypermapprodcartrealn3cartrealn3 > $o)).
thf(cdartuu_ofuu_fan, type, dartu_ofu_fan : (prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > $o)).
thf(cin, type, in : (prodcartrealn3cartrealn3 > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cpi, type, pi : real).
thf(cunion, type, union : ((prodcartrealn3cartrealn3 > $o) > (prodcartrealn3cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(cface, type, face : (hypermapprodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > $o)).
thf(cnode, type, node : (hypermapprodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > $o)).
thf(csetspec, type, setspec : (prodcartrealn3cartrealn3 > $o > prodcartrealn3cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cletuu_end, type, letu_end : ($o > $o)).
thf(cfinite, type, finite : ((prodcartrealn3cartrealn3 > $o) > $o)).
thf(cfullyuu_surrounded, type, fullyu_surrounded : (prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(ccard, type, card : ((prodcartrealn3cartrealn3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapu_andu_fano_FULLYu_SURROUNDEDu_NODEu_DECOMPOSITION, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:prodcartrealn3cartrealn3]:(((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) & (fullyu_surrounded @ (c_0 @ V @ E)) & (in @ X @ (dartu_ofu_fan @ (c_0 @ V @ E)))) => (let @ ^[H:hypermapprodcartrealn3cartrealn3]:(letu_end @ (let0 @ ^[A:(prodcartrealn3cartrealn3 > $o)]:(letu_end @ (let0 @ ^[B:(prodcartrealn3cartrealn3 > $o)]:(letu_end @ (let0 @ ^[C:(prodcartrealn3cartrealn3 > $o)]:(letu_end @ (let0 @ ^[D:(prodcartrealn3cartrealn3 > $o)]:(letu_end @ (((node @ H @ X) = (union @ A @ D)) & (disjoint @ A @ D) & (D = (union @ B @ C)) & (disjoint @ B @ C) & (finite @ D) & (finite @ A))) @ (gspec @ ^[GENR_PVARR_486:prodcartrealn3cartrealn3]:?[Y:prodcartrealn3cartrealn3]:(setspec @ GENR_PVARR_486 @ ((in @ Y @ (node @ H @ X)) & (g_a_ @ (card @ (face @ H @ Y)) @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0)))))) @ Y)))) @ (gspec @ ^[GENR_PVARR_485:prodcartrealn3cartrealn3]:?[Y:prodcartrealn3cartrealn3]:(setspec @ GENR_PVARR_485 @ ((in @ Y @ (node @ H @ X)) & (g_a_ @ (card @ (face @ H @ Y)) @ (numeral @ (bit1 @ (bit0 @ (bit1 @ u_0)))))) @ Y)))) @ (gspec @ ^[GENR_PVARR_484:prodcartrealn3cartrealn3]:?[Y:prodcartrealn3cartrealn3]:(setspec @ GENR_PVARR_484 @ ((in @ Y @ (node @ H @ X)) & ((card @ (face @ H @ Y)) = (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0)))))) @ Y)))) @ (gspec @ ^[GENR_PVARR_483:prodcartrealn3cartrealn3]:?[Y:prodcartrealn3cartrealn3]:(setspec @ GENR_PVARR_483 @ ((in @ Y @ (node @ H @ X)) & ((card @ (face @ H @ Y)) = (numeral @ (bit1 @ (bit1 @ u_0))))) @ Y)))) @ (hypermapu_ofu_fan @ (c_0 @ V @ E))))).
thf(aHypermapu_andu_fano_SUMu_AZIMu_DART, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:prodcartrealn3cartrealn3]:(((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) & (in @ X @ (dartu_ofu_fan @ (c_0 @ V @ E)))) => ((sum @ (node @ (hypermapu_ofu_fan @ (c_0 @ V @ E)) @ X) @ (azimu_dart @ (c_0 @ V @ E))) = (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)))).
thf(aLETu_DEFu_monomorphized1, axiom, ![F:(hypermapprodcartrealn3cartrealn3 > $o),X:hypermapprodcartrealn3cartrealn3]:((let @ F @ X) <=> (F @ X))).
thf(aLETu_DEFu_monomorphized0, axiom, ![F:((prodcartrealn3cartrealn3 > $o) > $o),X:(prodcartrealn3cartrealn3 > $o)]:((let0 @ F @ X) <=> (F @ X))).
thf(aLETu_ENDu_DEF, axiom, ![T:$o]:((letu_end @ T) <=> T)).
thf(aPAIRu_SURJECTIVEu_monomorphized1, axiom, ![P:prodfuncartrealn3boolfunfuncartrealn3boolbool]:?[X:(cartrealn3 > $o),Y:((cartrealn3 > $o) > $o)]:(P = (c_0 @ X @ Y))).
thf(aPAIRu_SURJECTIVEu_monomorphized0, axiom, ![P:prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool]:?[X:cartrealn3,Y:prodfuncartrealn3boolfunfuncartrealn3boolbool]:(P = (c_ @ X @ Y))).
thf(aSUMu_UNION, axiom, ![F:(prodcartrealn3cartrealn3 > real),S:(prodcartrealn3cartrealn3 > $o),T:(prodcartrealn3cartrealn3 > $o)]:(((finite @ S) & (finite @ T) & (disjoint @ S @ T)) => ((sum @ (union @ S @ T) @ F) = (realu_add @ (sum @ S @ F) @ (sum @ T @ F))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),X:prodcartrealn3cartrealn3]:(((fan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ V @ E))) & (fullyu_surrounded @ (c_0 @ V @ E)) & (in @ X @ (dartu_ofu_fan @ (c_0 @ V @ E)))) => (let @ ^[H:hypermapprodcartrealn3cartrealn3]:(letu_end @ (let0 @ ^[A:(prodcartrealn3cartrealn3 > $o)]:(letu_end @ (let0 @ ^[B:(prodcartrealn3cartrealn3 > $o)]:(letu_end @ ((realu_add @ (sum @ A @ (azimu_dart @ (c_0 @ V @ E))) @ (sum @ B @ (azimu_dart @ (c_0 @ V @ E)))) = (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi))) @ (gspec @ ^[GENR_PVARR_490:prodcartrealn3cartrealn3]:?[Y:prodcartrealn3cartrealn3]:(setspec @ GENR_PVARR_490 @ ((in @ Y @ (node @ H @ X)) & (g_a_ @ (card @ (face @ H @ Y)) @ (numeral @ (bit0 @ (bit0 @ (bit1 @ u_0)))))) @ Y)))) @ (gspec @ ^[GENR_PVARR_489:prodcartrealn3cartrealn3]:?[Y:prodcartrealn3cartrealn3]:(setspec @ GENR_PVARR_489 @ ((in @ Y @ (node @ H @ X)) & ((card @ (face @ H @ Y)) = (numeral @ (bit1 @ (bit1 @ u_0))))) @ Y)))) @ (hypermapu_ofu_fan @ (c_0 @ V @ E))))).
