%   ORIGINAL: Conforming.RADIAL_NORM_YFAN_INTER_BALL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Conforming.RADIAL_DIFF: !r v0 A B. radial_norm r v0 A /\ radial_norm r v0 B /\ A SUBSET B ==> radial_norm r v0 (B DIFF A)
% Assm: Conforming.RADIAL_UNIV: !r x. r > &0 ==> radial_norm r x ((:real^N) INTER normball x r)
% Assm: Conforming.RADIAL_XFAN_INTER_BALL: !x V E r. FAN (x,V,E) /\ r > &0 ==> radial_norm r x (xfan (x,V,E) INTER normball x r)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan_defs.yfan: !x V E. yfan (x,V,E) = (:real^3) DIFF xfan (x,V,E)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !x V E r. FAN (x,V,E) /\ r > &0 ==> radial_norm r x (yfan (x,V,E) INTER normball x r)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !r v0 A B. radial_norm r v0 A /\ radial_norm r v0 B /\ A SUBSET B ==> radial_norm r v0 (B DIFF A)
% Assm: !r x. r > &0 ==> radial_norm r x ((:real^3) INTER normball x r)
% Assm: !x V E r. FAN (x,V,E) /\ r > &0 ==> radial_norm r x (xfan (x,V,E) INTER normball x r)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x V E. yfan (x,V,E) = (:real^3) DIFF xfan (x,V,E)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. x IN (:A)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !x V E r. FAN (x,V,E) /\ r > &0 ==> radial_norm r x (yfan (x,V,E) INTER normball x r)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cxfan, type, xfan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > cartrealn3 > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cyfan, type, yfan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > cartrealn3 > $o)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(cdiff0, type, diff0 : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cnormball, type, normball : (cartrealn3 > real > cartrealn3 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cradialuu_norm, type, radialu_norm : (real > cartrealn3 > (cartrealn3 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cuniv, type, univ : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cuu_0, type, u_0 : num).
thf(cuniv0, type, univ0 : (a > $o)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aConformingo_RADIALu_DIFF, axiom, ![R:real,V0:cartrealn3,A:(cartrealn3 > $o),B:(cartrealn3 > $o)]:(((radialu_norm @ R @ V0 @ A) & (radialu_norm @ R @ V0 @ B) & (subset @ A @ B)) => (radialu_norm @ R @ V0 @ (diff @ B @ A)))).
thf(aConformingo_RADIALu_UNIV, axiom, ![R:real,X:cartrealn3]:((realu_gt @ R @ (realu_ofu_num @ (numeral @ u_0))) => (radialu_norm @ R @ X @ (inter @ univ @ (normball @ X @ R))))).
thf(aConformingo_RADIALu_XFANu_INTERu_BALL, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),R:real]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (realu_gt @ R @ (realu_ofu_num @ (numeral @ u_0)))) => (radialu_norm @ R @ X @ (inter @ (xfan @ (c_ @ X @ (c_0 @ V @ E))) @ (normball @ X @ R))))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFanu_defso_yfan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((yfan @ (c_ @ X @ (c_0 @ V @ E))) = (diff @ univ @ (xfan @ (c_ @ X @ (c_0 @ V @ E)))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff0 @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),X:cartrealn3]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:a]:(in @ X @ univ0)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),R:real]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (realu_gt @ R @ (realu_ofu_num @ (numeral @ u_0)))) => (radialu_norm @ R @ X @ (inter @ (yfan @ (c_ @ X @ (c_0 @ V @ E))) @ (normball @ X @ R))))).
