%   ORIGINAL: Conforming.UNIONS_TOPOLOGICAL_COMPONENT_EQ_YFAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONNECTED_COMPONENT_REFL_EQ: !s x. connected_component s x x <=> x IN s
% Assm: CONNECTED_COMPONENT_SUBSET: !s x. connected_component s x SUBSET s
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan_defs.topological_component_yfan: !x V E. topological_component_yfan (x,V,E) = {connected_component (yfan (x,V,E)) y | y | y IN yfan (x,V,E)}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: UNIONS: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !x V E. UNIONS (topological_component_yfan (x,V,E)) = yfan (x,V,E)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s x. connected_component s x x <=> x IN s
% Assm: !s x. connected_component s x SUBSET s
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x V E. topological_component_yfan (x,V,E) = {connected_component (yfan (x,V,E)) y | y | y IN yfan (x,V,E)}
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Goal: !x V E. UNIONS (topological_component_yfan (x,V,E)) = yfan (x,V,E)
%  TYPES
thf(tq198457, type, q198457 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tcartrealq198457, type, cartrealq198457 : $tType).
thf(tn, type, n : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(cgspec1, type, gspec1 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin3, type, in3 : (q43851 > (q43851 > $o) > $o)).
thf(cin2, type, in2 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cin1, type, in1 : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(csubset, type, subset : ((cartrealq198457 > $o) > (cartrealq198457 > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cyfan, type, yfan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > cartrealn3 > $o)).
thf(ctopologicaluu_componentuu_yfan, type, topologicalu_componentu_yfan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > (cartrealn3 > $o) > $o)).
thf(cunions, type, unions : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csetspec1, type, setspec1 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(cconnecteduu_component1, type, connectedu_component1 : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cconnecteduu_component0, type, connectedu_component0 : ((cartrealq198457 > $o) > cartrealq198457 > cartrealq198457 > $o)).
thf(cconnecteduu_component, type, connectedu_component : ((cartrealn > $o) > cartrealn > cartrealn > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONNECTEDu_COMPONENTu_REFLu_EQ, axiom, ![S:(cartrealn > $o),X:cartrealn]:((connectedu_component @ S @ X @ X) <=> (in @ X @ S))).
thf(aCONNECTEDu_COMPONENTu_SUBSET, axiom, ![S:(cartrealq198457 > $o),X:cartrealq198457]:(subset @ (connectedu_component0 @ S @ X) @ S)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFanu_defso_topologicalu_componentu_yfan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((topologicalu_componentu_yfan @ (c_ @ X @ (c_0 @ V @ E))) = (gspec @ ^[GENR_PVARR_289:(cartrealn3 > $o)]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_289 @ (in0 @ Y @ (yfan @ (c_ @ X @ (c_0 @ V @ E)))) @ (connectedu_component1 @ (yfan @ (c_ @ X @ (c_0 @ V @ E))) @ Y))))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in1 @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (cartrealn3 > $o) > $o) > $o),X:(cartrealn3 > $o)]:((in2 @ X @ (gspec @ ^[V:(cartrealn3 > $o)]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:(cartrealn3 > $o)]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in3 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aUNIONS, axiom, ![S:((cartrealn3 > $o) > $o)]:((unions @ S) = (gspec1 @ ^[GENR_PVARR_1:cartrealn3]:?[X:cartrealn3]:(setspec1 @ GENR_PVARR_1 @ ?[U:(cartrealn3 > $o)]:((in2 @ U @ S) & (in0 @ X @ U)) @ X)))).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((unions @ (topologicalu_componentu_yfan @ (c_ @ X @ (c_0 @ V @ E)))) = (yfan @ (c_ @ X @ (c_0 @ V @ E))))).
