%   ORIGINAL: Conforming.PR23_OF_D1_FAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Conforming.pr23: pr23 = (\(x,y,z,t). y,z)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: Fan.d1_fan: !x V E. d1_fan (x,V,E) = {x',v,w,w1 | x' = x /\ {v, w} IN E /\ w1 = sigma_fan x V E v w}
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: IMAGE: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !x V E. IMAGE pr23 (d1_fan (x,V,E)) = {v,w | {v, w} IN E}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: pr23 = (\(x,y,z,t). y,z)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x V E. d1_fan (x,V,E) = {x',v,w,w1 | x' = x /\ {v, w} IN E /\ w1 = sigma_fan x V E v w}
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a = b
% Assm: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !x V E. IMAGE pr23 (d1_fan (x,V,E)) = {v,w | {v, w} IN E}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3, type, prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodcartrealn3cartrealn3, type, prodcartrealn3prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(cgspec1, type, gspec1 : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cin1, type, in1 : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cgeq0, type, geq0 : ((prodcartrealn3cartrealn3 > $o) > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(chu_, type, h_ : (((prodcartrealn3cartrealn3 > $o) > $o) > prodcartrealn3cartrealn3 > $o)).
thf(cgabs0, type, gabs0 : (((prodcartrealn3cartrealn3 > $o) > $o) > prodcartrealn3cartrealn3 > $o)).
thf(cgspec0, type, gspec0 : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cin0, type, in0 : (prodcartrealn3cartrealn3 > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cgeq, type, geq : (prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cgspec, type, gspec : ((prodcartrealn3cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(cd1uu_fan, type, d1u_fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(csetspec1, type, setspec1 : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(csetspec0, type, setspec0 : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(ccu_3, type, c_3 : (cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3cartrealn3)).
thf(ccu_2, type, c_2 : (cartrealn3 > prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(cgabs, type, gabs : (((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccu_1, type, c_1 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec, type, setspec : (prodcartrealn3cartrealn3 > $o > prodcartrealn3cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cpr23, type, pr23 : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)).
thf(cimage, type, image : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3) > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > prodcartrealn3cartrealn3 > $o),G:(a > prodcartrealn3cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aConformingo_pr23, axiom, (pr23 = (gabs @ ^[F:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)]:![X:cartrealn3,Y:cartrealn3,Z:cartrealn3,T:cartrealn3]:(geq @ (F @ (c_2 @ X @ (c_3 @ Y @ (c_1 @ Z @ T)))) @ (c_1 @ Y @ Z))))).
thf(aETAu_AX, axiom, ![T:(prodcartrealn3cartrealn3 > $o)]:(^[X:prodcartrealn3cartrealn3]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(prodcartrealn3cartrealn3 > $o),T:(prodcartrealn3cartrealn3 > $o)]:((S = T) <=> ![X:prodcartrealn3cartrealn3]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFano_d1u_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((d1u_fan @ (c_ @ X @ (c_0 @ V @ E))) = (gspec0 @ ^[GENR_PVARR_309:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:?[XI_:cartrealn3,V0:cartrealn3,W:cartrealn3,W1:cartrealn3]:(setspec0 @ GENR_PVARR_309 @ ((XI_ = X) & (in @ (insert @ V0 @ (insert @ W @ empty)) @ E) & (W1 = (sigmau_fan @ X @ V @ E @ V0 @ W))) @ (c_2 @ XI_ @ (c_3 @ V0 @ (c_1 @ W @ W1))))))).
thf(aGABSu_DEF, axiom, ![P:((prodcartrealn3cartrealn3 > $o) > $o)]:((gabs0 @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:(prodcartrealn3cartrealn3 > $o),B:(prodcartrealn3cartrealn3 > $o)]:((geq0 @ A @ B) <=> (A = B))).
thf(aIMAGE, axiom, ![S:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),F:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3)]:((image @ F @ S) = (gspec @ ^[GENR_PVARR_7:prodcartrealn3cartrealn3]:?[Y:prodcartrealn3cartrealn3]:(setspec @ GENR_PVARR_7 @ ?[X:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:((in1 @ X @ S) & (Y = (F @ X))) @ Y)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > (cartrealn3 > $o) > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (gspec1 @ ^[V:(cartrealn3 > $o)]:(P @ (setspec1 @ V)))) <=> (P @ ^[P0:$o,T:(cartrealn3 > $o)]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:((cartrealn3 > $o) > $o),X:(cartrealn3 > $o)]:((in @ X @ (gspec1 @ ^[V:(cartrealn3 > $o)]:?[Y:(cartrealn3 > $o)]:(setspec1 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aTRUTH, axiom, $true).
thf(apairu_RECURSIONu_monomorphized2, axiom, ![PAIRI_:((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodcartrealn3cartrealn3 > $o)]:?[FN:(prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > $o)]:![A0:(cartrealn3 > $o),A1:((cartrealn3 > $o) > $o)]:((FN @ (c_0 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized1, axiom, ![PAIRI_:(cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > $o)]:?[FN:(prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3cartrealn3 > $o)]:![A0:cartrealn3,A1:prodfuncartrealn3boolfunfuncartrealn3boolbool]:((FN @ (c_ @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized0, axiom, ![PAIRI_:(cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3 > $o)]:?[FN:(prodcartrealn3cartrealn3 > prodcartrealn3cartrealn3 > $o)]:![A0:cartrealn3,A1:cartrealn3]:((FN @ (c_1 @ A0 @ A1)) = (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((image @ pr23 @ (d1u_fan @ (c_ @ X @ (c_0 @ V @ E)))) = (gspec @ ^[GENR_PVARR_515:prodcartrealn3cartrealn3]:?[V0:cartrealn3,W:cartrealn3]:(setspec @ GENR_PVARR_515 @ (in @ (insert @ V0 @ (insert @ W @ empty)) @ E) @ (c_1 @ V0 @ W))))).
