%   ORIGINAL: Conforming.TRAN_COMMUTATIVE_F1_FAN_POWER
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Conforming.STEP3_REDUCE_FAN: !x V E E1 ds f1 f2 f3 v u w. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ fan80 (x,V,E) /\ ~conforming_fan (x,V,E) /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) /\ CARD ds > 3 /\ {f1, f2, f3} SUBSET ds /\ f1_fan x V E f1 = f2 /\ f1_fan x V E f2 = f3 /\ ~(f1_fan x V E f3 = f1) /\ pr2 f1 = v /\ pr2 f2 = u /\ pr2 f3 = w /\ {v, u} IN E /\ {u, w} IN E /\ ~({w, v} IN E) /\ sigma_fan x V E u w = v /\ E UNION {{v, w}} = E1 ==> FAN (x,V,E1)
% Assm: Conforming.TRAN_COMMUTATIVE_F1_FAN: !x V E E1 ds f1 f2 f3 v u w ds1 ds2 f10 f20 f30 y. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ fan80 (x,V,E) /\ ~conforming_fan (x,V,E) /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) /\ CARD ds > 3 /\ {f1, f2, f3} SUBSET ds /\ f1_fan x V E f1 = f2 /\ f1_fan x V E f2 = f3 /\ ~(f1_fan x V E f3 = f1) /\ pr2 f1 = v /\ pr2 f2 = u /\ pr2 f3 = w /\ {v, u} IN E /\ {u, w} IN E /\ ~({w, v} IN E) /\ sigma_fan x V E u w = v /\ pr3 f1 = u /\ pr3 f2 = w /\ ds1 = face (hypermap1_of_fanx (x,V,E1)) (x,v,w,sigma_fan x V E1 v w) /\ ds2 = face (hypermap1_of_fanx (x,V,E1)) (x,w,v,sigma_fan x V E1 w v) /\ x,w,v,u = f10 /\ x,v,u,w = f20 /\ x,u,w,v = f30 /\ E UNION {{v, w}} = E1 /\ ~(y IN ds) /\ y IN d_fan (x,V,E) ==> tran x V E1 (f1_fan x V E y) = f1_fan x V E1 (tran x V E1 y)
% Assm: Conforming.add_edge_imp_card_set_edge_ge1_fan: !x V E E1. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ E1 = E UNION {{v, w}} ==> (!v. v IN V ==> CARD (set_of_edge v V E1) > 1)
% Assm: Conforming.f1_fan_power_in_face: !x V E ds y n. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) /\ y IN d1_fan (x,V,E) /\ ~(y IN ds) ==> ~((f1_fan x V E POWER n) y IN ds)
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Fan.dartset_fully_surrounded_is_non_isolated_fan: !x V E. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) ==> d_fan (x,V,E) = d1_fan (x,V,E)
% Assm: Fan.hypermap_of_fan_rep: !x V E p. FAN (x,V,E) /\ p = (\t. res (t x V E) (d1_fan (x,V,E))) ==> dart (hypermap1_of_fanx (x,V,E)) = d_fan (x,V,E) /\ edge_map (hypermap1_of_fanx (x,V,E)) = p e_fan /\ node_map (hypermap1_of_fanx (x,V,E)) = p n_fan /\ face_map (hypermap1_of_fanx (x,V,E)) = p f1_fan
% Assm: Fan.into_domain1_power_efn_fan: !x V E n. FAN (x,V,E) ==> (!y. y IN d1_fan (x,V,E) ==> (e_fan x V E POWER n) y IN d1_fan (x,V,E)) /\ (!y. y IN d1_fan (x,V,E) ==> (n_fan x V E POWER n) y IN d1_fan (x,V,E)) /\ (!y. y IN d1_fan (x,V,E) ==> (f1_fan x V E POWER n) y IN d1_fan (x,V,E))
% Assm: Hypermap.COM_POWER: !n f. f POWER SUC n = f o (f POWER n)
% Assm: I_DEF: I = (\x. x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !x V E E1 ds f1 f2 f3 v u w ds1 ds2 f10 f20 f30 y n. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ fan80 (x,V,E) /\ ~conforming_fan (x,V,E) /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) /\ CARD ds > 3 /\ {f1, f2, f3} SUBSET ds /\ f1_fan x V E f1 = f2 /\ f1_fan x V E f2 = f3 /\ ~(f1_fan x V E f3 = f1) /\ pr2 f1 = v /\ pr2 f2 = u /\ pr2 f3 = w /\ {v, u} IN E /\ {u, w} IN E /\ ~({w, v} IN E) /\ sigma_fan x V E u w = v /\ pr3 f1 = u /\ pr3 f2 = w /\ ds1 = face (hypermap1_of_fanx (x,V,E1)) (x,v,w,sigma_fan x V E1 v w) /\ ds2 = face (hypermap1_of_fanx (x,V,E1)) (x,w,v,sigma_fan x V E1 w v) /\ x,w,v,u = f10 /\ x,v,u,w = f20 /\ x,u,w,v = f30 /\ E UNION {{v, w}} = E1 /\ ~(y IN ds) /\ y IN d_fan (x,V,E) ==> tran x V E1 ((f1_fan x V E POWER n) y) = (f1_fan x V E1 POWER n) (tran x V E1 y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x V E E1 ds f1 f2 f3 v u w. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ fan80 (x,V,E) /\ ~conforming_fan (x,V,E) /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) /\ CARD ds > 3 /\ {f1, f2, f3} SUBSET ds /\ f1_fan x V E f1 = f2 /\ f1_fan x V E f2 = f3 /\ ~(f1_fan x V E f3 = f1) /\ pr2 f1 = v /\ pr2 f2 = u /\ pr2 f3 = w /\ {v, u} IN E /\ {u, w} IN E /\ ~({w, v} IN E) /\ sigma_fan x V E u w = v /\ E UNION {{v, w}} = E1 ==> FAN (x,V,E1)
% Assm: !x V E E1 ds f1 f2 f3 v u w ds1 ds2 f10 f20 f30 y. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ fan80 (x,V,E) /\ ~conforming_fan (x,V,E) /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) /\ CARD ds > 3 /\ {f1, f2, f3} SUBSET ds /\ f1_fan x V E f1 = f2 /\ f1_fan x V E f2 = f3 /\ ~(f1_fan x V E f3 = f1) /\ pr2 f1 = v /\ pr2 f2 = u /\ pr2 f3 = w /\ {v, u} IN E /\ {u, w} IN E /\ ~({w, v} IN E) /\ sigma_fan x V E u w = v /\ pr3 f1 = u /\ pr3 f2 = w /\ ds1 = face (hypermap1_of_fanx (x,V,E1)) (x,v,w,sigma_fan x V E1 v w) /\ ds2 = face (hypermap1_of_fanx (x,V,E1)) (x,w,v,sigma_fan x V E1 w v) /\ x,w,v,u = f10 /\ x,v,u,w = f20 /\ x,u,w,v = f30 /\ E UNION {{v, w}} = E1 /\ ~(y IN ds) /\ y IN d_fan (x,V,E) ==> tran x V E1 (f1_fan x V E y) = f1_fan x V E1 (tran x V E1 y)
% Assm: !v w x V E E1. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ E1 = E UNION {{v, w}} ==> (!v. v IN V ==> CARD (set_of_edge v V E1) > 1)
% Assm: !x V E ds y n. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) /\ y IN d1_fan (x,V,E) /\ ~(y IN ds) ==> ~((f1_fan x V E POWER n) y IN ds)
% Assm: !f. f POWER 0 = I
% Assm: !x V E. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) ==> d_fan (x,V,E) = d1_fan (x,V,E)
% Assm: !x V E p. FAN (x,V,E) /\ p = (\t. res (t x V E) (d1_fan (x,V,E))) ==> dart (hypermap1_of_fanx (x,V,E)) = d_fan (x,V,E) /\ edge_map (hypermap1_of_fanx (x,V,E)) = p e_fan /\ node_map (hypermap1_of_fanx (x,V,E)) = p n_fan /\ face_map (hypermap1_of_fanx (x,V,E)) = p f1_fan
% Assm: !x V E n. FAN (x,V,E) ==> (!y. y IN d1_fan (x,V,E) ==> (e_fan x V E POWER n) y IN d1_fan (x,V,E)) /\ (!y. y IN d1_fan (x,V,E) ==> (n_fan x V E POWER n) y IN d1_fan (x,V,E)) /\ (!y. y IN d1_fan (x,V,E) ==> (f1_fan x V E POWER n) y IN d1_fan (x,V,E))
% Assm: !n f. f POWER SUC n = f o (f POWER n)
% Assm: I = (\x. x)
% Assm: ~F <=> T
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g. f o g = (\x. f (g x))
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !x V E E1 ds f1 f2 f3 v u w ds1 ds2 f10 f20 f30 y n. FAN (x,V,E) /\ (!v. v IN V ==> CARD (set_of_edge v V E) > 1) /\ fan80 (x,V,E) /\ ~conforming_fan (x,V,E) /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) /\ CARD ds > 3 /\ {f1, f2, f3} SUBSET ds /\ f1_fan x V E f1 = f2 /\ f1_fan x V E f2 = f3 /\ ~(f1_fan x V E f3 = f1) /\ pr2 f1 = v /\ pr2 f2 = u /\ pr2 f3 = w /\ {v, u} IN E /\ {u, w} IN E /\ ~({w, v} IN E) /\ sigma_fan x V E u w = v /\ pr3 f1 = u /\ pr3 f2 = w /\ ds1 = face (hypermap1_of_fanx (x,V,E1)) (x,v,w,sigma_fan x V E1 v w) /\ ds2 = face (hypermap1_of_fanx (x,V,E1)) (x,w,v,sigma_fan x V E1 w v) /\ x,w,v,u = f10 /\ x,v,u,w = f20 /\ x,u,w,v = f30 /\ E UNION {{v, w}} = E1 /\ ~(y IN ds) /\ y IN d_fan (x,V,E) ==> tran x V E1 ((f1_fan x V E POWER n) y) = (f1_fan x V E1 POWER n) (tran x V E1 y)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(thypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3, type, hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3, type, prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodcartrealn3cartrealn3, type, prodcartrealn3prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(chypermap1uu_ofuu_fanx, type, hypermap1u_ofu_fanx : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(cdart, type, dart : (hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cd1uu_fan, type, d1u_fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cduu_fan, type, du_fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cin2, type, in2 : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cpr3, type, pr3 : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > cartrealn3)).
thf(cin1, type, in1 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cpr2, type, pr2 : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > cartrealn3)).
thf(csubset, type, subset : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cfaceuu_set, type, faceu_set : (hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cin0, type, in0 : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o) > $o)).
thf(cgu_, type, g_ : (num > num > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(co1, type, o1 : ((b > $o) > ((cartrealn3 > $o) > b) > (cartrealn3 > $o) > $o)).
thf(co0, type, o0 : ((b > $o) > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > b) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(co, type, o : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3) > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(cfaceuu_map, type, faceu_map : (hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(cnuu_fan, type, nu_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(cnodeuu_map, type, nodeu_map : (hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(ceuu_fan, type, eu_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(cedgeuu_map, type, edgeu_map : (hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(cres, type, res : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3) > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(ci, type, i : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(cpower, type, power : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3) > num > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(ctran, type, tran : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(cinsert1, type, insert1 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cunion, type, union : (((cartrealn3 > $o) > $o) > ((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(ccu_3, type, c_3 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccu_2, type, c_2 : (cartrealn3 > prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3cartrealn3)).
thf(ccu_1, type, c_1 : (cartrealn3 > prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(cface, type, face : (hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert0, type, insert0 : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cf1uu_fan, type, f1u_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(cinsert, type, insert : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cempty1, type, empty1 : ((cartrealn3 > $o) > $o)).
thf(cempty0, type, empty0 : (cartrealn3 > $o)).
thf(cempty, type, empty : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cconforminguu_fan, type, conformingu_fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan80, type, fan80 : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(ccard0, type, card0 : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > num)).
thf(ccard, type, card : ((cartrealn3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci0, type, i0 : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized3, axiom, ![F:(a > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3),G:(a > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),G:(a > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > (cartrealn3 > $o) > $o),G:(a > (cartrealn3 > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aConformingo_STEP3u_REDUCEu_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),E1:((cartrealn3 > $o) > $o),DS:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),F1:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F2:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F3:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,V0:cartrealn3,U:cartrealn3,W:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & ![V0:cartrealn3]:((in @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0)))) & (fan80 @ (c_ @ X @ (c_0 @ V @ E))) & ~ ((conformingu_fan @ (c_ @ X @ (c_0 @ V @ E)))) & (in0 @ DS @ (faceu_set @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E))))) & (g_ @ (card0 @ DS) @ (numeral @ (bit1 @ (bit1 @ u_0)))) & (subset @ (insert @ F1 @ (insert @ F2 @ (insert @ F3 @ empty))) @ DS) & ((f1u_fan @ X @ V @ E @ F1) = F2) & ((f1u_fan @ X @ V @ E @ F2) = F3) & ~ (((f1u_fan @ X @ V @ E @ F3) = F1)) & ((pr2 @ F1) = V0) & ((pr2 @ F2) = U) & ((pr2 @ F3) = W) & (in1 @ (insert0 @ V0 @ (insert0 @ U @ empty0)) @ E) & (in1 @ (insert0 @ U @ (insert0 @ W @ empty0)) @ E) & ~ ((in1 @ (insert0 @ W @ (insert0 @ V0 @ empty0)) @ E)) & ((sigmau_fan @ X @ V @ E @ U @ W) = V0) & ((union @ E @ (insert1 @ (insert0 @ V0 @ (insert0 @ W @ empty0)) @ empty1)) = E1)) => (fan @ (c_ @ X @ (c_0 @ V @ E1))))).
thf(aConformingo_TRANu_COMMUTATIVEu_F1u_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),E1:((cartrealn3 > $o) > $o),DS:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),F1:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F2:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F3:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,V0:cartrealn3,U:cartrealn3,W:cartrealn3,DS1:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),DS2:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),F10:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F20:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F30:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,Y:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & ![V0:cartrealn3]:((in @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0)))) & (fan80 @ (c_ @ X @ (c_0 @ V @ E))) & ~ ((conformingu_fan @ (c_ @ X @ (c_0 @ V @ E)))) & (in0 @ DS @ (faceu_set @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E))))) & (g_ @ (card0 @ DS) @ (numeral @ (bit1 @ (bit1 @ u_0)))) & (subset @ (insert @ F1 @ (insert @ F2 @ (insert @ F3 @ empty))) @ DS) & ((f1u_fan @ X @ V @ E @ F1) = F2) & ((f1u_fan @ X @ V @ E @ F2) = F3) & ~ (((f1u_fan @ X @ V @ E @ F3) = F1)) & ((pr2 @ F1) = V0) & ((pr2 @ F2) = U) & ((pr2 @ F3) = W) & (in1 @ (insert0 @ V0 @ (insert0 @ U @ empty0)) @ E) & (in1 @ (insert0 @ U @ (insert0 @ W @ empty0)) @ E) & ~ ((in1 @ (insert0 @ W @ (insert0 @ V0 @ empty0)) @ E)) & ((sigmau_fan @ X @ V @ E @ U @ W) = V0) & ((pr3 @ F1) = U) & ((pr3 @ F2) = W) & (DS1 = (face @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E1))) @ (c_1 @ X @ (c_2 @ V0 @ (c_3 @ W @ (sigmau_fan @ X @ V @ E1 @ V0 @ W)))))) & (DS2 = (face @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E1))) @ (c_1 @ X @ (c_2 @ W @ (c_3 @ V0 @ (sigmau_fan @ X @ V @ E1 @ W @ V0)))))) & ((c_1 @ X @ (c_2 @ W @ (c_3 @ V0 @ U))) = F10) & ((c_1 @ X @ (c_2 @ V0 @ (c_3 @ U @ W))) = F20) & ((c_1 @ X @ (c_2 @ U @ (c_3 @ W @ V0))) = F30) & ((union @ E @ (insert1 @ (insert0 @ V0 @ (insert0 @ W @ empty0)) @ empty1)) = E1) & ~ ((in2 @ Y @ DS)) & (in2 @ Y @ (du_fan @ (c_ @ X @ (c_0 @ V @ E))))) => ((tran @ X @ V @ E1 @ (f1u_fan @ X @ V @ E @ Y)) = (f1u_fan @ X @ V @ E1 @ (tran @ X @ V @ E1 @ Y))))).
thf(aConformingo_addu_edgeu_impu_cardu_setu_edgeu_ge1u_fan, axiom, ![V:cartrealn3,W:cartrealn3,X:cartrealn3,V0:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),E1:((cartrealn3 > $o) > $o)]:(((fan @ (c_ @ X @ (c_0 @ V0 @ E))) & ![V:cartrealn3]:((in @ V @ V0) => (g_ @ (card @ (setu_ofu_edge @ V @ V0 @ E)) @ (numeral @ (bit1 @ u_0)))) & (E1 = (union @ E @ (insert1 @ (insert0 @ V @ (insert0 @ W @ empty0)) @ empty1)))) => ![V:cartrealn3]:((in @ V @ V0) => (g_ @ (card @ (setu_ofu_edge @ V @ V0 @ E1)) @ (numeral @ (bit1 @ u_0)))))).
thf(aConformingo_f1u_fanu_poweru_inu_face, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),DS:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),Y:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,N:num]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & ![V0:cartrealn3]:((in @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0)))) & (in0 @ DS @ (faceu_set @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E))))) & (in2 @ Y @ (d1u_fan @ (c_ @ X @ (c_0 @ V @ E)))) & ~ ((in2 @ Y @ DS))) => ~ ((in2 @ (power @ (f1u_fan @ X @ V @ E) @ N @ Y) @ DS)))).
thf(aFano_POWERu_conjunct0, axiom, ![F:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aFano_dartsetu_fullyu_surroundedu_isu_nonu_isolatedu_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & ![V0:cartrealn3]:((in @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0))))) => ((du_fan @ (c_ @ X @ (c_0 @ V @ E))) = (d1u_fan @ (c_ @ X @ (c_0 @ V @ E)))))).
thf(aFano_hypermapu_ofu_fanu_rep, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),P:((cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (P = ^[T:(cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)]:(res @ (T @ X @ V @ E) @ (d1u_fan @ (c_ @ X @ (c_0 @ V @ E)))))) => (((dart @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E)))) = (du_fan @ (c_ @ X @ (c_0 @ V @ E)))) & ((edgeu_map @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E)))) = (P @ eu_fan)) & ((nodeu_map @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E)))) = (P @ nu_fan)) & ((faceu_map @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E)))) = (P @ f1u_fan))))).
thf(aFano_intou_domain1u_poweru_efnu_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),N:num]:((fan @ (c_ @ X @ (c_0 @ V @ E))) => (![Y:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:((in2 @ Y @ (d1u_fan @ (c_ @ X @ (c_0 @ V @ E)))) => (in2 @ (power @ (eu_fan @ X @ V @ E) @ N @ Y) @ (d1u_fan @ (c_ @ X @ (c_0 @ V @ E))))) & ![Y:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:((in2 @ Y @ (d1u_fan @ (c_ @ X @ (c_0 @ V @ E)))) => (in2 @ (power @ (nu_fan @ X @ V @ E) @ N @ Y) @ (d1u_fan @ (c_ @ X @ (c_0 @ V @ E))))) & ![Y:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:((in2 @ Y @ (d1u_fan @ (c_ @ X @ (c_0 @ V @ E)))) => (in2 @ (power @ (f1u_fan @ X @ V @ E) @ N @ Y) @ (d1u_fan @ (c_ @ X @ (c_0 @ V @ E)))))))).
thf(aHypermapo_COMu_POWER, axiom, ![N:num,F:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)]:((power @ F @ (suc @ N)) = (o @ F @ (power @ F @ N)))).
thf(aIu_DEF, axiom, (i0 = ^[X:a]:X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_DEFu_monomorphized1, axiom, ![F:(b > $o),G:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > b)]:((o0 @ F @ G) = ^[X:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:(F @ (G @ X)))).
thf(aou_DEFu_monomorphized0, axiom, ![F:(b > $o),G:((cartrealn3 > $o) > b)]:((o1 @ F @ G) = ^[X:(cartrealn3 > $o)]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),E1:((cartrealn3 > $o) > $o),DS:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),F1:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F2:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F3:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,V0:cartrealn3,U:cartrealn3,W:cartrealn3,DS1:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),DS2:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),F10:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F20:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,F30:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,Y:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,N:num]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & ![V0:cartrealn3]:((in @ V0 @ V) => (g_ @ (card @ (setu_ofu_edge @ V0 @ V @ E)) @ (numeral @ (bit1 @ u_0)))) & (fan80 @ (c_ @ X @ (c_0 @ V @ E))) & ~ ((conformingu_fan @ (c_ @ X @ (c_0 @ V @ E)))) & (in0 @ DS @ (faceu_set @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E))))) & (g_ @ (card0 @ DS) @ (numeral @ (bit1 @ (bit1 @ u_0)))) & (subset @ (insert @ F1 @ (insert @ F2 @ (insert @ F3 @ empty))) @ DS) & ((f1u_fan @ X @ V @ E @ F1) = F2) & ((f1u_fan @ X @ V @ E @ F2) = F3) & ~ (((f1u_fan @ X @ V @ E @ F3) = F1)) & ((pr2 @ F1) = V0) & ((pr2 @ F2) = U) & ((pr2 @ F3) = W) & (in1 @ (insert0 @ V0 @ (insert0 @ U @ empty0)) @ E) & (in1 @ (insert0 @ U @ (insert0 @ W @ empty0)) @ E) & ~ ((in1 @ (insert0 @ W @ (insert0 @ V0 @ empty0)) @ E)) & ((sigmau_fan @ X @ V @ E @ U @ W) = V0) & ((pr3 @ F1) = U) & ((pr3 @ F2) = W) & (DS1 = (face @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E1))) @ (c_1 @ X @ (c_2 @ V0 @ (c_3 @ W @ (sigmau_fan @ X @ V @ E1 @ V0 @ W)))))) & (DS2 = (face @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E1))) @ (c_1 @ X @ (c_2 @ W @ (c_3 @ V0 @ (sigmau_fan @ X @ V @ E1 @ W @ V0)))))) & ((c_1 @ X @ (c_2 @ W @ (c_3 @ V0 @ U))) = F10) & ((c_1 @ X @ (c_2 @ V0 @ (c_3 @ U @ W))) = F20) & ((c_1 @ X @ (c_2 @ U @ (c_3 @ W @ V0))) = F30) & ((union @ E @ (insert1 @ (insert0 @ V0 @ (insert0 @ W @ empty0)) @ empty1)) = E1) & ~ ((in2 @ Y @ DS)) & (in2 @ Y @ (du_fan @ (c_ @ X @ (c_0 @ V @ E))))) => ((tran @ X @ V @ E1 @ (power @ (f1u_fan @ X @ V @ E) @ N @ Y)) = (power @ (f1u_fan @ X @ V @ E1) @ N @ (tran @ X @ V @ E1 @ Y))))).
