%   ORIGINAL: Conforming.condition_f1_fan_power_in_face_set
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Fan.POWER_conjunct1: !f n. f POWER SUC n = (f POWER n) o f
% Assm: Hypermap.COM_POWER: !n f. f POWER SUC n = f o (f POWER n)
% Assm: I_DEF: I = (\x. x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Planarity.condition_f1_fan_in_face_set: !x V E y y1 ds. FAN (x,V,E) /\ y = f1_fan x V E y1 /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) /\ d_fan (x,V,E) = d1_fan (x,V,E) /\ y1 IN ds ==> y IN ds
% Assm: TRUTH: T
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !n x V E y y1 ds. FAN (x,V,E) /\ y = (f1_fan x V E POWER n) y1 /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) /\ d_fan (x,V,E) = d1_fan (x,V,E) /\ y1 IN ds ==> y IN ds
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !f. f POWER 0 = I
% Assm: !f n. f POWER SUC n = (f POWER n) o f
% Assm: !n f. f POWER SUC n = f o (f POWER n)
% Assm: I = (\x. x)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !x V E y y1 ds. FAN (x,V,E) /\ y = f1_fan x V E y1 /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) /\ d_fan (x,V,E) = d1_fan (x,V,E) /\ y1 IN ds ==> y IN ds
% Assm: T
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !n x V E y y1 ds. FAN (x,V,E) /\ y = (f1_fan x V E POWER n) y1 /\ ds IN face_set (hypermap1_of_fanx (x,V,E)) /\ d_fan (x,V,E) = d1_fan (x,V,E) /\ y1 IN ds ==> y IN ds
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(thypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3, type, hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3, type, prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodcartrealn3cartrealn3, type, prodcartrealn3prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(chypermap1uu_ofuu_fanx, type, hypermap1u_ofu_fanx : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(ci1, type, i1 : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cin0, type, in0 : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cd1uu_fan, type, d1u_fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cduu_fan, type, du_fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(cfaceuu_set, type, faceu_set : (hypermapprodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o)).
thf(cin, type, in : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o) > $o) > $o)).
thf(co0, type, o0 : ((b > $o) > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > b) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)).
thf(co, type, o : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3) > (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(ci, type, i : (prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(cf1uu_fan, type, f1u_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(cpower, type, power : ((prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3) > num > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci0, type, i0 : (a > a)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3),G:(a > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),G:(a > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)]:(^[X:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o),G:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)]:((F = G) <=> ![X:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:((F @ X) <=> (G @ X)))).
thf(aFano_POWERu_conjunct0, axiom, ![F:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aFano_POWERu_conjunct1, axiom, ![F:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3),N:num]:((power @ F @ (suc @ N)) = (o @ (power @ F @ N) @ F))).
thf(aHypermapo_COMu_POWER, axiom, ![N:num,F:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3)]:((power @ F @ (suc @ N)) = (o @ F @ (power @ F @ N)))).
thf(aIu_DEF, axiom, (i0 = ^[X:a]:X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)]:((i1 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPlanarityo_conditionu_f1u_fanu_inu_faceu_set, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),Y:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,Y1:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,DS:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (Y = (f1u_fan @ X @ V @ E @ Y1)) & (in @ DS @ (faceu_set @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E))))) & ((du_fan @ (c_ @ X @ (c_0 @ V @ E))) = (d1u_fan @ (c_ @ X @ (c_0 @ V @ E)))) & (in0 @ Y1 @ DS)) => (in0 @ Y @ DS))).
thf(aTRUTH, axiom, $true).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_DEF, axiom, ![F:(b > $o),G:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > b)]:((o0 @ F @ G) = ^[X:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![N:num,X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),Y:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,Y1:prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3,DS:(prodcartrealn3prodcartrealn3prodcartrealn3cartrealn3 > $o)]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (Y = (power @ (f1u_fan @ X @ V @ E) @ N @ Y1)) & (in @ DS @ (faceu_set @ (hypermap1u_ofu_fanx @ (c_ @ X @ (c_0 @ V @ E))))) & ((du_fan @ (c_ @ X @ (c_0 @ V @ E))) = (d1u_fan @ (c_ @ X @ (c_0 @ V @ E)))) & (in0 @ Y1 @ DS)) => (in0 @ Y @ DS))).
