%   ORIGINAL: Polyhedron.FCHANGED_SUBSET_YFAN
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: AFF_DIM_SING: !a. aff_dim {a} = &0
% Assm: ARITH_ADD_conjunct1: _0 + _0 = _0
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct3: !n. _0 + BIT1 n = BIT1 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_ADD_conjunct8: !m n. BIT1 m + BIT0 n = BIT1 (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct3: !n. _0 * BIT1 n = _0
% Assm: ARITH_MULT_conjunct5: !n. BIT1 n * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: Conforming.XFAN_EQ_UNIONS_AFF_GE_1_2: !x V E. xfan (x,V,E) = UNIONS {y | ?e. e IN E /\ y = aff_ge {x} e}
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: DIFF: !s t. s DIFF t = {x | x IN s /\ ~(x IN t)}
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: EXTREME_POINT_NOT_IN_RELATIVE_INTERIOR: !s x. x extreme_point_of s /\ ~(s = {x}) ==> ~(x IN relative_interior s)
% Assm: EXTREME_POINT_OF_FACE: !f s v. f face_of s ==> (v extreme_point_of f <=> v extreme_point_of s /\ v IN f)
% Assm: FACE_OF_EQ: !s t u. t face_of s /\ u face_of s /\ ~DISJOINT (relative_interior t) (relative_interior u) ==> t = u
% Assm: Fan.AFF_GE_1_2: !x v w. DISJOINT {x} {v, w} ==> aff_ge {x} {v, w} = {y | ?t1 t2 t3. &0 <= t2 /\ &0 <= t3 /\ t1 + t2 + t3 = &1 /\ y = t1 % x + t2 % v + t3 % w}
% Assm: Fan.remark1_fan: !x V E u v. FAN (x,V,E) ==> FINITE (set_of_edge v V E) /\ ({v, u} IN E <=> u IN set_of_edge v V E) /\ ({v, u} IN E ==> ~collinear {x, v, u} /\ ~(x = v) /\ ~(x = u) /\ ~(v = u) /\ DISJOINT {x, v} {u} /\ DISJOINT {x, u} {v} /\ DISJOINT {x} {v, u} /\ ~(u IN aff {x, v}) /\ v IN V /\ (~collinear {x, v, u} <=> ~(u IN aff {x, v})))
% Assm: Fan_defs.yfan: !x V E. yfan (x,V,E) = (:real^3) DIFF xfan (x,V,E)
% Assm: Float.REAL_INV_POS: !x. &0 < x ==> &0 < inv x
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: IN_UNIONS: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: I_THM: !x. I x = x
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: LE_0: !n. 0 <= n
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: POLYHEDRON_COLLINEAR_FACES: !P f f' p q s t. polyhedron P /\ vec 0 IN interior P /\ f face_of P /\ ~(f = P) /\ f' face_of P /\ ~(f' = P) /\ p IN f /\ q IN f' /\ s > &0 /\ t > &0 /\ s % p = t % q ==> s = t
% Assm: Polyhedron.AFF_DIM_INTERIOR_EQ_3: !x p. x IN interior p ==> aff_dim p = &3
% Assm: Polyhedron.INTERIOR_AFFINIE_HUL_EQ_UNIV: !x p. x IN interior p ==> affine hull p = (:real^3)
% Assm: Polyhedron.POLYHEDRON_FAN: !p z. bounded p /\ polyhedron p /\ z IN interior p ==> FAN (z,vertices p,edges p)
% Assm: Polyhedron.fchanged: !f. fchanged f = {v | ?v1 t. v = t % v1 /\ v1 IN relative_interior f /\ t > &0}
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: RELATIVE_FRONTIER_OF_POLYHEDRON: !s. polyhedron s ==> s DIFF relative_interior s = UNIONS {f | f facet_of s}
% Assm: RELATIVE_INTERIOR_INTERIOR: !s. affine hull s = (:real^N) ==> relative_interior s = interior s
% Assm: RELATIVE_INTERIOR_SEGMENT_conjunct0: !a b. relative_interior (segment [a,b]) = (if a = b then {a} else segment (a,b))
% Assm: RELATIVE_INTERIOR_SUBSET: !s. relative_interior s SUBSET s
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SEGMENT_CLOSED_OPEN: !a b. segment [a,b] = segment (a,b) UNION {a, b}
% Assm: SEGMENT_FACE_OF: !s a b. segment [a,b] face_of s ==> a extreme_point_of s /\ b extreme_point_of s
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: UNIONS: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Assm: VECTOR_MUL_EQ_0: !a x. a % x = vec 0 <=> a = &0 \/ x = vec 0
% Assm: edge_of: !s e. e edge_of s <=> e face_of s /\ aff_dim e = &1
% Assm: edges: !s. edges s = {{v, w} | segment [v,w] edge_of s}
% Assm: facet_of: !f s. f facet_of s <=> f face_of s /\ ~(f = {}) /\ aff_dim f = aff_dim s - &1
% Assm: int_eq: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: int_sub_th: !x y. real_of_int (x - y) = real_of_int x - real_of_int y
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: segment_conjunct0: segment [a,b] = {(&1 - u) % a + u % b | &0 <= u /\ u <= &1}
% Assm: vec: !n. vec n = (lambda i. &n)
% Assm: vector_add: !x y. x + y = (lambda i. x$i + y$i)
% Assm: vector_mul: !c x. c % x = (lambda i. c * x$i)
% Goal: !x p. bounded p /\ polyhedron p /\ vec 0 IN interior p /\ x IN UNIONS {fchanged f | f facet_of p} ==> x IN yfan (vec 0,vertices p,edges p)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !a. aff_dim {a} = &0
% Assm: _0 + _0 = _0
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. _0 + BIT1 n = BIT1 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. BIT1 m + BIT0 n = BIT1 (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !n. _0 * BIT1 n = _0
% Assm: !n. BIT1 n * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x V E. xfan (x,V,E) = UNIONS {y | ?e. e IN E /\ y = aff_ge {x} e}
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !s t. s DIFF t = {x | x IN s /\ ~(x IN t)}
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s x. x extreme_point_of s /\ ~(s = {x}) ==> ~(x IN relative_interior s)
% Assm: !f s v. f face_of s ==> (v extreme_point_of f <=> v extreme_point_of s /\ v IN f)
% Assm: !s t u. t face_of s /\ u face_of s /\ ~DISJOINT (relative_interior t) (relative_interior u) ==> t = u
% Assm: !x v w. DISJOINT {x} {v, w} ==> aff_ge {x} {v, w} = {y | ?t1 t2 t3. &0 <= t2 /\ &0 <= t3 /\ t1 + t2 + t3 = &1 /\ y = t1 % x + t2 % v + t3 % w}
% Assm: !x V E u v. FAN (x,V,E) ==> FINITE (set_of_edge v V E) /\ ({v, u} IN E <=> u IN set_of_edge v V E) /\ ({v, u} IN E ==> ~collinear {x, v, u} /\ ~(x = v) /\ ~(x = u) /\ ~(v = u) /\ DISJOINT {x, v} {u} /\ DISJOINT {x, u} {v} /\ DISJOINT {x} {v, u} /\ ~(u IN aff {x, v}) /\ v IN V /\ (~collinear {x, v, u} <=> ~(u IN aff {x, v})))
% Assm: !x V E. yfan (x,V,E) = (:real^3) DIFF xfan (x,V,E)
% Assm: !x. &0 < x ==> &0 < inv x
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !s x. x IN UNIONS s <=> (?t. t IN s /\ x IN t)
% Assm: !x. x IN (:real^3)
% Assm: !x. I x = x
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: !n. 0 <= n
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !P f f' p q s t. polyhedron P /\ vec 0 IN interior P /\ f face_of P /\ ~(f = P) /\ f' face_of P /\ ~(f' = P) /\ p IN f /\ q IN f' /\ s > &0 /\ t > &0 /\ s % p = t % q ==> s = t
% Assm: !x p. x IN interior p ==> aff_dim p = &3
% Assm: !x p. x IN interior p ==> affine hull p = (:real^3)
% Assm: !p z. bounded p /\ polyhedron p /\ z IN interior p ==> FAN (z,vertices p,edges p)
% Assm: !f. fchanged f = {v | ?v1 t. v = t % v1 /\ v1 IN relative_interior f /\ t > &0}
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !s. polyhedron s ==> s DIFF relative_interior s = UNIONS {f | f facet_of s}
% Assm: !s. affine hull s = (:real^3) ==> relative_interior s = interior s
% Assm: !a b. relative_interior (segment [a,b]) = (if a = b then {a} else segment (a,b))
% Assm: !s. relative_interior s SUBSET s
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !a b. segment [a,b] = segment (a,b) UNION {a, b}
% Assm: !s a b. segment [a,b] face_of s ==> a extreme_point_of s /\ b extreme_point_of s
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: 2 = SUC 1
% Assm: !s. UNIONS s = {x | ?u. u IN s /\ x IN u}
% Assm: !a x. a % x = vec 0 <=> a = &0 \/ x = vec 0
% Assm: !s e. e edge_of s <=> e face_of s /\ aff_dim e = &1
% Assm: !s. edges s = {{v, w} | segment [v,w] edge_of s}
% Assm: !f s. f facet_of s <=> f face_of s /\ ~(f = {}) /\ aff_dim f = aff_dim s - &1
% Assm: !x y. x = y <=> real_of_int x = real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Assm: !x y. real_of_int (x - y) = real_of_int x - real_of_int y
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !a b. segment [a,b] = {(&1 - u) % a + u % b | &0 <= u /\ u <= &1}
% Assm: !n. vec n = (lambda i. &n)
% Assm: !x y. x + y = (lambda i. x$i + y$i)
% Assm: !c x. c % x = (lambda i. c * x$i)
% Goal: !x p. bounded p /\ polyhedron p /\ vec 0 IN interior p /\ x IN UNIONS {fchanged f | f facet_of p} ==> x IN yfan (vec 0,vertices p,edges p)
%  TYPES
thf(tprodcartrealq214342cartrealq214342, type, prodcartrealq214342cartrealq214342 : $tType).
thf(tq214802, type, q214802 : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(tq291124, type, q291124 : $tType).
thf(ta, type, a : $tType).
thf(tq359251, type, q359251 : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tcartrealq214342, type, cartrealq214342 : $tType).
thf(tcartrealq214802, type, cartrealq214802 : $tType).
thf(tcartrealq291124, type, cartrealq291124 : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq359251, type, cartrealq359251 : $tType).
thf(tq214342, type, q214342 : $tType).
thf(tprodcartrealq214802cartrealq214802, type, prodcartrealq214802cartrealq214802 : $tType).
thf(tcartrealq1167768, type, cartrealq1167768 : $tType).
thf(tint, type, int : $tType).
thf(tn3, type, n3 : $tType).
thf(tcartab, type, cartab : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tq1167768, type, q1167768 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealq214342cartrealq214342, type, listprodcartrealq214342cartrealq214342 : $tType).
thf(tlistprodcartrealn3cartrealn3, type, listprodcartrealn3cartrealn3 : $tType).
thf(tlistprodcartrealq214802cartrealq214802, type, listprodcartrealq214802cartrealq214802 : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(cempty1, type, empty1 : (a > $o)).
thf(caffuu_dim1, type, affu_dim1 : ((cartrealq359251 > $o) > int)).
thf(caffuu_dim0, type, affu_dim0 : ((cartrealn3 > $o) > int)).
thf(caffuu_dim, type, affu_dim : ((cartrealn > $o) > int)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(cdu_, type, d_ : (cartab > num > a)).
thf(clambda0, type, lambda0 : ((num > a) > cartab)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cnil2, type, nil2 : listprodcartrealq214342cartrealq214342).
thf(cnil1, type, nil1 : listprodcartrealn3cartrealn3).
thf(cnil0, type, nil0 : listprodcartrealq214802cartrealq214802).
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(clambda2, type, lambda2 : ((num > real) > cartrealn)).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cdu_0, type, d_0 : (cartrealn > num > real)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn3)).
thf(cgspec2, type, gspec2 : ((cartrealq214342 > $o) > cartrealq214342 > $o)).
thf(ccloseduu_segment2, type, closedu_segment2 : (listprodcartrealq214342cartrealq214342 > cartrealq214342 > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cintuu_sub, type, intu_sub : (int > int > int)).
thf(ccloseduu_segment1, type, closedu_segment1 : (listprodcartrealn3cartrealn3 > cartrealn3 > $o)).
thf(cedgeuu_of0, type, edgeu_of0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cfaceuu_of1, type, faceu_of1 : ((cartrealq359251 > $o) > (cartrealq359251 > $o) > $o)).
thf(cedgeuu_of, type, edgeu_of : ((cartrealq359251 > $o) > (cartrealq359251 > $o) > $o)).
thf(csubset0, type, subset0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cextremeuu_pointuu_of0, type, extremeu_pointu_of0 : (cartrealn > (cartrealn > $o) > $o)).
thf(copenuu_segment0, type, openu_segment0 : (prodcartrealq214802cartrealq214802 > cartrealq214802 > $o)).
thf(ccloseduu_segment0, type, closedu_segment0 : (listprodcartrealq214802cartrealq214802 > cartrealq214802 > $o)).
thf(crelativeuu_interior1, type, relativeu_interior1 : ((cartrealq291124 > $o) > cartrealq291124 > $o)).
thf(csubset, type, subset : ((cartrealq291124 > $o) > (cartrealq291124 > $o) > $o)).
thf(copenuu_segment, type, openu_segment : (prodcartrealncartrealn > cartrealn > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(cgspec1, type, gspec1 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(caff, type, aff : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdisjoint2, type, disjoint2 : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec0, type, gspec0 : ((cartrealq1167768 > $o) > cartrealq1167768 > $o)).
thf(cdisjoint1, type, disjoint1 : ((cartrealq1167768 > $o) > (cartrealq1167768 > $o) > $o)).
thf(crelativeuu_interior0, type, relativeu_interior0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cdisjoint0, type, disjoint0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cfaceuu_of0, type, faceu_of0 : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cdisjoint, type, disjoint : ((a > $o) > (a > $o) > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(cin0, type, in0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cxfan, type, xfan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > cartrealn3 > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cedges, type, edges : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cvertices, type, vertices : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cyfan, type, yfan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > cartrealn3 > $o)).
thf(cfchanged, type, fchanged : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cfacetuu_of, type, facetu_of : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cunions, type, unions : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(cinterior, type, interior : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cru_2, type, r_2 : (real > cartrealn > cartrealn)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealn > cartrealn > cartrealn)).
thf(cru_1, type, r_1 : (real > cartrealq214342 > cartrealq214342)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealq214342 > cartrealq214342 > cartrealq214342)).
thf(csetspec2, type, setspec2 : (cartrealq214342 > $o > cartrealq214342 > $o)).
thf(ccu_4, type, c_4 : (cartrealq214342 > cartrealq214342 > prodcartrealq214342cartrealq214342)).
thf(ccons2, type, cons2 : (prodcartrealq214342cartrealq214342 > listprodcartrealq214342cartrealq214342 > listprodcartrealq214342cartrealq214342)).
thf(ccu_3, type, c_3 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(ccons1, type, cons1 : (prodcartrealn3cartrealn3 > listprodcartrealn3cartrealn3 > listprodcartrealn3cartrealn3)).
thf(cinsert2, type, insert2 : (cartrealq214802 > (cartrealq214802 > $o) > cartrealq214802 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cunion0, type, union0 : ((cartrealq214802 > $o) > (cartrealq214802 > $o) > cartrealq214802 > $o)).
thf(ccu_2, type, c_2 : (cartrealq214802 > cartrealq214802 > prodcartrealq214802cartrealq214802)).
thf(ccons0, type, cons0 : (prodcartrealq214802cartrealq214802 > listprodcartrealq214802cartrealq214802 > listprodcartrealq214802cartrealq214802)).
thf(ccond0, type, cond0 : ($o > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_1, type, c_1 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cru_0, type, r_0 : (real > cartrealn3 > cartrealn3)).
thf(cunion, type, union : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinter0, type, inter0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec1, type, setspec1 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cdiff0, type, diff0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(cru_, type, r_ : (real > cartrealq1167768 > cartrealq1167768)).
thf(cvectoruu_add, type, vectoru_add : (cartrealq1167768 > cartrealq1167768 > cartrealq1167768)).
thf(csetspec0, type, setspec0 : (cartrealq1167768 > $o > cartrealq1167768 > $o)).
thf(caffuu_ge0, type, affu_ge0 : ((cartrealq1167768 > $o) > (cartrealq1167768 > $o) > cartrealq1167768 > $o)).
thf(cinsert1, type, insert1 : (cartrealq1167768 > (cartrealq1167768 > $o) > cartrealq1167768 > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : (((cartrealn3 > $o) > $o) > ((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cinsert0, type, insert0 : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuniv, type, univ : (b > $o)).
thf(cempty3, type, empty3 : (cartrealq214802 > $o)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cuniv0, type, univ0 : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn3 > $o) > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cempty2, type, empty2 : (cartrealq1167768 > $o)).
thf(cempty0, type, empty0 : (cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn3 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aAFFu_DIMu_SING, axiom, ![A:cartrealn]:((affu_dim @ (insert @ A @ empty)) = (intu_ofu_num @ (numeral @ u_0)))).
thf(aARITHu_ADDu_conjunct1, axiom, ((p_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct3, axiom, ![N:num]:((p_ @ u_0 @ (bit1 @ N)) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct8, axiom, ![M:num,N:num]:((p_ @ (bit1 @ M) @ (bit0 @ N)) = (bit1 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct3, axiom, ![N:num]:((t_ @ u_0 @ (bit1 @ N)) = u_0)).
thf(aARITHu_MULTu_conjunct5, axiom, ![N:num]:((t_ @ (bit1 @ N) @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARTu_EQ, axiom, ![X:cartab,Y:cartab]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aConformingo_XFANu_EQu_UNIONSu_AFFu_GEu_1u_2, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((xfan @ (c_ @ X @ (c_0 @ V @ E))) = (unions @ (gspec @ ^[GENR_PVARR_497:(cartrealn3 > $o)]:?[Y:(cartrealn3 > $o)]:(setspec @ GENR_PVARR_497 @ ?[E0:(cartrealn3 > $o)]:((in0 @ E0 @ E) & (Y = (affu_ge @ (insert0 @ X @ empty0) @ E0))) @ Y))))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDIFF, axiom, ![S:((cartrealn3 > $o) > $o),T:((cartrealn3 > $o) > $o)]:((diff @ S @ T) = (gspec @ ^[GENR_PVARR_4:(cartrealn3 > $o)]:?[X:(cartrealn3 > $o)]:(setspec @ GENR_PVARR_4 @ ((in0 @ X @ S) & ~ ((in0 @ X @ T))) @ X)))).
thf(aDISJOINT, axiom, ![S:(a > $o),T:(a > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty1))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aEXTREMEu_POINTu_NOTu_INu_RELATIVEu_INTERIOR, axiom, ![S:(cartrealn3 > $o),X:cartrealn3]:(((extremeu_pointu_of @ X @ S) & ~ ((S = (insert0 @ X @ empty0)))) => ~ ((in @ X @ (relativeu_interior @ S))))).
thf(aEXTREMEu_POINTu_OFu_FACE, axiom, ![F:(cartrealn3 > $o),S:(cartrealn3 > $o),V:cartrealn3]:((faceu_of @ F @ S) => ((extremeu_pointu_of @ V @ F) <=> ((extremeu_pointu_of @ V @ S) & (in @ V @ F))))).
thf(aFACEu_OFu_EQ, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),U:(cartrealn > $o)]:(((faceu_of0 @ T @ S) & (faceu_of0 @ U @ S) & ~ ((disjoint0 @ (relativeu_interior0 @ T) @ (relativeu_interior0 @ U)))) => (T = U))).
thf(aFano_AFFu_GEu_1u_2, axiom, ![X:cartrealq1167768,V:cartrealq1167768,W:cartrealq1167768]:((disjoint1 @ (insert1 @ X @ empty2) @ (insert1 @ V @ (insert1 @ W @ empty2))) => ((affu_ge0 @ (insert1 @ X @ empty2) @ (insert1 @ V @ (insert1 @ W @ empty2))) = (gspec0 @ ^[GENR_PVARR_307:cartrealq1167768]:?[Y:cartrealq1167768]:(setspec0 @ GENR_PVARR_307 @ ?[T1:real,T2:real,T3:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T2) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T3) & ((realu_add @ T1 @ (realu_add @ T2 @ T3)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (Y = (vectoru_add @ (r_ @ T1 @ X) @ (vectoru_add @ (r_ @ T2 @ V) @ (r_ @ T3 @ W))))) @ Y))))).
thf(aFano_remark1u_fan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),U:cartrealn3,V0:cartrealn3]:((fan @ (c_ @ X @ (c_0 @ V @ E))) => ((finite @ (setu_ofu_edge @ V0 @ V @ E)) & ((in0 @ (insert0 @ V0 @ (insert0 @ U @ empty0)) @ E) <=> (in @ U @ (setu_ofu_edge @ V0 @ V @ E))) & ((in0 @ (insert0 @ V0 @ (insert0 @ U @ empty0)) @ E) => (~ ((collinear @ (insert0 @ X @ (insert0 @ V0 @ (insert0 @ U @ empty0))))) & ~ ((X = V0)) & ~ ((X = U)) & ~ ((V0 = U)) & (disjoint2 @ (insert0 @ X @ (insert0 @ V0 @ empty0)) @ (insert0 @ U @ empty0)) & (disjoint2 @ (insert0 @ X @ (insert0 @ U @ empty0)) @ (insert0 @ V0 @ empty0)) & (disjoint2 @ (insert0 @ X @ empty0) @ (insert0 @ V0 @ (insert0 @ U @ empty0))) & ~ ((in @ U @ (aff @ (insert0 @ X @ (insert0 @ V0 @ empty0))))) & (in @ V0 @ V) & (~ ((collinear @ (insert0 @ X @ (insert0 @ V0 @ (insert0 @ U @ empty0))))) <=> ~ ((in @ U @ (aff @ (insert0 @ X @ (insert0 @ V0 @ empty0))))))))))).
thf(aFanu_defso_yfan, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((yfan @ (c_ @ X @ (c_0 @ V @ E))) = (diff0 @ univ0 @ (xfan @ (c_ @ X @ (c_0 @ V @ E)))))).
thf(aFloato_REALu_INVu_POS, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (diff0 @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn3 > $o) > $o),X:cartrealn3]:((in @ X @ (gspec1 @ ^[V:cartrealn3]:(P @ (setspec1 @ V)))) <=> (P @ ^[P0:$o,T:cartrealn3]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (gspec1 @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec1 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (inter0 @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aINu_UNIONS, axiom, ![S:((cartrealn3 > $o) > $o),X:cartrealn3]:((in @ X @ (unions @ S)) <=> ?[T:(cartrealn3 > $o)]:((in0 @ T @ S) & (in @ X @ T)))).
thf(aINu_UNIV, axiom, ![X:cartrealn3]:(in @ X @ univ0)).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aLAMBDAu_BETA, axiom, ![G:(num > a),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty0))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aPOLYHEDRONu_COLLINEARu_FACES, axiom, ![P:(cartrealn3 > $o),F:(cartrealn3 > $o),FI_:(cartrealn3 > $o),P0:cartrealn3,Q:cartrealn3,S:real,T:real]:(((polyhedron @ P) & (in @ (vec @ (numeral @ u_0)) @ (interior @ P)) & (faceu_of @ F @ P) & ~ ((F = P)) & (faceu_of @ FI_ @ P) & ~ ((FI_ = P)) & (in @ P0 @ F) & (in @ Q @ FI_) & (realu_gt @ S @ (realu_ofu_num @ (numeral @ u_0))) & (realu_gt @ T @ (realu_ofu_num @ (numeral @ u_0))) & ((r_0 @ S @ P0) = (r_0 @ T @ Q))) => (S = T))).
thf(aPolyhedrono_AFFu_DIMu_INTERIORu_EQu_3, axiom, ![X:cartrealn3,P:(cartrealn3 > $o)]:((in @ X @ (interior @ P)) => ((affu_dim0 @ P) = (intu_ofu_num @ (numeral @ (bit1 @ (bit1 @ u_0))))))).
thf(aPolyhedrono_INTERIORu_AFFINIEu_HULu_EQu_UNIV, axiom, ![X:cartrealn3,P:(cartrealn3 > $o)]:((in @ X @ (interior @ P)) => ((hull @ affine @ P) = univ0))).
thf(aPolyhedrono_POLYHEDRONu_FAN, axiom, ![P:(cartrealn3 > $o),Z:cartrealn3]:(((bounded @ P) & (polyhedron @ P) & (in @ Z @ (interior @ P))) => (fan @ (c_ @ Z @ (c_0 @ (vertices @ P) @ (edges @ P)))))).
thf(aPolyhedrono_fchanged, axiom, ![F:(cartrealn3 > $o)]:((fchanged @ F) = (gspec1 @ ^[GENR_PVARR_597:cartrealn3]:?[V:cartrealn3]:(setspec1 @ GENR_PVARR_597 @ ?[V1:cartrealn3,T:real]:((V = (r_0 @ T @ V1)) & (in @ V1 @ (relativeu_interior @ F)) & (realu_gt @ T @ (realu_ofu_num @ (numeral @ u_0)))) @ V)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRELATIVEu_FRONTIERu_OFu_POLYHEDRON, axiom, ![S:(cartrealn3 > $o)]:((polyhedron @ S) => ((diff0 @ S @ (relativeu_interior @ S)) = (unions @ (gspec @ ^[GENR_PVARR_1337:(cartrealn3 > $o)]:?[F:(cartrealn3 > $o)]:(setspec @ GENR_PVARR_1337 @ (facetu_of @ F @ S) @ F)))))).
thf(aRELATIVEu_INTERIORu_INTERIOR, axiom, ![S:(cartrealn3 > $o)]:(((hull @ affine @ S) = univ0) => ((relativeu_interior @ S) = (interior @ S)))).
thf(aRELATIVEu_INTERIORu_SEGMENTu_conjunct0, axiom, ![A:cartrealn,B:cartrealn]:((relativeu_interior0 @ (closedu_segment @ (cons @ (c_1 @ A @ B) @ nil))) = (cond0 @ (A = B) @ (insert @ A @ empty) @ (openu_segment @ (c_1 @ A @ B))))).
thf(aRELATIVEu_INTERIORu_SUBSET, axiom, ![S:(cartrealq291124 > $o)]:(subset @ (relativeu_interior1 @ S) @ S)).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSEGMENTu_CLOSEDu_OPEN, axiom, ![A:cartrealq214802,B:cartrealq214802]:((closedu_segment0 @ (cons0 @ (c_2 @ A @ B) @ nil0)) = (union0 @ (openu_segment0 @ (c_2 @ A @ B)) @ (insert2 @ A @ (insert2 @ B @ empty3))))).
thf(aSEGMENTu_FACEu_OF, axiom, ![S:(cartrealn > $o),A:cartrealn,B:cartrealn]:((faceu_of0 @ (closedu_segment @ (cons @ (c_1 @ A @ B) @ nil)) @ S) => ((extremeu_pointu_of0 @ A @ S) & (extremeu_pointu_of0 @ B @ S)))).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset0 @ S @ T) <=> ![X:cartrealn3]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aUNIONS, axiom, ![S:((cartrealn3 > $o) > $o)]:((unions @ S) = (gspec1 @ ^[GENR_PVARR_1:cartrealn3]:?[X:cartrealn3]:(setspec1 @ GENR_PVARR_1 @ ?[U:(cartrealn3 > $o)]:((in0 @ U @ S) & (in @ X @ U)) @ X)))).
thf(aVECTORu_MULu_EQu_0, axiom, ![A:real,X:cartrealn3]:(((r_0 @ A @ X) = (vec @ (numeral @ u_0))) <=> ((A = (realu_ofu_num @ (numeral @ u_0))) | (X = (vec @ (numeral @ u_0)))))).
thf(aedgeu_of, axiom, ![S:(cartrealq359251 > $o),E:(cartrealq359251 > $o)]:((edgeu_of @ E @ S) <=> ((faceu_of1 @ E @ S) & ((affu_dim1 @ E) = (intu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aedges, axiom, ![S:(cartrealn3 > $o)]:((edges @ S) = (gspec @ ^[GENR_PVARR_2657:(cartrealn3 > $o)]:?[V:cartrealn3,W:cartrealn3]:(setspec @ GENR_PVARR_2657 @ (edgeu_of0 @ (closedu_segment1 @ (cons1 @ (c_3 @ V @ W) @ nil1)) @ S) @ (insert0 @ V @ (insert0 @ W @ empty0)))))).
thf(afacetu_of, axiom, ![F:(cartrealn3 > $o),S:(cartrealn3 > $o)]:((facetu_of @ F @ S) <=> ((faceu_of @ F @ S) & ~ ((F = empty0)) & ((affu_dim0 @ F) = (intu_sub @ (affu_dim0 @ S) @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))))))).
thf(aintu_eq, axiom, ![X:int,Y:int]:((X = Y) <=> ((realu_ofu_int @ X) = (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(aintu_subu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_sub @ X @ Y)) = (realu_sub @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(asegmentu_conjunct0, axiom, ![A:cartrealq214342,B:cartrealq214342]:((closedu_segment2 @ (cons2 @ (c_4 @ A @ B) @ nil2)) = (gspec2 @ ^[GENR_PVARR_661:cartrealq214342]:?[U:real]:(setspec2 @ GENR_PVARR_661 @ ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ U) & (realu_le @ U @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) @ (vectoru_add0 @ (r_1 @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ U) @ A) @ (r_1 @ U @ B)))))).
thf(avec, axiom, ![N:num]:((vec @ N) = (lambda1 @ ^[I:num]:(realu_ofu_num @ N)))).
thf(avectoru_add, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_add1 @ X @ Y) = (lambda2 @ ^[I:num]:(realu_add @ (d_0 @ X @ I) @ (d_0 @ Y @ I))))).
thf(avectoru_mul, axiom, ![C:real,X:cartrealn]:((r_2 @ C @ X) = (lambda2 @ ^[I:num]:(realu_mul @ C @ (d_0 @ X @ I))))).
thf(conjecture, conjecture, ![X:cartrealn3,P:(cartrealn3 > $o)]:(((bounded @ P) & (polyhedron @ P) & (in @ (vec @ (numeral @ u_0)) @ (interior @ P)) & (in @ X @ (unions @ (gspec @ ^[GENR_PVARR_634:(cartrealn3 > $o)]:?[F:(cartrealn3 > $o)]:(setspec @ GENR_PVARR_634 @ (facetu_of @ F @ P) @ (fchanged @ F)))))) => (in @ X @ (yfan @ (c_ @ (vec @ (numeral @ u_0)) @ (c_0 @ (vertices @ P) @ (edges @ P))))))).
