%   ORIGINAL: Pack1.convex_voronoi
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_INTERS: (!s. s IN f ==> convex s) ==> convex (INTERS f)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Pack1.convex_nua_kg: !v y. convex (nua_kg v y)
% Assm: Pack1.voronoi_version2: !v S. voronoi_open S v = INTERS {nua_kg x y | y IN S DELETE v /\ x = v}
% Assm: TRUTH: T
% Goal: !v S. convex (voronoi_open S v)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f. (!s. s IN f ==> convex s) ==> convex (INTERS f)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: ~F <=> T
% Assm: !v y. convex (nua_kg v y)
% Assm: !v S. voronoi_open S v = INTERS {nua_kg x y | y IN S DELETE v /\ x = v}
% Assm: T
% Goal: !v S. convex (voronoi_open S v)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq43820, type, q43820 : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin1, type, in1 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec0, type, gspec0 : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : ((q43820 > $o) > q43820 > $o)).
thf(cin0, type, in0 : (q43820 > (q43820 > $o) > $o)).
thf(cinters, type, inters : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cdelete, type, delete : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cnuauu_kg, type, nuau_kg : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(csetspec, type, setspec : (q43820 > $o > q43820 > $o)).
thf(cvoronoiuu_open, type, voronoiu_open : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_INTERS, axiom, ![F:((cartrealn3 > $o) > $o)]:(![S:(cartrealn3 > $o)]:((in @ S @ F) => (convex @ S)) => (convex @ (inters @ F)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > b),G:(a > b)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > q43820 > $o) > $o),X:q43820]:((in0 @ X @ (gspec @ ^[V:q43820]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:q43820]:(P0 & (X = T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPack1o_convexu_nuau_kg, axiom, ![V:cartrealn3,Y:cartrealn3]:(convex @ (nuau_kg @ V @ Y))).
thf(aPack1o_voronoiu_version2, axiom, ![V:cartrealn3,S:(cartrealn3 > $o)]:((voronoiu_open @ S @ V) = (inters @ (gspec0 @ ^[GENR_PVARR_766:(cartrealn3 > $o)]:?[X:cartrealn3,Y:cartrealn3]:(setspec0 @ GENR_PVARR_766 @ ((in1 @ Y @ (delete @ S @ V)) & (X = V)) @ (nuau_kg @ X @ Y)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:cartrealn3,S:(cartrealn3 > $o)]:(convex @ (voronoiu_open @ S @ V))).
