%   ORIGINAL: Pack2.VORONOI_CLOSED_ALT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Pack2.VORONOI_CLOSED: !s v. voronoi_closed s v = {x | !w. w IN s ==> dist (x,v) <= dist (x,w)}
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: TRUTH: T
% Goal: !s v. voronoi_closed s v = {x | !w. w IN s /\ ~(w = v) ==> dist (x,v) <= dist (x,w)}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !s v. voronoi_closed s v = {x | !w. w IN s ==> dist (x,v) <= dist (x,w)}
% Assm: !x. x <= x
% Assm: T
% Goal: !s v. voronoi_closed s v = {x | !w. w IN s /\ ~(w = v) ==> dist (x,v) <= dist (x,w)}
%  TYPES
thf(tprodcartrealq1560099cartrealq1560099, type, prodcartrealq1560099cartrealq1560099 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq1560099, type, cartrealq1560099 : $tType).
thf(treal, type, real : $tType).
thf(tq1560099, type, q1560099 : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealq1560099cartrealq1560099 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealq1560099 > (cartrealq1560099 > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealq1560099 > $o) > cartrealq1560099 > $o)).
thf(ccu_, type, c_ : (cartrealq1560099 > cartrealq1560099 > prodcartrealq1560099cartrealq1560099)).
thf(csetspec, type, setspec : (cartrealq1560099 > $o > cartrealq1560099 > $o)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealq1560099 > $o) > cartrealq1560099 > cartrealq1560099 > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealq1560099 > $o),G:(a > cartrealq1560099 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealq1560099),G:(a > cartrealq1560099)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq1560099 > $o)]:(^[X:cartrealq1560099]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq1560099 > $o),T:(cartrealq1560099 > $o)]:((S = T) <=> ![X:cartrealq1560099]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealq1560099 > $o),X:cartrealq1560099]:((in @ X @ (gspec @ ^[V:cartrealq1560099]:?[Y:cartrealq1560099]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPack2o_VORONOIu_CLOSED, axiom, ![S:(cartrealq1560099 > $o),V:cartrealq1560099]:((voronoiu_closed @ S @ V) = (gspec @ ^[GENR_PVARR_809:cartrealq1560099]:?[X:cartrealq1560099]:(setspec @ GENR_PVARR_809 @ ![W:cartrealq1560099]:((in @ W @ S) => (realu_le @ (distance @ (c_ @ X @ V)) @ (distance @ (c_ @ X @ W)))) @ X)))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq1560099 > $o),V:cartrealq1560099]:((voronoiu_closed @ S @ V) = (gspec @ ^[GENR_PVARR_812:cartrealq1560099]:?[X:cartrealq1560099]:(setspec @ GENR_PVARR_812 @ ![W:cartrealq1560099]:(((in @ W @ S) & ~ ((W = V))) => (realu_le @ (distance @ (c_ @ X @ V)) @ (distance @ (c_ @ X @ W)))) @ X)))).
