%   ORIGINAL: Pack2.VORONOI_CLOSED_AS_INTERSECTION
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: INTERS_IMAGE: !f s. INTERS (IMAGE f s) = {y | !x. x IN s ==> y IN f x}
% Assm: IN_DELETE: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: Pack2.VORONOI_CLOSED_ALT: !s v. voronoi_closed s v = {x | !w. w IN s /\ ~(w = v) ==> dist (x,v) <= dist (x,w)}
% Assm: Sphere.bis_le: !u v. bis_le u v = {x | dist (x,u) <= dist (x,v)}
% Assm: TRUTH: T
% Goal: !s v. voronoi_closed s v = INTERS (IMAGE (bis_le v) (s DELETE v))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !f s. INTERS (IMAGE f s) = {y | !x. x IN s ==> y IN f x}
% Assm: !s x y. x IN s DELETE y <=> x IN s /\ ~(x = y)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s v. voronoi_closed s v = {x | !w. w IN s /\ ~(w = v) ==> dist (x,v) <= dist (x,w)}
% Assm: !u v. bis_le u v = {x | dist (x,u) <= dist (x,v)}
% Assm: T
% Goal: !s v. voronoi_closed s v = INTERS (IMAGE (bis_le v) (s DELETE v))
%  TYPES
thf(tprodcartrealq1560168cartrealq1560168, type, prodcartrealq1560168cartrealq1560168 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq1560168, type, cartrealq1560168 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq1560168, type, q1560168 : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealq1560168cartrealq1560168 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cin, type, in : (cartrealq1560168 > (cartrealq1560168 > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealq1560168 > $o) > cartrealq1560168 > $o)).
thf(cinters, type, inters : (((cartrealq1560168 > $o) > $o) > cartrealq1560168 > $o)).
thf(ccu_, type, c_ : (cartrealq1560168 > cartrealq1560168 > prodcartrealq1560168cartrealq1560168)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : (cartrealq1560168 > $o > cartrealq1560168 > $o)).
thf(cdelete, type, delete : ((cartrealq1560168 > $o) > cartrealq1560168 > cartrealq1560168 > $o)).
thf(cbisuu_le, type, bisu_le : (cartrealq1560168 > cartrealq1560168 > cartrealq1560168 > $o)).
thf(cimage, type, image : ((cartrealq1560168 > cartrealq1560168 > $o) > (cartrealq1560168 > $o) > (cartrealq1560168 > $o) > $o)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealq1560168 > $o) > cartrealq1560168 > cartrealq1560168 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq1560168 > $o),G:(a > cartrealq1560168 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINTERSu_IMAGE, axiom, ![F:(cartrealq1560168 > cartrealq1560168 > $o),S:(cartrealq1560168 > $o)]:((inters @ (image @ F @ S)) = (gspec @ ^[GENR_PVARR_27:cartrealq1560168]:?[Y:cartrealq1560168]:(setspec @ GENR_PVARR_27 @ ![X:cartrealq1560168]:((in @ X @ S) => (in @ Y @ (F @ X))) @ Y)))).
thf(aINu_DELETE, axiom, ![S:(cartrealq1560168 > $o),X:cartrealq1560168,Y:cartrealq1560168]:((in @ X @ (delete @ S @ Y)) <=> ((in @ X @ S) & ~ ((X = Y))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aPack2o_VORONOIu_CLOSEDu_ALT, axiom, ![S:(cartrealq1560168 > $o),V:cartrealq1560168]:((voronoiu_closed @ S @ V) = (gspec @ ^[GENR_PVARR_812:cartrealq1560168]:?[X:cartrealq1560168]:(setspec @ GENR_PVARR_812 @ ![W:cartrealq1560168]:(((in @ W @ S) & ~ ((W = V))) => (realu_le @ (distance @ (c_ @ X @ V)) @ (distance @ (c_ @ X @ W)))) @ X)))).
thf(aSphereo_bisu_le, axiom, ![U:cartrealq1560168,V:cartrealq1560168]:((bisu_le @ U @ V) = (gspec @ ^[GENR_PVARR_5:cartrealq1560168]:?[X:cartrealq1560168]:(setspec @ GENR_PVARR_5 @ (realu_le @ (distance @ (c_ @ X @ U)) @ (distance @ (c_ @ X @ V))) @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealq1560168 > $o),V:cartrealq1560168]:((voronoiu_closed @ S @ V) = (inters @ (image @ (bisu_le @ V) @ (delete @ S @ V))))).
