%   ORIGINAL: Pack2.not_in_voronoi
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Pack2.VORONOI_CLOSED_ALT: !s v. voronoi_closed s v = {x | !w. w IN s /\ ~(w = v) ==> dist (x,v) <= dist (x,w)}
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: TRUTH: T
% Goal: !x v S. ~(x IN voronoi_closed S v) <=> (?y. y IN S /\ ~(y = v) /\ dist (x,y) < dist (x,v))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !s v. voronoi_closed s v = {x | !w. w IN s /\ ~(w = v) ==> dist (x,v) <= dist (x,w)}
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: T
% Goal: !x v S. ~(x IN voronoi_closed S v) <=> (?y. y IN S /\ ~(y = v) /\ dist (x,y) < dist (x,v))
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (gspec @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPack2o_VORONOIu_CLOSEDu_ALT, axiom, ![S:(cartrealn3 > $o),V:cartrealn3]:((voronoiu_closed @ S @ V) = (gspec @ ^[GENR_PVARR_812:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_812 @ ![W:cartrealn3]:(((in @ W @ S) & ~ ((W = V))) => (realu_le @ (distance @ (c_ @ X @ V)) @ (distance @ (c_ @ X @ W)))) @ X)))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:cartrealn3,V:cartrealn3,S:(cartrealn3 > $o)]:(~ ((in @ X @ (voronoiu_closed @ S @ V))) <=> ?[Y:cartrealn3]:((in @ Y @ S) & ~ ((Y = V)) & (realu_lt @ (distance @ (c_ @ X @ Y)) @ (distance @ (c_ @ X @ V)))))).
