%   ORIGINAL: Packing3.BARV_CONS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD1: !m. SUC m = m + 1
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: HD: HD (CONS h t) = h
% Assm: LENGTH_EQ_CONS: !l n. LENGTH l = SUC n <=> (?h t. l = CONS h t /\ LENGTH t = n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Pack_concl.NOPZSEH: !k ul V. barV V k ul <=> LENGTH ul = k + 1 /\ (!vl. initial_sublist vl ul /\ 0 < LENGTH vl ==> voronoi_nondg V vl)
% Assm: TRUTH: T
% Goal: !V k ul. barV V k ul ==> (?h t. ul = CONS h t /\ h = HD ul)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m. SUC m = m + 1
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !t h. HD (CONS h t) = h
% Assm: !l n. LENGTH l = SUC n <=> (?h t. l = CONS h t /\ LENGTH t = n)
% Assm: ~F <=> T
% Assm: !k ul V. barV V k ul <=> LENGTH ul = k + 1 /\ (!vl. initial_sublist vl ul /\ 0 < LENGTH vl ==> voronoi_nondg V vl)
% Assm: T
% Goal: !V k ul. barV V k ul ==> (?h t. ul = CONS h t /\ h = HD ul)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tlistcartrealn3, type, listcartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cvoronoiuu_nondg, type, voronoiu_nondg : ((cartrealn3 > $o) > listcartrealn3 > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cinitialuu_sublist, type, initialu_sublist : (listcartrealn3 > listcartrealn3 > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(chd, type, hd : (listcartrealn3 > cartrealn3)).
thf(ccons, type, cons : (cartrealn3 > listcartrealn3 > listcartrealn3)).
thf(cbarv, type, barv : ((cartrealn3 > $o) > num > listcartrealn3 > $o)).
thf(clength, type, length : (listcartrealn3 > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(csuc, type, suc : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > listcartrealn3),G:(a > listcartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADD1, axiom, ![M:num]:((suc @ M) = (p_ @ M @ (numeral @ (bit1 @ u_0))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aHD, axiom, ![T:listcartrealn3,H:cartrealn3]:((hd @ (cons @ H @ T)) = H)).
thf(aLENGTHu_EQu_CONS, axiom, ![L:listcartrealn3,N:num]:(((length @ L) = (suc @ N)) <=> ?[H:cartrealn3,T:listcartrealn3]:((L = (cons @ H @ T)) & ((length @ T) = N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPacku_conclo_NOPZSEH, axiom, ![K:num,UL:listcartrealn3,V:(cartrealn3 > $o)]:((barv @ V @ K @ UL) <=> (((length @ UL) = (p_ @ K @ (numeral @ (bit1 @ u_0)))) & ![VL:listcartrealn3]:(((initialu_sublist @ VL @ UL) & (l_ @ (numeral @ u_0) @ (length @ VL))) => (voronoiu_nondg @ V @ VL))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),K:num,UL:listcartrealn3]:((barv @ V @ K @ UL) => ?[H:cartrealn3,T:listcartrealn3]:((UL = (cons @ H @ T)) & (H = (hd @ UL))))).
