%   ORIGINAL: Packing3.VORONOI_INTER_BIS_EQ_INTER_BIS_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_EQ_IMP_LE: !x y. x = y ==> x <= y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: Sphere.bis: !u v. bis u v = {x | dist (x,u) = dist (x,v)}
% Assm: Sphere.bis_le: !u v. bis_le u v = {x | dist (x,u) <= dist (x,v)}
% Assm: Sphere.voronoi_closed: !S v. voronoi_closed S v = {x | !w. S w ==> dist (x,v) <= dist (x,w)}
% Assm: TRUTH: T
% Goal: !V v u. v IN V /\ u IN V ==> voronoi_closed V v INTER bis u v = voronoi_closed V v INTER bis_le u v
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: ~F <=> T
% Assm: !x y. x = y ==> x <= y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !u v. bis u v = {x | dist (x,u) = dist (x,v)}
% Assm: !u v. bis_le u v = {x | dist (x,u) <= dist (x,v)}
% Assm: !S v. voronoi_closed S v = {x | !w. S w ==> dist (x,v) <= dist (x,w)}
% Assm: T
% Goal: !V v u. v IN V /\ u IN V ==> voronoi_closed V v INTER bis u v = voronoi_closed V v INTER bis_le u v
%  TYPES
thf(tprodcartrealq1575522cartrealq1575522, type, prodcartrealq1575522cartrealq1575522 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealq1575522, type, cartrealq1575522 : $tType).
thf(treal, type, real : $tType).
thf(tq1575522, type, q1575522 : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealq1575522cartrealq1575522 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealq1575522 > $o) > cartrealq1575522 > $o)).
thf(cin, type, in : (cartrealq1575522 > (cartrealq1575522 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealq1575522 > cartrealq1575522 > prodcartrealq1575522cartrealq1575522)).
thf(csetspec, type, setspec : (cartrealq1575522 > $o > cartrealq1575522 > $o)).
thf(cbisuu_le, type, bisu_le : (cartrealq1575522 > cartrealq1575522 > cartrealq1575522 > $o)).
thf(cbis, type, bis : (cartrealq1575522 > cartrealq1575522 > cartrealq1575522 > $o)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealq1575522 > $o) > cartrealq1575522 > cartrealq1575522 > $o)).
thf(cinter, type, inter : ((cartrealq1575522 > $o) > (cartrealq1575522 > $o) > cartrealq1575522 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealq1575522 > $o),G:(a > cartrealq1575522 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealq1575522 > $o)]:(^[X:cartrealq1575522]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealq1575522 > $o),T:(cartrealq1575522 > $o)]:((S = T) <=> ![X:cartrealq1575522]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealq1575522 > $o),X:cartrealq1575522]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealq1575522 > $o),X:cartrealq1575522]:((in @ X @ (gspec @ ^[V:cartrealq1575522]:?[Y:cartrealq1575522]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INTER, axiom, ![S:(cartrealq1575522 > $o),T:(cartrealq1575522 > $o),X:cartrealq1575522]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_EQu_IMPu_LE, axiom, ![X:real,Y:real]:((X = Y) => (realu_le @ X @ Y))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aSphereo_bis, axiom, ![U:cartrealq1575522,V:cartrealq1575522]:((bis @ U @ V) = (gspec @ ^[GENR_PVARR_4:cartrealq1575522]:?[X:cartrealq1575522]:(setspec @ GENR_PVARR_4 @ ((distance @ (c_ @ X @ U)) = (distance @ (c_ @ X @ V))) @ X)))).
thf(aSphereo_bisu_le, axiom, ![U:cartrealq1575522,V:cartrealq1575522]:((bisu_le @ U @ V) = (gspec @ ^[GENR_PVARR_5:cartrealq1575522]:?[X:cartrealq1575522]:(setspec @ GENR_PVARR_5 @ (realu_le @ (distance @ (c_ @ X @ U)) @ (distance @ (c_ @ X @ V))) @ X)))).
thf(aSphereo_voronoiu_closed, axiom, ![S:(cartrealq1575522 > $o),V:cartrealq1575522]:((voronoiu_closed @ S @ V) = (gspec @ ^[GENR_PVARR_1:cartrealq1575522]:?[X:cartrealq1575522]:(setspec @ GENR_PVARR_1 @ ![W:cartrealq1575522]:((S @ W) => (realu_le @ (distance @ (c_ @ X @ V)) @ (distance @ (c_ @ X @ W)))) @ X)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealq1575522 > $o),V0:cartrealq1575522,U:cartrealq1575522]:(((in @ V0 @ V) & (in @ U @ V)) => ((inter @ (voronoiu_closed @ V @ V0) @ (bis @ U @ V0)) = (inter @ (voronoiu_closed @ V @ V0) @ (bisu_le @ U @ V0))))).
