%   ORIGINAL: Rogers.HL_PROPERTIES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Pack_defs.HL: !ul. hl ul = radV (set_of_list ul)
% Assm: Rogers.BARV_AFFINE_INDEPENDENT: !V ul k. packing V /\ barV V k ul ==> ~affine_dependent (set_of_list ul)
% Assm: Rogers.OAPVION2: !S. ~affine_dependent S ==> (!w. w IN S ==> radV S = dist (circumcenter S,w))
% Assm: TRUTH: T
% Goal: !V ul k. packing V /\ barV V k ul ==> (!w. w IN set_of_list ul ==> dist (circumcenter (set_of_list ul),w) = hl ul)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !ul. hl ul = radV (set_of_list ul)
% Assm: !V ul k. packing V /\ barV V k ul ==> ~affine_dependent (set_of_list ul)
% Assm: !S. ~affine_dependent S ==> (!w. w IN S ==> radV S = dist (circumcenter S,w))
% Assm: T
% Goal: !V ul k. packing V /\ barV V k ul ==> (!w. w IN set_of_list ul ==> dist (circumcenter (set_of_list ul),w) = hl ul)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tlistcartrealn3, type, listcartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(chl, type, hl : (listcartrealn3 > real)).
thf(cradv, type, radv : ((cartrealn3 > $o) > real)).
thf(ccircumcenter, type, circumcenter : ((cartrealn3 > $o) > cartrealn3)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(csetuu_ofuu_list, type, setu_ofu_list : (listcartrealn3 > cartrealn3 > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cbarv, type, barv : ((cartrealn3 > $o) > num > listcartrealn3 > $o)).
thf(caffineuu_dependent, type, affineu_dependent : ((cartrealn3 > $o) > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPacku_defso_HL, axiom, ![UL:listcartrealn3]:((hl @ UL) = (radv @ (setu_ofu_list @ UL)))).
thf(aRogerso_BARVu_AFFINEu_INDEPENDENT, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3,K:num]:(((packing @ V) & (barv @ V @ K @ UL)) => ~ ((affineu_dependent @ (setu_ofu_list @ UL))))).
thf(aRogerso_OAPVION2, axiom, ![S:(cartrealn3 > $o)]:(~ ((affineu_dependent @ S)) => ![W:cartrealn3]:((in @ W @ S) => ((radv @ S) = (distance @ (c_ @ (circumcenter @ S) @ W)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),UL:listcartrealn3,K:num]:(((packing @ V) & (barv @ V @ K @ UL)) => ![W:cartrealn3]:((in @ W @ (setu_ofu_list @ UL)) => ((distance @ (c_ @ (circumcenter @ (setu_ofu_list @ UL)) @ W)) = (hl @ UL))))).
