%   ORIGINAL: Rogers.VORONOI_LIST_EQ_INTERS_BIS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: HD: HD (CONS h t) = h
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTERS: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: Packing3.LENGTH_IMP_CONS: !l. 1 <= LENGTH l ==> (?h t. l = CONS h t)
% Assm: Packing3.VORONOI_LIST_BIS: !V ul h t. set_of_list ul SUBSET V /\ ul = CONS h t ==> voronoi_list V ul = voronoi_closed V h INTER INTERS {bis h u | u IN set_of_list t}
% Assm: Sphere.bis: !u v. bis u v = {x | dist (x,u) = dist (x,v)}
% Assm: TRUTH: T
% Assm: set_of_list_conjunct1: set_of_list (CONS h t) = h INSERT set_of_list t
% Goal: !V ul. set_of_list ul SUBSET V /\ 1 <= LENGTH ul ==> voronoi_list V ul = voronoi_closed V (HD ul) INTER INTERS {bis (HD ul) u | u | u IN set_of_list ul}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !t h. HD (CONS h t) = h
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s x. x IN INTERS s <=> (!t. t IN s ==> x IN t)
% Assm: !l. 1 <= LENGTH l ==> (?h t. l = CONS h t)
% Assm: !V ul h t. set_of_list ul SUBSET V /\ ul = CONS h t ==> voronoi_list V ul = voronoi_closed V h INTER INTERS {bis h u | u IN set_of_list t}
% Assm: !u v. bis u v = {x | dist (x,u) = dist (x,v)}
% Assm: T
% Assm: !h t. set_of_list (CONS h t) = h INSERT set_of_list t
% Goal: !V ul. set_of_list ul SUBSET V /\ 1 <= LENGTH ul ==> voronoi_list V ul = voronoi_closed V (HD ul) INTER INTERS {bis (HD ul) u | u | u IN set_of_list ul}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tlistcartrealn3, type, listcartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(cin0, type, in0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cinters, type, inters : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(chd, type, hd : (listcartrealn3 > cartrealn3)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(csetuu_ofuu_list, type, setu_ofu_list : (listcartrealn3 > cartrealn3 > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(ccons, type, cons : (cartrealn3 > listcartrealn3 > listcartrealn3)).
thf(cbis, type, bis : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cvoronoiuu_closed, type, voronoiu_closed : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvoronoiuu_list, type, voronoiu_list : ((cartrealn3 > $o) > listcartrealn3 > cartrealn3 > $o)).
thf(clength, type, length : (listcartrealn3 > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aHD, axiom, ![T:listcartrealn3,H:cartrealn3]:((hd @ (cons @ H @ T)) = H)).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn3 > $o) > $o),X:cartrealn3]:((in @ X @ (gspec0 @ ^[V:cartrealn3]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:cartrealn3]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (gspec0 @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTERS, axiom, ![S:((cartrealn3 > $o) > $o),X:cartrealn3]:((in @ X @ (inters @ S)) <=> ![T:(cartrealn3 > $o)]:((in0 @ T @ S) => (in @ X @ T)))).
thf(aPacking3o_LENGTHu_IMPu_CONS, axiom, ![L:listcartrealn3]:((l_a_ @ (numeral @ (bit1 @ u_0)) @ (length @ L)) => ?[H:cartrealn3,T:listcartrealn3]:(L = (cons @ H @ T)))).
thf(aPacking3o_VORONOIu_LISTu_BIS, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3,H:cartrealn3,T:listcartrealn3]:(((subset @ (setu_ofu_list @ UL) @ V) & (UL = (cons @ H @ T))) => ((voronoiu_list @ V @ UL) = (inter @ (voronoiu_closed @ V @ H) @ (inters @ (gspec @ ^[GENR_PVARR_878:(cartrealn3 > $o)]:?[U:cartrealn3]:(setspec @ GENR_PVARR_878 @ (in @ U @ (setu_ofu_list @ T)) @ (bis @ H @ U)))))))).
thf(aSphereo_bis, axiom, ![U:cartrealn3,V:cartrealn3]:((bis @ U @ V) = (gspec0 @ ^[GENR_PVARR_4:cartrealn3]:?[X:cartrealn3]:(setspec0 @ GENR_PVARR_4 @ ((distance @ (c_ @ X @ U)) = (distance @ (c_ @ X @ V))) @ X)))).
thf(aTRUTH, axiom, $true).
thf(asetu_ofu_listu_conjunct1, axiom, ![H:cartrealn3,T:listcartrealn3]:((setu_ofu_list @ (cons @ H @ T)) = (insert @ H @ (setu_ofu_list @ T)))).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),UL:listcartrealn3]:(((subset @ (setu_ofu_list @ UL) @ V) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ (length @ UL))) => ((voronoiu_list @ V @ UL) = (inter @ (voronoiu_closed @ V @ (hd @ UL)) @ (inters @ (gspec @ ^[GENR_PVARR_994:(cartrealn3 > $o)]:?[U:cartrealn3]:(setspec @ GENR_PVARR_994 @ (in @ U @ (setu_ofu_list @ UL)) @ (bis @ (hd @ UL) @ U)))))))).
