%   ORIGINAL: Marchal_cells.OMEGA_LIST_TRUNCATE_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct1: _0 <= _0 <=> T
% Assm: ARITH_LE_conjunct9: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: HD: HD (CONS h t) = h
% Assm: LENGTH_conjunct0: LENGTH [] = 0
% Assm: LENGTH_conjunct1: !h t. LENGTH (CONS h t) = SUC (LENGTH t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: SUB_EQ_0: !m n. m - n = 0 <=> m <= n
% Assm: Sphere.OMEGA_LIST: !V ul. omega_list V ul = omega_list_n V ul (LENGTH ul - 1)
% Assm: Sphere.OMEGA_LIST_N_conjunct0: omega_list_n V ul 0 = HD ul
% Assm: TRUTH: T
% Goal: !V u0 u1 u2 u3. omega_list_n V [u0; u1; u2; u3] 0 = omega_list V [u0]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: _0 <= _0 <=> T
% Assm: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: SUC _0 = BIT1 _0
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t h. HD (CONS h t) = h
% Assm: LENGTH [] = 0
% Assm: !h t. LENGTH (CONS h t) = SUC (LENGTH t)
% Assm: ~F <=> T
% Assm: !n. NUMERAL n = n
% Assm: !m n. m - n = 0 <=> m <= n
% Assm: !V ul. omega_list V ul = omega_list_n V ul (LENGTH ul - 1)
% Assm: !V ul. omega_list_n V ul 0 = HD ul
% Assm: T
% Goal: !V u0 u1 u2 u3. omega_list_n V [u0; u1; u2; u3] 0 = omega_list V [u0]
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tlistcartrealn3, type, listcartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cnil, type, nil : listcartrealn3).
thf(cmu_, type, m_ : (num > num > num)).
thf(chd, type, hd : (listcartrealn3 > cartrealn3)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(comegauu_list, type, omegau_list : ((cartrealn3 > $o) > listcartrealn3 > cartrealn3)).
thf(ccons, type, cons : (cartrealn3 > listcartrealn3 > listcartrealn3)).
thf(comegauu_listuu_n, type, omegau_listu_n : ((cartrealn3 > $o) > listcartrealn3 > num > cartrealn3)).
thf(clength, type, length : (listcartrealn3 > num)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct1, axiom, ((l_a_ @ u_0 @ u_0) <=> $true)).
thf(aARITHu_LEu_conjunct9, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHD, axiom, ![T:listcartrealn3,H:cartrealn3]:((hd @ (cons @ H @ T)) = H)).
thf(aLENGTHu_conjunct0, axiom, ((length @ nil) = (numeral @ u_0))).
thf(aLENGTHu_conjunct1, axiom, ![H:cartrealn3,T:listcartrealn3]:((length @ (cons @ H @ T)) = (suc @ (length @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aSUBu_EQu_0, axiom, ![M:num,N:num]:(((m_ @ M @ N) = (numeral @ u_0)) <=> (l_a_ @ M @ N))).
thf(aSphereo_OMEGAu_LIST, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3]:((omegau_list @ V @ UL) = (omegau_listu_n @ V @ UL @ (m_ @ (length @ UL) @ (numeral @ (bit1 @ u_0)))))).
thf(aSphereo_OMEGAu_LISTu_Nu_conjunct0, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3]:((omegau_listu_n @ V @ UL @ (numeral @ u_0)) = (hd @ UL))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),U0:cartrealn3,U1:cartrealn3,U2:cartrealn3,U3:cartrealn3]:((omegau_listu_n @ V @ (cons @ U0 @ (cons @ U1 @ (cons @ U2 @ (cons @ U3 @ nil)))) @ (numeral @ u_0)) = (omegau_list @ V @ (cons @ U0 @ nil)))).
