%   ORIGINAL: Rdwkarc.JGXZYGW_KY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Pack1.JGXZYGW: !S p. packing S /\ saturated S /\ (?A. fcc_compatible A S /\ negligible_fun_p A S p) ==> (?c. !r. &1 <= r ==> vol (UNIONS {ball (v,&1) | v IN S} INTER ball (p,r)) / vol (ball (p,r)) <= pi / sqrt (&18) + c / r)
% Assm: Pack_defs.negligible_fun_0: !f S. negligible_fun_0 f S <=> negligible_fun_p f S (vec 0)
% Assm: TRUTH: T
% Goal: !S. packing S /\ saturated S /\ (?A. fcc_compatible A S /\ negligible_fun_0 A S) ==> (?c. !r. &1 <= r ==> vol (UNIONS {ball (v,&1) | v IN S} INTER ball (vec 0,r)) / vol (ball (vec 0,r)) <= pi / sqrt (&18) + c / r)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !S p. packing S /\ saturated S /\ (?A. fcc_compatible A S /\ negligible_fun_p A S p) ==> (?c. !r. &1 <= r ==> vol (UNIONS {ball (v,&1) | v IN S} INTER ball (p,r)) / vol (ball (p,r)) <= pi / sqrt (&18) + c / r)
% Assm: !f S. negligible_fun_0 f S <=> negligible_fun_p f S (vec 0)
% Assm: T
% Goal: !S. packing S /\ saturated S /\ (?A. fcc_compatible A S /\ negligible_fun_0 A S) ==> (?c. !r. &1 <= r ==> vol (UNIONS {ball (v,&1) | v IN S} INTER ball (vec 0,r)) / vol (ball (vec 0,r)) <= pi / sqrt (&18) + c / r)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealn3real, type, prodcartrealn3real : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cball, type, ball : (prodcartrealn3real > cartrealn3 > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cunions, type, unions : (((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(cmeasure, type, measure : ((cartrealn3 > $o) > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cnegligibleuu_funuu_0, type, negligibleu_funu_0 : ((cartrealn3 > real) > (cartrealn3 > $o) > $o)).
thf(cfccuu_compatible, type, fccu_compatible : ((cartrealn3 > real) > (cartrealn3 > $o) > $o)).
thf(cpi, type, pi : real).
thf(cnegligibleuu_funuu_p, type, negligibleu_funu_p : ((cartrealn3 > real) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_, type, c_ : (cartrealn3 > real > prodcartrealn3real)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csaturated, type, saturated : ((cartrealn3 > $o) > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPack1o_JGXZYGW, axiom, ![S:(cartrealn3 > $o),P:cartrealn3]:(((packing @ S) & (saturated @ S) & ?[A:(cartrealn3 > real)]:((fccu_compatible @ A @ S) & (negligibleu_funu_p @ A @ S @ P))) => ?[C:real]:![R:real]:((realu_le @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ R) => (realu_le @ (realu_div @ (measure @ (inter @ (unions @ (gspec @ ^[GENR_PVARR_807:(cartrealn3 > $o)]:?[V:cartrealn3]:(setspec @ GENR_PVARR_807 @ (in @ V @ S) @ (ball @ (c_ @ V @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))))) @ (ball @ (c_ @ P @ R)))) @ (measure @ (ball @ (c_ @ P @ R)))) @ (realu_add @ (realu_div @ pi @ (sqrt @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ (bit0 @ (bit0 @ (bit1 @ u_0))))))))) @ (realu_div @ C @ R)))))).
thf(aPacku_defso_negligibleu_funu_0, axiom, ![F:(cartrealn3 > real),S:(cartrealn3 > $o)]:((negligibleu_funu_0 @ F @ S) <=> (negligibleu_funu_p @ F @ S @ (vec @ (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn3 > $o)]:(((packing @ S) & (saturated @ S) & ?[A:(cartrealn3 > real)]:((fccu_compatible @ A @ S) & (negligibleu_funu_0 @ A @ S))) => ?[C:real]:![R:real]:((realu_le @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ R) => (realu_le @ (realu_div @ (measure @ (inter @ (unions @ (gspec @ ^[GENR_PVARR_1719:(cartrealn3 > $o)]:?[V:cartrealn3]:(setspec @ GENR_PVARR_1719 @ (in @ V @ S) @ (ball @ (c_ @ V @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))))) @ (ball @ (c_ @ (vec @ (numeral @ u_0)) @ R)))) @ (measure @ (ball @ (c_ @ (vec @ (numeral @ u_0)) @ R)))) @ (realu_add @ (realu_div @ pi @ (sqrt @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ (bit0 @ (bit0 @ (bit1 @ u_0))))))))) @ (realu_div @ C @ R)))))).
