%   ORIGINAL: Wrgcvdr_cizmrrh.IN_SELF_PAIRS_IMP_EE_EMPTY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FST: !x y. FST (x,y) = x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: TRUTH: T
% Assm: Wrgcvdr_cizmrrh.EE: !v S. EE v S = {w | {v, w} IN S}
% Assm: Wrgcvdr_cizmrrh.self_pairs: !V E. self_pairs E V = {v,v | v IN V /\ EE v E = {}}
% Goal: x IN self_pairs E V ==> EE (FST x) E = {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. FST (x,y) = x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: T
% Assm: !v S. EE v S = {w | {v, w} IN S}
% Assm: !V E. self_pairs E V = {v,v | v IN V /\ EE v E = {}}
% Goal: !E x V. x IN self_pairs E V ==> EE (FST x) E = {}
%  TYPES
thf(ta, type, a : $tType).
thf(tq1899773, type, q1899773 : $tType).
thf(tprodq1899773q1899773, type, prodq1899773q1899773 : $tType).
%  CONSTS
thf(cfst, type, fst : (prodq1899773q1899773 > q1899773)).
thf(cin1, type, in1 : (q1899773 > (q1899773 > $o) > $o)).
thf(cin0, type, in0 : ((q1899773 > $o) > ((q1899773 > $o) > $o) > $o)).
thf(cgspec0, type, gspec0 : ((q1899773 > $o) > q1899773 > $o)).
thf(cgspec, type, gspec : ((prodq1899773q1899773 > $o) > prodq1899773q1899773 > $o)).
thf(cin, type, in : (prodq1899773q1899773 > (prodq1899773q1899773 > $o) > $o)).
thf(cempty, type, empty : (q1899773 > $o)).
thf(cinsert, type, insert : (q1899773 > (q1899773 > $o) > q1899773 > $o)).
thf(csetspec0, type, setspec0 : (q1899773 > $o > q1899773 > $o)).
thf(csetspec, type, setspec : (prodq1899773q1899773 > $o > prodq1899773q1899773 > $o)).
thf(ccu_, type, c_ : (q1899773 > q1899773 > prodq1899773q1899773)).
thf(cee, type, ee : (q1899773 > ((q1899773 > $o) > $o) > q1899773 > $o)).
thf(cselfuu_pairs, type, selfu_pairs : (((q1899773 > $o) > $o) > (q1899773 > $o) > prodq1899773q1899773 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q1899773 > $o),G:(a > q1899773 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFST, axiom, ![X:q1899773,Y:q1899773]:((fst @ (c_ @ X @ Y)) = X)).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > prodq1899773q1899773 > $o) > $o),X:prodq1899773q1899773]:((in @ X @ (gspec @ ^[V:prodq1899773q1899773]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:prodq1899773q1899773]:(P0 & (X = T))))).
thf(aTRUTH, axiom, $true).
thf(aWrgcvdru_cizmrrho_EE, axiom, ![V:q1899773,S:((q1899773 > $o) > $o)]:((ee @ V @ S) = (gspec0 @ ^[GENR_PVARR_1731:q1899773]:?[W:q1899773]:(setspec0 @ GENR_PVARR_1731 @ (in0 @ (insert @ V @ (insert @ W @ empty)) @ S) @ W)))).
thf(aWrgcvdru_cizmrrho_selfu_pairs, axiom, ![V:(q1899773 > $o),E:((q1899773 > $o) > $o)]:((selfu_pairs @ E @ V) = (gspec @ ^[GENR_PVARR_1733:prodq1899773q1899773]:?[V0:q1899773]:(setspec @ GENR_PVARR_1733 @ ((in1 @ V0 @ V) & ((ee @ V0 @ E) = empty)) @ (c_ @ V0 @ V0))))).
thf(conjecture, conjecture, ![E:((q1899773 > $o) > $o),X:prodq1899773q1899773,V:(q1899773 > $o)]:((in @ X @ (selfu_pairs @ E @ V)) => ((ee @ (fst @ X) @ E) = empty))).
