%   ORIGINAL: Wrgcvdr_cizmrrh.IN_ORD_E_IFF_SWITCH_TOO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: FST: !x y. FST (x,y) = x
% Assm: INSERT_COMM: !x y s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: SND: !x y. SND (x,y) = y
% Assm: TRUTH: T
% Assm: Wrgcvdr_cizmrrh.PAIR_EQ2: a = b <=> FST a = FST b /\ SND a = SND b
% Assm: Wrgcvdr_cizmrrh.ord_pairs: !E. ord_pairs E = {a,b | {a, b} IN E}
% Goal: x IN ord_pairs E <=> SND x,FST x IN ord_pairs E
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. FST (x,y) = x
% Assm: !x y s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y. SND (x,y) = y
% Assm: T
% Assm: !a b. a = b <=> FST a = FST b /\ SND a = SND b
% Assm: !E. ord_pairs E = {a,b | {a, b} IN E}
% Goal: !E x. x IN ord_pairs E <=> SND x,FST x IN ord_pairs E
%  TYPES
thf(tprodaa, type, prodaa : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(cin0, type, in0 : ((a > $o) > ((a > $o) > $o) > $o)).
thf(cgspec, type, gspec : ((prodaa > $o) > prodaa > $o)).
thf(corduu_pairs, type, ordu_pairs : (((a > $o) > $o) > prodaa > $o)).
thf(cin, type, in : (prodaa > (prodaa > $o) > $o)).
thf(csetspec, type, setspec : (prodaa > $o > prodaa > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cfst, type, fst : (prodaa > a)).
thf(csnd, type, snd : (prodaa > a)).
thf(ccu_, type, c_ : (a > a > prodaa)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aFST, axiom, ![X:a,Y:a]:((fst @ (c_ @ X @ Y)) = X)).
thf(aINSERTu_COMM, axiom, ![X:a,Y:a,S:(a > $o)]:((insert @ X @ (insert @ Y @ S)) = (insert @ Y @ (insert @ X @ S)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > prodaa > $o) > $o),X:prodaa]:((in @ X @ (gspec @ ^[V:prodaa]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:prodaa]:(P0 & (X = T))))).
thf(aSND, axiom, ![X:a,Y:a]:((snd @ (c_ @ X @ Y)) = Y)).
thf(aTRUTH, axiom, $true).
thf(aWrgcvdru_cizmrrho_PAIRu_EQ2, axiom, ![A:prodaa,B:prodaa]:((A = B) <=> (((fst @ A) = (fst @ B)) & ((snd @ A) = (snd @ B))))).
thf(aWrgcvdru_cizmrrho_ordu_pairs, axiom, ![E:((a > $o) > $o)]:((ordu_pairs @ E) = (gspec @ ^[GENR_PVARR_1732:prodaa]:?[A:a,B:a]:(setspec @ GENR_PVARR_1732 @ (in0 @ (insert @ A @ (insert @ B @ empty)) @ E) @ (c_ @ A @ B))))).
thf(conjecture, conjecture, ![E:((a > $o) > $o),X:prodaa]:((in @ X @ (ordu_pairs @ E)) <=> (in @ (c_ @ (snd @ X) @ (fst @ X)) @ (ordu_pairs @ E)))).
