%   ORIGINAL: Wrgcvdr_cizmrrh.ITER_AZIM_CYCLE_EQ_ITER_SIGMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ITER_conjunct0: !f. ITER 0 f x = x
% Assm: ITER_conjunct1: !f n. ITER (SUC n) f x = f (ITER n f x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Wrgcvdr_cizmrrh.AZIM_CYCLE_EQ_SIGMA_FAN: FAN (x,V,E) /\ u IN set_of_edge v V E ==> azim_cycle (EE v E) x v u = sigma_fan x V E v u
% Assm: Wrgcvdr_cizmrrh.FAN_IMP_EE_EQ_SET_OF_EDGE: FAN (x,V,E) ==> EE v E = set_of_edge v V E
% Assm: Wrgcvdr_cizmrrh.iter_sigma_fan_in_set_of_edge: !x V E v u. FAN (x,V,E) /\ u IN set_of_edge v V E ==> (!n. ITER n (sigma_fan x V E v) u IN set_of_edge v V E)
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: FAN (x,V,E) /\ {v, u} IN E ==> (!a. a IN EE v E ==> (!n. ITER n (azim_cycle (EE v E) x v) a = ITER n (sigma_fan x V E v) a))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x f. ITER 0 f x = x
% Assm: !x f n. ITER (SUC n) f x = f (ITER n f x)
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !x V E v u. FAN (x,V,E) /\ u IN set_of_edge v V E ==> azim_cycle (EE v E) x v u = sigma_fan x V E v u
% Assm: !x v V E. FAN (x,V,E) ==> EE v E = set_of_edge v V E
% Assm: !x V E v u. FAN (x,V,E) /\ u IN set_of_edge v V E ==> (!n. ITER n (sigma_fan x V E v) u IN set_of_edge v V E)
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Goal: !v E V x u. FAN (x,V,E) /\ {v, u} IN E ==> (!a. a IN EE v E ==> (!n. ITER n (azim_cycle (EE v E) x v) a = ITER n (sigma_fan x V E v) a))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
%  CONSTS
thf(ci, type, i : (cartrealn3 > cartrealn3)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin, type, in : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > $o)).
thf(csetuu_ofuu_edge, type, setu_ofu_edge : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(csigmauu_fan, type, sigmau_fan : (cartrealn3 > (cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cazimuu_cycle, type, azimu_cycle : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(citer, type, iter : (num > (cartrealn3 > cartrealn3) > cartrealn3 > cartrealn3)).
thf(cee, type, ee : (cartrealn3 > ((cartrealn3 > $o) > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_, type, c_ : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aITERu_conjunct0, axiom, ![X:cartrealn3,F:(cartrealn3 > cartrealn3)]:((iter @ (numeral @ u_0) @ F @ X) = X)).
thf(aITERu_conjunct1, axiom, ![X:cartrealn3,F:(cartrealn3 > cartrealn3),N:num]:((iter @ (suc @ N) @ F @ X) = (F @ (iter @ N @ F @ X)))).
thf(aIu_THM, axiom, ![X:cartrealn3]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aWrgcvdru_cizmrrho_AZIMu_CYCLEu_EQu_SIGMAu_FAN, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in0 @ U @ (setu_ofu_edge @ V0 @ V @ E))) => ((azimu_cycle @ (ee @ V0 @ E) @ X @ V0 @ U) = (sigmau_fan @ X @ V @ E @ V0 @ U)))).
thf(aWrgcvdru_cizmrrho_FANu_IMPu_EEu_EQu_SETu_OFu_EDGE, axiom, ![X:cartrealn3,V:cartrealn3,V0:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((fan @ (c_ @ X @ (c_0 @ V0 @ E))) => ((ee @ V @ E) = (setu_ofu_edge @ V @ V0 @ E)))).
thf(aWrgcvdru_cizmrrho_iteru_sigmau_fanu_inu_setu_ofu_edge, axiom, ![X:cartrealn3,V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),V0:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in0 @ U @ (setu_ofu_edge @ V0 @ V @ E))) => ![N:num]:(in0 @ (iter @ N @ (sigmau_fan @ X @ V @ E @ V0) @ U) @ (setu_ofu_edge @ V0 @ V @ E)))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(conjecture, conjecture, ![V:cartrealn3,E:((cartrealn3 > $o) > $o),V0:(cartrealn3 > $o),X:cartrealn3,U:cartrealn3]:(((fan @ (c_ @ X @ (c_0 @ V0 @ E))) & (in @ (insert @ V @ (insert @ U @ empty)) @ E)) => ![A:cartrealn3]:((in0 @ A @ (ee @ V @ E)) => ![N:num]:((iter @ N @ (azimu_cycle @ (ee @ V @ E) @ X @ V) @ A) = (iter @ N @ (sigmau_fan @ X @ V0 @ E @ V) @ A))))).
