%   ORIGINAL: Lvducxu.SIMPLE_IMP_DISTINCT_FF_NODE_IMAGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Hypermap.in_orbit_map1: !p x. p x IN orbit_map p x
% Assm: Hypermap.lemma_face_identity: !H x y. y IN face H x ==> face H x = face H y
% Assm: Hypermap.node: !H x. node H x = orbit_map (node_map H) x
% Assm: Hypermap.node_refl: !H x. x IN node H x
% Assm: Hypermap.simple_hypermap: !H. simple_hypermap H <=> (!x. x IN dart H ==> node H x INTER face H x = {x})
% Assm: IMAGE: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTER: !s t. s INTER t = {x | x IN s /\ x IN t}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_ELIM_THM_conjunct3: !p x. {y | p y} x <=> p x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: Lvducxu.NOT_IN_DART_IMP_IDE: ~(x IN dart H) ==> edge_map H x = x /\ node_map H x = x /\ face_map H x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: simple_hypermap H /\ FF = face H x /\ (!x. x IN FF ==> ~(node_map H x = x)) ==> FF INTER IMAGE (node_map H) FF = {}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !p x. p x IN orbit_map p x
% Assm: !H x y. y IN face H x ==> face H x = face H y
% Assm: !H x. node H x = orbit_map (node_map H) x
% Assm: !H x. x IN node H x
% Assm: !H. simple_hypermap H <=> (!x. x IN dart H ==> node H x INTER face H x = {x})
% Assm: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: !P x. x IN P <=> P x
% Assm: !s t. s INTER t = {x | x IN s /\ x IN t}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. {y | p y} x <=> p x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !H x. ~(x IN dart H) ==> edge_map H x = x /\ node_map H x = x /\ face_map H x = x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !FF H x. simple_hypermap H /\ FF = face H x /\ (!x. x IN FF ==> ~(node_map H x = x)) ==> FF INTER IMAGE (node_map H) FF = {}
%  TYPES
thf(tq43908, type, q43908 : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((q43908 > $o) > q43908 > $o)).
thf(cgspec, type, gspec : ((a > $o) > a > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(csetspec0, type, setspec0 : (q43908 > $o > q43908 > $o)).
thf(csetspec, type, setspec : (a > $o > a > $o)).
thf(cinsert, type, insert : (a > (a > $o) > a > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cimage, type, image : ((a > a) > (a > $o) > a > $o)).
thf(cinter, type, inter : ((a > $o) > (a > $o) > a > $o)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(csimpleuu_hypermap, type, simpleu_hypermap : (hypermapa > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aHypermapo_inu_orbitu_map1, axiom, ![P:(a > a),X:a]:(in @ (P @ X) @ (orbitu_map @ P @ X))).
thf(aHypermapo_lemmau_faceu_identity, axiom, ![H:hypermapa,X:a,Y:a]:((in @ Y @ (face @ H @ X)) => ((face @ H @ X) = (face @ H @ Y)))).
thf(aHypermapo_node, axiom, ![H:hypermapa,X:a]:((node @ H @ X) = (orbitu_map @ (nodeu_map @ H) @ X))).
thf(aHypermapo_nodeu_refl, axiom, ![H:hypermapa,X:a]:(in @ X @ (node @ H @ X))).
thf(aHypermapo_simpleu_hypermap, axiom, ![H:hypermapa]:((simpleu_hypermap @ H) <=> ![X:a]:((in @ X @ (dart @ H)) => ((inter @ (node @ H @ X) @ (face @ H @ X)) = (insert @ X @ empty))))).
thf(aIMAGE, axiom, ![S:(a > $o),F:(a > a)]:((image @ F @ S) = (gspec @ ^[GENR_PVARR_7:a]:?[Y:a]:(setspec @ GENR_PVARR_7 @ ?[X:a]:((in @ X @ S) & (Y = (F @ X))) @ Y)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINTER, axiom, ![S:(a > $o),T:(a > $o)]:((inter @ S @ T) = (gspec @ ^[GENR_PVARR_2:a]:?[X:a]:(setspec @ GENR_PVARR_2 @ ((in @ X @ S) & (in @ X @ T)) @ X)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec @ ^[V:a]:?[Y:a]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct3, axiom, ![P:(q43908 > $o),X:q43908]:((gspec0 @ ^[V:q43908]:?[Y:q43908]:(setspec0 @ V @ (P @ Y) @ Y) @ X) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:a,Y:a,S:(a > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aLvducxuo_NOTu_INu_DARTu_IMPu_IDE, axiom, ![H:hypermapa,X:a]:(~ ((in @ X @ (dart @ H))) => (((edgeu_map @ H @ X) = X) & ((nodeu_map @ H @ X) = X) & ((faceu_map @ H @ X) = X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:a]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![FF:(a > $o),H:hypermapa,X:a]:(((simpleu_hypermap @ H) & (FF = (face @ H @ X)) & ![X:a]:((in @ X @ FF) => ~ (((nodeu_map @ H @ X) = X)))) => ((inter @ FF @ (image @ (nodeu_map @ H) @ FF)) = empty))).
