%   ORIGINAL: Lvducxu.ENF_IMAGE_ITSELF_conjunct2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Hypermap.lemma_node_identity: !H x y. y IN node H x ==> node H x = node H y
% Assm: Hypermap.node: !H x. node H x = orbit_map (node_map H) x
% Assm: Lvducxu.W_EQ_ITS_ORBIT_IMP_EQ_ITS_IMAGE: (!x. x IN W ==> W = orbit_map f x) ==> W = IMAGE f W
% Assm: TRUTH: T
% Goal: node H x = IMAGE (node_map H) (node H x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !H x y. y IN node H x ==> node H x = node H y
% Assm: !H x. node H x = orbit_map (node_map H) x
% Assm: !f W. (!x. x IN W ==> W = orbit_map f x) ==> W = IMAGE f W
% Assm: T
% Goal: !x H. node H x = IMAGE (node_map H) (node H x)
%  TYPES
thf(tq1922197, type, q1922197 : $tType).
thf(ta, type, a : $tType).
thf(thypermapq1922197, type, hypermapq1922197 : $tType).
%  CONSTS
thf(cnodeuu_map, type, nodeu_map : (hypermapq1922197 > q1922197 > q1922197)).
thf(cin, type, in : (q1922197 > (q1922197 > $o) > $o)).
thf(corbituu_map, type, orbitu_map : ((q1922197 > q1922197) > q1922197 > q1922197 > $o)).
thf(cimage, type, image : ((q1922197 > q1922197) > (q1922197 > $o) > q1922197 > $o)).
thf(cnode, type, node : (hypermapq1922197 > q1922197 > q1922197 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > q1922197 > $o),G:(a > q1922197 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aHypermapo_lemmau_nodeu_identity, axiom, ![H:hypermapq1922197,X:q1922197,Y:q1922197]:((in @ Y @ (node @ H @ X)) => ((node @ H @ X) = (node @ H @ Y)))).
thf(aHypermapo_node, axiom, ![H:hypermapq1922197,X:q1922197]:((node @ H @ X) = (orbitu_map @ (nodeu_map @ H) @ X))).
thf(aLvducxuo_Wu_EQu_ITSu_ORBITu_IMPu_EQu_ITSu_IMAGE, axiom, ![F:(q1922197 > q1922197),W:(q1922197 > $o)]:(![X:q1922197]:((in @ X @ W) => (W = (orbitu_map @ F @ X))) => (W = (image @ F @ W)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:q1922197,H:hypermapq1922197]:((node @ H @ X) = (image @ (nodeu_map @ H) @ (node @ H @ X)))).
