%   ORIGINAL: Local_lemmas.FAN_IN_DARTS_FST_EQ_SND_SELF_PAIRS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FST: !x y. FST (x,y) = x
% Assm: Fan.FAN: !x V E. FAN (x,V,E) <=> UNIONS E SUBSET V /\ graph E /\ fan1 (x,V,E) /\ fan2 (x,V,E) /\ fan6 (x,V,E) /\ fan7 (x,V,E)
% Assm: Fan.graph: !E. graph E <=> (!e. E e ==> e HAS_SIZE 2)
% Assm: Geomdetail.CARD2: !a b. CARD {a, b} <= 2 /\ (CARD {a, b} = 2 <=> ~(a = b))
% Assm: HAS_SIZE: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PAIR_EQ: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: SND: !x y. SND (x,y) = y
% Assm: TRUTH: T
% Assm: Wrgcvdr_cizmrrh.darts_of_hyp: !E V. darts_of_hyp E V = ord_pairs E UNION self_pairs E V
% Assm: Wrgcvdr_cizmrrh.ord_pairs: !E. ord_pairs E = {a,b | {a, b} IN E}
% Assm: Wrgcvdr_cizmrrh.self_pairs: !V E. self_pairs E V = {v,v | v IN V /\ EE v E = {}}
% Goal: FAN (x,V,E) /\ y IN darts_of_hyp E V ==> (FST y = SND y <=> y IN self_pairs E V)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x y. FST (x,y) = x
% Assm: !x V E. FAN (x,V,E) <=> UNIONS E SUBSET V /\ graph E /\ fan1 (x,V,E) /\ fan2 (x,V,E) /\ fan6 (x,V,E) /\ fan7 (x,V,E)
% Assm: !E. graph E <=> (!e. E e ==> e HAS_SIZE 2)
% Assm: !a b. CARD {a, b} <= 2 /\ (CARD {a, b} = 2 <=> ~(a = b))
% Assm: !a b. CARD {a, b} <= 2 /\ (CARD {a, b} = 2 <=> ~(a <=> b))
% Assm: !s n. s HAS_SIZE n <=> FINITE s /\ CARD s = n
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: ~F <=> T
% Assm: !x y a b. x,y = a,b <=> x = a /\ y = b
% Assm: !x y. SND (x,y) = y
% Assm: T
% Assm: !E V. darts_of_hyp E V = ord_pairs E UNION self_pairs E V
% Assm: !E. ord_pairs E = {a,b | {a, b} IN E}
% Assm: !V E. self_pairs E V = {v,v | v IN V /\ EE v E = {}}
% Goal: !V E y x. FAN (x,V,E) /\ y IN darts_of_hyp E V ==> (FST y = SND y <=> y IN self_pairs E V)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tq1890936, type, q1890936 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tprodq1890936q1890936, type, prodq1890936q1890936 : $tType).
thf(tq52112, type, q52112 : $tType).
thf(tprodfuncartrealnboolfunfuncartrealnboolbool, type, prodfuncartrealnboolfunfuncartrealnboolbool : $tType).
thf(tfunfuncartrealnboolbool, type, funfuncartrealnboolbool : $tType).
thf(tfuncartrealnbool, type, funcartrealnbool : $tType).
thf(tq1162685, type, q1162685 : $tType).
thf(tn, type, n : $tType).
thf(tprodcartrealnprodfuncartrealnboolfunfuncartrealnboolbool, type, prodcartrealnprodfuncartrealnboolfunfuncartrealnboolbool : $tType).
%  CONSTS
thf(cin1, type, in1 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : ((q1890936 > $o) > ((q1890936 > $o) > $o) > $o)).
thf(cgspec0, type, gspec0 : ((prodq1890936q1890936 > $o) > prodq1890936q1890936 > $o)).
thf(corduu_pairs0, type, ordu_pairs0 : (((q1890936 > $o) > $o) > prodq1890936q1890936 > $o)).
thf(corduu_pairs, type, ordu_pairs : (((cartrealn > $o) > $o) > prodcartrealncartrealn > $o)).
thf(cgspec, type, gspec : ((prodcartrealncartrealn > $o) > prodcartrealncartrealn > $o)).
thf(chasuu_size0, type, hasu_size0 : ((q52112 > $o) > num > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(chasuu_size, type, hasu_size : ((q1162685 > $o) > num > $o)).
thf(cunions, type, unions : (((cartrealn > $o) > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (prodcartrealncartrealn > (prodcartrealncartrealn > $o) > $o)).
thf(cee, type, ee : (cartrealn > ((cartrealn > $o) > $o) > cartrealn > $o)).
thf(ccu_2, type, c_2 : (q1890936 > q1890936 > prodq1890936q1890936)).
thf(cinsert1, type, insert1 : (q1890936 > (q1890936 > $o) > q1890936 > $o)).
thf(csetspec0, type, setspec0 : (prodq1890936q1890936 > $o > prodq1890936q1890936 > $o)).
thf(cunion, type, union : ((prodcartrealncartrealn > $o) > (prodcartrealncartrealn > $o) > prodcartrealncartrealn > $o)).
thf(csetspec, type, setspec : (prodcartrealncartrealn > $o > prodcartrealncartrealn > $o)).
thf(cinsert0, type, insert0 : ($o > ($o > $o) > $o > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_1, type, c_1 : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cselfuu_pairs, type, selfu_pairs : (((cartrealn > $o) > $o) > (cartrealn > $o) > prodcartrealncartrealn > $o)).
thf(cdartsuu_ofuu_hyp, type, dartsu_ofu_hyp : (((cartrealn > $o) > $o) > (cartrealn > $o) > prodcartrealncartrealn > $o)).
thf(ccu_0, type, c_0 : ((cartrealn > $o) > ((cartrealn > $o) > $o) > prodfuncartrealnboolfunfuncartrealnboolbool)).
thf(ccu_, type, c_ : (cartrealn > prodfuncartrealnboolfunfuncartrealnboolbool > prodcartrealnprodfuncartrealnboolfunfuncartrealnboolbool)).
thf(cempty0, type, empty0 : ($o > $o)).
thf(cfinite, type, finite : ((q52112 > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cgraph0, type, graph0 : (((q1162685 > $o) > $o) > $o)).
thf(cfan7, type, fan7 : (prodcartrealnprodfuncartrealnboolfunfuncartrealnboolbool > $o)).
thf(cfan6, type, fan6 : (prodcartrealnprodfuncartrealnboolfunfuncartrealnboolbool > $o)).
thf(cfan2, type, fan2 : (prodcartrealnprodfuncartrealnboolfunfuncartrealnboolbool > $o)).
thf(cfan1, type, fan1 : (prodcartrealnprodfuncartrealnboolfunfuncartrealnboolbool > $o)).
thf(cgraph, type, graph : (((cartrealn > $o) > $o) > $o)).
thf(cfan, type, fan : (prodcartrealnprodfuncartrealnboolfunfuncartrealnboolbool > $o)).
thf(cempty1, type, empty1 : (q1890936 > $o)).
thf(csnd, type, snd : (prodcartrealncartrealn > cartrealn)).
thf(cfst, type, fst : (prodcartrealncartrealn > cartrealn)).
thf(ccard1, type, card1 : ((q52112 > $o) > num)).
thf(ccard0, type, card0 : (($o > $o) > num)).
thf(ccard, type, card : ((cartrealn > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFST, axiom, ![X:cartrealn,Y:cartrealn]:((fst @ (c_1 @ X @ Y)) = X)).
thf(aFano_FAN, axiom, ![X:cartrealn,V:(cartrealn > $o),E:((cartrealn > $o) > $o)]:((fan @ (c_ @ X @ (c_0 @ V @ E))) <=> ((subset @ (unions @ E) @ V) & (graph @ E) & (fan1 @ (c_ @ X @ (c_0 @ V @ E))) & (fan2 @ (c_ @ X @ (c_0 @ V @ E))) & (fan6 @ (c_ @ X @ (c_0 @ V @ E))) & (fan7 @ (c_ @ X @ (c_0 @ V @ E)))))).
thf(aFano_graph, axiom, ![E:((q1162685 > $o) > $o)]:((graph0 @ E) <=> ![E0:(q1162685 > $o)]:((E @ E0) => (hasu_size @ E0 @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aGeomdetailo_CARD2u_monomorphized1, axiom, ![A:cartrealn,B:cartrealn]:((l_a_ @ (card @ (insert @ A @ (insert @ B @ empty))) @ (numeral @ (bit0 @ (bit1 @ u_0)))) & (((card @ (insert @ A @ (insert @ B @ empty))) = (numeral @ (bit0 @ (bit1 @ u_0)))) <=> ~ ((A = B))))).
thf(aGeomdetailo_CARD2u_monomorphized0, axiom, ![A:$o,B:$o]:((l_a_ @ (card0 @ (insert0 @ A @ (insert0 @ B @ empty0))) @ (numeral @ (bit0 @ (bit1 @ u_0)))) & (((card0 @ (insert0 @ A @ (insert0 @ B @ empty0))) = (numeral @ (bit0 @ (bit1 @ u_0)))) <=> ~ ((A <=> B))))).
thf(aHASu_SIZE, axiom, ![S:(q52112 > $o),N:num]:((hasu_size0 @ S @ N) <=> ((finite @ S) & ((card1 @ S) = N)))).
thf(aIN, axiom, ![P:(prodcartrealncartrealn > $o),X:prodcartrealncartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > prodcartrealncartrealn > $o) > $o),X:prodcartrealncartrealn]:((in @ X @ (gspec @ ^[V:prodcartrealncartrealn]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:prodcartrealncartrealn]:(P0 & (X = T))))).
thf(aINu_UNION, axiom, ![S:(prodcartrealncartrealn > $o),T:(prodcartrealncartrealn > $o),X:prodcartrealncartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPAIRu_EQ, axiom, ![X:cartrealn,Y:prodfuncartrealnboolfunfuncartrealnboolbool,A:cartrealn,B:prodfuncartrealnboolfunfuncartrealnboolbool]:(((c_ @ X @ Y) = (c_ @ A @ B)) <=> ((X = A) & (Y = B)))).
thf(aSND, axiom, ![X:cartrealn,Y:cartrealn]:((snd @ (c_1 @ X @ Y)) = Y)).
thf(aTRUTH, axiom, $true).
thf(aWrgcvdru_cizmrrho_dartsu_ofu_hyp, axiom, ![E:((cartrealn > $o) > $o),V:(cartrealn > $o)]:((dartsu_ofu_hyp @ E @ V) = (union @ (ordu_pairs @ E) @ (selfu_pairs @ E @ V)))).
thf(aWrgcvdru_cizmrrho_ordu_pairs, axiom, ![E:((q1890936 > $o) > $o)]:((ordu_pairs0 @ E) = (gspec0 @ ^[GENR_PVARR_1732:prodq1890936q1890936]:?[A:q1890936,B:q1890936]:(setspec0 @ GENR_PVARR_1732 @ (in0 @ (insert1 @ A @ (insert1 @ B @ empty1)) @ E) @ (c_2 @ A @ B))))).
thf(aWrgcvdru_cizmrrho_selfu_pairs, axiom, ![V:(cartrealn > $o),E:((cartrealn > $o) > $o)]:((selfu_pairs @ E @ V) = (gspec @ ^[GENR_PVARR_1733:prodcartrealncartrealn]:?[V0:cartrealn]:(setspec @ GENR_PVARR_1733 @ ((in1 @ V0 @ V) & ((ee @ V0 @ E) = empty)) @ (c_1 @ V0 @ V0))))).
thf(conjecture, conjecture, ![V:(cartrealn > $o),E:((cartrealn > $o) > $o),Y:prodcartrealncartrealn,X:cartrealn]:(((fan @ (c_ @ X @ (c_0 @ V @ E))) & (in @ Y @ (dartsu_ofu_hyp @ E @ V))) => (((fst @ Y) = (snd @ Y)) <=> (in @ Y @ (selfu_pairs @ E @ V))))).
