%   ORIGINAL: Local_lemmas.LOCAL_FAN_ORBIT_MAP_V
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Local_lemmas.LOCAL_FAN_RHO_NODE_PROS: local_fan (V,E,FF) ==> (!x. x IN V ==> x,rho_node1 FF x IN FF) /\ (!x. x IN FF ==> x = FST x,rho_node1 FF (FST x))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Wrgcvdr_cizmrrh.WRGCVDR: local_fan (V,E,FF) /\ k = (\x. FST x) ==> BIJ k FF V /\ ((!x. x IN V ==> x,hro x IN FF) /\ (!x. x IN FF ==> x = FST x,hro (FST x)) ==> (!x. x IN V ==> V = orbit_map hro x))
% Goal: local_fan (V,E,FF) ==> (!v. v IN V ==> orbit_map (rho_node1 FF) v = V)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !E V FF. local_fan (V,E,FF) ==> (!x. x IN V ==> x,rho_node1 FF x IN FF) /\ (!x. x IN FF ==> x = FST x,rho_node1 FF (FST x))
% Assm: ~F <=> T
% Assm: T
% Assm: !E k FF V hro. local_fan (V,E,FF) /\ k = (\x. FST x) ==> BIJ k FF V /\ ((!x. x IN V ==> x,hro x IN FF) /\ (!x. x IN FF ==> x = FST x,hro (FST x)) ==> (!x. x IN V ==> V = orbit_map hro x))
% Goal: !V FF E. local_fan (V,E,FF) ==> (!v. v IN V ==> orbit_map (rho_node1 FF) v = V)
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool, type, prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool : $tType).
thf(tfunprodcartrealn3cartrealn3bool, type, funprodcartrealn3cartrealn3bool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tprodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool, type, prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool : $tType).
%  CONSTS
thf(cfst, type, fst : (prodcartrealn3cartrealn3 > cartrealn3)).
thf(cin0, type, in0 : (prodcartrealn3cartrealn3 > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cbij, type, bij : ((prodcartrealn3cartrealn3 > cartrealn3) > (prodcartrealn3cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(ccu_1, type, c_1 : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(crhouu_node1, type, rhou_node1 : ((prodcartrealn3cartrealn3 > $o) > cartrealn3 > cartrealn3)).
thf(corbituu_map, type, orbitu_map : ((cartrealn3 > cartrealn3) > cartrealn3 > cartrealn3 > $o)).
thf(ccu_0, type, c_0 : (((cartrealn3 > $o) > $o) > (prodcartrealn3cartrealn3 > $o) > prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool)).
thf(ccu_, type, c_ : ((cartrealn3 > $o) > prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool)).
thf(clocaluu_fan, type, localu_fan : (prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLocalu_lemmaso_LOCALu_FANu_RHOu_NODEu_PROS, axiom, ![E:((cartrealn3 > $o) > $o),V:(cartrealn3 > $o),FF:(prodcartrealn3cartrealn3 > $o)]:((localu_fan @ (c_ @ V @ (c_0 @ E @ FF))) => (![X:cartrealn3]:((in @ X @ V) => (in0 @ (c_1 @ X @ (rhou_node1 @ FF @ X)) @ FF)) & ![X:prodcartrealn3cartrealn3]:((in0 @ X @ FF) => (X = (c_1 @ (fst @ X) @ (rhou_node1 @ FF @ (fst @ X)))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aWrgcvdru_cizmrrho_WRGCVDR, axiom, ![E:((cartrealn3 > $o) > $o),K:(prodcartrealn3cartrealn3 > cartrealn3),FF:(prodcartrealn3cartrealn3 > $o),V:(cartrealn3 > $o),HRO:(cartrealn3 > cartrealn3)]:(((localu_fan @ (c_ @ V @ (c_0 @ E @ FF))) & (K = ^[X:prodcartrealn3cartrealn3]:(fst @ X))) => ((bij @ K @ FF @ V) & ((![X:cartrealn3]:((in @ X @ V) => (in0 @ (c_1 @ X @ (HRO @ X)) @ FF)) & ![X:prodcartrealn3cartrealn3]:((in0 @ X @ FF) => (X = (c_1 @ (fst @ X) @ (HRO @ (fst @ X)))))) => ![X:cartrealn3]:((in @ X @ V) => (V = (orbitu_map @ HRO @ X))))))).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),FF:(prodcartrealn3cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((localu_fan @ (c_ @ V @ (c_0 @ E @ FF))) => ![V0:cartrealn3]:((in @ V0 @ V) => ((orbitu_map @ (rhou_node1 @ FF) @ V0) = V)))).
