%   ORIGINAL: Local_lemmas.LOFA_V_SUBSET_AFF_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: DISJOINT_EMPTY: !s. DISJOINT {} s /\ DISJOINT s {}
% Assm: DISJOINT_INSERT: !x s t. DISJOINT (x INSERT s) t <=> DISJOINT s t /\ ~(x IN t)
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FST: !x y. FST (x,y) = x
% Assm: Fan.POWER_conjunct0: !f. f POWER 0 = I
% Assm: Fan.orbit_map: !f x. orbit_map f x = {(f POWER n) x | n >= 0}
% Assm: Hypermap.COM_POWER: !n f. f POWER SUC n = f o (f POWER n)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT_COMM: !x y s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: INSERT_SUBSET: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: INT_GE: !x y. x >= y <=> y <= x
% Assm: INT_LT_DISCRETE: !x y. x < y <=> x + &1 <= y
% Assm: INT_NOT_EQ: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: INT_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: INT_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: INT_OF_NUM_GE: !m n. &m >= &n <=> m >= n
% Assm: INT_POS: !n. &0 <= &n
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: I_THM: !x. I x = x
% Assm: LE_0: !n. 0 <= n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: Ldurdpn.IN_HULL_INSERT: !x. x IN P hull (x INSERT S)
% Assm: Local_lemmas.AFF2_ITR_CONV0_IMP_SAME_ENDS: !a b. t IN aff {x, y} INTER conv0 {a, b} ==> (a IN aff {x, y} <=> b IN aff {x, y})
% Assm: Local_lemmas.CVX_LO_IMP_LO: convex_local_fan (V,E,FF) ==> local_fan (V,E,FF)
% Assm: Local_lemmas.EXISTS_INTERSECTION_PROPERPLY: (~(z = x) /\ DISJOINT {x} {v, w} /\ ~(x = u) /\ ~(aff_gt {x} {v, w} INTER aff_lt {x} {u} = {}) /\ z IN affine hull {x, v, w}) /\ ~collinear {x, v, w} ==> (?a b t. {a, b} SUBSET {u, v, w} /\ t IN aff {x, z} INTER conv0 {a, b} /\ ~(a IN aff {x, z}))
% Assm: Local_lemmas.FAN_IMP_V_DIFF: FAN (x,V,E) ==> (!v. v IN V ==> ~(v = x))
% Assm: Local_lemmas.IN_AFF_HULL_3: x' IN aff_gt {x} {v, w} INTER aff_lt {x} {u} ==> u IN affine hull {x, v, w}
% Assm: Local_lemmas.LOCAL_FAN_IMP_IN_V: local_fan (V,E,FF) /\ x,y IN FF ==> x IN V /\ y IN V
% Assm: Local_lemmas.LOCAL_FAN_IN_FF_NOT_COLLINEAR: local_fan (V,E,FF) /\ x IN FF ==> ~collinear {vec 0, FST x, SND x}
% Assm: Local_lemmas.LOCAL_FAN_ORBIT_MAP_V: local_fan (V,E,FF) ==> (!v. v IN V ==> orbit_map (rho_node1 FF) v = V)
% Assm: Local_lemmas.LOCAL_FAN_ORBIT_MAP_VITER: local_fan (V,E,FF) ==> (!v n. v IN V ==> ITER n (rho_node1 FF) v IN V)
% Assm: Local_lemmas.OZQVSFF: !u w. convex_local_fan (V,E,FF) /\ {u, v, w} SUBSET V /\ plane P /\ {vec 0, u, v, w} SUBSET P /\ {u, w} INTER aff {vec 0, v} = {} /\ ~(aff {v, vec 0} INTER conv0 {w, u} = {}) ==> interior_angle1 (vec 0) FF v = pi /\ rho_node1 FF v IN P /\ ivs_rho_node1 FF v IN P
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: ONE: 1 = SUC 0
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SND: !x y. SND (x,y) = y
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_TRANS: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: Sphere.plane: !x. plane x <=> (?u v w. ~collinear {u, v, w} /\ x = affine hull {u, v, w})
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: Trigonometry2.IN_P_HULL_INSERT: a IN P hull (a INSERT s)
% Assm: Wrgcvdr_cizmrrh.LOCAL_FAN_IMP_FAN: local_fan (V,E,FF) ==> FAN (vec 0,V,E)
% Assm: Wrgcvdr_cizmrrh.POWER_TO_ITER: !n. f POWER n = ITER n f
% Assm: int_add_th: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Goal: !w v. v,w IN FF /\ convex_local_fan (V,E,FF) /\ u IN V /\ ~(aff_gt {vec 0} {v, w} INTER aff_lt {vec 0} {u} = {}) ==> V SUBSET affine hull {v, w, vec 0} /\ ~collinear {vec 0, v, w}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: BIT0 _0 = _0
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !s. DISJOINT {} s /\ DISJOINT s {}
% Assm: !x s t. DISJOINT (x INSERT s) t <=> DISJOINT s t /\ ~(x IN t)
% Assm: !s. {} SUBSET s
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x y. FST (x,y) = x
% Assm: !f. f POWER 0 = I
% Assm: !f x. orbit_map f x = {(f POWER n) x | n >= 0}
% Assm: !n f. f POWER SUC n = f o (f POWER n)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: !x y. x >= y <=> y <= x
% Assm: !x y. x < y <=> x + &1 <= y
% Assm: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !m n. &m >= &n <=> m >= n
% Assm: !n. &0 <= &n
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !x. I x = x
% Assm: !n. 0 <= n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !P S x. x IN P hull (x INSERT S)
% Assm: !t x y a b. t IN aff {x, y} INTER conv0 {a, b} ==> (a IN aff {x, y} <=> b IN aff {x, y})
% Assm: !V E FF. convex_local_fan (V,E,FF) ==> local_fan (V,E,FF)
% Assm: !u v w x z. (~(z = x) /\ DISJOINT {x} {v, w} /\ ~(x = u) /\ ~(aff_gt {x} {v, w} INTER aff_lt {x} {u} = {}) /\ z IN affine hull {x, v, w}) /\ ~collinear {x, v, w} ==> (?a b t. {a, b} SUBSET {u, v, w} /\ t IN aff {x, z} INTER conv0 {a, b} /\ ~(a IN aff {x, z}))
% Assm: !E V x. FAN (x,V,E) ==> (!v. v IN V ==> ~(v = x))
% Assm: !x' u x v w. x' IN aff_gt {x} {v, w} INTER aff_lt {x} {u} ==> u IN affine hull {x, v, w}
% Assm: !E FF x y V. local_fan (V,E,FF) /\ x,y IN FF ==> x IN V /\ y IN V
% Assm: !V E FF x. local_fan (V,E,FF) /\ x IN FF ==> ~collinear {vec 0, FST x, SND x}
% Assm: !E FF V. local_fan (V,E,FF) ==> (!v. v IN V ==> orbit_map (rho_node1 FF) v = V)
% Assm: !E FF V. local_fan (V,E,FF) ==> (!v n. v IN V ==> ITER n (rho_node1 FF) v IN V)
% Assm: !E V FF v P u w. convex_local_fan (V,E,FF) /\ {u, v, w} SUBSET V /\ plane P /\ {vec 0, u, v, w} SUBSET P /\ {u, w} INTER aff {vec 0, v} = {} /\ ~(aff {v, vec 0} INTER conv0 {w, u} = {}) ==> interior_angle1 (vec 0) FF v = pi /\ rho_node1 FF v IN P /\ ivs_rho_node1 FF v IN P
% Assm: !m. m * 0 = 0
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: 1 = SUC 0
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x y. --x * y = --(x * y)
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: !x. x * &0 = &0
% Assm: !x y. SND (x,y) = y
% Assm: !x y. SND (x,y) = y
% Assm: !x y. SND (x,y) = y
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t u. s SUBSET t /\ t SUBSET u ==> s SUBSET u
% Assm: !x. plane x <=> (?u v w. ~collinear {u, v, w} /\ x = affine hull {u, v, w})
% Assm: T
% Assm: 2 = SUC 1
% Assm: !P a s. a IN P hull (a INSERT s)
% Assm: !FF V E. local_fan (V,E,FF) ==> FAN (vec 0,V,E)
% Assm: !f n. f POWER n = ITER n f
% Assm: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !f g x. (f o g) x = f (g x)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Goal: !V u FF E w v. v,w IN FF /\ convex_local_fan (V,E,FF) /\ u IN V /\ ~(aff_gt {vec 0} {v, w} INTER aff_lt {vec 0} {u} = {}) ==> V SUBSET affine hull {v, w, vec 0} /\ ~collinear {vec 0, v, w}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq1892156, type, q1892156 : $tType).
thf(tint, type, int : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool, type, prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool : $tType).
thf(tfunprodcartrealn3cartrealn3bool, type, funprodcartrealn3cartrealn3bool : $tType).
thf(tfunfuncartrealn3boolbool, type, funfuncartrealn3boolbool : $tType).
thf(tfuncartrealn3bool, type, funcartrealn3bool : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
thf(tprodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool, type, prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool : $tType).
thf(tprodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool, type, prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool : $tType).
%  CONSTS
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(csnd0, type, snd0 : (prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > prodcartrealn3cartrealn3 > $o)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(csnd, type, snd : (prodcartrealn3cartrealn3 > cartrealn3)).
thf(cfst0, type, fst0 : (prodcartrealn3cartrealn3 > cartrealn3)).
thf(cconv0, type, conv0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(caff, type, aff : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(ci0, type, i0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cgspec0, type, gspec0 : ((prodcartrealn3cartrealn3 > $o) > prodcartrealn3cartrealn3 > $o)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cintuu_ge, type, intu_ge : (int > int > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cfst, type, fst : (prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > cartrealn3 > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin, type, in : (prodcartrealn3cartrealn3 > (prodcartrealn3cartrealn3 > $o) > $o)).
thf(cpi, type, pi : real).
thf(co0, type, o0 : ((b > cartrealn3 > $o) > (a > b) > a > cartrealn3 > $o)).
thf(citer0, type, iter0 : (num > (q1892156 > q1892156) > q1892156 > q1892156)).
thf(cpower1, type, power1 : ((q1892156 > q1892156) > num > q1892156 > q1892156)).
thf(csnd1, type, snd1 : (prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool)).
thf(civsuu_rhouu_node1, type, ivsu_rhou_node1 : ((prodcartrealn3cartrealn3 > $o) > cartrealn3 > cartrealn3)).
thf(cinterioruu_angle1, type, interioru_angle1 : (cartrealn3 > (prodcartrealn3cartrealn3 > $o) > cartrealn3 > real)).
thf(citer, type, iter : (num > (cartrealn3 > cartrealn3) > cartrealn3 > cartrealn3)).
thf(crhouu_node1, type, rhou_node1 : ((prodcartrealn3cartrealn3 > $o) > cartrealn3 > cartrealn3)).
thf(ccu_3, type, c_3 : ((cartrealn3 > $o) > ((cartrealn3 > $o) > $o) > prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(ccu_2, type, c_2 : (cartrealn3 > prodfuncartrealn3boolfunfuncartrealn3boolbool > prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool)).
thf(csetspec0, type, setspec0 : (prodcartrealn3cartrealn3 > $o > prodcartrealn3cartrealn3 > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(cpower0, type, power0 : ((cartrealn3 > cartrealn3) > num > cartrealn3 > cartrealn3)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(corbituu_map, type, orbitu_map : ((cartrealn3 > cartrealn3) > cartrealn3 > cartrealn3 > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(caffuu_lt, type, affu_lt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinter, type, inter : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_1, type, c_1 : (((cartrealn3 > $o) > $o) > (prodcartrealn3cartrealn3 > $o) > prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool)).
thf(ccu_0, type, c_0 : ((cartrealn3 > $o) > prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cplane, type, plane : ((cartrealn3 > $o) > $o)).
thf(cfan, type, fan : (prodcartrealn3prodfuncartrealn3boolfunfuncartrealn3boolbool > $o)).
thf(clocaluu_fan, type, localu_fan : (prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cconvexuu_localuu_fan, type, convexu_localu_fan : (prodfuncartrealn3boolprodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool > $o)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(csuc, type, suc : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aDISJOINTu_EMPTY, axiom, ![S:(cartrealn3 > $o)]:((disjoint @ empty @ S) & (disjoint @ S @ empty))).
thf(aDISJOINTu_INSERT, axiom, ![X:cartrealn3,S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((disjoint @ (insert @ X @ S) @ T) <=> ((disjoint @ S @ T) & ~ ((in0 @ X @ T))))).
thf(aEMPTYu_SUBSET, axiom, ![S:(cartrealn3 > $o)]:(subset @ empty @ S)).
thf(aETAu_AX, axiom, ![T:(cartrealn3 > $o)]:(^[X:cartrealn3]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in0 @ X @ S) <=> (in0 @ X @ T)))).
thf(aFST, axiom, ![X:(cartrealn3 > $o),Y:prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool]:((fst @ (c_0 @ X @ Y)) = X)).
thf(aFano_POWERu_conjunct0, axiom, ![F:(a > a)]:((power @ F @ (numeral @ u_0)) = i)).
thf(aFano_orbitu_map, axiom, ![F:(cartrealn3 > cartrealn3),X:cartrealn3]:((orbitu_map @ F @ X) = (gspec @ ^[GENR_PVARR_314:cartrealn3]:?[N:num]:(setspec @ GENR_PVARR_314 @ (g_a_ @ N @ (numeral @ u_0)) @ (power0 @ F @ N @ X))))).
thf(aHypermapo_COMu_POWER, axiom, ![N:num,F:(a > a)]:((power @ F @ (suc @ N)) = (o @ F @ (power @ F @ N)))).
thf(aINu_monomorphized1, axiom, ![P:(prodcartrealn3cartrealn3 > $o),X:prodcartrealn3cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in0 @ X @ P) <=> (P @ X))).
thf(aINSERTu_COMM, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((insert @ X @ (insert @ Y @ S)) = (insert @ Y @ (insert @ X @ S)))).
thf(aINSERTu_SUBSET, axiom, ![X:cartrealn3,S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ (insert @ X @ S) @ T) <=> ((in0 @ X @ T) & (subset @ S @ T)))).
thf(aINTu_GE, axiom, ![X:int,Y:int]:((intu_ge @ X @ Y) <=> (intu_le @ Y @ X))).
thf(aINTu_LTu_DISCRETE, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (intu_le @ (intu_add @ X @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y))).
thf(aINTu_NOTu_EQ, axiom, ![X:int,Y:int]:(~ ((X = Y)) <=> ((intu_lt @ X @ Y) | (intu_lt @ Y @ X)))).
thf(aINTu_NOTu_LE, axiom, ![X:int,Y:int]:(~ ((intu_le @ X @ Y)) <=> (intu_lt @ Y @ X))).
thf(aINTu_NOTu_LT, axiom, ![X:int,Y:int]:(~ ((intu_lt @ X @ Y)) <=> (intu_le @ Y @ X))).
thf(aINTu_OFu_NUMu_GE, axiom, ![M:num,N:num]:((intu_ge @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (g_a_ @ M @ N))).
thf(aINTu_POS, axiom, ![N:num]:(intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_ofu_num @ N))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized1, axiom, ![P:(($o > prodcartrealn3cartrealn3 > $o) > $o),X:prodcartrealn3cartrealn3]:((in @ X @ (gspec0 @ ^[V:prodcartrealn3cartrealn3]:(P @ (setspec0 @ V)))) <=> (P @ ^[P0:$o,T:prodcartrealn3cartrealn3]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct0u_monomorphized0, axiom, ![P:(($o > cartrealn3 > $o) > $o),X:cartrealn3]:((in0 @ X @ (gspec @ ^[V:cartrealn3]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn3]:(P0 & (X = T))))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),X:cartrealn3]:((in0 @ X @ (inter @ S @ T)) <=> ((in0 @ X @ S) & (in0 @ X @ T)))).
thf(aIu_THM, axiom, ![X:(cartrealn3 > $o)]:((i0 @ X) = X)).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aLdurdpno_INu_HULLu_INSERT, axiom, ![P:((cartrealn3 > $o) > $o),S:(cartrealn3 > $o),X:cartrealn3]:(in0 @ X @ (hull @ P @ (insert @ X @ S)))).
thf(aLocalu_lemmaso_AFF2u_ITRu_CONV0u_IMPu_SAMEu_ENDS, axiom, ![T:cartrealn3,X:cartrealn3,Y:cartrealn3,A:cartrealn3,B:cartrealn3]:((in0 @ T @ (inter @ (aff @ (insert @ X @ (insert @ Y @ empty))) @ (conv0 @ (insert @ A @ (insert @ B @ empty))))) => ((in0 @ A @ (aff @ (insert @ X @ (insert @ Y @ empty)))) <=> (in0 @ B @ (aff @ (insert @ X @ (insert @ Y @ empty))))))).
thf(aLocalu_lemmaso_CVXu_LOu_IMPu_LO, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),FF:(prodcartrealn3cartrealn3 > $o)]:((convexu_localu_fan @ (c_0 @ V @ (c_1 @ E @ FF))) => (localu_fan @ (c_0 @ V @ (c_1 @ E @ FF))))).
thf(aLocalu_lemmaso_EXISTSu_INTERSECTIONu_PROPERPLY, axiom, ![U:cartrealn3,V:cartrealn3,W:cartrealn3,X:cartrealn3,Z:cartrealn3]:((~ ((Z = X)) & (disjoint @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty))) & ~ ((X = U)) & ~ (((inter @ (affu_gt @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty))) @ (affu_lt @ (insert @ X @ empty) @ (insert @ U @ empty))) = empty)) & (in0 @ Z @ (hull @ affine @ (insert @ X @ (insert @ V @ (insert @ W @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W @ empty)))))) => ?[A:cartrealn3,B:cartrealn3,T:cartrealn3]:((subset @ (insert @ A @ (insert @ B @ empty)) @ (insert @ U @ (insert @ V @ (insert @ W @ empty)))) & (in0 @ T @ (inter @ (aff @ (insert @ X @ (insert @ Z @ empty))) @ (conv0 @ (insert @ A @ (insert @ B @ empty))))) & ~ ((in0 @ A @ (aff @ (insert @ X @ (insert @ Z @ empty)))))))).
thf(aLocalu_lemmaso_FANu_IMPu_Vu_DIFF, axiom, ![E:((cartrealn3 > $o) > $o),V:(cartrealn3 > $o),X:cartrealn3]:((fan @ (c_2 @ X @ (c_3 @ V @ E))) => ![V0:cartrealn3]:((in0 @ V0 @ V) => ~ ((V0 = X))))).
thf(aLocalu_lemmaso_INu_AFFu_HULLu_3, axiom, ![XI_:cartrealn3,U:cartrealn3,X:cartrealn3,V:cartrealn3,W:cartrealn3]:((in0 @ XI_ @ (inter @ (affu_gt @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty))) @ (affu_lt @ (insert @ X @ empty) @ (insert @ U @ empty)))) => (in0 @ U @ (hull @ affine @ (insert @ X @ (insert @ V @ (insert @ W @ empty))))))).
thf(aLocalu_lemmaso_LOCALu_FANu_IMPu_INu_V, axiom, ![E:((cartrealn3 > $o) > $o),FF:(prodcartrealn3cartrealn3 > $o),X:cartrealn3,Y:cartrealn3,V:(cartrealn3 > $o)]:(((localu_fan @ (c_0 @ V @ (c_1 @ E @ FF))) & (in @ (c_ @ X @ Y) @ FF)) => ((in0 @ X @ V) & (in0 @ Y @ V)))).
thf(aLocalu_lemmaso_LOCALu_FANu_INu_FFu_NOTu_COLLINEAR, axiom, ![V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o),FF:(prodcartrealn3cartrealn3 > $o),X:prodcartrealn3cartrealn3]:(((localu_fan @ (c_0 @ V @ (c_1 @ E @ FF))) & (in @ X @ FF)) => ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (fst0 @ X) @ (insert @ (snd @ X) @ empty))))))).
thf(aLocalu_lemmaso_LOCALu_FANu_ORBITu_MAPu_V, axiom, ![E:((cartrealn3 > $o) > $o),FF:(prodcartrealn3cartrealn3 > $o),V:(cartrealn3 > $o)]:((localu_fan @ (c_0 @ V @ (c_1 @ E @ FF))) => ![V0:cartrealn3]:((in0 @ V0 @ V) => ((orbitu_map @ (rhou_node1 @ FF) @ V0) = V)))).
thf(aLocalu_lemmaso_LOCALu_FANu_ORBITu_MAPu_VITER, axiom, ![E:((cartrealn3 > $o) > $o),FF:(prodcartrealn3cartrealn3 > $o),V:(cartrealn3 > $o)]:((localu_fan @ (c_0 @ V @ (c_1 @ E @ FF))) => ![V0:cartrealn3,N:num]:((in0 @ V0 @ V) => (in0 @ (iter @ N @ (rhou_node1 @ FF) @ V0) @ V)))).
thf(aLocalu_lemmaso_OZQVSFF, axiom, ![E:((cartrealn3 > $o) > $o),V:(cartrealn3 > $o),FF:(prodcartrealn3cartrealn3 > $o),V0:cartrealn3,P:(cartrealn3 > $o),U:cartrealn3,W:cartrealn3]:(((convexu_localu_fan @ (c_0 @ V @ (c_1 @ E @ FF))) & (subset @ (insert @ U @ (insert @ V0 @ (insert @ W @ empty))) @ V) & (plane @ P) & (subset @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ U @ (insert @ V0 @ (insert @ W @ empty)))) @ P) & ((inter @ (insert @ U @ (insert @ W @ empty)) @ (aff @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ V0 @ empty)))) = empty) & ~ (((inter @ (aff @ (insert @ V0 @ (insert @ (vec @ (numeral @ u_0)) @ empty))) @ (conv0 @ (insert @ W @ (insert @ U @ empty)))) = empty))) => (((interioru_angle1 @ (vec @ (numeral @ u_0)) @ FF @ V0) = pi) & (in0 @ (rhou_node1 @ FF @ V0) @ P) & (in0 @ (ivsu_rhou_node1 @ FF @ V0) @ P)))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in0 @ X @ empty))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSNDu_monomorphized2, axiom, ![X:((cartrealn3 > $o) > $o),Y:(prodcartrealn3cartrealn3 > $o)]:((snd0 @ (c_1 @ X @ Y)) = Y)).
thf(aSNDu_monomorphized1, axiom, ![X:(cartrealn3 > $o),Y:prodfunfuncartrealn3boolboolfunprodcartrealn3cartrealn3bool]:((snd1 @ (c_0 @ X @ Y)) = Y)).
thf(aSNDu_monomorphized0, axiom, ![X:cartrealn3,Y:cartrealn3]:((snd @ (c_ @ X @ Y)) = Y)).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSUBSETu_TRANS, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o),U:(cartrealn3 > $o)]:(((subset @ S @ T) & (subset @ T @ U)) => (subset @ S @ U))).
thf(aSphereo_plane, axiom, ![X:(cartrealn3 > $o)]:((plane @ X) <=> ?[U:cartrealn3,V:cartrealn3,W:cartrealn3]:(~ ((collinear @ (insert @ U @ (insert @ V @ (insert @ W @ empty))))) & (X = (hull @ affine @ (insert @ U @ (insert @ V @ (insert @ W @ empty)))))))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometry2o_INu_Pu_HULLu_INSERT, axiom, ![P:((cartrealn3 > $o) > $o),A:cartrealn3,S:(cartrealn3 > $o)]:(in0 @ A @ (hull @ P @ (insert @ A @ S)))).
thf(aWrgcvdru_cizmrrho_LOCALu_FANu_IMPu_FAN, axiom, ![FF:(prodcartrealn3cartrealn3 > $o),V:(cartrealn3 > $o),E:((cartrealn3 > $o) > $o)]:((localu_fan @ (c_0 @ V @ (c_1 @ E @ FF))) => (fan @ (c_2 @ (vec @ (numeral @ u_0)) @ (c_3 @ V @ E))))).
thf(aWrgcvdru_cizmrrho_POWERu_TOu_ITER, axiom, ![F:(q1892156 > q1892156),N:num]:((power1 @ F @ N) = (iter0 @ N @ F))).
thf(aintu_addu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_add @ X @ Y)) = (realu_add @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(aou_THM, axiom, ![F:(b > cartrealn3 > $o),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),U:cartrealn3,FF:(prodcartrealn3cartrealn3 > $o),E:((cartrealn3 > $o) > $o),W:cartrealn3,V0:cartrealn3]:(((in @ (c_ @ V0 @ W) @ FF) & (convexu_localu_fan @ (c_0 @ V @ (c_1 @ E @ FF))) & (in0 @ U @ V) & ~ (((inter @ (affu_gt @ (insert @ (vec @ (numeral @ u_0)) @ empty) @ (insert @ V0 @ (insert @ W @ empty))) @ (affu_lt @ (insert @ (vec @ (numeral @ u_0)) @ empty) @ (insert @ U @ empty))) = empty))) => ((subset @ V @ (hull @ affine @ (insert @ V0 @ (insert @ W @ (insert @ (vec @ (numeral @ u_0)) @ empty))))) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ V0 @ (insert @ W @ empty)))))))).
