%   ORIGINAL: Local_lemmas.X_IN_AFF_GE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: FINITE_SING: !a. FINITE {a}
% Assm: Hypermap.FINITE_SINGLETON: !x. FINITE {x}
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LE_01: &0 <= &1
% Assm: SUM_SING: !f x. sum {x} f = f x
% Assm: SUM_UNION_LZERO: !f u v. FINITE v /\ (!x. x IN u /\ ~(x IN v) ==> f x = &0) ==> sum (u UNION v) f = sum v f
% Assm: Sphere.affsign: !v sgn s t. affsign sgn s t v <=> (?f. v = lin_combo (s UNION t) f /\ (!w. t w ==> sgn (f w)) /\ sum (s UNION t) f = &1)
% Assm: Sphere.lin_combo: !V f. lin_combo V f = vsum V (\v. f v % v)
% Assm: Sphere.sgn_ge: sgn_ge = (\t. &0 <= t)
% Assm: TRUTH: T
% Assm: Trigonometry.BYFLKYM2: aff_ge = affsign sgn_ge
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: VECTOR_MUL_LZERO: !x. &0 % x = vec 0
% Assm: VSUM_SING: !f x. vsum {x} f = f x
% Assm: VSUM_UNION_LZERO: !f u v. FINITE v /\ (!x. x IN u /\ ~(x IN v) ==> f x = vec 0) ==> vsum (u UNION v) f = vsum v f
% Goal: x IN aff_ge S {x}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !a. FINITE {a}
% Assm: !x. FINITE {x}
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: &0 <= &1
% Assm: !f x. sum {x} f = f x
% Assm: !f u v. FINITE v /\ (!x. x IN u /\ ~(x IN v) ==> f x = &0) ==> sum (u UNION v) f = sum v f
% Assm: !v sgn s t. affsign sgn s t v <=> (?f. v = lin_combo (s UNION t) f /\ (!w. t w ==> sgn (f w)) /\ sum (s UNION t) f = &1)
% Assm: !V f. lin_combo V f = vsum V (\v. f v % v)
% Assm: sgn_ge = (\t. &0 <= t)
% Assm: T
% Assm: aff_ge = affsign sgn_ge
% Assm: !x. &1 % x = x
% Assm: !x. &0 % x = vec 0
% Assm: !f x. vsum {x} f = f x
% Assm: !f u v. FINITE v /\ (!x. x IN u /\ ~(x IN v) ==> f x = vec 0) ==> vsum (u UNION v) f = vsum v f
% Goal: !x S. x IN aff_ge S {x}
%  TYPES
thf(tnum, type, num : $tType).
thf(tcartreala, type, cartreala : $tType).
thf(ta, type, a : $tType).
thf(tq97340, type, q97340 : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq104165, type, cartrealq104165 : $tType).
thf(tq104165, type, q104165 : $tType).
thf(tq97357, type, q97357 : $tType).
thf(tcartrealq97357, type, cartrealq97357 : $tType).
thf(tcartrealq97340, type, cartrealq97340 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealq97357)).
thf(csum0, type, sum0 : ((cartreala > $o) > (cartreala > real) > real)).
thf(csum, type, sum : ((cartrealn > $o) > (cartrealn > real) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cvsum0, type, vsum0 : ((cartrealn > $o) > (cartrealn > cartrealq104165) > cartrealq104165)).
thf(cru_1, type, r_1 : (real > cartrealq97357 > cartrealq97357)).
thf(cru_0, type, r_0 : (real > cartrealq97340 > cartrealq97340)).
thf(caffsign0, type, affsign0 : ((real > $o) > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvsum, type, vsum : ((cartrealn > $o) > (cartrealn > cartrealn) > cartrealn)).
thf(clinuu_combo0, type, linu_combo0 : ((cartrealn > $o) > (cartrealn > real) > cartrealn)).
thf(cunion0, type, union0 : ((cartreala > $o) > (cartreala > $o) > cartreala > $o)).
thf(clinuu_combo, type, linu_combo : ((cartreala > $o) > (cartreala > real) > cartreala)).
thf(caffsign, type, affsign : ((real > $o) > (cartreala > $o) > (cartreala > $o) > cartreala > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cfinite, type, finite : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cvec0, type, vec0 : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(csgnuu_ge, type, sgnu_ge : (real > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aFINITEu_SING, axiom, ![A:cartrealn]:(finite @ (insert @ A @ empty))).
thf(aHypermapo_FINITEu_SINGLETON, axiom, ![X:cartrealn]:(finite @ (insert @ X @ empty))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aREALu_LEu_01, axiom, (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aSUMu_SING, axiom, ![F:(cartrealn > real),X:cartrealn]:((sum @ (insert @ X @ empty) @ F) = (F @ X))).
thf(aSUMu_UNIONu_LZERO, axiom, ![F:(cartrealn > real),U:(cartrealn > $o),V:(cartrealn > $o)]:(((finite @ V) & ![X:cartrealn]:(((in @ X @ U) & ~ ((in @ X @ V))) => ((F @ X) = (realu_ofu_num @ (numeral @ u_0))))) => ((sum @ (union @ U @ V) @ F) = (sum @ V @ F)))).
thf(aSphereo_affsign, axiom, ![V:cartreala,SGN:(real > $o),S:(cartreala > $o),T:(cartreala > $o)]:((affsign @ SGN @ S @ T @ V) <=> ?[F:(cartreala > real)]:((V = (linu_combo @ (union0 @ S @ T) @ F)) & ![W:cartreala]:((T @ W) => (SGN @ (F @ W))) & ((sum0 @ (union0 @ S @ T) @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aSphereo_linu_combo, axiom, ![V:(cartrealn > $o),F:(cartrealn > real)]:((linu_combo0 @ V @ F) = (vsum @ V @ ^[V0:cartrealn]:(r_ @ (F @ V0) @ V0)))).
thf(aSphereo_sgnu_ge, axiom, (sgnu_ge = ^[T:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ T))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_BYFLKYM2, axiom, (affu_ge = (affsign0 @ sgnu_ge))).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealq97340]:((r_0 @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aVECTORu_MULu_LZERO, axiom, ![X:cartrealq97357]:((r_1 @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (vec @ (numeral @ u_0)))).
thf(aVSUMu_SING, axiom, ![F:(cartrealn > cartrealq104165),X:cartrealn]:((vsum0 @ (insert @ X @ empty) @ F) = (F @ X))).
thf(aVSUMu_UNIONu_LZERO, axiom, ![F:(cartrealn > cartrealn),U:(cartrealn > $o),V:(cartrealn > $o)]:(((finite @ V) & ![X:cartrealn]:(((in @ X @ U) & ~ ((in @ X @ V))) => ((F @ X) = (vec0 @ (numeral @ u_0))))) => ((vsum @ (union @ U @ V) @ F) = (vsum @ V @ F)))).
thf(conjecture, conjecture, ![X:cartrealn,S:(cartrealn > $o)]:(in @ X @ (affu_ge @ S @ (insert @ X @ empty)))).
