%   ORIGINAL: Local_lemmas.FIRST_IN_AFF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Trigonometry.BYFLKYM1: aff = (hull) affine
% Assm: Trigonometry2.IN_P_HULL_INSERT: a IN P hull (a INSERT s)
% Goal: a IN aff (a INSERT S)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: aff = (hull) affine
% Assm: !P a s. a IN P hull (a INSERT s)
% Goal: !S a. a IN aff (a INSERT S)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealq1952934, type, cartrealq1952934 : $tType).
thf(treal, type, real : $tType).
thf(tq1952934, type, q1952934 : $tType).
%  CONSTS
thf(caff, type, aff : ((cartrealq1952934 > $o) > cartrealq1952934 > $o)).
thf(cin, type, in : (cartrealq1952934 > (cartrealq1952934 > $o) > $o)).
thf(chull, type, hull : (((cartrealq1952934 > $o) > $o) > (cartrealq1952934 > $o) > cartrealq1952934 > $o)).
thf(cinsert, type, insert : (cartrealq1952934 > (cartrealq1952934 > $o) > cartrealq1952934 > $o)).
thf(caffine, type, affine : ((cartrealq1952934 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_BYFLKYM1, axiom, (aff = (hull @ affine))).
thf(aTrigonometry2o_INu_Pu_HULLu_INSERT, axiom, ![P:((cartrealq1952934 > $o) > $o),A:cartrealq1952934,S:(cartrealq1952934 > $o)]:(in @ A @ (hull @ P @ (insert @ A @ S)))).
thf(conjecture, conjecture, ![S:(cartrealq1952934 > $o),A:cartrealq1952934]:(in @ A @ (aff @ (insert @ A @ S)))).
