%   ORIGINAL: Local_lemmas.IN_CONV0_IMP_COLL_IFF
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Local_lemmas.IN_CONV0_EQ_EQ: !x. x IN conv0 {a, b} ==> (x = a <=> a = b)
% Assm: Local_lemmas.IN_CONV0_IMP_AFF_EQ: a IN conv0 {x, y} ==> aff {x, y} = aff {x, a}
% Assm: Local_lemmas.collinear_fan22: collinear {x, v, u} <=> u IN aff {x, v} \/ x = v
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: x IN conv0 {a, b} ==> (collinear {a, x, v} <=> collinear {a, b, v})
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b x. x IN conv0 {a, b} ==> (x = a <=> a = b)
% Assm: !y x a. a IN conv0 {x, y} ==> aff {x, y} = aff {x, a}
% Assm: !u x v. collinear {x, v, u} <=> u IN aff {x, v} \/ x = v
% Assm: ~F <=> T
% Assm: T
% Goal: !v b a x. x IN conv0 {a, b} ==> (collinear {a, x, v} <=> collinear {a, b, v})
%  TYPES
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq1955406, type, q1955406 : $tType).
thf(tcartrealq1955406, type, cartrealq1955406 : $tType).
%  CONSTS
thf(caff, type, aff : ((cartrealq1955406 > $o) > cartrealq1955406 > $o)).
thf(cconv0, type, conv0 : ((cartrealq1955406 > $o) > cartrealq1955406 > $o)).
thf(cin, type, in : (cartrealq1955406 > (cartrealq1955406 > $o) > $o)).
thf(cinsert, type, insert : (cartrealq1955406 > (cartrealq1955406 > $o) > cartrealq1955406 > $o)).
thf(ccollinear, type, collinear : ((cartrealq1955406 > $o) > $o)).
thf(cempty, type, empty : (cartrealq1955406 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLocalu_lemmaso_INu_CONV0u_EQu_EQ, axiom, ![A:cartrealq1955406,B:cartrealq1955406,X:cartrealq1955406]:((in @ X @ (conv0 @ (insert @ A @ (insert @ B @ empty)))) => ((X = A) <=> (A = B)))).
thf(aLocalu_lemmaso_INu_CONV0u_IMPu_AFFu_EQ, axiom, ![Y:cartrealq1955406,X:cartrealq1955406,A:cartrealq1955406]:((in @ A @ (conv0 @ (insert @ X @ (insert @ Y @ empty)))) => ((aff @ (insert @ X @ (insert @ Y @ empty))) = (aff @ (insert @ X @ (insert @ A @ empty)))))).
thf(aLocalu_lemmaso_collinearu_fan22, axiom, ![U:cartrealq1955406,X:cartrealq1955406,V:cartrealq1955406]:((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty)))) <=> ((in @ U @ (aff @ (insert @ X @ (insert @ V @ empty)))) | (X = V)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:cartrealq1955406,B:cartrealq1955406,A:cartrealq1955406,X:cartrealq1955406]:((in @ X @ (conv0 @ (insert @ A @ (insert @ B @ empty)))) => ((collinear @ (insert @ A @ (insert @ X @ (insert @ V @ empty)))) <=> (collinear @ (insert @ A @ (insert @ B @ (insert @ V @ empty))))))).
