%   ORIGINAL: Arc_properties.arc_concave
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct0: m + n = n + m
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_ASSOC: !m n p. m + n + p = (m + n) + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUB: !m n. (m + n) - n = m
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: ARITH_ADD_conjunct1: _0 + _0 = _0
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct3: !n. _0 + BIT1 n = BIT1 n
% Assm: ARITH_ADD_conjunct4: !n. BIT0 n + _0 = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_ADD_conjunct7: !m n. BIT0 m + BIT1 n = BIT1 (m + n)
% Assm: ARITH_ADD_conjunct8: !m n. BIT1 m + BIT0 n = BIT1 (m + n)
% Assm: ARITH_ADD_conjunct9: !m n. BIT1 m + BIT1 n = BIT0 (SUC (m + n))
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_EQ_conjunct9: !m n. BIT1 m = BIT1 n <=> m = n
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct2: !n. _0 * BIT0 n = _0
% Assm: ARITH_MULT_conjunct3: !n. _0 * BIT1 n = _0
% Assm: ARITH_MULT_conjunct4: !n. BIT0 n * _0 = _0
% Assm: ARITH_MULT_conjunct5: !n. BIT1 n * _0 = _0
% Assm: ARITH_MULT_conjunct6: !m n. BIT0 m * BIT0 n = BIT0 (BIT0 (m * n))
% Assm: ARITH_MULT_conjunct7: !m n. BIT0 m * BIT1 n = BIT0 m + BIT0 (BIT0 (m * n))
% Assm: ARITH_MULT_conjunct8: !m n. BIT1 m * BIT0 n = BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_SUC_conjunct2: !n. SUC (BIT0 n) = BIT1 n
% Assm: ARITH_SUC_conjunct3: !n. SUC (BIT1 n) = BIT0 (SUC n)
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: Arc_properties.REAL_CONVEX_ON_SECOND_DERIVATIVE: !f f' f'' s. is_realinterval s /\ ~(?a. s = {a}) /\ (!x. x IN s ==> (f has_real_derivative f' x) (atreal x within s)) /\ (!x. x IN s ==> (f' has_real_derivative f'' x) (atreal x within s)) ==> (f real_convex_on s <=> (!x. x IN s ==> &0 <= f'' x))
% Assm: Arc_properties.arc_derivative: !x b. (&2 <= x /\ x <= #2.52) /\ &2 <= b /\ b <= #2.52 ==> ((\x. arclength x b (&2)) has_real_derivative ((x + x) * &2 * x * b - (x * x + b * b - &2 * &2) * &2 * b) / (&2 * x * b) pow 2 * --inv (sqrt (&1 - ((x * x + b * b - &2 * &2) / (&2 * x * b)) pow 2))) (atreal x within real_interval [&2,#2.52])
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXP_ADD: !m n p. m EXP (n + p) = m EXP n * m EXP p
% Assm: EXP_conjunct0: !m. m EXP 0 = 1
% Assm: EXP_conjunct1: !m n. m EXP SUC n = m * m EXP n
% Assm: Float.POW_1: !x. x pow 1 = x
% Assm: HAS_REAL_DERIVATIVE_ADD: !f f' g g' net. (f has_real_derivative f') net /\ (g has_real_derivative g') net ==> ((\x. f x + g x) has_real_derivative f' + g') net
% Assm: HAS_REAL_DERIVATIVE_CHAIN: !P f g. (!x. P x ==> (g has_real_derivative g' x) (atreal x)) ==> (!x s. (f has_real_derivative f') (atreal x within s) /\ P (f x) ==> ((\x. g (f x)) has_real_derivative f' * g' (f x)) (atreal x within s)) /\ (!x. (f has_real_derivative f') (atreal x) /\ P (f x) ==> ((\x. g (f x)) has_real_derivative f' * g' (f x)) (atreal x))
% Assm: HAS_REAL_DERIVATIVE_CONST: !c net. ((\x. c) has_real_derivative &0) net
% Assm: HAS_REAL_DERIVATIVE_DIV_WITHIN: !f f' g g' x s. (f has_real_derivative f') (atreal x within s) /\ (g has_real_derivative g') (atreal x within s) /\ ~(g x = &0) ==> ((\x. f x / g x) has_real_derivative (f' * g x - f x * g') / g x pow 2) (atreal x within s)
% Assm: HAS_REAL_DERIVATIVE_ID: !net. ((\x. x) has_real_derivative &1) net
% Assm: HAS_REAL_DERIVATIVE_INCREASING_IMP: !f f' s a b. is_realinterval s /\ (!x. x IN s ==> (f has_real_derivative f' x) (atreal x within s)) /\ (!x. x IN s ==> &0 <= f' x) /\ a IN s /\ b IN s /\ a <= b ==> f a <= f b
% Assm: HAS_REAL_DERIVATIVE_INV_WITHIN: !f f' x s. (f has_real_derivative f') (atreal x within s) /\ ~(f x = &0) ==> ((\x. inv (f x)) has_real_derivative --f' / f x pow 2) (atreal x within s)
% Assm: HAS_REAL_DERIVATIVE_LMUL_WITHIN: !f f' c x s. (f has_real_derivative f') (atreal x within s) ==> ((\x. c * f x) has_real_derivative c * f') (atreal x within s)
% Assm: HAS_REAL_DERIVATIVE_MUL_WITHIN: !f f' g g' x s. (f has_real_derivative f') (atreal x within s) /\ (g has_real_derivative g') (atreal x within s) ==> ((\x. f x * g x) has_real_derivative f x * g' + f' * g x) (atreal x within s)
% Assm: HAS_REAL_DERIVATIVE_NEG: !f f' net. (f has_real_derivative f') net ==> ((\x. --f x) has_real_derivative --f') net
% Assm: HAS_REAL_DERIVATIVE_POW_WITHIN: !f f' x s n. (f has_real_derivative f') (atreal x within s) ==> ((\x. f x pow n) has_real_derivative &n * f x pow (n - 1) * f') (atreal x within s)
% Assm: HAS_REAL_DERIVATIVE_RMUL_WITHIN: !f f' c x s. (f has_real_derivative f') (atreal x within s) ==> ((\x. f x * c) has_real_derivative f' * c) (atreal x within s)
% Assm: HAS_REAL_DERIVATIVE_SQRT: !x. &0 < x ==> (sqrt has_real_derivative inv (&2 * sqrt x)) (atreal x)
% Assm: HAS_REAL_DERIVATIVE_SUB: !f f' g g' net. (f has_real_derivative f') net /\ (g has_real_derivative g') net ==> ((\x. f x - g x) has_real_derivative f' - g') net
% Assm: IN_REAL_INTERVAL: !a b x. (x IN real_interval [a,b] <=> a <= x /\ x <= b) /\ (x IN real_interval (a,b) <=> a < x /\ x < b)
% Assm: IN_SING: !x y. x IN {y} <=> x = y
% Assm: IS_REALINTERVAL_INTERVAL: !a b. is_realinterval (real_interval (a,b)) /\ is_realinterval (real_interval [a,b])
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_0: !n. 0 <= n
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_EQ_ADD_LCANCEL: !x y z. x + y = x + z <=> y = z
% Assm: REAL_INV_DIV: !x y. inv (x / y) = y / x
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_INV_NEG: !x. inv (--x) = --inv x
% Assm: REAL_INV_POW: !x n. inv (x pow n) = inv x pow n
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_INV: !x. &0 <= x ==> &0 <= inv x
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LE_SQUARE_ABS: !x y. abs x <= abs y <=> x pow 2 <= y pow 2
% Assm: REAL_LE_TRANS: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_LT_SQUARE_ABS: !x y. abs x < abs y <=> x pow 2 < y pow 2
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: REAL_MUL_RINV: !x. ~(x = &0) ==> x * inv x = &1
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_OF_NUM_POW: !x n. &x pow n = &(x EXP n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_POS_NZ: !x. &0 < x ==> ~(x = &0)
% Assm: REAL_POW_DIV: !x y n. (x / y) pow n = x pow n / y pow n
% Assm: REAL_POW_LE2: !n x y. &0 <= x /\ x <= y ==> x pow n <= y pow n
% Assm: REAL_POW_LT: !x n. &0 < x ==> &0 < x pow n
% Assm: REAL_POW_NEG: !x n. --x pow n = (if EVEN n then x pow n else --(x pow n))
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: REAL_SUB_RZERO: !x. x - &0 = x
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: Real_ext.REAL_MK_NN_SQUARE: !x. &0 <= x * x
% Assm: Real_ext.REAL_PROP_NN_ADD2: !x y. &0 <= x /\ &0 <= y ==> &0 <= x + y
% Assm: Real_ext.REAL_PROP_NN_POS: !x y. x < y ==> x <= y
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SQRT_POS_LE: !x. &0 <= x ==> &0 <= sqrt x
% Assm: SQRT_POS_LT: !x. &0 < x ==> &0 < sqrt x
% Assm: SQRT_POW_2: !x. &0 <= x ==> sqrt x pow 2 = x
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: Trigonometry1.SQRT_MUL_L: !x y. &0 <= x /\ &0 <= y ==> x * sqrt y = sqrt (x pow 2 * y)
% Assm: Trigonometry2.POW2_1: &1 pow 2 = &1
% Assm: Trigonometry2.REAL_LE_LDIV: !x z. &0 < z /\ x <= z ==> x / z <= &1
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Assm: real_max: !n m. max m n = (if m <= n then n else m)
% Assm: real_min: !m n. min m n = (if m <= n then m else n)
% Goal: !b. &2 <= b /\ b <= #2.52 ==> (\x. --arclength x b (&2)) real_convex_on real_interval [&2,#2.52]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !n m. m + n = n + m
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m n p. m + n + p = (m + n) + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. (m + n) - n = m
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: _0 + _0 = _0
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. _0 + BIT1 n = BIT1 n
% Assm: !n. BIT0 n + _0 = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. BIT0 m + BIT1 n = BIT1 (m + n)
% Assm: !m n. BIT1 m + BIT0 n = BIT1 (m + n)
% Assm: !m n. BIT1 m + BIT1 n = BIT0 (SUC (m + n))
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. BIT1 m = BIT1 n <=> m = n
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !n. _0 * BIT0 n = _0
% Assm: !n. _0 * BIT1 n = _0
% Assm: !n. BIT0 n * _0 = _0
% Assm: !n. BIT1 n * _0 = _0
% Assm: !m n. BIT0 m * BIT0 n = BIT0 (BIT0 (m * n))
% Assm: !m n. BIT0 m * BIT1 n = BIT0 m + BIT0 (BIT0 (m * n))
% Assm: !m n. BIT1 m * BIT0 n = BIT0 n + BIT0 (BIT0 (m * n))
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: !n. SUC (BIT0 n) = BIT1 n
% Assm: !n. SUC (BIT1 n) = BIT0 (SUC n)
% Assm: BIT0 _0 = _0
% Assm: !f f' f'' s. is_realinterval s /\ ~(?a. s = {a}) /\ (!x. x IN s ==> (f has_real_derivative f' x) (atreal x within s)) /\ (!x. x IN s ==> (f' has_real_derivative f'' x) (atreal x within s)) ==> (f real_convex_on s <=> (!x. x IN s ==> &0 <= f'' x))
% Assm: !x b. (&2 <= x /\ x <= #2.52) /\ &2 <= b /\ b <= #2.52 ==> ((\x. arclength x b (&2)) has_real_derivative ((x + x) * &2 * x * b - (x * x + b * b - &2 * &2) * &2 * b) / (&2 * x * b) pow 2 * --inv (sqrt (&1 - ((x * x + b * b - &2 * &2) / (&2 * x * b)) pow 2))) (atreal x within real_interval [&2,#2.52])
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !x. x pow 2 = x * x
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !t. (\x. t x) = t
% Assm: !m n p. m EXP (n + p) = m EXP n * m EXP p
% Assm: !m. m EXP 0 = 1
% Assm: !m n. m EXP SUC n = m * m EXP n
% Assm: !x. x pow 1 = x
% Assm: !f f' g g' net. (f has_real_derivative f') net /\ (g has_real_derivative g') net ==> ((\x. f x + g x) has_real_derivative f' + g') net
% Assm: !f' g' P f g. (!x. P x ==> (g has_real_derivative g' x) (atreal x)) ==> (!x s. (f has_real_derivative f') (atreal x within s) /\ P (f x) ==> ((\x. g (f x)) has_real_derivative f' * g' (f x)) (atreal x within s)) /\ (!x. (f has_real_derivative f') (atreal x) /\ P (f x) ==> ((\x. g (f x)) has_real_derivative f' * g' (f x)) (atreal x))
% Assm: !c net. ((\x. c) has_real_derivative &0) net
% Assm: !f f' g g' x s. (f has_real_derivative f') (atreal x within s) /\ (g has_real_derivative g') (atreal x within s) /\ ~(g x = &0) ==> ((\x. f x / g x) has_real_derivative (f' * g x - f x * g') / g x pow 2) (atreal x within s)
% Assm: !net. ((\x. x) has_real_derivative &1) net
% Assm: !f f' s a b. is_realinterval s /\ (!x. x IN s ==> (f has_real_derivative f' x) (atreal x within s)) /\ (!x. x IN s ==> &0 <= f' x) /\ a IN s /\ b IN s /\ a <= b ==> f a <= f b
% Assm: !f f' x s. (f has_real_derivative f') (atreal x within s) /\ ~(f x = &0) ==> ((\x. inv (f x)) has_real_derivative --f' / f x pow 2) (atreal x within s)
% Assm: !f f' c x s. (f has_real_derivative f') (atreal x within s) ==> ((\x. c * f x) has_real_derivative c * f') (atreal x within s)
% Assm: !f f' g g' x s. (f has_real_derivative f') (atreal x within s) /\ (g has_real_derivative g') (atreal x within s) ==> ((\x. f x * g x) has_real_derivative f x * g' + f' * g x) (atreal x within s)
% Assm: !f f' net. (f has_real_derivative f') net ==> ((\x. --f x) has_real_derivative --f') net
% Assm: !f f' x s n. (f has_real_derivative f') (atreal x within s) ==> ((\x. f x pow n) has_real_derivative &n * f x pow (n - 1) * f') (atreal x within s)
% Assm: !f f' c x s. (f has_real_derivative f') (atreal x within s) ==> ((\x. f x * c) has_real_derivative f' * c) (atreal x within s)
% Assm: !x. &0 < x ==> (sqrt has_real_derivative inv (&2 * sqrt x)) (atreal x)
% Assm: !f f' g g' net. (f has_real_derivative f') net /\ (g has_real_derivative g') net ==> ((\x. f x - g x) has_real_derivative f' - g') net
% Assm: !a b x. (x IN real_interval [a,b] <=> a <= x /\ x <= b) /\ (x IN real_interval (a,b) <=> a < x /\ x < b)
% Assm: !x y. x IN {y} <=> x = y
% Assm: !a b. is_realinterval (real_interval (a,b)) /\ is_realinterval (real_interval [a,b])
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !n. 0 <= n
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: ~F <=> T
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y z. x + y = x + z <=> y = z
% Assm: !x y. inv (x / y) = y / x
% Assm: !x. inv (inv x) = x
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x. inv (--x) = --inv x
% Assm: !x n. inv (x pow n) = inv x pow n
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x. &0 <= x ==> &0 <= inv x
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: !x y. abs x <= abs y <=> x pow 2 <= y pow 2
% Assm: !x y z. x <= y /\ y <= z ==> x <= z
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !x y. abs x < abs y <=> x pow 2 < y pow 2
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: !x y. --x * y = --(x * y)
% Assm: !x. x * &1 = x
% Assm: !x. ~(x = &0) ==> x * inv x = &1
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x n. &x pow n = &(x EXP n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x. &0 < x ==> ~(x = &0)
% Assm: !x y n. (x / y) pow n = x pow n / y pow n
% Assm: !n x y. &0 <= x /\ x <= y ==> x pow n <= y pow n
% Assm: !x n. &0 < x ==> &0 < x pow n
% Assm: !x n. --x pow n = (if EVEN n then x pow n else --(x pow n))
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !x. x - &0 = x
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: !x. &0 <= x * x
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x + y
% Assm: !x y. x < y ==> x <= y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !x. &0 <= x ==> &0 <= sqrt x
% Assm: !x. &0 < x ==> &0 < sqrt x
% Assm: !x. &0 <= x ==> sqrt x pow 2 = x
% Assm: T
% Assm: 2 = SUC 1
% Assm: !x y. &0 <= x /\ &0 <= y ==> x * sqrt y = sqrt (x pow 2 * y)
% Assm: &1 pow 2 = &1
% Assm: !x z. &0 < z /\ x <= z ==> x / z <= &1
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Assm: !n m. max m n = (if m <= n then n else m)
% Assm: !m n. min m n = (if m <= n then m else n)
% Goal: !b. &2 <= b /\ b <= #2.52 ==> (\x. --arclength x b (&2)) real_convex_on real_interval [&2,#2.52]
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnetreal, type, netreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealreal, type, listprodrealreal : $tType).
%  CONSTS
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(crealuu_max, type, realu_max : (real > real > real)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(copenuu_realuu_interval, type, openu_realu_interval : (prodrealreal > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cexp, type, exp : (num > num > num)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cmu_, type, m_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(ccloseduu_realuu_interval, type, closedu_realu_interval : (listprodrealreal > real > $o)).
thf(crealuu_convexuu_on, type, realu_convexu_on : ((real > real) > (real > $o) > $o)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(cinsert0, type, insert0 : (a > (a > $o) > a > $o)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cwithin, type, within : (netreal > (real > $o) > netreal)).
thf(chasuu_realuu_derivative, type, hasu_realu_derivative : ((real > real) > real > netreal > $o)).
thf(cinsert, type, insert : (real > (real > $o) > real > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccons, type, cons : (prodrealreal > listprodrealreal > listprodrealreal)).
thf(carclength, type, arclength : (real > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ceven, type, even : (num > $o)).
thf(cisuu_realinterval, type, isu_realinterval : ((real > $o) > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cnil, type, nil : listprodrealreal).
thf(cuu_0, type, u_0 : num).
thf(cempty, type, empty : (real > $o)).
thf(cempty0, type, empty0 : (a > $o)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(csqrt, type, sqrt : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct0, axiom, ![N:num,M:num]:((p_ @ M @ N) = (p_ @ N @ M))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_ASSOC, axiom, ![M:num,N:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ (p_ @ M @ N) @ P))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUB, axiom, ![M:num,N:num]:((m_ @ (p_ @ M @ N) @ N) = M)).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct1, axiom, ((p_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct3, axiom, ![N:num]:((p_ @ u_0 @ (bit1 @ N)) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct4, axiom, ![N:num]:((p_ @ (bit0 @ N) @ u_0) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct7, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit1 @ N)) = (bit1 @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct8, axiom, ![M:num,N:num]:((p_ @ (bit1 @ M) @ (bit0 @ N)) = (bit1 @ (p_ @ M @ N)))).
thf(aARITHu_ADDu_conjunct9, axiom, ![M:num,N:num]:((p_ @ (bit1 @ M) @ (bit1 @ N)) = (bit0 @ (suc @ (p_ @ M @ N))))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_EQu_conjunct9, axiom, ![M:num,N:num]:(((bit1 @ M) = (bit1 @ N)) <=> (M = N))).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct2, axiom, ![N:num]:((t_ @ u_0 @ (bit0 @ N)) = u_0)).
thf(aARITHu_MULTu_conjunct3, axiom, ![N:num]:((t_ @ u_0 @ (bit1 @ N)) = u_0)).
thf(aARITHu_MULTu_conjunct4, axiom, ![N:num]:((t_ @ (bit0 @ N) @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct5, axiom, ![N:num]:((t_ @ (bit1 @ N) @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct6, axiom, ![M:num,N:num]:((t_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (bit0 @ (t_ @ M @ N))))).
thf(aARITHu_MULTu_conjunct7, axiom, ![M:num,N:num]:((t_ @ (bit0 @ M) @ (bit1 @ N)) = (p_ @ (bit0 @ M) @ (bit0 @ (bit0 @ (t_ @ M @ N)))))).
thf(aARITHu_MULTu_conjunct8, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit0 @ N)) = (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N)))))).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_SUCu_conjunct2, axiom, ![N:num]:((suc @ (bit0 @ N)) = (bit1 @ N))).
thf(aARITHu_SUCu_conjunct3, axiom, ![N:num]:((suc @ (bit1 @ N)) = (bit0 @ (suc @ N)))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aArcu_propertieso_REALu_CONVEXu_ONu_SECONDu_DERIVATIVE, axiom, ![F:(real > real),FI_:(real > real),FI_I_:(real > real),S:(real > $o)]:(((isu_realinterval @ S) & ~ (?[A:real]:(S = (insert @ A @ empty))) & ![X:real]:((in @ X @ S) => (hasu_realu_derivative @ F @ (FI_ @ X) @ (within @ (atreal @ X) @ S))) & ![X:real]:((in @ X @ S) => (hasu_realu_derivative @ FI_ @ (FI_I_ @ X) @ (within @ (atreal @ X) @ S)))) => ((realu_convexu_on @ F @ S) <=> ![X:real]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (FI_I_ @ X)))))).
thf(aArcu_propertieso_arcu_derivative, axiom, ![X:real,B:real]:(((realu_le @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ X) & (realu_le @ X @ (decimal @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ u_0))))))))) @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ u_0)))))))))) & (realu_le @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ B) & (realu_le @ B @ (decimal @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ u_0))))))))) @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ u_0))))))))))) => (hasu_realu_derivative @ ^[X:real]:(arclength @ X @ B @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_mul @ (realu_div @ (realu_sub @ (realu_mul @ (realu_add @ X @ X) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_mul @ X @ B))) @ (realu_mul @ (realu_add @ (realu_mul @ X @ X) @ (realu_sub @ (realu_mul @ B @ B) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ B))) @ (realu_pow @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_mul @ X @ B)) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (realu_neg @ (realu_inv @ (sqrt @ (realu_sub @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (realu_pow @ (realu_div @ (realu_add @ (realu_mul @ X @ X) @ (realu_sub @ (realu_mul @ B @ B) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_mul @ X @ B))) @ (numeral @ (bit0 @ (bit1 @ u_0))))))))) @ (within @ (atreal @ X) @ (closedu_realu_interval @ (cons @ (c_ @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (decimal @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ u_0))))))))) @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ u_0)))))))))) @ nil)))))).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXPu_ADD, axiom, ![M:num,N:num,P:num]:((exp @ M @ (p_ @ N @ P)) = (t_ @ (exp @ M @ N) @ (exp @ M @ P)))).
thf(aEXPu_conjunct0, axiom, ![M:num]:((exp @ M @ (numeral @ u_0)) = (numeral @ (bit1 @ u_0)))).
thf(aEXPu_conjunct1, axiom, ![M:num,N:num]:((exp @ M @ (suc @ N)) = (t_ @ M @ (exp @ M @ N)))).
thf(aFloato_POWu_1, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit1 @ u_0))) = X)).
thf(aHASu_REALu_DERIVATIVEu_ADD, axiom, ![F:(real > real),FI_:real,G:(real > real),GI_:real,NET:netreal]:(((hasu_realu_derivative @ F @ FI_ @ NET) & (hasu_realu_derivative @ G @ GI_ @ NET)) => (hasu_realu_derivative @ ^[X:real]:(realu_add @ (F @ X) @ (G @ X)) @ (realu_add @ FI_ @ GI_) @ NET))).
thf(aHASu_REALu_DERIVATIVEu_CHAIN, axiom, ![FI_:real,GI_:(real > real),P:(real > $o),F:(real > real),G:(real > real)]:(![X:real]:((P @ X) => (hasu_realu_derivative @ G @ (GI_ @ X) @ (atreal @ X))) => (![X:real,S:(real > $o)]:(((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) & (P @ (F @ X))) => (hasu_realu_derivative @ ^[X:real]:(G @ (F @ X)) @ (realu_mul @ FI_ @ (GI_ @ (F @ X))) @ (within @ (atreal @ X) @ S))) & ![X:real]:(((hasu_realu_derivative @ F @ FI_ @ (atreal @ X)) & (P @ (F @ X))) => (hasu_realu_derivative @ ^[X:real]:(G @ (F @ X)) @ (realu_mul @ FI_ @ (GI_ @ (F @ X))) @ (atreal @ X)))))).
thf(aHASu_REALu_DERIVATIVEu_CONST, axiom, ![C:real,NET:netreal]:(hasu_realu_derivative @ ^[X:real]:C @ (realu_ofu_num @ (numeral @ u_0)) @ NET)).
thf(aHASu_REALu_DERIVATIVEu_DIVu_WITHIN, axiom, ![F:(real > real),FI_:real,G:(real > real),GI_:real,X:real,S:(real > $o)]:(((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) & (hasu_realu_derivative @ G @ GI_ @ (within @ (atreal @ X) @ S)) & ~ (((G @ X) = (realu_ofu_num @ (numeral @ u_0))))) => (hasu_realu_derivative @ ^[X:real]:(realu_div @ (F @ X) @ (G @ X)) @ (realu_div @ (realu_sub @ (realu_mul @ FI_ @ (G @ X)) @ (realu_mul @ (F @ X) @ GI_)) @ (realu_pow @ (G @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (within @ (atreal @ X) @ S)))).
thf(aHASu_REALu_DERIVATIVEu_ID, axiom, ![NET:netreal]:(hasu_realu_derivative @ ^[X:real]:X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ NET)).
thf(aHASu_REALu_DERIVATIVEu_INCREASINGu_IMP, axiom, ![F:(real > real),FI_:(real > real),S:(real > $o),A:real,B:real]:(((isu_realinterval @ S) & ![X:real]:((in @ X @ S) => (hasu_realu_derivative @ F @ (FI_ @ X) @ (within @ (atreal @ X) @ S))) & ![X:real]:((in @ X @ S) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (FI_ @ X))) & (in @ A @ S) & (in @ B @ S) & (realu_le @ A @ B)) => (realu_le @ (F @ A) @ (F @ B)))).
thf(aHASu_REALu_DERIVATIVEu_INVu_WITHIN, axiom, ![F:(real > real),FI_:real,X:real,S:(real > $o)]:(((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) & ~ (((F @ X) = (realu_ofu_num @ (numeral @ u_0))))) => (hasu_realu_derivative @ ^[X:real]:(realu_inv @ (F @ X)) @ (realu_div @ (realu_neg @ FI_) @ (realu_pow @ (F @ X) @ (numeral @ (bit0 @ (bit1 @ u_0))))) @ (within @ (atreal @ X) @ S)))).
thf(aHASu_REALu_DERIVATIVEu_LMULu_WITHIN, axiom, ![F:(real > real),FI_:real,C:real,X:real,S:(real > $o)]:((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) => (hasu_realu_derivative @ ^[X:real]:(realu_mul @ C @ (F @ X)) @ (realu_mul @ C @ FI_) @ (within @ (atreal @ X) @ S)))).
thf(aHASu_REALu_DERIVATIVEu_MULu_WITHIN, axiom, ![F:(real > real),FI_:real,G:(real > real),GI_:real,X:real,S:(real > $o)]:(((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) & (hasu_realu_derivative @ G @ GI_ @ (within @ (atreal @ X) @ S))) => (hasu_realu_derivative @ ^[X:real]:(realu_mul @ (F @ X) @ (G @ X)) @ (realu_add @ (realu_mul @ (F @ X) @ GI_) @ (realu_mul @ FI_ @ (G @ X))) @ (within @ (atreal @ X) @ S)))).
thf(aHASu_REALu_DERIVATIVEu_NEG, axiom, ![F:(real > real),FI_:real,NET:netreal]:((hasu_realu_derivative @ F @ FI_ @ NET) => (hasu_realu_derivative @ ^[X:real]:(realu_neg @ (F @ X)) @ (realu_neg @ FI_) @ NET))).
thf(aHASu_REALu_DERIVATIVEu_POWu_WITHIN, axiom, ![F:(real > real),FI_:real,X:real,S:(real > $o),N:num]:((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) => (hasu_realu_derivative @ ^[X:real]:(realu_pow @ (F @ X) @ N) @ (realu_mul @ (realu_ofu_num @ N) @ (realu_mul @ (realu_pow @ (F @ X) @ (m_ @ N @ (numeral @ (bit1 @ u_0)))) @ FI_)) @ (within @ (atreal @ X) @ S)))).
thf(aHASu_REALu_DERIVATIVEu_RMULu_WITHIN, axiom, ![F:(real > real),FI_:real,C:real,X:real,S:(real > $o)]:((hasu_realu_derivative @ F @ FI_ @ (within @ (atreal @ X) @ S)) => (hasu_realu_derivative @ ^[X:real]:(realu_mul @ (F @ X) @ C) @ (realu_mul @ FI_ @ C) @ (within @ (atreal @ X) @ S)))).
thf(aHASu_REALu_DERIVATIVEu_SQRT, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (hasu_realu_derivative @ sqrt @ (realu_inv @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (sqrt @ X))) @ (atreal @ X)))).
thf(aHASu_REALu_DERIVATIVEu_SUB, axiom, ![F:(real > real),FI_:real,G:(real > real),GI_:real,NET:netreal]:(((hasu_realu_derivative @ F @ FI_ @ NET) & (hasu_realu_derivative @ G @ GI_ @ NET)) => (hasu_realu_derivative @ ^[X:real]:(realu_sub @ (F @ X) @ (G @ X)) @ (realu_sub @ FI_ @ GI_) @ NET))).
thf(aINu_REALu_INTERVAL, axiom, ![A:real,B:real,X:real]:(((in @ X @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))) <=> ((realu_le @ A @ X) & (realu_le @ X @ B))) & ((in @ X @ (openu_realu_interval @ (c_ @ A @ B))) <=> ((realu_lt @ A @ X) & (realu_lt @ X @ B))))).
thf(aINu_SING, axiom, ![X:a,Y:a]:((in0 @ X @ (insert0 @ Y @ empty0)) <=> (X = Y))).
thf(aISu_REALINTERVALu_INTERVAL, axiom, ![A:real,B:real]:((isu_realinterval @ (openu_realu_interval @ (c_ @ A @ B))) & (isu_realinterval @ (closedu_realu_interval @ (cons @ (c_ @ A @ B) @ nil))))).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_EQu_ADDu_LCANCEL, axiom, ![X:real,Y:real,Z:real]:(((realu_add @ X @ Y) = (realu_add @ X @ Z)) <=> (Y = Z))).
thf(aREALu_INVu_DIV, axiom, ![X:real,Y:real]:((realu_inv @ (realu_div @ X @ Y)) = (realu_div @ Y @ X))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_INVu_NEG, axiom, ![X:real]:((realu_inv @ (realu_neg @ X)) = (realu_neg @ (realu_inv @ X)))).
thf(aREALu_INVu_POW, axiom, ![X:real,N:num]:((realu_inv @ (realu_pow @ X @ N)) = (realu_pow @ (realu_inv @ X) @ N))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_INV, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LEu_SQUAREu_ABS, axiom, ![X:real,Y:real]:((realu_le @ (realu_abs @ X) @ (realu_abs @ Y)) <=> (realu_le @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aREALu_LEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ Z)) => (realu_le @ X @ Z))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_LTu_SQUAREu_ABS, axiom, ![X:real,Y:real]:((realu_lt @ (realu_abs @ X) @ (realu_abs @ Y)) <=> (realu_lt @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ Y @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_MULu_RINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ X @ (realu_inv @ X)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_OFu_NUMu_POW, axiom, ![X:num,N:num]:((realu_pow @ (realu_ofu_num @ X) @ N) = (realu_ofu_num @ (exp @ X @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_POSu_NZ, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ~ ((X = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_POWu_DIV, axiom, ![X:real,Y:real,N:num]:((realu_pow @ (realu_div @ X @ Y) @ N) = (realu_div @ (realu_pow @ X @ N) @ (realu_pow @ Y @ N)))).
thf(aREALu_POWu_LE2, axiom, ![N:num,X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ X @ Y)) => (realu_le @ (realu_pow @ X @ N) @ (realu_pow @ Y @ N)))).
thf(aREALu_POWu_LT, axiom, ![X:real,N:num]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_pow @ X @ N)))).
thf(aREALu_POWu_NEG, axiom, ![X:real,N:num]:((realu_pow @ (realu_neg @ X) @ N) = (cond0 @ (even @ N) @ (realu_pow @ X @ N) @ (realu_neg @ (realu_pow @ X @ N))))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_SUBu_RZERO, axiom, ![X:real]:((realu_sub @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aRealu_exto_REALu_MKu_NNu_SQUARE, axiom, ![X:real]:(realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ X))).
thf(aRealu_exto_REALu_PROPu_NNu_ADD2, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_NNu_POS, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) => (realu_le @ X @ Y))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSQRTu_POSu_LE, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (sqrt @ X)))).
thf(aSQRTu_POSu_LT, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (sqrt @ X)))).
thf(aSQRTu_POWu_2, axiom, ![X:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) => ((realu_pow @ (sqrt @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = X))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometry1o_SQRTu_MULu_L, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => ((realu_mul @ X @ (sqrt @ Y)) = (sqrt @ (realu_mul @ (realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ Y))))).
thf(aTrigonometry2o_POW2u_1, axiom, ((realu_pow @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aTrigonometry2o_REALu_LEu_LDIV, axiom, ![X:real,Z:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Z) & (realu_le @ X @ Z)) => (realu_le @ (realu_div @ X @ Z) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond0 @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(arealu_max, axiom, ![N:real,M:real]:((realu_max @ M @ N) = (cond0 @ (realu_le @ M @ N) @ N @ M))).
thf(arealu_min, axiom, ![M:real,N:real]:((realu_min @ M @ N) = (cond0 @ (realu_le @ M @ N) @ M @ N))).
thf(conjecture, conjecture, ![B:real]:(((realu_le @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ B) & (realu_le @ B @ (decimal @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ u_0))))))))) @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ u_0))))))))))) => (realu_convexu_on @ ^[X:real]:(realu_neg @ (arclength @ X @ B @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (closedu_realu_interval @ (cons @ (c_ @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (decimal @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ u_0))))))))) @ (numeral @ (bit0 @ (bit0 @ (bit1 @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ u_0)))))))))) @ nil))))).
