%   ORIGINAL: Counting_spheres.regular_spherical_polygon_area_797
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Sphere.regular_spherical_polygon_area: !ca k. regular_spherical_polygon_area ca k = &2 * pi - &2 * k * asn (ca * sin (pi / k))
% Assm: TRUTH: T
% Goal: !h k. 3 <= k ==> regular_spherical_polygon_area (cos #0.797) (&k) = &2 * pi - &2 * &k * asn (cos #0.797 * sin (pi / &k))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !ca k. regular_spherical_polygon_area ca k = &2 * pi - &2 * k * asn (ca * sin (pi / k))
% Assm: T
% Goal: !h k. 3 <= k ==> regular_spherical_polygon_area (cos #0.797) (&k) = &2 * pi - &2 * &k * asn (cos #0.797 * sin (pi / &k))
%  TYPES
thf(tq2014948, type, q2014948 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(cregularuu_sphericaluu_polygonuu_area, type, regularu_sphericalu_polygonu_area : (real > real > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(csin, type, sin : (real > real)).
thf(casn, type, asn : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSphereo_regularu_sphericalu_polygonu_area, axiom, ![CA:real,K:real]:((regularu_sphericalu_polygonu_area @ CA @ K) = (realu_sub @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_mul @ K @ (asn @ (realu_mul @ CA @ (sin @ (realu_div @ pi @ K))))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![H:q2014948,K:num]:((l_a_ @ (numeral @ (bit1 @ (bit1 @ u_0))) @ K) => ((regularu_sphericalu_polygonu_area @ (cos @ (decimal @ (numeral @ (bit1 @ (bit0 @ (bit1 @ (bit1 @ (bit1 @ (bit0 @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ u_0))))))))))) @ (numeral @ (bit0 @ (bit0 @ (bit0 @ (bit1 @ (bit0 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ u_0))))))))))))) @ (realu_ofu_num @ K)) = (realu_sub @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_mul @ (realu_ofu_num @ K) @ (asn @ (realu_mul @ (cos @ (decimal @ (numeral @ (bit1 @ (bit0 @ (bit1 @ (bit1 @ (bit1 @ (bit0 @ (bit0 @ (bit0 @ (bit1 @ (bit1 @ u_0))))))))))) @ (numeral @ (bit0 @ (bit0 @ (bit0 @ (bit1 @ (bit0 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ (bit1 @ u_0))))))))))))) @ (sin @ (realu_div @ pi @ (realu_ofu_num @ K))))))))))).
