%   ORIGINAL: Counting_spheres.INJ_CARD
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BIJ: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CARD_SUBSET: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: Counting_spheres.INJ_IMAGE: !a b. INJ f a b ==> IMAGE f a SUBSET b
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IMAGE: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: IN: !P x. x IN P <=> P x
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: Misc_defs_and_lemmas.BIJ_CARD: !a b f. FINITE a /\ BIJ f a b ==> CARD a = CARD b
% Assm: Misc_defs_and_lemmas.FINITE_INJ: !a b f. FINITE b /\ INJ f a b ==> FINITE a
% Assm: Misc_defs_and_lemmas.IMAGE_SURJ: !f a. SURJ f a (IMAGE f a)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a b f. FINITE b /\ INJ f a b ==> FINITE a /\ CARD a <= CARD b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: !a b. a SUBSET b /\ FINITE b ==> CARD a <= CARD b
% Assm: !f a b. INJ f a b ==> IMAGE f a SUBSET b
% Assm: !t. (\x. t x) = t
% Assm: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: !P x. x IN P <=> P x
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !a b f. FINITE a /\ BIJ f a b ==> CARD a = CARD b
% Assm: !a b f. FINITE a /\ BIJ f a b ==> CARD a = CARD b
% Assm: !a b f. FINITE a /\ BIJ f a b ==> CARD a = CARD b
% Assm: !a b f. FINITE a /\ BIJ f a b ==> CARD a = CARD b
% Assm: !a b f. FINITE b /\ INJ f a b ==> FINITE a
% Assm: !f a. SURJ f a (IMAGE f a)
% Assm: ~F <=> T
% Assm: T
% Goal: !a b f. FINITE b /\ INJ f a b ==> FINITE a /\ CARD a <= CARD b
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tq43851, type, q43851 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cgspec, type, gspec : ((b > $o) > b > $o)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(csubset, type, subset : ((b > $o) > (b > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cbij2, type, bij2 : ((a > a) > (a > $o) > (a > $o) > $o)).
thf(cbij1, type, bij1 : ((b > a) > (b > $o) > (a > $o) > $o)).
thf(cbij0, type, bij0 : ((b > b) > (b > $o) > (b > $o) > $o)).
thf(csetspec0, type, setspec0 : (q43851 > $o > q43851 > $o)).
thf(csetspec, type, setspec : (b > $o > b > $o)).
thf(cimage, type, image : ((a > b) > (a > $o) > b > $o)).
thf(csurj, type, surj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cbij, type, bij : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cinj, type, inj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cfinite0, type, finite0 : ((a > $o) > $o)).
thf(cfinite, type, finite : ((b > $o) > $o)).
thf(ccard0, type, card0 : ((b > $o) > num)).
thf(ccard, type, card : ((a > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBIJ, axiom, ![F:(a > b),S:(a > $o),T:(b > $o)]:((bij @ F @ S @ T) <=> ((inj @ F @ S @ T) & (surj @ F @ S @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCARDu_SUBSETu_monomorphized1, axiom, ![A:(b > $o),B:(b > $o)]:(((subset @ A @ B) & (finite @ B)) => (l_a_ @ (card0 @ A) @ (card0 @ B)))).
thf(aCARDu_SUBSETu_monomorphized0, axiom, ![A:(a > $o),B:(a > $o)]:(((subset0 @ A @ B) & (finite0 @ B)) => (l_a_ @ (card @ A) @ (card @ B)))).
thf(aCountingu_sphereso_INJu_IMAGE, axiom, ![F:(a > b),A:(a > $o),B:(b > $o)]:((inj @ F @ A @ B) => (subset @ (image @ F @ A) @ B))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIMAGE, axiom, ![S:(a > $o),F:(a > b)]:((image @ F @ S) = (gspec @ ^[GENR_PVARR_7:b]:?[Y:b]:(setspec @ GENR_PVARR_7 @ ?[X:a]:((in @ X @ S) & (Y = (F @ X))) @ Y)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINJ, axiom, ![T:(b > $o),S:(a > $o),F:(a > b)]:((inj @ F @ S @ T) <=> (![X:a]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec0 @ ^[V:q43851]:?[Y:q43851]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aMiscu_defsu_andu_lemmaso_BIJu_CARDu_monomorphized3, axiom, ![A:(b > $o),B:(b > $o),F:(b > b)]:(((finite @ A) & (bij0 @ F @ A @ B)) => ((card0 @ A) = (card0 @ B)))).
thf(aMiscu_defsu_andu_lemmaso_BIJu_CARDu_monomorphized2, axiom, ![A:(b > $o),B:(a > $o),F:(b > a)]:(((finite @ A) & (bij1 @ F @ A @ B)) => ((card0 @ A) = (card @ B)))).
thf(aMiscu_defsu_andu_lemmaso_BIJu_CARDu_monomorphized1, axiom, ![A:(a > $o),B:(b > $o),F:(a > b)]:(((finite0 @ A) & (bij @ F @ A @ B)) => ((card @ A) = (card0 @ B)))).
thf(aMiscu_defsu_andu_lemmaso_BIJu_CARDu_monomorphized0, axiom, ![A:(a > $o),B:(a > $o),F:(a > a)]:(((finite0 @ A) & (bij2 @ F @ A @ B)) => ((card @ A) = (card @ B)))).
thf(aMiscu_defsu_andu_lemmaso_FINITEu_INJ, axiom, ![A:(a > $o),B:(b > $o),F:(a > b)]:(((finite @ B) & (inj @ F @ A @ B)) => (finite0 @ A))).
thf(aMiscu_defsu_andu_lemmaso_IMAGEu_SURJ, axiom, ![F:(a > b),A:(a > $o)]:(surj @ F @ A @ (image @ F @ A))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:(a > $o),B:(b > $o),F:(a > b)]:(((finite @ B) & (inj @ F @ A @ B)) => ((finite0 @ A) & (l_a_ @ (card @ A) @ (card0 @ B))))).
