%   ORIGINAL: Counting_spheres.EUSOTYP_simple
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ADD_AC_conjunct1: (m + n) + p = m + n + p
% Assm: ADD_AC_conjunct2: m + n + p = n + m + p
% Assm: ADD_CLAUSES_conjunct1: !m. m + 0 = m
% Assm: ADD_EQ_0: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: ADD_SUC: !m n. m + SUC n = SUC (m + n)
% Assm: ADD_conjunct0: !n. 0 + n = n
% Assm: ADD_conjunct1: !m n. SUC m + n = SUC (m + n)
% Assm: ARG: !z. &0 <= Arg z /\ Arg z < &2 * pi /\ z = Cx (norm z) * cexp (ii * Cx (Arg z))
% Assm: ARG_DIV_CX: !r z. &0 < r ==> Arg (z / Cx r) = Arg z
% Assm: ARG_MUL_CX: !r z. &0 < r ==> Arg (Cx r * z) = Arg z
% Assm: ARG_NUM: !n. Arg (Cx (&n)) = &0
% Assm: ARITH_ADD_conjunct2: !n. _0 + BIT0 n = BIT0 n
% Assm: ARITH_ADD_conjunct5: !n. BIT1 n + _0 = BIT1 n
% Assm: ARITH_ADD_conjunct6: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct1: _0 = _0 <=> T
% Assm: ARITH_EQ_conjunct2: !n. BIT0 n = _0 <=> n = _0
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_EXP_conjunct1: _0 EXP _0 = BIT1 _0
% Assm: ARITH_LE_conjunct0: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: ARITH_LE_conjunct1: _0 <= _0 <=> T
% Assm: ARITH_LE_conjunct9: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: ARITH_LT_conjunct0: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: ARITH_LT_conjunct1: _0 < _0 <=> F
% Assm: ARITH_LT_conjunct4: !n. _0 < BIT0 n <=> _0 < n
% Assm: ARITH_LT_conjunct5: !n. _0 < BIT1 n <=> T
% Assm: ARITH_MULT_conjunct0: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: ARITH_MULT_conjunct1: _0 * _0 = _0
% Assm: ARITH_MULT_conjunct5: !n. BIT1 n * _0 = _0
% Assm: ARITH_MULT_conjunct9: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: ARITH_SUC_conjunct1: SUC _0 = BIT1 _0
% Assm: ARITH_ZERO_conjunct1: BIT0 _0 = _0
% Assm: BIJ: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: BIT0: !n. BIT0 n = n + n
% Assm: BIT1: !n. BIT1 n = SUC (n + n)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_CMUL: !c x. c % x = Cx c * x
% Assm: COMPLEX_DIV_REFL: !x. ~(x = Cx (&0)) ==> x / x = Cx (&1)
% Assm: COMPLEX_ENTIRE: !x y. x * y = Cx (&0) <=> x = Cx (&0) \/ y = Cx (&0)
% Assm: COMPLEX_EQ: !w z. w = z <=> Re w = Re z /\ Im w = Im z
% Assm: COMPLEX_INV_MUL: !w z. inv (w * z) = inv w * inv z
% Assm: COMPLEX_NORM_CX: !x. norm (Cx x) = abs x
% Assm: COMPLEX_NORM_MUL: !w z. norm (w * z) = norm w * norm z
% Assm: COMPLEX_NORM_ZERO: !z. norm z = &0 <=> z = Cx (&0)
% Assm: COMPLEX_VEC_0: vec 0 = Cx (&0)
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: CX_DEF: !a. Cx a = complex (a,&0)
% Assm: CX_INJ: !x y. Cx x = Cx y <=> x = y
% Assm: Counting_spheres.EMPTY_NOT_EXISTS_IN: a = {} <=> ~(?x. x IN a)
% Assm: Counting_spheres.POLYSORT_BIJ2: !P n s r u. s = {c | c facet_of P} /\ bounded P /\ polyhedron P /\ &0 < r /\ (!p. norm p < r ==> P p) /\ ~(u = Cx (&0)) /\ s HAS_SIZE n ==> (?f. s = IMAGE f (1..n) /\ BIJ f (1..n) s /\ (!i k. i IN 1..n /\ k IN 1..n /\ ~(i = k) ==> Arg (facet_rep_a P (f (i + 1)) / facet_rep_a P (f i)) <= Arg (facet_rep_a P (f k) / facet_rep_a P (f i))) /\ (!i. i IN 1..n ==> Arg (facet_rep_a P (f (i + 1)) / facet_rep_a P (f i)) < pi) /\ f (n + 1) = f 1 /\ (!j k. j IN 1..n /\ k IN 1..n /\ j < k ==> Arg (facet_rep_a P (f j) / u) < Arg (facet_rep_a P (f k) / u)))
% Assm: Counting_spheres.bisector_point: !P c c' r psi. polyhedron P /\ c facet_of P /\ c' facet_of P /\ &0 < r /\ (!p. norm p < r ==> P p) /\ psi = Arg (facet_rep_a P c' / facet_rep_a P c) / &2 /\ (!c''. c'' facet_of P /\ Arg (facet_rep_a P c'' / facet_rep_a P c) < &2 * psi ==> c'' = c) /\ psi < pi / &2 /\ ~(c' = c) ==> P (bisector_point P c c' r) /\ norm (bisector_point P c c' r) = r * inv (cos psi) /\ Arg (bisector_point P c c' r / facet_rep_a P c) = psi /\ Arg (facet_rep_a P c' / bisector_point P c c' r) = psi
% Assm: Counting_spheres.facet_arg_lt_pi: !P c r. polyhedron P /\ bounded P /\ c facet_of P /\ &0 < r /\ (!p. norm p < r ==> P p) ==> (?c'. c' facet_of P /\ &0 < Arg (facet_rep_a P c' / facet_rep_a P c) /\ Arg (facet_rep_a P c' / facet_rep_a P c) < pi)
% Assm: Counting_spheres.facet_rep_def: !P c. polyhedron P /\ c facet_of P ==> norm (facet_rep_a P c) = &1 /\ (!r. &0 < r /\ (!p. norm p < r ==> P p) ==> r <= facet_rep_b P c) /\ P SUBSET {x | facet_rep_a P c dot x <= facet_rep_b P c} /\ c = P INTER {x | facet_rep_a P c dot x = facet_rep_b P c}
% Assm: Counting_spheres.facet_rep_in_poly: !P c r. polyhedron P /\ c facet_of P /\ &0 < r /\ (!p. norm p < r ==> P p) ==> P (r % facet_rep_a P c)
% Assm: Counting_spheres.facet_rep_nz: !P c. polyhedron P /\ c facet_of P ==> ~(facet_rep_a P c = Cx (&0))
% Assm: DECIMAL: !x y. DECIMAL x y = &x / &y
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXP_ADD: !m n p. m EXP (n + p) = m EXP n * m EXP p
% Assm: EXP_conjunct1: !m n. m EXP SUC n = m * m EXP n
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: EXTREME_POINT_EXISTS_CONVEX: !s. compact s /\ convex s /\ ~(s = {}) ==> (?x. x extreme_point_of s)
% Assm: FACE_OF_POLYHEDRON_SUBSET_FACET: !s c. polyhedron s /\ c face_of s /\ ~(c = {}) /\ ~(c = s) ==> (?f. f facet_of s /\ c SUBSET f)
% Assm: FACE_OF_SING: !x s. {x} face_of s <=> x extreme_point_of s
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: HAS_SIZE_0: !s. s HAS_SIZE 0 <=> s = {}
% Assm: HAS_SIZE_1_EXISTS: !s. s HAS_SIZE 1 <=> (?!x. x IN s)
% Assm: IM: Im (complex (x,y)) = y
% Assm: IN: !P x. x IN P <=> P x
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: INT_LT_DISCRETE: !x y. x < y <=> x + &1 <= y
% Assm: INT_NOT_EQ: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: INT_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: INT_NOT_LT: !x y. ~(x < y) <=> y <= x
% Assm: INT_OF_NUM_ADD: !m n. &m + &n = &(m + n)
% Assm: INT_OF_NUM_EQ: !m n. &m = &n <=> m = n
% Assm: INT_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: INT_OF_NUM_LT: !m n. &m < &n <=> m < n
% Assm: INT_POS: !n. &0 <= &n
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: I_THM: !x. I x = x
% Assm: LEFT_ADD_DISTRIB: !m n p. m * (n + p) = m * n + m * p
% Assm: LE_0: !n. 0 <= n
% Assm: LE_ANTISYM: !m n. m <= n /\ n <= m <=> m = n
% Assm: LE_conjunct0: !m. m <= 0 <=> m = 0
% Assm: MULT_CLAUSES_conjunct0: !n. 0 * n = 0
% Assm: MULT_CLAUSES_conjunct1: !m. m * 0 = 0
% Assm: MULT_CLAUSES_conjunct2: !n. 1 * n = n
% Assm: MULT_CLAUSES_conjunct3: !m. m * 1 = m
% Assm: MULT_CLAUSES_conjunct4: !m n. SUC m * n = m * n + n
% Assm: MULT_CLAUSES_conjunct5: !m n. m * SUC n = m + m * n
% Assm: Misc_defs_and_lemmas.REAL_ADD: !m n. &m + &n = &(m + n)
% Assm: NORM_0: norm (vec 0) = &0
% Assm: NORM_MUL: !a x. norm (a % x) = abs a * norm x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: NOT_LE: !m n. ~(m <= n) <=> n < m
% Assm: NUMERAL: !n. NUMERAL n = n
% Assm: ONE: 1 = SUC 0
% Assm: PI_WORKS_conjunct0: &0 < pi
% Assm: POLYTOPE_EQ_BOUNDED_POLYHEDRON: !s. polytope s <=> polyhedron s /\ bounded s
% Assm: POLYTOPE_IMP_COMPACT: !s. polytope s ==> compact s
% Assm: POLYTOPE_IMP_CONVEX: !s. polytope s ==> convex s
% Assm: RAT_LEMMA2: &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: RAT_LEMMA4: &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: RAT_LEMMA5: &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: RE: Re (complex (x,y)) = x
% Assm: REAL_ADD_ASSOC: !x y z. x + y + z = (x + y) + z
% Assm: REAL_ADD_LINV: !x. --x + x = &0
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_ADD_RINV: !x. x + --x = &0
% Assm: REAL_DIV_1: !x. x / &1 = x
% Assm: REAL_ENTIRE: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: REAL_EQ_ADD_LCANCEL: !x y z. x + y = x + z <=> y = z
% Assm: REAL_INV_DIV: !x y. inv (x / y) = y / x
% Assm: REAL_INV_EQ_0: !x. inv x = &0 <=> x = &0
% Assm: REAL_INV_INV: !x. inv (inv x) = x
% Assm: REAL_INV_MUL: !x y. inv (x * y) = inv x * inv y
% Assm: REAL_INV_NEG: !x. inv (--x) = --inv x
% Assm: REAL_LE_ANTISYM: !x y. x <= y /\ y <= x <=> x = y
% Assm: REAL_LE_LNEG: !x y. --x <= y <=> &0 <= x + y
% Assm: REAL_LE_LT: !x y. x <= y <=> x < y \/ x = y
% Assm: REAL_LE_MUL: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: REAL_LE_NEG2: !x y. --x <= --y <=> y <= x
% Assm: REAL_LE_RNEG: !x y. x <= --y <=> x + y <= &0
% Assm: REAL_LT_01: &0 < &1
% Assm: REAL_LT_LE: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: REAL_MUL_AC_conjunct0: m * n = n * m
% Assm: REAL_MUL_AC_conjunct1: (m * n) * p = m * n * p
% Assm: REAL_MUL_AC_conjunct2: m * n * p = n * m * p
% Assm: REAL_MUL_LID: !x. &1 * x = x
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: REAL_MUL_LNEG: !x y. --x * y = --(x * y)
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: REAL_MUL_RINV: !x. ~(x = &0) ==> x * inv x = &1
% Assm: REAL_MUL_RNEG: !x y. x * --y = --(x * y)
% Assm: REAL_MUL_SYM: !x y. x * y = y * x
% Assm: REAL_NEGNEG: !x. -- --x = x
% Assm: REAL_NEG_ADD: !x y. --(x + y) = --x + --y
% Assm: REAL_NEG_SUB: !x y. --(x - y) = y - x
% Assm: REAL_NOT_LE: !x y. ~(x <= y) <=> y < x
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: REAL_OF_NUM_MUL: !m n. &m * &n = &(m * n)
% Assm: REAL_OF_NUM_POW: !x n. &x pow n = &(x EXP n)
% Assm: REAL_POLY_CLAUSES_conjunct1: !x y. x + y = y + x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct6: !x. &0 * x = &0
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: REAL_POLY_CLAUSES_conjunct8: !x. x pow 0 = &1
% Assm: REAL_POLY_CLAUSES_conjunct9: !x n. x pow SUC n = x * x pow n
% Assm: REAL_POLY_NEG_CLAUSES_conjunct0: !x. --x = -- &1 * x
% Assm: REAL_POLY_NEG_CLAUSES_conjunct1: !x y. x - y = x + -- &1 * y
% Assm: REAL_POW_NEG: !x n. --x pow n = (if EVEN n then x pow n else --(x pow n))
% Assm: REAL_SUB_0: !x y. x - y = &0 <=> x = y
% Assm: REAL_SUB_LE: !x y. &0 <= x - y <=> y <= x
% Assm: REAL_SUB_LT: !x y. &0 < x - y <=> y < x
% Assm: RIGHT_ADD_DISTRIB: !m n p. (m + n) * p = m * p + n * p
% Assm: Real_ext.REAL_PROP_POS_ADD2: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: Real_ext.REAL_PROP_POS_MUL2: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_NEG_0: -- &0 = &0
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SURJ: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: TRUTH: T
% Assm: TWO: 2 = SUC 1
% Assm: Taylor_atn.cos_nz: !x. abs x < pi / &2 ==> ~(cos x = &0)
% Assm: Trigonometry2.LT_IMP_ABS_REFL: &0 < a ==> abs a = a
% Assm: VECTOR_ANGLE_SYM: !x y. vector_angle x y = vector_angle y x
% Assm: Ysskqoy.COS_ARG_VECTOR_ANGLE: !u v. ~(u = Cx (&0)) /\ ~(v = Cx (&0)) ==> cos (Arg (u / v)) = cos (vector_angle u v)
% Assm: Ysskqoy.SEC_DOT: !u v r psi. &0 < r /\ &0 <= psi /\ psi < pi / &2 /\ norm v = r * inv (cos psi) /\ norm u = r /\ cos (vector_angle u v) = cos psi ==> u dot (v - u) = &0
% Assm: complex_div: !w z. w / z = w * inv z
% Assm: complex_inv: !z. inv z = complex (Re z / (Re z pow 2 + Im z pow 2),--Im z / (Re z pow 2 + Im z pow 2))
% Assm: complex_mul: !w z. w * z = complex (Re w * Re z - Im w * Im z,Re w * Im z + Im w * Re z)
% Assm: int_add_th: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: int_le: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: int_of_num_th: !n. real_of_int (&n) = &n
% Assm: num_INDUCTION: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: real_abs: !x. abs x = (if &0 <= x then x else --x)
% Assm: real_div: !x y. x / y = x * inv y
% Assm: real_ge: !y x. x >= y <=> y <= x
% Assm: real_gt: !y x. x > y <=> y < x
% Assm: real_lt: !y x. x < y <=> ~(y <= x)
% Goal: !P s r n u2. polyhedron P /\ bounded P /\ s = {c | c facet_of P} /\ s HAS_SIZE n /\ &0 < r /\ ~(u2 = vec 0) /\ (!p2. norm p2 < r ==> p2 IN P) ==> (?g h. (!i. i IN 1..n ==> g i IN P /\ norm (g i) = r) /\ g (n + 1) = g 1 /\ (!j k. j IN 1..n /\ k IN 1..n /\ j < k ==> Arg (g j / u2) < Arg (g k / u2)) /\ (!i. i IN 1..n ==> h i IN P /\ norm (h i) = r * inv (cos (Arg (g (i + 1) / g i) / &2))) /\ (!i. i IN 1..n ==> Arg (h i / g i) = Arg (g (i + 1) / g i) / &2 /\ Arg (g (i + 1) / h i) = Arg (g (i + 1) / g i) / &2) /\ (!i. i IN 1..n ==> g i dot (h i - g i) = &0 /\ g (i + 1) dot (h i - g (i + 1)) = &0) /\ 1 < n /\ (!i. i IN 1..n ==> ~(g i = Cx (&0))) /\ (!i. i IN 1..n ==> ~(h i = Cx (&0))) /\ (!i. i IN 1..n ==> Arg (g (i + 1) / g i) < pi))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n p. (m + n) + p = m + n + p
% Assm: !n m p. m + n + p = n + m + p
% Assm: !m. m + 0 = m
% Assm: !m n. m + n = 0 <=> m = 0 /\ n = 0
% Assm: !m n. m + SUC n = SUC (m + n)
% Assm: !n. 0 + n = n
% Assm: !m n. SUC m + n = SUC (m + n)
% Assm: !z. &0 <= Arg z /\ Arg z < &2 * pi /\ z = Cx (norm z) * cexp (ii * Cx (Arg z))
% Assm: !r z. &0 < r ==> Arg (z / Cx r) = Arg z
% Assm: !r z. &0 < r ==> Arg (Cx r * z) = Arg z
% Assm: !n. Arg (Cx (&n)) = &0
% Assm: !n. _0 + BIT0 n = BIT0 n
% Assm: !n. BIT1 n + _0 = BIT1 n
% Assm: !m n. BIT0 m + BIT0 n = BIT0 (m + n)
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: _0 = _0 <=> T
% Assm: !n. BIT0 n = _0 <=> n = _0
% Assm: !n. BIT1 n = _0 <=> F
% Assm: _0 EXP _0 = BIT1 _0
% Assm: !m n. NUMERAL m <= NUMERAL n <=> m <= n
% Assm: _0 <= _0 <=> T
% Assm: !m n. BIT1 m <= BIT1 n <=> m <= n
% Assm: !m n. NUMERAL m < NUMERAL n <=> m < n
% Assm: _0 < _0 <=> F
% Assm: !n. _0 < BIT0 n <=> _0 < n
% Assm: !n. _0 < BIT1 n <=> T
% Assm: !m n. NUMERAL m * NUMERAL n = NUMERAL (m * n)
% Assm: _0 * _0 = _0
% Assm: !n. BIT1 n * _0 = _0
% Assm: !m n. BIT1 m * BIT1 n = BIT1 m + BIT0 n + BIT0 (BIT0 (m * n))
% Assm: SUC _0 = BIT1 _0
% Assm: BIT0 _0 = _0
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !n. BIT0 n = n + n
% Assm: !n. BIT1 n = SUC (n + n)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !c x. c % x = Cx c * x
% Assm: !x. ~(x = Cx (&0)) ==> x / x = Cx (&1)
% Assm: !x y. x * y = Cx (&0) <=> x = Cx (&0) \/ y = Cx (&0)
% Assm: !w z. w = z <=> Re w = Re z /\ Im w = Im z
% Assm: !w z. inv (w * z) = inv w * inv z
% Assm: !x. norm (Cx x) = abs x
% Assm: !w z. norm (w * z) = norm w * norm z
% Assm: !z. norm z = &0 <=> z = Cx (&0)
% Assm: vec 0 = Cx (&0)
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !a. Cx a = complex (a,&0)
% Assm: !x y. Cx x = Cx y <=> x = y
% Assm: !a. a = {} <=> ~(?x. x IN a)
% Assm: !P n s r u. s = {c | c facet_of P} /\ bounded P /\ polyhedron P /\ &0 < r /\ (!p. norm p < r ==> P p) /\ ~(u = Cx (&0)) /\ s HAS_SIZE n ==> (?f. s = IMAGE f (1..n) /\ BIJ f (1..n) s /\ (!i k. i IN 1..n /\ k IN 1..n /\ ~(i = k) ==> Arg (facet_rep_a P (f (i + 1)) / facet_rep_a P (f i)) <= Arg (facet_rep_a P (f k) / facet_rep_a P (f i))) /\ (!i. i IN 1..n ==> Arg (facet_rep_a P (f (i + 1)) / facet_rep_a P (f i)) < pi) /\ f (n + 1) = f 1 /\ (!j k. j IN 1..n /\ k IN 1..n /\ j < k ==> Arg (facet_rep_a P (f j) / u) < Arg (facet_rep_a P (f k) / u)))
% Assm: !P c c' r psi. polyhedron P /\ c facet_of P /\ c' facet_of P /\ &0 < r /\ (!p. norm p < r ==> P p) /\ psi = Arg (facet_rep_a P c' / facet_rep_a P c) / &2 /\ (!c''. c'' facet_of P /\ Arg (facet_rep_a P c'' / facet_rep_a P c) < &2 * psi ==> c'' = c) /\ psi < pi / &2 /\ ~(c' = c) ==> P (bisector_point P c c' r) /\ norm (bisector_point P c c' r) = r * inv (cos psi) /\ Arg (bisector_point P c c' r / facet_rep_a P c) = psi /\ Arg (facet_rep_a P c' / bisector_point P c c' r) = psi
% Assm: !P c r. polyhedron P /\ bounded P /\ c facet_of P /\ &0 < r /\ (!p. norm p < r ==> P p) ==> (?c'. c' facet_of P /\ &0 < Arg (facet_rep_a P c' / facet_rep_a P c) /\ Arg (facet_rep_a P c' / facet_rep_a P c) < pi)
% Assm: !P c. polyhedron P /\ c facet_of P ==> norm (facet_rep_a P c) = &1 /\ (!r. &0 < r /\ (!p. norm p < r ==> P p) ==> r <= facet_rep_b P c) /\ P SUBSET {x | facet_rep_a P c dot x <= facet_rep_b P c} /\ c = P INTER {x | facet_rep_a P c dot x = facet_rep_b P c}
% Assm: !P c r. polyhedron P /\ c facet_of P /\ &0 < r /\ (!p. norm p < r ==> P p) ==> P (r % facet_rep_a P c)
% Assm: !P c. polyhedron P /\ c facet_of P ==> ~(facet_rep_a P c = Cx (&0))
% Assm: !x y. DECIMAL x y = &x / &y
% Assm: !t. (\x. t x) = t
% Assm: !m n p. m EXP (n + p) = m EXP n * m EXP p
% Assm: !m n. m EXP SUC n = m * m EXP n
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s. compact s /\ convex s /\ ~(s = {}) ==> (?x. x extreme_point_of s)
% Assm: !s c. polyhedron s /\ c face_of s /\ ~(c = {}) /\ ~(c = s) ==> (?f. f facet_of s /\ c SUBSET f)
% Assm: !x s. {x} face_of s <=> x extreme_point_of s
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !s. s HAS_SIZE 0 <=> s = {}
% Assm: !s. s HAS_SIZE 1 <=> (?x. x IN s) /\ (!x x'. x IN s /\ x' IN s ==> x = x')
% Assm: !x y. Im (complex (x,y)) = y
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN P <=> P x
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !x y. x < y <=> x + &1 <= y
% Assm: !x y. ~(x = y) <=> x < y \/ y < x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !x y. ~(x < y) <=> y <= x
% Assm: !m n. &m + &n = &(m + n)
% Assm: !m n. &m = &n <=> m = n
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m < &n <=> m < n
% Assm: !n. &0 <= &n
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !m n p. m * (n + p) = m * n + m * p
% Assm: !n. 0 <= n
% Assm: !m n. m <= n /\ n <= m <=> m = n
% Assm: !m. m <= 0 <=> m = 0
% Assm: !n. 0 * n = 0
% Assm: !m. m * 0 = 0
% Assm: !n. 1 * n = n
% Assm: !m. m * 1 = m
% Assm: !m n. SUC m * n = m * n + n
% Assm: !m n. m * SUC n = m + m * n
% Assm: !m n. &m + &n = &(m + n)
% Assm: norm (vec 0) = &0
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x. ~(x IN {})
% Assm: !m n. ~(m <= n) <=> n < m
% Assm: !n. NUMERAL n = n
% Assm: 1 = SUC 0
% Assm: &0 < pi
% Assm: !s. polytope s <=> polyhedron s /\ bounded s
% Assm: !s. polytope s ==> compact s
% Assm: !s. polytope s ==> convex s
% Assm: !x1 x2 y1 y2. &0 < y1 /\ &0 < y2 ==> x1 / y1 + x2 / y2 = (x1 * y2 + x2 * y1) * inv y1 * inv y2
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 <= x2 / y2 <=> x1 * y2 <= x2 * y1)
% Assm: !x1 y2 x2 y1. &0 < y1 /\ &0 < y2 ==> (x1 / y1 = x2 / y2 <=> x1 * y2 = x2 * y1)
% Assm: !y x. Re (complex (x,y)) = x
% Assm: !x y z. x + y + z = (x + y) + z
% Assm: !x. --x + x = &0
% Assm: !x. x + &0 = x
% Assm: !x. x + --x = &0
% Assm: !x. x / &1 = x
% Assm: !x y. x * y = &0 <=> x = &0 \/ y = &0
% Assm: !x y z. x + y = x + z <=> y = z
% Assm: !x y. inv (x / y) = y / x
% Assm: !x. inv x = &0 <=> x = &0
% Assm: !x. inv (inv x) = x
% Assm: !x y. inv (x * y) = inv x * inv y
% Assm: !x. inv (--x) = --inv x
% Assm: !x y. x <= y /\ y <= x <=> x = y
% Assm: !x y. --x <= y <=> &0 <= x + y
% Assm: !x y. x <= y <=> x < y \/ x = y
% Assm: !x y. &0 <= x /\ &0 <= y ==> &0 <= x * y
% Assm: !x y. --x <= --y <=> y <= x
% Assm: !x y. x <= --y <=> x + y <= &0
% Assm: &0 < &1
% Assm: !x y. x < y <=> x <= y /\ ~(x = y)
% Assm: !n m. m * n = n * m
% Assm: !m n p. (m * n) * p = m * n * p
% Assm: !n m p. m * n * p = n * m * p
% Assm: !x. &1 * x = x
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: !x y. --x * y = --(x * y)
% Assm: !x. x * &1 = x
% Assm: !x. ~(x = &0) ==> x * inv x = &1
% Assm: !x y. x * --y = --(x * y)
% Assm: !x y. x * y = y * x
% Assm: !x. -- --x = x
% Assm: !x y. --(x + y) = --x + --y
% Assm: !x y. --(x - y) = y - x
% Assm: !x y. ~(x <= y) <=> y < x
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !m n. &m * &n = &(m * n)
% Assm: !x n. &x pow n = &(x EXP n)
% Assm: !x y. x + y = y + x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x. &0 * x = &0
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. x pow 0 = &1
% Assm: !x n. x pow SUC n = x * x pow n
% Assm: !x. --x = -- &1 * x
% Assm: !x y. x - y = x + -- &1 * y
% Assm: !x n. --x pow n = (if EVEN n then x pow n else --(x pow n))
% Assm: !x y. x - y = &0 <=> x = y
% Assm: !x y. &0 <= x - y <=> y <= x
% Assm: !x y. &0 < x - y <=> y < x
% Assm: !m n p. (m + n) * p = m * p + n * p
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x + y
% Assm: !x y. &0 < x /\ &0 < y ==> &0 < x * y
% Assm: !x. &0 + x = x
% Assm: -- &0 = &0
% Assm: !x. x * &0 = &0
% Assm: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: T
% Assm: 2 = SUC 1
% Assm: !x. abs x < pi / &2 ==> ~(cos x = &0)
% Assm: !a. &0 < a ==> abs a = a
% Assm: !x y. vector_angle x y = vector_angle y x
% Assm: !u v. ~(u = Cx (&0)) /\ ~(v = Cx (&0)) ==> cos (Arg (u / v)) = cos (vector_angle u v)
% Assm: !u v r psi. &0 < r /\ &0 <= psi /\ psi < pi / &2 /\ norm v = r * inv (cos psi) /\ norm u = r /\ cos (vector_angle u v) = cos psi ==> u dot (v - u) = &0
% Assm: !w z. w / z = w * inv z
% Assm: !z. inv z = complex (Re z / (Re z pow 2 + Im z pow 2),--Im z / (Re z pow 2 + Im z pow 2))
% Assm: !w z. w * z = complex (Re w * Re z - Im w * Im z,Re w * Im z + Im w * Re z)
% Assm: !x y. real_of_int (x + y) = real_of_int x + real_of_int y
% Assm: !x y. x <= y <=> real_of_int x <= real_of_int y
% Assm: !n. real_of_int (&n) = &n
% Assm: !P. P 0 /\ (!n. P n ==> P (SUC n)) ==> (!n. P n)
% Assm: !x. abs x = (if &0 <= x then x else --x)
% Assm: !x y. x / y = x * inv y
% Assm: !y x. x >= y <=> y <= x
% Assm: !y x. x > y <=> y < x
% Assm: !y x. x < y <=> ~(y <= x)
% Goal: !P s r n u2. polyhedron P /\ bounded P /\ s = {c | c facet_of P} /\ s HAS_SIZE n /\ &0 < r /\ ~(u2 = vec 0) /\ (!p2. norm p2 < r ==> p2 IN P) ==> (?g h. (!i. i IN 1..n ==> g i IN P /\ norm (g i) = r) /\ g (n + 1) = g 1 /\ (!j k. j IN 1..n /\ k IN 1..n /\ j < k ==> Arg (g j / u2) < Arg (g k / u2)) /\ (!i. i IN 1..n ==> h i IN P /\ norm (h i) = r * inv (cos (Arg (g (i + 1) / g i) / &2))) /\ (!i. i IN 1..n ==> Arg (h i / g i) = Arg (g (i + 1) / g i) / &2 /\ Arg (g (i + 1) / h i) = Arg (g (i + 1) / g i) / &2) /\ (!i. i IN 1..n ==> g i dot (h i - g i) = &0 /\ g (i + 1) dot (h i - g (i + 1)) = &0) /\ 1 < n /\ (!i. i IN 1..n ==> ~(g i = Cx (&0))) /\ (!i. i IN 1..n ==> ~(h i = Cx (&0))) /\ (!i. i IN 1..n ==> Arg (g (i + 1) / g i) < pi))
%  TYPES
thf(tq357604, type, q357604 : $tType).
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(tcartrealq363119, type, cartrealq363119 : $tType).
thf(tq363119, type, q363119 : $tType).
thf(tq688907, type, q688907 : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tint, type, int : $tType).
thf(tq363130, type, q363130 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tcartrealq357604, type, cartrealq357604 : $tType).
thf(tcartrealq688907, type, cartrealq688907 : $tType).
thf(tcartrealq363130, type, cartrealq363130 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cim, type, im : (cartrealn2 > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(carg, type, arg : (cartrealn2 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(cintuu_ofuu_num, type, intu_ofu_num : (num > int)).
thf(crealuu_neg, type, realu_neg : (real > real)).
thf(ci, type, i : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(ccos, type, cos : (real > real)).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cii, type, ii : cartrealn2).
thf(ceven, type, even : (num > $o)).
thf(cempty3, type, empty3 : (num > $o)).
thf(csuc, type, suc : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
thf(crealuu_gt, type, realu_gt : (real > real > $o)).
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(cvectoruu_angle0, type, vectoru_angle0 : (cartrealn2 > cartrealn2 > real)).
thf(cvectoruu_angle, type, vectoru_angle : (cartrealq688907 > cartrealq688907 > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(ci1, type, i1 : (cartrealn2 > cartrealn2)).
thf(ci0, type, i0 : (((cartrealn2 > $o) > $o) > (cartrealn2 > $o) > $o)).
thf(cgspec1, type, gspec1 : ((num > $o) > num > $o)).
thf(cintuu_add, type, intu_add : (int > int > int)).
thf(cintuu_le, type, intu_le : (int > int > $o)).
thf(cintuu_lt, type, intu_lt : (int > int > $o)).
thf(cextremeuu_pointuu_of0, type, extremeu_pointu_of0 : (cartrealq357604 > (cartrealq357604 > $o) > $o)).
thf(cfaceuu_of0, type, faceu_of0 : ((cartrealq357604 > $o) > (cartrealq357604 > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(cextremeuu_pointuu_of, type, extremeu_pointu_of : (cartrealn > (cartrealn > $o) > $o)).
thf(cdecimal, type, decimal : (num > num > real)).
thf(cgspec0, type, gspec0 : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(csubset, type, subset : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(cfacetuu_repuu_b, type, facetu_repu_b : ((cartrealn2 > $o) > (cartrealn2 > $o) > real)).
thf(cin1, type, in1 : ((cartrealn2 > $o) > ((cartrealn2 > $o) > $o) > $o)).
thf(ccomplex, type, complex : (prodrealreal > cartrealn2)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ctu_, type, t_ : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cexp, type, exp : (num > num > num)).
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cdot, type, dot : (cartrealn2 > cartrealn2 > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cin, type, in : (cartrealn2 > (cartrealn2 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn2)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(chasuu_size, type, hasu_size : (((cartrealn2 > $o) > $o) > num > $o)).
thf(cfacetuu_of, type, facetu_of : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn2 > $o) > $o) > (cartrealn2 > $o) > $o)).
thf(crealuu_ofuu_int, type, realu_ofu_int : (int > real)).
thf(cpi, type, pi : real).
thf(cuu_0, type, u_0 : num).
thf(csurj1, type, surj1 : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(csurj0, type, surj0 : ((num > cartrealn2) > (num > $o) > (cartrealn2 > $o) > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(cinsert0, type, insert0 : (cartrealn2 > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(cimage1, type, image1 : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(cimage0, type, image0 : ((num > cartrealn2) > (num > $o) > cartrealn2 > $o)).
thf(csetspec1, type, setspec1 : (num > $o > num > $o)).
thf(cinj0, type, inj0 : ((cartrealn2 > cartrealn2) > (cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(cinsert, type, insert : (cartrealq357604 > (cartrealq357604 > $o) > cartrealq357604 > $o)).
thf(cinter, type, inter : ((cartrealn2 > $o) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(csetspec0, type, setspec0 : (cartrealn2 > $o > cartrealn2 > $o)).
thf(cbisectoruu_point, type, bisectoru_point : ((cartrealn2 > $o) > (cartrealn2 > $o) > (cartrealn2 > $o) > real > cartrealn2)).
thf(cfacetuu_repuu_a, type, facetu_repu_a : ((cartrealn2 > $o) > (cartrealn2 > $o) > cartrealn2)).
thf(cbij0, type, bij0 : ((num > cartrealn2 > $o) > (num > $o) > ((cartrealn2 > $o) > $o) > $o)).
thf(cimage, type, image : ((num > cartrealn2 > $o) > (num > $o) > (cartrealn2 > $o) > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cru_, type, r_ : (real > cartrealn2 > cartrealn2)).
thf(csurj, type, surj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cinj, type, inj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cbij, type, bij : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : ((cartrealn2 > $o) > $o > (cartrealn2 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cconvex0, type, convex0 : ((cartrealq363130 > $o) > $o)).
thf(cpolytope1, type, polytope1 : ((cartrealq363130 > $o) > $o)).
thf(ccompact0, type, compact0 : ((cartrealq363119 > $o) > $o)).
thf(cpolytope0, type, polytope0 : ((cartrealq363119 > $o) > $o)).
thf(cpolytope, type, polytope : ((cartrealn2 > $o) > $o)).
thf(cempty2, type, empty2 : (cartrealq357604 > $o)).
thf(cempty1, type, empty1 : (cartrealn2 > $o)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : ((cartrealn2 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn2 > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn2 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > (cartrealn2 > $o) > $o),G:(a > (cartrealn2 > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aADDu_ACu_conjunct1, axiom, ![M:num,N:num,P:num]:((p_ @ (p_ @ M @ N) @ P) = (p_ @ M @ (p_ @ N @ P)))).
thf(aADDu_ACu_conjunct2, axiom, ![N:num,M:num,P:num]:((p_ @ M @ (p_ @ N @ P)) = (p_ @ N @ (p_ @ M @ P)))).
thf(aADDu_CLAUSESu_conjunct1, axiom, ![M:num]:((p_ @ M @ (numeral @ u_0)) = M)).
thf(aADDu_EQu_0, axiom, ![M:num,N:num]:(((p_ @ M @ N) = (numeral @ u_0)) <=> ((M = (numeral @ u_0)) & (N = (numeral @ u_0))))).
thf(aADDu_SUC, axiom, ![M:num,N:num]:((p_ @ M @ (suc @ N)) = (suc @ (p_ @ M @ N)))).
thf(aADDu_conjunct0, axiom, ![N:num]:((p_ @ (numeral @ u_0) @ N) = N)).
thf(aADDu_conjunct1, axiom, ![M:num,N:num]:((p_ @ (suc @ M) @ N) = (suc @ (p_ @ M @ N)))).
thf(aARG, axiom, ![Z:cartrealn2]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (arg @ Z)) & (realu_lt @ (arg @ Z) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & (Z = (complexu_mul @ (cx @ (vectoru_norm @ Z)) @ (cexp @ (complexu_mul @ ii @ (cx @ (arg @ Z)))))))).
thf(aARGu_DIVu_CX, axiom, ![R:real,Z:cartrealn2]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) => ((arg @ (complexu_div @ Z @ (cx @ R))) = (arg @ Z)))).
thf(aARGu_MULu_CX, axiom, ![R:real,Z:cartrealn2]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) => ((arg @ (complexu_mul @ (cx @ R) @ Z)) = (arg @ Z)))).
thf(aARGu_NUM, axiom, ![N:num]:((arg @ (cx @ (realu_ofu_num @ N))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aARITHu_ADDu_conjunct2, axiom, ![N:num]:((p_ @ u_0 @ (bit0 @ N)) = (bit0 @ N))).
thf(aARITHu_ADDu_conjunct5, axiom, ![N:num]:((p_ @ (bit1 @ N) @ u_0) = (bit1 @ N))).
thf(aARITHu_ADDu_conjunct6, axiom, ![M:num,N:num]:((p_ @ (bit0 @ M) @ (bit0 @ N)) = (bit0 @ (p_ @ M @ N)))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct1, axiom, ((u_0 = u_0) <=> $true)).
thf(aARITHu_EQu_conjunct2, axiom, ![N:num]:(((bit0 @ N) = u_0) <=> (N = u_0))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_EXPu_conjunct1, axiom, ((exp @ u_0 @ u_0) = (bit1 @ u_0))).
thf(aARITHu_LEu_conjunct0, axiom, ![M:num,N:num]:((l_a_ @ (numeral @ M) @ (numeral @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LEu_conjunct1, axiom, ((l_a_ @ u_0 @ u_0) <=> $true)).
thf(aARITHu_LEu_conjunct9, axiom, ![M:num,N:num]:((l_a_ @ (bit1 @ M) @ (bit1 @ N)) <=> (l_a_ @ M @ N))).
thf(aARITHu_LTu_conjunct0, axiom, ![M:num,N:num]:((l_ @ (numeral @ M) @ (numeral @ N)) <=> (l_ @ M @ N))).
thf(aARITHu_LTu_conjunct1, axiom, ((l_ @ u_0 @ u_0) <=> $false)).
thf(aARITHu_LTu_conjunct4, axiom, ![N:num]:((l_ @ u_0 @ (bit0 @ N)) <=> (l_ @ u_0 @ N))).
thf(aARITHu_LTu_conjunct5, axiom, ![N:num]:((l_ @ u_0 @ (bit1 @ N)) <=> $true)).
thf(aARITHu_MULTu_conjunct0, axiom, ![M:num,N:num]:((t_ @ (numeral @ M) @ (numeral @ N)) = (numeral @ (t_ @ M @ N)))).
thf(aARITHu_MULTu_conjunct1, axiom, ((t_ @ u_0 @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct5, axiom, ![N:num]:((t_ @ (bit1 @ N) @ u_0) = u_0)).
thf(aARITHu_MULTu_conjunct9, axiom, ![M:num,N:num]:((t_ @ (bit1 @ M) @ (bit1 @ N)) = (p_ @ (bit1 @ M) @ (p_ @ (bit0 @ N) @ (bit0 @ (bit0 @ (t_ @ M @ N))))))).
thf(aARITHu_SUCu_conjunct1, axiom, ((suc @ u_0) = (bit1 @ u_0))).
thf(aARITHu_ZEROu_conjunct1, axiom, ((bit0 @ u_0) = u_0)).
thf(aBIJ, axiom, ![F:(a > b),S:(a > $o),T:(b > $o)]:((bij @ F @ S @ T) <=> ((inj @ F @ S @ T) & (surj @ F @ S @ T)))).
thf(aBIT0, axiom, ![N:num]:((bit0 @ N) = (p_ @ N @ N))).
thf(aBIT1, axiom, ![N:num]:((bit1 @ N) = (suc @ (p_ @ N @ N)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_CMUL, axiom, ![C:real,X:cartrealn2]:((r_ @ C @ X) = (complexu_mul @ (cx @ C) @ X))).
thf(aCOMPLEXu_DIVu_REFL, axiom, ![X:cartrealn2]:(~ ((X = (cx @ (realu_ofu_num @ (numeral @ u_0))))) => ((complexu_div @ X @ X) = (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aCOMPLEXu_ENTIRE, axiom, ![X:cartrealn2,Y:cartrealn2]:(((complexu_mul @ X @ Y) = (cx @ (realu_ofu_num @ (numeral @ u_0)))) <=> ((X = (cx @ (realu_ofu_num @ (numeral @ u_0)))) | (Y = (cx @ (realu_ofu_num @ (numeral @ u_0))))))).
thf(aCOMPLEXu_EQ, axiom, ![W:cartrealn2,Z:cartrealn2]:((W = Z) <=> (((re @ W) = (re @ Z)) & ((im @ W) = (im @ Z))))).
thf(aCOMPLEXu_INVu_MUL, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_inv @ (complexu_mul @ W @ Z)) = (complexu_mul @ (complexu_inv @ W) @ (complexu_inv @ Z)))).
thf(aCOMPLEXu_NORMu_CX, axiom, ![X:real]:((vectoru_norm @ (cx @ X)) = (realu_abs @ X))).
thf(aCOMPLEXu_NORMu_MUL, axiom, ![W:cartrealn2,Z:cartrealn2]:((vectoru_norm @ (complexu_mul @ W @ Z)) = (realu_mul @ (vectoru_norm @ W) @ (vectoru_norm @ Z)))).
thf(aCOMPLEXu_NORMu_ZERO, axiom, ![Z:cartrealn2]:(((vectoru_norm @ Z) = (realu_ofu_num @ (numeral @ u_0))) <=> (Z = (cx @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aCOMPLEXu_VECu_0, axiom, ((vec @ (numeral @ u_0)) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aCXu_DEF, axiom, ![A:real]:((cx @ A) = (complex @ (c_ @ A @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aCXu_INJ, axiom, ![X:real,Y:real]:(((cx @ X) = (cx @ Y)) <=> (X = Y))).
thf(aCountingu_sphereso_EMPTYu_NOTu_EXISTSu_IN, axiom, ![A:((cartrealn2 > $o) > $o)]:((A = empty) <=> ~ (?[X:(cartrealn2 > $o)]:(in1 @ X @ A)))).
thf(aCountingu_sphereso_POLYSORTu_BIJ2, axiom, ![P:(cartrealn2 > $o),N:num,S:((cartrealn2 > $o) > $o),R:real,U:cartrealn2]:(((S = (gspec @ ^[GENR_PVARR_1973:(cartrealn2 > $o)]:?[C:(cartrealn2 > $o)]:(setspec @ GENR_PVARR_1973 @ (facetu_of @ C @ P) @ C))) & (bounded @ P) & (polyhedron @ P) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & ![P0:cartrealn2]:((realu_lt @ (vectoru_norm @ P0) @ R) => (P @ P0)) & ~ ((U = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & (hasu_size @ S @ N)) => ?[F:(num > cartrealn2 > $o)]:((S = (image @ F @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N))) & (bij0 @ F @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N) @ S) & ![I:num,K:num]:(((in0 @ I @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) & (in0 @ K @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) & ~ ((I = K))) => (realu_le @ (arg @ (complexu_div @ (facetu_repu_a @ P @ (F @ (p_ @ I @ (numeral @ (bit1 @ u_0))))) @ (facetu_repu_a @ P @ (F @ I)))) @ (arg @ (complexu_div @ (facetu_repu_a @ P @ (F @ K)) @ (facetu_repu_a @ P @ (F @ I)))))) & ![I:num]:((in0 @ I @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) => (realu_lt @ (arg @ (complexu_div @ (facetu_repu_a @ P @ (F @ (p_ @ I @ (numeral @ (bit1 @ u_0))))) @ (facetu_repu_a @ P @ (F @ I)))) @ pi)) & ((F @ (p_ @ N @ (numeral @ (bit1 @ u_0)))) = (F @ (numeral @ (bit1 @ u_0)))) & ![J:num,K:num]:(((in0 @ J @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) & (in0 @ K @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) & (l_ @ J @ K)) => (realu_lt @ (arg @ (complexu_div @ (facetu_repu_a @ P @ (F @ J)) @ U)) @ (arg @ (complexu_div @ (facetu_repu_a @ P @ (F @ K)) @ U))))))).
thf(aCountingu_sphereso_bisectoru_point, axiom, ![P:(cartrealn2 > $o),C:(cartrealn2 > $o),CI_:(cartrealn2 > $o),R:real,PSI:real]:(((polyhedron @ P) & (facetu_of @ C @ P) & (facetu_of @ CI_ @ P) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & ![P0:cartrealn2]:((realu_lt @ (vectoru_norm @ P0) @ R) => (P @ P0)) & (PSI = (realu_div @ (arg @ (complexu_div @ (facetu_repu_a @ P @ CI_) @ (facetu_repu_a @ P @ C))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) & ![CI_I_:(cartrealn2 > $o)]:(((facetu_of @ CI_I_ @ P) & (realu_lt @ (arg @ (complexu_div @ (facetu_repu_a @ P @ CI_I_) @ (facetu_repu_a @ P @ C))) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ PSI))) => (CI_I_ = C)) & (realu_lt @ PSI @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) & ~ ((CI_ = C))) => ((P @ (bisectoru_point @ P @ C @ CI_ @ R)) & ((vectoru_norm @ (bisectoru_point @ P @ C @ CI_ @ R)) = (realu_mul @ R @ (realu_inv @ (cos @ PSI)))) & ((arg @ (complexu_div @ (bisectoru_point @ P @ C @ CI_ @ R) @ (facetu_repu_a @ P @ C))) = PSI) & ((arg @ (complexu_div @ (facetu_repu_a @ P @ CI_) @ (bisectoru_point @ P @ C @ CI_ @ R))) = PSI)))).
thf(aCountingu_sphereso_facetu_argu_ltu_pi, axiom, ![P:(cartrealn2 > $o),C:(cartrealn2 > $o),R:real]:(((polyhedron @ P) & (bounded @ P) & (facetu_of @ C @ P) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & ![P0:cartrealn2]:((realu_lt @ (vectoru_norm @ P0) @ R) => (P @ P0))) => ?[CI_:(cartrealn2 > $o)]:((facetu_of @ CI_ @ P) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (arg @ (complexu_div @ (facetu_repu_a @ P @ CI_) @ (facetu_repu_a @ P @ C)))) & (realu_lt @ (arg @ (complexu_div @ (facetu_repu_a @ P @ CI_) @ (facetu_repu_a @ P @ C))) @ pi)))).
thf(aCountingu_sphereso_facetu_repu_def, axiom, ![P:(cartrealn2 > $o),C:(cartrealn2 > $o)]:(((polyhedron @ P) & (facetu_of @ C @ P)) => (((vectoru_norm @ (facetu_repu_a @ P @ C)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ![R:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & ![P0:cartrealn2]:((realu_lt @ (vectoru_norm @ P0) @ R) => (P @ P0))) => (realu_le @ R @ (facetu_repu_b @ P @ C))) & (subset @ P @ (gspec0 @ ^[GENR_PVARR_1952:cartrealn2]:?[X:cartrealn2]:(setspec0 @ GENR_PVARR_1952 @ (realu_le @ (dot @ (facetu_repu_a @ P @ C) @ X) @ (facetu_repu_b @ P @ C)) @ X))) & (C = (inter @ P @ (gspec0 @ ^[GENR_PVARR_1953:cartrealn2]:?[X:cartrealn2]:(setspec0 @ GENR_PVARR_1953 @ ((dot @ (facetu_repu_a @ P @ C) @ X) = (facetu_repu_b @ P @ C)) @ X))))))).
thf(aCountingu_sphereso_facetu_repu_inu_poly, axiom, ![P:(cartrealn2 > $o),C:(cartrealn2 > $o),R:real]:(((polyhedron @ P) & (facetu_of @ C @ P) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & ![P0:cartrealn2]:((realu_lt @ (vectoru_norm @ P0) @ R) => (P @ P0))) => (P @ (r_ @ R @ (facetu_repu_a @ P @ C))))).
thf(aCountingu_sphereso_facetu_repu_nz, axiom, ![P:(cartrealn2 > $o),C:(cartrealn2 > $o)]:(((polyhedron @ P) & (facetu_of @ C @ P)) => ~ (((facetu_repu_a @ P @ C) = (cx @ (realu_ofu_num @ (numeral @ u_0))))))).
thf(aDECIMAL, axiom, ![X:num,Y:num]:((decimal @ X @ Y) = (realu_div @ (realu_ofu_num @ X) @ (realu_ofu_num @ Y)))).
thf(aETAu_AX, axiom, ![T:((cartrealn2 > $o) > $o)]:(^[X:(cartrealn2 > $o)]:(T @ X) = T)).
thf(aEXPu_ADD, axiom, ![M:num,N:num,P:num]:((exp @ M @ (p_ @ N @ P)) = (t_ @ (exp @ M @ N) @ (exp @ M @ P)))).
thf(aEXPu_conjunct1, axiom, ![M:num,N:num]:((exp @ M @ (suc @ N)) = (t_ @ M @ (exp @ M @ N)))).
thf(aEXTENSION, axiom, ![S:((cartrealn2 > $o) > $o),T:((cartrealn2 > $o) > $o)]:((S = T) <=> ![X:(cartrealn2 > $o)]:((in1 @ X @ S) <=> (in1 @ X @ T)))).
thf(aEXTREMEu_POINTu_EXISTSu_CONVEX, axiom, ![S:(cartrealn > $o)]:(((compact @ S) & (convex @ S) & ~ ((S = empty0))) => ?[X:cartrealn]:(extremeu_pointu_of @ X @ S))).
thf(aFACEu_OFu_POLYHEDRONu_SUBSETu_FACET, axiom, ![S:(cartrealn2 > $o),C:(cartrealn2 > $o)]:(((polyhedron @ S) & (faceu_of @ C @ S) & ~ ((C = empty1)) & ~ ((C = S))) => ?[F:(cartrealn2 > $o)]:((facetu_of @ F @ S) & (subset @ C @ F)))).
thf(aFACEu_OFu_SING, axiom, ![X:cartrealq357604,S:(cartrealq357604 > $o)]:((faceu_of0 @ (insert @ X @ empty2) @ S) <=> (extremeu_pointu_of0 @ X @ S))).
thf(aFUNu_EQu_THM, axiom, ![F:((cartrealn2 > $o) > $o),G:((cartrealn2 > $o) > $o)]:((F = G) <=> ![X:(cartrealn2 > $o)]:((F @ X) <=> (G @ X)))).
thf(aHASu_SIZEu_0, axiom, ![S:((cartrealn2 > $o) > $o)]:((hasu_size @ S @ (numeral @ u_0)) <=> (S = empty))).
thf(aHASu_SIZEu_1u_EXISTS, axiom, ![S:((cartrealn2 > $o) > $o)]:((hasu_size @ S @ (numeral @ (bit1 @ u_0))) <=> (?[X:(cartrealn2 > $o)]:(in1 @ X @ S) & ![X:(cartrealn2 > $o),XI_:(cartrealn2 > $o)]:(((in1 @ X @ S) & (in1 @ XI_ @ S)) => (X = XI_))))).
thf(aIM, axiom, ![X:real,Y:real]:((im @ (complex @ (c_ @ X @ Y))) = Y)).
thf(aINu_monomorphized1, axiom, ![P:(num > $o),X:num]:((in0 @ X @ P) <=> (P @ X))).
thf(aINu_monomorphized0, axiom, ![P:(cartrealn2 > $o),X:cartrealn2]:((in @ X @ P) <=> (P @ X))).
thf(aINJ, axiom, ![T:(cartrealn2 > $o),S:(cartrealn2 > $o),F:(cartrealn2 > cartrealn2)]:((inj0 @ F @ S @ T) <=> (![X:cartrealn2]:((in @ X @ S) => (in @ (F @ X) @ T)) & ![X:cartrealn2,Y:cartrealn2]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aINTu_LTu_DISCRETE, axiom, ![X:int,Y:int]:((intu_lt @ X @ Y) <=> (intu_le @ (intu_add @ X @ (intu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y))).
thf(aINTu_NOTu_EQ, axiom, ![X:int,Y:int]:(~ ((X = Y)) <=> ((intu_lt @ X @ Y) | (intu_lt @ Y @ X)))).
thf(aINTu_NOTu_LE, axiom, ![X:int,Y:int]:(~ ((intu_le @ X @ Y)) <=> (intu_lt @ Y @ X))).
thf(aINTu_NOTu_LT, axiom, ![X:int,Y:int]:(~ ((intu_lt @ X @ Y)) <=> (intu_le @ Y @ X))).
thf(aINTu_OFu_NUMu_ADD, axiom, ![M:num,N:num]:((intu_add @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) = (intu_ofu_num @ (p_ @ M @ N)))).
thf(aINTu_OFu_NUMu_EQ, axiom, ![M:num,N:num]:(((intu_ofu_num @ M) = (intu_ofu_num @ N)) <=> (M = N))).
thf(aINTu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((intu_le @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aINTu_OFu_NUMu_LT, axiom, ![M:num,N:num]:((intu_lt @ (intu_ofu_num @ M) @ (intu_ofu_num @ N)) <=> (l_ @ M @ N))).
thf(aINTu_POS, axiom, ![N:num]:(intu_le @ (intu_ofu_num @ (numeral @ u_0)) @ (intu_ofu_num @ N))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized1, axiom, ![P:(num > $o),X:num]:((in0 @ X @ (gspec1 @ ^[V:num]:?[Y:num]:(setspec1 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct1u_monomorphized0, axiom, ![P:(cartrealn2 > $o),X:cartrealn2]:((in @ X @ (gspec0 @ ^[V:cartrealn2]:?[Y:cartrealn2]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_IMAGEu_monomorphized1, axiom, ![Y:cartrealn2,S:(num > $o),F:(num > cartrealn2)]:((in @ Y @ (image0 @ F @ S)) <=> ?[X:num]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aINu_IMAGEu_monomorphized0, axiom, ![Y:cartrealn2,S:(cartrealn2 > $o),F:(cartrealn2 > cartrealn2)]:((in @ Y @ (image1 @ F @ S)) <=> ?[X:cartrealn2]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aINu_INSERT, axiom, ![X:cartrealn2,Y:cartrealn2,S:(cartrealn2 > $o)]:((in @ X @ (insert0 @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aIu_THMu_monomorphized2, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:((cartrealn2 > $o) > $o)]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealn2]:((i1 @ X) = X)).
thf(aLEFTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ M @ (p_ @ N @ P)) = (p_ @ (t_ @ M @ N) @ (t_ @ M @ P)))).
thf(aLEu_0, axiom, ![N:num]:(l_a_ @ (numeral @ u_0) @ N)).
thf(aLEu_ANTISYM, axiom, ![M:num,N:num]:(((l_a_ @ M @ N) & (l_a_ @ N @ M)) <=> (M = N))).
thf(aLEu_conjunct0, axiom, ![M:num]:((l_a_ @ M @ (numeral @ u_0)) <=> (M = (numeral @ u_0)))).
thf(aMULTu_CLAUSESu_conjunct0, axiom, ![N:num]:((t_ @ (numeral @ u_0) @ N) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct1, axiom, ![M:num]:((t_ @ M @ (numeral @ u_0)) = (numeral @ u_0))).
thf(aMULTu_CLAUSESu_conjunct2, axiom, ![N:num]:((t_ @ (numeral @ (bit1 @ u_0)) @ N) = N)).
thf(aMULTu_CLAUSESu_conjunct3, axiom, ![M:num]:((t_ @ M @ (numeral @ (bit1 @ u_0))) = M)).
thf(aMULTu_CLAUSESu_conjunct4, axiom, ![M:num,N:num]:((t_ @ (suc @ M) @ N) = (p_ @ (t_ @ M @ N) @ N))).
thf(aMULTu_CLAUSESu_conjunct5, axiom, ![M:num,N:num]:((t_ @ M @ (suc @ N)) = (p_ @ M @ (t_ @ M @ N)))).
thf(aMiscu_defsu_andu_lemmaso_REALu_ADD, axiom, ![M:num,N:num]:((realu_add @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (p_ @ M @ N)))).
thf(aNORMu_0, axiom, ((vectoru_norm @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNORMu_MUL, axiom, ![A:real,X:cartrealn2]:((vectoru_norm @ (r_ @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTYu_monomorphized1, axiom, ![X:num]:~ ((in0 @ X @ empty3))).
thf(aNOTu_INu_EMPTYu_monomorphized0, axiom, ![X:cartrealn2]:~ ((in @ X @ empty1))).
thf(aNOTu_LE, axiom, ![M:num,N:num]:(~ ((l_a_ @ M @ N)) <=> (l_ @ N @ M))).
thf(aNUMERAL, axiom, ![N:num]:((numeral @ N) = N)).
thf(aONE, axiom, ((numeral @ (bit1 @ u_0)) = (suc @ (numeral @ u_0)))).
thf(aPIu_WORKSu_conjunct0, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ pi)).
thf(aPOLYTOPEu_EQu_BOUNDEDu_POLYHEDRON, axiom, ![S:(cartrealn2 > $o)]:((polytope @ S) <=> ((polyhedron @ S) & (bounded @ S)))).
thf(aPOLYTOPEu_IMPu_COMPACT, axiom, ![S:(cartrealq363119 > $o)]:((polytope0 @ S) => (compact0 @ S))).
thf(aPOLYTOPEu_IMPu_CONVEX, axiom, ![S:(cartrealq363130 > $o)]:((polytope1 @ S) => (convex0 @ S))).
thf(aRATu_LEMMA2, axiom, ![X1:real,X2:real,Y1:real,Y2:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_add @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) = (realu_mul @ (realu_add @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1)) @ (realu_mul @ (realu_inv @ Y1) @ (realu_inv @ Y2)))))).
thf(aRATu_LEMMA4, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => ((realu_le @ (realu_div @ X1 @ Y1) @ (realu_div @ X2 @ Y2)) <=> (realu_le @ (realu_mul @ X1 @ Y2) @ (realu_mul @ X2 @ Y1))))).
thf(aRATu_LEMMA5, axiom, ![X1:real,Y2:real,X2:real,Y1:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y1) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y2)) => (((realu_div @ X1 @ Y1) = (realu_div @ X2 @ Y2)) <=> ((realu_mul @ X1 @ Y2) = (realu_mul @ X2 @ Y1))))).
thf(aRE, axiom, ![Y:real,X:real]:((re @ (complex @ (c_ @ X @ Y))) = X)).
thf(aREALu_ADDu_ASSOC, axiom, ![X:real,Y:real,Z:real]:((realu_add @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_add @ X @ Y) @ Z))).
thf(aREALu_ADDu_LINV, axiom, ![X:real]:((realu_add @ (realu_neg @ X) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_ADDu_RINV, axiom, ![X:real]:((realu_add @ X @ (realu_neg @ X)) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_DIVu_1, axiom, ![X:real]:((realu_div @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_ENTIRE, axiom, ![X:real,Y:real]:(((realu_mul @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> ((X = (realu_ofu_num @ (numeral @ u_0))) | (Y = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aREALu_EQu_ADDu_LCANCEL, axiom, ![X:real,Y:real,Z:real]:(((realu_add @ X @ Y) = (realu_add @ X @ Z)) <=> (Y = Z))).
thf(aREALu_INVu_DIV, axiom, ![X:real,Y:real]:((realu_inv @ (realu_div @ X @ Y)) = (realu_div @ Y @ X))).
thf(aREALu_INVu_EQu_0, axiom, ![X:real]:(((realu_inv @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_INVu_INV, axiom, ![X:real]:((realu_inv @ (realu_inv @ X)) = X)).
thf(aREALu_INVu_MUL, axiom, ![X:real,Y:real]:((realu_inv @ (realu_mul @ X @ Y)) = (realu_mul @ (realu_inv @ X) @ (realu_inv @ Y)))).
thf(aREALu_INVu_NEG, axiom, ![X:real]:((realu_inv @ (realu_neg @ X)) = (realu_neg @ (realu_inv @ X)))).
thf(aREALu_LEu_ANTISYM, axiom, ![X:real,Y:real]:(((realu_le @ X @ Y) & (realu_le @ Y @ X)) <=> (X = Y))).
thf(aREALu_LEu_LNEG, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ Y) <=> (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aREALu_LEu_LT, axiom, ![X:real,Y:real]:((realu_le @ X @ Y) <=> ((realu_lt @ X @ Y) | (X = Y)))).
thf(aREALu_LEu_MUL, axiom, ![X:real,Y:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aREALu_LEu_NEG2, axiom, ![X:real,Y:real]:((realu_le @ (realu_neg @ X) @ (realu_neg @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_LEu_RNEG, axiom, ![X:real,Y:real]:((realu_le @ X @ (realu_neg @ Y)) <=> (realu_le @ (realu_add @ X @ Y) @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aREALu_LTu_01, axiom, (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_LTu_LE, axiom, ![X:real,Y:real]:((realu_lt @ X @ Y) <=> ((realu_le @ X @ Y) & ~ ((X = Y))))).
thf(aREALu_MULu_ACu_conjunct0, axiom, ![N:real,M:real]:((realu_mul @ M @ N) = (realu_mul @ N @ M))).
thf(aREALu_MULu_ACu_conjunct1, axiom, ![M:real,N:real,P:real]:((realu_mul @ (realu_mul @ M @ N) @ P) = (realu_mul @ M @ (realu_mul @ N @ P)))).
thf(aREALu_MULu_ACu_conjunct2, axiom, ![N:real,M:real,P:real]:((realu_mul @ M @ (realu_mul @ N @ P)) = (realu_mul @ N @ (realu_mul @ M @ P)))).
thf(aREALu_MULu_LID, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_LNEG, axiom, ![X:real,Y:real]:((realu_mul @ (realu_neg @ X) @ Y) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_MULu_RINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ X @ (realu_inv @ X)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aREALu_MULu_RNEG, axiom, ![X:real,Y:real]:((realu_mul @ X @ (realu_neg @ Y)) = (realu_neg @ (realu_mul @ X @ Y)))).
thf(aREALu_MULu_SYM, axiom, ![X:real,Y:real]:((realu_mul @ X @ Y) = (realu_mul @ Y @ X))).
thf(aREALu_NEGNEG, axiom, ![X:real]:((realu_neg @ (realu_neg @ X)) = X)).
thf(aREALu_NEGu_ADD, axiom, ![X:real,Y:real]:((realu_neg @ (realu_add @ X @ Y)) = (realu_add @ (realu_neg @ X) @ (realu_neg @ Y)))).
thf(aREALu_NEGu_SUB, axiom, ![X:real,Y:real]:((realu_neg @ (realu_sub @ X @ Y)) = (realu_sub @ Y @ X))).
thf(aREALu_NOTu_LE, axiom, ![X:real,Y:real]:(~ ((realu_le @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aREALu_OFu_NUMu_MUL, axiom, ![M:num,N:num]:((realu_mul @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) = (realu_ofu_num @ (t_ @ M @ N)))).
thf(aREALu_OFu_NUMu_POW, axiom, ![X:num,N:num]:((realu_pow @ (realu_ofu_num @ X) @ N) = (realu_ofu_num @ (exp @ X @ N)))).
thf(aREALu_POLYu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_add @ X @ Y) = (realu_add @ Y @ X))).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct6, axiom, ![X:real]:((realu_mul @ (realu_ofu_num @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aREALu_POLYu_CLAUSESu_conjunct8, axiom, ![X:real]:((realu_pow @ X @ (numeral @ u_0)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))).
thf(aREALu_POLYu_CLAUSESu_conjunct9, axiom, ![X:real,N:num]:((realu_pow @ X @ (suc @ N)) = (realu_mul @ X @ (realu_pow @ X @ N)))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct0, axiom, ![X:real]:((realu_neg @ X) = (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X))).
thf(aREALu_POLYu_NEGu_CLAUSESu_conjunct1, axiom, ![X:real,Y:real]:((realu_sub @ X @ Y) = (realu_add @ X @ (realu_mul @ (realu_neg @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ Y)))).
thf(aREALu_POWu_NEG, axiom, ![X:real,N:num]:((realu_pow @ (realu_neg @ X) @ N) = (cond0 @ (even @ N) @ (realu_pow @ X @ N) @ (realu_neg @ (realu_pow @ X @ N))))).
thf(aREALu_SUBu_0, axiom, ![X:real,Y:real]:(((realu_sub @ X @ Y) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = Y))).
thf(aREALu_SUBu_LE, axiom, ![X:real,Y:real]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_le @ Y @ X))).
thf(aREALu_SUBu_LT, axiom, ![X:real,Y:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_sub @ X @ Y)) <=> (realu_lt @ Y @ X))).
thf(aRIGHTu_ADDu_DISTRIB, axiom, ![M:num,N:num,P:num]:((t_ @ (p_ @ M @ N) @ P) = (p_ @ (t_ @ M @ P) @ (t_ @ N @ P)))).
thf(aRealu_exto_REALu_PROPu_POSu_ADD2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_add @ X @ Y)))).
thf(aRealu_exto_REALu_PROPu_POSu_MUL2, axiom, ![X:real,Y:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ Y)) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_mul @ X @ Y)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_NEGu_0, axiom, ((realu_neg @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSURJu_monomorphized1, axiom, ![T:(cartrealn2 > $o),S:(num > $o),F:(num > cartrealn2)]:((surj0 @ F @ S @ T) <=> (![X:num]:((in0 @ X @ S) => (in @ (F @ X) @ T)) & ![X:cartrealn2]:((in @ X @ T) => ?[Y:num]:((in0 @ Y @ S) & ((F @ Y) = X)))))).
thf(aSURJu_monomorphized0, axiom, ![T:(cartrealn2 > $o),S:(cartrealn2 > $o),F:(cartrealn2 > cartrealn2)]:((surj1 @ F @ S @ T) <=> (![X:cartrealn2]:((in @ X @ S) => (in @ (F @ X) @ T)) & ![X:cartrealn2]:((in @ X @ T) => ?[Y:cartrealn2]:((in @ Y @ S) & ((F @ Y) = X)))))).
thf(aTRUTH, axiom, $true).
thf(aTWO, axiom, ((numeral @ (bit0 @ (bit1 @ u_0))) = (suc @ (numeral @ (bit1 @ u_0))))).
thf(aTayloru_atno_cosu_nz, axiom, ![X:real]:((realu_lt @ (realu_abs @ X) @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) => ~ (((cos @ X) = (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTrigonometry2o_LTu_IMPu_ABSu_REFL, axiom, ![A:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ A) => ((realu_abs @ A) = A))).
thf(aVECTORu_ANGLEu_SYM, axiom, ![X:cartrealq688907,Y:cartrealq688907]:((vectoru_angle @ X @ Y) = (vectoru_angle @ Y @ X))).
thf(aYsskqoyo_COSu_ARGu_VECTORu_ANGLE, axiom, ![U:cartrealn2,V:cartrealn2]:((~ ((U = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & ~ ((V = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => ((cos @ (arg @ (complexu_div @ U @ V))) = (cos @ (vectoru_angle0 @ U @ V))))).
thf(aYsskqoyo_SECu_DOT, axiom, ![U:cartrealn2,V:cartrealn2,R:real,PSI:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ PSI) & (realu_lt @ PSI @ (realu_div @ pi @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) & ((vectoru_norm @ V) = (realu_mul @ R @ (realu_inv @ (cos @ PSI)))) & ((vectoru_norm @ U) = R) & ((cos @ (vectoru_angle0 @ U @ V)) = (cos @ PSI))) => ((dot @ U @ (vectoru_sub @ V @ U)) = (realu_ofu_num @ (numeral @ u_0))))).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(acomplexu_inv, axiom, ![Z:cartrealn2]:((complexu_inv @ Z) = (complex @ (c_ @ (realu_div @ (re @ Z) @ (realu_add @ (realu_pow @ (re @ Z) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (im @ Z) @ (numeral @ (bit0 @ (bit1 @ u_0)))))) @ (realu_div @ (realu_neg @ (im @ Z)) @ (realu_add @ (realu_pow @ (re @ Z) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (im @ Z) @ (numeral @ (bit0 @ (bit1 @ u_0)))))))))).
thf(acomplexu_mul, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_mul @ W @ Z) = (complex @ (c_ @ (realu_sub @ (realu_mul @ (re @ W) @ (re @ Z)) @ (realu_mul @ (im @ W) @ (im @ Z))) @ (realu_add @ (realu_mul @ (re @ W) @ (im @ Z)) @ (realu_mul @ (im @ W) @ (re @ Z))))))).
thf(aintu_addu_th, axiom, ![X:int,Y:int]:((realu_ofu_int @ (intu_add @ X @ Y)) = (realu_add @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_le, axiom, ![X:int,Y:int]:((intu_le @ X @ Y) <=> (realu_le @ (realu_ofu_int @ X) @ (realu_ofu_int @ Y)))).
thf(aintu_ofu_numu_th, axiom, ![N:num]:((realu_ofu_int @ (intu_ofu_num @ N)) = (realu_ofu_num @ N))).
thf(anumu_INDUCTION, axiom, ![P:(num > $o)]:(((P @ (numeral @ u_0)) & ![N:num]:((P @ N) => (P @ (suc @ N)))) => ![N:num]:(P @ N))).
thf(arealu_abs, axiom, ![X:real]:((realu_abs @ X) = (cond0 @ (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) @ X @ (realu_neg @ X)))).
thf(arealu_div, axiom, ![X:real,Y:real]:((realu_div @ X @ Y) = (realu_mul @ X @ (realu_inv @ Y)))).
thf(arealu_ge, axiom, ![Y:real,X:real]:((realu_ge @ X @ Y) <=> (realu_le @ Y @ X))).
thf(arealu_gt, axiom, ![Y:real,X:real]:((realu_gt @ X @ Y) <=> (realu_lt @ Y @ X))).
thf(arealu_lt, axiom, ![Y:real,X:real]:((realu_lt @ X @ Y) <=> ~ ((realu_le @ Y @ X)))).
thf(conjecture, conjecture, ![P:(cartrealn2 > $o),S:((cartrealn2 > $o) > $o),R:real,N:num,U2:cartrealn2]:(((polyhedron @ P) & (bounded @ P) & (S = (gspec @ ^[GENR_PVARR_1978:(cartrealn2 > $o)]:?[C:(cartrealn2 > $o)]:(setspec @ GENR_PVARR_1978 @ (facetu_of @ C @ P) @ C))) & (hasu_size @ S @ N) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & ~ ((U2 = (vec @ (numeral @ u_0)))) & ![P2:cartrealn2]:((realu_lt @ (vectoru_norm @ P2) @ R) => (in @ P2 @ P))) => ?[G:(num > cartrealn2),H:(num > cartrealn2)]:(![I:num]:((in0 @ I @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) => ((in @ (G @ I) @ P) & ((vectoru_norm @ (G @ I)) = R))) & ((G @ (p_ @ N @ (numeral @ (bit1 @ u_0)))) = (G @ (numeral @ (bit1 @ u_0)))) & ![J:num,K:num]:(((in0 @ J @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) & (in0 @ K @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) & (l_ @ J @ K)) => (realu_lt @ (arg @ (complexu_div @ (G @ J) @ U2)) @ (arg @ (complexu_div @ (G @ K) @ U2)))) & ![I:num]:((in0 @ I @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) => ((in @ (H @ I) @ P) & ((vectoru_norm @ (H @ I)) = (realu_mul @ R @ (realu_inv @ (cos @ (realu_div @ (arg @ (complexu_div @ (G @ (p_ @ I @ (numeral @ (bit1 @ u_0)))) @ (G @ I))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))))))) & ![I:num]:((in0 @ I @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) => (((arg @ (complexu_div @ (H @ I) @ (G @ I))) = (realu_div @ (arg @ (complexu_div @ (G @ (p_ @ I @ (numeral @ (bit1 @ u_0)))) @ (G @ I))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))) & ((arg @ (complexu_div @ (G @ (p_ @ I @ (numeral @ (bit1 @ u_0)))) @ (H @ I))) = (realu_div @ (arg @ (complexu_div @ (G @ (p_ @ I @ (numeral @ (bit1 @ u_0)))) @ (G @ I))) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))))) & ![I:num]:((in0 @ I @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) => (((dot @ (G @ I) @ (vectoru_sub @ (H @ I) @ (G @ I))) = (realu_ofu_num @ (numeral @ u_0))) & ((dot @ (G @ (p_ @ I @ (numeral @ (bit1 @ u_0)))) @ (vectoru_sub @ (H @ I) @ (G @ (p_ @ I @ (numeral @ (bit1 @ u_0)))))) = (realu_ofu_num @ (numeral @ u_0))))) & (l_ @ (numeral @ (bit1 @ u_0)) @ N) & ![I:num]:((in0 @ I @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) => ~ (((G @ I) = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) & ![I:num]:((in0 @ I @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) => ~ (((H @ I) = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) & ![I:num]:((in0 @ I @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) => (realu_lt @ (arg @ (complexu_div @ (G @ (p_ @ I @ (numeral @ (bit1 @ u_0)))) @ (G @ I))) @ pi))))).
