%   ORIGINAL: Dih2k_hypermap.CLOSED_BALL_ANNULUS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CLOSED_CBALL: !x e. closed (cball (x,e))
% Assm: CLOSED_DIFF: !s t. closed s /\ open t ==> closed (s DIFF t)
% Assm: OPEN_BALL: !x e. open (ball (x,e))
% Assm: Pack_defs.ball_annulus: ball_annulus = cball (vec 0,&2 * h0) DIFF ball (vec 0,&2)
% Assm: TRUTH: T
% Goal: closed ball_annulus
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x e. closed (cball (x,e))
% Assm: !s t. closed s /\ open t ==> closed (s DIFF t)
% Assm: !x e. open (ball (x,e))
% Assm: ball_annulus = cball (vec 0,&2 * h0) DIFF ball (vec 0,&2)
% Assm: T
% Goal: closed ball_annulus
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealq169289real, type, prodcartrealq169289real : $tType).
thf(tprodcartrealn3real, type, prodcartrealn3real : $tType).
thf(treal, type, real : $tType).
thf(tcartrealq169289, type, cartrealq169289 : $tType).
thf(tn3, type, n3 : $tType).
thf(tq169289, type, q169289 : $tType).
%  CONSTS
thf(ch0, type, h0 : real).
thf(cball0, type, ball0 : (prodcartrealn3real > cartrealn3 > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cball, type, ball : (prodcartrealq169289real > cartrealq169289 > $o)).
thf(ccball, type, cball : (prodcartrealn3real > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_0, type, c_0 : (cartrealq169289 > real > prodcartrealq169289real)).
thf(cdiff, type, diff : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_, type, c_ : (cartrealn3 > real > prodcartrealn3real)).
thf(copen0, type, open0 : ((cartrealq169289 > $o) > $o)).
thf(copen, type, open : ((cartrealn3 > $o) > $o)).
thf(cballuu_annulus, type, ballu_annulus : (cartrealn3 > $o)).
thf(cclosed, type, closed : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCLOSEDu_CBALL, axiom, ![X:cartrealn3,E:real]:(closed @ (cball @ (c_ @ X @ E)))).
thf(aCLOSEDu_DIFF, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((closed @ S) & (open @ T)) => (closed @ (diff @ S @ T)))).
thf(aOPENu_BALL, axiom, ![X:cartrealq169289,E:real]:(open0 @ (ball @ (c_0 @ X @ E)))).
thf(aPacku_defso_ballu_annulus, axiom, (ballu_annulus = (diff @ (cball @ (c_ @ (vec @ (numeral @ u_0)) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ h0))) @ (ball0 @ (c_ @ (vec @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, (closed @ ballu_annulus)).
