%   ORIGINAL: Dih2k_hypermap.FINITE_F_SY
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Dih2k_hypermap.F_SY: !v. F_SY v = {row i v,row (SUC (i MOD dimindex (:M))) v | 1 <= i /\ i <= dimindex (:M)}
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: FINITE_NUMSEG: !m n. FINITE (m..n)
% Assm: IMAGE: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: TRUTH: T
% Goal: FINITE (F_SY (vecmats l))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !v. F_SY v = {row i v,row (SUC (i MOD dimindex (:M))) v | 1 <= i /\ i <= dimindex (:M)}
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !m n. FINITE (m..n)
% Assm: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: T
% Goal: !l. FINITE (F_SY (vecmats l))
%  TYPES
thf(tcartrealfiniteu_productmn, type, cartrealfinite_productmn : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tq43820, type, q43820 : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tfiniteu_productmn, type, finite_productmn : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cin2, type, in2 : (num > (num > $o) > $o)).
thf(cgspec2, type, gspec2 : ((q43851 > $o) > q43851 > $o)).
thf(cin1, type, in1 : (q43851 > (q43851 > $o) > $o)).
thf(cgspec1, type, gspec1 : ((q43820 > $o) > q43820 > $o)).
thf(cin0, type, in0 : (q43820 > (q43820 > $o) > $o)).
thf(cgspec0, type, gspec0 : ((b > $o) > b > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cmod, type, mod : (num > num > num)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgspec, type, gspec : ((prodcartrealncartrealn > $o) > prodcartrealncartrealn > $o)).
thf(cfuu_sy, type, fu_sy : (cartcartrealnm > prodcartrealncartrealn > $o)).
thf(csetspec2, type, setspec2 : (q43851 > $o > q43851 > $o)).
thf(csetspec1, type, setspec1 : (q43820 > $o > q43820 > $o)).
thf(csetspec0, type, setspec0 : (b > $o > b > $o)).
thf(cimage0, type, image0 : ((a > b) > (a > $o) > b > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cimage, type, image : ((prodcartrealncartrealn > prodcartrealncartrealn) > (prodcartrealncartrealn > $o) > prodcartrealncartrealn > $o)).
thf(crow, type, row : (num > cartcartrealnm > cartrealn)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(csetspec, type, setspec : (prodcartrealncartrealn > $o > prodcartrealncartrealn > $o)).
thf(cfinite0, type, finite0 : ((num > $o) > $o)).
thf(cfinite, type, finite : ((prodcartrealncartrealn > $o) > $o)).
thf(cvecmats, type, vecmats : (cartrealfinite_productmn > cartcartrealnm)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(csuc, type, suc : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDih2ku_hypermapo_Fu_SY, axiom, ![V:cartcartrealnm]:((fu_sy @ V) = (gspec @ ^[GENR_PVARR_1984:prodcartrealncartrealn]:?[I:num]:(setspec @ GENR_PVARR_1984 @ ((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) @ (c_ @ (row @ I @ V) @ (row @ (suc @ (mod @ I @ (dimindex @ univ))) @ V)))))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aFINITEu_IMAGE, axiom, ![F:(prodcartrealncartrealn > prodcartrealncartrealn),S:(prodcartrealncartrealn > $o)]:((finite @ S) => (finite @ (image @ F @ S)))).
thf(aFINITEu_NUMSEG, axiom, ![M:num,N:num]:(finite0 @ (o_o_ @ M @ N))).
thf(aIMAGE, axiom, ![S:(a > $o),F:(a > b)]:((image0 @ F @ S) = (gspec0 @ ^[GENR_PVARR_7:b]:?[Y:b]:(setspec0 @ GENR_PVARR_7 @ ?[X:a]:((in @ X @ S) & (Y = (F @ X))) @ Y)))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > q43820 > $o) > $o),X:q43820]:((in0 @ X @ (gspec1 @ ^[V:q43820]:(P @ (setspec1 @ V)))) <=> (P @ ^[P0:$o,T:q43820]:(P0 & (X = T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in1 @ X @ (gspec2 @ ^[V:q43851]:?[Y:q43851]:(setspec2 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in2 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![L:cartrealfinite_productmn]:(finite @ (fu_sy @ (vecmats @ L)))).
