%   ORIGINAL: Tame_inequalities.lemma'
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Tame_inequalities.lemma: !a b c x x0 x1. a < &0 /\ x0 <= x /\ x <= x1 ==> a * x * x + b * x + c >= a * x0 * x0 + b * x0 + c \/ a * x * x + b * x + c >= a * x1 * x1 + b * x1 + c
% Goal: !f a b c x x0 x1. f = (\x. a * x * x + b * x + c) /\ x0 <= x /\ x <= x1 /\ a < &0 ==> f x >= f x0 \/ f x >= f x1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !a b c x x0 x1. a < &0 /\ x0 <= x /\ x <= x1 ==> a * x * x + b * x + c >= a * x0 * x0 + b * x0 + c \/ a * x * x + b * x + c >= a * x1 * x1 + b * x1 + c
% Goal: !f a b c x x0 x1. f = (\x. a * x * x + b * x + c) /\ x0 <= x /\ x <= x1 /\ a < &0 ==> f x >= f x0 \/ f x >= f x1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_ge, type, realu_ge : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real > real),G:(a > real > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTameu_inequalitieso_lemma, axiom, ![A:real,B:real,C:real,X:real,X0:real,X1:real]:(((realu_lt @ A @ (realu_ofu_num @ (numeral @ u_0))) & (realu_le @ X0 @ X) & (realu_le @ X @ X1)) => ((realu_ge @ (realu_add @ (realu_mul @ A @ (realu_mul @ X @ X)) @ (realu_add @ (realu_mul @ B @ X) @ C)) @ (realu_add @ (realu_mul @ A @ (realu_mul @ X0 @ X0)) @ (realu_add @ (realu_mul @ B @ X0) @ C))) | (realu_ge @ (realu_add @ (realu_mul @ A @ (realu_mul @ X @ X)) @ (realu_add @ (realu_mul @ B @ X) @ C)) @ (realu_add @ (realu_mul @ A @ (realu_mul @ X1 @ X1)) @ (realu_add @ (realu_mul @ B @ X1) @ C)))))).
thf(conjecture, conjecture, ![F:(real > real),A:real,B:real,C:real,X:real,X0:real,X1:real]:(((F = ^[X:real]:(realu_add @ (realu_mul @ A @ (realu_mul @ X @ X)) @ (realu_add @ (realu_mul @ B @ X) @ C))) & (realu_le @ X0 @ X) & (realu_le @ X @ X1) & (realu_lt @ A @ (realu_ofu_num @ (numeral @ u_0)))) => ((realu_ge @ (F @ X) @ (F @ X0)) | (realu_ge @ (F @ X) @ (F @ X1))))).
