%   ORIGINAL: Tame_opposite.edge_CARD_dart
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: Hypermap.edge_set: !H. edge_set H = set_of_orbits (dart H) (edge_map H)
% Assm: Hypermap.hypermap_lemma: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: Hypermap.is_edge_nondegenerate: !H. is_edge_nondegenerate H <=> (!x. x IN dart H ==> ~(edge_map H x = x))
% Assm: Hypermap.lemma_card_eq: !s p m. FINITE s /\ p permutes s /\ (!x. x IN s ==> CARD (orbit_map p x) = m) ==> CARD s = m * number_of_orbits s p
% Assm: Hypermap.lemma_orbit_of_size_2: !s p. FINITE s /\ p permutes s ==> (CARD (orbit_map p x) = 2 <=> ~(p x = x) /\ p (p x) = x)
% Assm: Hypermap.number_of_edges: !H. number_of_edges H = CARD (edge_set H)
% Assm: Hypermap.number_of_orbits: !D f. number_of_orbits D f = CARD (set_of_orbits D f)
% Assm: Hypermap.plain_hypermap: !H. plain_hypermap H <=> edge_map H o edge_map H = I
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !H. plain_hypermap H /\ is_edge_nondegenerate H ==> CARD (dart H) = 2 * number_of_edges H
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !H. edge_set H = set_of_orbits (dart H) (edge_map H)
% Assm: !H. FINITE (dart H) /\ edge_map H permutes dart H /\ node_map H permutes dart H /\ face_map H permutes dart H /\ edge_map H o node_map H o face_map H = I
% Assm: !H. is_edge_nondegenerate H <=> (!x. x IN dart H ==> ~(edge_map H x = x))
% Assm: !s p m. FINITE s /\ p permutes s /\ (!x. x IN s ==> CARD (orbit_map p x) = m) ==> CARD s = m * number_of_orbits s p
% Assm: !x s p. FINITE s /\ p permutes s ==> (CARD (orbit_map p x) = 2 <=> ~(p x = x) /\ p (p x) = x)
% Assm: !H. number_of_edges H = CARD (edge_set H)
% Assm: !D f. number_of_orbits D f = CARD (set_of_orbits D f)
% Assm: !H. plain_hypermap H <=> edge_map H o edge_map H = I
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !H. plain_hypermap H /\ is_edge_nondegenerate H ==> CARD (dart H) = 2 * number_of_edges H
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cnumberuu_ofuu_orbits, type, numberu_ofu_orbits : ((a > $o) > (a > a) > num)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cedgeuu_set, type, edgeu_set : (hypermapa > (a > $o) > $o)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cnodeuu_map, type, nodeu_map : (hypermapa > a > a)).
thf(cedgeuu_map, type, edgeu_map : (hypermapa > a > a)).
thf(co0, type, o0 : ((b > num) > (a > b) > a > num)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(co, type, o : ((a > a) > (a > a) > a > a)).
thf(csetuu_ofuu_orbits, type, setu_ofu_orbits : ((a > $o) > (a > a) > (a > $o) > $o)).
thf(cisuu_edgeuu_nondegenerate, type, isu_edgeu_nondegenerate : (hypermapa > $o)).
thf(cplainuu_hypermap, type, plainu_hypermap : (hypermapa > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cnumberuu_ofuu_edges, type, numberu_ofu_edges : (hypermapa > num)).
thf(ccard0, type, card0 : (((a > $o) > $o) > num)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(ci0, type, i0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFUNu_EQu_THM, axiom, ![F:(a > num),G:(a > num)]:((F = G) <=> ![X:a]:((F @ X) = (G @ X)))).
thf(aHypermapo_edgeu_set, axiom, ![H:hypermapa]:((edgeu_set @ H) = (setu_ofu_orbits @ (dart @ H) @ (edgeu_map @ H)))).
thf(aHypermapo_hypermapu_lemma, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (edgeu_map @ H) @ (dart @ H)) & (permutes @ (nodeu_map @ H) @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)) & ((o @ (edgeu_map @ H) @ (o @ (nodeu_map @ H) @ (faceu_map @ H))) = i))).
thf(aHypermapo_isu_edgeu_nondegenerate, axiom, ![H:hypermapa]:((isu_edgeu_nondegenerate @ H) <=> ![X:a]:((in @ X @ (dart @ H)) => ~ (((edgeu_map @ H @ X) = X))))).
thf(aHypermapo_lemmau_cardu_eq, axiom, ![S:(a > $o),P:(a > a),M:num]:(((finite @ S) & (permutes @ P @ S) & ![X:a]:((in @ X @ S) => ((card @ (orbitu_map @ P @ X)) = M))) => ((card @ S) = (t_ @ M @ (numberu_ofu_orbits @ S @ P))))).
thf(aHypermapo_lemmau_orbitu_ofu_sizeu_2, axiom, ![X:a,S:(a > $o),P:(a > a)]:(((finite @ S) & (permutes @ P @ S)) => (((card @ (orbitu_map @ P @ X)) = (numeral @ (bit0 @ (bit1 @ u_0)))) <=> (~ (((P @ X) = X)) & ((P @ (P @ X)) = X))))).
thf(aHypermapo_numberu_ofu_edges, axiom, ![H:hypermapa]:((numberu_ofu_edges @ H) = (card0 @ (edgeu_set @ H)))).
thf(aHypermapo_numberu_ofu_orbits, axiom, ![D:(a > $o),F:(a > a)]:((numberu_ofu_orbits @ D @ F) = (card0 @ (setu_ofu_orbits @ D @ F)))).
thf(aHypermapo_plainu_hypermap, axiom, ![H:hypermapa]:((plainu_hypermap @ H) <=> ((o @ (edgeu_map @ H) @ (edgeu_map @ H)) = i))).
thf(aIu_THM, axiom, ![X:num]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > num),G:(a > b),X:a]:((o0 @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![H:hypermapa]:(((plainu_hypermap @ H) & (isu_edgeu_nondegenerate @ H)) => ((card @ (dart @ H)) = (t_ @ (numeral @ (bit0 @ (bit1 @ u_0))) @ (numberu_ofu_edges @ H))))).
