%   ORIGINAL: Tame_opposite.CARD_in_node
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Tame_defs.tame_11a: !H. tame_11a H <=> (!x. x IN dart H ==> CARD (node H x) >= 3)
% Assm: Tame_defs.tame_11b: !H. tame_11b H <=> (!x. x IN dart H ==> CARD (node H x) <= 7)
% Assm: Tame_opposite.opposite_components: !H x. dart (opposite_hypermap H) = dart H /\ node (opposite_hypermap H) x = node H x /\ face (opposite_hypermap H) x = face H x
% Goal: !H. tame_11a H /\ tame_11b H ==> tame_11a (opposite_hypermap H) /\ tame_11b (opposite_hypermap H)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !H. tame_11a H <=> (!x. x IN dart H ==> CARD (node H x) >= 3)
% Assm: !H. tame_11b H <=> (!x. x IN dart H ==> CARD (node H x) <= 7)
% Assm: !H x. dart (opposite_hypermap H) = dart H /\ node (opposite_hypermap H) x = node H x /\ face (opposite_hypermap H) x = face H x
% Goal: !H. tame_11a H /\ tame_11b H ==> tame_11a (opposite_hypermap H) /\ tame_11b (opposite_hypermap H)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(coppositeuu_hypermap, type, oppositeu_hypermap : (hypermapa > hypermapa)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(ctameuu_11b, type, tameu_11b : (hypermapa > $o)).
thf(ctameuu_11a, type, tameu_11a : (hypermapa > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTameu_defso_tameu_11a, axiom, ![H:hypermapa]:((tameu_11a @ H) <=> ![X:a]:((in @ X @ (dart @ H)) => (g_a_ @ (card @ (node @ H @ X)) @ (numeral @ (bit1 @ (bit1 @ u_0))))))).
thf(aTameu_defso_tameu_11b, axiom, ![H:hypermapa]:((tameu_11b @ H) <=> ![X:a]:((in @ X @ (dart @ H)) => (l_a_ @ (card @ (node @ H @ X)) @ (numeral @ (bit1 @ (bit1 @ (bit1 @ u_0)))))))).
thf(aTameu_oppositeo_oppositeu_components, axiom, ![H:hypermapa,X:a]:(((dart @ (oppositeu_hypermap @ H)) = (dart @ H)) & ((node @ (oppositeu_hypermap @ H) @ X) = (node @ H @ X)) & ((face @ (oppositeu_hypermap @ H) @ X) = (face @ H @ X)))).
thf(conjecture, conjecture, ![H:hypermapa]:(((tameu_11a @ H) & (tameu_11b @ H)) => ((tameu_11a @ (oppositeu_hypermap @ H)) & (tameu_11b @ (oppositeu_hypermap @ H))))).
