%   ORIGINAL: Tame_opposite.opposite_tame_12o
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: Tame_defs.exceptional_face: !H x. exceptional_face H x <=> CARD (face H x) >= 5
% Assm: Tame_defs.node_exceptional_face: !H x. node_exceptional_face H x <=> exceptional_face H x ==> CARD (node H x) <= 6
% Assm: Tame_defs.node_type_exceptional_face: !H x. node_type_exceptional_face H x <=> exceptional_face H x /\ CARD (node H x) = 6 ==> type_of_node H x = 5,0,1
% Assm: Tame_defs.tame_12o: !H. tame_12o H <=> (!x. node_type_exceptional_face H x /\ node_exceptional_face H x)
% Assm: Tame_opposite.opposite_components: !H x. dart (opposite_hypermap H) = dart H /\ node (opposite_hypermap H) x = node H x /\ face (opposite_hypermap H) x = face H x
% Assm: Tame_opposite.the_SAME_type: !H x. type_of_node H x = type_of_node (opposite_hypermap H) x
% Goal: !H. tame_12o H ==> tame_12o (opposite_hypermap H)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: T
% Assm: !H x. exceptional_face H x <=> CARD (face H x) >= 5
% Assm: !H x. node_exceptional_face H x <=> exceptional_face H x ==> CARD (node H x) <= 6
% Assm: !H x. node_type_exceptional_face H x <=> exceptional_face H x /\ CARD (node H x) = 6 ==> type_of_node H x = 5,0,1
% Assm: !H. tame_12o H <=> (!x. node_type_exceptional_face H x /\ node_exceptional_face H x)
% Assm: !H x. dart (opposite_hypermap H) = dart H /\ node (opposite_hypermap H) x = node H x /\ face (opposite_hypermap H) x = face H x
% Assm: !H x. type_of_node H x = type_of_node (opposite_hypermap H) x
% Goal: !H. tame_12o H ==> tame_12o (opposite_hypermap H)
%  TYPES
thf(tnum, type, num : $tType).
thf(tprodnumprodnumnum, type, prodnumprodnumnum : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(thypermapa, type, hypermapa : $tType).
thf(tprodnumnum, type, prodnumnum : $tType).
%  CONSTS
thf(coppositeuu_hypermap, type, oppositeu_hypermap : (hypermapa > hypermapa)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cnodeuu_typeuu_exceptionaluu_face, type, nodeu_typeu_exceptionalu_face : (hypermapa > a > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cnodeuu_exceptionaluu_face, type, nodeu_exceptionalu_face : (hypermapa > a > $o)).
thf(cgu_au_, type, g_a_ : (num > num > $o)).
thf(cexceptionaluu_face, type, exceptionalu_face : (hypermapa > a > $o)).
thf(ccu_0, type, c_0 : (num > num > prodnumnum)).
thf(ccu_, type, c_ : (num > prodnumnum > prodnumprodnumnum)).
thf(ctypeuu_ofuu_node, type, typeu_ofu_node : (hypermapa > a > prodnumprodnumnum)).
thf(cnode, type, node : (hypermapa > a > a > $o)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(ctameuu_12o, type, tameu_12o : (hypermapa > $o)).
thf(ccard, type, card : ((a > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aTameu_defso_exceptionalu_face, axiom, ![H:hypermapa,X:a]:((exceptionalu_face @ H @ X) <=> (g_a_ @ (card @ (face @ H @ X)) @ (numeral @ (bit1 @ (bit0 @ (bit1 @ u_0))))))).
thf(aTameu_defso_nodeu_exceptionalu_face, axiom, ![H:hypermapa,X:a]:((nodeu_exceptionalu_face @ H @ X) <=> ((exceptionalu_face @ H @ X) => (l_a_ @ (card @ (node @ H @ X)) @ (numeral @ (bit0 @ (bit1 @ (bit1 @ u_0)))))))).
thf(aTameu_defso_nodeu_typeu_exceptionalu_face, axiom, ![H:hypermapa,X:a]:((nodeu_typeu_exceptionalu_face @ H @ X) <=> (((exceptionalu_face @ H @ X) & ((card @ (node @ H @ X)) = (numeral @ (bit0 @ (bit1 @ (bit1 @ u_0)))))) => ((typeu_ofu_node @ H @ X) = (c_ @ (numeral @ (bit1 @ (bit0 @ (bit1 @ u_0)))) @ (c_0 @ (numeral @ u_0) @ (numeral @ (bit1 @ u_0)))))))).
thf(aTameu_defso_tameu_12o, axiom, ![H:hypermapa]:((tameu_12o @ H) <=> ![X:a]:((nodeu_typeu_exceptionalu_face @ H @ X) & (nodeu_exceptionalu_face @ H @ X)))).
thf(aTameu_oppositeo_oppositeu_components, axiom, ![H:hypermapa,X:a]:(((dart @ (oppositeu_hypermap @ H)) = (dart @ H)) & ((node @ (oppositeu_hypermap @ H) @ X) = (node @ H @ X)) & ((face @ (oppositeu_hypermap @ H) @ X) = (face @ H @ X)))).
thf(aTameu_oppositeo_theu_SAMEu_type, axiom, ![H:hypermapa,X:a]:((typeu_ofu_node @ H @ X) = (typeu_ofu_node @ (oppositeu_hypermap @ H) @ X))).
thf(conjecture, conjecture, ![H:hypermapa]:((tameu_12o @ H) => (tameu_12o @ (oppositeu_hypermap @ H)))).
